/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -copt -I. -copt -fPIC -copt -IC Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <bglssl.h>
#include <ssl_debug.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SSL_MAKELIB_TYPE_DEFINITIONS
#define BGL___SSL_MAKELIB_TYPE_DEFINITIONS
#endif // BGL___SSL_MAKELIB_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

extern obj_t BGl_certificatez00zz__ssl_sslz00;
static obj_t BGl_requirezd2initializa7ationz75zz__ssl_makelibz00 = BUNSPEC;
extern obj_t BGl_sslzd2signzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2hmaczd2zz__ssl_sslz00;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ssl_makelibz00(void);
static obj_t BGl_genericzd2initzd2zz__ssl_makelibz00(void);
extern obj_t BGl_privatezd2keyzd2zz__ssl_sslz00;
static obj_t BGl_objectzd2initzd2zz__ssl_makelibz00(void);
BGL_IMPORT obj_t BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(obj_t);
extern obj_t BGl_sslzd2connectionzd2zz__ssl_sslz00;
static obj_t BGl_evalzd2initzd2zz__ssl_makelibz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ssl_makelibz00(void);
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_sslzd2verifyzd2zz__ssl_sslz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ssl_makelibz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ssl_sslz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__ssl_makelibz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_makelibz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ssl_makelibz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__ssl_makelibz00(void);
extern obj_t BGl_sslzd2cipherzd2zz__ssl_sslz00;
static obj_t BGl_z62appendzd221009zb0zz__ssl_makelibz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_securezd2contextzd2zz__ssl_sslz00;
BGL_IMPORT obj_t BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(obj_t);
extern obj_t BGl_dhz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2hashzd2zz__ssl_sslz00;
static obj_t __cnst[ 94 ] ;


extern obj_t BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_dhzd2checkzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00;
DEFINE_STRING( BGl_string1263z00zz__ssl_makelibz00, BgL_bgl_string1263za700za7za7_1268za7, "&append-21009", 13 );
DEFINE_STRING( BGl_string1264z00zz__ssl_makelibz00, BgL_bgl_string1264za700za7za7_1269za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1265z00zz__ssl_makelibz00, BgL_bgl_string1265za700za7za7_1270za7, "__ssl_makelib", 13 );
DEFINE_STRING( BGl_string1266z00zz__ssl_makelibz00, BgL_bgl_string1266za700za7za7_1271za7, "dh-generate-key ssl-rand-poll ssl-sign-sign bn-free certificate secure-context-set-ciphers! secure-context-close bn-new ssl-sign ssl-hash-digest ssl-hmac ssl-connection-set-session ssl-get-ciphers certificate-subject dh-generate-parameters-ex ssl-cipher-initiv ssl-clear-error dh-check ssl-version private-key secure-context-add-crl! secure-context-set-key! pkcs5-pbkdf2-hmac-sha1 ssl-connection read-pem-file ssl-hash-init ssl-verify-final read-certificate ssl-rand-status %make-certificate ssl-rand-pseudo-bytes append-21009 ssl-sign-update! ssl-connection-enc-pending ssl-hmac-update! ssl-connection-get-session bn-set-word dh-check-pub-key ssl-connection-write ssl-op-cipher-server-preference secure-context-add-ca-cert! secure-context-add-root-certs! bn-bin2bn ssl-socket? make-ssl-server-socket read-private-key ssl-connection-get-peer-certificate ssl-cipher-update! secure-context-set-options! ssl-connection-init ssl-sign-init ssl-connection-read evp-get-hashes %make-private-key ssl-connection-start ssl-verify ssl-"
"verify-init ssl-connection-shutdown ssl-connection-clear-in ssl-cipher-set-auto-padding dh-compute-key bn-num-bytes client-socket-use-ssl! secure-context-init ssl-connection-clear-out %private-key-$native ssl-cipher-final ssl-connection-close bn-bn2bin ssl-cipher-init ssl-connection-init-finished? ssl-connection-get-negotiated-protocol evp-get-ciphers ssl-hmac-init ssl-cipher ssl-verify-update! dh-size secure-context ssl-connection-reused? ssl-hmac-digest ssl-connection-verify-error dh secure-context-set-session-id-context! ssl-hash-update! ssl-connection-get-current-cipher make-ssl-client-socket ssl-hash secure-context-set-cert! ssl-connection-clear-pending %certificate-$native secure-context-load-pkcs12 certificate-issuer ssl-connection-load-session ssl-rand-bytes ", 1801 );
extern obj_t BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00;
extern obj_t BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00;
extern obj_t BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00;
extern obj_t BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00;
extern obj_t BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00;
extern obj_t BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00;
extern obj_t BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221009zd2envz00zz__ssl_makelibz00, BgL_bgl_za762appendza7d221001272z00, BGl_z62appendzd221009zb0zz__ssl_makelibz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00;
extern obj_t BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00;
extern obj_t BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_readzd2certificatezd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2versionzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_bnzd2freezd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00;
extern obj_t BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00;
extern obj_t BGl_bnzd2newzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00;
extern obj_t BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00;
extern obj_t BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00;
extern obj_t BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00;
extern obj_t BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00;
extern obj_t BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ssl_makelibz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ssl_makelibz00(long BgL_checksumz00_297, char * BgL_fromz00_298)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ssl_makelibz00))
{ 
BGl_requirezd2initializa7ationz75zz__ssl_makelibz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ssl_makelibz00(); 
BGl_libraryzd2moduleszd2initz00zz__ssl_makelibz00(); 
BGl_cnstzd2initzd2zz__ssl_makelibz00(); 
BGl_importedzd2moduleszd2initz00zz__ssl_makelibz00(); 
BGl_evalzd2initzd2zz__ssl_makelibz00(); 
return 
BGl_toplevelzd2initzd2zz__ssl_makelibz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__evobjectz00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__ssl_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__ssl_makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_cportz00_279;
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_stringz00_286;
BgL_stringz00_286 = BGl_string1266z00zz__ssl_makelibz00; 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_startz00_287;
BgL_startz00_287 = 
BINT(0L); 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_endz00_288;
BgL_endz00_288 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_286))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_279 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_286, BgL_startz00_287, BgL_endz00_288); } } } } 
{ 
 long BgL_iz00_280;
BgL_iz00_280 = 93L; 
BgL_loopz00_281:
if(
(BgL_iz00_280==-1L))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_arg1267z00_282;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
 obj_t BgL_locationz00_284;
BgL_locationz00_284 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1267z00_282 = 
BGl_readz00zz__readerz00(BgL_cportz00_279, BgL_locationz00_284); } } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_tmpz00_324;
BgL_tmpz00_324 = 
(int)(BgL_iz00_280); 
CNST_TABLE_SET(BgL_tmpz00_324, BgL_arg1267z00_282); } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_auxz00_285;
BgL_auxz00_285 = 
(int)(
(BgL_iz00_280-1L)); 
{ 
 long BgL_iz00_329;
BgL_iz00_329 = 
(long)(BgL_auxz00_285); 
BgL_iz00_280 = BgL_iz00_329; 
goto BgL_loopz00_281;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* &append-21009 */
obj_t BGl_z62appendzd221009zb0zz__ssl_makelibz00(obj_t BgL_envz00_18, obj_t BgL_l1z00_19, obj_t BgL_l2z00_20)
{
{ 
{ 
 obj_t BgL_l1z00_291;
{ 
 bool_t BgL_test1276z00_332;
if(
PAIRP(BgL_l1z00_19))
{ /* Ieee/pairlist.scm 241 */
BgL_test1276z00_332 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 241 */
BgL_test1276z00_332 = 
NULLP(BgL_l1z00_19)
; } 
if(BgL_test1276z00_332)
{ 
BgL_l1z00_291 = BgL_l1z00_19; }  else 
{ 
 obj_t BgL_auxz00_336;
BgL_auxz00_336 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1263z00zz__ssl_makelibz00, BGl_string1264z00zz__ssl_makelibz00, BgL_l1z00_19); 
FAILURE(BgL_auxz00_336,BFALSE,BFALSE);} } 
{ 
 obj_t BgL_headz00_292;
BgL_headz00_292 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_20); 
{ 
 obj_t BgL_prevz00_294; obj_t BgL_tailz00_295;
BgL_prevz00_294 = BgL_headz00_292; 
BgL_tailz00_295 = BgL_l1z00_291; 
BgL_loopz00_293:
if(
PAIRP(BgL_tailz00_295))
{ 
 obj_t BgL_newzd2prevzd2_296;
BgL_newzd2prevzd2_296 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_295), BgL_l2z00_20); 
SET_CDR(BgL_prevz00_294, BgL_newzd2prevzd2_296); 
{ 
 obj_t BgL_tailz00_346; obj_t BgL_prevz00_345;
BgL_prevz00_345 = BgL_newzd2prevzd2_296; 
BgL_tailz00_346 = 
CDR(BgL_tailz00_295); 
BgL_tailz00_295 = BgL_tailz00_346; 
BgL_prevz00_294 = BgL_prevz00_345; 
goto BgL_loopz00_293;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_292);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__ssl_sslz00(301785501L, 
BSTRING_TO_STRING(BGl_string1265z00zz__ssl_makelibz00));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__ssl_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_sslzd2connectionzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_securezd2contextzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_privatezd2keyzd2zz__ssl_sslz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_certificatez00zz__ssl_sslz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_certificatez00zz__ssl_sslz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_certificatez00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(0L), BGl_sslzd2randzd2byteszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(1L), BGl_sslzd2connectionzd2loadzd2sessionzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(2L), BGl_certificatezd2issuerzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(3L), BGl_securezd2contextzd2loadzd2pkcs12zd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(4L), BGl_z52certificatezd2z42nativezd2envz10zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(5L), BGl_sslzd2connectionzd2clearzd2pendingzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(6L), BGl_securezd2contextzd2setzd2certz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(7L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2hashzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(8L), BGl_makezd2sslzd2clientzd2socketzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(9L), BGl_sslzd2connectionzd2getzd2currentzd2cipherzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(10L), BGl_sslzd2hashzd2updatez12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(11L), BGl_securezd2contextzd2setzd2sessionzd2idzd2contextz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(12L), 
__EVMEANING_ADDRESS(
(BGl_dhz00zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(13L), BGl_sslzd2connectionzd2verifyzd2errorzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(14L), BGl_sslzd2hmaczd2digestzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(15L), BGl_sslzd2connectionzd2reusedzf3zd2envz21zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(16L), 
__EVMEANING_ADDRESS(
(BGl_securezd2contextzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(17L), BGl_dhzd2siza7ezd2envza7zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(18L), BGl_sslzd2verifyzd2updatez12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(19L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2cipherzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(20L), BGl_sslzd2hmaczd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(21L), BGl_evpzd2getzd2cipherszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(22L), BGl_sslzd2connectionzd2getzd2negotiatedzd2protocolzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(23L), BGl_sslzd2connectionzd2initzd2finishedzf3zd2envzf3zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(24L), BGl_sslzd2cipherzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(25L), BGl_bnzd2bn2binzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(26L), BGl_sslzd2connectionzd2closezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(27L), BGl_sslzd2cipherzd2finalzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(28L), BGl_z52privatezd2keyzd2z42nativezd2envzc2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(29L), BGl_sslzd2connectionzd2clearzd2outzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(30L), BGl_securezd2contextzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(31L), BGl_clientzd2socketzd2usezd2sslz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(32L), BGl_bnzd2numzd2byteszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(33L), BGl_dhzd2computezd2keyzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(34L), BGl_sslzd2cipherzd2setzd2autozd2paddingzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(35L), BGl_sslzd2connectionzd2clearzd2inzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(36L), BGl_sslzd2connectionzd2shutdownzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(37L), BGl_sslzd2verifyzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(38L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2verifyzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(39L), BGl_sslzd2connectionzd2startzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(40L), BGl_z52makezd2privatezd2keyzd2envz80zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(41L), BGl_evpzd2getzd2hasheszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(42L), BGl_sslzd2connectionzd2readzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(43L), BGl_sslzd2signzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(44L), BGl_sslzd2connectionzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(45L), BGl_securezd2contextzd2setzd2optionsz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(46L), BGl_sslzd2cipherzd2updatez12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(47L), BGl_sslzd2connectionzd2getzd2peerzd2certificatezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(48L), BGl_readzd2privatezd2keyzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(49L), BGl_makezd2sslzd2serverzd2socketzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(50L), BGl_sslzd2socketzf3zd2envzf3zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(51L), BGl_bnzd2bin2bnzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(52L), BGl_securezd2contextzd2addzd2rootzd2certsz12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(53L), BGl_securezd2contextzd2addzd2cazd2certz12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(54L), BGl_sslzd2opzd2cipherzd2serverzd2preferencezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(55L), BGl_sslzd2connectionzd2writezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(56L), BGl_dhzd2checkzd2pubzd2keyzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(57L), BGl_bnzd2setzd2wordzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(58L), BGl_sslzd2connectionzd2getzd2sessionzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(59L), BGl_sslzd2hmaczd2updatez12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(60L), BGl_sslzd2connectionzd2enczd2pendingzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(61L), BGl_sslzd2signzd2updatez12zd2envzc0zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(62L), BGl_appendzd221009zd2envz00zz__ssl_makelibz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(63L), BGl_sslzd2randzd2pseudozd2byteszd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(64L), BGl_z52makezd2certificatezd2envz52zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(65L), BGl_sslzd2randzd2statuszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(66L), BGl_readzd2certificatezd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(67L), BGl_sslzd2verifyzd2finalzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(68L), BGl_sslzd2hashzd2initzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(69L), BGl_readzd2pemzd2filezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(70L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2connectionzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(71L), BGl_pkcs5zd2pbkdf2zd2hmaczd2sha1zd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(72L), BGl_securezd2contextzd2setzd2keyz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(73L), BGl_securezd2contextzd2addzd2crlz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(74L), 
__EVMEANING_ADDRESS(
(BGl_privatezd2keyzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(75L), BGl_sslzd2versionzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(76L), BGl_dhzd2checkzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(77L), BGl_sslzd2clearzd2errorzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(78L), BGl_sslzd2cipherzd2initivzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(79L), BGl_dhzd2generatezd2parameterszd2exzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(80L), BGl_certificatezd2subjectzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(81L), BGl_sslzd2getzd2cipherszd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(82L), BGl_sslzd2connectionzd2setzd2sessionzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(83L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2hmaczd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(84L), BGl_sslzd2hashzd2digestzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(85L), 
__EVMEANING_ADDRESS(
(BGl_sslzd2signzd2zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(86L), BGl_bnzd2newzd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(87L), BGl_securezd2contextzd2closezd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(88L), BGl_securezd2contextzd2setzd2ciphersz12zd2envz12zz__ssl_sslz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(89L), 
__EVMEANING_ADDRESS(
(BGl_certificatez00zz__ssl_sslz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(90L), BGl_bnzd2freezd2envz00zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(91L), BGl_sslzd2signzd2signzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(92L), BGl_sslzd2randzd2pollzd2envzd2zz__ssl_sslz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(93L), BGl_dhzd2generatezd2keyzd2envzd2zz__ssl_sslz00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
