/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Heap/make.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_HEAP_MAKE_TYPE_DEFINITIONS
#define BGL_HEAP_MAKE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_HEAP_MAKE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
	extern obj_t BGl_za2cczd2optionsza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t output_obj(obj_t, obj_t);
	extern obj_t BGl_getzd2tenvzd2zztype_envz00(void);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31213ze3ze5zzheap_makez00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_makez00(void);
	static obj_t BGl_objectzd2initzd2zzheap_makez00(void);
	BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_makez00(void);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t);
	extern obj_t BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00(void);
	static obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzheap_makez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_makez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzheap_makez00(void);
	static obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2genvzd2zzast_envz00(void);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
		BgL_bgl_za762prepareza7d2add1362z00,
		BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1344z00zzheap_makez00,
		BgL_bgl_string1344za700za7za7h1363za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1345z00zzheap_makez00,
		BgL_bgl_string1345za700za7za7h1364za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1346z00zzheap_makez00,
		BgL_bgl_string1346za700za7za7h1365za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1347z00zzheap_makez00,
		BgL_bgl_string1347za700za7za7h1366za7, "make-heap", 9);
	      DEFINE_STRING(BGl_string1348z00zzheap_makez00,
		BgL_bgl_string1348za700za7za7h1367za7, "Can't open output port", 22);
	      DEFINE_STRING(BGl_string1349z00zzheap_makez00,
		BgL_bgl_string1349za700za7za7h1368za7, "Illegal heap's name", 19);
	      DEFINE_STRING(BGl_string1351z00zzheap_makez00,
		BgL_bgl_string1351za700za7za7h1369za7, "Library heap", 12);
	      DEFINE_STRING(BGl_string1352z00zzheap_makez00,
		BgL_bgl_string1352za700za7za7h1370za7, "make-addd-heap", 14);
	      DEFINE_STRING(BGl_string1353z00zzheap_makez00,
		BgL_bgl_string1353za700za7za7h1371za7, "make-add-heap", 13);
	      DEFINE_STRING(BGl_string1354z00zzheap_makez00,
		BgL_bgl_string1354za700za7za7h1372za7,
		"Illegal reserved identifier for additional heap library (see `-heap-library' compiler option)",
		93);
	      DEFINE_STRING(BGl_string1355z00zzheap_makez00,
		BgL_bgl_string1355za700za7za7h1373za7,
		"Missing additional heap library identifier (see `-heap-library' compiler option)",
		80);
	      DEFINE_STRING(BGl_string1357z00zzheap_makez00,
		BgL_bgl_string1357za700za7za7h1374za7, "heap_make", 9);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
		BgL_bgl_za762checkza7d2addit1375z00,
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00, 0L, BUNSPEC,
		0);
	      DEFINE_STRING(BGl_string1358z00zzheap_makez00,
		BgL_bgl_string1358za700za7za7h1376za7,
		"make-add-heap bigloo (check-additional-heap-library prepare-additional-globals!) import export static pair pass-started (prepare-globals!) ",
		139);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1350z00zzheap_makez00,
		BgL_bgl_za762za7c3za704anonymo1377za7,
		BGl_z62zc3z04anonymousza31213ze3ze5zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1356z00zzheap_makez00,
		BgL_bgl_za762za7c3za704anonymo1378za7,
		BGl_z62zc3z04anonymousza31258ze3ze5zzheap_makez00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
		BgL_bgl_za762prepareza7d2glo1379z00,
		BGl_z62preparezd2globalsz12za2zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2heapzd2envz00zzheap_makez00,
		BgL_bgl_za762makeza7d2heapza7b1380za7, BGl_z62makezd2heapzb0zzheap_makez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2addzd2heapzd2envzd2zzheap_makez00,
		BgL_bgl_za762makeza7d2addza7d21381za7,
		BGl_z62makezd2addzd2heapz62zzheap_makez00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzheap_makez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long
		BgL_checksumz00_871, char *BgL_fromz00_872)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_makez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzheap_makez00();
					BGl_libraryzd2moduleszd2initz00zzheap_makez00();
					BGl_cnstzd2initzd2zzheap_makez00();
					BGl_importedzd2moduleszd2initz00zzheap_makez00();
					return BGl_methodzd2initzd2zzheap_makez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__intextz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__binaryz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__osz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "heap_make");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"heap_make");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			{	/* Heap/make.scm 15 */
				obj_t BgL_cportz00_842;

				{	/* Heap/make.scm 15 */
					obj_t BgL_stringz00_849;

					BgL_stringz00_849 = BGl_string1358z00zzheap_makez00;
					{	/* Heap/make.scm 15 */
						obj_t BgL_startz00_850;

						BgL_startz00_850 = BINT(0L);
						{	/* Heap/make.scm 15 */
							obj_t BgL_endz00_851;

							BgL_endz00_851 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_849)));
							{	/* Heap/make.scm 15 */

								BgL_cportz00_842 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_849, BgL_startz00_850, BgL_endz00_851);
				}}}}
				{
					long BgL_iz00_843;

					BgL_iz00_843 = 8L;
				BgL_loopz00_844:
					if ((BgL_iz00_843 == -1L))
						{	/* Heap/make.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/make.scm 15 */
							{	/* Heap/make.scm 15 */
								obj_t BgL_arg1361z00_845;

								{	/* Heap/make.scm 15 */

									{	/* Heap/make.scm 15 */
										obj_t BgL_locationz00_847;

										BgL_locationz00_847 = BBOOL(((bool_t) 0));
										{	/* Heap/make.scm 15 */

											BgL_arg1361z00_845 =
												BGl_readz00zz__readerz00(BgL_cportz00_842,
												BgL_locationz00_847);
										}
									}
								}
								{	/* Heap/make.scm 15 */
									int BgL_tmpz00_902;

									BgL_tmpz00_902 = (int) (BgL_iz00_843);
									CNST_TABLE_SET(BgL_tmpz00_902, BgL_arg1361z00_845);
							}}
							{	/* Heap/make.scm 15 */
								int BgL_auxz00_848;

								BgL_auxz00_848 = (int) ((BgL_iz00_843 - 1L));
								{
									long BgL_iz00_907;

									BgL_iz00_907 = (long) (BgL_auxz00_848);
									BgL_iz00_843 = BgL_iz00_907;
									goto BgL_loopz00_844;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* make-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 35 */
			{	/* Heap/make.scm 36 */
				obj_t BgL_list1172z00_539;

				{	/* Heap/make.scm 36 */
					obj_t BgL_arg1185z00_540;

					{	/* Heap/make.scm 36 */
						obj_t BgL_arg1191z00_541;

						BgL_arg1191z00_541 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1185z00_540 =
							MAKE_YOUNG_PAIR(BGl_string1344z00zzheap_makez00,
							BgL_arg1191z00_541);
					}
					BgL_list1172z00_539 =
						MAKE_YOUNG_PAIR(BGl_string1345z00zzheap_makez00,
						BgL_arg1185z00_540);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1172z00_539);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1344z00zzheap_makez00;
			{	/* Heap/make.scm 36 */
				obj_t BgL_g1070z00_542;
				obj_t BgL_g1071z00_543;

				{	/* Heap/make.scm 36 */
					obj_t BgL_list1200z00_556;

					BgL_list1200z00_556 =
						MAKE_YOUNG_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
						BNIL);
					BgL_g1070z00_542 = BgL_list1200z00_556;
				}
				BgL_g1071z00_543 = CNST_TABLE_REF(0L);
				{
					obj_t BgL_hooksz00_545;
					obj_t BgL_hnamesz00_546;

					BgL_hooksz00_545 = BgL_g1070z00_542;
					BgL_hnamesz00_546 = BgL_g1071z00_543;
				BgL_zc3z04anonymousza31192ze3z87_547:
					if (NULLP(BgL_hooksz00_545))
						{	/* Heap/make.scm 36 */
							CNST_TABLE_REF(1L);
						}
					else
						{	/* Heap/make.scm 36 */
							bool_t BgL_test1385z00_922;

							{	/* Heap/make.scm 36 */
								obj_t BgL_fun1199z00_554;

								BgL_fun1199z00_554 = CAR(((obj_t) BgL_hooksz00_545));
								BgL_test1385z00_922 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1199z00_554) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1199z00_554)) (BgL_fun1199z00_554,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1199z00_554))
										(BgL_fun1199z00_554)));
							}
							if (BgL_test1385z00_922)
								{	/* Heap/make.scm 36 */
									obj_t BgL_arg1196z00_551;
									obj_t BgL_arg1197z00_552;

									BgL_arg1196z00_551 = CDR(((obj_t) BgL_hooksz00_545));
									BgL_arg1197z00_552 = CDR(((obj_t) BgL_hnamesz00_546));
									{
										obj_t BgL_hnamesz00_934;
										obj_t BgL_hooksz00_933;

										BgL_hooksz00_933 = BgL_arg1196z00_551;
										BgL_hnamesz00_934 = BgL_arg1197z00_552;
										BgL_hnamesz00_546 = BgL_hnamesz00_934;
										BgL_hooksz00_545 = BgL_hooksz00_933;
										goto BgL_zc3z04anonymousza31192ze3z87_547;
									}
								}
							else
								{	/* Heap/make.scm 36 */
									obj_t BgL_arg1198z00_553;

									BgL_arg1198z00_553 = CAR(((obj_t) BgL_hnamesz00_546));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1344z00zzheap_makez00,
										BGl_string1346z00zzheap_makez00, BgL_arg1198z00_553);
								}
						}
				}
			}
			BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(2L));
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/make.scm 40 */
					obj_t BgL_hnamez00_558;

					{	/* Heap/make.scm 40 */
						obj_t BgL_arg1209z00_567;

						BgL_arg1209z00_567 = CAR(BGl_za2libzd2dirza2zd2zzengine_paramz00);
						BgL_hnamez00_558 =
							BGl_makezd2filezd2namez00zz__osz00(BgL_arg1209z00_567,
							BGl_za2heapzd2nameza2zd2zzengine_paramz00);
					}
					{	/* Heap/make.scm 41 */
						obj_t BgL_portz00_559;

						BgL_portz00_559 =
							BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
							(BgL_hnamez00_558);
						if (BINARY_PORTP(BgL_portz00_559))
							{	/* Heap/make.scm 42 */
								{	/* Heap/make.scm 46 */
									obj_t BgL_arg1204z00_561;

									{	/* Heap/make.scm 46 */
										obj_t BgL_v1163z00_562;

										BgL_v1163z00_562 = create_vector(5L);
										{	/* Heap/make.scm 46 */
											obj_t BgL_arg1205z00_563;

											{	/* Heap/make.scm 46 */
												obj_t BgL_arg1206z00_564;

												BgL_arg1206z00_564 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg1205z00_563 =
													(((BgL_backendz00_bglt) COBJECT(
															((BgL_backendz00_bglt) BgL_arg1206z00_564)))->
													BgL_languagez00);
											}
											VECTOR_SET(BgL_v1163z00_562, 0L, BgL_arg1205z00_563);
										}
										VECTOR_SET(BgL_v1163z00_562, 1L,
											BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
										VECTOR_SET(BgL_v1163z00_562, 2L,
											BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
										VECTOR_SET(BgL_v1163z00_562, 3L,
											BGl_getzd2genvzd2zzast_envz00());
										VECTOR_SET(BgL_v1163z00_562, 4L,
											BGl_getzd2tenvzd2zztype_envz00());
										BgL_arg1204z00_561 = BgL_v1163z00_562;
									}
									output_obj(BgL_portz00_559, BgL_arg1204z00_561);
								}
								return close_binary_port(BgL_portz00_559);
							}
						else
							{	/* Heap/make.scm 42 */
								return
									BGl_errorz00zz__errorz00(BGl_string1347z00zzheap_makez00,
									BGl_string1348z00zzheap_makez00, BgL_hnamez00_558);
							}
					}
				}
			else
				{	/* Heap/make.scm 38 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string1347z00zzheap_makez00,
						BGl_string1349z00zzheap_makez00,
						BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
				}
		}

	}



/* &make-heap */
	obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t BgL_envz00_831)
	{
		{	/* Heap/make.scm 35 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}

	}



/* &prepare-globals! */
	obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t BgL_envz00_832)
	{
		{	/* Heap/make.scm 60 */
			{	/* Heap/make.scm 75 */
				bool_t BgL_tmpz00_963;

				BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1350z00zzheap_makez00,
					BNIL);
				BgL_tmpz00_963 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_963);
			}
		}

	}



/* &<@anonymous:1213> */
	obj_t BGl_z62zc3z04anonymousza31213ze3ze5zzheap_makez00(obj_t BgL_envz00_834,
		obj_t BgL_gz00_835)
	{
		{	/* Heap/make.scm 61 */
			if (
				((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_835)))->BgL_importz00) ==
					CNST_TABLE_REF(3L)))
				{	/* Heap/make.scm 65 */
					obj_t BgL_arg1217z00_853;
					obj_t BgL_arg1218z00_854;

					BgL_arg1217z00_853 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_gz00_835))))->BgL_idz00);
					BgL_arg1218z00_854 =
						(((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_835)))->BgL_modulez00);
					BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1217z00_853,
						BgL_arg1218z00_854);
				}
			else
				{	/* Heap/make.scm 64 */
					if (
						((((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_gz00_835)))->BgL_importz00) ==
							CNST_TABLE_REF(4L)))
						{	/* Heap/make.scm 67 */
							obj_t BgL_vz00_855;

							BgL_vz00_855 = CNST_TABLE_REF(5L);
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_835)))->BgL_importz00) =
								((obj_t) BgL_vz00_855), BUNSPEC);
						}
					else
						{	/* Heap/make.scm 66 */
							BUNSPEC;
						}
				}
			{	/* Heap/make.scm 72 */
				bool_t BgL_test1390z00_985;

				{	/* Heap/make.scm 72 */
					obj_t BgL_tmpz00_986;

					{	/* Heap/make.scm 72 */
						BgL_objectz00_bglt BgL_tmpz00_987;

						BgL_tmpz00_987 = ((BgL_objectz00_bglt) BgL_gz00_835);
						BgL_tmpz00_986 = BGL_OBJECT_WIDENING(BgL_tmpz00_987);
					}
					BgL_test1390z00_985 = CBOOL(BgL_tmpz00_986);
				}
				if (BgL_test1390z00_985)
					{	/* Heap/make.scm 72 */
						{	/* Heap/make.scm 72 */
							long BgL_arg1224z00_856;

							{	/* Heap/make.scm 72 */
								obj_t BgL_arg1225z00_857;

								{	/* Heap/make.scm 72 */
									obj_t BgL_arg1226z00_858;

									{	/* Heap/make.scm 72 */
										long BgL_arg1808z00_859;

										{	/* Heap/make.scm 72 */
											long BgL_arg1809z00_860;

											BgL_arg1809z00_860 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_gz00_835));
											BgL_arg1808z00_859 = (BgL_arg1809z00_860 - OBJECT_TYPE);
										}
										BgL_arg1226z00_858 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_859);
									}
									BgL_arg1225z00_857 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1226z00_858);
								}
								{	/* Heap/make.scm 72 */
									obj_t BgL_tmpz00_996;

									BgL_tmpz00_996 = ((obj_t) BgL_arg1225z00_857);
									BgL_arg1224z00_856 = BGL_CLASS_NUM(BgL_tmpz00_996);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_gz00_835), BgL_arg1224z00_856);
						}
						{	/* Heap/make.scm 72 */
							BgL_objectz00_bglt BgL_tmpz00_1001;

							BgL_tmpz00_1001 = ((BgL_objectz00_bglt) BgL_gz00_835);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1001, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_gz00_835);
						BgL_gz00_835;
					}
				else
					{	/* Heap/make.scm 72 */
						BFALSE;
					}
			}
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_835))))->BgL_occurrencez00) =
				((long) 0L), BUNSPEC);
			{	/* Heap/make.scm 75 */
				obj_t BgL_vz00_861;

				BgL_vz00_861 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_835)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_861), BUNSPEC);
			}
		}

	}



/* make-add-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 84 */
			{	/* Heap/make.scm 85 */
				obj_t BgL_list1227z00_587;

				{	/* Heap/make.scm 85 */
					obj_t BgL_arg1228z00_588;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg1232z00_589;

						BgL_arg1232z00_589 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1228z00_588 =
							MAKE_YOUNG_PAIR(BGl_string1351z00zzheap_makez00,
							BgL_arg1232z00_589);
					}
					BgL_list1227z00_587 =
						MAKE_YOUNG_PAIR(BGl_string1345z00zzheap_makez00,
						BgL_arg1228z00_588);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1227z00_587);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1351z00zzheap_makez00;
			{	/* Heap/make.scm 85 */
				obj_t BgL_g1073z00_590;
				obj_t BgL_g1074z00_591;

				{	/* Heap/make.scm 85 */
					obj_t BgL_list1245z00_604;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg1246z00_605;

						BgL_arg1246z00_605 =
							MAKE_YOUNG_PAIR
							(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
							BNIL);
						BgL_list1245z00_604 =
							MAKE_YOUNG_PAIR
							(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
							BgL_arg1246z00_605);
					}
					BgL_g1073z00_590 = BgL_list1245z00_604;
				}
				BgL_g1074z00_591 = CNST_TABLE_REF(6L);
				{
					obj_t BgL_hooksz00_593;
					obj_t BgL_hnamesz00_594;

					BgL_hooksz00_593 = BgL_g1073z00_590;
					BgL_hnamesz00_594 = BgL_g1074z00_591;
				BgL_zc3z04anonymousza31233ze3z87_595:
					if (NULLP(BgL_hooksz00_593))
						{	/* Heap/make.scm 85 */
							CNST_TABLE_REF(1L);
						}
					else
						{	/* Heap/make.scm 85 */
							bool_t BgL_test1392z00_1023;

							{	/* Heap/make.scm 85 */
								obj_t BgL_fun1243z00_602;

								BgL_fun1243z00_602 = CAR(((obj_t) BgL_hooksz00_593));
								BgL_test1392z00_1023 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1243z00_602) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1243z00_602)) (BgL_fun1243z00_602,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1243z00_602))
										(BgL_fun1243z00_602)));
							}
							if (BgL_test1392z00_1023)
								{	/* Heap/make.scm 85 */
									obj_t BgL_arg1240z00_599;
									obj_t BgL_arg1241z00_600;

									BgL_arg1240z00_599 = CDR(((obj_t) BgL_hooksz00_593));
									BgL_arg1241z00_600 = CDR(((obj_t) BgL_hnamesz00_594));
									{
										obj_t BgL_hnamesz00_1035;
										obj_t BgL_hooksz00_1034;

										BgL_hooksz00_1034 = BgL_arg1240z00_599;
										BgL_hnamesz00_1035 = BgL_arg1241z00_600;
										BgL_hnamesz00_594 = BgL_hnamesz00_1035;
										BgL_hooksz00_593 = BgL_hooksz00_1034;
										goto BgL_zc3z04anonymousza31233ze3z87_595;
									}
								}
							else
								{	/* Heap/make.scm 85 */
									obj_t BgL_arg1242z00_601;

									BgL_arg1242z00_601 = CAR(((obj_t) BgL_hnamesz00_594));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1351z00zzheap_makez00,
										BGl_string1346z00zzheap_makez00, BgL_arg1242z00_601);
								}
						}
				}
			}
			{	/* Heap/make.scm 88 */
				obj_t BgL_genvz00_606;
				obj_t BgL_tenvz00_607;
				obj_t BgL_langz00_608;

				BgL_genvz00_606 = BGl_getzd2genvzd2zzast_envz00();
				BgL_tenvz00_607 = BGl_getzd2tenvzd2zztype_envz00();
				{	/* Heap/make.scm 90 */
					obj_t BgL_arg1252z00_616;

					BgL_arg1252z00_616 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_langz00_608 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1252z00_616)))->BgL_languagez00);
				}
				BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(2L));
				if (STRINGP(BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00))
					{	/* Heap/make.scm 96 */
						obj_t BgL_hnamez00_610;

						BgL_hnamez00_610 =
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
						{	/* Heap/make.scm 97 */
							obj_t BgL_portz00_611;

							BgL_portz00_611 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_hnamez00_610);
							if (BINARY_PORTP(BgL_portz00_611))
								{	/* Heap/make.scm 98 */
									{	/* Heap/make.scm 101 */
										obj_t BgL_arg1249z00_613;

										{	/* Heap/make.scm 101 */
											obj_t BgL_v1164z00_614;

											BgL_v1164z00_614 = create_vector(7L);
											VECTOR_SET(BgL_v1164z00_614, 0L, BgL_langz00_608);
											VECTOR_SET(BgL_v1164z00_614, 1L,
												BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
											VECTOR_SET(BgL_v1164z00_614, 2L,
												BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1164z00_614, 3L, BgL_genvz00_606);
											VECTOR_SET(BgL_v1164z00_614, 4L, BgL_tenvz00_607);
											VECTOR_SET(BgL_v1164z00_614, 5L,
												BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v1164z00_614, 6L,
												BGl_za2cczd2optionsza2zd2zzengine_paramz00);
											BgL_arg1249z00_613 = BgL_v1164z00_614;
										}
										output_obj(BgL_portz00_611, BgL_arg1249z00_613);
									}
									return close_binary_port(BgL_portz00_611);
								}
							else
								{	/* Heap/make.scm 98 */
									return
										BGl_errorz00zz__errorz00(BGl_string1352z00zzheap_makez00,
										BGl_string1348z00zzheap_makez00, BgL_hnamez00_610);
								}
						}
					}
				else
					{	/* Heap/make.scm 92 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string1353z00zzheap_makez00, BGl_string1349z00zzheap_makez00,
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);
					}
			}
		}

	}



/* &make-add-heap */
	obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t BgL_envz00_836)
	{
		{	/* Heap/make.scm 84 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}

	}



/* &check-additional-heap-library */
	obj_t BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t
		BgL_envz00_838)
	{
		{	/* Heap/make.scm 113 */
			if ((BGl_za2heapzd2libraryza2zd2zzengine_paramz00 == CNST_TABLE_REF(7L)))
				{	/* Heap/make.scm 115 */
					return
						BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(8L),
						BGl_string1354z00zzheap_makez00,
						BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
				}
			else
				{	/* Heap/make.scm 115 */
					if (SYMBOLP(BGl_za2heapzd2libraryza2zd2zzengine_paramz00))
						{	/* Heap/make.scm 119 */
							return BTRUE;
						}
					else
						{	/* Heap/make.scm 119 */
							return
								BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(8L),
								BGl_string1355z00zzheap_makez00,
								BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
						}
				}
		}

	}



/* &prepare-additional-globals! */
	obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t
		BgL_envz00_837)
	{
		{	/* Heap/make.scm 133 */
			{	/* Heap/make.scm 149 */
				bool_t BgL_tmpz00_1073;

				BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc1356z00zzheap_makez00,
					BNIL);
				BgL_tmpz00_1073 = ((bool_t) 1);
				return BBOOL(BgL_tmpz00_1073);
			}
		}

	}



/* &<@anonymous:1258> */
	obj_t BGl_z62zc3z04anonymousza31258ze3ze5zzheap_makez00(obj_t BgL_envz00_840,
		obj_t BgL_gz00_841)
	{
		{	/* Heap/make.scm 134 */
			{	/* Heap/make.scm 137 */
				bool_t BgL_test1397z00_1076;

				if (
					((((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_importz00) ==
						CNST_TABLE_REF(3L)))
					{	/* Heap/make.scm 137 */
						BgL_test1397z00_1076 = ((bool_t) 1);
					}
				else
					{	/* Heap/make.scm 137 */
						BgL_test1397z00_1076 =
							CBOOL(
							(((BgL_globalz00_bglt) COBJECT(
										((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_libraryz00));
					}
				if (BgL_test1397z00_1076)
					{	/* Heap/make.scm 139 */
						obj_t BgL_arg1275z00_862;
						obj_t BgL_arg1276z00_863;

						BgL_arg1275z00_862 =
							(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt)
										((BgL_globalz00_bglt) BgL_gz00_841))))->BgL_idz00);
						BgL_arg1276z00_863 =
							(((BgL_globalz00_bglt) COBJECT(
									((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_modulez00);
						BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg1275z00_862,
							BgL_arg1276z00_863);
					}
				else
					{	/* Heap/make.scm 137 */
						if (
							((((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_importz00) ==
								CNST_TABLE_REF(4L)))
							{	/* Heap/make.scm 141 */
								obj_t BgL_vz00_864;

								BgL_vz00_864 = CNST_TABLE_REF(5L);
								((((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_importz00) =
									((obj_t) BgL_vz00_864), BUNSPEC);
							}
						else
							{	/* Heap/make.scm 140 */
								BUNSPEC;
							}
					}
			}
			{	/* Heap/make.scm 146 */
				bool_t BgL_test1400z00_1099;

				{	/* Heap/make.scm 146 */
					obj_t BgL_tmpz00_1100;

					{	/* Heap/make.scm 146 */
						BgL_objectz00_bglt BgL_tmpz00_1101;

						BgL_tmpz00_1101 = ((BgL_objectz00_bglt) BgL_gz00_841);
						BgL_tmpz00_1100 = BGL_OBJECT_WIDENING(BgL_tmpz00_1101);
					}
					BgL_test1400z00_1099 = CBOOL(BgL_tmpz00_1100);
				}
				if (BgL_test1400z00_1099)
					{	/* Heap/make.scm 146 */
						{	/* Heap/make.scm 146 */
							long BgL_arg1284z00_865;

							{	/* Heap/make.scm 146 */
								obj_t BgL_arg1285z00_866;

								{	/* Heap/make.scm 146 */
									obj_t BgL_arg1287z00_867;

									{	/* Heap/make.scm 146 */
										long BgL_arg1808z00_868;

										{	/* Heap/make.scm 146 */
											long BgL_arg1809z00_869;

											BgL_arg1809z00_869 =
												BGL_OBJECT_CLASS_NUM(
												((BgL_objectz00_bglt) BgL_gz00_841));
											BgL_arg1808z00_868 = (BgL_arg1809z00_869 - OBJECT_TYPE);
										}
										BgL_arg1287z00_867 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_868);
									}
									BgL_arg1285z00_866 =
										BGl_classzd2superzd2zz__objectz00(BgL_arg1287z00_867);
								}
								{	/* Heap/make.scm 146 */
									obj_t BgL_tmpz00_1110;

									BgL_tmpz00_1110 = ((obj_t) BgL_arg1285z00_866);
									BgL_arg1284z00_865 = BGL_CLASS_NUM(BgL_tmpz00_1110);
							}}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_gz00_841), BgL_arg1284z00_865);
						}
						{	/* Heap/make.scm 146 */
							BgL_objectz00_bglt BgL_tmpz00_1115;

							BgL_tmpz00_1115 = ((BgL_objectz00_bglt) BgL_gz00_841);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1115, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_gz00_841);
						BgL_gz00_841;
					}
				else
					{	/* Heap/make.scm 146 */
						BFALSE;
					}
			}
			((((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_gz00_841))))->BgL_occurrencez00) =
				((long) 0L), BUNSPEC);
			{	/* Heap/make.scm 149 */
				obj_t BgL_vz00_870;

				BgL_vz00_870 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
				return
					((((BgL_globalz00_bglt) COBJECT(
								((BgL_globalz00_bglt) BgL_gz00_841)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_870), BUNSPEC);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00(void)
	{
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(419430976L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(147989063L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1357z00zzheap_makez00));
		}

	}

#ifdef __cplusplus
}
#endif
