/*===========================================================================*/
/*   (types.scm)                                                             */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -unsafe -safee -copt -fPIC -copt -I. types.scm -o objs/types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___BDL_TYPES_TYPE_DEFINITIONS
#define BGL___BDL_TYPES_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_bdlzd2locationzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_filez00;
   int BgL_linez00;
} *BgL_bdlzd2locationzd2_bglt;

typedef struct BgL_bdlzd2programzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_afilez00;
   obj_t BgL_etagsz00;
   obj_t BgL_filesz00;
   obj_t BgL_modulesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_genericsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_macrosz00;
   obj_t BgL_variablesz00;
   obj_t BgL_typesz00;
   obj_t BgL_classsz00;
   obj_t BgL_structuresz00;
   obj_t BgL_externsz00;
} *BgL_bdlzd2programzd2_bglt;

typedef struct BgL_bdlzd2entityzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
} *BgL_bdlzd2entityzd2_bglt;

typedef struct BgL_bdlzd2modulezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   obj_t BgL_filesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_variablesz00;
   obj_t BgL_classesz00;
   obj_t BgL_methodsz00;
   obj_t BgL_structuresz00;
   obj_t BgL_externsz00;
   obj_t BgL_macrosz00;
} *BgL_bdlzd2modulezd2_bglt;

typedef struct BgL_bdlzd2bindingzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2bindingzd2_bglt;

typedef struct BgL_bdlzd2variablezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2variablezd2_bglt;

typedef struct BgL_bdlzd2functionzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2functionzd2_bglt;

typedef struct BgL_bdlzd2methodzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
   obj_t BgL_genericz00;
   obj_t BgL_selectzd2typezd2;
   obj_t BgL_returnzd2typezd2;
} *BgL_bdlzd2methodzd2_bglt;

typedef struct BgL_bdlzd2genericzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
   obj_t BgL_methodsz00;
} *BgL_bdlzd2genericzd2_bglt;

typedef struct BgL_bdlzd2macrozd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_protoz00;
} *BgL_bdlzd2macrozd2_bglt;

typedef struct BgL_bdlzd2typezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2typezd2_bglt;

typedef struct BgL_bdlzd2classzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
   obj_t BgL_superz00;
   obj_t BgL_kindz00;
} *BgL_bdlzd2classzd2_bglt;

typedef struct BgL_bdlzd2structurezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2structurezd2_bglt;

typedef struct BgL_bdlzd2externzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_identz00;
   struct BgL_bdlzd2modulezd2_bgl * BgL_modulez00;
} *BgL_bdlzd2externzd2_bglt;


#endif // BGL___BDL_TYPES_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62lambda1684z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1927z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1685z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1848z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1849z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2methodzd2_bglt BGl_z62lambda1934z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1855z62zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2methodzd2_bglt BGl_z62lambda1936z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1856z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2entityzd2zz__bdl_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2structurezd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1862z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1943z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1863z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1944z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1949z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1869z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1950z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1870z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31686ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1954z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1955z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2entityzd2_bglt BGl_z62lambda1794z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1876z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1877z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2genericzd2_bglt BGl_z62lambda1961z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2genericzd2_bglt BGl_z62lambda1963z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2bindingzd2_bglt BGl_z62lambda1885z62zz__bdl_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__bdl_typesz00(void);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2programzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1970z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1971z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1891z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1892z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2macrozd2_bglt BGl_z62lambda1978z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2variablezd2_bglt BGl_z62lambda1898z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2macrozd2_bglt BGl_z62lambda1980z62zz__bdl_typesz00(obj_t);
static obj_t BGl_genericzd2initzd2zz__bdl_typesz00(void);
static obj_t BGl_z62lambda1987z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1988z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__bdl_typesz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31965ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__bdl_typesz00(void);
static BgL_bdlzd2typezd2_bglt BGl_z62lambda1995z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2typezd2_bglt BGl_z62lambda1997z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2classzd2zz__bdl_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_bdlzd2genericzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_methodzd2initzd2zz__bdl_typesz00(void);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2variablezd2zz__bdl_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_bdlzd2modulezd2zz__bdl_typesz00 = BUNSPEC;
static BgL_bdlzd2classzd2_bglt BGl_z62lambda2005z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_bdlzd2classzd2_bglt BGl_z62lambda2007z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda2014z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2015z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31239ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_callzd2virtualzd2setterz00zz__objectz00(BgL_objectz00_bglt, int, obj_t);
static obj_t BGl_z62lambda2021z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2022z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2structurezd2_bglt BGl_z62lambda2029z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2bindingzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2structurezd2_bglt BGl_z62lambda2031z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2externzd2_bglt BGl_z62lambda2039z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2locationzd2_bglt BGl_z62lambda1231z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2programzd2_bglt BGl_z62lambda1312z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2externzd2_bglt BGl_z62lambda2041z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31614ze3ze5zz__bdl_typesz00(obj_t);
static BgL_bdlzd2locationzd2_bglt BGl_z62lambda1236z62zz__bdl_typesz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__bdl_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2functionzd2zz__bdl_typesz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_callzd2virtualzd2getterz00zz__objectz00(BgL_objectz00_bglt, int);
static obj_t BGl_z62lambda1320z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1321z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31348ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1330z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1331z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31705ze3ze5zz__bdl_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2macrozd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1339z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1340z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1263z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1264z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1346z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1347z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__bdl_typesz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__bdl_typesz00(void);
static obj_t BGl_z62lambda1270z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1271z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1445z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1446z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1369z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1612z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1370z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31563ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1613z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1534z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1535z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2programzd2_bglt BGl_z62lambda1298z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31807ze3ze5zz__bdl_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2locationzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1561z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1562z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1643z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1805z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1644z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1806z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1811z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1812z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1818z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2methodzd2zz__bdl_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_bdlzd2typezd2zz__bdl_typesz00 = BUNSPEC;
static BgL_bdlzd2variablezd2_bglt BGl_z62lambda1900z62zz__bdl_typesz00(obj_t);
static BgL_bdlzd2modulezd2_bglt BGl_z62lambda1820z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1583z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1907z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1584z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1827z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1908z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31836ze3ze5zz__bdl_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_bdlzd2externzd2zz__bdl_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31585ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1671z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1672z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1834z62zz__bdl_typesz00(obj_t, obj_t);
static BgL_bdlzd2functionzd2_bglt BGl_z62lambda1915z62zz__bdl_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1835z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static BgL_bdlzd2functionzd2_bglt BGl_z62lambda1917z62zz__bdl_typesz00(obj_t);
static obj_t BGl_z62lambda1841z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1842z62zz__bdl_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__bdl_typesz00(obj_t, obj_t);
static obj_t __cnst[ 48 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2112z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2187za7, BGl_z62zc3z04anonymousza31857ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2113z00zz__bdl_typesz00, BgL_bgl_za762lambda1856za7622188z00, BGl_z62lambda1856z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2114z00zz__bdl_typesz00, BgL_bgl_za762lambda1855za7622189z00, BGl_z62lambda1855z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2115z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2190za7, BGl_z62zc3z04anonymousza31864ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2116z00zz__bdl_typesz00, BgL_bgl_za762lambda1863za7622191z00, BGl_z62lambda1863z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2117z00zz__bdl_typesz00, BgL_bgl_za762lambda1862za7622192z00, BGl_z62lambda1862z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2118z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2193za7, BGl_z62zc3z04anonymousza31871ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2119z00zz__bdl_typesz00, BgL_bgl_za762lambda1870za7622194z00, BGl_z62lambda1870z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2120z00zz__bdl_typesz00, BgL_bgl_za762lambda1869za7622195z00, BGl_z62lambda1869z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2121z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2196za7, BGl_z62zc3z04anonymousza31878ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2122z00zz__bdl_typesz00, BgL_bgl_za762lambda1877za7622197z00, BGl_z62lambda1877z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2123z00zz__bdl_typesz00, BgL_bgl_za762lambda1876za7622198z00, BGl_z62lambda1876z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2124z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2199za7, BGl_z62zc3z04anonymousza31822ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2125z00zz__bdl_typesz00, BgL_bgl_za762lambda1820za7622200z00, BGl_z62lambda1820z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2126z00zz__bdl_typesz00, BgL_bgl_za762lambda1818za7622201z00, BGl_z62lambda1818z62zz__bdl_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2045z00zz__bdl_typesz00, BgL_bgl_za762lambda1264za7622202z00, BGl_z62lambda1264z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2127z00zz__bdl_typesz00, BgL_bgl_za762lambda1892za7622203z00, BGl_z62lambda1892z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2046z00zz__bdl_typesz00, BgL_bgl_za762lambda1263za7622204z00, BGl_z62lambda1263z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2128z00zz__bdl_typesz00, BgL_bgl_za762lambda1891za7622205z00, BGl_z62lambda1891z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2047z00zz__bdl_typesz00, BgL_bgl_za762lambda1271za7622206z00, BGl_z62lambda1271z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2129z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2207za7, BGl_z62zc3z04anonymousza31887ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2048z00zz__bdl_typesz00, BgL_bgl_za762lambda1270za7622208z00, BGl_z62lambda1270z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2049z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2209za7, BGl_z62zc3z04anonymousza31239ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2130z00zz__bdl_typesz00, BgL_bgl_za762lambda1885za7622210z00, BGl_z62lambda1885z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2131z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2211za7, BGl_z62zc3z04anonymousza31909ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2050z00zz__bdl_typesz00, BgL_bgl_za762lambda1236za7622212z00, BGl_z62lambda1236z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2132z00zz__bdl_typesz00, BgL_bgl_za762lambda1908za7622213z00, BGl_z62lambda1908z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2051z00zz__bdl_typesz00, BgL_bgl_za762lambda1231za7622214z00, BGl_z62lambda1231z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2133z00zz__bdl_typesz00, BgL_bgl_za762lambda1907za7622215z00, BGl_z62lambda1907z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2052z00zz__bdl_typesz00, BgL_bgl_za762lambda1321za7622216z00, BGl_z62lambda1321z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2134z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2217za7, BGl_z62zc3z04anonymousza31902ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2053z00zz__bdl_typesz00, BgL_bgl_za762lambda1320za7622218z00, BGl_z62lambda1320z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2135z00zz__bdl_typesz00, BgL_bgl_za762lambda1900za7622219z00, BGl_z62lambda1900z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2054z00zz__bdl_typesz00, BgL_bgl_za762lambda1331za7622220z00, BGl_z62lambda1331z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2136z00zz__bdl_typesz00, BgL_bgl_za762lambda1898za7622221z00, BGl_z62lambda1898z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2055z00zz__bdl_typesz00, BgL_bgl_za762lambda1330za7622222z00, BGl_z62lambda1330z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2137z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2223za7, BGl_z62zc3z04anonymousza31928ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2056z00zz__bdl_typesz00, BgL_bgl_za762lambda1340za7622224z00, BGl_z62lambda1340z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2138z00zz__bdl_typesz00, BgL_bgl_za762lambda1927za7622225z00, BGl_z62lambda1927z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2057z00zz__bdl_typesz00, BgL_bgl_za762lambda1339za7622226z00, BGl_z62lambda1339z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2139z00zz__bdl_typesz00, BgL_bgl_za762lambda1926za7622227z00, BGl_z62lambda1926z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2058z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2228za7, BGl_z62zc3z04anonymousza31348ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2059z00zz__bdl_typesz00, BgL_bgl_za762lambda1347za7622229z00, BGl_z62lambda1347z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2140z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2230za7, BGl_z62zc3z04anonymousza31919ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2141z00zz__bdl_typesz00, BgL_bgl_za762lambda1917za7622231z00, BGl_z62lambda1917z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2060z00zz__bdl_typesz00, BgL_bgl_za762lambda1346za7622232z00, BGl_z62lambda1346z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2142z00zz__bdl_typesz00, BgL_bgl_za762lambda1915za7622233z00, BGl_z62lambda1915z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2061z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2234za7, BGl_z62zc3z04anonymousza31371ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2143z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2235za7, BGl_z62zc3z04anonymousza31945ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2062z00zz__bdl_typesz00, BgL_bgl_za762lambda1370za7622236z00, BGl_z62lambda1370z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2144z00zz__bdl_typesz00, BgL_bgl_za762lambda1944za7622237z00, BGl_z62lambda1944z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2063z00zz__bdl_typesz00, BgL_bgl_za762lambda1369za7622238z00, BGl_z62lambda1369z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2145z00zz__bdl_typesz00, BgL_bgl_za762lambda1943za7622239z00, BGl_z62lambda1943z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2064z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2240za7, BGl_z62zc3z04anonymousza31447ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2146z00zz__bdl_typesz00, BgL_bgl_za762lambda1950za7622241z00, BGl_z62lambda1950z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2065z00zz__bdl_typesz00, BgL_bgl_za762lambda1446za7622242z00, BGl_z62lambda1446z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2147z00zz__bdl_typesz00, BgL_bgl_za762lambda1949za7622243z00, BGl_z62lambda1949z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2066z00zz__bdl_typesz00, BgL_bgl_za762lambda1445za7622244z00, BGl_z62lambda1445z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2148z00zz__bdl_typesz00, BgL_bgl_za762lambda1955za7622245z00, BGl_z62lambda1955z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2067z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2246za7, BGl_z62zc3z04anonymousza31536ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2149z00zz__bdl_typesz00, BgL_bgl_za762lambda1954za7622247z00, BGl_z62lambda1954z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2068z00zz__bdl_typesz00, BgL_bgl_za762lambda1535za7622248z00, BGl_z62lambda1535z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2069z00zz__bdl_typesz00, BgL_bgl_za762lambda1534za7622249z00, BGl_z62lambda1534z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2150z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2250za7, BGl_z62zc3z04anonymousza31938ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2151z00zz__bdl_typesz00, BgL_bgl_za762lambda1936za7622251z00, BGl_z62lambda1936z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2070z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2252za7, BGl_z62zc3z04anonymousza31563ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2152z00zz__bdl_typesz00, BgL_bgl_za762lambda1934za7622253z00, BGl_z62lambda1934z62zz__bdl_typesz00, 0L, BUNSPEC, 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2071z00zz__bdl_typesz00, BgL_bgl_za762lambda1562za7622254z00, BGl_z62lambda1562z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2153z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2255za7, BGl_z62zc3z04anonymousza31972ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2072z00zz__bdl_typesz00, BgL_bgl_za762lambda1561za7622256z00, BGl_z62lambda1561z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2154z00zz__bdl_typesz00, BgL_bgl_za762lambda1971za7622257z00, BGl_z62lambda1971z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2073z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2258za7, BGl_z62zc3z04anonymousza31585ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2155z00zz__bdl_typesz00, BgL_bgl_za762lambda1970za7622259z00, BGl_z62lambda1970z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2074z00zz__bdl_typesz00, BgL_bgl_za762lambda1584za7622260z00, BGl_z62lambda1584z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2156z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2261za7, BGl_z62zc3z04anonymousza31965ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2075z00zz__bdl_typesz00, BgL_bgl_za762lambda1583za7622262z00, BGl_z62lambda1583z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2157z00zz__bdl_typesz00, BgL_bgl_za762lambda1963za7622263z00, BGl_z62lambda1963z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2076z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2264za7, BGl_z62zc3z04anonymousza31614ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2158z00zz__bdl_typesz00, BgL_bgl_za762lambda1961za7622265z00, BGl_z62lambda1961z62zz__bdl_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2077z00zz__bdl_typesz00, BgL_bgl_za762lambda1613za7622266z00, BGl_z62lambda1613z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2159z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2267za7, BGl_z62zc3z04anonymousza31989ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2078z00zz__bdl_typesz00, BgL_bgl_za762lambda1612za7622268z00, BGl_z62lambda1612z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2079z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2269za7, BGl_z62zc3z04anonymousza31645ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2160z00zz__bdl_typesz00, BgL_bgl_za762lambda1988za7622270z00, BGl_z62lambda1988z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2161z00zz__bdl_typesz00, BgL_bgl_za762lambda1987za7622271z00, BGl_z62lambda1987z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2080z00zz__bdl_typesz00, BgL_bgl_za762lambda1644za7622272z00, BGl_z62lambda1644z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2162z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2273za7, BGl_z62zc3z04anonymousza31982ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2081z00zz__bdl_typesz00, BgL_bgl_za762lambda1643za7622274z00, BGl_z62lambda1643z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2163z00zz__bdl_typesz00, BgL_bgl_za762lambda1980za7622275z00, BGl_z62lambda1980z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2082z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2276za7, BGl_z62zc3z04anonymousza31673ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2164z00zz__bdl_typesz00, BgL_bgl_za762lambda1978za7622277z00, BGl_z62lambda1978z62zz__bdl_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2083z00zz__bdl_typesz00, BgL_bgl_za762lambda1672za7622278z00, BGl_z62lambda1672z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2165z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2279za7, BGl_z62zc3z04anonymousza31999ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2084z00zz__bdl_typesz00, BgL_bgl_za762lambda1671za7622280z00, BGl_z62lambda1671z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2166z00zz__bdl_typesz00, BgL_bgl_za762lambda1997za7622281z00, BGl_z62lambda1997z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2085z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2282za7, BGl_z62zc3z04anonymousza31686ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2167z00zz__bdl_typesz00, BgL_bgl_za762lambda1995za7622283z00, BGl_z62lambda1995z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2086z00zz__bdl_typesz00, BgL_bgl_za762lambda1685za7622284z00, BGl_z62lambda1685z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2168z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2285za7, BGl_z62zc3z04anonymousza32016ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2087z00zz__bdl_typesz00, BgL_bgl_za762lambda1684za7622286z00, BGl_z62lambda1684z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2169z00zz__bdl_typesz00, BgL_bgl_za762lambda2015za7622287z00, BGl_z62lambda2015z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2088z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2288za7, BGl_z62zc3z04anonymousza31706ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2089z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2289za7, BGl_z62zc3z04anonymousza31705ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2170z00zz__bdl_typesz00, BgL_bgl_za762lambda2014za7622290z00, BGl_z62lambda2014z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2171z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2291za7, BGl_z62zc3z04anonymousza32023ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2090z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2292za7, BGl_z62zc3z04anonymousza31712ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2172z00zz__bdl_typesz00, BgL_bgl_za762lambda2022za7622293z00, BGl_z62lambda2022z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2091z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2294za7, BGl_z62zc3z04anonymousza31314ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2173z00zz__bdl_typesz00, BgL_bgl_za762lambda2021za7622295z00, BGl_z62lambda2021z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2092z00zz__bdl_typesz00, BgL_bgl_za762lambda1312za7622296z00, BGl_z62lambda1312z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2174z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2297za7, BGl_z62zc3z04anonymousza32009ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2093z00zz__bdl_typesz00, BgL_bgl_za762lambda1298za7622298z00, BGl_z62lambda1298z62zz__bdl_typesz00, 0L, BUNSPEC, 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2175z00zz__bdl_typesz00, BgL_bgl_za762lambda2007za7622299z00, BGl_z62lambda2007z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2094z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2300za7, BGl_z62zc3z04anonymousza31807ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2176z00zz__bdl_typesz00, BgL_bgl_za762lambda2005za7622301z00, BGl_z62lambda2005z62zz__bdl_typesz00, 0L, BUNSPEC, 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2095z00zz__bdl_typesz00, BgL_bgl_za762lambda1806za7622302z00, BGl_z62lambda1806z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2183z00zz__bdl_typesz00, BgL_bgl_string2183za700za7za7_2303za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2177z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2304za7, BGl_z62zc3z04anonymousza32033ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2096z00zz__bdl_typesz00, BgL_bgl_za762lambda1805za7622305z00, BGl_z62lambda1805z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2184z00zz__bdl_typesz00, BgL_bgl_string2184za700za7za7_2306za7, "plain _ bdl-extern bdl-structure bdl-class symbol kind super bdl-type bdl-macro bdl-generic bdl-method return-type select-type generic bdl-function bdl-variable proto bdl-binding module bdl-module classes bdl-entity ident loc bdl-program hashtables externs structures classs types variables macros methods generics functions modules pair-nil files etags obj afile __bdl_types bdl-location int line bstring file ", 411 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2178z00zz__bdl_typesz00, BgL_bgl_za762lambda2031za7622307z00, BGl_z62lambda2031z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2097z00zz__bdl_typesz00, BgL_bgl_za762lambda1812za7622308z00, BGl_z62lambda1812z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2179z00zz__bdl_typesz00, BgL_bgl_za762lambda2029za7622309z00, BGl_z62lambda2029z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2098z00zz__bdl_typesz00, BgL_bgl_za762lambda1811za7622310z00, BGl_z62lambda1811z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2099z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2311za7, BGl_z62zc3z04anonymousza31800ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2180z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2312za7, BGl_z62zc3z04anonymousza32043ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2181z00zz__bdl_typesz00, BgL_bgl_za762lambda2041za7622313z00, BGl_z62lambda2041z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2182z00zz__bdl_typesz00, BgL_bgl_za762lambda2039za7622314z00, BGl_z62lambda2039z62zz__bdl_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2100z00zz__bdl_typesz00, BgL_bgl_za762lambda1794za7622315z00, BGl_z62lambda1794z62zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2101z00zz__bdl_typesz00, BgL_bgl_za762lambda1827za7622316z00, BGl_z62lambda1827z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2102z00zz__bdl_typesz00, BgL_bgl_za762lambda1826za7622317z00, BGl_z62lambda1826z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2103z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2318za7, BGl_z62zc3z04anonymousza31836ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2104z00zz__bdl_typesz00, BgL_bgl_za762lambda1835za7622319z00, BGl_z62lambda1835z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2105z00zz__bdl_typesz00, BgL_bgl_za762lambda1834za7622320z00, BGl_z62lambda1834z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2106z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2321za7, BGl_z62zc3z04anonymousza31843ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2107z00zz__bdl_typesz00, BgL_bgl_za762lambda1842za7622322z00, BGl_z62lambda1842z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2108z00zz__bdl_typesz00, BgL_bgl_za762lambda1841za7622323z00, BGl_z62lambda1841z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2109z00zz__bdl_typesz00, BgL_bgl_za762za7c3za704anonymo2324za7, BGl_z62zc3z04anonymousza31850ze3ze5zz__bdl_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2110z00zz__bdl_typesz00, BgL_bgl_za762lambda1849za7622325z00, BGl_z62lambda1849z62zz__bdl_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2111z00zz__bdl_typesz00, BgL_bgl_za762lambda1848za7622326z00, BGl_z62lambda1848z62zz__bdl_typesz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_bdlzd2entityzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2structurezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2programzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2classzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2genericzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2variablezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2modulezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2bindingzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2functionzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2macrozd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2locationzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2methodzd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2typezd2zz__bdl_typesz00) );
ADD_ROOT( (void *)(&BGl_bdlzd2externzd2zz__bdl_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__bdl_typesz00(long BgL_checksumz00_1694, char * BgL_fromz00_1695)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__bdl_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__bdl_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__bdl_typesz00(); 
BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00(); 
BGl_cnstzd2initzd2zz__bdl_typesz00(); 
BGl_objectzd2initzd2zz__bdl_typesz00(); 
return 
BGl_toplevelzd2initzd2zz__bdl_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__hashz00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__bdl_types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__bdl_types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
{ /* types.scm 15 */
 obj_t BgL_cportz00_1447;
{ /* types.scm 15 */
 obj_t BgL_stringz00_1454;
BgL_stringz00_1454 = BGl_string2184z00zz__bdl_typesz00; 
{ /* types.scm 15 */
 obj_t BgL_startz00_1455;
BgL_startz00_1455 = 
BINT(0L); 
{ /* types.scm 15 */
 obj_t BgL_endz00_1456;
BgL_endz00_1456 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1454))); 
{ /* types.scm 15 */

BgL_cportz00_1447 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1454, BgL_startz00_1455, BgL_endz00_1456); } } } } 
{ 
 long BgL_iz00_1448;
BgL_iz00_1448 = 47L; 
BgL_loopz00_1449:
if(
(BgL_iz00_1448==-1L))
{ /* types.scm 15 */
return BUNSPEC;}  else 
{ /* types.scm 15 */
{ /* types.scm 15 */
 obj_t BgL_arg2185z00_1450;
{ /* types.scm 15 */

{ /* types.scm 15 */
 obj_t BgL_locationz00_1452;
BgL_locationz00_1452 = 
BBOOL(((bool_t)0)); 
{ /* types.scm 15 */

BgL_arg2185z00_1450 = 
BGl_readz00zz__readerz00(BgL_cportz00_1447, BgL_locationz00_1452); } } } 
{ /* types.scm 15 */
 int BgL_tmpz00_1720;
BgL_tmpz00_1720 = 
(int)(BgL_iz00_1448); 
CNST_TABLE_SET(BgL_tmpz00_1720, BgL_arg2185z00_1450); } } 
{ /* types.scm 15 */
 int BgL_auxz00_1453;
BgL_auxz00_1453 = 
(int)(
(BgL_iz00_1448-1L)); 
{ 
 long BgL_iz00_1725;
BgL_iz00_1725 = 
(long)(BgL_auxz00_1453); 
BgL_iz00_1448 = BgL_iz00_1725; 
goto BgL_loopz00_1449;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
{ /* types.scm 17 */
 obj_t BgL_arg1229z00_14; obj_t BgL_arg1230z00_15;
{ /* types.scm 17 */
 obj_t BgL_v1176z00_27;
BgL_v1176z00_27 = 
create_vector(2L); 
{ /* types.scm 17 */
 obj_t BgL_arg1258z00_28;
BgL_arg1258z00_28 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(0L), BGl_proc2046z00zz__bdl_typesz00, BGl_proc2045z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1176z00_27,0L,BgL_arg1258z00_28); } 
{ /* types.scm 17 */
 obj_t BgL_arg1266z00_38;
BgL_arg1266z00_38 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(2L), BGl_proc2048z00zz__bdl_typesz00, BGl_proc2047z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(3L)); 
VECTOR_SET(BgL_v1176z00_27,1L,BgL_arg1266z00_38); } 
BgL_arg1229z00_14 = BgL_v1176z00_27; } 
{ /* types.scm 17 */
 obj_t BgL_v1177z00_48;
BgL_v1177z00_48 = 
create_vector(0L); 
BgL_arg1230z00_15 = BgL_v1177z00_48; } 
BGl_bdlzd2locationzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(4L), 
CNST_TABLE_REF(5L), BGl_objectz00zz__objectz00, 39445L, BGl_proc2051z00zz__bdl_typesz00, BGl_proc2050z00zz__bdl_typesz00, BFALSE, BGl_proc2049z00zz__bdl_typesz00, BFALSE, BgL_arg1229z00_14, BgL_arg1230z00_15); } 
{ /* types.scm 22 */
 obj_t BgL_arg1296z00_55; obj_t BgL_arg1297z00_56;
{ /* types.scm 22 */
 obj_t BgL_v1178z00_79;
BgL_v1178z00_79 = 
create_vector(14L); 
{ /* types.scm 22 */
 obj_t BgL_arg1317z00_80;
BgL_arg1317z00_80 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(6L), BGl_proc2053z00zz__bdl_typesz00, BGl_proc2052z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,0L,BgL_arg1317z00_80); } 
{ /* types.scm 22 */
 obj_t BgL_arg1326z00_90;
BgL_arg1326z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(8L), BGl_proc2055z00zz__bdl_typesz00, BGl_proc2054z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,1L,BgL_arg1326z00_90); } 
{ /* types.scm 22 */
 obj_t BgL_arg1335z00_100;
BgL_arg1335z00_100 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc2057z00zz__bdl_typesz00, BGl_proc2056z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1178z00_79,2L,BgL_arg1335z00_100); } 
{ /* types.scm 22 */
 obj_t BgL_arg1341z00_110;
BgL_arg1341z00_110 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(11L), BGl_proc2060z00zz__bdl_typesz00, BGl_proc2059z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2058z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,3L,BgL_arg1341z00_110); } 
{ /* types.scm 22 */
 obj_t BgL_arg1358z00_124;
BgL_arg1358z00_124 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc2063z00zz__bdl_typesz00, BGl_proc2062z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2061z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,4L,BgL_arg1358z00_124); } 
{ /* types.scm 22 */
 obj_t BgL_arg1373z00_138;
BgL_arg1373z00_138 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(13L), BGl_proc2066z00zz__bdl_typesz00, BGl_proc2065z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2064z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,5L,BgL_arg1373z00_138); } 
{ /* types.scm 22 */
 obj_t BgL_arg1523z00_152;
BgL_arg1523z00_152 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(14L), BGl_proc2069z00zz__bdl_typesz00, BGl_proc2068z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2067z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,6L,BgL_arg1523z00_152); } 
{ /* types.scm 22 */
 obj_t BgL_arg1544z00_166;
BgL_arg1544z00_166 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(15L), BGl_proc2072z00zz__bdl_typesz00, BGl_proc2071z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2070z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,7L,BgL_arg1544z00_166); } 
{ /* types.scm 22 */
 obj_t BgL_arg1565z00_180;
BgL_arg1565z00_180 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(16L), BGl_proc2075z00zz__bdl_typesz00, BGl_proc2074z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2073z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,8L,BgL_arg1565z00_180); } 
{ /* types.scm 22 */
 obj_t BgL_arg1597z00_194;
BgL_arg1597z00_194 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(17L), BGl_proc2078z00zz__bdl_typesz00, BGl_proc2077z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2076z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,9L,BgL_arg1597z00_194); } 
{ /* types.scm 22 */
 obj_t BgL_arg1633z00_208;
BgL_arg1633z00_208 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(18L), BGl_proc2081z00zz__bdl_typesz00, BGl_proc2080z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2079z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,10L,BgL_arg1633z00_208); } 
{ /* types.scm 22 */
 obj_t BgL_arg1648z00_222;
BgL_arg1648z00_222 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(19L), BGl_proc2084z00zz__bdl_typesz00, BGl_proc2083z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2082z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,11L,BgL_arg1648z00_222); } 
{ /* types.scm 22 */
 obj_t BgL_arg1677z00_236;
BgL_arg1677z00_236 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(20L), BGl_proc2087z00zz__bdl_typesz00, BGl_proc2086z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BGl_proc2085z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,12L,BgL_arg1677z00_236); } 
{ /* types.scm 22 */
 obj_t BgL_arg1688z00_250;
BgL_arg1688z00_250 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(21L), BGl_proc2089z00zz__bdl_typesz00, BGl_proc2088z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)1), BFALSE, BFALSE, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1178z00_79,13L,BgL_arg1688z00_250); } 
BgL_arg1296z00_55 = BgL_v1178z00_79; } 
{ /* types.scm 22 */
 obj_t BgL_v1179z00_260;
BgL_v1179z00_260 = 
create_vector(1L); 
{ /* types.scm 40 */
 obj_t BgL_arg1707z00_261;
{ /* types.scm 40 */
 obj_t BgL_arg1710z00_262;
BgL_arg1710z00_262 = 
MAKE_YOUNG_PAIR(BGl_proc2090z00zz__bdl_typesz00, BFALSE); 
BgL_arg1707z00_261 = 
MAKE_YOUNG_PAIR(
BINT(0L), BgL_arg1710z00_262); } 
VECTOR_SET(BgL_v1179z00_260,0L,BgL_arg1707z00_261); } 
BgL_arg1297z00_56 = BgL_v1179z00_260; } 
BGl_bdlzd2programzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(22L), 
CNST_TABLE_REF(5L), BGl_objectz00zz__objectz00, 18011L, BGl_proc2093z00zz__bdl_typesz00, BGl_proc2092z00zz__bdl_typesz00, BFALSE, BGl_proc2091z00zz__bdl_typesz00, BFALSE, BgL_arg1296z00_55, BgL_arg1297z00_56); } 
{ /* types.scm 52 */
 obj_t BgL_arg1792z00_296; obj_t BgL_arg1793z00_297;
{ /* types.scm 52 */
 obj_t BgL_v1180z00_303;
BgL_v1180z00_303 = 
create_vector(2L); 
{ /* types.scm 52 */
 obj_t BgL_arg1801z00_304;
BgL_arg1801z00_304 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(23L), BGl_proc2096z00zz__bdl_typesz00, BGl_proc2095z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2094z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1180z00_303,0L,BgL_arg1801z00_304); } 
{ /* types.scm 52 */
 obj_t BgL_arg1808z00_317;
BgL_arg1808z00_317 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(24L), BGl_proc2098z00zz__bdl_typesz00, BGl_proc2097z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(1L)); 
VECTOR_SET(BgL_v1180z00_303,1L,BgL_arg1808z00_317); } 
BgL_arg1792z00_296 = BgL_v1180z00_303; } 
{ /* types.scm 52 */
 obj_t BgL_v1181z00_327;
BgL_v1181z00_327 = 
create_vector(0L); 
BgL_arg1793z00_297 = BgL_v1181z00_327; } 
BGl_bdlzd2entityzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(25L), 
CNST_TABLE_REF(5L), BGl_objectz00zz__objectz00, 53392L, BFALSE, BGl_proc2100z00zz__bdl_typesz00, BFALSE, BGl_proc2099z00zz__bdl_typesz00, BFALSE, BgL_arg1792z00_296, BgL_arg1793z00_297); } 
{ /* types.scm 57 */
 obj_t BgL_arg1816z00_333; obj_t BgL_arg1817z00_334;
{ /* types.scm 57 */
 obj_t BgL_v1182z00_354;
BgL_v1182z00_354 = 
create_vector(8L); 
{ /* types.scm 57 */
 obj_t BgL_arg1823z00_355;
BgL_arg1823z00_355 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(9L), BGl_proc2102z00zz__bdl_typesz00, BGl_proc2101z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,0L,BgL_arg1823z00_355); } 
{ /* types.scm 57 */
 obj_t BgL_arg1828z00_365;
BgL_arg1828z00_365 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(12L), BGl_proc2105z00zz__bdl_typesz00, BGl_proc2104z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2103z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,1L,BgL_arg1828z00_365); } 
{ /* types.scm 57 */
 obj_t BgL_arg1837z00_378;
BgL_arg1837z00_378 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(16L), BGl_proc2108z00zz__bdl_typesz00, BGl_proc2107z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2106z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,2L,BgL_arg1837z00_378); } 
{ /* types.scm 57 */
 obj_t BgL_arg1844z00_391;
BgL_arg1844z00_391 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(26L), BGl_proc2111z00zz__bdl_typesz00, BGl_proc2110z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2109z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,3L,BgL_arg1844z00_391); } 
{ /* types.scm 57 */
 obj_t BgL_arg1851z00_404;
BgL_arg1851z00_404 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(14L), BGl_proc2114z00zz__bdl_typesz00, BGl_proc2113z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2112z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,4L,BgL_arg1851z00_404); } 
{ /* types.scm 57 */
 obj_t BgL_arg1858z00_417;
BgL_arg1858z00_417 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(19L), BGl_proc2117z00zz__bdl_typesz00, BGl_proc2116z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2115z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,5L,BgL_arg1858z00_417); } 
{ /* types.scm 57 */
 obj_t BgL_arg1865z00_430;
BgL_arg1865z00_430 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(20L), BGl_proc2120z00zz__bdl_typesz00, BGl_proc2119z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2118z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,6L,BgL_arg1865z00_430); } 
{ /* types.scm 57 */
 obj_t BgL_arg1872z00_443;
BgL_arg1872z00_443 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(15L), BGl_proc2123z00zz__bdl_typesz00, BGl_proc2122z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2121z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1182z00_354,7L,BgL_arg1872z00_443); } 
BgL_arg1816z00_333 = BgL_v1182z00_354; } 
{ /* types.scm 57 */
 obj_t BgL_v1183z00_456;
BgL_v1183z00_456 = 
create_vector(0L); 
BgL_arg1817z00_334 = BgL_v1183z00_456; } 
BGl_bdlzd2modulezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(27L), 
CNST_TABLE_REF(5L), BGl_bdlzd2entityzd2zz__bdl_typesz00, 30856L, BGl_proc2126z00zz__bdl_typesz00, BGl_proc2125z00zz__bdl_typesz00, BFALSE, BGl_proc2124z00zz__bdl_typesz00, BFALSE, BgL_arg1816z00_333, BgL_arg1817z00_334); } 
{ /* types.scm 76 */
 obj_t BgL_arg1882z00_462; obj_t BgL_arg1884z00_463;
{ /* types.scm 76 */
 obj_t BgL_v1184z00_469;
BgL_v1184z00_469 = 
create_vector(1L); 
{ /* types.scm 76 */
 obj_t BgL_arg1888z00_470;
BgL_arg1888z00_470 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(28L), BGl_proc2128z00zz__bdl_typesz00, BGl_proc2127z00zz__bdl_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_bdlzd2modulezd2zz__bdl_typesz00); 
VECTOR_SET(BgL_v1184z00_469,0L,BgL_arg1888z00_470); } 
BgL_arg1882z00_462 = BgL_v1184z00_469; } 
{ /* types.scm 76 */
 obj_t BgL_v1185z00_480;
BgL_v1185z00_480 = 
create_vector(0L); 
BgL_arg1884z00_463 = BgL_v1185z00_480; } 
BGl_bdlzd2bindingzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(29L), 
CNST_TABLE_REF(5L), BGl_bdlzd2entityzd2zz__bdl_typesz00, 990L, BFALSE, BGl_proc2130z00zz__bdl_typesz00, BFALSE, BGl_proc2129z00zz__bdl_typesz00, BFALSE, BgL_arg1882z00_462, BgL_arg1884z00_463); } 
{ /* types.scm 80 */
 obj_t BgL_arg1896z00_486; obj_t BgL_arg1897z00_487;
{ /* types.scm 80 */
 obj_t BgL_v1186z00_501;
BgL_v1186z00_501 = 
create_vector(1L); 
{ /* types.scm 80 */
 obj_t BgL_arg1903z00_502;
BgL_arg1903z00_502 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(30L), BGl_proc2133z00zz__bdl_typesz00, BGl_proc2132z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2131z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1186z00_501,0L,BgL_arg1903z00_502); } 
BgL_arg1896z00_486 = BgL_v1186z00_501; } 
{ /* types.scm 80 */
 obj_t BgL_v1187z00_515;
BgL_v1187z00_515 = 
create_vector(0L); 
BgL_arg1897z00_487 = BgL_v1187z00_515; } 
BGl_bdlzd2variablezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(31L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 63308L, BGl_proc2136z00zz__bdl_typesz00, BGl_proc2135z00zz__bdl_typesz00, BFALSE, BGl_proc2134z00zz__bdl_typesz00, BFALSE, BgL_arg1896z00_486, BgL_arg1897z00_487); } 
{ /* types.scm 84 */
 obj_t BgL_arg1913z00_522; obj_t BgL_arg1914z00_523;
{ /* types.scm 84 */
 obj_t BgL_v1188z00_537;
BgL_v1188z00_537 = 
create_vector(1L); 
{ /* types.scm 84 */
 obj_t BgL_arg1920z00_538;
BgL_arg1920z00_538 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(30L), BGl_proc2139z00zz__bdl_typesz00, BGl_proc2138z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2137z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1188z00_537,0L,BgL_arg1920z00_538); } 
BgL_arg1913z00_522 = BgL_v1188z00_537; } 
{ /* types.scm 84 */
 obj_t BgL_v1189z00_551;
BgL_v1189z00_551 = 
create_vector(0L); 
BgL_arg1914z00_523 = BgL_v1189z00_551; } 
BGl_bdlzd2functionzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(32L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 41068L, BGl_proc2142z00zz__bdl_typesz00, BGl_proc2141z00zz__bdl_typesz00, BFALSE, BGl_proc2140z00zz__bdl_typesz00, BFALSE, BgL_arg1913z00_522, BgL_arg1914z00_523); } 
{ /* types.scm 88 */
 obj_t BgL_arg1932z00_558; obj_t BgL_arg1933z00_559;
{ /* types.scm 88 */
 obj_t BgL_v1190z00_576;
BgL_v1190z00_576 = 
create_vector(3L); 
{ /* types.scm 88 */
 obj_t BgL_arg1939z00_577;
BgL_arg1939z00_577 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(33L), BGl_proc2145z00zz__bdl_typesz00, BGl_proc2144z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2143z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1190z00_576,0L,BgL_arg1939z00_577); } 
{ /* types.scm 88 */
 obj_t BgL_arg1946z00_590;
BgL_arg1946z00_590 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(34L), BGl_proc2147z00zz__bdl_typesz00, BGl_proc2146z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1190z00_576,1L,BgL_arg1946z00_590); } 
{ /* types.scm 88 */
 obj_t BgL_arg1951z00_600;
BgL_arg1951z00_600 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(35L), BGl_proc2149z00zz__bdl_typesz00, BGl_proc2148z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1190z00_576,2L,BgL_arg1951z00_600); } 
BgL_arg1932z00_558 = BgL_v1190z00_576; } 
{ /* types.scm 88 */
 obj_t BgL_v1191z00_610;
BgL_v1191z00_610 = 
create_vector(0L); 
BgL_arg1933z00_559 = BgL_v1191z00_610; } 
BGl_bdlzd2methodzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(36L), 
CNST_TABLE_REF(5L), BGl_bdlzd2functionzd2zz__bdl_typesz00, 26515L, BGl_proc2152z00zz__bdl_typesz00, BGl_proc2151z00zz__bdl_typesz00, BFALSE, BGl_proc2150z00zz__bdl_typesz00, BFALSE, BgL_arg1932z00_558, BgL_arg1933z00_559); } 
{ /* types.scm 94 */
 obj_t BgL_arg1959z00_617; obj_t BgL_arg1960z00_618;
{ /* types.scm 94 */
 obj_t BgL_v1192z00_633;
BgL_v1192z00_633 = 
create_vector(1L); 
{ /* types.scm 94 */
 obj_t BgL_arg1966z00_634;
BgL_arg1966z00_634 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(14L), BGl_proc2155z00zz__bdl_typesz00, BGl_proc2154z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2153z00zz__bdl_typesz00, 
CNST_TABLE_REF(10L)); 
VECTOR_SET(BgL_v1192z00_633,0L,BgL_arg1966z00_634); } 
BgL_arg1959z00_617 = BgL_v1192z00_633; } 
{ /* types.scm 94 */
 obj_t BgL_v1193z00_647;
BgL_v1193z00_647 = 
create_vector(0L); 
BgL_arg1960z00_618 = BgL_v1193z00_647; } 
BGl_bdlzd2genericzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(37L), 
CNST_TABLE_REF(5L), BGl_bdlzd2functionzd2zz__bdl_typesz00, 63093L, BGl_proc2158z00zz__bdl_typesz00, BGl_proc2157z00zz__bdl_typesz00, BFALSE, BGl_proc2156z00zz__bdl_typesz00, BFALSE, BgL_arg1959z00_617, BgL_arg1960z00_618); } 
{ /* types.scm 98 */
 obj_t BgL_arg1976z00_654; obj_t BgL_arg1977z00_655;
{ /* types.scm 98 */
 obj_t BgL_v1194z00_669;
BgL_v1194z00_669 = 
create_vector(1L); 
{ /* types.scm 98 */
 obj_t BgL_arg1983z00_670;
BgL_arg1983z00_670 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(30L), BGl_proc2161z00zz__bdl_typesz00, BGl_proc2160z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2159z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1194z00_669,0L,BgL_arg1983z00_670); } 
BgL_arg1976z00_654 = BgL_v1194z00_669; } 
{ /* types.scm 98 */
 obj_t BgL_v1195z00_683;
BgL_v1195z00_683 = 
create_vector(0L); 
BgL_arg1977z00_655 = BgL_v1195z00_683; } 
BGl_bdlzd2macrozd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(38L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 1968L, BGl_proc2164z00zz__bdl_typesz00, BGl_proc2163z00zz__bdl_typesz00, BFALSE, BGl_proc2162z00zz__bdl_typesz00, BFALSE, BgL_arg1976z00_654, BgL_arg1977z00_655); } 
{ /* types.scm 102 */
 obj_t BgL_arg1993z00_690; obj_t BgL_arg1994z00_691;
{ /* types.scm 102 */
 obj_t BgL_v1196z00_704;
BgL_v1196z00_704 = 
create_vector(0L); 
BgL_arg1993z00_690 = BgL_v1196z00_704; } 
{ /* types.scm 102 */
 obj_t BgL_v1197z00_705;
BgL_v1197z00_705 = 
create_vector(0L); 
BgL_arg1994z00_691 = BgL_v1197z00_705; } 
BGl_bdlzd2typezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(39L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 10912L, BGl_proc2167z00zz__bdl_typesz00, BGl_proc2166z00zz__bdl_typesz00, BFALSE, BGl_proc2165z00zz__bdl_typesz00, BFALSE, BgL_arg1993z00_690, BgL_arg1994z00_691); } 
{ /* types.scm 105 */
 obj_t BgL_arg2003z00_712; obj_t BgL_arg2004z00_713;
{ /* types.scm 105 */
 obj_t BgL_v1198z00_728;
BgL_v1198z00_728 = 
create_vector(2L); 
{ /* types.scm 105 */
 obj_t BgL_arg2010z00_729;
BgL_arg2010z00_729 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(40L), BGl_proc2170z00zz__bdl_typesz00, BGl_proc2169z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2168z00zz__bdl_typesz00, 
CNST_TABLE_REF(7L)); 
VECTOR_SET(BgL_v1198z00_728,0L,BgL_arg2010z00_729); } 
{ /* types.scm 105 */
 obj_t BgL_arg2017z00_742;
BgL_arg2017z00_742 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(41L), BGl_proc2173z00zz__bdl_typesz00, BGl_proc2172z00zz__bdl_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2171z00zz__bdl_typesz00, 
CNST_TABLE_REF(42L)); 
VECTOR_SET(BgL_v1198z00_728,1L,BgL_arg2017z00_742); } 
BgL_arg2003z00_712 = BgL_v1198z00_728; } 
{ /* types.scm 105 */
 obj_t BgL_v1199z00_755;
BgL_v1199z00_755 = 
create_vector(0L); 
BgL_arg2004z00_713 = BgL_v1199z00_755; } 
BGl_bdlzd2classzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(43L), 
CNST_TABLE_REF(5L), BGl_bdlzd2typezd2zz__bdl_typesz00, 14007L, BGl_proc2176z00zz__bdl_typesz00, BGl_proc2175z00zz__bdl_typesz00, BFALSE, BGl_proc2174z00zz__bdl_typesz00, BFALSE, BgL_arg2003z00_712, BgL_arg2004z00_713); } 
{ /* types.scm 110 */
 obj_t BgL_arg2027z00_762; obj_t BgL_arg2028z00_763;
{ /* types.scm 110 */
 obj_t BgL_v1200z00_776;
BgL_v1200z00_776 = 
create_vector(0L); 
BgL_arg2027z00_762 = BgL_v1200z00_776; } 
{ /* types.scm 110 */
 obj_t BgL_v1201z00_777;
BgL_v1201z00_777 = 
create_vector(0L); 
BgL_arg2028z00_763 = BgL_v1201z00_777; } 
BGl_bdlzd2structurezd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(44L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 945L, BGl_proc2179z00zz__bdl_typesz00, BGl_proc2178z00zz__bdl_typesz00, BFALSE, BGl_proc2177z00zz__bdl_typesz00, BFALSE, BgL_arg2027z00_762, BgL_arg2028z00_763); } 
{ /* types.scm 113 */
 obj_t BgL_arg2037z00_784; obj_t BgL_arg2038z00_785;
{ /* types.scm 113 */
 obj_t BgL_v1202z00_798;
BgL_v1202z00_798 = 
create_vector(0L); 
BgL_arg2037z00_784 = BgL_v1202z00_798; } 
{ /* types.scm 113 */
 obj_t BgL_v1203z00_799;
BgL_v1203z00_799 = 
create_vector(0L); 
BgL_arg2038z00_785 = BgL_v1203z00_799; } 
return ( 
BGl_bdlzd2externzd2zz__bdl_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(45L), 
CNST_TABLE_REF(5L), BGl_bdlzd2bindingzd2zz__bdl_typesz00, 14332L, BGl_proc2182z00zz__bdl_typesz00, BGl_proc2181z00zz__bdl_typesz00, BFALSE, BGl_proc2180z00zz__bdl_typesz00, BFALSE, BgL_arg2037z00_784, BgL_arg2038z00_785), BUNSPEC) ;} } 

}



/* &<@anonymous:2043> */
obj_t BGl_z62zc3z04anonymousza32043ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1123, obj_t BgL_new1151z00_1124)
{
{ /* types.scm 113 */
{ 
 BgL_bdlzd2externzd2_bglt BgL_auxz00_1945;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_1952;
{ /* types.scm 113 */
 obj_t BgL_classz00_1459;
BgL_classz00_1459 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 113 */
 obj_t BgL__ortest_1116z00_1460;
BgL__ortest_1116z00_1460 = 
BGL_CLASS_NIL(BgL_classz00_1459); 
if(
CBOOL(BgL__ortest_1116z00_1460))
{ /* types.scm 113 */
BgL_auxz00_1952 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1460)
; }  else 
{ /* types.scm 113 */
BgL_auxz00_1952 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1459))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_1952),BUNSPEC); } 
BgL_auxz00_1945 = 
((BgL_bdlzd2externzd2_bglt)BgL_new1151z00_1124); 
return 
((obj_t)BgL_auxz00_1945);} } 

}



/* &lambda2041 */
BgL_bdlzd2externzd2_bglt BGl_z62lambda2041z62zz__bdl_typesz00(obj_t BgL_envz00_1125)
{
{ /* types.scm 113 */
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1150z00_1461;
BgL_new1150z00_1461 = 
((BgL_bdlzd2externzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2externzd2_bgl) ))); 
{ /* types.scm 113 */
 long BgL_arg2042z00_1462;
BgL_arg2042z00_1462 = 
BGL_CLASS_NUM(BGl_bdlzd2externzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1150z00_1461), BgL_arg2042z00_1462); } 
return BgL_new1150z00_1461;} } 

}



/* &lambda2039 */
BgL_bdlzd2externzd2_bglt BGl_z62lambda2039z62zz__bdl_typesz00(obj_t BgL_envz00_1126, obj_t BgL_loc1147z00_1127, obj_t BgL_ident1148z00_1128, obj_t BgL_module1149z00_1129)
{
{ /* types.scm 113 */
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1175z00_1465;
{ /* types.scm 113 */
 BgL_bdlzd2externzd2_bglt BgL_new1174z00_1466;
BgL_new1174z00_1466 = 
((BgL_bdlzd2externzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2externzd2_bgl) ))); 
{ /* types.scm 113 */
 long BgL_arg2040z00_1467;
BgL_arg2040z00_1467 = 
BGL_CLASS_NUM(BGl_bdlzd2externzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1174z00_1466), BgL_arg2040z00_1467); } 
BgL_new1175z00_1465 = BgL_new1174z00_1466; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1175z00_1465)))->BgL_locz00)=((obj_t)BgL_loc1147z00_1127),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1175z00_1465)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1148z00_1128)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1175z00_1465)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1149z00_1129)),BUNSPEC); 
return BgL_new1175z00_1465;} } 

}



/* &<@anonymous:2033> */
obj_t BGl_z62zc3z04anonymousza32033ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1130, obj_t BgL_new1145z00_1131)
{
{ /* types.scm 110 */
{ 
 BgL_bdlzd2structurezd2_bglt BgL_auxz00_1980;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_1987;
{ /* types.scm 110 */
 obj_t BgL_classz00_1469;
BgL_classz00_1469 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 110 */
 obj_t BgL__ortest_1116z00_1470;
BgL__ortest_1116z00_1470 = 
BGL_CLASS_NIL(BgL_classz00_1469); 
if(
CBOOL(BgL__ortest_1116z00_1470))
{ /* types.scm 110 */
BgL_auxz00_1987 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1470)
; }  else 
{ /* types.scm 110 */
BgL_auxz00_1987 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1469))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_1987),BUNSPEC); } 
BgL_auxz00_1980 = 
((BgL_bdlzd2structurezd2_bglt)BgL_new1145z00_1131); 
return 
((obj_t)BgL_auxz00_1980);} } 

}



/* &lambda2031 */
BgL_bdlzd2structurezd2_bglt BGl_z62lambda2031z62zz__bdl_typesz00(obj_t BgL_envz00_1132)
{
{ /* types.scm 110 */
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1144z00_1471;
BgL_new1144z00_1471 = 
((BgL_bdlzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2structurezd2_bgl) ))); 
{ /* types.scm 110 */
 long BgL_arg2032z00_1472;
BgL_arg2032z00_1472 = 
BGL_CLASS_NUM(BGl_bdlzd2structurezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1144z00_1471), BgL_arg2032z00_1472); } 
return BgL_new1144z00_1471;} } 

}



/* &lambda2029 */
BgL_bdlzd2structurezd2_bglt BGl_z62lambda2029z62zz__bdl_typesz00(obj_t BgL_envz00_1133, obj_t BgL_loc1141z00_1134, obj_t BgL_ident1142z00_1135, obj_t BgL_module1143z00_1136)
{
{ /* types.scm 110 */
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1173z00_1475;
{ /* types.scm 110 */
 BgL_bdlzd2structurezd2_bglt BgL_new1172z00_1476;
BgL_new1172z00_1476 = 
((BgL_bdlzd2structurezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2structurezd2_bgl) ))); 
{ /* types.scm 110 */
 long BgL_arg2030z00_1477;
BgL_arg2030z00_1477 = 
BGL_CLASS_NUM(BGl_bdlzd2structurezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1172z00_1476), BgL_arg2030z00_1477); } 
BgL_new1173z00_1475 = BgL_new1172z00_1476; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1173z00_1475)))->BgL_locz00)=((obj_t)BgL_loc1141z00_1134),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1173z00_1475)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1142z00_1135)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1173z00_1475)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1143z00_1136)),BUNSPEC); 
return BgL_new1173z00_1475;} } 

}



/* &<@anonymous:2009> */
obj_t BGl_z62zc3z04anonymousza32009ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1137, obj_t BgL_new1139z00_1138)
{
{ /* types.scm 105 */
{ 
 BgL_bdlzd2classzd2_bglt BgL_auxz00_2015;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2022;
{ /* types.scm 105 */
 obj_t BgL_classz00_1479;
BgL_classz00_1479 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 105 */
 obj_t BgL__ortest_1116z00_1480;
BgL__ortest_1116z00_1480 = 
BGL_CLASS_NIL(BgL_classz00_1479); 
if(
CBOOL(BgL__ortest_1116z00_1480))
{ /* types.scm 105 */
BgL_auxz00_2022 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1480)
; }  else 
{ /* types.scm 105 */
BgL_auxz00_2022 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1479))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2022),BUNSPEC); } 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138)))->BgL_superz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138)))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(46L)),BUNSPEC); 
BgL_auxz00_2015 = 
((BgL_bdlzd2classzd2_bglt)BgL_new1139z00_1138); 
return 
((obj_t)BgL_auxz00_2015);} } 

}



/* &lambda2007 */
BgL_bdlzd2classzd2_bglt BGl_z62lambda2007z62zz__bdl_typesz00(obj_t BgL_envz00_1139)
{
{ /* types.scm 105 */
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1138z00_1481;
BgL_new1138z00_1481 = 
((BgL_bdlzd2classzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2classzd2_bgl) ))); 
{ /* types.scm 105 */
 long BgL_arg2008z00_1482;
BgL_arg2008z00_1482 = 
BGL_CLASS_NUM(BGl_bdlzd2classzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1138z00_1481), BgL_arg2008z00_1482); } 
return BgL_new1138z00_1481;} } 

}



/* &lambda2005 */
BgL_bdlzd2classzd2_bglt BGl_z62lambda2005z62zz__bdl_typesz00(obj_t BgL_envz00_1140, obj_t BgL_loc1133z00_1141, obj_t BgL_ident1134z00_1142, obj_t BgL_module1135z00_1143, obj_t BgL_super1136z00_1144, obj_t BgL_kind1137z00_1145)
{
{ /* types.scm 105 */
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1171z00_1486;
{ /* types.scm 105 */
 BgL_bdlzd2classzd2_bglt BgL_new1170z00_1487;
BgL_new1170z00_1487 = 
((BgL_bdlzd2classzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2classzd2_bgl) ))); 
{ /* types.scm 105 */
 long BgL_arg2006z00_1488;
BgL_arg2006z00_1488 = 
BGL_CLASS_NUM(BGl_bdlzd2classzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1170z00_1487), BgL_arg2006z00_1488); } 
BgL_new1171z00_1486 = BgL_new1170z00_1487; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1171z00_1486)))->BgL_locz00)=((obj_t)BgL_loc1133z00_1141),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1171z00_1486)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1134z00_1142)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1171z00_1486)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1135z00_1143)),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(BgL_new1171z00_1486))->BgL_superz00)=((obj_t)BgL_super1136z00_1144),BUNSPEC); 
((((BgL_bdlzd2classzd2_bglt)COBJECT(BgL_new1171z00_1486))->BgL_kindz00)=((obj_t)
((obj_t)BgL_kind1137z00_1145)),BUNSPEC); 
return BgL_new1171z00_1486;} } 

}



/* &<@anonymous:2023> */
obj_t BGl_z62zc3z04anonymousza32023ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1146)
{
{ /* types.scm 105 */
return 
CNST_TABLE_REF(47L);} 

}



/* &lambda2022 */
obj_t BGl_z62lambda2022z62zz__bdl_typesz00(obj_t BgL_envz00_1147, obj_t BgL_oz00_1148, obj_t BgL_vz00_1149)
{
{ /* types.scm 105 */
return 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1148)))->BgL_kindz00)=((obj_t)
((obj_t)BgL_vz00_1149)),BUNSPEC);} 

}



/* &lambda2021 */
obj_t BGl_z62lambda2021z62zz__bdl_typesz00(obj_t BgL_envz00_1150, obj_t BgL_oz00_1151)
{
{ /* types.scm 105 */
return 
(((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1151)))->BgL_kindz00);} 

}



/* &<@anonymous:2016> */
obj_t BGl_z62zc3z04anonymousza32016ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1152)
{
{ /* types.scm 105 */
return BUNSPEC;} 

}



/* &lambda2015 */
obj_t BGl_z62lambda2015z62zz__bdl_typesz00(obj_t BgL_envz00_1153, obj_t BgL_oz00_1154, obj_t BgL_vz00_1155)
{
{ /* types.scm 105 */
return 
((((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1154)))->BgL_superz00)=((obj_t)BgL_vz00_1155),BUNSPEC);} 

}



/* &lambda2014 */
obj_t BGl_z62lambda2014z62zz__bdl_typesz00(obj_t BgL_envz00_1156, obj_t BgL_oz00_1157)
{
{ /* types.scm 105 */
return 
(((BgL_bdlzd2classzd2_bglt)COBJECT(
((BgL_bdlzd2classzd2_bglt)BgL_oz00_1157)))->BgL_superz00);} 

}



/* &<@anonymous:1999> */
obj_t BGl_z62zc3z04anonymousza31999ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1158, obj_t BgL_new1131z00_1159)
{
{ /* types.scm 102 */
{ 
 BgL_bdlzd2typezd2_bglt BgL_auxz00_2068;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2075;
{ /* types.scm 102 */
 obj_t BgL_classz00_1495;
BgL_classz00_1495 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 102 */
 obj_t BgL__ortest_1116z00_1496;
BgL__ortest_1116z00_1496 = 
BGL_CLASS_NIL(BgL_classz00_1495); 
if(
CBOOL(BgL__ortest_1116z00_1496))
{ /* types.scm 102 */
BgL_auxz00_2075 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1496)
; }  else 
{ /* types.scm 102 */
BgL_auxz00_2075 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1495))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2075),BUNSPEC); } 
BgL_auxz00_2068 = 
((BgL_bdlzd2typezd2_bglt)BgL_new1131z00_1159); 
return 
((obj_t)BgL_auxz00_2068);} } 

}



/* &lambda1997 */
BgL_bdlzd2typezd2_bglt BGl_z62lambda1997z62zz__bdl_typesz00(obj_t BgL_envz00_1160)
{
{ /* types.scm 102 */
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1130z00_1497;
BgL_new1130z00_1497 = 
((BgL_bdlzd2typezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2typezd2_bgl) ))); 
{ /* types.scm 102 */
 long BgL_arg1998z00_1498;
BgL_arg1998z00_1498 = 
BGL_CLASS_NUM(BGl_bdlzd2typezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1130z00_1497), BgL_arg1998z00_1498); } 
return BgL_new1130z00_1497;} } 

}



/* &lambda1995 */
BgL_bdlzd2typezd2_bglt BGl_z62lambda1995z62zz__bdl_typesz00(obj_t BgL_envz00_1161, obj_t BgL_loc1127z00_1162, obj_t BgL_ident1128z00_1163, obj_t BgL_module1129z00_1164)
{
{ /* types.scm 102 */
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1169z00_1501;
{ /* types.scm 102 */
 BgL_bdlzd2typezd2_bglt BgL_new1168z00_1502;
BgL_new1168z00_1502 = 
((BgL_bdlzd2typezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2typezd2_bgl) ))); 
{ /* types.scm 102 */
 long BgL_arg1996z00_1503;
BgL_arg1996z00_1503 = 
BGL_CLASS_NUM(BGl_bdlzd2typezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_1502), BgL_arg1996z00_1503); } 
BgL_new1169z00_1501 = BgL_new1168z00_1502; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1169z00_1501)))->BgL_locz00)=((obj_t)BgL_loc1127z00_1162),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1169z00_1501)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1128z00_1163)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1169z00_1501)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1129z00_1164)),BUNSPEC); 
return BgL_new1169z00_1501;} } 

}



/* &<@anonymous:1982> */
obj_t BGl_z62zc3z04anonymousza31982ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1165, obj_t BgL_new1125z00_1166)
{
{ /* types.scm 98 */
{ 
 BgL_bdlzd2macrozd2_bglt BgL_auxz00_2103;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2110;
{ /* types.scm 98 */
 obj_t BgL_classz00_1505;
BgL_classz00_1505 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 98 */
 obj_t BgL__ortest_1116z00_1506;
BgL__ortest_1116z00_1506 = 
BGL_CLASS_NIL(BgL_classz00_1505); 
if(
CBOOL(BgL__ortest_1116z00_1506))
{ /* types.scm 98 */
BgL_auxz00_2110 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1506)
; }  else 
{ /* types.scm 98 */
BgL_auxz00_2110 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1505))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2110),BUNSPEC); } 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2103 = 
((BgL_bdlzd2macrozd2_bglt)BgL_new1125z00_1166); 
return 
((obj_t)BgL_auxz00_2103);} } 

}



/* &lambda1980 */
BgL_bdlzd2macrozd2_bglt BGl_z62lambda1980z62zz__bdl_typesz00(obj_t BgL_envz00_1167)
{
{ /* types.scm 98 */
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1124z00_1507;
BgL_new1124z00_1507 = 
((BgL_bdlzd2macrozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2macrozd2_bgl) ))); 
{ /* types.scm 98 */
 long BgL_arg1981z00_1508;
BgL_arg1981z00_1508 = 
BGL_CLASS_NUM(BGl_bdlzd2macrozd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1124z00_1507), BgL_arg1981z00_1508); } 
return BgL_new1124z00_1507;} } 

}



/* &lambda1978 */
BgL_bdlzd2macrozd2_bglt BGl_z62lambda1978z62zz__bdl_typesz00(obj_t BgL_envz00_1168, obj_t BgL_loc1120z00_1169, obj_t BgL_ident1121z00_1170, obj_t BgL_module1122z00_1171, obj_t BgL_proto1123z00_1172)
{
{ /* types.scm 98 */
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1167z00_1511;
{ /* types.scm 98 */
 BgL_bdlzd2macrozd2_bglt BgL_new1166z00_1512;
BgL_new1166z00_1512 = 
((BgL_bdlzd2macrozd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2macrozd2_bgl) ))); 
{ /* types.scm 98 */
 long BgL_arg1979z00_1513;
BgL_arg1979z00_1513 = 
BGL_CLASS_NUM(BGl_bdlzd2macrozd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1166z00_1512), BgL_arg1979z00_1513); } 
BgL_new1167z00_1511 = BgL_new1166z00_1512; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1167z00_1511)))->BgL_locz00)=((obj_t)BgL_loc1120z00_1169),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1167z00_1511)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1121z00_1170)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1167z00_1511)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1122z00_1171)),BUNSPEC); 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(BgL_new1167z00_1511))->BgL_protoz00)=((obj_t)BgL_proto1123z00_1172),BUNSPEC); 
return BgL_new1167z00_1511;} } 

}



/* &<@anonymous:1989> */
obj_t BGl_z62zc3z04anonymousza31989ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1173)
{
{ /* types.scm 98 */
return BUNSPEC;} 

}



/* &lambda1988 */
obj_t BGl_z62lambda1988z62zz__bdl_typesz00(obj_t BgL_envz00_1174, obj_t BgL_oz00_1175, obj_t BgL_vz00_1176)
{
{ /* types.scm 98 */
return 
((((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_oz00_1175)))->BgL_protoz00)=((obj_t)BgL_vz00_1176),BUNSPEC);} 

}



/* &lambda1987 */
obj_t BGl_z62lambda1987z62zz__bdl_typesz00(obj_t BgL_envz00_1177, obj_t BgL_oz00_1178)
{
{ /* types.scm 98 */
return 
(((BgL_bdlzd2macrozd2_bglt)COBJECT(
((BgL_bdlzd2macrozd2_bglt)BgL_oz00_1178)))->BgL_protoz00);} 

}



/* &<@anonymous:1965> */
obj_t BGl_z62zc3z04anonymousza31965ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1179, obj_t BgL_new1118z00_1180)
{
{ /* types.scm 94 */
{ 
 BgL_bdlzd2genericzd2_bglt BgL_auxz00_2145;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2152;
{ /* types.scm 94 */
 obj_t BgL_classz00_1517;
BgL_classz00_1517 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 94 */
 obj_t BgL__ortest_1116z00_1518;
BgL__ortest_1116z00_1518 = 
BGL_CLASS_NIL(BgL_classz00_1517); 
if(
CBOOL(BgL__ortest_1116z00_1518))
{ /* types.scm 94 */
BgL_auxz00_2152 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1518)
; }  else 
{ /* types.scm 94 */
BgL_auxz00_2152 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1517))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2152),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180))))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180)))->BgL_methodsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_2145 = 
((BgL_bdlzd2genericzd2_bglt)BgL_new1118z00_1180); 
return 
((obj_t)BgL_auxz00_2145);} } 

}



/* &lambda1963 */
BgL_bdlzd2genericzd2_bglt BGl_z62lambda1963z62zz__bdl_typesz00(obj_t BgL_envz00_1181)
{
{ /* types.scm 94 */
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1117z00_1519;
BgL_new1117z00_1519 = 
((BgL_bdlzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2genericzd2_bgl) ))); 
{ /* types.scm 94 */
 long BgL_arg1964z00_1520;
BgL_arg1964z00_1520 = 
BGL_CLASS_NUM(BGl_bdlzd2genericzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_1519), BgL_arg1964z00_1520); } 
return BgL_new1117z00_1519;} } 

}



/* &lambda1961 */
BgL_bdlzd2genericzd2_bglt BGl_z62lambda1961z62zz__bdl_typesz00(obj_t BgL_envz00_1182, obj_t BgL_loc1111z00_1183, obj_t BgL_ident1112z00_1184, obj_t BgL_module1113z00_1185, obj_t BgL_proto1114z00_1186, obj_t BgL_methods1115z00_1187)
{
{ /* types.scm 94 */
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1165z00_1524;
{ /* types.scm 94 */
 BgL_bdlzd2genericzd2_bglt BgL_new1164z00_1525;
BgL_new1164z00_1525 = 
((BgL_bdlzd2genericzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2genericzd2_bgl) ))); 
{ /* types.scm 94 */
 long BgL_arg1962z00_1526;
BgL_arg1962z00_1526 = 
BGL_CLASS_NUM(BGl_bdlzd2genericzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1164z00_1525), BgL_arg1962z00_1526); } 
BgL_new1165z00_1524 = BgL_new1164z00_1525; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1165z00_1524)))->BgL_locz00)=((obj_t)BgL_loc1111z00_1183),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1165z00_1524)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1112z00_1184)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1165z00_1524)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1113z00_1185)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1165z00_1524)))->BgL_protoz00)=((obj_t)BgL_proto1114z00_1186),BUNSPEC); 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(BgL_new1165z00_1524))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_methods1115z00_1187)),BUNSPEC); 
return BgL_new1165z00_1524;} } 

}



/* &<@anonymous:1972> */
obj_t BGl_z62zc3z04anonymousza31972ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1188)
{
{ /* types.scm 94 */
return BNIL;} 

}



/* &lambda1971 */
obj_t BGl_z62lambda1971z62zz__bdl_typesz00(obj_t BgL_envz00_1189, obj_t BgL_oz00_1190, obj_t BgL_vz00_1191)
{
{ /* types.scm 94 */
return 
((((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_oz00_1190)))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_vz00_1191)),BUNSPEC);} 

}



/* &lambda1970 */
obj_t BGl_z62lambda1970z62zz__bdl_typesz00(obj_t BgL_envz00_1192, obj_t BgL_oz00_1193)
{
{ /* types.scm 94 */
return 
(((BgL_bdlzd2genericzd2_bglt)COBJECT(
((BgL_bdlzd2genericzd2_bglt)BgL_oz00_1193)))->BgL_methodsz00);} 

}



/* &<@anonymous:1938> */
obj_t BGl_z62zc3z04anonymousza31938ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1194, obj_t BgL_new1109z00_1195)
{
{ /* types.scm 88 */
{ 
 BgL_bdlzd2methodzd2_bglt BgL_auxz00_2194;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2201;
{ /* types.scm 88 */
 obj_t BgL_classz00_1531;
BgL_classz00_1531 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 88 */
 obj_t BgL__ortest_1116z00_1532;
BgL__ortest_1116z00_1532 = 
BGL_CLASS_NIL(BgL_classz00_1531); 
if(
CBOOL(BgL__ortest_1116z00_1532))
{ /* types.scm 88 */
BgL_auxz00_2201 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1532)
; }  else 
{ /* types.scm 88 */
BgL_auxz00_2201 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1531))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2201),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195))))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195)))->BgL_genericz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195)))->BgL_selectzd2typezd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195)))->BgL_returnzd2typezd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2194 = 
((BgL_bdlzd2methodzd2_bglt)BgL_new1109z00_1195); 
return 
((obj_t)BgL_auxz00_2194);} } 

}



/* &lambda1936 */
BgL_bdlzd2methodzd2_bglt BGl_z62lambda1936z62zz__bdl_typesz00(obj_t BgL_envz00_1196)
{
{ /* types.scm 88 */
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1108z00_1533;
BgL_new1108z00_1533 = 
((BgL_bdlzd2methodzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2methodzd2_bgl) ))); 
{ /* types.scm 88 */
 long BgL_arg1937z00_1534;
BgL_arg1937z00_1534 = 
BGL_CLASS_NUM(BGl_bdlzd2methodzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_1533), BgL_arg1937z00_1534); } 
return BgL_new1108z00_1533;} } 

}



/* &lambda1934 */
BgL_bdlzd2methodzd2_bglt BGl_z62lambda1934z62zz__bdl_typesz00(obj_t BgL_envz00_1197, obj_t BgL_loc1101z00_1198, obj_t BgL_ident1102z00_1199, obj_t BgL_module1103z00_1200, obj_t BgL_proto1104z00_1201, obj_t BgL_generic1105z00_1202, obj_t BgL_selectzd2type1106zd2_1203, obj_t BgL_returnzd2type1107zd2_1204)
{
{ /* types.scm 88 */
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1163z00_1537;
{ /* types.scm 88 */
 BgL_bdlzd2methodzd2_bglt BgL_new1162z00_1538;
BgL_new1162z00_1538 = 
((BgL_bdlzd2methodzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2methodzd2_bgl) ))); 
{ /* types.scm 88 */
 long BgL_arg1935z00_1539;
BgL_arg1935z00_1539 = 
BGL_CLASS_NUM(BGl_bdlzd2methodzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1162z00_1538), BgL_arg1935z00_1539); } 
BgL_new1163z00_1537 = BgL_new1162z00_1538; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1163z00_1537)))->BgL_locz00)=((obj_t)BgL_loc1101z00_1198),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1163z00_1537)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1102z00_1199)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1163z00_1537)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1103z00_1200)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1163z00_1537)))->BgL_protoz00)=((obj_t)BgL_proto1104z00_1201),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1537))->BgL_genericz00)=((obj_t)BgL_generic1105z00_1202),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1537))->BgL_selectzd2typezd2)=((obj_t)BgL_selectzd2type1106zd2_1203),BUNSPEC); 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(BgL_new1163z00_1537))->BgL_returnzd2typezd2)=((obj_t)BgL_returnzd2type1107zd2_1204),BUNSPEC); 
return BgL_new1163z00_1537;} } 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__bdl_typesz00(obj_t BgL_envz00_1205, obj_t BgL_oz00_1206, obj_t BgL_vz00_1207)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1206)))->BgL_returnzd2typezd2)=((obj_t)BgL_vz00_1207),BUNSPEC);} 

}



/* &lambda1954 */
obj_t BGl_z62lambda1954z62zz__bdl_typesz00(obj_t BgL_envz00_1208, obj_t BgL_oz00_1209)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1209)))->BgL_returnzd2typezd2);} 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__bdl_typesz00(obj_t BgL_envz00_1210, obj_t BgL_oz00_1211, obj_t BgL_vz00_1212)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1211)))->BgL_selectzd2typezd2)=((obj_t)BgL_vz00_1212),BUNSPEC);} 

}



/* &lambda1949 */
obj_t BGl_z62lambda1949z62zz__bdl_typesz00(obj_t BgL_envz00_1213, obj_t BgL_oz00_1214)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1214)))->BgL_selectzd2typezd2);} 

}



/* &<@anonymous:1945> */
obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1215)
{
{ /* types.scm 88 */
return BUNSPEC;} 

}



/* &lambda1944 */
obj_t BGl_z62lambda1944z62zz__bdl_typesz00(obj_t BgL_envz00_1216, obj_t BgL_oz00_1217, obj_t BgL_vz00_1218)
{
{ /* types.scm 88 */
return 
((((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1217)))->BgL_genericz00)=((obj_t)BgL_vz00_1218),BUNSPEC);} 

}



/* &lambda1943 */
obj_t BGl_z62lambda1943z62zz__bdl_typesz00(obj_t BgL_envz00_1219, obj_t BgL_oz00_1220)
{
{ /* types.scm 88 */
return 
(((BgL_bdlzd2methodzd2_bglt)COBJECT(
((BgL_bdlzd2methodzd2_bglt)BgL_oz00_1220)))->BgL_genericz00);} 

}



/* &<@anonymous:1919> */
obj_t BGl_z62zc3z04anonymousza31919ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1221, obj_t BgL_new1099z00_1222)
{
{ /* types.scm 84 */
{ 
 BgL_bdlzd2functionzd2_bglt BgL_auxz00_2255;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1099z00_1222))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1099z00_1222))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2262;
{ /* types.scm 84 */
 obj_t BgL_classz00_1547;
BgL_classz00_1547 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 84 */
 obj_t BgL__ortest_1116z00_1548;
BgL__ortest_1116z00_1548 = 
BGL_CLASS_NIL(BgL_classz00_1547); 
if(
CBOOL(BgL__ortest_1116z00_1548))
{ /* types.scm 84 */
BgL_auxz00_2262 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1548)
; }  else 
{ /* types.scm 84 */
BgL_auxz00_2262 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1547))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2functionzd2_bglt)BgL_new1099z00_1222))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2262),BUNSPEC); } 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_new1099z00_1222)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2255 = 
((BgL_bdlzd2functionzd2_bglt)BgL_new1099z00_1222); 
return 
((obj_t)BgL_auxz00_2255);} } 

}



/* &lambda1917 */
BgL_bdlzd2functionzd2_bglt BGl_z62lambda1917z62zz__bdl_typesz00(obj_t BgL_envz00_1223)
{
{ /* types.scm 84 */
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1098z00_1549;
BgL_new1098z00_1549 = 
((BgL_bdlzd2functionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2functionzd2_bgl) ))); 
{ /* types.scm 84 */
 long BgL_arg1918z00_1550;
BgL_arg1918z00_1550 = 
BGL_CLASS_NUM(BGl_bdlzd2functionzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_1549), BgL_arg1918z00_1550); } 
return BgL_new1098z00_1549;} } 

}



/* &lambda1915 */
BgL_bdlzd2functionzd2_bglt BGl_z62lambda1915z62zz__bdl_typesz00(obj_t BgL_envz00_1224, obj_t BgL_loc1094z00_1225, obj_t BgL_ident1095z00_1226, obj_t BgL_module1096z00_1227, obj_t BgL_proto1097z00_1228)
{
{ /* types.scm 84 */
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1161z00_1553;
{ /* types.scm 84 */
 BgL_bdlzd2functionzd2_bglt BgL_new1160z00_1554;
BgL_new1160z00_1554 = 
((BgL_bdlzd2functionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2functionzd2_bgl) ))); 
{ /* types.scm 84 */
 long BgL_arg1916z00_1555;
BgL_arg1916z00_1555 = 
BGL_CLASS_NUM(BGl_bdlzd2functionzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1160z00_1554), BgL_arg1916z00_1555); } 
BgL_new1161z00_1553 = BgL_new1160z00_1554; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1161z00_1553)))->BgL_locz00)=((obj_t)BgL_loc1094z00_1225),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1161z00_1553)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1095z00_1226)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1161z00_1553)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1096z00_1227)),BUNSPEC); 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(BgL_new1161z00_1553))->BgL_protoz00)=((obj_t)BgL_proto1097z00_1228),BUNSPEC); 
return BgL_new1161z00_1553;} } 

}



/* &<@anonymous:1928> */
obj_t BGl_z62zc3z04anonymousza31928ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1229)
{
{ /* types.scm 84 */
return BUNSPEC;} 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__bdl_typesz00(obj_t BgL_envz00_1230, obj_t BgL_oz00_1231, obj_t BgL_vz00_1232)
{
{ /* types.scm 84 */
return 
((((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_oz00_1231)))->BgL_protoz00)=((obj_t)BgL_vz00_1232),BUNSPEC);} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__bdl_typesz00(obj_t BgL_envz00_1233, obj_t BgL_oz00_1234)
{
{ /* types.scm 84 */
return 
(((BgL_bdlzd2functionzd2_bglt)COBJECT(
((BgL_bdlzd2functionzd2_bglt)BgL_oz00_1234)))->BgL_protoz00);} 

}



/* &<@anonymous:1902> */
obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1235, obj_t BgL_new1092z00_1236)
{
{ /* types.scm 80 */
{ 
 BgL_bdlzd2variablezd2_bglt BgL_auxz00_2297;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1092z00_1236))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1092z00_1236))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2304;
{ /* types.scm 80 */
 obj_t BgL_classz00_1559;
BgL_classz00_1559 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 80 */
 obj_t BgL__ortest_1116z00_1560;
BgL__ortest_1116z00_1560 = 
BGL_CLASS_NIL(BgL_classz00_1559); 
if(
CBOOL(BgL__ortest_1116z00_1560))
{ /* types.scm 80 */
BgL_auxz00_2304 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1560)
; }  else 
{ /* types.scm 80 */
BgL_auxz00_2304 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1559))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)
((BgL_bdlzd2variablezd2_bglt)BgL_new1092z00_1236))))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2304),BUNSPEC); } 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_new1092z00_1236)))->BgL_protoz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2297 = 
((BgL_bdlzd2variablezd2_bglt)BgL_new1092z00_1236); 
return 
((obj_t)BgL_auxz00_2297);} } 

}



/* &lambda1900 */
BgL_bdlzd2variablezd2_bglt BGl_z62lambda1900z62zz__bdl_typesz00(obj_t BgL_envz00_1237)
{
{ /* types.scm 80 */
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1091z00_1561;
BgL_new1091z00_1561 = 
((BgL_bdlzd2variablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2variablezd2_bgl) ))); 
{ /* types.scm 80 */
 long BgL_arg1901z00_1562;
BgL_arg1901z00_1562 = 
BGL_CLASS_NUM(BGl_bdlzd2variablezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1561), BgL_arg1901z00_1562); } 
return BgL_new1091z00_1561;} } 

}



/* &lambda1898 */
BgL_bdlzd2variablezd2_bglt BGl_z62lambda1898z62zz__bdl_typesz00(obj_t BgL_envz00_1238, obj_t BgL_loc1087z00_1239, obj_t BgL_ident1088z00_1240, obj_t BgL_module1089z00_1241, obj_t BgL_proto1090z00_1242)
{
{ /* types.scm 80 */
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1159z00_1565;
{ /* types.scm 80 */
 BgL_bdlzd2variablezd2_bglt BgL_new1158z00_1566;
BgL_new1158z00_1566 = 
((BgL_bdlzd2variablezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2variablezd2_bgl) ))); 
{ /* types.scm 80 */
 long BgL_arg1899z00_1567;
BgL_arg1899z00_1567 = 
BGL_CLASS_NUM(BGl_bdlzd2variablezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1158z00_1566), BgL_arg1899z00_1567); } 
BgL_new1159z00_1565 = BgL_new1158z00_1566; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1159z00_1565)))->BgL_locz00)=((obj_t)BgL_loc1087z00_1239),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1159z00_1565)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1088z00_1240)),BUNSPEC); 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1159z00_1565)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_module1089z00_1241)),BUNSPEC); 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(BgL_new1159z00_1565))->BgL_protoz00)=((obj_t)BgL_proto1090z00_1242),BUNSPEC); 
return BgL_new1159z00_1565;} } 

}



/* &<@anonymous:1909> */
obj_t BGl_z62zc3z04anonymousza31909ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1243)
{
{ /* types.scm 80 */
return BUNSPEC;} 

}



/* &lambda1908 */
obj_t BGl_z62lambda1908z62zz__bdl_typesz00(obj_t BgL_envz00_1244, obj_t BgL_oz00_1245, obj_t BgL_vz00_1246)
{
{ /* types.scm 80 */
return 
((((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_oz00_1245)))->BgL_protoz00)=((obj_t)BgL_vz00_1246),BUNSPEC);} 

}



/* &lambda1907 */
obj_t BGl_z62lambda1907z62zz__bdl_typesz00(obj_t BgL_envz00_1247, obj_t BgL_oz00_1248)
{
{ /* types.scm 80 */
return 
(((BgL_bdlzd2variablezd2_bglt)COBJECT(
((BgL_bdlzd2variablezd2_bglt)BgL_oz00_1248)))->BgL_protoz00);} 

}



/* &<@anonymous:1887> */
obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1249, obj_t BgL_new1085z00_1250)
{
{ /* types.scm 76 */
{ 
 BgL_bdlzd2bindingzd2_bglt BgL_auxz00_2339;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2bindingzd2_bglt)BgL_new1085z00_1250))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2bindingzd2_bglt)BgL_new1085z00_1250))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2346;
{ /* types.scm 76 */
 obj_t BgL_classz00_1571;
BgL_classz00_1571 = BGl_bdlzd2modulezd2zz__bdl_typesz00; 
{ /* types.scm 76 */
 obj_t BgL__ortest_1116z00_1572;
BgL__ortest_1116z00_1572 = 
BGL_CLASS_NIL(BgL_classz00_1571); 
if(
CBOOL(BgL__ortest_1116z00_1572))
{ /* types.scm 76 */
BgL_auxz00_2346 = 
((BgL_bdlzd2modulezd2_bglt)BgL__ortest_1116z00_1572)
; }  else 
{ /* types.scm 76 */
BgL_auxz00_2346 = 
((BgL_bdlzd2modulezd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1571))
; } } } 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_new1085z00_1250)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)BgL_auxz00_2346),BUNSPEC); } 
BgL_auxz00_2339 = 
((BgL_bdlzd2bindingzd2_bglt)BgL_new1085z00_1250); 
return 
((obj_t)BgL_auxz00_2339);} } 

}



/* &lambda1885 */
BgL_bdlzd2bindingzd2_bglt BGl_z62lambda1885z62zz__bdl_typesz00(obj_t BgL_envz00_1251)
{
{ /* types.scm 76 */
{ /* types.scm 76 */
 BgL_bdlzd2bindingzd2_bglt BgL_new1084z00_1573;
BgL_new1084z00_1573 = 
((BgL_bdlzd2bindingzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2bindingzd2_bgl) ))); 
{ /* types.scm 76 */
 long BgL_arg1886z00_1574;
BgL_arg1886z00_1574 = 
BGL_CLASS_NUM(BGl_bdlzd2bindingzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1084z00_1573), BgL_arg1886z00_1574); } 
return BgL_new1084z00_1573;} } 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__bdl_typesz00(obj_t BgL_envz00_1252, obj_t BgL_oz00_1253, obj_t BgL_vz00_1254)
{
{ /* types.scm 76 */
return 
((((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_oz00_1253)))->BgL_modulez00)=((BgL_bdlzd2modulezd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_vz00_1254)),BUNSPEC);} 

}



/* &lambda1891 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1891z62zz__bdl_typesz00(obj_t BgL_envz00_1255, obj_t BgL_oz00_1256)
{
{ /* types.scm 76 */
return 
(((BgL_bdlzd2bindingzd2_bglt)COBJECT(
((BgL_bdlzd2bindingzd2_bglt)BgL_oz00_1256)))->BgL_modulez00);} 

}



/* &<@anonymous:1822> */
obj_t BGl_z62zc3z04anonymousza31822ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1257, obj_t BgL_new1082z00_1258)
{
{ /* types.scm 57 */
{ 
 BgL_bdlzd2modulezd2_bglt BgL_auxz00_2366;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258))))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_filesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_functionsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_variablesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_classesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_methodsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_structuresz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_externsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258)))->BgL_macrosz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_2366 = 
((BgL_bdlzd2modulezd2_bglt)BgL_new1082z00_1258); 
return 
((obj_t)BgL_auxz00_2366);} } 

}



/* &lambda1820 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1820z62zz__bdl_typesz00(obj_t BgL_envz00_1259)
{
{ /* types.scm 57 */
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1081z00_1579;
BgL_new1081z00_1579 = 
((BgL_bdlzd2modulezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2modulezd2_bgl) ))); 
{ /* types.scm 57 */
 long BgL_arg1821z00_1580;
BgL_arg1821z00_1580 = 
BGL_CLASS_NUM(BGl_bdlzd2modulezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_1579), BgL_arg1821z00_1580); } 
return BgL_new1081z00_1579;} } 

}



/* &lambda1818 */
BgL_bdlzd2modulezd2_bglt BGl_z62lambda1818z62zz__bdl_typesz00(obj_t BgL_envz00_1260, obj_t BgL_loc1071z00_1261, obj_t BgL_ident1072z00_1262, obj_t BgL_files1073z00_1263, obj_t BgL_functions1074z00_1264, obj_t BgL_variables1075z00_1265, obj_t BgL_classes1076z00_1266, obj_t BgL_methods1077z00_1267, obj_t BgL_structures1078z00_1268, obj_t BgL_externs1079z00_1269, obj_t BgL_macros1080z00_1270)
{
{ /* types.scm 57 */
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1157z00_1590;
{ /* types.scm 57 */
 BgL_bdlzd2modulezd2_bglt BgL_new1156z00_1591;
BgL_new1156z00_1591 = 
((BgL_bdlzd2modulezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2modulezd2_bgl) ))); 
{ /* types.scm 57 */
 long BgL_arg1819z00_1592;
BgL_arg1819z00_1592 = 
BGL_CLASS_NUM(BGl_bdlzd2modulezd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1156z00_1591), BgL_arg1819z00_1592); } 
BgL_new1157z00_1590 = BgL_new1156z00_1591; } 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1157z00_1590)))->BgL_locz00)=((obj_t)BgL_loc1071z00_1261),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1157z00_1590)))->BgL_identz00)=((obj_t)
((obj_t)BgL_ident1072z00_1262)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_filesz00)=((obj_t)
((obj_t)BgL_files1073z00_1263)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_functionsz00)=((obj_t)
((obj_t)BgL_functions1074z00_1264)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_variablesz00)=((obj_t)
((obj_t)BgL_variables1075z00_1265)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_classesz00)=((obj_t)
((obj_t)BgL_classes1076z00_1266)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_methods1077z00_1267)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_structuresz00)=((obj_t)
((obj_t)BgL_structures1078z00_1268)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_externsz00)=((obj_t)
((obj_t)BgL_externs1079z00_1269)),BUNSPEC); 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(BgL_new1157z00_1590))->BgL_macrosz00)=((obj_t)
((obj_t)BgL_macros1080z00_1270)),BUNSPEC); 
return BgL_new1157z00_1590;} } 

}



/* &<@anonymous:1878> */
obj_t BGl_z62zc3z04anonymousza31878ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1271)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1877 */
obj_t BGl_z62lambda1877z62zz__bdl_typesz00(obj_t BgL_envz00_1272, obj_t BgL_oz00_1273, obj_t BgL_vz00_1274)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1273)))->BgL_macrosz00)=((obj_t)
((obj_t)BgL_vz00_1274)),BUNSPEC);} 

}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__bdl_typesz00(obj_t BgL_envz00_1275, obj_t BgL_oz00_1276)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1276)))->BgL_macrosz00);} 

}



/* &<@anonymous:1871> */
obj_t BGl_z62zc3z04anonymousza31871ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1277)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__bdl_typesz00(obj_t BgL_envz00_1278, obj_t BgL_oz00_1279, obj_t BgL_vz00_1280)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1279)))->BgL_externsz00)=((obj_t)
((obj_t)BgL_vz00_1280)),BUNSPEC);} 

}



/* &lambda1869 */
obj_t BGl_z62lambda1869z62zz__bdl_typesz00(obj_t BgL_envz00_1281, obj_t BgL_oz00_1282)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1282)))->BgL_externsz00);} 

}



/* &<@anonymous:1864> */
obj_t BGl_z62zc3z04anonymousza31864ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1283)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1863 */
obj_t BGl_z62lambda1863z62zz__bdl_typesz00(obj_t BgL_envz00_1284, obj_t BgL_oz00_1285, obj_t BgL_vz00_1286)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1285)))->BgL_structuresz00)=((obj_t)
((obj_t)BgL_vz00_1286)),BUNSPEC);} 

}



/* &lambda1862 */
obj_t BGl_z62lambda1862z62zz__bdl_typesz00(obj_t BgL_envz00_1287, obj_t BgL_oz00_1288)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1288)))->BgL_structuresz00);} 

}



/* &<@anonymous:1857> */
obj_t BGl_z62zc3z04anonymousza31857ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1289)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1856 */
obj_t BGl_z62lambda1856z62zz__bdl_typesz00(obj_t BgL_envz00_1290, obj_t BgL_oz00_1291, obj_t BgL_vz00_1292)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1291)))->BgL_methodsz00)=((obj_t)
((obj_t)BgL_vz00_1292)),BUNSPEC);} 

}



/* &lambda1855 */
obj_t BGl_z62lambda1855z62zz__bdl_typesz00(obj_t BgL_envz00_1293, obj_t BgL_oz00_1294)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1294)))->BgL_methodsz00);} 

}



/* &<@anonymous:1850> */
obj_t BGl_z62zc3z04anonymousza31850ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1295)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1849 */
obj_t BGl_z62lambda1849z62zz__bdl_typesz00(obj_t BgL_envz00_1296, obj_t BgL_oz00_1297, obj_t BgL_vz00_1298)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1297)))->BgL_classesz00)=((obj_t)
((obj_t)BgL_vz00_1298)),BUNSPEC);} 

}



/* &lambda1848 */
obj_t BGl_z62lambda1848z62zz__bdl_typesz00(obj_t BgL_envz00_1299, obj_t BgL_oz00_1300)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1300)))->BgL_classesz00);} 

}



/* &<@anonymous:1843> */
obj_t BGl_z62zc3z04anonymousza31843ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1301)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1842 */
obj_t BGl_z62lambda1842z62zz__bdl_typesz00(obj_t BgL_envz00_1302, obj_t BgL_oz00_1303, obj_t BgL_vz00_1304)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1303)))->BgL_variablesz00)=((obj_t)
((obj_t)BgL_vz00_1304)),BUNSPEC);} 

}



/* &lambda1841 */
obj_t BGl_z62lambda1841z62zz__bdl_typesz00(obj_t BgL_envz00_1305, obj_t BgL_oz00_1306)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1306)))->BgL_variablesz00);} 

}



/* &<@anonymous:1836> */
obj_t BGl_z62zc3z04anonymousza31836ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1307)
{
{ /* types.scm 57 */
return BNIL;} 

}



/* &lambda1835 */
obj_t BGl_z62lambda1835z62zz__bdl_typesz00(obj_t BgL_envz00_1308, obj_t BgL_oz00_1309, obj_t BgL_vz00_1310)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1309)))->BgL_functionsz00)=((obj_t)
((obj_t)BgL_vz00_1310)),BUNSPEC);} 

}



/* &lambda1834 */
obj_t BGl_z62lambda1834z62zz__bdl_typesz00(obj_t BgL_envz00_1311, obj_t BgL_oz00_1312)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1312)))->BgL_functionsz00);} 

}



/* &lambda1827 */
obj_t BGl_z62lambda1827z62zz__bdl_typesz00(obj_t BgL_envz00_1313, obj_t BgL_oz00_1314, obj_t BgL_vz00_1315)
{
{ /* types.scm 57 */
return 
((((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1314)))->BgL_filesz00)=((obj_t)
((obj_t)BgL_vz00_1315)),BUNSPEC);} 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__bdl_typesz00(obj_t BgL_envz00_1316, obj_t BgL_oz00_1317)
{
{ /* types.scm 57 */
return 
(((BgL_bdlzd2modulezd2_bglt)COBJECT(
((BgL_bdlzd2modulezd2_bglt)BgL_oz00_1317)))->BgL_filesz00);} 

}



/* &<@anonymous:1800> */
obj_t BGl_z62zc3z04anonymousza31800ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1318, obj_t BgL_new1069z00_1319)
{
{ /* types.scm 52 */
{ 
 BgL_bdlzd2entityzd2_bglt BgL_auxz00_2460;
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1069z00_1319)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_new1069z00_1319)))->BgL_identz00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
BgL_auxz00_2460 = 
((BgL_bdlzd2entityzd2_bglt)BgL_new1069z00_1319); 
return 
((obj_t)BgL_auxz00_2460);} } 

}



/* &lambda1794 */
BgL_bdlzd2entityzd2_bglt BGl_z62lambda1794z62zz__bdl_typesz00(obj_t BgL_envz00_1320)
{
{ /* types.scm 52 */
{ /* types.scm 52 */
 BgL_bdlzd2entityzd2_bglt BgL_new1068z00_1618;
BgL_new1068z00_1618 = 
((BgL_bdlzd2entityzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2entityzd2_bgl) ))); 
{ /* types.scm 52 */
 long BgL_arg1799z00_1619;
BgL_arg1799z00_1619 = 
BGL_CLASS_NUM(BGl_bdlzd2entityzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_1618), BgL_arg1799z00_1619); } 
return BgL_new1068z00_1618;} } 

}



/* &lambda1812 */
obj_t BGl_z62lambda1812z62zz__bdl_typesz00(obj_t BgL_envz00_1321, obj_t BgL_oz00_1322, obj_t BgL_vz00_1323)
{
{ /* types.scm 52 */
return 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1322)))->BgL_identz00)=((obj_t)
((obj_t)BgL_vz00_1323)),BUNSPEC);} 

}



/* &lambda1811 */
obj_t BGl_z62lambda1811z62zz__bdl_typesz00(obj_t BgL_envz00_1324, obj_t BgL_oz00_1325)
{
{ /* types.scm 52 */
return 
(((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1325)))->BgL_identz00);} 

}



/* &<@anonymous:1807> */
obj_t BGl_z62zc3z04anonymousza31807ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1326)
{
{ /* types.scm 52 */
return BUNSPEC;} 

}



/* &lambda1806 */
obj_t BGl_z62lambda1806z62zz__bdl_typesz00(obj_t BgL_envz00_1327, obj_t BgL_oz00_1328, obj_t BgL_vz00_1329)
{
{ /* types.scm 52 */
return 
((((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1328)))->BgL_locz00)=((obj_t)BgL_vz00_1329),BUNSPEC);} 

}



/* &lambda1805 */
obj_t BGl_z62lambda1805z62zz__bdl_typesz00(obj_t BgL_envz00_1330, obj_t BgL_oz00_1331)
{
{ /* types.scm 52 */
return 
(((BgL_bdlzd2entityzd2_bglt)COBJECT(
((BgL_bdlzd2entityzd2_bglt)BgL_oz00_1331)))->BgL_locz00);} 

}



/* &<@anonymous:1314> */
obj_t BGl_z62zc3z04anonymousza31314ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1332, obj_t BgL_new1066z00_1333)
{
{ /* types.scm 22 */
{ 
 BgL_bdlzd2programzd2_bglt BgL_auxz00_2480;
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_afilez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_etagsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_filesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_modulesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_functionsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_genericsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_methodsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_macrosz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_variablesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_typesz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_classsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_structuresz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333)))->BgL_externsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_2480 = 
((BgL_bdlzd2programzd2_bglt)BgL_new1066z00_1333); 
return 
((obj_t)BgL_auxz00_2480);} } 

}



/* &lambda1312 */
BgL_bdlzd2programzd2_bglt BGl_z62lambda1312z62zz__bdl_typesz00(obj_t BgL_envz00_1334)
{
{ /* types.scm 22 */
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1065z00_1626;
BgL_new1065z00_1626 = 
((BgL_bdlzd2programzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2programzd2_bgl) ))); 
{ /* types.scm 22 */
 long BgL_arg1313z00_1627;
BgL_arg1313z00_1627 = 
BGL_CLASS_NUM(BGl_bdlzd2programzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1065z00_1626), BgL_arg1313z00_1627); } 
return BgL_new1065z00_1626;} } 

}



/* &lambda1298 */
BgL_bdlzd2programzd2_bglt BGl_z62lambda1298z62zz__bdl_typesz00(obj_t BgL_envz00_1335, obj_t BgL_afile1052z00_1336, obj_t BgL_etags1053z00_1337, obj_t BgL_files1054z00_1338, obj_t BgL_modules1055z00_1339, obj_t BgL_functions1056z00_1340, obj_t BgL_generics1057z00_1341, obj_t BgL_methods1058z00_1342, obj_t BgL_macros1059z00_1343, obj_t BgL_variables1060z00_1344, obj_t BgL_types1061z00_1345, obj_t BgL_classs1062z00_1346, obj_t BgL_structures1063z00_1347, obj_t BgL_externs1064z00_1348)
{
{ /* types.scm 22 */
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1155z00_1629;
{ /* types.scm 22 */
 BgL_bdlzd2programzd2_bglt BgL_new1154z00_1630;
BgL_new1154z00_1630 = 
((BgL_bdlzd2programzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2programzd2_bgl) ))); 
{ /* types.scm 22 */
 long BgL_arg1311z00_1631;
BgL_arg1311z00_1631 = 
BGL_CLASS_NUM(BGl_bdlzd2programzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1154z00_1630), BgL_arg1311z00_1631); } 
BgL_new1155z00_1629 = BgL_new1154z00_1630; } 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_afilez00)=((obj_t)BgL_afile1052z00_1336),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_etagsz00)=((obj_t)BgL_etags1053z00_1337),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_filesz00)=((obj_t)
((obj_t)BgL_files1054z00_1338)),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_modulesz00)=((obj_t)BgL_modules1055z00_1339),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_functionsz00)=((obj_t)BgL_functions1056z00_1340),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_genericsz00)=((obj_t)BgL_generics1057z00_1341),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_methodsz00)=((obj_t)BgL_methods1058z00_1342),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_macrosz00)=((obj_t)BgL_macros1059z00_1343),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_variablesz00)=((obj_t)BgL_variables1060z00_1344),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_typesz00)=((obj_t)BgL_types1061z00_1345),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_classsz00)=((obj_t)BgL_classs1062z00_1346),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_structuresz00)=((obj_t)BgL_structures1063z00_1347),BUNSPEC); 
((((BgL_bdlzd2programzd2_bglt)COBJECT(BgL_new1155z00_1629))->BgL_externsz00)=((obj_t)BgL_externs1064z00_1348),BUNSPEC); 
return BgL_new1155z00_1629;} } 

}



/* &<@anonymous:1712> */
obj_t BGl_z62zc3z04anonymousza31712ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1349, obj_t BgL_oz00_1350)
{
{ /* types.scm 38 */
{ /* types.scm 40 */
 obj_t BgL_res2186z00_1652;
{ /* types.scm 40 */
 obj_t BgL_arg1714z00_1632; obj_t BgL_arg1715z00_1633; obj_t BgL_arg1723z00_1634; obj_t BgL_arg1724z00_1635; obj_t BgL_arg1725z00_1636; obj_t BgL_arg1726z00_1637; obj_t BgL_arg1727z00_1638; obj_t BgL_arg1728z00_1639; obj_t BgL_arg1729z00_1640; obj_t BgL_arg1730z00_1641;
BgL_arg1714z00_1632 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_modulesz00); 
BgL_arg1715z00_1633 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_functionsz00); 
BgL_arg1723z00_1634 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_genericsz00); 
BgL_arg1724z00_1635 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_methodsz00); 
BgL_arg1725z00_1636 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_macrosz00); 
BgL_arg1726z00_1637 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_variablesz00); 
BgL_arg1727z00_1638 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_typesz00); 
BgL_arg1728z00_1639 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_classsz00); 
BgL_arg1729z00_1640 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_structuresz00); 
BgL_arg1730z00_1641 = 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1350)))->BgL_externsz00); 
{ /* types.scm 40 */
 obj_t BgL_list1731z00_1642;
{ /* types.scm 40 */
 obj_t BgL_arg1737z00_1643;
{ /* types.scm 40 */
 obj_t BgL_arg1738z00_1644;
{ /* types.scm 40 */
 obj_t BgL_arg1747z00_1645;
{ /* types.scm 40 */
 obj_t BgL_arg1750z00_1646;
{ /* types.scm 40 */
 obj_t BgL_arg1751z00_1647;
{ /* types.scm 40 */
 obj_t BgL_arg1754z00_1648;
{ /* types.scm 40 */
 obj_t BgL_arg1771z00_1649;
{ /* types.scm 40 */
 obj_t BgL_arg1772z00_1650;
{ /* types.scm 40 */
 obj_t BgL_arg1776z00_1651;
BgL_arg1776z00_1651 = 
MAKE_YOUNG_PAIR(BgL_arg1730z00_1641, BNIL); 
BgL_arg1772z00_1650 = 
MAKE_YOUNG_PAIR(BgL_arg1729z00_1640, BgL_arg1776z00_1651); } 
BgL_arg1771z00_1649 = 
MAKE_YOUNG_PAIR(BgL_arg1728z00_1639, BgL_arg1772z00_1650); } 
BgL_arg1754z00_1648 = 
MAKE_YOUNG_PAIR(BgL_arg1727z00_1638, BgL_arg1771z00_1649); } 
BgL_arg1751z00_1647 = 
MAKE_YOUNG_PAIR(BgL_arg1726z00_1637, BgL_arg1754z00_1648); } 
BgL_arg1750z00_1646 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_1636, BgL_arg1751z00_1647); } 
BgL_arg1747z00_1645 = 
MAKE_YOUNG_PAIR(BgL_arg1724z00_1635, BgL_arg1750z00_1646); } 
BgL_arg1738z00_1644 = 
MAKE_YOUNG_PAIR(BgL_arg1723z00_1634, BgL_arg1747z00_1645); } 
BgL_arg1737z00_1643 = 
MAKE_YOUNG_PAIR(BgL_arg1715z00_1633, BgL_arg1738z00_1644); } 
BgL_list1731z00_1642 = 
MAKE_YOUNG_PAIR(BgL_arg1714z00_1632, BgL_arg1737z00_1643); } 
BgL_res2186z00_1652 = BgL_list1731z00_1642; } } 
return BgL_res2186z00_1652;} } 

}



/* &<@anonymous:1706> */
obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1351, obj_t BgL_oz00_1352, obj_t BgL_vz00_1353)
{
{ /* types.scm 22 */
return 
BGl_callzd2virtualzd2setterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1352), 
(int)(0L), BgL_vz00_1353);} 

}



/* &<@anonymous:1705> */
obj_t BGl_z62zc3z04anonymousza31705ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1354, obj_t BgL_oz00_1355)
{
{ /* types.scm 22 */
return 
BGl_callzd2virtualzd2getterz00zz__objectz00(
((BgL_objectz00_bglt)BgL_oz00_1355), 
(int)(0L));} 

}



/* &<@anonymous:1686> */
obj_t BGl_z62zc3z04anonymousza31686ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1356)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1685 */
obj_t BGl_z62lambda1685z62zz__bdl_typesz00(obj_t BgL_envz00_1357, obj_t BgL_oz00_1358, obj_t BgL_vz00_1359)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1358)))->BgL_externsz00)=((obj_t)BgL_vz00_1359),BUNSPEC);} 

}



/* &lambda1684 */
obj_t BGl_z62lambda1684z62zz__bdl_typesz00(obj_t BgL_envz00_1360, obj_t BgL_oz00_1361)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1361)))->BgL_externsz00);} 

}



/* &<@anonymous:1673> */
obj_t BGl_z62zc3z04anonymousza31673ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1362)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1672 */
obj_t BGl_z62lambda1672z62zz__bdl_typesz00(obj_t BgL_envz00_1363, obj_t BgL_oz00_1364, obj_t BgL_vz00_1365)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1364)))->BgL_structuresz00)=((obj_t)BgL_vz00_1365),BUNSPEC);} 

}



/* &lambda1671 */
obj_t BGl_z62lambda1671z62zz__bdl_typesz00(obj_t BgL_envz00_1366, obj_t BgL_oz00_1367)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1367)))->BgL_structuresz00);} 

}



/* &<@anonymous:1645> */
obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1368)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1644 */
obj_t BGl_z62lambda1644z62zz__bdl_typesz00(obj_t BgL_envz00_1369, obj_t BgL_oz00_1370, obj_t BgL_vz00_1371)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1370)))->BgL_classsz00)=((obj_t)BgL_vz00_1371),BUNSPEC);} 

}



/* &lambda1643 */
obj_t BGl_z62lambda1643z62zz__bdl_typesz00(obj_t BgL_envz00_1372, obj_t BgL_oz00_1373)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1373)))->BgL_classsz00);} 

}



/* &<@anonymous:1614> */
obj_t BGl_z62zc3z04anonymousza31614ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1374)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1613 */
obj_t BGl_z62lambda1613z62zz__bdl_typesz00(obj_t BgL_envz00_1375, obj_t BgL_oz00_1376, obj_t BgL_vz00_1377)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1376)))->BgL_typesz00)=((obj_t)BgL_vz00_1377),BUNSPEC);} 

}



/* &lambda1612 */
obj_t BGl_z62lambda1612z62zz__bdl_typesz00(obj_t BgL_envz00_1378, obj_t BgL_oz00_1379)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1379)))->BgL_typesz00);} 

}



/* &<@anonymous:1585> */
obj_t BGl_z62zc3z04anonymousza31585ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1380)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1584 */
obj_t BGl_z62lambda1584z62zz__bdl_typesz00(obj_t BgL_envz00_1381, obj_t BgL_oz00_1382, obj_t BgL_vz00_1383)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1382)))->BgL_variablesz00)=((obj_t)BgL_vz00_1383),BUNSPEC);} 

}



/* &lambda1583 */
obj_t BGl_z62lambda1583z62zz__bdl_typesz00(obj_t BgL_envz00_1384, obj_t BgL_oz00_1385)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1385)))->BgL_variablesz00);} 

}



/* &<@anonymous:1563> */
obj_t BGl_z62zc3z04anonymousza31563ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1386)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1562 */
obj_t BGl_z62lambda1562z62zz__bdl_typesz00(obj_t BgL_envz00_1387, obj_t BgL_oz00_1388, obj_t BgL_vz00_1389)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1388)))->BgL_macrosz00)=((obj_t)BgL_vz00_1389),BUNSPEC);} 

}



/* &lambda1561 */
obj_t BGl_z62lambda1561z62zz__bdl_typesz00(obj_t BgL_envz00_1390, obj_t BgL_oz00_1391)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1391)))->BgL_macrosz00);} 

}



/* &<@anonymous:1536> */
obj_t BGl_z62zc3z04anonymousza31536ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1392)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1535 */
obj_t BGl_z62lambda1535z62zz__bdl_typesz00(obj_t BgL_envz00_1393, obj_t BgL_oz00_1394, obj_t BgL_vz00_1395)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1394)))->BgL_methodsz00)=((obj_t)BgL_vz00_1395),BUNSPEC);} 

}



/* &lambda1534 */
obj_t BGl_z62lambda1534z62zz__bdl_typesz00(obj_t BgL_envz00_1396, obj_t BgL_oz00_1397)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1397)))->BgL_methodsz00);} 

}



/* &<@anonymous:1447> */
obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1398)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1446 */
obj_t BGl_z62lambda1446z62zz__bdl_typesz00(obj_t BgL_envz00_1399, obj_t BgL_oz00_1400, obj_t BgL_vz00_1401)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1400)))->BgL_genericsz00)=((obj_t)BgL_vz00_1401),BUNSPEC);} 

}



/* &lambda1445 */
obj_t BGl_z62lambda1445z62zz__bdl_typesz00(obj_t BgL_envz00_1402, obj_t BgL_oz00_1403)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1403)))->BgL_genericsz00);} 

}



/* &<@anonymous:1371> */
obj_t BGl_z62zc3z04anonymousza31371ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1404)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1370 */
obj_t BGl_z62lambda1370z62zz__bdl_typesz00(obj_t BgL_envz00_1405, obj_t BgL_oz00_1406, obj_t BgL_vz00_1407)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1406)))->BgL_functionsz00)=((obj_t)BgL_vz00_1407),BUNSPEC);} 

}



/* &lambda1369 */
obj_t BGl_z62lambda1369z62zz__bdl_typesz00(obj_t BgL_envz00_1408, obj_t BgL_oz00_1409)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1409)))->BgL_functionsz00);} 

}



/* &<@anonymous:1348> */
obj_t BGl_z62zc3z04anonymousza31348ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1410)
{
{ /* types.scm 22 */
return 
BGl_makezd2hashtablezd2zz__hashz00(BNIL);} 

}



/* &lambda1347 */
obj_t BGl_z62lambda1347z62zz__bdl_typesz00(obj_t BgL_envz00_1411, obj_t BgL_oz00_1412, obj_t BgL_vz00_1413)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1412)))->BgL_modulesz00)=((obj_t)BgL_vz00_1413),BUNSPEC);} 

}



/* &lambda1346 */
obj_t BGl_z62lambda1346z62zz__bdl_typesz00(obj_t BgL_envz00_1414, obj_t BgL_oz00_1415)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1415)))->BgL_modulesz00);} 

}



/* &lambda1340 */
obj_t BGl_z62lambda1340z62zz__bdl_typesz00(obj_t BgL_envz00_1416, obj_t BgL_oz00_1417, obj_t BgL_vz00_1418)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1417)))->BgL_filesz00)=((obj_t)
((obj_t)BgL_vz00_1418)),BUNSPEC);} 

}



/* &lambda1339 */
obj_t BGl_z62lambda1339z62zz__bdl_typesz00(obj_t BgL_envz00_1419, obj_t BgL_oz00_1420)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1420)))->BgL_filesz00);} 

}



/* &lambda1331 */
obj_t BGl_z62lambda1331z62zz__bdl_typesz00(obj_t BgL_envz00_1421, obj_t BgL_oz00_1422, obj_t BgL_vz00_1423)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1422)))->BgL_etagsz00)=((obj_t)BgL_vz00_1423),BUNSPEC);} 

}



/* &lambda1330 */
obj_t BGl_z62lambda1330z62zz__bdl_typesz00(obj_t BgL_envz00_1424, obj_t BgL_oz00_1425)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1425)))->BgL_etagsz00);} 

}



/* &lambda1321 */
obj_t BGl_z62lambda1321z62zz__bdl_typesz00(obj_t BgL_envz00_1426, obj_t BgL_oz00_1427, obj_t BgL_vz00_1428)
{
{ /* types.scm 22 */
return 
((((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1427)))->BgL_afilez00)=((obj_t)BgL_vz00_1428),BUNSPEC);} 

}



/* &lambda1320 */
obj_t BGl_z62lambda1320z62zz__bdl_typesz00(obj_t BgL_envz00_1429, obj_t BgL_oz00_1430)
{
{ /* types.scm 22 */
return 
(((BgL_bdlzd2programzd2_bglt)COBJECT(
((BgL_bdlzd2programzd2_bglt)BgL_oz00_1430)))->BgL_afilez00);} 

}



/* &<@anonymous:1239> */
obj_t BGl_z62zc3z04anonymousza31239ze3ze5zz__bdl_typesz00(obj_t BgL_envz00_1431, obj_t BgL_new1050z00_1432)
{
{ /* types.scm 17 */
{ 
 BgL_bdlzd2locationzd2_bglt BgL_auxz00_2630;
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_new1050z00_1432)))->BgL_filez00)=((obj_t)BGl_string2183z00zz__bdl_typesz00),BUNSPEC); 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_new1050z00_1432)))->BgL_linez00)=((int)
(int)(0L)),BUNSPEC); 
BgL_auxz00_2630 = 
((BgL_bdlzd2locationzd2_bglt)BgL_new1050z00_1432); 
return 
((obj_t)BgL_auxz00_2630);} } 

}



/* &lambda1236 */
BgL_bdlzd2locationzd2_bglt BGl_z62lambda1236z62zz__bdl_typesz00(obj_t BgL_envz00_1433)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1049z00_1681;
BgL_new1049z00_1681 = 
((BgL_bdlzd2locationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2locationzd2_bgl) ))); 
{ /* types.scm 17 */
 long BgL_arg1238z00_1682;
BgL_arg1238z00_1682 = 
BGL_CLASS_NUM(BGl_bdlzd2locationzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_1681), BgL_arg1238z00_1682); } 
return BgL_new1049z00_1681;} } 

}



/* &lambda1231 */
BgL_bdlzd2locationzd2_bglt BGl_z62lambda1231z62zz__bdl_typesz00(obj_t BgL_envz00_1434, obj_t BgL_file1047z00_1435, obj_t BgL_line1048z00_1436)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 int BgL_line1048z00_1684;
BgL_line1048z00_1684 = 
CINT(BgL_line1048z00_1436); 
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1153z00_1685;
{ /* types.scm 17 */
 BgL_bdlzd2locationzd2_bglt BgL_new1152z00_1686;
BgL_new1152z00_1686 = 
((BgL_bdlzd2locationzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_bdlzd2locationzd2_bgl) ))); 
{ /* types.scm 17 */
 long BgL_arg1235z00_1687;
BgL_arg1235z00_1687 = 
BGL_CLASS_NUM(BGl_bdlzd2locationzd2zz__bdl_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_1686), BgL_arg1235z00_1687); } 
BgL_new1153z00_1685 = BgL_new1152z00_1686; } 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_new1153z00_1685))->BgL_filez00)=((obj_t)
((obj_t)BgL_file1047z00_1435)),BUNSPEC); 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(BgL_new1153z00_1685))->BgL_linez00)=((int)BgL_line1048z00_1684),BUNSPEC); 
return BgL_new1153z00_1685;} } } 

}



/* &lambda1271 */
obj_t BGl_z62lambda1271z62zz__bdl_typesz00(obj_t BgL_envz00_1437, obj_t BgL_oz00_1438, obj_t BgL_vz00_1439)
{
{ /* types.scm 17 */
{ /* types.scm 17 */
 int BgL_vz00_1689;
BgL_vz00_1689 = 
CINT(BgL_vz00_1439); 
return 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1438)))->BgL_linez00)=((int)BgL_vz00_1689),BUNSPEC);} } 

}



/* &lambda1270 */
obj_t BGl_z62lambda1270z62zz__bdl_typesz00(obj_t BgL_envz00_1440, obj_t BgL_oz00_1441)
{
{ /* types.scm 17 */
return 
BINT(
(((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1441)))->BgL_linez00));} 

}



/* &lambda1264 */
obj_t BGl_z62lambda1264z62zz__bdl_typesz00(obj_t BgL_envz00_1442, obj_t BgL_oz00_1443, obj_t BgL_vz00_1444)
{
{ /* types.scm 17 */
return 
((((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1443)))->BgL_filez00)=((obj_t)
((obj_t)BgL_vz00_1444)),BUNSPEC);} 

}



/* &lambda1263 */
obj_t BGl_z62lambda1263z62zz__bdl_typesz00(obj_t BgL_envz00_1445, obj_t BgL_oz00_1446)
{
{ /* types.scm 17 */
return 
(((BgL_bdlzd2locationzd2_bglt)COBJECT(
((BgL_bdlzd2locationzd2_bglt)BgL_oz00_1446)))->BgL_filez00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__bdl_typesz00(void)
{
{ /* types.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
