/*===========================================================================*/
/*   (Ast/hrtype.scm)                                                        */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Ast/hrtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_AST_HRTYPE_TYPE_DEFINITIONS
#define BGL_AST_HRTYPE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_getfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_getfieldz00_bglt;

	typedef struct BgL_setfieldz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_fnamez00;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_setfieldz00_bglt;

	typedef struct BgL_wideningz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                  *BgL_wideningz00_bglt;

	typedef struct BgL_newz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		obj_t BgL_argszd2typezd2;
	}             *BgL_newz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;


#endif													// BGL_AST_HRTYPE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_hrtypez00 = BUNSPEC;
	extern obj_t BGl_newz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vlength1297z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2cast1301z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vlengthz00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2var1269z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2setq1303z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_hrtypez00(void);
	static obj_t BGl_z62hrtypezd2nodez12zd2vsetz121295z62zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2fail1307z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_hrtypez00(void);
	extern obj_t BGl_getfieldz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_hrtypez00(void);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21315z70zzast_hrtypez00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2app1275z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2conditi1305z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_hrtypez00(void);
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1313za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sync1273z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1321za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1323za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2funcall1279z70zzast_hrtypez00(obj_t,
		obj_t);
	static bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1319za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_wideningz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2widenin1287z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2setfiel1285z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_hrtypez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00(void);
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2sequenc1271z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2instanc1299z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00(void);
	extern obj_t BGl_vallocz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2vref1293z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2valloc1291z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2switch1309z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1277za2zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setfieldz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1317za2zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2getfiel1283z70zzast_hrtypez00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2new1289z70zzast_hrtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1311za2zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez12zd2extern1281z70zzast_hrtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t
		BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt);
	static obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_STRING(BGl_string1918z00zzast_hrtypez00,
		BgL_bgl_string1918za700za7za7a1954za7, "hrtype-node!1266", 16);
	      DEFINE_STRING(BGl_string1920z00zzast_hrtypez00,
		BgL_bgl_string1920za700za7za7a1955za7, "hrtype-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1917z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1956z00,
		BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1919z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1957z00,
		BGl_z62hrtypezd2nodez12zd2var1269z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1921z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1958z00,
		BGl_z62hrtypezd2nodez12zd2sequenc1271z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1922z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1959z00,
		BGl_z62hrtypezd2nodez12zd2sync1273z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1923z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1960z00,
		BGl_z62hrtypezd2nodez12zd2app1275z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1961z00,
		BGl_z62hrtypezd2nodez12zd2appzd2ly1277za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1925z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1962z00,
		BGl_z62hrtypezd2nodez12zd2funcall1279z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1926z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1963z00,
		BGl_z62hrtypezd2nodez12zd2extern1281z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1927z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1964z00,
		BGl_z62hrtypezd2nodez12zd2getfiel1283z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1928z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1965z00,
		BGl_z62hrtypezd2nodez12zd2setfiel1285z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1929z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1966z00,
		BGl_z62hrtypezd2nodez12zd2widenin1287z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1930z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1967z00,
		BGl_z62hrtypezd2nodez12zd2new1289z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1968z00,
		BGl_z62hrtypezd2nodez12zd2valloc1291z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1932z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1969z00,
		BGl_z62hrtypezd2nodez12zd2vref1293z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1970z00,
		BGl_z62hrtypezd2nodez12zd2vsetz121295z62zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1934z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1971z00,
		BGl_z62hrtypezd2nodez12zd2vlength1297z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1935z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1972z00,
		BGl_z62hrtypezd2nodez12zd2instanc1299z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1936z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1973z00,
		BGl_z62hrtypezd2nodez12zd2cast1301z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1937z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1974z00,
		BGl_z62hrtypezd2nodez12zd2setq1303z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1938z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1975z00,
		BGl_z62hrtypezd2nodez12zd2conditi1305z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1939z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1976z00,
		BGl_z62hrtypezd2nodez12zd2fail1307z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1948z00zzast_hrtypez00,
		BgL_bgl_string1948za700za7za7a1977za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1949z00zzast_hrtypez00,
		BgL_bgl_string1949za700za7za7a1978za7, "heap", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1940z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1979z00,
		BGl_z62hrtypezd2nodez12zd2switch1309z70zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1980z00,
		BGl_z62hrtypezd2nodez12zd2letzd2fun1311za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1942z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1981z00,
		BGl_z62hrtypezd2nodez12zd2letzd2var1313za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1943z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1982z00,
		BGl_z62hrtypezd2nodez12zd2setzd2exzd21315z70zzast_hrtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1950z00zzast_hrtypez00,
		BgL_bgl_string1950za700za7za7a1983za7, "Can't find library variable", 27);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1944z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1984z00,
		BGl_z62hrtypezd2nodez12zd2jumpzd2ex1317za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1985z00,
		BGl_z62hrtypezd2nodez12za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1951z00zzast_hrtypez00,
		BgL_bgl_string1951za700za7za7a1986za7, "ast_hrtype", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1945z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1987z00,
		BGl_z62hrtypezd2nodez12zd2makezd2bo1319za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1952z00zzast_hrtypez00,
		BgL_bgl_string1952za700za7za7a1988za7, "static sifun ", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1946z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1989z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2set1321za2zzast_hrtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1947z00zzast_hrtypez00,
		BgL_bgl_za762hrtypeza7d2node1990z00,
		BGl_z62hrtypezd2nodez12zd2boxzd2ref1323za2zzast_hrtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzast_hrtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long
		BgL_checksumz00_2894, char *BgL_fromz00_2895)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_hrtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_hrtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzast_hrtypez00();
					BGl_libraryzd2moduleszd2initz00zzast_hrtypez00();
					BGl_cnstzd2initzd2zzast_hrtypez00();
					BGl_importedzd2moduleszd2initz00zzast_hrtypez00();
					BGl_genericzd2initzd2zzast_hrtypez00();
					BGl_methodzd2initzd2zzast_hrtypez00();
					return BGl_toplevelzd2initzd2zzast_hrtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"ast_hrtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"ast_hrtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			{	/* Ast/hrtype.scm 17 */
				obj_t BgL_cportz00_2602;

				{	/* Ast/hrtype.scm 17 */
					obj_t BgL_stringz00_2609;

					BgL_stringz00_2609 = BGl_string1952z00zzast_hrtypez00;
					{	/* Ast/hrtype.scm 17 */
						obj_t BgL_startz00_2610;

						BgL_startz00_2610 = BINT(0L);
						{	/* Ast/hrtype.scm 17 */
							obj_t BgL_endz00_2611;

							BgL_endz00_2611 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2609)));
							{	/* Ast/hrtype.scm 17 */

								BgL_cportz00_2602 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2609, BgL_startz00_2610, BgL_endz00_2611);
				}}}}
				{
					long BgL_iz00_2603;

					BgL_iz00_2603 = 1L;
				BgL_loopz00_2604:
					if ((BgL_iz00_2603 == -1L))
						{	/* Ast/hrtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Ast/hrtype.scm 17 */
							{	/* Ast/hrtype.scm 17 */
								obj_t BgL_arg1953z00_2605;

								{	/* Ast/hrtype.scm 17 */

									{	/* Ast/hrtype.scm 17 */
										obj_t BgL_locationz00_2607;

										BgL_locationz00_2607 = BBOOL(((bool_t) 0));
										{	/* Ast/hrtype.scm 17 */

											BgL_arg1953z00_2605 =
												BGl_readz00zz__readerz00(BgL_cportz00_2602,
												BgL_locationz00_2607);
										}
									}
								}
								{	/* Ast/hrtype.scm 17 */
									int BgL_tmpz00_2925;

									BgL_tmpz00_2925 = (int) (BgL_iz00_2603);
									CNST_TABLE_SET(BgL_tmpz00_2925, BgL_arg1953z00_2605);
							}}
							{	/* Ast/hrtype.scm 17 */
								int BgL_auxz00_2608;

								BgL_auxz00_2608 = (int) ((BgL_iz00_2603 - 1L));
								{
									long BgL_iz00_2930;

									BgL_iz00_2930 = (long) (BgL_auxz00_2608);
									BgL_iz00_2603 = BgL_iz00_2930;
									goto BgL_loopz00_2604;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* hrtype-node*! */
	bool_t BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(obj_t BgL_nodeza2za2_32)
	{
		{	/* Ast/hrtype.scm 385 */
			{
				obj_t BgL_l1264z00_1393;

				BgL_l1264z00_1393 = BgL_nodeza2za2_32;
			BgL_zc3z04anonymousza31332ze3z87_1394:
				if (PAIRP(BgL_l1264z00_1393))
					{	/* Ast/hrtype.scm 386 */
						{	/* Ast/hrtype.scm 386 */
							obj_t BgL_arg1337z00_1396;

							BgL_arg1337z00_1396 = CAR(BgL_l1264z00_1393);
							BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
								((BgL_nodez00_bglt) BgL_arg1337z00_1396));
						}
						{
							obj_t BgL_l1264z00_2938;

							BgL_l1264z00_2938 = CDR(BgL_l1264z00_1393);
							BgL_l1264z00_1393 = BgL_l1264z00_2938;
							goto BgL_zc3z04anonymousza31332ze3z87_1394;
						}
					}
				else
					{	/* Ast/hrtype.scm 386 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* restore-variable-type! */
	obj_t BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(BgL_variablez00_bglt
		BgL_variablez00_33)
	{
		{	/* Ast/hrtype.scm 391 */
			{	/* Ast/hrtype.scm 392 */
				BgL_typez00_bglt BgL_typez00_1399;

				BgL_typez00_1399 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->BgL_typez00);
				{	/* Ast/hrtype.scm 393 */
					bool_t BgL_test1994z00_2941;

					{	/* Ast/hrtype.scm 393 */
						obj_t BgL_classz00_1901;

						BgL_classz00_1901 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 393 */
							BgL_objectz00_bglt BgL_arg1801z00_1903;

							{	/* Ast/hrtype.scm 393 */
								obj_t BgL_tmpz00_2942;

								BgL_tmpz00_2942 =
									((obj_t) ((BgL_objectz00_bglt) BgL_typez00_1399));
								BgL_arg1801z00_1903 = (BgL_objectz00_bglt) (BgL_tmpz00_2942);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/hrtype.scm 393 */
									long BgL_idxz00_1909;

									BgL_idxz00_1909 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1903);
									BgL_test1994z00_2941 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_1909 + 1L)) == BgL_classz00_1901);
								}
							else
								{	/* Ast/hrtype.scm 393 */
									bool_t BgL_res1895z00_1931;

									{	/* Ast/hrtype.scm 393 */
										obj_t BgL_oclassz00_1917;

										{	/* Ast/hrtype.scm 393 */
											long BgL_arg1808z00_1923;

											{	/* Ast/hrtype.scm 393 */
												long BgL_arg1809z00_1924;

												BgL_arg1809z00_1924 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1903);
												BgL_arg1808z00_1923 =
													(BgL_arg1809z00_1924 - OBJECT_TYPE);
											}
											BgL_oclassz00_1917 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_1923);
										}
										{	/* Ast/hrtype.scm 393 */
											bool_t BgL__ortest_1115z00_1918;

											BgL__ortest_1115z00_1918 =
												(BgL_classz00_1901 == BgL_oclassz00_1917);
											if (BgL__ortest_1115z00_1918)
												{	/* Ast/hrtype.scm 393 */
													BgL_res1895z00_1931 = BgL__ortest_1115z00_1918;
												}
											else
												{	/* Ast/hrtype.scm 393 */
													long BgL_odepthz00_1919;

													BgL_odepthz00_1919 =
														BGL_CLASS_DEPTH(BgL_oclassz00_1917);
													if ((1L < BgL_odepthz00_1919))
														{	/* Ast/hrtype.scm 393 */
															obj_t BgL_arg1797z00_1921;

															BgL_arg1797z00_1921 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1917, 1L);
															BgL_res1895z00_1931 =
																(BgL_arg1797z00_1921 == BgL_classz00_1901);
														}
													else
														{	/* Ast/hrtype.scm 393 */
															BgL_res1895z00_1931 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1994z00_2941 = BgL_res1895z00_1931;
								}
						}
					}
					if (BgL_test1994z00_2941)
						{	/* Ast/hrtype.scm 393 */
							return
								((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_33))->
									BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_findzd2typezd2zztype_envz00((((BgL_typez00_bglt)
												COBJECT(BgL_typez00_1399))->BgL_idz00))), BUNSPEC);
						}
					else
						{	/* Ast/hrtype.scm 393 */
							return BFALSE;
						}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_proc1917z00zzast_hrtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1918z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!1266 */
	obj_t BGl_z62hrtypezd2nodez121266za2zzast_hrtypez00(obj_t BgL_envz00_2514,
		obj_t BgL_nodez00_2515)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 34 */
				bool_t BgL_test1998z00_2966;

				{	/* Ast/hrtype.scm 34 */
					BgL_typez00_bglt BgL_arg1361z00_2614;

					BgL_arg1361z00_2614 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt) BgL_nodez00_2515)))->BgL_typez00);
					{	/* Ast/hrtype.scm 34 */
						obj_t BgL_classz00_2615;

						BgL_classz00_2615 = BGl_typez00zztype_typez00;
						{	/* Ast/hrtype.scm 34 */
							BgL_objectz00_bglt BgL_arg1801z00_2616;

							{	/* Ast/hrtype.scm 34 */
								obj_t BgL_tmpz00_2969;

								BgL_tmpz00_2969 =
									((obj_t) ((BgL_objectz00_bglt) BgL_arg1361z00_2614));
								BgL_arg1801z00_2616 = (BgL_objectz00_bglt) (BgL_tmpz00_2969);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Ast/hrtype.scm 34 */
									long BgL_idxz00_2617;

									BgL_idxz00_2617 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2616);
									BgL_test1998z00_2966 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2617 + 1L)) == BgL_classz00_2615);
								}
							else
								{	/* Ast/hrtype.scm 34 */
									bool_t BgL_res1896z00_2620;

									{	/* Ast/hrtype.scm 34 */
										obj_t BgL_oclassz00_2621;

										{	/* Ast/hrtype.scm 34 */
											long BgL_arg1808z00_2622;

											{	/* Ast/hrtype.scm 34 */
												long BgL_arg1809z00_2623;

												BgL_arg1809z00_2623 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2616);
												BgL_arg1808z00_2622 =
													(BgL_arg1809z00_2623 - OBJECT_TYPE);
											}
											BgL_oclassz00_2621 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2622);
										}
										{	/* Ast/hrtype.scm 34 */
											bool_t BgL__ortest_1115z00_2624;

											BgL__ortest_1115z00_2624 =
												(BgL_classz00_2615 == BgL_oclassz00_2621);
											if (BgL__ortest_1115z00_2624)
												{	/* Ast/hrtype.scm 34 */
													BgL_res1896z00_2620 = BgL__ortest_1115z00_2624;
												}
											else
												{	/* Ast/hrtype.scm 34 */
													long BgL_odepthz00_2625;

													BgL_odepthz00_2625 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2621);
													if ((1L < BgL_odepthz00_2625))
														{	/* Ast/hrtype.scm 34 */
															obj_t BgL_arg1797z00_2626;

															BgL_arg1797z00_2626 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2621, 1L);
															BgL_res1896z00_2620 =
																(BgL_arg1797z00_2626 == BgL_classz00_2615);
														}
													else
														{	/* Ast/hrtype.scm 34 */
															BgL_res1896z00_2620 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test1998z00_2966 = BgL_res1896z00_2620;
								}
						}
					}
				}
				if (BgL_test1998z00_2966)
					{
						BgL_typez00_bglt BgL_auxz00_2989;

						{	/* Ast/hrtype.scm 35 */
							obj_t BgL_arg1352z00_2627;

							BgL_arg1352z00_2627 =
								(((BgL_typez00_bglt) COBJECT(
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_nodez00_2515)))->
											BgL_typez00)))->BgL_idz00);
							BgL_auxz00_2989 =
								BGl_findzd2typezd2zztype_envz00(BgL_arg1352z00_2627);
						}
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_nodez00_2515)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_2989), BUNSPEC);
					}
				else
					{	/* Ast/hrtype.scm 34 */
						return BFALSE;
					}
			}
		}

	}



/* hrtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt
		BgL_nodez00_3)
	{
		{	/* Ast/hrtype.scm 32 */
			{	/* Ast/hrtype.scm 32 */
				obj_t BgL_method1267z00_1413;

				{	/* Ast/hrtype.scm 32 */
					obj_t BgL_res1901z00_1997;

					{	/* Ast/hrtype.scm 32 */
						long BgL_objzd2classzd2numz00_1968;

						BgL_objzd2classzd2numz00_1968 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
						{	/* Ast/hrtype.scm 32 */
							obj_t BgL_arg1805z00_1969;

							BgL_arg1805z00_1969 =
								PROCEDURE_REF(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
								(int) (1L));
							{	/* Ast/hrtype.scm 32 */
								int BgL_offsetz00_1972;

								BgL_offsetz00_1972 = (int) (BgL_objzd2classzd2numz00_1968);
								{	/* Ast/hrtype.scm 32 */
									long BgL_offsetz00_1973;

									BgL_offsetz00_1973 =
										((long) (BgL_offsetz00_1972) - OBJECT_TYPE);
									{	/* Ast/hrtype.scm 32 */
										long BgL_modz00_1974;

										BgL_modz00_1974 =
											(BgL_offsetz00_1973 >> (int) ((long) ((int) (4L))));
										{	/* Ast/hrtype.scm 32 */
											long BgL_restz00_1976;

											BgL_restz00_1976 =
												(BgL_offsetz00_1973 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Ast/hrtype.scm 32 */

												{	/* Ast/hrtype.scm 32 */
													obj_t BgL_bucketz00_1978;

													BgL_bucketz00_1978 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_1969), BgL_modz00_1974);
													BgL_res1901z00_1997 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1978), BgL_restz00_1976);
					}}}}}}}}
					BgL_method1267z00_1413 = BgL_res1901z00_1997;
				}
				return
					(VA_PROCEDUREP(BgL_method1267z00_1413) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1267z00_1413)) (BgL_method1267z00_1413,
						((obj_t) BgL_nodez00_3), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1267z00_1413)) (BgL_method1267z00_1413,
						((obj_t) BgL_nodez00_3)));
			}
		}

	}



/* &hrtype-node! */
	obj_t BGl_z62hrtypezd2nodez12za2zzast_hrtypez00(obj_t BgL_envz00_2516,
		obj_t BgL_nodez00_2517)
	{
		{	/* Ast/hrtype.scm 32 */
			return
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2517));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1919z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1921z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1922z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1923z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1924z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc1925z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_externz00zzast_nodez00, BGl_proc1926z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_getfieldz00zzast_nodez00, BGl_proc1927z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setfieldz00zzast_nodez00, BGl_proc1928z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_wideningz00zzast_nodez00, BGl_proc1929z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_newz00zzast_nodez00,
				BGl_proc1930z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vallocz00zzast_nodez00, BGl_proc1931z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc1932z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vsetz12z12zzast_nodez00, BGl_proc1933z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_vlengthz00zzast_nodez00, BGl_proc1934z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_instanceofz00zzast_nodez00, BGl_proc1935z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_castz00zzast_nodez00,
				BGl_proc1936z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1937z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1938z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00, BGl_failz00zzast_nodez00,
				BGl_proc1939z00zzast_hrtypez00, BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_switchz00zzast_nodez00, BGl_proc1940z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1941z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1942z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1943z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1944z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1945z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1946z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1947z00zzast_hrtypez00,
				BGl_string1920z00zzast_hrtypez00);
		}

	}



/* &hrtype-node!-box-ref1323 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2ref1323za2zzast_hrtypez00(obj_t
		BgL_envz00_2546, obj_t BgL_nodez00_2547)
	{
		{	/* Ast/hrtype.scm 377 */
			{

				{	/* Ast/hrtype.scm 379 */
					BgL_varz00_bglt BgL_arg1827z00_2631;

					BgL_arg1827z00_2631 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_2547)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1827z00_2631));
				}
				{	/* Ast/hrtype.scm 377 */
					obj_t BgL_nextzd2method1322zd2_2630;

					BgL_nextzd2method1322zd2_2630 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2547)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2refzd2zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1322zd2_2630)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1322zd2_2630))
						(BgL_nextzd2method1322zd2_2630,
							((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2547)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1322zd2_2630))
						(BgL_nextzd2method1322zd2_2630,
							((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2547))));
				}
			}
		}

	}



/* &hrtype-node!-box-set1321 */
	obj_t BGl_z62hrtypezd2nodez12zd2boxzd2set1321za2zzast_hrtypez00(obj_t
		BgL_envz00_2548, obj_t BgL_nodez00_2549)
	{
		{	/* Ast/hrtype.scm 368 */
			{

				{	/* Ast/hrtype.scm 370 */
					BgL_varz00_bglt BgL_arg1825z00_2635;

					BgL_arg1825z00_2635 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2549)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1825z00_2635));
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2549)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 368 */
					obj_t BgL_nextzd2method1320zd2_2634;

					BgL_nextzd2method1320zd2_2634 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2549)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_boxzd2setz12zc0zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1320zd2_2634)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1320zd2_2634))
						(BgL_nextzd2method1320zd2_2634,
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2549)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1320zd2_2634))
						(BgL_nextzd2method1320zd2_2634,
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2549))));
				}
			}
		}

	}



/* &hrtype-node!-make-bo1319 */
	obj_t BGl_z62hrtypezd2nodez12zd2makezd2bo1319za2zzast_hrtypez00(obj_t
		BgL_envz00_2550, obj_t BgL_nodez00_2551)
	{
		{	/* Ast/hrtype.scm 360 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_2551)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 360 */
					obj_t BgL_nextzd2method1318zd2_2638;

					BgL_nextzd2method1318zd2_2638 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2551)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_makezd2boxzd2zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1318zd2_2638)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1318zd2_2638))
						(BgL_nextzd2method1318zd2_2638,
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2551)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1318zd2_2638))
						(BgL_nextzd2method1318zd2_2638,
							((obj_t) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2551))));
				}
			}
		}

	}



/* &hrtype-node!-jump-ex1317 */
	obj_t BGl_z62hrtypezd2nodez12zd2jumpzd2ex1317za2zzast_hrtypez00(obj_t
		BgL_envz00_2552, obj_t BgL_nodez00_2553)
	{
		{	/* Ast/hrtype.scm 351 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2553)))->
						BgL_exitz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_jumpzd2exzd2itz00_bglt)
							COBJECT(((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2553)))->
						BgL_valuez00));
				{	/* Ast/hrtype.scm 351 */
					obj_t BgL_nextzd2method1316zd2_2641;

					BgL_nextzd2method1316zd2_2641 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2553)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_jumpzd2exzd2itz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1316zd2_2641)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1316zd2_2641))
						(BgL_nextzd2method1316zd2_2641,
							((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2553)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1316zd2_2641))
						(BgL_nextzd2method1316zd2_2641,
							((obj_t) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2553))));
				}
			}
		}

	}



/* &hrtype-node!-set-ex-1315 */
	obj_t BGl_z62hrtypezd2nodez12zd2setzd2exzd21315z70zzast_hrtypez00(obj_t
		BgL_envz00_2554, obj_t BgL_nodez00_2555)
	{
		{	/* Ast/hrtype.scm 340 */
			{

				BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
					(((BgL_varz00_bglt) COBJECT(
								(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)))->
									BgL_varz00)))->BgL_variablez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)))->
						BgL_bodyz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00((((BgL_setzd2exzd2itz00_bglt)
							COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)))->
						BgL_onexitz00));
				{	/* Ast/hrtype.scm 345 */
					BgL_varz00_bglt BgL_arg1816z00_2645;

					BgL_arg1816z00_2645 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1816z00_2645));
				}
				{	/* Ast/hrtype.scm 340 */
					obj_t BgL_nextzd2method1314zd2_2644;

					BgL_nextzd2method1314zd2_2644 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setzd2exzd2itz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1314zd2_2644)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1314zd2_2644))
						(BgL_nextzd2method1314zd2_2644,
							((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1314zd2_2644))
						(BgL_nextzd2method1314zd2_2644,
							((obj_t) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2555))));
				}
			}
		}

	}



/* &hrtype-node!-let-var1313 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2var1313za2zzast_hrtypez00(obj_t
		BgL_envz00_2556, obj_t BgL_nodez00_2557)
	{
		{	/* Ast/hrtype.scm 326 */
			{

				{	/* Ast/hrtype.scm 328 */
					obj_t BgL_g1263z00_2649;

					BgL_g1263z00_2649 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)))->BgL_bindingsz00);
					{
						obj_t BgL_l1261z00_2651;

						BgL_l1261z00_2651 = BgL_g1263z00_2649;
					BgL_zc3z04anonymousza31777ze3z87_2650:
						if (PAIRP(BgL_l1261z00_2651))
							{	/* Ast/hrtype.scm 328 */
								{	/* Ast/hrtype.scm 329 */
									obj_t BgL_bindingz00_2652;

									BgL_bindingz00_2652 = CAR(BgL_l1261z00_2651);
									{	/* Ast/hrtype.scm 329 */
										obj_t BgL_varz00_2653;
										obj_t BgL_valz00_2654;

										BgL_varz00_2653 = CAR(((obj_t) BgL_bindingz00_2652));
										BgL_valz00_2654 = CDR(((obj_t) BgL_bindingz00_2652));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_valz00_2654));
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_varz00_2653));
									}
								}
								{
									obj_t BgL_l1261z00_3148;

									BgL_l1261z00_3148 = CDR(BgL_l1261z00_2651);
									BgL_l1261z00_2651 = BgL_l1261z00_3148;
									goto BgL_zc3z04anonymousza31777ze3z87_2650;
								}
							}
						else
							{	/* Ast/hrtype.scm 328 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 326 */
					obj_t BgL_nextzd2method1312zd2_2648;

					BgL_nextzd2method1312zd2_2648 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2varzd2zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1312zd2_2648)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1312zd2_2648))
						(BgL_nextzd2method1312zd2_2648,
							((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2557)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1312zd2_2648))
						(BgL_nextzd2method1312zd2_2648,
							((obj_t) ((BgL_letzd2varzd2_bglt) BgL_nodez00_2557))));
				}
			}
		}

	}



/* &hrtype-node!-let-fun1311 */
	obj_t BGl_z62hrtypezd2nodez12zd2letzd2fun1311za2zzast_hrtypez00(obj_t
		BgL_envz00_2558, obj_t BgL_nodez00_2559)
	{
		{	/* Ast/hrtype.scm 300 */
			{

				{	/* Ast/hrtype.scm 302 */
					obj_t BgL_g1260z00_2658;

					BgL_g1260z00_2658 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2559)))->BgL_localsz00);
					{
						obj_t BgL_l1258z00_2660;

						BgL_l1258z00_2660 = BgL_g1260z00_2658;
					BgL_zc3z04anonymousza31752ze3z87_2659:
						if (PAIRP(BgL_l1258z00_2660))
							{	/* Ast/hrtype.scm 302 */
								{	/* Ast/hrtype.scm 303 */
									obj_t BgL_localz00_2661;

									BgL_localz00_2661 = CAR(BgL_l1258z00_2660);
									{	/* Ast/hrtype.scm 303 */
										BgL_valuez00_bglt BgL_sfunz00_2662;

										BgL_sfunz00_2662 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_2661))))->
											BgL_valuez00);
										{	/* Ast/hrtype.scm 304 */
											obj_t BgL_g1129z00_2663;

											BgL_g1129z00_2663 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2662)))->
												BgL_argsz00);
											{
												obj_t BgL_argsz00_2665;

												BgL_argsz00_2665 = BgL_g1129z00_2663;
											BgL_loopz00_2664:
												if (PAIRP(BgL_argsz00_2665))
													{	/* Ast/hrtype.scm 306 */
														obj_t BgL_argz00_2666;

														BgL_argz00_2666 = CAR(BgL_argsz00_2665);
														{	/* Ast/hrtype.scm 308 */
															bool_t BgL_test2005z00_3175;

															{	/* Ast/hrtype.scm 308 */
																obj_t BgL_classz00_2667;

																BgL_classz00_2667 = BGl_typez00zztype_typez00;
																if (BGL_OBJECTP(BgL_argz00_2666))
																	{	/* Ast/hrtype.scm 308 */
																		BgL_objectz00_bglt BgL_arg1801z00_2668;

																		BgL_arg1801z00_2668 =
																			(BgL_objectz00_bglt) (BgL_argz00_2666);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Ast/hrtype.scm 308 */
																				long BgL_idxz00_2669;

																				BgL_idxz00_2669 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1801z00_2668);
																				BgL_test2005z00_3175 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_2669 + 1L)) ==
																					BgL_classz00_2667);
																			}
																		else
																			{	/* Ast/hrtype.scm 308 */
																				bool_t BgL_res1909z00_2672;

																				{	/* Ast/hrtype.scm 308 */
																					obj_t BgL_oclassz00_2673;

																					{	/* Ast/hrtype.scm 308 */
																						long BgL_arg1808z00_2674;

																						{	/* Ast/hrtype.scm 308 */
																							long BgL_arg1809z00_2675;

																							BgL_arg1809z00_2675 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1801z00_2668);
																							BgL_arg1808z00_2674 =
																								(BgL_arg1809z00_2675 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_2673 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1808z00_2674);
																					}
																					{	/* Ast/hrtype.scm 308 */
																						bool_t BgL__ortest_1115z00_2676;

																						BgL__ortest_1115z00_2676 =
																							(BgL_classz00_2667 ==
																							BgL_oclassz00_2673);
																						if (BgL__ortest_1115z00_2676)
																							{	/* Ast/hrtype.scm 308 */
																								BgL_res1909z00_2672 =
																									BgL__ortest_1115z00_2676;
																							}
																						else
																							{	/* Ast/hrtype.scm 308 */
																								long BgL_odepthz00_2677;

																								BgL_odepthz00_2677 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_2673);
																								if ((1L < BgL_odepthz00_2677))
																									{	/* Ast/hrtype.scm 308 */
																										obj_t BgL_arg1797z00_2678;

																										BgL_arg1797z00_2678 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_2673, 1L);
																										BgL_res1909z00_2672 =
																											(BgL_arg1797z00_2678 ==
																											BgL_classz00_2667);
																									}
																								else
																									{	/* Ast/hrtype.scm 308 */
																										BgL_res1909z00_2672 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2005z00_3175 =
																					BgL_res1909z00_2672;
																			}
																	}
																else
																	{	/* Ast/hrtype.scm 308 */
																		BgL_test2005z00_3175 = ((bool_t) 0);
																	}
															}
															if (BgL_test2005z00_3175)
																{	/* Ast/hrtype.scm 309 */
																	BgL_typez00_bglt BgL_arg1759z00_2679;

																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_arg1760z00_2680;

																		BgL_arg1760z00_2680 =
																			(((BgL_typez00_bglt) COBJECT(
																					((BgL_typez00_bglt)
																						BgL_argz00_2666)))->BgL_idz00);
																		BgL_arg1759z00_2679 =
																			BGl_findzd2typezd2zztype_envz00
																			(BgL_arg1760z00_2680);
																	}
																	{	/* Ast/hrtype.scm 309 */
																		obj_t BgL_tmpz00_3198;

																		BgL_tmpz00_3198 =
																			((obj_t) BgL_arg1759z00_2679);
																		SET_CAR(BgL_argsz00_2665, BgL_tmpz00_3198);
																	}
																}
															else
																{	/* Ast/hrtype.scm 310 */
																	bool_t BgL_test2010z00_3201;

																	{	/* Ast/hrtype.scm 310 */
																		obj_t BgL_classz00_2681;

																		BgL_classz00_2681 =
																			BGl_localz00zzast_varz00;
																		if (BGL_OBJECTP(BgL_argz00_2666))
																			{	/* Ast/hrtype.scm 310 */
																				BgL_objectz00_bglt BgL_arg1801z00_2682;

																				BgL_arg1801z00_2682 =
																					(BgL_objectz00_bglt)
																					(BgL_argz00_2666);
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Ast/hrtype.scm 310 */
																						long BgL_idxz00_2683;

																						BgL_idxz00_2683 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1801z00_2682);
																						BgL_test2010z00_3201 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2683 + 2L)) ==
																							BgL_classz00_2681);
																					}
																				else
																					{	/* Ast/hrtype.scm 310 */
																						bool_t BgL_res1910z00_2686;

																						{	/* Ast/hrtype.scm 310 */
																							obj_t BgL_oclassz00_2687;

																							{	/* Ast/hrtype.scm 310 */
																								long BgL_arg1808z00_2688;

																								{	/* Ast/hrtype.scm 310 */
																									long BgL_arg1809z00_2689;

																									BgL_arg1809z00_2689 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1801z00_2682);
																									BgL_arg1808z00_2688 =
																										(BgL_arg1809z00_2689 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2687 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1808z00_2688);
																							}
																							{	/* Ast/hrtype.scm 310 */
																								bool_t BgL__ortest_1115z00_2690;

																								BgL__ortest_1115z00_2690 =
																									(BgL_classz00_2681 ==
																									BgL_oclassz00_2687);
																								if (BgL__ortest_1115z00_2690)
																									{	/* Ast/hrtype.scm 310 */
																										BgL_res1910z00_2686 =
																											BgL__ortest_1115z00_2690;
																									}
																								else
																									{	/* Ast/hrtype.scm 310 */
																										long BgL_odepthz00_2691;

																										BgL_odepthz00_2691 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2687);
																										if ((2L <
																												BgL_odepthz00_2691))
																											{	/* Ast/hrtype.scm 310 */
																												obj_t
																													BgL_arg1797z00_2692;
																												BgL_arg1797z00_2692 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2687,
																													2L);
																												BgL_res1910z00_2686 =
																													(BgL_arg1797z00_2692
																													== BgL_classz00_2681);
																											}
																										else
																											{	/* Ast/hrtype.scm 310 */
																												BgL_res1910z00_2686 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2010z00_3201 =
																							BgL_res1910z00_2686;
																					}
																			}
																		else
																			{	/* Ast/hrtype.scm 310 */
																				BgL_test2010z00_3201 = ((bool_t) 0);
																			}
																	}
																	if (BgL_test2010z00_3201)
																		{	/* Ast/hrtype.scm 310 */
																			BGl_restorezd2variablezd2typez12z12zzast_hrtypez00
																				(((BgL_variablez00_bglt)
																					BgL_argz00_2666));
																		}
																	else
																		{	/* Ast/hrtype.scm 310 */
																			BGl_errorz00zz__errorz00
																				(BGl_string1920z00zzast_hrtypez00,
																				BGl_string1948z00zzast_hrtypez00,
																				BGl_shapez00zztools_shapez00
																				(BgL_argz00_2666));
																		}
																}
														}
														{
															obj_t BgL_argsz00_3225;

															BgL_argsz00_3225 = CDR(BgL_argsz00_2665);
															BgL_argsz00_2665 = BgL_argsz00_3225;
															goto BgL_loopz00_2664;
														}
													}
												else
													{	/* Ast/hrtype.scm 305 */
														((bool_t) 0);
													}
											}
										}
										BGl_restorezd2variablezd2typez12z12zzast_hrtypez00(
											((BgL_variablez00_bglt) BgL_localz00_2661));
										{	/* Ast/hrtype.scm 318 */
											obj_t BgL_arg1771z00_2693;

											BgL_arg1771z00_2693 =
												(((BgL_sfunz00_bglt) COBJECT(
														((BgL_sfunz00_bglt) BgL_sfunz00_2662)))->
												BgL_bodyz00);
											BGl_hrtypezd2nodez12zc0zzast_hrtypez00(((BgL_nodez00_bglt)
													BgL_arg1771z00_2693));
										}
									}
								}
								{
									obj_t BgL_l1258z00_3233;

									BgL_l1258z00_3233 = CDR(BgL_l1258z00_2660);
									BgL_l1258z00_2660 = BgL_l1258z00_3233;
									goto BgL_zc3z04anonymousza31752ze3z87_2659;
								}
							}
						else
							{	/* Ast/hrtype.scm 302 */
								((bool_t) 1);
							}
					}
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2559)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 300 */
					obj_t BgL_nextzd2method1310zd2_2657;

					BgL_nextzd2method1310zd2_2657 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2559)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_letzd2funzd2zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1310zd2_2657)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1310zd2_2657))
						(BgL_nextzd2method1310zd2_2657,
							((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2559)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1310zd2_2657))
						(BgL_nextzd2method1310zd2_2657,
							((obj_t) ((BgL_letzd2funzd2_bglt) BgL_nodez00_2559))));
				}
			}
		}

	}



/* &hrtype-node!-switch1309 */
	obj_t BGl_z62hrtypezd2nodez12zd2switch1309z70zzast_hrtypez00(obj_t
		BgL_envz00_2560, obj_t BgL_nodez00_2561)
	{
		{	/* Ast/hrtype.scm 288 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3247;

					{	/* Ast/hrtype.scm 290 */
						obj_t BgL_arg1741z00_2697;

						BgL_arg1741z00_2697 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_switchz00_bglt) COBJECT(
												((BgL_switchz00_bglt) BgL_nodez00_2561)))->
										BgL_itemzd2typezd2)))->BgL_idz00);
						BgL_auxz00_3247 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1741z00_2697);
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_2561)))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_3247), BUNSPEC);
				}
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2561)))->BgL_testz00));
				{	/* Ast/hrtype.scm 292 */
					obj_t BgL_g1257z00_2698;

					BgL_g1257z00_2698 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2561)))->BgL_clausesz00);
					{
						obj_t BgL_l1255z00_2700;

						BgL_l1255z00_2700 = BgL_g1257z00_2698;
					BgL_zc3z04anonymousza31747ze3z87_2699:
						if (PAIRP(BgL_l1255z00_2700))
							{	/* Ast/hrtype.scm 292 */
								{	/* Ast/hrtype.scm 293 */
									obj_t BgL_clausez00_2701;

									BgL_clausez00_2701 = CAR(BgL_l1255z00_2700);
									{	/* Ast/hrtype.scm 293 */
										obj_t BgL_arg1750z00_2702;

										BgL_arg1750z00_2702 = CDR(((obj_t) BgL_clausez00_2701));
										BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
											((BgL_nodez00_bglt) BgL_arg1750z00_2702));
									}
								}
								{
									obj_t BgL_l1255z00_3266;

									BgL_l1255z00_3266 = CDR(BgL_l1255z00_2700);
									BgL_l1255z00_2700 = BgL_l1255z00_3266;
									goto BgL_zc3z04anonymousza31747ze3z87_2699;
								}
							}
						else
							{	/* Ast/hrtype.scm 292 */
								((bool_t) 1);
							}
					}
				}
				{	/* Ast/hrtype.scm 288 */
					obj_t BgL_nextzd2method1308zd2_2696;

					BgL_nextzd2method1308zd2_2696 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_switchz00_bglt) BgL_nodez00_2561)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_switchz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1308zd2_2696)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1308zd2_2696))
						(BgL_nextzd2method1308zd2_2696,
							((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2561)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1308zd2_2696))
						(BgL_nextzd2method1308zd2_2696,
							((obj_t) ((BgL_switchz00_bglt) BgL_nodez00_2561))));
				}
			}
		}

	}



/* &hrtype-node!-fail1307 */
	obj_t BGl_z62hrtypezd2nodez12zd2fail1307z70zzast_hrtypez00(obj_t
		BgL_envz00_2562, obj_t BgL_nodez00_2563)
	{
		{	/* Ast/hrtype.scm 278 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2563)))->BgL_procz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2563)))->BgL_msgz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2563)))->BgL_objz00));
				{	/* Ast/hrtype.scm 278 */
					obj_t BgL_nextzd2method1306zd2_2705;

					BgL_nextzd2method1306zd2_2705 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_failz00_bglt) BgL_nodez00_2563)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_failz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1306zd2_2705)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2705))
						(BgL_nextzd2method1306zd2_2705,
							((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2563)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1306zd2_2705))
						(BgL_nextzd2method1306zd2_2705,
							((obj_t) ((BgL_failz00_bglt) BgL_nodez00_2563))));
				}
			}
		}

	}



/* &hrtype-node!-conditi1305 */
	obj_t BGl_z62hrtypezd2nodez12zd2conditi1305z70zzast_hrtypez00(obj_t
		BgL_envz00_2564, obj_t BgL_nodez00_2565)
	{
		{	/* Ast/hrtype.scm 268 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2565)))->BgL_testz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2565)))->BgL_truez00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2565)))->BgL_falsez00));
				{	/* Ast/hrtype.scm 268 */
					obj_t BgL_nextzd2method1304zd2_2708;

					BgL_nextzd2method1304zd2_2708 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_2565)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_conditionalz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1304zd2_2708)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2708))
						(BgL_nextzd2method1304zd2_2708,
							((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2565)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1304zd2_2708))
						(BgL_nextzd2method1304zd2_2708,
							((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_2565))));
				}
			}
		}

	}



/* &hrtype-node!-setq1303 */
	obj_t BGl_z62hrtypezd2nodez12zd2setq1303z70zzast_hrtypez00(obj_t
		BgL_envz00_2566, obj_t BgL_nodez00_2567)
	{
		{	/* Ast/hrtype.scm 259 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2567)))->BgL_valuez00));
				{	/* Ast/hrtype.scm 262 */
					BgL_varz00_bglt BgL_arg1731z00_2712;

					BgL_arg1731z00_2712 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_2567)))->BgL_varz00);
					BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
						((BgL_nodez00_bglt) BgL_arg1731z00_2712));
				}
				{	/* Ast/hrtype.scm 259 */
					obj_t BgL_nextzd2method1302zd2_2711;

					BgL_nextzd2method1302zd2_2711 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setqz00_bglt) BgL_nodez00_2567)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setqz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1302zd2_2711)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1302zd2_2711))
						(BgL_nextzd2method1302zd2_2711,
							((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2567)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1302zd2_2711))
						(BgL_nextzd2method1302zd2_2711,
							((obj_t) ((BgL_setqz00_bglt) BgL_nodez00_2567))));
				}
			}
		}

	}



/* &hrtype-node!-cast1301 */
	obj_t BGl_z62hrtypezd2nodez12zd2cast1301z70zzast_hrtypez00(obj_t
		BgL_envz00_2568, obj_t BgL_nodez00_2569)
	{
		{	/* Ast/hrtype.scm 251 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_2569)))->BgL_argz00));
				{	/* Ast/hrtype.scm 251 */
					obj_t BgL_nextzd2method1300zd2_2715;

					BgL_nextzd2method1300zd2_2715 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_castz00_bglt) BgL_nodez00_2569)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_castz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1300zd2_2715)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1300zd2_2715))
						(BgL_nextzd2method1300zd2_2715,
							((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2569)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1300zd2_2715))
						(BgL_nextzd2method1300zd2_2715,
							((obj_t) ((BgL_castz00_bglt) BgL_nodez00_2569))));
				}
			}
		}

	}



/* &hrtype-node!-instanc1299 */
	obj_t BGl_z62hrtypezd2nodez12zd2instanc1299z70zzast_hrtypez00(obj_t
		BgL_envz00_2570, obj_t BgL_nodez00_2571)
	{
		{	/* Ast/hrtype.scm 243 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3341;

					{	/* Ast/hrtype.scm 245 */
						obj_t BgL_arg1717z00_2719;

						BgL_arg1717z00_2719 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_instanceofz00_bglt) COBJECT(
												((BgL_instanceofz00_bglt) BgL_nodez00_2571)))->
										BgL_classz00)))->BgL_idz00);
						BgL_auxz00_3341 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1717z00_2719);
					}
					((((BgL_instanceofz00_bglt) COBJECT(
									((BgL_instanceofz00_bglt) BgL_nodez00_2571)))->BgL_classz00) =
						((BgL_typez00_bglt) BgL_auxz00_3341), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 243 */
					obj_t BgL_nextzd2method1298zd2_2718;

					BgL_nextzd2method1298zd2_2718 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_instanceofz00_bglt) BgL_nodez00_2571)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_instanceofz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1298zd2_2718)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1298zd2_2718))
						(BgL_nextzd2method1298zd2_2718,
							((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2571)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1298zd2_2718))
						(BgL_nextzd2method1298zd2_2718,
							((obj_t) ((BgL_instanceofz00_bglt) BgL_nodez00_2571))));
				}
			}
		}

	}



/* &hrtype-node!-vlength1297 */
	obj_t BGl_z62hrtypezd2nodez12zd2vlength1297z70zzast_hrtypez00(obj_t
		BgL_envz00_2572, obj_t BgL_nodez00_2573)
	{
		{	/* Ast/hrtype.scm 235 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3357;

					{	/* Ast/hrtype.scm 237 */
						obj_t BgL_arg1714z00_2723;

						BgL_arg1714z00_2723 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vlengthz00_bglt) COBJECT(
												((BgL_vlengthz00_bglt) BgL_nodez00_2573)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3357 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1714z00_2723);
					}
					((((BgL_vlengthz00_bglt) COBJECT(
									((BgL_vlengthz00_bglt) BgL_nodez00_2573)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3357), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 235 */
					obj_t BgL_nextzd2method1296zd2_2722;

					BgL_nextzd2method1296zd2_2722 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vlengthz00_bglt) BgL_nodez00_2573)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vlengthz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1296zd2_2722)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1296zd2_2722))
						(BgL_nextzd2method1296zd2_2722,
							((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2573)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1296zd2_2722))
						(BgL_nextzd2method1296zd2_2722,
							((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_2573))));
				}
			}
		}

	}



/* &hrtype-node!-vset!1295 */
	obj_t BGl_z62hrtypezd2nodez12zd2vsetz121295z62zzast_hrtypez00(obj_t
		BgL_envz00_2574, obj_t BgL_nodez00_2575)
	{
		{	/* Ast/hrtype.scm 225 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3373;

					{	/* Ast/hrtype.scm 227 */
						obj_t BgL_arg1706z00_2727;

						BgL_arg1706z00_2727 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3373 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1706z00_2727);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3373), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3380;

					{	/* Ast/hrtype.scm 228 */
						obj_t BgL_arg1708z00_2728;

						BgL_arg1708z00_2728 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3380 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1708z00_2728);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3380), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3387;

					{	/* Ast/hrtype.scm 229 */
						obj_t BgL_arg1710z00_2729;

						BgL_arg1710z00_2729 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vsetz12z12_bglt) COBJECT(
												((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3387 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1710z00_2729);
					}
					((((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_2575)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3387), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 225 */
					obj_t BgL_nextzd2method1294zd2_2726;

					BgL_nextzd2method1294zd2_2726 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_2575)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vsetz12z12zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1294zd2_2726)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1294zd2_2726))
						(BgL_nextzd2method1294zd2_2726,
							((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2575)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1294zd2_2726))
						(BgL_nextzd2method1294zd2_2726,
							((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_2575))));
				}
			}
		}

	}



/* &hrtype-node!-vref1293 */
	obj_t BGl_z62hrtypezd2nodez12zd2vref1293z70zzast_hrtypez00(obj_t
		BgL_envz00_2576, obj_t BgL_nodez00_2577)
	{
		{	/* Ast/hrtype.scm 215 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3403;

					{	/* Ast/hrtype.scm 217 */
						obj_t BgL_arg1686z00_2733;

						BgL_arg1686z00_2733 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2577)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3403 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1686z00_2733);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2577)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3403), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3410;

					{	/* Ast/hrtype.scm 218 */
						obj_t BgL_arg1693z00_2734;

						BgL_arg1693z00_2734 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2577)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3410 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1693z00_2734);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2577)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3410), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3417;

					{	/* Ast/hrtype.scm 219 */
						obj_t BgL_arg1696z00_2735;

						BgL_arg1696z00_2735 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vrefz00_bglt) COBJECT(
												((BgL_vrefz00_bglt) BgL_nodez00_2577)))->
										BgL_vtypez00)))->BgL_idz00);
						BgL_auxz00_3417 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1696z00_2735);
					}
					((((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_2577)))->BgL_vtypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3417), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 215 */
					obj_t BgL_nextzd2method1292zd2_2732;

					BgL_nextzd2method1292zd2_2732 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_2577)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vrefz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1292zd2_2732)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1292zd2_2732))
						(BgL_nextzd2method1292zd2_2732,
							((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2577)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1292zd2_2732))
						(BgL_nextzd2method1292zd2_2732,
							((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_2577))));
				}
			}
		}

	}



/* &hrtype-node!-valloc1291 */
	obj_t BGl_z62hrtypezd2nodez12zd2valloc1291z70zzast_hrtypez00(obj_t
		BgL_envz00_2578, obj_t BgL_nodez00_2579)
	{
		{	/* Ast/hrtype.scm 206 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3433;

					{	/* Ast/hrtype.scm 208 */
						obj_t BgL_arg1675z00_2739;

						BgL_arg1675z00_2739 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2579)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3433 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1675z00_2739);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2579)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3433), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3440;

					{	/* Ast/hrtype.scm 209 */
						obj_t BgL_arg1681z00_2740;

						BgL_arg1681z00_2740 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_vallocz00_bglt) COBJECT(
												((BgL_vallocz00_bglt) BgL_nodez00_2579)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3440 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1681z00_2740);
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_2579)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3440), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 206 */
					obj_t BgL_nextzd2method1290zd2_2738;

					BgL_nextzd2method1290zd2_2738 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_2579)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_vallocz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1290zd2_2738)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1290zd2_2738))
						(BgL_nextzd2method1290zd2_2738,
							((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2579)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1290zd2_2738))
						(BgL_nextzd2method1290zd2_2738,
							((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_2579))));
				}
			}
		}

	}



/* &hrtype-node!-new1289 */
	obj_t BGl_z62hrtypezd2nodez12zd2new1289z70zzast_hrtypez00(obj_t
		BgL_envz00_2580, obj_t BgL_nodez00_2581)
	{
		{	/* Ast/hrtype.scm 198 */
			{

				{
					obj_t BgL_auxz00_3456;

					{	/* Ast/hrtype.scm 200 */
						obj_t BgL_l01254z00_2744;

						BgL_l01254z00_2744 =
							(((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2581)))->BgL_argszd2typezd2);
						{
							obj_t BgL_l1253z00_2746;

							BgL_l1253z00_2746 = BgL_l01254z00_2744;
						BgL_zc3z04anonymousza31659ze3z87_2745:
							if (NULLP(BgL_l1253z00_2746))
								{	/* Ast/hrtype.scm 200 */
									BgL_auxz00_3456 = BgL_l01254z00_2744;
								}
							else
								{	/* Ast/hrtype.scm 200 */
									{	/* Ast/hrtype.scm 200 */
										BgL_typez00_bglt BgL_arg1661z00_2747;

										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_tz00_2748;

											BgL_tz00_2748 = CAR(((obj_t) BgL_l1253z00_2746));
											{	/* Ast/hrtype.scm 200 */
												obj_t BgL_arg1669z00_2749;

												BgL_arg1669z00_2749 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tz00_2748)))->BgL_idz00);
												BgL_arg1661z00_2747 =
													BGl_findzd2typezd2zztype_envz00(BgL_arg1669z00_2749);
											}
										}
										{	/* Ast/hrtype.scm 200 */
											obj_t BgL_auxz00_3469;
											obj_t BgL_tmpz00_3467;

											BgL_auxz00_3469 = ((obj_t) BgL_arg1661z00_2747);
											BgL_tmpz00_3467 = ((obj_t) BgL_l1253z00_2746);
											SET_CAR(BgL_tmpz00_3467, BgL_auxz00_3469);
										}
									}
									{	/* Ast/hrtype.scm 200 */
										obj_t BgL_arg1673z00_2750;

										BgL_arg1673z00_2750 = CDR(((obj_t) BgL_l1253z00_2746));
										{
											obj_t BgL_l1253z00_3474;

											BgL_l1253z00_3474 = BgL_arg1673z00_2750;
											BgL_l1253z00_2746 = BgL_l1253z00_3474;
											goto BgL_zc3z04anonymousza31659ze3z87_2745;
										}
									}
								}
						}
					}
					((((BgL_newz00_bglt) COBJECT(
									((BgL_newz00_bglt) BgL_nodez00_2581)))->BgL_argszd2typezd2) =
						((obj_t) BgL_auxz00_3456), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 198 */
					obj_t BgL_nextzd2method1288zd2_2743;

					BgL_nextzd2method1288zd2_2743 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_newz00_bglt) BgL_nodez00_2581)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_newz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1288zd2_2743)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1288zd2_2743))
						(BgL_nextzd2method1288zd2_2743,
							((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2581)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1288zd2_2743))
						(BgL_nextzd2method1288zd2_2743,
							((obj_t) ((BgL_newz00_bglt) BgL_nodez00_2581))));
				}
			}
		}

	}



/* &hrtype-node!-widenin1287 */
	obj_t BGl_z62hrtypezd2nodez12zd2widenin1287z70zzast_hrtypez00(obj_t
		BgL_envz00_2582, obj_t BgL_nodez00_2583)
	{
		{	/* Ast/hrtype.scm 190 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3485;

					{	/* Ast/hrtype.scm 192 */
						obj_t BgL_arg1649z00_2754;

						BgL_arg1649z00_2754 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_wideningz00_bglt) COBJECT(
												((BgL_wideningz00_bglt) BgL_nodez00_2583)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3485 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1649z00_2754);
					}
					((((BgL_wideningz00_bglt) COBJECT(
									((BgL_wideningz00_bglt) BgL_nodez00_2583)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3485), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 190 */
					obj_t BgL_nextzd2method1286zd2_2753;

					BgL_nextzd2method1286zd2_2753 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_wideningz00_bglt) BgL_nodez00_2583)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_wideningz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1286zd2_2753)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1286zd2_2753))
						(BgL_nextzd2method1286zd2_2753,
							((obj_t) ((BgL_wideningz00_bglt) BgL_nodez00_2583)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1286zd2_2753))
						(BgL_nextzd2method1286zd2_2753,
							((obj_t) ((BgL_wideningz00_bglt) BgL_nodez00_2583))));
				}
			}
		}

	}



/* &hrtype-node!-setfiel1285 */
	obj_t BGl_z62hrtypezd2nodez12zd2setfiel1285z70zzast_hrtypez00(obj_t
		BgL_envz00_2584, obj_t BgL_nodez00_2585)
	{
		{	/* Ast/hrtype.scm 181 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3501;

					{	/* Ast/hrtype.scm 183 */
						obj_t BgL_arg1628z00_2758;

						BgL_arg1628z00_2758 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2585)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3501 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1628z00_2758);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2585)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3501), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3508;

					{	/* Ast/hrtype.scm 184 */
						obj_t BgL_arg1630z00_2759;

						BgL_arg1630z00_2759 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_setfieldz00_bglt) COBJECT(
												((BgL_setfieldz00_bglt) BgL_nodez00_2585)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3508 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1630z00_2759);
					}
					((((BgL_setfieldz00_bglt) COBJECT(
									((BgL_setfieldz00_bglt) BgL_nodez00_2585)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3508), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 181 */
					obj_t BgL_nextzd2method1284zd2_2757;

					BgL_nextzd2method1284zd2_2757 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_setfieldz00_bglt) BgL_nodez00_2585)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_setfieldz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1284zd2_2757)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1284zd2_2757))
						(BgL_nextzd2method1284zd2_2757,
							((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2585)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1284zd2_2757))
						(BgL_nextzd2method1284zd2_2757,
							((obj_t) ((BgL_setfieldz00_bglt) BgL_nodez00_2585))));
				}
			}
		}

	}



/* &hrtype-node!-getfiel1283 */
	obj_t BGl_z62hrtypezd2nodez12zd2getfiel1283z70zzast_hrtypez00(obj_t
		BgL_envz00_2586, obj_t BgL_nodez00_2587)
	{
		{	/* Ast/hrtype.scm 172 */
			{

				{
					BgL_typez00_bglt BgL_auxz00_3524;

					{	/* Ast/hrtype.scm 174 */
						obj_t BgL_arg1615z00_2763;

						BgL_arg1615z00_2763 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2587)))->
										BgL_ftypez00)))->BgL_idz00);
						BgL_auxz00_3524 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1615z00_2763);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2587)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3524), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_3531;

					{	/* Ast/hrtype.scm 175 */
						obj_t BgL_arg1620z00_2764;

						BgL_arg1620z00_2764 =
							(((BgL_typez00_bglt) COBJECT(
									(((BgL_getfieldz00_bglt) COBJECT(
												((BgL_getfieldz00_bglt) BgL_nodez00_2587)))->
										BgL_otypez00)))->BgL_idz00);
						BgL_auxz00_3531 =
							BGl_findzd2typezd2zztype_envz00(BgL_arg1620z00_2764);
					}
					((((BgL_getfieldz00_bglt) COBJECT(
									((BgL_getfieldz00_bglt) BgL_nodez00_2587)))->BgL_otypez00) =
						((BgL_typez00_bglt) BgL_auxz00_3531), BUNSPEC);
				}
				{	/* Ast/hrtype.scm 172 */
					obj_t BgL_nextzd2method1282zd2_2762;

					BgL_nextzd2method1282zd2_2762 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_getfieldz00_bglt) BgL_nodez00_2587)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_getfieldz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1282zd2_2762)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1282zd2_2762))
						(BgL_nextzd2method1282zd2_2762,
							((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2587)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1282zd2_2762))
						(BgL_nextzd2method1282zd2_2762,
							((obj_t) ((BgL_getfieldz00_bglt) BgL_nodez00_2587))));
				}
			}
		}

	}



/* &hrtype-node!-extern1281 */
	obj_t BGl_z62hrtypezd2nodez12zd2extern1281z70zzast_hrtypez00(obj_t
		BgL_envz00_2588, obj_t BgL_nodez00_2589)
	{
		{	/* Ast/hrtype.scm 164 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_2589)))->BgL_exprza2za2));
				{	/* Ast/hrtype.scm 164 */
					obj_t BgL_nextzd2method1280zd2_2767;

					BgL_nextzd2method1280zd2_2767 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_externz00_bglt) BgL_nodez00_2589)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_externz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1280zd2_2767)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1280zd2_2767))
						(BgL_nextzd2method1280zd2_2767,
							((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2589)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1280zd2_2767))
						(BgL_nextzd2method1280zd2_2767,
							((obj_t) ((BgL_externz00_bglt) BgL_nodez00_2589))));
				}
			}
		}

	}



/* &hrtype-node!-funcall1279 */
	obj_t BGl_z62hrtypezd2nodez12zd2funcall1279z70zzast_hrtypez00(obj_t
		BgL_envz00_2590, obj_t BgL_nodez00_2591)
	{
		{	/* Ast/hrtype.scm 155 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2591)))->BgL_funz00));
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2591)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 155 */
					obj_t BgL_nextzd2method1278zd2_2770;

					BgL_nextzd2method1278zd2_2770 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_funcallz00_bglt) BgL_nodez00_2591)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_funcallz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1278zd2_2770)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1278zd2_2770))
						(BgL_nextzd2method1278zd2_2770,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2591)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1278zd2_2770))
						(BgL_nextzd2method1278zd2_2770,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_2591))));
				}
			}
		}

	}



/* &hrtype-node!-app-ly1277 */
	obj_t BGl_z62hrtypezd2nodez12zd2appzd2ly1277za2zzast_hrtypez00(obj_t
		BgL_envz00_2592, obj_t BgL_nodez00_2593)
	{
		{	/* Ast/hrtype.scm 146 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2593)))->BgL_funz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2593)))->BgL_argz00));
				{	/* Ast/hrtype.scm 146 */
					obj_t BgL_nextzd2method1276zd2_2773;

					BgL_nextzd2method1276zd2_2773 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_2593)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appzd2lyzd2zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1276zd2_2773)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1276zd2_2773))
						(BgL_nextzd2method1276zd2_2773,
							((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2593)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1276zd2_2773))
						(BgL_nextzd2method1276zd2_2773,
							((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2593))));
				}
			}
		}

	}



/* &hrtype-node!-app1275 */
	obj_t BGl_z62hrtypezd2nodez12zd2app1275z70zzast_hrtypez00(obj_t
		BgL_envz00_2594, obj_t BgL_nodez00_2595)
	{
		{	/* Ast/hrtype.scm 95 */
			{

				{	/* Ast/hrtype.scm 97 */
					BgL_varz00_bglt BgL_i1108z00_2777;

					BgL_i1108z00_2777 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2595)))->BgL_funz00);
					{	/* Ast/hrtype.scm 98 */
						bool_t BgL_test2017z00_3591;

						{	/* Ast/hrtype.scm 98 */
							BgL_variablez00_bglt BgL_arg1597z00_2778;

							BgL_arg1597z00_2778 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2777))->
								BgL_variablez00);
							{	/* Ast/hrtype.scm 98 */
								obj_t BgL_classz00_2779;

								BgL_classz00_2779 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 98 */
									BgL_objectz00_bglt BgL_arg1801z00_2780;

									{	/* Ast/hrtype.scm 98 */
										obj_t BgL_tmpz00_3593;

										BgL_tmpz00_3593 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1597z00_2778));
										BgL_arg1801z00_2780 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3593);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/hrtype.scm 98 */
											long BgL_idxz00_2781;

											BgL_idxz00_2781 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2780);
											BgL_test2017z00_3591 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2781 + 2L)) == BgL_classz00_2779);
										}
									else
										{	/* Ast/hrtype.scm 98 */
											bool_t BgL_res1904z00_2784;

											{	/* Ast/hrtype.scm 98 */
												obj_t BgL_oclassz00_2785;

												{	/* Ast/hrtype.scm 98 */
													long BgL_arg1808z00_2786;

													{	/* Ast/hrtype.scm 98 */
														long BgL_arg1809z00_2787;

														BgL_arg1809z00_2787 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2780);
														BgL_arg1808z00_2786 =
															(BgL_arg1809z00_2787 - OBJECT_TYPE);
													}
													BgL_oclassz00_2785 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_2786);
												}
												{	/* Ast/hrtype.scm 98 */
													bool_t BgL__ortest_1115z00_2788;

													BgL__ortest_1115z00_2788 =
														(BgL_classz00_2779 == BgL_oclassz00_2785);
													if (BgL__ortest_1115z00_2788)
														{	/* Ast/hrtype.scm 98 */
															BgL_res1904z00_2784 = BgL__ortest_1115z00_2788;
														}
													else
														{	/* Ast/hrtype.scm 98 */
															long BgL_odepthz00_2789;

															BgL_odepthz00_2789 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2785);
															if ((2L < BgL_odepthz00_2789))
																{	/* Ast/hrtype.scm 98 */
																	obj_t BgL_arg1797z00_2790;

																	BgL_arg1797z00_2790 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2785,
																		2L);
																	BgL_res1904z00_2784 =
																		(BgL_arg1797z00_2790 == BgL_classz00_2779);
																}
															else
																{	/* Ast/hrtype.scm 98 */
																	BgL_res1904z00_2784 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2017z00_3591 = BgL_res1904z00_2784;
										}
								}
							}
						}
						if (BgL_test2017z00_3591)
							{	/* Ast/hrtype.scm 99 */
								BgL_valuez00_bglt BgL_valuez00_2791;

								BgL_valuez00_2791 =
									(((BgL_variablez00_bglt) COBJECT(
											(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2777))->
												BgL_variablez00)))->BgL_valuez00);
								{	/* Ast/hrtype.scm 101 */
									bool_t BgL_test2021z00_3615;

									{	/* Ast/hrtype.scm 101 */
										obj_t BgL_classz00_2792;

										BgL_classz00_2792 = BGl_cfunz00zzast_varz00;
										{	/* Ast/hrtype.scm 101 */
											BgL_objectz00_bglt BgL_arg1801z00_2793;

											{	/* Ast/hrtype.scm 101 */
												obj_t BgL_tmpz00_3616;

												BgL_tmpz00_3616 =
													((obj_t) ((BgL_objectz00_bglt) BgL_valuez00_2791));
												BgL_arg1801z00_2793 =
													(BgL_objectz00_bglt) (BgL_tmpz00_3616);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/hrtype.scm 101 */
													long BgL_idxz00_2794;

													BgL_idxz00_2794 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2793);
													BgL_test2021z00_3615 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2794 + 3L)) == BgL_classz00_2792);
												}
											else
												{	/* Ast/hrtype.scm 101 */
													bool_t BgL_res1905z00_2797;

													{	/* Ast/hrtype.scm 101 */
														obj_t BgL_oclassz00_2798;

														{	/* Ast/hrtype.scm 101 */
															long BgL_arg1808z00_2799;

															{	/* Ast/hrtype.scm 101 */
																long BgL_arg1809z00_2800;

																BgL_arg1809z00_2800 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2793);
																BgL_arg1808z00_2799 =
																	(BgL_arg1809z00_2800 - OBJECT_TYPE);
															}
															BgL_oclassz00_2798 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_2799);
														}
														{	/* Ast/hrtype.scm 101 */
															bool_t BgL__ortest_1115z00_2801;

															BgL__ortest_1115z00_2801 =
																(BgL_classz00_2792 == BgL_oclassz00_2798);
															if (BgL__ortest_1115z00_2801)
																{	/* Ast/hrtype.scm 101 */
																	BgL_res1905z00_2797 =
																		BgL__ortest_1115z00_2801;
																}
															else
																{	/* Ast/hrtype.scm 101 */
																	long BgL_odepthz00_2802;

																	BgL_odepthz00_2802 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2798);
																	if ((3L < BgL_odepthz00_2802))
																		{	/* Ast/hrtype.scm 101 */
																			obj_t BgL_arg1797z00_2803;

																			BgL_arg1797z00_2803 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2798, 3L);
																			BgL_res1905z00_2797 =
																				(BgL_arg1797z00_2803 ==
																				BgL_classz00_2792);
																		}
																	else
																		{	/* Ast/hrtype.scm 101 */
																			BgL_res1905z00_2797 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2021z00_3615 = BgL_res1905z00_2797;
												}
										}
									}
									if (BgL_test2021z00_3615)
										{	/* Ast/hrtype.scm 102 */
											obj_t BgL_gz00_2804;

											{	/* Ast/hrtype.scm 102 */
												obj_t BgL_arg1497z00_2805;
												obj_t BgL_arg1519z00_2806;

												BgL_arg1497z00_2805 =
													(((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt)
																			COBJECT(BgL_i1108z00_2777))->
																		BgL_variablez00)))))->BgL_idz00);
												BgL_arg1519z00_2806 =
													(((BgL_globalz00_bglt)
														COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
																		COBJECT(BgL_i1108z00_2777))->
																	BgL_variablez00))))->BgL_modulez00);
												{	/* Ast/hrtype.scm 102 */
													obj_t BgL_list1520z00_2807;

													BgL_list1520z00_2807 =
														MAKE_YOUNG_PAIR(BgL_arg1519z00_2806, BNIL);
													BgL_gz00_2804 =
														BGl_findzd2globalzd2zzast_envz00
														(BgL_arg1497z00_2805, BgL_list1520z00_2807);
												}
											}
											if (CBOOL(BgL_gz00_2804))
												{	/* Ast/hrtype.scm 112 */
													((((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2777))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BgL_gz00_2804)), BUNSPEC);
												}
											else
												{	/* Ast/hrtype.scm 114 */
													BgL_variablez00_bglt BgL_arg1496z00_2808;

													BgL_arg1496z00_2808 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1108z00_2777))->
														BgL_variablez00);
													BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
															BgL_arg1496z00_2808));
												}
										}
									else
										{	/* Ast/hrtype.scm 115 */
											bool_t BgL_test2026z00_3652;

											{	/* Ast/hrtype.scm 115 */
												obj_t BgL_classz00_2809;

												BgL_classz00_2809 = BGl_sfunz00zzast_varz00;
												{	/* Ast/hrtype.scm 115 */
													BgL_objectz00_bglt BgL_arg1801z00_2810;

													{	/* Ast/hrtype.scm 115 */
														obj_t BgL_tmpz00_3653;

														BgL_tmpz00_3653 =
															((obj_t)
															((BgL_objectz00_bglt) BgL_valuez00_2791));
														BgL_arg1801z00_2810 =
															(BgL_objectz00_bglt) (BgL_tmpz00_3653);
													}
													if (BGL_CONDEXPAND_ISA_ARCH64())
														{	/* Ast/hrtype.scm 115 */
															long BgL_idxz00_2811;

															BgL_idxz00_2811 =
																BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2810);
															BgL_test2026z00_3652 =
																(VECTOR_REF
																(BGl_za2inheritancesza2z00zz__objectz00,
																	(BgL_idxz00_2811 + 3L)) == BgL_classz00_2809);
														}
													else
														{	/* Ast/hrtype.scm 115 */
															bool_t BgL_res1906z00_2814;

															{	/* Ast/hrtype.scm 115 */
																obj_t BgL_oclassz00_2815;

																{	/* Ast/hrtype.scm 115 */
																	long BgL_arg1808z00_2816;

																	{	/* Ast/hrtype.scm 115 */
																		long BgL_arg1809z00_2817;

																		BgL_arg1809z00_2817 =
																			BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2810);
																		BgL_arg1808z00_2816 =
																			(BgL_arg1809z00_2817 - OBJECT_TYPE);
																	}
																	BgL_oclassz00_2815 =
																		VECTOR_REF
																		(BGl_za2classesza2z00zz__objectz00,
																		BgL_arg1808z00_2816);
																}
																{	/* Ast/hrtype.scm 115 */
																	bool_t BgL__ortest_1115z00_2818;

																	BgL__ortest_1115z00_2818 =
																		(BgL_classz00_2809 == BgL_oclassz00_2815);
																	if (BgL__ortest_1115z00_2818)
																		{	/* Ast/hrtype.scm 115 */
																			BgL_res1906z00_2814 =
																				BgL__ortest_1115z00_2818;
																		}
																	else
																		{	/* Ast/hrtype.scm 115 */
																			long BgL_odepthz00_2819;

																			BgL_odepthz00_2819 =
																				BGL_CLASS_DEPTH(BgL_oclassz00_2815);
																			if ((3L < BgL_odepthz00_2819))
																				{	/* Ast/hrtype.scm 115 */
																					obj_t BgL_arg1797z00_2820;

																					BgL_arg1797z00_2820 =
																						BGL_CLASS_ANCESTORS_REF
																						(BgL_oclassz00_2815, 3L);
																					BgL_res1906z00_2814 =
																						(BgL_arg1797z00_2820 ==
																						BgL_classz00_2809);
																				}
																			else
																				{	/* Ast/hrtype.scm 115 */
																					BgL_res1906z00_2814 = ((bool_t) 0);
																				}
																		}
																}
															}
															BgL_test2026z00_3652 = BgL_res1906z00_2814;
														}
												}
											}
											if (BgL_test2026z00_3652)
												{	/* Ast/hrtype.scm 116 */
													bool_t BgL_test2030z00_3673;

													if (
														((((BgL_sfunz00_bglt) COBJECT(
																		((BgL_sfunz00_bglt) BgL_valuez00_2791)))->
																BgL_classz00) == CNST_TABLE_REF(0L)))
														{	/* Ast/hrtype.scm 118 */
															bool_t BgL_test2032z00_3679;

															{	/* Ast/hrtype.scm 118 */
																BgL_variablez00_bglt BgL_arg1590z00_2821;

																BgL_arg1590z00_2821 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1108z00_2777))->
																	BgL_variablez00);
																BgL_test2032z00_3679 =
																	CBOOL(BGl_alreadyzd2restoredzf3z21zzast_envz00
																	(((obj_t) BgL_arg1590z00_2821)));
															}
															if (BgL_test2032z00_3679)
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2030z00_3673 = ((bool_t) 0);
																}
															else
																{	/* Ast/hrtype.scm 118 */
																	BgL_test2030z00_3673 = ((bool_t) 1);
																}
														}
													else
														{	/* Ast/hrtype.scm 116 */
															BgL_test2030z00_3673 = ((bool_t) 0);
														}
													if (BgL_test2030z00_3673)
														{	/* Ast/hrtype.scm 122 */
															BgL_variablez00_bglt BgL_arg1550z00_2822;

															BgL_arg1550z00_2822 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1108z00_2777))->BgL_variablez00);
															BGl_restorezd2globalz12zc0zzast_envz00(((obj_t)
																	BgL_arg1550z00_2822));
														}
													else
														{	/* Ast/hrtype.scm 128 */
															obj_t BgL_gz00_2823;

															{	/* Ast/hrtype.scm 128 */
																obj_t BgL_arg1576z00_2824;
																obj_t BgL_arg1578z00_2825;

																BgL_arg1576z00_2824 =
																	(((BgL_variablez00_bglt) COBJECT(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							COBJECT(BgL_i1108z00_2777))->
																						BgL_variablez00)))))->BgL_idz00);
																BgL_arg1578z00_2825 =
																	(((BgL_globalz00_bglt)
																		COBJECT(((BgL_globalz00_bglt) ((
																						(BgL_varz00_bglt)
																						COBJECT(BgL_i1108z00_2777))->
																					BgL_variablez00))))->BgL_modulez00);
																{	/* Ast/hrtype.scm 128 */
																	obj_t BgL_list1579z00_2826;

																	BgL_list1579z00_2826 =
																		MAKE_YOUNG_PAIR(BgL_arg1578z00_2825, BNIL);
																	BgL_gz00_2823 =
																		BGl_findzd2globalzd2zzast_envz00
																		(BgL_arg1576z00_2824, BgL_list1579z00_2826);
																}
															}
															{	/* Ast/hrtype.scm 130 */
																bool_t BgL_test2033z00_3696;

																{	/* Ast/hrtype.scm 130 */
																	obj_t BgL_classz00_2827;

																	BgL_classz00_2827 =
																		BGl_variablez00zzast_varz00;
																	if (BGL_OBJECTP(BgL_gz00_2823))
																		{	/* Ast/hrtype.scm 130 */
																			BgL_objectz00_bglt BgL_arg1801z00_2828;

																			BgL_arg1801z00_2828 =
																				(BgL_objectz00_bglt) (BgL_gz00_2823);
																			if (BGL_CONDEXPAND_ISA_ARCH64())
																				{	/* Ast/hrtype.scm 130 */
																					long BgL_idxz00_2829;

																					BgL_idxz00_2829 =
																						BGL_OBJECT_INHERITANCE_NUM
																						(BgL_arg1801z00_2828);
																					BgL_test2033z00_3696 =
																						(VECTOR_REF
																						(BGl_za2inheritancesza2z00zz__objectz00,
																							(BgL_idxz00_2829 + 1L)) ==
																						BgL_classz00_2827);
																				}
																			else
																				{	/* Ast/hrtype.scm 130 */
																					bool_t BgL_res1907z00_2832;

																					{	/* Ast/hrtype.scm 130 */
																						obj_t BgL_oclassz00_2833;

																						{	/* Ast/hrtype.scm 130 */
																							long BgL_arg1808z00_2834;

																							{	/* Ast/hrtype.scm 130 */
																								long BgL_arg1809z00_2835;

																								BgL_arg1809z00_2835 =
																									BGL_OBJECT_CLASS_NUM
																									(BgL_arg1801z00_2828);
																								BgL_arg1808z00_2834 =
																									(BgL_arg1809z00_2835 -
																									OBJECT_TYPE);
																							}
																							BgL_oclassz00_2833 =
																								VECTOR_REF
																								(BGl_za2classesza2z00zz__objectz00,
																								BgL_arg1808z00_2834);
																						}
																						{	/* Ast/hrtype.scm 130 */
																							bool_t BgL__ortest_1115z00_2836;

																							BgL__ortest_1115z00_2836 =
																								(BgL_classz00_2827 ==
																								BgL_oclassz00_2833);
																							if (BgL__ortest_1115z00_2836)
																								{	/* Ast/hrtype.scm 130 */
																									BgL_res1907z00_2832 =
																										BgL__ortest_1115z00_2836;
																								}
																							else
																								{	/* Ast/hrtype.scm 130 */
																									long BgL_odepthz00_2837;

																									BgL_odepthz00_2837 =
																										BGL_CLASS_DEPTH
																										(BgL_oclassz00_2833);
																									if ((1L < BgL_odepthz00_2837))
																										{	/* Ast/hrtype.scm 130 */
																											obj_t BgL_arg1797z00_2838;

																											BgL_arg1797z00_2838 =
																												BGL_CLASS_ANCESTORS_REF
																												(BgL_oclassz00_2833,
																												1L);
																											BgL_res1907z00_2832 =
																												(BgL_arg1797z00_2838 ==
																												BgL_classz00_2827);
																										}
																									else
																										{	/* Ast/hrtype.scm 130 */
																											BgL_res1907z00_2832 =
																												((bool_t) 0);
																										}
																								}
																						}
																					}
																					BgL_test2033z00_3696 =
																						BgL_res1907z00_2832;
																				}
																		}
																	else
																		{	/* Ast/hrtype.scm 130 */
																			BgL_test2033z00_3696 = ((bool_t) 0);
																		}
																}
																if (BgL_test2033z00_3696)
																	{	/* Ast/hrtype.scm 130 */
																		((((BgL_varz00_bglt)
																					COBJECT(BgL_i1108z00_2777))->
																				BgL_variablez00) =
																			((BgL_variablez00_bglt) (
																					(BgL_variablez00_bglt)
																					BgL_gz00_2823)), BUNSPEC);
																	}
																else
																	{	/* Ast/hrtype.scm 131 */
																		obj_t BgL_newzd2gzd2_2839;

																		{	/* Ast/hrtype.scm 131 */
																			obj_t BgL_arg1565z00_2840;

																			BgL_arg1565z00_2840 =
																				(((BgL_variablez00_bglt) COBJECT(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								(((BgL_varz00_bglt)
																										COBJECT
																										(BgL_i1108z00_2777))->
																									BgL_variablez00)))))->
																				BgL_idz00);
																			{	/* Ast/hrtype.scm 131 */
																				obj_t BgL_list1566z00_2841;

																				BgL_list1566z00_2841 =
																					MAKE_YOUNG_PAIR
																					(BGl_za2moduleza2z00zzmodule_modulez00,
																					BNIL);
																				BgL_newzd2gzd2_2839 =
																					BGl_findzd2globalzd2zzast_envz00
																					(BgL_arg1565z00_2840,
																					BgL_list1566z00_2841);
																			}
																		}
																		{	/* Ast/hrtype.scm 133 */
																			bool_t BgL_test2038z00_3724;

																			{	/* Ast/hrtype.scm 133 */
																				bool_t BgL_test2039z00_3725;

																				{	/* Ast/hrtype.scm 133 */
																					obj_t BgL_classz00_2842;

																					BgL_classz00_2842 =
																						BGl_globalz00zzast_varz00;
																					if (BGL_OBJECTP(BgL_newzd2gzd2_2839))
																						{	/* Ast/hrtype.scm 133 */
																							BgL_objectz00_bglt
																								BgL_arg1801z00_2843;
																							BgL_arg1801z00_2843 =
																								(BgL_objectz00_bglt)
																								(BgL_newzd2gzd2_2839);
																							if (BGL_CONDEXPAND_ISA_ARCH64())
																								{	/* Ast/hrtype.scm 133 */
																									long BgL_idxz00_2844;

																									BgL_idxz00_2844 =
																										BGL_OBJECT_INHERITANCE_NUM
																										(BgL_arg1801z00_2843);
																									BgL_test2039z00_3725 =
																										(VECTOR_REF
																										(BGl_za2inheritancesza2z00zz__objectz00,
																											(BgL_idxz00_2844 + 2L)) ==
																										BgL_classz00_2842);
																								}
																							else
																								{	/* Ast/hrtype.scm 133 */
																									bool_t BgL_res1908z00_2847;

																									{	/* Ast/hrtype.scm 133 */
																										obj_t BgL_oclassz00_2848;

																										{	/* Ast/hrtype.scm 133 */
																											long BgL_arg1808z00_2849;

																											{	/* Ast/hrtype.scm 133 */
																												long
																													BgL_arg1809z00_2850;
																												BgL_arg1809z00_2850 =
																													BGL_OBJECT_CLASS_NUM
																													(BgL_arg1801z00_2843);
																												BgL_arg1808z00_2849 =
																													(BgL_arg1809z00_2850 -
																													OBJECT_TYPE);
																											}
																											BgL_oclassz00_2848 =
																												VECTOR_REF
																												(BGl_za2classesza2z00zz__objectz00,
																												BgL_arg1808z00_2849);
																										}
																										{	/* Ast/hrtype.scm 133 */
																											bool_t
																												BgL__ortest_1115z00_2851;
																											BgL__ortest_1115z00_2851 =
																												(BgL_classz00_2842 ==
																												BgL_oclassz00_2848);
																											if (BgL__ortest_1115z00_2851)
																												{	/* Ast/hrtype.scm 133 */
																													BgL_res1908z00_2847 =
																														BgL__ortest_1115z00_2851;
																												}
																											else
																												{	/* Ast/hrtype.scm 133 */
																													long
																														BgL_odepthz00_2852;
																													BgL_odepthz00_2852 =
																														BGL_CLASS_DEPTH
																														(BgL_oclassz00_2848);
																													if ((2L <
																															BgL_odepthz00_2852))
																														{	/* Ast/hrtype.scm 133 */
																															obj_t
																																BgL_arg1797z00_2853;
																															BgL_arg1797z00_2853
																																=
																																BGL_CLASS_ANCESTORS_REF
																																(BgL_oclassz00_2848,
																																2L);
																															BgL_res1908z00_2847
																																=
																																(BgL_arg1797z00_2853
																																==
																																BgL_classz00_2842);
																														}
																													else
																														{	/* Ast/hrtype.scm 133 */
																															BgL_res1908z00_2847
																																= ((bool_t) 0);
																														}
																												}
																										}
																									}
																									BgL_test2039z00_3725 =
																										BgL_res1908z00_2847;
																								}
																						}
																					else
																						{	/* Ast/hrtype.scm 133 */
																							BgL_test2039z00_3725 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2039z00_3725)
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2038z00_3724 =
																							(
																							(((BgL_globalz00_bglt) COBJECT(
																										((BgL_globalz00_bglt)
																											BgL_newzd2gzd2_2839)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(1L));
																					}
																				else
																					{	/* Ast/hrtype.scm 133 */
																						BgL_test2038z00_3724 = ((bool_t) 0);
																					}
																			}
																			if (BgL_test2038z00_3724)
																				{	/* Ast/hrtype.scm 133 */
																					((((BgL_varz00_bglt)
																								COBJECT(BgL_i1108z00_2777))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt) (
																								(BgL_variablez00_bglt)
																								BgL_newzd2gzd2_2839)), BUNSPEC);
																				}
																			else
																				{	/* Ast/hrtype.scm 137 */
																					obj_t BgL_arg1560z00_2854;

																					BgL_arg1560z00_2854 =
																						(((BgL_variablez00_bglt) COBJECT(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										(((BgL_varz00_bglt)
																												COBJECT
																												(BgL_i1108z00_2777))->
																											BgL_variablez00)))))->
																						BgL_idz00);
																					BGl_errorz00zz__errorz00
																						(BGl_string1949z00zzast_hrtypez00,
																						BGl_string1950z00zzast_hrtypez00,
																						BgL_arg1560z00_2854);
																				}
																		}
																	}
															}
														}
												}
											else
												{	/* Ast/hrtype.scm 115 */
													BFALSE;
												}
										}
								}
							}
						else
							{	/* Ast/hrtype.scm 98 */
								BFALSE;
							}
					}
				}
				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2595)))->BgL_argsz00));
				{	/* Ast/hrtype.scm 95 */
					obj_t BgL_nextzd2method1274zd2_2776;

					BgL_nextzd2method1274zd2_2776 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_2595)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_appz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1274zd2_2776)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1274zd2_2776))
						(BgL_nextzd2method1274zd2_2776,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2595)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1274zd2_2776))
						(BgL_nextzd2method1274zd2_2776,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_2595))));
				}
			}
		}

	}



/* &hrtype-node!-sync1273 */
	obj_t BGl_z62hrtypezd2nodez12zd2sync1273z70zzast_hrtypez00(obj_t
		BgL_envz00_2596, obj_t BgL_nodez00_2597)
	{
		{	/* Ast/hrtype.scm 85 */
			{

				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2597)))->BgL_mutexz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2597)))->BgL_prelockz00));
				BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
					(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2597)))->BgL_bodyz00));
				{	/* Ast/hrtype.scm 85 */
					obj_t BgL_nextzd2method1272zd2_2857;

					BgL_nextzd2method1272zd2_2857 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_syncz00_bglt) BgL_nodez00_2597)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_syncz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1272zd2_2857)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1272zd2_2857))
						(BgL_nextzd2method1272zd2_2857,
							((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2597)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1272zd2_2857))
						(BgL_nextzd2method1272zd2_2857,
							((obj_t) ((BgL_syncz00_bglt) BgL_nodez00_2597))));
				}
			}
		}

	}



/* &hrtype-node!-sequenc1271 */
	obj_t BGl_z62hrtypezd2nodez12zd2sequenc1271z70zzast_hrtypez00(obj_t
		BgL_envz00_2598, obj_t BgL_nodez00_2599)
	{
		{	/* Ast/hrtype.scm 77 */
			{

				BGl_hrtypezd2nodeza2z12z62zzast_hrtypez00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_2599)))->BgL_nodesz00));
				{	/* Ast/hrtype.scm 77 */
					obj_t BgL_nextzd2method1270zd2_2860;

					BgL_nextzd2method1270zd2_2860 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_sequencez00_bglt) BgL_nodez00_2599)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_sequencez00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1270zd2_2860)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1270zd2_2860))
						(BgL_nextzd2method1270zd2_2860,
							((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2599)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1270zd2_2860))
						(BgL_nextzd2method1270zd2_2860,
							((obj_t) ((BgL_sequencez00_bglt) BgL_nodez00_2599))));
				}
			}
		}

	}



/* &hrtype-node!-var1269 */
	obj_t BGl_z62hrtypezd2nodez12zd2var1269z70zzast_hrtypez00(obj_t
		BgL_envz00_2600, obj_t BgL_nodez00_2601)
	{
		{	/* Ast/hrtype.scm 40 */
			{

				{	/* Ast/hrtype.scm 65 */
					bool_t BgL_test2044z00_3798;

					{	/* Ast/hrtype.scm 65 */
						bool_t BgL_test2045z00_3799;

						{	/* Ast/hrtype.scm 65 */
							BgL_variablez00_bglt BgL_arg1451z00_2864;

							BgL_arg1451z00_2864 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_2601)))->BgL_variablez00);
							{	/* Ast/hrtype.scm 65 */
								obj_t BgL_classz00_2865;

								BgL_classz00_2865 = BGl_globalz00zzast_varz00;
								{	/* Ast/hrtype.scm 65 */
									BgL_objectz00_bglt BgL_arg1801z00_2866;

									{	/* Ast/hrtype.scm 65 */
										obj_t BgL_tmpz00_3802;

										BgL_tmpz00_3802 =
											((obj_t) ((BgL_objectz00_bglt) BgL_arg1451z00_2864));
										BgL_arg1801z00_2866 =
											(BgL_objectz00_bglt) (BgL_tmpz00_3802);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* Ast/hrtype.scm 65 */
											long BgL_idxz00_2867;

											BgL_idxz00_2867 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2866);
											BgL_test2045z00_3799 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_2867 + 2L)) == BgL_classz00_2865);
										}
									else
										{	/* Ast/hrtype.scm 65 */
											bool_t BgL_res1902z00_2870;

											{	/* Ast/hrtype.scm 65 */
												obj_t BgL_oclassz00_2871;

												{	/* Ast/hrtype.scm 65 */
													long BgL_arg1808z00_2872;

													{	/* Ast/hrtype.scm 65 */
														long BgL_arg1809z00_2873;

														BgL_arg1809z00_2873 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2866);
														BgL_arg1808z00_2872 =
															(BgL_arg1809z00_2873 - OBJECT_TYPE);
													}
													BgL_oclassz00_2871 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_2872);
												}
												{	/* Ast/hrtype.scm 65 */
													bool_t BgL__ortest_1115z00_2874;

													BgL__ortest_1115z00_2874 =
														(BgL_classz00_2865 == BgL_oclassz00_2871);
													if (BgL__ortest_1115z00_2874)
														{	/* Ast/hrtype.scm 65 */
															BgL_res1902z00_2870 = BgL__ortest_1115z00_2874;
														}
													else
														{	/* Ast/hrtype.scm 65 */
															long BgL_odepthz00_2875;

															BgL_odepthz00_2875 =
																BGL_CLASS_DEPTH(BgL_oclassz00_2871);
															if ((2L < BgL_odepthz00_2875))
																{	/* Ast/hrtype.scm 65 */
																	obj_t BgL_arg1797z00_2876;

																	BgL_arg1797z00_2876 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2871,
																		2L);
																	BgL_res1902z00_2870 =
																		(BgL_arg1797z00_2876 == BgL_classz00_2865);
																}
															else
																{	/* Ast/hrtype.scm 65 */
																	BgL_res1902z00_2870 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2045z00_3799 = BgL_res1902z00_2870;
										}
								}
							}
						}
						if (BgL_test2045z00_3799)
							{	/* Ast/hrtype.scm 66 */
								obj_t BgL_arg1431z00_2877;
								obj_t BgL_arg1436z00_2878;

								BgL_arg1431z00_2877 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2601)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1436z00_2878 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2601)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_test2044z00_3798 =
									CBOOL(BGl_globalzd2bucketzd2positionz00zzast_envz00
									(BgL_arg1431z00_2877, BgL_arg1436z00_2878));
							}
						else
							{	/* Ast/hrtype.scm 65 */
								BgL_test2044z00_3798 = ((bool_t) 0);
							}
					}
					if (BgL_test2044z00_3798)
						{	/* Ast/hrtype.scm 68 */
							obj_t BgL_nz00_2879;

							{	/* Ast/hrtype.scm 68 */
								obj_t BgL_arg1397z00_2880;
								obj_t BgL_arg1407z00_2881;

								BgL_arg1397z00_2880 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_2601)))->
														BgL_variablez00)))))->BgL_idz00);
								BgL_arg1407z00_2881 =
									(((BgL_globalz00_bglt)
										COBJECT(((BgL_globalz00_bglt) (((BgL_varz00_bglt)
														COBJECT(((BgL_varz00_bglt) BgL_nodez00_2601)))->
													BgL_variablez00))))->BgL_modulez00);
								BgL_nz00_2879 =
									BGl_findzd2globalzf2modulez20zzast_envz00(BgL_arg1397z00_2880,
									BgL_arg1407z00_2881);
							}
							{	/* Ast/hrtype.scm 70 */
								bool_t BgL_test2049z00_3843;

								{	/* Ast/hrtype.scm 70 */
									obj_t BgL_classz00_2882;

									BgL_classz00_2882 = BGl_globalz00zzast_varz00;
									if (BGL_OBJECTP(BgL_nz00_2879))
										{	/* Ast/hrtype.scm 70 */
											BgL_objectz00_bglt BgL_arg1801z00_2883;

											BgL_arg1801z00_2883 =
												(BgL_objectz00_bglt) (BgL_nz00_2879);
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Ast/hrtype.scm 70 */
													long BgL_idxz00_2884;

													BgL_idxz00_2884 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2883);
													BgL_test2049z00_3843 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_2884 + 2L)) == BgL_classz00_2882);
												}
											else
												{	/* Ast/hrtype.scm 70 */
													bool_t BgL_res1903z00_2887;

													{	/* Ast/hrtype.scm 70 */
														obj_t BgL_oclassz00_2888;

														{	/* Ast/hrtype.scm 70 */
															long BgL_arg1808z00_2889;

															{	/* Ast/hrtype.scm 70 */
																long BgL_arg1809z00_2890;

																BgL_arg1809z00_2890 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2883);
																BgL_arg1808z00_2889 =
																	(BgL_arg1809z00_2890 - OBJECT_TYPE);
															}
															BgL_oclassz00_2888 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_2889);
														}
														{	/* Ast/hrtype.scm 70 */
															bool_t BgL__ortest_1115z00_2891;

															BgL__ortest_1115z00_2891 =
																(BgL_classz00_2882 == BgL_oclassz00_2888);
															if (BgL__ortest_1115z00_2891)
																{	/* Ast/hrtype.scm 70 */
																	BgL_res1903z00_2887 =
																		BgL__ortest_1115z00_2891;
																}
															else
																{	/* Ast/hrtype.scm 70 */
																	long BgL_odepthz00_2892;

																	BgL_odepthz00_2892 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_2888);
																	if ((2L < BgL_odepthz00_2892))
																		{	/* Ast/hrtype.scm 70 */
																			obj_t BgL_arg1797z00_2893;

																			BgL_arg1797z00_2893 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_2888, 2L);
																			BgL_res1903z00_2887 =
																				(BgL_arg1797z00_2893 ==
																				BgL_classz00_2882);
																		}
																	else
																		{	/* Ast/hrtype.scm 70 */
																			BgL_res1903z00_2887 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2049z00_3843 = BgL_res1903z00_2887;
												}
										}
									else
										{	/* Ast/hrtype.scm 70 */
											BgL_test2049z00_3843 = ((bool_t) 0);
										}
								}
								if (BgL_test2049z00_3843)
									{	/* Ast/hrtype.scm 70 */
										((((BgL_varz00_bglt) COBJECT(
														((BgL_varz00_bglt) BgL_nodez00_2601)))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_nz00_2879)), BUNSPEC);
									}
								else
									{	/* Ast/hrtype.scm 70 */
										BFALSE;
									}
							}
						}
					else
						{	/* Ast/hrtype.scm 65 */
							BFALSE;
						}
				}
				{	/* Ast/hrtype.scm 40 */
					obj_t BgL_nextzd2method1268zd2_2863;

					BgL_nextzd2method1268zd2_2863 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_varz00_bglt) BgL_nodez00_2601)),
						BGl_hrtypezd2nodez12zd2envz12zzast_hrtypez00,
						BGl_varz00zzast_nodez00);
					return (VA_PROCEDUREP(BgL_nextzd2method1268zd2_2863)
						? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_nextzd2method1268zd2_2863))
						(BgL_nextzd2method1268zd2_2863,
							((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2601)),
							BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_nextzd2method1268zd2_2863))
						(BgL_nextzd2method1268zd2_2863,
							((obj_t) ((BgL_varz00_bglt) BgL_nodez00_2601))));
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_hrtypez00(void)
	{
		{	/* Ast/hrtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string1951z00zzast_hrtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
