/*===========================================================================*/
/*   (BackEnd/backend.scm)                                                   */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent BackEnd/backend.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BACKEND_BACKEND_TYPE_DEFINITIONS
#define BGL_BACKEND_BACKEND_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


#endif													// BGL_BACKEND_BACKEND_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31200ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2compile1117zb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31220ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_objectzd2initzd2zzbackend_backendz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31411ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31160ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31209ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_za2backendsza2z00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzbackend_backendz00(void);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31340ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31227ze3ze5zzbackend_backendz00(obj_t);
	static obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31440ze3ze5zzbackend_backendz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31263ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1207z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31247ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31328ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1208z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31280ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1218z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1219z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1225z62zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1226z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t,
		obj_t);
	static BgL_backendz00_bglt BGl_z62lambda1149z62zzbackend_backendz00(obj_t);
	static obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2link1121zb0zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1235z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1236z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1158z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1159z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31550ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00
		(BgL_backendz00_bglt, int);
	static obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1245z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1326z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1246z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1327z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1409z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1410z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31616ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1253z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1254z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31349ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1338z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1339z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1261z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1262z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31366ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31188ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1347z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1186z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1348z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1187z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void);
	static obj_t BGl_z62zc3z04anonymousza31456ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1438z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1439z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1278z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1198z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1279z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1199z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_backendz00zzbackend_backendz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31287ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1364z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1365z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1285z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
	static obj_t BGl_z62lambda1286z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1614z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1615z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31377ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1454z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1535z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1455z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1375z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1295z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1376z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1296z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00
		(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31297ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1548z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1549z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	static obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1630z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1631z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzbackend_backendz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31566ze3ze5zzbackend_backendz00(obj_t);
	static obj_t BGl_z62lambda1564z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1565z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt,
		obj_t);
	static obj_t
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62lambda1495z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1496z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, bool_t);
	static obj_t BGl_z62lambda1580z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1581z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda1596z62zzbackend_backendz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1597z62zzbackend_backendz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt);
	static obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_backendz00(obj_t);
	static obj_t __cnst[47];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1854z00,
		BGl_z62backendzd2typeszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2envzb2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff1855z00,
		BGl_z62backendzd2effectzb2z02zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_thezd2backendzd2envz00zzbackend_backendz00,
		BgL_bgl_za762theza7d2backend1856z00,
		BGl_z62thezd2backendzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1857z00,
		BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzf3zd2envz21zzbackend_backendz00,
		BgL_bgl_za762backendza7f3za7911858za7,
		BGl_z62backendzf3z91zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1859z00,
		BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1860z00,
		BGl_z62backendzd2callcczb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2nilzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nil1861z00,
		BGl_z62backendzd2nilzb0zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem1862z00,
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2functionszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2fun1863z00,
		BGl_z62backendzd2functionszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1864z00,
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1865z00,
		BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1866z00,
		BGl_z62backendzd2typedzb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou1867z00,
		BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1868z00,
		BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve1869z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf1870z00,
		BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra1871z00,
		BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre1872z00,
		BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1873z00,
		BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1874z00,
		BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1875z00,
		BGl_z62backendzd2compilezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1876z00,
		BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1877z00,
		BGl_z62backendzd2linkzb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zzbackend_backendz00,
		BgL_bgl_za762lambda1454za7621878z00,
		BGl_z62lambda1454z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1879za7,
		BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zzbackend_backendz00,
		BgL_bgl_za762lambda1496za7621880z00,
		BGl_z62lambda1496z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zzbackend_backendz00,
		BgL_bgl_za762lambda1495za7621881z00,
		BGl_z62lambda1495z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1882za7,
		BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1883z00,
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua1884z00,
		BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zzbackend_backendz00,
		BgL_bgl_za762lambda1536za7621885z00,
		BGl_z62lambda1536z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zzbackend_backendz00,
		BgL_bgl_za762lambda1535za7621886z00,
		BGl_z62lambda1535z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1887za7,
		BGl_z62zc3z04anonymousza31550ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zzbackend_backendz00,
		BgL_bgl_za762lambda1549za7621888z00,
		BGl_z62lambda1549z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zzbackend_backendz00,
		BgL_bgl_za762lambda1548za7621889z00,
		BGl_z62lambda1548z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1736z00zzbackend_backendz00,
		BgL_bgl_string1736za700za7za7b1890za7, "backend", 7);
	      DEFINE_STRING(BGl_string1737z00zzbackend_backendz00,
		BgL_bgl_string1737za700za7za7b1891za7, "Unimplemented target language", 29);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_backendzd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam1892z00,
		BGl_z62backendzd2namezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762setza7d2backend1893z00,
		BGl_z62setzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typeszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1894z00,
		BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1895za7,
		BGl_z62zc3z04anonymousza31566ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zzbackend_backendz00,
		BgL_bgl_za762lambda1565za7621896z00,
		BGl_z62lambda1565z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zzbackend_backendz00,
		BgL_bgl_za762lambda1564za7621897z00,
		BGl_z62lambda1564z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1898za7,
		BGl_z62zc3z04anonymousza31582ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1814z00zzbackend_backendz00,
		BgL_bgl_za762lambda1581za7621899z00,
		BGl_z62lambda1581z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1815z00zzbackend_backendz00,
		BgL_bgl_za762lambda1580za7621900z00,
		BGl_z62lambda1580z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1816z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1901za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1817z00zzbackend_backendz00,
		BgL_bgl_za762lambda1597za7621902z00,
		BGl_z62lambda1597z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1818z00zzbackend_backendz00,
		BgL_bgl_za762lambda1596za7621903z00,
		BGl_z62lambda1596z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1819z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1904za7,
		BGl_z62zc3z04anonymousza31616ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1905za7,
		BGl_z62zc3z04anonymousza31160ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzbackend_backendz00,
		BgL_bgl_za762lambda1159za7621906z00,
		BGl_z62lambda1159z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1907z00,
		BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1827z00zzbackend_backendz00,
		BgL_bgl_string1827za700za7za7b1908za7, "", 0);
	      DEFINE_STRING(BGl_string1828z00zzbackend_backendz00,
		BgL_bgl_string1828za700za7za7b1909za7, "heap", 4);
	      DEFINE_STRING(BGl_string1829z00zzbackend_backendz00,
		BgL_bgl_string1829za700za7za7b1910za7, "dummy", 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1911z00,
		BGl_z62backendzd2typezd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1820z00zzbackend_backendz00,
		BgL_bgl_za762lambda1615za7621912z00,
		BGl_z62lambda1615z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1821z00zzbackend_backendz00,
		BgL_bgl_za762lambda1614za7621913z00,
		BGl_z62lambda1614z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzbackend_backendz00,
		BgL_bgl_za762lambda1158za7621914z00,
		BGl_z62lambda1158z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1822z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1915za7,
		BGl_z62zc3z04anonymousza31632ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1916za7,
		BGl_z62zc3z04anonymousza31188ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1823z00zzbackend_backendz00,
		BgL_bgl_za762lambda1631za7621917z00,
		BGl_z62lambda1631z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zzbackend_backendz00,
		BgL_bgl_za762lambda1187za7621918z00,
		BGl_z62lambda1187z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1824z00zzbackend_backendz00,
		BgL_bgl_za762lambda1630za7621919z00,
		BGl_z62lambda1630z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1743z00zzbackend_backendz00,
		BgL_bgl_za762lambda1186za7621920z00,
		BGl_z62lambda1186z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1831z00zzbackend_backendz00,
		BgL_bgl_string1831za700za7za7b1921za7, "backend-initialize!1115", 23);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1825z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1922za7,
		BGl_z62zc3z04anonymousza31153ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1744z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1923za7,
		BGl_z62zc3z04anonymousza31200ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1826z00zzbackend_backendz00,
		BgL_bgl_za762lambda1149za7621924z00,
		BGl_z62lambda1149z62zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zzbackend_backendz00,
		BgL_bgl_za762lambda1199za7621925z00,
		BGl_z62lambda1199z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1833z00zzbackend_backendz00,
		BgL_bgl_string1833za700za7za7b1926za7, "backend-compile1117", 19);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1746z00zzbackend_backendz00,
		BgL_bgl_za762lambda1198za7621927z00,
		BGl_z62lambda1198z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1928za7,
		BGl_z62zc3z04anonymousza31209ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1835z00zzbackend_backendz00,
		BgL_bgl_string1835za700za7za7b1929za7, "backend-compile-func1119", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zzbackend_backendz00,
		BgL_bgl_za762lambda1208za7621930z00,
		BGl_z62lambda1208z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zzbackend_backendz00,
		BgL_bgl_za762lambda1207za7621931z00,
		BGl_z62lambda1207z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan1932z00,
		BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1837z00zzbackend_backendz00,
		BgL_bgl_string1837za700za7za7b1933za7, "backend-link1121", 16);
	      DEFINE_STRING(BGl_string1839z00zzbackend_backendz00,
		BgL_bgl_string1839za700za7za7b1934za7, "backend-subtype?1123", 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1830z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1935z00,
		BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1750z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1936za7,
		BGl_z62zc3z04anonymousza31220ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1832z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1937z00,
		BGl_z62backendzd2compile1117zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1751z00zzbackend_backendz00,
		BgL_bgl_za762lambda1219za7621938z00,
		BGl_z62lambda1219z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1752z00zzbackend_backendz00,
		BgL_bgl_za762lambda1218za7621939z00,
		BGl_z62lambda1218z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1834z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com1940z00,
		BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1753z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1941za7,
		BGl_z62zc3z04anonymousza31227ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1841z00zzbackend_backendz00,
		BgL_bgl_string1841za700za7za7b1942za7, "backend-cnst-table-n1125", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1754z00zzbackend_backendz00,
		BgL_bgl_za762lambda1226za7621943z00,
		BGl_z62lambda1226z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1836z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1944z00,
		BGl_z62backendzd2link1121zb0zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1755z00zzbackend_backendz00,
		BgL_bgl_za762lambda1225za7621945z00,
		BGl_z62lambda1225z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1843z00zzbackend_backendz00,
		BgL_bgl_string1843za700za7za7b1946za7, "backend-link-objects1127", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1756z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1947za7,
		BGl_z62zc3z04anonymousza31237ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2callcczd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cal1948z00,
		BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1838z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub1949z00,
		BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1757z00zzbackend_backendz00,
		BgL_bgl_za762lambda1236za7621950z00,
		BGl_z62lambda1236z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1845z00zzbackend_backendz00,
		BgL_bgl_string1845za700za7za7b1951za7, "backend-instr-reset-1129", 24);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1758z00zzbackend_backendz00,
		BgL_bgl_za762lambda1235za7621952z00,
		BGl_z62lambda1235z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1759z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1953za7,
		BGl_z62zc3z04anonymousza31247ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1847z00zzbackend_backendz00,
		BgL_bgl_string1847za700za7za7b1954za7, "backend-check-inline1131", 24);
	      DEFINE_STRING(BGl_string1849z00zzbackend_backendz00,
		BgL_bgl_string1849za700za7za7b1955za7, "backend-gc-init1133", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2closurezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for1956z00,
		BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1840z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns1957z00,
		BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1760z00zzbackend_backendz00,
		BgL_bgl_za762lambda1246za7621958z00,
		BGl_z62lambda1246z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1842z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1959z00,
		BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1761z00zzbackend_backendz00,
		BgL_bgl_za762lambda1245za7621960z00,
		BGl_z62lambda1245z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2typeszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext1961z00,
		BGl_z62backendzd2externzd2typesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1762z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1962za7,
		BGl_z62zc3z04anonymousza31255ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1850z00zzbackend_backendz00,
		BgL_bgl_string1850za700za7za7b1963za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1844z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ins1964z00,
		BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1763z00zzbackend_backendz00,
		BgL_bgl_za762lambda1254za7621965z00,
		BGl_z62lambda1254z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1851z00zzbackend_backendz00,
		BgL_bgl_string1851za700za7za7b1966za7, "backend_backend", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1764z00zzbackend_backendz00,
		BgL_bgl_za762lambda1253za7621967z00,
		BGl_z62lambda1253z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1852z00zzbackend_backendz00,
		BgL_bgl_string1852za700za7za7b1968za7,
		"backend-compile1117 backend-compile-func1119 backend-link1121 backend-subtype?1123 backend-cnst-table-n1125 backend-link-objects1127 none native (foreign extern) (c bdb module) _ backend_backend backend typed-funcall type-check bound-check pregisters registers require-tailc tvector-descr-support pragma-support debug-support pair-nil foreign-clause-support trace-support typed-eq foreign-closure remove-empty-let effect+ qualified-types callcc heap-compatible heap-suffix bool typed types functions variables extern-types extern-functions obj extern-variables bstring name srfi0 symbol language ",
		596);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1846z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2che1969z00,
		BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1765z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1970za7,
		BGl_z62zc3z04anonymousza31263ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1766z00zzbackend_backendz00,
		BgL_bgl_za762lambda1262za7621971z00,
		BGl_z62lambda1262z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1848z00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza71972za7,
		BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1767z00zzbackend_backendz00,
		BgL_bgl_za762lambda1261za7621973z00,
		BGl_z62lambda1261z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1768z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1974za7,
		BGl_z62zc3z04anonymousza31280ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1769z00zzbackend_backendz00,
		BgL_bgl_za762lambda1279za7621975z00,
		BGl_z62lambda1279z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lin1976z00,
		BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typezd2checkzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ1977z00,
		BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1770z00zzbackend_backendz00,
		BgL_bgl_za762lambda1278za7621978z00,
		BGl_z62lambda1278z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2registerszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2reg1979z00,
		BGl_z62backendzd2registerszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1771z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1980za7,
		BGl_z62zc3z04anonymousza31287ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1772z00zzbackend_backendz00,
		BgL_bgl_za762lambda1286za7621981z00,
		BGl_z62lambda1286z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1773z00zzbackend_backendz00,
		BgL_bgl_za762lambda1285za7621982z00,
		BGl_z62lambda1285z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1774z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1983za7,
		BGl_z62zc3z04anonymousza31297ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1775z00zzbackend_backendz00,
		BgL_bgl_za762lambda1296za7621984z00,
		BGl_z62lambda1296z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1776z00zzbackend_backendz00,
		BgL_bgl_za762lambda1295za7621985z00,
		BGl_z62lambda1295z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1777z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1986za7,
		BGl_z62zc3z04anonymousza31328ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1778z00zzbackend_backendz00,
		BgL_bgl_za762lambda1327za7621987z00,
		BGl_z62lambda1327z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1779z00zzbackend_backendz00,
		BgL_bgl_za762lambda1326za7621988z00,
		BGl_z62lambda1326z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea1989z00,
		BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ini1990z00,
		BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1780z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1991za7,
		BGl_z62zc3z04anonymousza31340ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1781z00zzbackend_backendz00,
		BgL_bgl_za762lambda1339za7621992z00,
		BGl_z62lambda1339z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1782z00zzbackend_backendz00,
		BgL_bgl_za762lambda1338za7621993z00,
		BGl_z62lambda1338z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1783z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1994za7,
		BGl_z62zc3z04anonymousza31349ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1784z00zzbackend_backendz00,
		BgL_bgl_za762lambda1348za7621995z00,
		BGl_z62lambda1348z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1785z00zzbackend_backendz00,
		BgL_bgl_za762lambda1347za7621996z00,
		BGl_z62lambda1347z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1786z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo1997za7,
		BGl_z62zc3z04anonymousza31366ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1787z00zzbackend_backendz00,
		BgL_bgl_za762lambda1365za7621998z00,
		BGl_z62lambda1365z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zzbackend_backendz00,
		BgL_bgl_za762lambda1364za7621999z00,
		BGl_z62lambda1364z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1789z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2000za7,
		BGl_z62zc3z04anonymousza31377ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2srfi0zd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2srf2001z00,
		BGl_z62backendzd2srfi0zb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2com2002z00,
		BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req2003z00,
		BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra2004z00,
		BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1790z00zzbackend_backendz00,
		BgL_bgl_za762lambda1376za7622005z00,
		BGl_z62lambda1376z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1791z00zzbackend_backendz00,
		BgL_bgl_za762lambda1375za7622006z00,
		BGl_z62lambda1375z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2namezd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2nam2007z00,
		BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1792z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2008za7,
		BGl_z62zc3z04anonymousza31411ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzbackend_backendz00,
		BgL_bgl_za762lambda1410za7622009z00,
		BGl_z62lambda1410z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1794z00zzbackend_backendz00,
		BgL_bgl_za762lambda1409za7622010z00,
		BGl_z62lambda1409z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2011za7,
		BGl_z62zc3z04anonymousza31440ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zzbackend_backendz00,
		BgL_bgl_za762lambda1439za7622012z00,
		BGl_z62lambda1439z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zzbackend_backendz00,
		BgL_bgl_za762lambda1438za7622013z00,
		BGl_z62lambda1438z62zzbackend_backendz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zzbackend_backendz00,
		BgL_bgl_za762za7c3za704anonymo2014za7,
		BGl_z62zc3z04anonymousza31456ze3ze5zzbackend_backendz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zzbackend_backendz00,
		BgL_bgl_za762lambda1455za7622015z00,
		BGl_z62lambda1455z62zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tracezd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tra2016z00,
		BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2cns2017z00,
		BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pragmazd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pra2018z00,
		BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2tvectorzd2descrzd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2tve2019z00,
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2020z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2boundzd2checkzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2bou2021z00,
		BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2removezd2emptyzd2letzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2rem2022z00,
		BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2023z00,
		BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2variableszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext2024z00,
		BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2025z00,
		BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2026z00,
		BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2languagezd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2lan2027z00,
		BGl_z62backendzd2languagezb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2eqzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2028z00,
		BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2compatiblezd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2029z00,
		BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2backendz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762registerza7d2ba2030z00,
		BGl_z62registerzd2backendz12za2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2heapzd2suffixzd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2hea2031z00,
		BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2qualifiedzd2typeszd2setz12zd2envz12zzbackend_backendz00,
		BgL_bgl_za762backendza7d2qua2032z00,
		BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2effectzb2zd2setz12zd2envz72zzbackend_backendz00,
		BgL_bgl_za762backendza7d2eff2033z00,
		BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2setz12zd2envzc0zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2034z00,
		BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2typedzd2funcallzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2typ2035z00,
		BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2variableszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2var2036z00,
		BGl_z62backendzd2variableszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2foreignzd2clausezd2supportzd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2for2037z00,
		BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
		BgL_bgl_za762backendza7d2sub2038z00,
		BGl_z62backendzd2subtypezf3z43zzbackend_backendz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2requirezd2tailczd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2req2039z00,
		BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2externzd2functionszd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2ext2040z00,
		BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2pregisterszd2envz00zzbackend_backendz00,
		BgL_bgl_za762backendza7d2pre2041z00,
		BGl_z62backendzd2pregisterszb0zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2gcza72042za7,
		BGl_z62backendzd2gczd2initz62zzbackend_backendz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_backendzd2debugzd2supportzd2envzd2zzbackend_backendz00,
		BgL_bgl_za762backendza7d2deb2043z00,
		BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2thezd2backendza2zd2zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_za2backendsza2z00zzbackend_backendz00));
		     ADD_ROOT((void *) (&BGl_backendz00zzbackend_backendz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbackend_backendz00(long
		BgL_checksumz00_1670, char *BgL_fromz00_1671)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbackend_backendz00))
				{
					BGl_requirezd2initializa7ationz75zzbackend_backendz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzbackend_backendz00();
					BGl_libraryzd2moduleszd2initz00zzbackend_backendz00();
					BGl_cnstzd2initzd2zzbackend_backendz00();
					BGl_importedzd2moduleszd2initz00zzbackend_backendz00();
					BGl_objectzd2initzd2zzbackend_backendz00();
					BGl_genericzd2initzd2zzbackend_backendz00();
					return BGl_toplevelzd2initzd2zzbackend_backendz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "backend_backend");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"backend_backend");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"backend_backend");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 15 */
				obj_t BgL_cportz00_1548;

				{	/* BackEnd/backend.scm 15 */
					obj_t BgL_stringz00_1555;

					BgL_stringz00_1555 = BGl_string1852z00zzbackend_backendz00;
					{	/* BackEnd/backend.scm 15 */
						obj_t BgL_startz00_1556;

						BgL_startz00_1556 = BINT(0L);
						{	/* BackEnd/backend.scm 15 */
							obj_t BgL_endz00_1557;

							BgL_endz00_1557 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1555)));
							{	/* BackEnd/backend.scm 15 */

								BgL_cportz00_1548 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1555, BgL_startz00_1556, BgL_endz00_1557);
				}}}}
				{
					long BgL_iz00_1549;

					BgL_iz00_1549 = 46L;
				BgL_loopz00_1550:
					if ((BgL_iz00_1549 == -1L))
						{	/* BackEnd/backend.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* BackEnd/backend.scm 15 */
							{	/* BackEnd/backend.scm 15 */
								obj_t BgL_arg1853z00_1551;

								{	/* BackEnd/backend.scm 15 */

									{	/* BackEnd/backend.scm 15 */
										obj_t BgL_locationz00_1553;

										BgL_locationz00_1553 = BBOOL(((bool_t) 0));
										{	/* BackEnd/backend.scm 15 */

											BgL_arg1853z00_1551 =
												BGl_readz00zz__readerz00(BgL_cportz00_1548,
												BgL_locationz00_1553);
										}
									}
								}
								{	/* BackEnd/backend.scm 15 */
									int BgL_tmpz00_1702;

									BgL_tmpz00_1702 = (int) (BgL_iz00_1549);
									CNST_TABLE_SET(BgL_tmpz00_1702, BgL_arg1853z00_1551);
							}}
							{	/* BackEnd/backend.scm 15 */
								int BgL_auxz00_1554;

								BgL_auxz00_1554 = (int) ((BgL_iz00_1549 - 1L));
								{
									long BgL_iz00_1707;

									BgL_iz00_1707 = (long) (BgL_auxz00_1554);
									BgL_iz00_1549 = BgL_iz00_1707;
									goto BgL_loopz00_1550;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_za2thezd2backendza2zd2zzbackend_backendz00 = BUNSPEC;
			BGl_za2backendsza2z00zzbackend_backendz00 = BNIL;
			return BUNSPEC;
		}

	}



/* backend? */
	BGL_EXPORTED_DEF bool_t BGl_backendzf3zf3zzbackend_backendz00(obj_t
		BgL_objz00_3)
	{
		{	/* BackEnd/backend.sch 78 */
			{	/* BackEnd/backend.sch 78 */
				obj_t BgL_classz00_1559;

				BgL_classz00_1559 = BGl_backendz00zzbackend_backendz00;
				if (BGL_OBJECTP(BgL_objz00_3))
					{	/* BackEnd/backend.sch 78 */
						BgL_objectz00_bglt BgL_arg1801z00_1560;

						BgL_arg1801z00_1560 = (BgL_objectz00_bglt) (BgL_objz00_3);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* BackEnd/backend.sch 78 */
								long BgL_idxz00_1561;

								BgL_idxz00_1561 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_1560);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1561 + 1L)) == BgL_classz00_1559);
							}
						else
							{	/* BackEnd/backend.sch 78 */
								bool_t BgL_res1685z00_1564;

								{	/* BackEnd/backend.sch 78 */
									obj_t BgL_oclassz00_1565;

									{	/* BackEnd/backend.sch 78 */
										long BgL_arg1808z00_1566;

										{	/* BackEnd/backend.sch 78 */
											long BgL_arg1809z00_1567;

											BgL_arg1809z00_1567 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_1560);
											BgL_arg1808z00_1566 = (BgL_arg1809z00_1567 - OBJECT_TYPE);
										}
										BgL_oclassz00_1565 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_1566);
									}
									{	/* BackEnd/backend.sch 78 */
										bool_t BgL__ortest_1115z00_1568;

										BgL__ortest_1115z00_1568 =
											(BgL_classz00_1559 == BgL_oclassz00_1565);
										if (BgL__ortest_1115z00_1568)
											{	/* BackEnd/backend.sch 78 */
												BgL_res1685z00_1564 = BgL__ortest_1115z00_1568;
											}
										else
											{	/* BackEnd/backend.sch 78 */
												long BgL_odepthz00_1569;

												BgL_odepthz00_1569 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1565);
												if ((1L < BgL_odepthz00_1569))
													{	/* BackEnd/backend.sch 78 */
														obj_t BgL_arg1797z00_1570;

														BgL_arg1797z00_1570 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1565, 1L);
														BgL_res1685z00_1564 =
															(BgL_arg1797z00_1570 == BgL_classz00_1559);
													}
												else
													{	/* BackEnd/backend.sch 78 */
														BgL_res1685z00_1564 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1685z00_1564;
							}
					}
				else
					{	/* BackEnd/backend.sch 78 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &backend? */
	obj_t BGl_z62backendzf3z91zzbackend_backendz00(obj_t BgL_envz00_1066,
		obj_t BgL_objz00_1067)
	{
		{	/* BackEnd/backend.sch 78 */
			return BBOOL(BGl_backendzf3zf3zzbackend_backendz00(BgL_objz00_1067));
		}

	}



/* backend-nil */
	BGL_EXPORTED_DEF BgL_backendz00_bglt
		BGl_backendzd2nilzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.sch 79 */
			{	/* BackEnd/backend.sch 79 */
				obj_t BgL_classz00_662;

				BgL_classz00_662 = BGl_backendz00zzbackend_backendz00;
				{	/* BackEnd/backend.sch 79 */
					obj_t BgL__ortest_1117z00_663;

					BgL__ortest_1117z00_663 = BGL_CLASS_NIL(BgL_classz00_662);
					if (CBOOL(BgL__ortest_1117z00_663))
						{	/* BackEnd/backend.sch 79 */
							return ((BgL_backendz00_bglt) BgL__ortest_1117z00_663);
						}
					else
						{	/* BackEnd/backend.sch 79 */
							return
								((BgL_backendz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_662));
						}
				}
			}
		}

	}



/* &backend-nil */
	BgL_backendz00_bglt BGl_z62backendzd2nilzb0zzbackend_backendz00(obj_t
		BgL_envz00_1068)
	{
		{	/* BackEnd/backend.sch 79 */
			return BGl_backendzd2nilzd2zzbackend_backendz00();
		}

	}



/* backend-typed-funcall */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_4)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_4))->BgL_typedzd2funcallzd2);
		}

	}



/* &backend-typed-funcall */
	obj_t BGl_z62backendzd2typedzd2funcallz62zzbackend_backendz00(obj_t
		BgL_envz00_1069, obj_t BgL_oz00_1070)
	{
		{	/* BackEnd/backend.sch 80 */
			return
				BBOOL(BGl_backendzd2typedzd2funcallz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1070)));
		}

	}



/* backend-typed-funcall-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_5, bool_t BgL_vz00_6)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_5))->BgL_typedzd2funcallzd2) =
				((bool_t) BgL_vz00_6), BUNSPEC);
		}

	}



/* &backend-typed-funcall-set! */
	obj_t BGl_z62backendzd2typedzd2funcallzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1071, obj_t BgL_oz00_1072, obj_t BgL_vz00_1073)
	{
		{	/* BackEnd/backend.sch 81 */
			return
				BGl_backendzd2typedzd2funcallzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1072), CBOOL(BgL_vz00_1073));
		}

	}



/* backend-type-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typezd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_7)
	{
		{	/* BackEnd/backend.sch 82 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_7))->BgL_typezd2checkzd2);
		}

	}



/* &backend-type-check */
	obj_t BGl_z62backendzd2typezd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1074, obj_t BgL_oz00_1075)
	{
		{	/* BackEnd/backend.sch 82 */
			return
				BBOOL(BGl_backendzd2typezd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1075)));
		}

	}



/* backend-type-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_8, bool_t BgL_vz00_9)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_8))->BgL_typezd2checkzd2) =
				((bool_t) BgL_vz00_9), BUNSPEC);
		}

	}



/* &backend-type-check-set! */
	obj_t BGl_z62backendzd2typezd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1076, obj_t BgL_oz00_1077, obj_t BgL_vz00_1078)
	{
		{	/* BackEnd/backend.sch 83 */
			return
				BGl_backendzd2typezd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1077), CBOOL(BgL_vz00_1078));
		}

	}



/* backend-bound-check */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2boundzd2checkz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_10)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_10))->BgL_boundzd2checkzd2);
		}

	}



/* &backend-bound-check */
	obj_t BGl_z62backendzd2boundzd2checkz62zzbackend_backendz00(obj_t
		BgL_envz00_1079, obj_t BgL_oz00_1080)
	{
		{	/* BackEnd/backend.sch 84 */
			return
				BBOOL(BGl_backendzd2boundzd2checkz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1080)));
		}

	}



/* backend-bound-check-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_11, bool_t BgL_vz00_12)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_11))->BgL_boundzd2checkzd2) =
				((bool_t) BgL_vz00_12), BUNSPEC);
		}

	}



/* &backend-bound-check-set! */
	obj_t BGl_z62backendzd2boundzd2checkzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1081, obj_t BgL_oz00_1082, obj_t BgL_vz00_1083)
	{
		{	/* BackEnd/backend.sch 85 */
			return
				BGl_backendzd2boundzd2checkzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1082), CBOOL(BgL_vz00_1083));
		}

	}



/* backend-pregisters */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_13)
	{
		{	/* BackEnd/backend.sch 86 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_13))->BgL_pregistersz00);
		}

	}



/* &backend-pregisters */
	obj_t BGl_z62backendzd2pregisterszb0zzbackend_backendz00(obj_t
		BgL_envz00_1084, obj_t BgL_oz00_1085)
	{
		{	/* BackEnd/backend.sch 86 */
			return
				BGl_backendzd2pregisterszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1085));
		}

	}



/* backend-pregisters-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_14, obj_t BgL_vz00_15)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_14))->BgL_pregistersz00) =
				((obj_t) BgL_vz00_15), BUNSPEC);
		}

	}



/* &backend-pregisters-set! */
	obj_t BGl_z62backendzd2pregisterszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1086, obj_t BgL_oz00_1087, obj_t BgL_vz00_1088)
	{
		{	/* BackEnd/backend.sch 87 */
			return
				BGl_backendzd2pregisterszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1087), BgL_vz00_1088);
		}

	}



/* backend-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_16)
	{
		{	/* BackEnd/backend.sch 88 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_16))->BgL_registersz00);
		}

	}



/* &backend-registers */
	obj_t BGl_z62backendzd2registerszb0zzbackend_backendz00(obj_t BgL_envz00_1089,
		obj_t BgL_oz00_1090)
	{
		{	/* BackEnd/backend.sch 88 */
			return
				BGl_backendzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1090));
		}

	}



/* backend-registers-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_17))->BgL_registersz00) =
				((obj_t) BgL_vz00_18), BUNSPEC);
		}

	}



/* &backend-registers-set! */
	obj_t BGl_z62backendzd2registerszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1091, obj_t BgL_oz00_1092, obj_t BgL_vz00_1093)
	{
		{	/* BackEnd/backend.sch 89 */
			return
				BGl_backendzd2registerszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1092), BgL_vz00_1093);
		}

	}



/* backend-require-tailc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_19)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_19))->BgL_requirezd2tailczd2);
		}

	}



/* &backend-require-tailc */
	obj_t BGl_z62backendzd2requirezd2tailcz62zzbackend_backendz00(obj_t
		BgL_envz00_1094, obj_t BgL_oz00_1095)
	{
		{	/* BackEnd/backend.sch 90 */
			return
				BBOOL(BGl_backendzd2requirezd2tailcz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1095)));
		}

	}



/* backend-require-tailc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_20, bool_t BgL_vz00_21)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_20))->
					BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_21), BUNSPEC);
		}

	}



/* &backend-require-tailc-set! */
	obj_t BGl_z62backendzd2requirezd2tailczd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1096, obj_t BgL_oz00_1097, obj_t BgL_vz00_1098)
	{
		{	/* BackEnd/backend.sch 91 */
			return
				BGl_backendzd2requirezd2tailczd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1097), CBOOL(BgL_vz00_1098));
		}

	}



/* backend-tvector-descr-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_22)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_22))->
				BgL_tvectorzd2descrzd2supportz00);
		}

	}



/* &backend-tvector-descr-support */
	obj_t BGl_z62backendzd2tvectorzd2descrzd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1099, obj_t BgL_oz00_1100)
	{
		{	/* BackEnd/backend.sch 92 */
			return
				BBOOL(BGl_backendzd2tvectorzd2descrzd2supportzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1100)));
		}

	}



/* backend-tvector-descr-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_23, bool_t BgL_vz00_24)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_23))->
					BgL_tvectorzd2descrzd2supportz00) = ((bool_t) BgL_vz00_24), BUNSPEC);
		}

	}



/* &backend-tvector-descr-support-set! */
	obj_t
		BGl_z62backendzd2tvectorzd2descrzd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1101, obj_t BgL_oz00_1102, obj_t BgL_vz00_1103)
	{
		{	/* BackEnd/backend.sch 93 */
			return
				BGl_backendzd2tvectorzd2descrzd2supportzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1102), CBOOL(BgL_vz00_1103));
		}

	}



/* backend-pragma-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_25)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_25))->BgL_pragmazd2supportzd2);
		}

	}



/* &backend-pragma-support */
	obj_t BGl_z62backendzd2pragmazd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1104, obj_t BgL_oz00_1105)
	{
		{	/* BackEnd/backend.sch 94 */
			return
				BBOOL(BGl_backendzd2pragmazd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1105)));
		}

	}



/* backend-pragma-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_26, bool_t BgL_vz00_27)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_26))->
					BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_27), BUNSPEC);
		}

	}



/* &backend-pragma-support-set! */
	obj_t BGl_z62backendzd2pragmazd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1106, obj_t BgL_oz00_1107, obj_t BgL_vz00_1108)
	{
		{	/* BackEnd/backend.sch 95 */
			return
				BGl_backendzd2pragmazd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1107), CBOOL(BgL_vz00_1108));
		}

	}



/* backend-debug-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_28)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_28))->BgL_debugzd2supportzd2);
		}

	}



/* &backend-debug-support */
	obj_t BGl_z62backendzd2debugzd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1109, obj_t BgL_oz00_1110)
	{
		{	/* BackEnd/backend.sch 96 */
			return
				BGl_backendzd2debugzd2supportz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1110));
		}

	}



/* backend-debug-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_29))->
					BgL_debugzd2supportzd2) = ((obj_t) BgL_vz00_30), BUNSPEC);
		}

	}



/* &backend-debug-support-set! */
	obj_t BGl_z62backendzd2debugzd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1111, obj_t BgL_oz00_1112, obj_t BgL_vz00_1113)
	{
		{	/* BackEnd/backend.sch 97 */
			return
				BGl_backendzd2debugzd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1112), BgL_vz00_1113);
		}

	}



/* backend-foreign-clause-support */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_31)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_31))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &backend-foreign-clause-support */
	obj_t BGl_z62backendzd2foreignzd2clausezd2supportzb0zzbackend_backendz00(obj_t
		BgL_envz00_1114, obj_t BgL_oz00_1115)
	{
		{	/* BackEnd/backend.sch 98 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1115));
		}

	}



/* backend-foreign-clause-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_32, obj_t BgL_vz00_33)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_32))->
					BgL_foreignzd2clausezd2supportz00) = ((obj_t) BgL_vz00_33), BUNSPEC);
		}

	}



/* &backend-foreign-clause-support-set! */
	obj_t
		BGl_z62backendzd2foreignzd2clausezd2supportzd2setz12z70zzbackend_backendz00
		(obj_t BgL_envz00_1116, obj_t BgL_oz00_1117, obj_t BgL_vz00_1118)
	{
		{	/* BackEnd/backend.sch 99 */
			return
				BGl_backendzd2foreignzd2clausezd2supportzd2setz12z12zzbackend_backendz00
				(((BgL_backendz00_bglt) BgL_oz00_1117), BgL_vz00_1118);
		}

	}



/* backend-trace-support */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2tracezd2supportz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_34)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_34))->BgL_tracezd2supportzd2);
		}

	}



/* &backend-trace-support */
	obj_t BGl_z62backendzd2tracezd2supportz62zzbackend_backendz00(obj_t
		BgL_envz00_1119, obj_t BgL_oz00_1120)
	{
		{	/* BackEnd/backend.sch 100 */
			return
				BBOOL(BGl_backendzd2tracezd2supportz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1120)));
		}

	}



/* backend-trace-support-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_35, bool_t BgL_vz00_36)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_35))->
					BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_36), BUNSPEC);
		}

	}



/* &backend-trace-support-set! */
	obj_t BGl_z62backendzd2tracezd2supportzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1121, obj_t BgL_oz00_1122, obj_t BgL_vz00_1123)
	{
		{	/* BackEnd/backend.sch 101 */
			return
				BGl_backendzd2tracezd2supportzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1122), CBOOL(BgL_vz00_1123));
		}

	}



/* backend-typed-eq */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2eqz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_37)
	{
		{	/* BackEnd/backend.sch 102 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_37))->BgL_typedzd2eqzd2);
		}

	}



/* &backend-typed-eq */
	obj_t BGl_z62backendzd2typedzd2eqz62zzbackend_backendz00(obj_t
		BgL_envz00_1124, obj_t BgL_oz00_1125)
	{
		{	/* BackEnd/backend.sch 102 */
			return
				BBOOL(BGl_backendzd2typedzd2eqz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1125)));
		}

	}



/* backend-typed-eq-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_38, bool_t BgL_vz00_39)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_38))->BgL_typedzd2eqzd2) =
				((bool_t) BgL_vz00_39), BUNSPEC);
		}

	}



/* &backend-typed-eq-set! */
	obj_t BGl_z62backendzd2typedzd2eqzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1126, obj_t BgL_oz00_1127, obj_t BgL_vz00_1128)
	{
		{	/* BackEnd/backend.sch 103 */
			return
				BGl_backendzd2typedzd2eqzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1127), CBOOL(BgL_vz00_1128));
		}

	}



/* backend-foreign-closure */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_40)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_40))->
				BgL_foreignzd2closurezd2);
		}

	}



/* &backend-foreign-closure */
	obj_t BGl_z62backendzd2foreignzd2closurez62zzbackend_backendz00(obj_t
		BgL_envz00_1129, obj_t BgL_oz00_1130)
	{
		{	/* BackEnd/backend.sch 104 */
			return
				BBOOL(BGl_backendzd2foreignzd2closurez00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1130)));
		}

	}



/* backend-foreign-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_41, bool_t BgL_vz00_42)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_41))->
					BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_42), BUNSPEC);
		}

	}



/* &backend-foreign-closure-set! */
	obj_t BGl_z62backendzd2foreignzd2closurezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1131, obj_t BgL_oz00_1132, obj_t BgL_vz00_1133)
	{
		{	/* BackEnd/backend.sch 105 */
			return
				BGl_backendzd2foreignzd2closurezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1132), CBOOL(BgL_vz00_1133));
		}

	}



/* backend-remove-empty-let */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_43)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_43))->
				BgL_removezd2emptyzd2letz00);
		}

	}



/* &backend-remove-empty-let */
	obj_t BGl_z62backendzd2removezd2emptyzd2letzb0zzbackend_backendz00(obj_t
		BgL_envz00_1134, obj_t BgL_oz00_1135)
	{
		{	/* BackEnd/backend.sch 106 */
			return
				BBOOL(BGl_backendzd2removezd2emptyzd2letzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1135)));
		}

	}



/* backend-remove-empty-let-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_44, bool_t BgL_vz00_45)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_44))->
					BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &backend-remove-empty-let-set! */
	obj_t
		BGl_z62backendzd2removezd2emptyzd2letzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1136, obj_t BgL_oz00_1137, obj_t BgL_vz00_1138)
	{
		{	/* BackEnd/backend.sch 107 */
			return
				BGl_backendzd2removezd2emptyzd2letzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1137), CBOOL(BgL_vz00_1138));
		}

	}



/* backend-effect+ */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2effectzb2z60zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_46)
	{
		{	/* BackEnd/backend.sch 108 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_46))->BgL_effectzb2zb2);
		}

	}



/* &backend-effect+ */
	obj_t BGl_z62backendzd2effectzb2z02zzbackend_backendz00(obj_t BgL_envz00_1139,
		obj_t BgL_oz00_1140)
	{
		{	/* BackEnd/backend.sch 108 */
			return
				BBOOL(BGl_backendzd2effectzb2z60zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1140)));
		}

	}



/* backend-effect+-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_47, bool_t BgL_vz00_48)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_47))->BgL_effectzb2zb2) =
				((bool_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &backend-effect+-set! */
	obj_t BGl_z62backendzd2effectzb2zd2setz12zc2zzbackend_backendz00(obj_t
		BgL_envz00_1141, obj_t BgL_oz00_1142, obj_t BgL_vz00_1143)
	{
		{	/* BackEnd/backend.sch 109 */
			return
				BGl_backendzd2effectzb2zd2setz12za0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1142), CBOOL(BgL_vz00_1143));
		}

	}



/* backend-qualified-types */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_49)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_49))->
				BgL_qualifiedzd2typeszd2);
		}

	}



/* &backend-qualified-types */
	obj_t BGl_z62backendzd2qualifiedzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1144, obj_t BgL_oz00_1145)
	{
		{	/* BackEnd/backend.sch 110 */
			return
				BBOOL(BGl_backendzd2qualifiedzd2typesz00zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1145)));
		}

	}



/* backend-qualified-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_50, bool_t BgL_vz00_51)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_50))->
					BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_51), BUNSPEC);
		}

	}



/* &backend-qualified-types-set! */
	obj_t BGl_z62backendzd2qualifiedzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1146, obj_t BgL_oz00_1147, obj_t BgL_vz00_1148)
	{
		{	/* BackEnd/backend.sch 111 */
			return
				BGl_backendzd2qualifiedzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1147), CBOOL(BgL_vz00_1148));
		}

	}



/* backend-callcc */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2callcczd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_52)
	{
		{	/* BackEnd/backend.sch 112 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_52))->BgL_callccz00);
		}

	}



/* &backend-callcc */
	obj_t BGl_z62backendzd2callcczb0zzbackend_backendz00(obj_t BgL_envz00_1149,
		obj_t BgL_oz00_1150)
	{
		{	/* BackEnd/backend.sch 112 */
			return
				BBOOL(BGl_backendzd2callcczd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1150)));
		}

	}



/* backend-callcc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_53, bool_t BgL_vz00_54)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_53))->BgL_callccz00) =
				((bool_t) BgL_vz00_54), BUNSPEC);
		}

	}



/* &backend-callcc-set! */
	obj_t BGl_z62backendzd2callcczd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1151, obj_t BgL_oz00_1152, obj_t BgL_vz00_1153)
	{
		{	/* BackEnd/backend.sch 113 */
			return
				BGl_backendzd2callcczd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1152), CBOOL(BgL_vz00_1153));
		}

	}



/* backend-heap-compatible */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_55)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_55))->
				BgL_heapzd2compatiblezd2);
		}

	}



/* &backend-heap-compatible */
	obj_t BGl_z62backendzd2heapzd2compatiblez62zzbackend_backendz00(obj_t
		BgL_envz00_1154, obj_t BgL_oz00_1155)
	{
		{	/* BackEnd/backend.sch 114 */
			return
				BGl_backendzd2heapzd2compatiblez00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1155));
		}

	}



/* backend-heap-compatible-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_56, obj_t BgL_vz00_57)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_56))->
					BgL_heapzd2compatiblezd2) = ((obj_t) BgL_vz00_57), BUNSPEC);
		}

	}



/* &backend-heap-compatible-set! */
	obj_t BGl_z62backendzd2heapzd2compatiblezd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1156, obj_t BgL_oz00_1157, obj_t BgL_vz00_1158)
	{
		{	/* BackEnd/backend.sch 115 */
			return
				BGl_backendzd2heapzd2compatiblezd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1157), BgL_vz00_1158);
		}

	}



/* backend-heap-suffix */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_58)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_58))->BgL_heapzd2suffixzd2);
		}

	}



/* &backend-heap-suffix */
	obj_t BGl_z62backendzd2heapzd2suffixz62zzbackend_backendz00(obj_t
		BgL_envz00_1159, obj_t BgL_oz00_1160)
	{
		{	/* BackEnd/backend.sch 116 */
			return
				BGl_backendzd2heapzd2suffixz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1160));
		}

	}



/* backend-heap-suffix-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_59))->BgL_heapzd2suffixzd2) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &backend-heap-suffix-set! */
	obj_t BGl_z62backendzd2heapzd2suffixzd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1161, obj_t BgL_oz00_1162, obj_t BgL_vz00_1163)
	{
		{	/* BackEnd/backend.sch 117 */
			return
				BGl_backendzd2heapzd2suffixzd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1162), BgL_vz00_1163);
		}

	}



/* backend-typed */
	BGL_EXPORTED_DEF bool_t
		BGl_backendzd2typedzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_61)
	{
		{	/* BackEnd/backend.sch 118 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_61))->BgL_typedz00);
		}

	}



/* &backend-typed */
	obj_t BGl_z62backendzd2typedzb0zzbackend_backendz00(obj_t BgL_envz00_1164,
		obj_t BgL_oz00_1165)
	{
		{	/* BackEnd/backend.sch 118 */
			return
				BBOOL(BGl_backendzd2typedzd2zzbackend_backendz00(
					((BgL_backendz00_bglt) BgL_oz00_1165)));
		}

	}



/* backend-typed-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_62, bool_t BgL_vz00_63)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_62))->BgL_typedz00) =
				((bool_t) BgL_vz00_63), BUNSPEC);
		}

	}



/* &backend-typed-set! */
	obj_t BGl_z62backendzd2typedzd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1166, obj_t BgL_oz00_1167, obj_t BgL_vz00_1168)
	{
		{	/* BackEnd/backend.sch 119 */
			return
				BGl_backendzd2typedzd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1167), CBOOL(BgL_vz00_1168));
		}

	}



/* backend-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_64)
	{
		{	/* BackEnd/backend.sch 120 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_64))->BgL_typesz00);
		}

	}



/* &backend-types */
	obj_t BGl_z62backendzd2typeszb0zzbackend_backendz00(obj_t BgL_envz00_1169,
		obj_t BgL_oz00_1170)
	{
		{	/* BackEnd/backend.sch 120 */
			return
				BGl_backendzd2typeszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1170));
		}

	}



/* backend-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_65, obj_t BgL_vz00_66)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_65))->BgL_typesz00) =
				((obj_t) BgL_vz00_66), BUNSPEC);
		}

	}



/* &backend-types-set! */
	obj_t BGl_z62backendzd2typeszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1171, obj_t BgL_oz00_1172, obj_t BgL_vz00_1173)
	{
		{	/* BackEnd/backend.sch 121 */
			return
				BGl_backendzd2typeszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1172), BgL_vz00_1173);
		}

	}



/* backend-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_67)
	{
		{	/* BackEnd/backend.sch 122 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_67))->BgL_functionsz00);
		}

	}



/* &backend-functions */
	obj_t BGl_z62backendzd2functionszb0zzbackend_backendz00(obj_t BgL_envz00_1174,
		obj_t BgL_oz00_1175)
	{
		{	/* BackEnd/backend.sch 122 */
			return
				BGl_backendzd2functionszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1175));
		}

	}



/* backend-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_68, obj_t BgL_vz00_69)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_68))->BgL_functionsz00) =
				((obj_t) BgL_vz00_69), BUNSPEC);
		}

	}



/* &backend-functions-set! */
	obj_t BGl_z62backendzd2functionszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1176, obj_t BgL_oz00_1177, obj_t BgL_vz00_1178)
	{
		{	/* BackEnd/backend.sch 123 */
			return
				BGl_backendzd2functionszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1177), BgL_vz00_1178);
		}

	}



/* backend-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_70)
	{
		{	/* BackEnd/backend.sch 124 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_70))->BgL_variablesz00);
		}

	}



/* &backend-variables */
	obj_t BGl_z62backendzd2variableszb0zzbackend_backendz00(obj_t BgL_envz00_1179,
		obj_t BgL_oz00_1180)
	{
		{	/* BackEnd/backend.sch 124 */
			return
				BGl_backendzd2variableszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1180));
		}

	}



/* backend-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_71, obj_t BgL_vz00_72)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_71))->BgL_variablesz00) =
				((obj_t) BgL_vz00_72), BUNSPEC);
		}

	}



/* &backend-variables-set! */
	obj_t BGl_z62backendzd2variableszd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1181, obj_t BgL_oz00_1182, obj_t BgL_vz00_1183)
	{
		{	/* BackEnd/backend.sch 125 */
			return
				BGl_backendzd2variableszd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1182), BgL_vz00_1183);
		}

	}



/* backend-extern-types */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_73)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_73))->BgL_externzd2typeszd2);
		}

	}



/* &backend-extern-types */
	obj_t BGl_z62backendzd2externzd2typesz62zzbackend_backendz00(obj_t
		BgL_envz00_1184, obj_t BgL_oz00_1185)
	{
		{	/* BackEnd/backend.sch 126 */
			return
				BGl_backendzd2externzd2typesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1185));
		}

	}



/* backend-extern-types-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_74, obj_t BgL_vz00_75)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_74))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_75), BUNSPEC);
		}

	}



/* &backend-extern-types-set! */
	obj_t BGl_z62backendzd2externzd2typeszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1186, obj_t BgL_oz00_1187, obj_t BgL_vz00_1188)
	{
		{	/* BackEnd/backend.sch 127 */
			return
				BGl_backendzd2externzd2typeszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1187), BgL_vz00_1188);
		}

	}



/* backend-extern-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_76)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_76))->
				BgL_externzd2functionszd2);
		}

	}



/* &backend-extern-functions */
	obj_t BGl_z62backendzd2externzd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1189, obj_t BgL_oz00_1190)
	{
		{	/* BackEnd/backend.sch 128 */
			return
				BGl_backendzd2externzd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1190));
		}

	}



/* backend-extern-functions-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_77, obj_t BgL_vz00_78)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_77))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_78), BUNSPEC);
		}

	}



/* &backend-extern-functions-set! */
	obj_t
		BGl_z62backendzd2externzd2functionszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1191, obj_t BgL_oz00_1192, obj_t BgL_vz00_1193)
	{
		{	/* BackEnd/backend.sch 129 */
			return
				BGl_backendzd2externzd2functionszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1192), BgL_vz00_1193);
		}

	}



/* backend-extern-variables */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variablesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_79)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				(((BgL_backendz00_bglt) COBJECT(BgL_oz00_79))->
				BgL_externzd2variableszd2);
		}

	}



/* &backend-extern-variables */
	obj_t BGl_z62backendzd2externzd2variablesz62zzbackend_backendz00(obj_t
		BgL_envz00_1194, obj_t BgL_oz00_1195)
	{
		{	/* BackEnd/backend.sch 130 */
			return
				BGl_backendzd2externzd2variablesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1195));
		}

	}



/* backend-extern-variables-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00
		(BgL_backendz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_80))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_81), BUNSPEC);
		}

	}



/* &backend-extern-variables-set! */
	obj_t
		BGl_z62backendzd2externzd2variableszd2setz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1196, obj_t BgL_oz00_1197, obj_t BgL_vz00_1198)
	{
		{	/* BackEnd/backend.sch 131 */
			return
				BGl_backendzd2externzd2variableszd2setz12zc0zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1197), BgL_vz00_1198);
		}

	}



/* backend-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_82)
	{
		{	/* BackEnd/backend.sch 132 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_82))->BgL_namez00);
		}

	}



/* &backend-name */
	obj_t BGl_z62backendzd2namezb0zzbackend_backendz00(obj_t BgL_envz00_1199,
		obj_t BgL_oz00_1200)
	{
		{	/* BackEnd/backend.sch 132 */
			return
				BGl_backendzd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1200));
		}

	}



/* backend-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2namezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_83))->BgL_namez00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}

	}



/* &backend-name-set! */
	obj_t BGl_z62backendzd2namezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1201, obj_t BgL_oz00_1202, obj_t BgL_vz00_1203)
	{
		{	/* BackEnd/backend.sch 133 */
			return
				BGl_backendzd2namezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1202), BgL_vz00_1203);
		}

	}



/* backend-srfi0 */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2zzbackend_backendz00(BgL_backendz00_bglt BgL_oz00_85)
	{
		{	/* BackEnd/backend.sch 134 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_85))->BgL_srfi0z00);
		}

	}



/* &backend-srfi0 */
	obj_t BGl_z62backendzd2srfi0zb0zzbackend_backendz00(obj_t BgL_envz00_1204,
		obj_t BgL_oz00_1205)
	{
		{	/* BackEnd/backend.sch 134 */
			return
				BGl_backendzd2srfi0zd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1205));
		}

	}



/* backend-srfi0-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_86))->BgL_srfi0z00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}

	}



/* &backend-srfi0-set! */
	obj_t BGl_z62backendzd2srfi0zd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1206, obj_t BgL_oz00_1207, obj_t BgL_vz00_1208)
	{
		{	/* BackEnd/backend.sch 135 */
			return
				BGl_backendzd2srfi0zd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1207), BgL_vz00_1208);
		}

	}



/* backend-language */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_88)
	{
		{	/* BackEnd/backend.sch 136 */
			return (((BgL_backendz00_bglt) COBJECT(BgL_oz00_88))->BgL_languagez00);
		}

	}



/* &backend-language */
	obj_t BGl_z62backendzd2languagezb0zzbackend_backendz00(obj_t BgL_envz00_1209,
		obj_t BgL_oz00_1210)
	{
		{	/* BackEnd/backend.sch 136 */
			return
				BGl_backendzd2languagezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1210));
		}

	}



/* backend-language-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(BgL_backendz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				((((BgL_backendz00_bglt) COBJECT(BgL_oz00_89))->BgL_languagez00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}

	}



/* &backend-language-set! */
	obj_t BGl_z62backendzd2languagezd2setz12z70zzbackend_backendz00(obj_t
		BgL_envz00_1211, obj_t BgL_oz00_1212, obj_t BgL_vz00_1213)
	{
		{	/* BackEnd/backend.sch 137 */
			return
				BGl_backendzd2languagezd2setz12z12zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_oz00_1212), BgL_vz00_1213);
		}

	}



/* set-backend! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_languagez00_91)
	{
		{	/* BackEnd/backend.scm 76 */
			{	/* BackEnd/backend.scm 77 */
				obj_t BgL_cz00_176;

				BgL_cz00_176 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_languagez00_91,
					BGl_za2backendsza2z00zzbackend_backendz00);
				if (PAIRP(BgL_cz00_176))
					{	/* BackEnd/backend.scm 80 */
						obj_t BgL_fun1142z00_178;

						BgL_fun1142z00_178 = CDR(BgL_cz00_176);
						return (BGl_za2thezd2backendza2zd2zzbackend_backendz00 =
							(VA_PROCEDUREP(BgL_fun1142z00_178) ? ((obj_t(*)(obj_t,
											...))
									PROCEDURE_ENTRY(BgL_fun1142z00_178)) (BgL_fun1142z00_178,
									BEOA) : ((obj_t(*)(obj_t))
									PROCEDURE_ENTRY(BgL_fun1142z00_178)) (BgL_fun1142z00_178)),
							BUNSPEC);
					}
				else
					{	/* BackEnd/backend.scm 78 */
						return
							BGl_errorz00zz__errorz00(BGl_string1736z00zzbackend_backendz00,
							BGl_string1737z00zzbackend_backendz00, BgL_languagez00_91);
					}
			}
		}

	}



/* &set-backend! */
	obj_t BGl_z62setzd2backendz12za2zzbackend_backendz00(obj_t BgL_envz00_1214,
		obj_t BgL_languagez00_1215)
	{
		{	/* BackEnd/backend.scm 76 */
			return BGl_setzd2backendz12zc0zzbackend_backendz00(BgL_languagez00_1215);
		}

	}



/* the-backend */
	BGL_EXPORTED_DEF obj_t BGl_thezd2backendzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_za2thezd2backendza2zd2zzbackend_backendz00;
		}

	}



/* &the-backend */
	obj_t BGl_z62thezd2backendzb0zzbackend_backendz00(obj_t BgL_envz00_1216)
	{
		{	/* BackEnd/backend.scm 85 */
			return BGl_thezd2backendzd2zzbackend_backendz00();
		}

	}



/* register-backend! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2backendz12zc0zzbackend_backendz00(obj_t
		BgL_idz00_92, obj_t BgL_builderz00_93)
	{
		{	/* BackEnd/backend.scm 96 */
			{	/* BackEnd/backend.scm 97 */
				obj_t BgL_arg1143z00_723;

				BgL_arg1143z00_723 = MAKE_YOUNG_PAIR(BgL_idz00_92, BgL_builderz00_93);
				return (BGl_za2backendsza2z00zzbackend_backendz00 =
					MAKE_YOUNG_PAIR(BgL_arg1143z00_723,
						BGl_za2backendsza2z00zzbackend_backendz00), BUNSPEC);
			}
		}

	}



/* &register-backend! */
	obj_t BGl_z62registerzd2backendz12za2zzbackend_backendz00(obj_t
		BgL_envz00_1217, obj_t BgL_idz00_1218, obj_t BgL_builderz00_1219)
	{
		{	/* BackEnd/backend.scm 96 */
			return
				BGl_registerzd2backendz12zc0zzbackend_backendz00(BgL_idz00_1218,
				BgL_builderz00_1219);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			{	/* BackEnd/backend.scm 21 */
				obj_t BgL_arg1146z00_182;
				obj_t BgL_arg1148z00_183;

				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1113z00_189;

					BgL_v1113z00_189 = create_vector(29L);
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1154z00_190;

						BgL_arg1154z00_190 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(0L),
							BGl_proc1740z00zzbackend_backendz00,
							BGl_proc1739z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1738z00zzbackend_backendz00, CNST_TABLE_REF(1L));
						VECTOR_SET(BgL_v1113z00_189, 0L, BgL_arg1154z00_190);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1161z00_203;

						BgL_arg1161z00_203 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(2L),
							BGl_proc1743z00zzbackend_backendz00,
							BGl_proc1742z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1741z00zzbackend_backendz00, CNST_TABLE_REF(1L));
						VECTOR_SET(BgL_v1113z00_189, 1L, BgL_arg1161z00_203);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1191z00_216;

						BgL_arg1191z00_216 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(3L),
							BGl_proc1746z00zzbackend_backendz00,
							BGl_proc1745z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1744z00zzbackend_backendz00, CNST_TABLE_REF(4L));
						VECTOR_SET(BgL_v1113z00_189, 2L, BgL_arg1191z00_216);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1201z00_229;

						BgL_arg1201z00_229 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(5L),
							BGl_proc1749z00zzbackend_backendz00,
							BGl_proc1748z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1747z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 3L, BgL_arg1201z00_229);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1211z00_242;

						BgL_arg1211z00_242 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(7L),
							BGl_proc1752z00zzbackend_backendz00,
							BGl_proc1751z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1750z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 4L, BgL_arg1211z00_242);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1221z00_255;

						BgL_arg1221z00_255 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(8L),
							BGl_proc1755z00zzbackend_backendz00,
							BGl_proc1754z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1753z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 5L, BgL_arg1221z00_255);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1228z00_268;

						BgL_arg1228z00_268 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(9L),
							BGl_proc1758z00zzbackend_backendz00,
							BGl_proc1757z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1756z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 6L, BgL_arg1228z00_268);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1240z00_281;

						BgL_arg1240z00_281 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(10L),
							BGl_proc1761z00zzbackend_backendz00,
							BGl_proc1760z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1759z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 7L, BgL_arg1240z00_281);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1248z00_294;

						BgL_arg1248z00_294 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(11L),
							BGl_proc1764z00zzbackend_backendz00,
							BGl_proc1763z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1762z00zzbackend_backendz00, CNST_TABLE_REF(6L));
						VECTOR_SET(BgL_v1113z00_189, 8L, BgL_arg1248z00_294);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1256z00_307;

						BgL_arg1256z00_307 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(12L),
							BGl_proc1767z00zzbackend_backendz00,
							BGl_proc1766z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1765z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 9L, BgL_arg1256z00_307);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1265z00_320;

						BgL_arg1265z00_320 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(14L),
							BGl_proc1770z00zzbackend_backendz00,
							BGl_proc1769z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1768z00zzbackend_backendz00, CNST_TABLE_REF(4L));
						VECTOR_SET(BgL_v1113z00_189, 10L, BgL_arg1265z00_320);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1281z00_333;

						BgL_arg1281z00_333 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(15L),
							BGl_proc1773z00zzbackend_backendz00,
							BGl_proc1772z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1771z00zzbackend_backendz00, CNST_TABLE_REF(1L));
						VECTOR_SET(BgL_v1113z00_189, 11L, BgL_arg1281z00_333);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1289z00_346;

						BgL_arg1289z00_346 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(16L),
							BGl_proc1776z00zzbackend_backendz00,
							BGl_proc1775z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1774z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 12L, BgL_arg1289z00_346);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1322z00_359;

						BgL_arg1322z00_359 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(17L),
							BGl_proc1779z00zzbackend_backendz00,
							BGl_proc1778z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1777z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 13L, BgL_arg1322z00_359);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1330z00_372;

						BgL_arg1330z00_372 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(18L),
							BGl_proc1782z00zzbackend_backendz00,
							BGl_proc1781z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1780z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 14L, BgL_arg1330z00_372);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1341z00_385;

						BgL_arg1341z00_385 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(19L),
							BGl_proc1785z00zzbackend_backendz00,
							BGl_proc1784z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1783z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 15L, BgL_arg1341z00_385);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1352z00_398;

						BgL_arg1352z00_398 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(20L),
							BGl_proc1788z00zzbackend_backendz00,
							BGl_proc1787z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1786z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 16L, BgL_arg1352z00_398);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1369z00_411;

						BgL_arg1369z00_411 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(21L),
							BGl_proc1791z00zzbackend_backendz00,
							BGl_proc1790z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1789z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 17L, BgL_arg1369z00_411);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1379z00_424;

						BgL_arg1379z00_424 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(22L),
							BGl_proc1794z00zzbackend_backendz00,
							BGl_proc1793z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1792z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 18L, BgL_arg1379z00_424);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1420z00_437;

						BgL_arg1420z00_437 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(23L),
							BGl_proc1797z00zzbackend_backendz00,
							BGl_proc1796z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1795z00zzbackend_backendz00, CNST_TABLE_REF(24L));
						VECTOR_SET(BgL_v1113z00_189, 19L, BgL_arg1420z00_437);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1450z00_450;

						BgL_arg1450z00_450 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(25L),
							BGl_proc1800z00zzbackend_backendz00,
							BGl_proc1799z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1798z00zzbackend_backendz00, CNST_TABLE_REF(24L));
						VECTOR_SET(BgL_v1113z00_189, 20L, BgL_arg1450z00_450);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1479z00_463;

						BgL_arg1479z00_463 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(26L),
							BGl_proc1803z00zzbackend_backendz00,
							BGl_proc1802z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1801z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 21L, BgL_arg1479z00_463);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1519z00_476;

						BgL_arg1519z00_476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(27L),
							BGl_proc1806z00zzbackend_backendz00,
							BGl_proc1805z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1804z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 22L, BgL_arg1519z00_476);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1541z00_489;

						BgL_arg1541z00_489 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(28L),
							BGl_proc1809z00zzbackend_backendz00,
							BGl_proc1808z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1807z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 23L, BgL_arg1541z00_489);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1554z00_502;

						BgL_arg1554z00_502 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(29L),
							BGl_proc1812z00zzbackend_backendz00,
							BGl_proc1811z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1810z00zzbackend_backendz00, CNST_TABLE_REF(24L));
						VECTOR_SET(BgL_v1113z00_189, 24L, BgL_arg1554z00_502);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1575z00_515;

						BgL_arg1575z00_515 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(30L),
							BGl_proc1815z00zzbackend_backendz00,
							BGl_proc1814z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1813z00zzbackend_backendz00, CNST_TABLE_REF(24L));
						VECTOR_SET(BgL_v1113z00_189, 25L, BgL_arg1575z00_515);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1586z00_528;

						BgL_arg1586z00_528 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(31L),
							BGl_proc1818z00zzbackend_backendz00,
							BGl_proc1817z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1816z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 26L, BgL_arg1586z00_528);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1606z00_541;

						BgL_arg1606z00_541 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(32L),
							BGl_proc1821z00zzbackend_backendz00,
							BGl_proc1820z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1819z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 27L, BgL_arg1606z00_541);
					}
					{	/* BackEnd/backend.scm 21 */
						obj_t BgL_arg1620z00_554;

						BgL_arg1620z00_554 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(33L),
							BGl_proc1824z00zzbackend_backendz00,
							BGl_proc1823z00zzbackend_backendz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc1822z00zzbackend_backendz00, CNST_TABLE_REF(13L));
						VECTOR_SET(BgL_v1113z00_189, 28L, BgL_arg1620z00_554);
					}
					BgL_arg1146z00_182 = BgL_v1113z00_189;
				}
				{	/* BackEnd/backend.scm 21 */
					obj_t BgL_v1114z00_567;

					BgL_v1114z00_567 = create_vector(0L);
					BgL_arg1148z00_183 = BgL_v1114z00_567;
				}
				return (BGl_backendz00zzbackend_backendz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(34L),
						CNST_TABLE_REF(35L), BGl_objectz00zz__objectz00, 39939L, BFALSE,
						BGl_proc1826z00zzbackend_backendz00,
						BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
						BGl_proc1825z00zzbackend_backendz00, BFALSE, BgL_arg1146z00_182,
						BgL_arg1148z00_183), BUNSPEC);
			}
		}

	}



/* &<@anonymous:1153> */
	obj_t BGl_z62zc3z04anonymousza31153ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1309, obj_t BgL_new1049z00_1310)
	{
		{	/* BackEnd/backend.scm 21 */
			{
				BgL_backendz00_bglt BgL_auxz00_2074;

				((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_new1049z00_1310)))->
						BgL_languagez00) = ((obj_t) CNST_TABLE_REF(36L)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_srfi0z00) =
					((obj_t) CNST_TABLE_REF(36L)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_namez00) =
					((obj_t) BGl_string1827z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2variableszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2functionszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_externzd2typeszd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_variablesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_functionsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_heapzd2suffixzd2) =
					((obj_t) BGl_string1827z00zzbackend_backendz00), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_heapzd2compatiblezd2) =
					((obj_t) CNST_TABLE_REF(36L)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_callccz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_qualifiedzd2typeszd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_effectzb2zb2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_removezd2emptyzd2letz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_foreignzd2closurezd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedzd2eqzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_tracezd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_foreignzd2clausezd2supportz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_debugzd2supportzd2) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_pragmazd2supportzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_requirezd2tailczd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_registersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_pregistersz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_boundzd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typezd2checkzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_backendz00_bglt) COBJECT(((BgL_backendz00_bglt)
									BgL_new1049z00_1310)))->BgL_typedzd2funcallzd2) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				BgL_auxz00_2074 = ((BgL_backendz00_bglt) BgL_new1049z00_1310);
				return ((obj_t) BgL_auxz00_2074);
			}
		}

	}



/* &lambda1149 */
	BgL_backendz00_bglt BGl_z62lambda1149z62zzbackend_backendz00(obj_t
		BgL_envz00_1311)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				BgL_backendz00_bglt BgL_new1048z00_1572;

				BgL_new1048z00_1572 =
					((BgL_backendz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_backendz00_bgl))));
				{	/* BackEnd/backend.scm 21 */
					long BgL_arg1152z00_1573;

					BgL_arg1152z00_1573 =
						BGL_CLASS_NUM(BGl_backendz00zzbackend_backendz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1048z00_1572), BgL_arg1152z00_1573);
				}
				return BgL_new1048z00_1572;
			}
		}

	}



/* &<@anonymous:1632> */
	obj_t BGl_z62zc3z04anonymousza31632ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1312)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1631 */
	obj_t BGl_z62lambda1631z62zzbackend_backendz00(obj_t BgL_envz00_1313,
		obj_t BgL_oz00_1314, obj_t BgL_vz00_1315)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1575;

				BgL_vz00_1575 = CBOOL(BgL_vz00_1315);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1314)))->
						BgL_typedzd2funcallzd2) = ((bool_t) BgL_vz00_1575), BUNSPEC);
			}
		}

	}



/* &lambda1630 */
	obj_t BGl_z62lambda1630z62zzbackend_backendz00(obj_t BgL_envz00_1316,
		obj_t BgL_oz00_1317)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1317)))->BgL_typedzd2funcallzd2));
		}

	}



/* &<@anonymous:1616> */
	obj_t BGl_z62zc3z04anonymousza31616ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1318)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1615 */
	obj_t BGl_z62lambda1615z62zzbackend_backendz00(obj_t BgL_envz00_1319,
		obj_t BgL_oz00_1320, obj_t BgL_vz00_1321)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1578;

				BgL_vz00_1578 = CBOOL(BgL_vz00_1321);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1320)))->BgL_typezd2checkzd2) =
					((bool_t) BgL_vz00_1578), BUNSPEC);
			}
		}

	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zzbackend_backendz00(obj_t BgL_envz00_1322,
		obj_t BgL_oz00_1323)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1323)))->BgL_typezd2checkzd2));
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1324)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1597 */
	obj_t BGl_z62lambda1597z62zzbackend_backendz00(obj_t BgL_envz00_1325,
		obj_t BgL_oz00_1326, obj_t BgL_vz00_1327)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1581;

				BgL_vz00_1581 = CBOOL(BgL_vz00_1327);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1326)))->BgL_boundzd2checkzd2) =
					((bool_t) BgL_vz00_1581), BUNSPEC);
			}
		}

	}



/* &lambda1596 */
	obj_t BGl_z62lambda1596z62zzbackend_backendz00(obj_t BgL_envz00_1328,
		obj_t BgL_oz00_1329)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1329)))->BgL_boundzd2checkzd2));
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1330)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1581 */
	obj_t BGl_z62lambda1581z62zzbackend_backendz00(obj_t BgL_envz00_1331,
		obj_t BgL_oz00_1332, obj_t BgL_vz00_1333)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1332)))->BgL_pregistersz00) =
				((obj_t) ((obj_t) BgL_vz00_1333)), BUNSPEC);
		}

	}



/* &lambda1580 */
	obj_t BGl_z62lambda1580z62zzbackend_backendz00(obj_t BgL_envz00_1334,
		obj_t BgL_oz00_1335)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1335)))->BgL_pregistersz00);
		}

	}



/* &<@anonymous:1566> */
	obj_t BGl_z62zc3z04anonymousza31566ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1336)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1565 */
	obj_t BGl_z62lambda1565z62zzbackend_backendz00(obj_t BgL_envz00_1337,
		obj_t BgL_oz00_1338, obj_t BgL_vz00_1339)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1338)))->BgL_registersz00) =
				((obj_t) ((obj_t) BgL_vz00_1339)), BUNSPEC);
		}

	}



/* &lambda1564 */
	obj_t BGl_z62lambda1564z62zzbackend_backendz00(obj_t BgL_envz00_1340,
		obj_t BgL_oz00_1341)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1341)))->BgL_registersz00);
		}

	}



/* &<@anonymous:1550> */
	obj_t BGl_z62zc3z04anonymousza31550ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1342)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1549 */
	obj_t BGl_z62lambda1549z62zzbackend_backendz00(obj_t BgL_envz00_1343,
		obj_t BgL_oz00_1344, obj_t BgL_vz00_1345)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1590;

				BgL_vz00_1590 = CBOOL(BgL_vz00_1345);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1344)))->
						BgL_requirezd2tailczd2) = ((bool_t) BgL_vz00_1590), BUNSPEC);
			}
		}

	}



/* &lambda1548 */
	obj_t BGl_z62lambda1548z62zzbackend_backendz00(obj_t BgL_envz00_1346,
		obj_t BgL_oz00_1347)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1347)))->BgL_requirezd2tailczd2));
		}

	}



/* &<@anonymous:1537> */
	obj_t BGl_z62zc3z04anonymousza31537ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1348)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zzbackend_backendz00(obj_t BgL_envz00_1349,
		obj_t BgL_oz00_1350, obj_t BgL_vz00_1351)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1593;

				BgL_vz00_1593 = CBOOL(BgL_vz00_1351);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1350)))->
						BgL_tvectorzd2descrzd2supportz00) =
					((bool_t) BgL_vz00_1593), BUNSPEC);
			}
		}

	}



/* &lambda1535 */
	obj_t BGl_z62lambda1535z62zzbackend_backendz00(obj_t BgL_envz00_1352,
		obj_t BgL_oz00_1353)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1353)))->
					BgL_tvectorzd2descrzd2supportz00));
		}

	}



/* &<@anonymous:1497> */
	obj_t BGl_z62zc3z04anonymousza31497ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1354)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1496 */
	obj_t BGl_z62lambda1496z62zzbackend_backendz00(obj_t BgL_envz00_1355,
		obj_t BgL_oz00_1356, obj_t BgL_vz00_1357)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1596;

				BgL_vz00_1596 = CBOOL(BgL_vz00_1357);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1356)))->
						BgL_pragmazd2supportzd2) = ((bool_t) BgL_vz00_1596), BUNSPEC);
			}
		}

	}



/* &lambda1495 */
	obj_t BGl_z62lambda1495z62zzbackend_backendz00(obj_t BgL_envz00_1358,
		obj_t BgL_oz00_1359)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1359)))->
					BgL_pragmazd2supportzd2));
		}

	}



/* &<@anonymous:1456> */
	obj_t BGl_z62zc3z04anonymousza31456ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1360)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(37L);
		}

	}



/* &lambda1455 */
	obj_t BGl_z62lambda1455z62zzbackend_backendz00(obj_t BgL_envz00_1361,
		obj_t BgL_oz00_1362, obj_t BgL_vz00_1363)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1362)))->BgL_debugzd2supportzd2) =
				((obj_t) ((obj_t) BgL_vz00_1363)), BUNSPEC);
		}

	}



/* &lambda1454 */
	obj_t BGl_z62lambda1454z62zzbackend_backendz00(obj_t BgL_envz00_1364,
		obj_t BgL_oz00_1365)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1365)))->BgL_debugzd2supportzd2);
		}

	}



/* &<@anonymous:1440> */
	obj_t BGl_z62zc3z04anonymousza31440ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1366)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(38L);
		}

	}



/* &lambda1439 */
	obj_t BGl_z62lambda1439z62zzbackend_backendz00(obj_t BgL_envz00_1367,
		obj_t BgL_oz00_1368, obj_t BgL_vz00_1369)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1368)))->
					BgL_foreignzd2clausezd2supportz00) =
				((obj_t) ((obj_t) BgL_vz00_1369)), BUNSPEC);
		}

	}



/* &lambda1438 */
	obj_t BGl_z62lambda1438z62zzbackend_backendz00(obj_t BgL_envz00_1370,
		obj_t BgL_oz00_1371)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1371)))->
				BgL_foreignzd2clausezd2supportz00);
		}

	}



/* &<@anonymous:1411> */
	obj_t BGl_z62zc3z04anonymousza31411ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1372)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1410 */
	obj_t BGl_z62lambda1410z62zzbackend_backendz00(obj_t BgL_envz00_1373,
		obj_t BgL_oz00_1374, obj_t BgL_vz00_1375)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1605;

				BgL_vz00_1605 = CBOOL(BgL_vz00_1375);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1374)))->
						BgL_tracezd2supportzd2) = ((bool_t) BgL_vz00_1605), BUNSPEC);
			}
		}

	}



/* &lambda1409 */
	obj_t BGl_z62lambda1409z62zzbackend_backendz00(obj_t BgL_envz00_1376,
		obj_t BgL_oz00_1377)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1377)))->BgL_tracezd2supportzd2));
		}

	}



/* &<@anonymous:1377> */
	obj_t BGl_z62zc3z04anonymousza31377ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1378)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1376 */
	obj_t BGl_z62lambda1376z62zzbackend_backendz00(obj_t BgL_envz00_1379,
		obj_t BgL_oz00_1380, obj_t BgL_vz00_1381)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1608;

				BgL_vz00_1608 = CBOOL(BgL_vz00_1381);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1380)))->BgL_typedzd2eqzd2) =
					((bool_t) BgL_vz00_1608), BUNSPEC);
			}
		}

	}



/* &lambda1375 */
	obj_t BGl_z62lambda1375z62zzbackend_backendz00(obj_t BgL_envz00_1382,
		obj_t BgL_oz00_1383)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1383)))->BgL_typedzd2eqzd2));
		}

	}



/* &<@anonymous:1366> */
	obj_t BGl_z62zc3z04anonymousza31366ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1384)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1365 */
	obj_t BGl_z62lambda1365z62zzbackend_backendz00(obj_t BgL_envz00_1385,
		obj_t BgL_oz00_1386, obj_t BgL_vz00_1387)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1611;

				BgL_vz00_1611 = CBOOL(BgL_vz00_1387);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1386)))->
						BgL_foreignzd2closurezd2) = ((bool_t) BgL_vz00_1611), BUNSPEC);
			}
		}

	}



/* &lambda1364 */
	obj_t BGl_z62lambda1364z62zzbackend_backendz00(obj_t BgL_envz00_1388,
		obj_t BgL_oz00_1389)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1389)))->
					BgL_foreignzd2closurezd2));
		}

	}



/* &<@anonymous:1349> */
	obj_t BGl_z62zc3z04anonymousza31349ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1390)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1348 */
	obj_t BGl_z62lambda1348z62zzbackend_backendz00(obj_t BgL_envz00_1391,
		obj_t BgL_oz00_1392, obj_t BgL_vz00_1393)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1614;

				BgL_vz00_1614 = CBOOL(BgL_vz00_1393);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1392)))->
						BgL_removezd2emptyzd2letz00) = ((bool_t) BgL_vz00_1614), BUNSPEC);
			}
		}

	}



/* &lambda1347 */
	obj_t BGl_z62lambda1347z62zzbackend_backendz00(obj_t BgL_envz00_1394,
		obj_t BgL_oz00_1395)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1395)))->
					BgL_removezd2emptyzd2letz00));
		}

	}



/* &<@anonymous:1340> */
	obj_t BGl_z62zc3z04anonymousza31340ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1396)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1339 */
	obj_t BGl_z62lambda1339z62zzbackend_backendz00(obj_t BgL_envz00_1397,
		obj_t BgL_oz00_1398, obj_t BgL_vz00_1399)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1617;

				BgL_vz00_1617 = CBOOL(BgL_vz00_1399);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1398)))->BgL_effectzb2zb2) =
					((bool_t) BgL_vz00_1617), BUNSPEC);
			}
		}

	}



/* &lambda1338 */
	obj_t BGl_z62lambda1338z62zzbackend_backendz00(obj_t BgL_envz00_1400,
		obj_t BgL_oz00_1401)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1401)))->BgL_effectzb2zb2));
		}

	}



/* &<@anonymous:1328> */
	obj_t BGl_z62zc3z04anonymousza31328ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1402)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1327 */
	obj_t BGl_z62lambda1327z62zzbackend_backendz00(obj_t BgL_envz00_1403,
		obj_t BgL_oz00_1404, obj_t BgL_vz00_1405)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1620;

				BgL_vz00_1620 = CBOOL(BgL_vz00_1405);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1404)))->
						BgL_qualifiedzd2typeszd2) = ((bool_t) BgL_vz00_1620), BUNSPEC);
			}
		}

	}



/* &lambda1326 */
	obj_t BGl_z62lambda1326z62zzbackend_backendz00(obj_t BgL_envz00_1406,
		obj_t BgL_oz00_1407)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1407)))->
					BgL_qualifiedzd2typeszd2));
		}

	}



/* &<@anonymous:1297> */
	obj_t BGl_z62zc3z04anonymousza31297ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1408)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 1));
		}

	}



/* &lambda1296 */
	obj_t BGl_z62lambda1296z62zzbackend_backendz00(obj_t BgL_envz00_1409,
		obj_t BgL_oz00_1410, obj_t BgL_vz00_1411)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1623;

				BgL_vz00_1623 = CBOOL(BgL_vz00_1411);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1410)))->BgL_callccz00) =
					((bool_t) BgL_vz00_1623), BUNSPEC);
			}
		}

	}



/* &lambda1295 */
	obj_t BGl_z62lambda1295z62zzbackend_backendz00(obj_t BgL_envz00_1412,
		obj_t BgL_oz00_1413)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1413)))->BgL_callccz00));
		}

	}



/* &<@anonymous:1287> */
	obj_t BGl_z62zc3z04anonymousza31287ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1414)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(39L);
		}

	}



/* &lambda1286 */
	obj_t BGl_z62lambda1286z62zzbackend_backendz00(obj_t BgL_envz00_1415,
		obj_t BgL_oz00_1416, obj_t BgL_vz00_1417)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1416)))->
					BgL_heapzd2compatiblezd2) =
				((obj_t) ((obj_t) BgL_vz00_1417)), BUNSPEC);
		}

	}



/* &lambda1285 */
	obj_t BGl_z62lambda1285z62zzbackend_backendz00(obj_t BgL_envz00_1418,
		obj_t BgL_oz00_1419)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1419)))->BgL_heapzd2compatiblezd2);
		}

	}



/* &<@anonymous:1280> */
	obj_t BGl_z62zc3z04anonymousza31280ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1420)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1828z00zzbackend_backendz00;
		}

	}



/* &lambda1279 */
	obj_t BGl_z62lambda1279z62zzbackend_backendz00(obj_t BgL_envz00_1421,
		obj_t BgL_oz00_1422, obj_t BgL_vz00_1423)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1422)))->BgL_heapzd2suffixzd2) =
				((obj_t) ((obj_t) BgL_vz00_1423)), BUNSPEC);
		}

	}



/* &lambda1278 */
	obj_t BGl_z62lambda1278z62zzbackend_backendz00(obj_t BgL_envz00_1424,
		obj_t BgL_oz00_1425)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1425)))->BgL_heapzd2suffixzd2);
		}

	}



/* &<@anonymous:1263> */
	obj_t BGl_z62zc3z04anonymousza31263ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1426)
	{
		{	/* BackEnd/backend.scm 21 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1262 */
	obj_t BGl_z62lambda1262z62zzbackend_backendz00(obj_t BgL_envz00_1427,
		obj_t BgL_oz00_1428, obj_t BgL_vz00_1429)
	{
		{	/* BackEnd/backend.scm 21 */
			{	/* BackEnd/backend.scm 21 */
				bool_t BgL_vz00_1632;

				BgL_vz00_1632 = CBOOL(BgL_vz00_1429);
				return
					((((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_oz00_1428)))->BgL_typedz00) =
					((bool_t) BgL_vz00_1632), BUNSPEC);
			}
		}

	}



/* &lambda1261 */
	obj_t BGl_z62lambda1261z62zzbackend_backendz00(obj_t BgL_envz00_1430,
		obj_t BgL_oz00_1431)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				BBOOL(
				(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1431)))->BgL_typedz00));
		}

	}



/* &<@anonymous:1255> */
	obj_t BGl_z62zc3z04anonymousza31255ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1432)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1254 */
	obj_t BGl_z62lambda1254z62zzbackend_backendz00(obj_t BgL_envz00_1433,
		obj_t BgL_oz00_1434, obj_t BgL_vz00_1435)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1434)))->BgL_typesz00) =
				((obj_t) BgL_vz00_1435), BUNSPEC);
		}

	}



/* &lambda1253 */
	obj_t BGl_z62lambda1253z62zzbackend_backendz00(obj_t BgL_envz00_1436,
		obj_t BgL_oz00_1437)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1437)))->BgL_typesz00);
		}

	}



/* &<@anonymous:1247> */
	obj_t BGl_z62zc3z04anonymousza31247ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1438)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1246 */
	obj_t BGl_z62lambda1246z62zzbackend_backendz00(obj_t BgL_envz00_1439,
		obj_t BgL_oz00_1440, obj_t BgL_vz00_1441)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1440)))->BgL_functionsz00) =
				((obj_t) BgL_vz00_1441), BUNSPEC);
		}

	}



/* &lambda1245 */
	obj_t BGl_z62lambda1245z62zzbackend_backendz00(obj_t BgL_envz00_1442,
		obj_t BgL_oz00_1443)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1443)))->BgL_functionsz00);
		}

	}



/* &<@anonymous:1237> */
	obj_t BGl_z62zc3z04anonymousza31237ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1444)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1236 */
	obj_t BGl_z62lambda1236z62zzbackend_backendz00(obj_t BgL_envz00_1445,
		obj_t BgL_oz00_1446, obj_t BgL_vz00_1447)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1446)))->BgL_variablesz00) =
				((obj_t) BgL_vz00_1447), BUNSPEC);
		}

	}



/* &lambda1235 */
	obj_t BGl_z62lambda1235z62zzbackend_backendz00(obj_t BgL_envz00_1448,
		obj_t BgL_oz00_1449)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1449)))->BgL_variablesz00);
		}

	}



/* &<@anonymous:1227> */
	obj_t BGl_z62zc3z04anonymousza31227ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1450)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1226 */
	obj_t BGl_z62lambda1226z62zzbackend_backendz00(obj_t BgL_envz00_1451,
		obj_t BgL_oz00_1452, obj_t BgL_vz00_1453)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1452)))->BgL_externzd2typeszd2) =
				((obj_t) BgL_vz00_1453), BUNSPEC);
		}

	}



/* &lambda1225 */
	obj_t BGl_z62lambda1225z62zzbackend_backendz00(obj_t BgL_envz00_1454,
		obj_t BgL_oz00_1455)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1455)))->BgL_externzd2typeszd2);
		}

	}



/* &<@anonymous:1220> */
	obj_t BGl_z62zc3z04anonymousza31220ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1456)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1219 */
	obj_t BGl_z62lambda1219z62zzbackend_backendz00(obj_t BgL_envz00_1457,
		obj_t BgL_oz00_1458, obj_t BgL_vz00_1459)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1458)))->
					BgL_externzd2functionszd2) = ((obj_t) BgL_vz00_1459), BUNSPEC);
		}

	}



/* &lambda1218 */
	obj_t BGl_z62lambda1218z62zzbackend_backendz00(obj_t BgL_envz00_1460,
		obj_t BgL_oz00_1461)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1461)))->BgL_externzd2functionszd2);
		}

	}



/* &<@anonymous:1209> */
	obj_t BGl_z62zc3z04anonymousza31209ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1462)
	{
		{	/* BackEnd/backend.scm 21 */
			return BNIL;
		}

	}



/* &lambda1208 */
	obj_t BGl_z62lambda1208z62zzbackend_backendz00(obj_t BgL_envz00_1463,
		obj_t BgL_oz00_1464, obj_t BgL_vz00_1465)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1464)))->
					BgL_externzd2variableszd2) = ((obj_t) BgL_vz00_1465), BUNSPEC);
		}

	}



/* &lambda1207 */
	obj_t BGl_z62lambda1207z62zzbackend_backendz00(obj_t BgL_envz00_1466,
		obj_t BgL_oz00_1467)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1467)))->BgL_externzd2variableszd2);
		}

	}



/* &<@anonymous:1200> */
	obj_t BGl_z62zc3z04anonymousza31200ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1468)
	{
		{	/* BackEnd/backend.scm 21 */
			return BGl_string1829z00zzbackend_backendz00;
		}

	}



/* &lambda1199 */
	obj_t BGl_z62lambda1199z62zzbackend_backendz00(obj_t BgL_envz00_1469,
		obj_t BgL_oz00_1470, obj_t BgL_vz00_1471)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1470)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_1471)), BUNSPEC);
		}

	}



/* &lambda1198 */
	obj_t BGl_z62lambda1198z62zzbackend_backendz00(obj_t BgL_envz00_1472,
		obj_t BgL_oz00_1473)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1473)))->BgL_namez00);
		}

	}



/* &<@anonymous:1188> */
	obj_t BGl_z62zc3z04anonymousza31188ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1474)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(40L);
		}

	}



/* &lambda1187 */
	obj_t BGl_z62lambda1187z62zzbackend_backendz00(obj_t BgL_envz00_1475,
		obj_t BgL_oz00_1476, obj_t BgL_vz00_1477)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1476)))->BgL_srfi0z00) = ((obj_t)
					((obj_t) BgL_vz00_1477)), BUNSPEC);
		}

	}



/* &lambda1186 */
	obj_t BGl_z62lambda1186z62zzbackend_backendz00(obj_t BgL_envz00_1478,
		obj_t BgL_oz00_1479)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1479)))->BgL_srfi0z00);
		}

	}



/* &<@anonymous:1160> */
	obj_t BGl_z62zc3z04anonymousza31160ze3ze5zzbackend_backendz00(obj_t
		BgL_envz00_1480)
	{
		{	/* BackEnd/backend.scm 21 */
			return CNST_TABLE_REF(40L);
		}

	}



/* &lambda1159 */
	obj_t BGl_z62lambda1159z62zzbackend_backendz00(obj_t BgL_envz00_1481,
		obj_t BgL_oz00_1482, obj_t BgL_vz00_1483)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				((((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_oz00_1482)))->BgL_languagez00) =
				((obj_t) ((obj_t) BgL_vz00_1483)), BUNSPEC);
		}

	}



/* &lambda1158 */
	obj_t BGl_z62lambda1158z62zzbackend_backendz00(obj_t BgL_envz00_1484,
		obj_t BgL_oz00_1485)
	{
		{	/* BackEnd/backend.scm 21 */
			return
				(((BgL_backendz00_bglt) COBJECT(
						((BgL_backendz00_bglt) BgL_oz00_1485)))->BgL_languagez00);
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
				BGl_proc1830z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1831z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
				BGl_proc1832z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1833z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
				BGl_proc1834z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1835z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
				BGl_proc1836z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1837z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
				BGl_proc1838z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1839z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
				BGl_proc1840z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1841z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
				BGl_proc1842z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1843z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
				BGl_proc1844z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1845z00zzbackend_backendz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
				BGl_proc1846z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1847z00zzbackend_backendz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
				BGl_proc1848z00zzbackend_backendz00, BGl_backendz00zzbackend_backendz00,
				BGl_string1849z00zzbackend_backendz00);
		}

	}



/* &backend-gc-init1133 */
	obj_t BGl_z62backendzd2gczd2init1133z62zzbackend_backendz00(obj_t
		BgL_envz00_1498, obj_t BgL_bz00_1499)
	{
		{	/* BackEnd/backend.scm 151 */
			return BUNSPEC;
		}

	}



/* &backend-check-inline1131 */
	obj_t BGl_z62backendzd2checkzd2inline1131z62zzbackend_backendz00(obj_t
		BgL_envz00_1500, obj_t BgL_bz00_1501)
	{
		{	/* BackEnd/backend.scm 145 */
			return BUNSPEC;
		}

	}



/* &backend-instr-reset-1129 */
	obj_t BGl_z62backendzd2instrzd2resetzd21129zb0zzbackend_backendz00(obj_t
		BgL_envz00_1502, obj_t BgL_bz00_1503, obj_t BgL_iz00_1504)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 140 */
				obj_t BgL_val1_1110z00_1658;
				obj_t BgL_val2_1111z00_1659;
				obj_t BgL_val3_1112z00_1660;

				BgL_val1_1110z00_1658 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				BgL_val2_1111z00_1659 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				BgL_val3_1112z00_1660 =
					(((BgL_backendz00_bglt) COBJECT(
							((BgL_backendz00_bglt) BgL_bz00_1503)))->BgL_registersz00);
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2330;

					BgL_tmpz00_2330 = (int) (4L);
					BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2330);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2333;

					BgL_tmpz00_2333 = (int) (1L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2333, BgL_val1_1110z00_1658);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2336;

					BgL_tmpz00_2336 = (int) (2L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2336, BgL_val2_1111z00_1659);
				}
				{	/* BackEnd/backend.scm 140 */
					int BgL_tmpz00_2339;

					BgL_tmpz00_2339 = (int) (3L);
					BGL_MVALUES_VAL_SET(BgL_tmpz00_2339, BgL_val3_1112z00_1660);
				}
				return BNIL;
			}
		}

	}



/* &backend-link-objects1127 */
	obj_t BGl_z62backendzd2linkzd2objects1127z62zzbackend_backendz00(obj_t
		BgL_envz00_1505, obj_t BgL_bz00_1506, obj_t BgL_lz00_1507)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(41L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1506)));
		}

	}



/* &backend-cnst-table-n1125 */
	obj_t BGl_z62backendzd2cnstzd2tablezd2n1125zb0zzbackend_backendz00(obj_t
		BgL_envz00_1508, obj_t BgL_bz00_1509, obj_t BgL_oz00_1510)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(42L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1509)));
		}

	}



/* &backend-subtype?1123 */
	obj_t BGl_z62backendzd2subtypezf31123z43zzbackend_backendz00(obj_t
		BgL_envz00_1511, obj_t BgL_bz00_1512, obj_t BgL_t1z00_1513,
		obj_t BgL_t2z00_1514)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(43L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1512)));
		}

	}



/* &backend-link1121 */
	obj_t BGl_z62backendzd2link1121zb0zzbackend_backendz00(obj_t BgL_envz00_1515,
		obj_t BgL_bz00_1516, obj_t BgL_resultz00_1517)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(44L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1516)));
		}

	}



/* &backend-compile-func1119 */
	obj_t BGl_z62backendzd2compilezd2func1119z62zzbackend_backendz00(obj_t
		BgL_envz00_1518, obj_t BgL_bz00_1519)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(45L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1519)));
		}

	}



/* &backend-compile1117 */
	obj_t BGl_z62backendzd2compile1117zb0zzbackend_backendz00(obj_t
		BgL_envz00_1520, obj_t BgL_bz00_1521)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(46L),
				BGl_string1850z00zzbackend_backendz00,
				((obj_t) ((BgL_backendz00_bglt) BgL_bz00_1521)));
		}

	}



/* &backend-initialize!1115 */
	obj_t BGl_z62backendzd2initializa7ez121115z05zzbackend_backendz00(obj_t
		BgL_envz00_1522, obj_t BgL_bz00_1523)
	{
		{	/* BackEnd/backend.scm 102 */
			return BUNSPEC;
		}

	}



/* backend-initialize! */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2initializa7ez12z67zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_94)
	{
		{	/* BackEnd/backend.scm 102 */
			{	/* BackEnd/backend.scm 102 */
				obj_t BgL_method1116z00_621;

				{	/* BackEnd/backend.scm 102 */
					obj_t BgL_res1690z00_786;

					{	/* BackEnd/backend.scm 102 */
						long BgL_objzd2classzd2numz00_757;

						BgL_objzd2classzd2numz00_757 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_94));
						{	/* BackEnd/backend.scm 102 */
							obj_t BgL_arg1805z00_758;

							BgL_arg1805z00_758 =
								PROCEDURE_REF
								(BGl_backendzd2initializa7ez12zd2envzb5zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 102 */
								int BgL_offsetz00_761;

								BgL_offsetz00_761 = (int) (BgL_objzd2classzd2numz00_757);
								{	/* BackEnd/backend.scm 102 */
									long BgL_offsetz00_762;

									BgL_offsetz00_762 =
										((long) (BgL_offsetz00_761) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 102 */
										long BgL_modz00_763;

										BgL_modz00_763 =
											(BgL_offsetz00_762 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 102 */
											long BgL_restz00_765;

											BgL_restz00_765 =
												(BgL_offsetz00_762 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 102 */

												{	/* BackEnd/backend.scm 102 */
													obj_t BgL_bucketz00_767;

													BgL_bucketz00_767 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_758), BgL_modz00_763);
													BgL_res1690z00_786 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_767), BgL_restz00_765);
					}}}}}}}}
					BgL_method1116z00_621 = BgL_res1690z00_786;
				}
				return
					(VA_PROCEDUREP(BgL_method1116z00_621) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1116z00_621)) (BgL_method1116z00_621,
						((obj_t) BgL_bz00_94), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1116z00_621)) (BgL_method1116z00_621,
						((obj_t) BgL_bz00_94)));
			}
		}

	}



/* &backend-initialize! */
	obj_t BGl_z62backendzd2initializa7ez12z05zzbackend_backendz00(obj_t
		BgL_envz00_1486, obj_t BgL_bz00_1487)
	{
		{	/* BackEnd/backend.scm 102 */
			return
				BGl_backendzd2initializa7ez12z67zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1487));
		}

	}



/* backend-compile */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_95)
	{
		{	/* BackEnd/backend.scm 108 */
			{	/* BackEnd/backend.scm 108 */
				obj_t BgL_method1118z00_622;

				{	/* BackEnd/backend.scm 108 */
					obj_t BgL_res1695z00_817;

					{	/* BackEnd/backend.scm 108 */
						long BgL_objzd2classzd2numz00_788;

						BgL_objzd2classzd2numz00_788 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_95));
						{	/* BackEnd/backend.scm 108 */
							obj_t BgL_arg1805z00_789;

							BgL_arg1805z00_789 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 108 */
								int BgL_offsetz00_792;

								BgL_offsetz00_792 = (int) (BgL_objzd2classzd2numz00_788);
								{	/* BackEnd/backend.scm 108 */
									long BgL_offsetz00_793;

									BgL_offsetz00_793 =
										((long) (BgL_offsetz00_792) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 108 */
										long BgL_modz00_794;

										BgL_modz00_794 =
											(BgL_offsetz00_793 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 108 */
											long BgL_restz00_796;

											BgL_restz00_796 =
												(BgL_offsetz00_793 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 108 */

												{	/* BackEnd/backend.scm 108 */
													obj_t BgL_bucketz00_798;

													BgL_bucketz00_798 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_789), BgL_modz00_794);
													BgL_res1695z00_817 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_798), BgL_restz00_796);
					}}}}}}}}
					BgL_method1118z00_622 = BgL_res1695z00_817;
				}
				return
					(VA_PROCEDUREP(BgL_method1118z00_622) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1118z00_622)) (BgL_method1118z00_622,
						((obj_t) BgL_bz00_95), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1118z00_622)) (BgL_method1118z00_622,
						((obj_t) BgL_bz00_95)));
			}
		}

	}



/* &backend-compile */
	obj_t BGl_z62backendzd2compilezb0zzbackend_backendz00(obj_t BgL_envz00_1524,
		obj_t BgL_bz00_1525)
	{
		{	/* BackEnd/backend.scm 108 */
			return
				BGl_backendzd2compilezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1525));
		}

	}



/* backend-compile-functions */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_96)
	{
		{	/* BackEnd/backend.scm 113 */
			{	/* BackEnd/backend.scm 113 */
				obj_t BgL_method1120z00_623;

				{	/* BackEnd/backend.scm 113 */
					obj_t BgL_res1700z00_848;

					{	/* BackEnd/backend.scm 113 */
						long BgL_objzd2classzd2numz00_819;

						BgL_objzd2classzd2numz00_819 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_96));
						{	/* BackEnd/backend.scm 113 */
							obj_t BgL_arg1805z00_820;

							BgL_arg1805z00_820 =
								PROCEDURE_REF
								(BGl_backendzd2compilezd2functionszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 113 */
								int BgL_offsetz00_823;

								BgL_offsetz00_823 = (int) (BgL_objzd2classzd2numz00_819);
								{	/* BackEnd/backend.scm 113 */
									long BgL_offsetz00_824;

									BgL_offsetz00_824 =
										((long) (BgL_offsetz00_823) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 113 */
										long BgL_modz00_825;

										BgL_modz00_825 =
											(BgL_offsetz00_824 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 113 */
											long BgL_restz00_827;

											BgL_restz00_827 =
												(BgL_offsetz00_824 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 113 */

												{	/* BackEnd/backend.scm 113 */
													obj_t BgL_bucketz00_829;

													BgL_bucketz00_829 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_820), BgL_modz00_825);
													BgL_res1700z00_848 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_829), BgL_restz00_827);
					}}}}}}}}
					BgL_method1120z00_623 = BgL_res1700z00_848;
				}
				return
					(VA_PROCEDUREP(BgL_method1120z00_623) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1120z00_623)) (BgL_method1120z00_623,
						((obj_t) BgL_bz00_96), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1120z00_623)) (BgL_method1120z00_623,
						((obj_t) BgL_bz00_96)));
			}
		}

	}



/* &backend-compile-functions */
	obj_t BGl_z62backendzd2compilezd2functionsz62zzbackend_backendz00(obj_t
		BgL_envz00_1526, obj_t BgL_bz00_1527)
	{
		{	/* BackEnd/backend.scm 113 */
			return
				BGl_backendzd2compilezd2functionsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1527));
		}

	}



/* backend-link */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2zzbackend_backendz00(BgL_backendz00_bglt BgL_bz00_97,
		obj_t BgL_resultz00_98)
	{
		{	/* BackEnd/backend.scm 118 */
			{	/* BackEnd/backend.scm 118 */
				obj_t BgL_method1122z00_624;

				{	/* BackEnd/backend.scm 118 */
					obj_t BgL_res1705z00_879;

					{	/* BackEnd/backend.scm 118 */
						long BgL_objzd2classzd2numz00_850;

						BgL_objzd2classzd2numz00_850 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_97));
						{	/* BackEnd/backend.scm 118 */
							obj_t BgL_arg1805z00_851;

							BgL_arg1805z00_851 =
								PROCEDURE_REF(BGl_backendzd2linkzd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 118 */
								int BgL_offsetz00_854;

								BgL_offsetz00_854 = (int) (BgL_objzd2classzd2numz00_850);
								{	/* BackEnd/backend.scm 118 */
									long BgL_offsetz00_855;

									BgL_offsetz00_855 =
										((long) (BgL_offsetz00_854) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 118 */
										long BgL_modz00_856;

										BgL_modz00_856 =
											(BgL_offsetz00_855 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 118 */
											long BgL_restz00_858;

											BgL_restz00_858 =
												(BgL_offsetz00_855 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 118 */

												{	/* BackEnd/backend.scm 118 */
													obj_t BgL_bucketz00_860;

													BgL_bucketz00_860 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_851), BgL_modz00_856);
													BgL_res1705z00_879 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_860), BgL_restz00_858);
					}}}}}}}}
					BgL_method1122z00_624 = BgL_res1705z00_879;
				}
				return
					(VA_PROCEDUREP(BgL_method1122z00_624) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1122z00_624)) (BgL_method1122z00_624,
						((obj_t) BgL_bz00_97), BgL_resultz00_98, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1122z00_624)) (BgL_method1122z00_624,
						((obj_t) BgL_bz00_97), BgL_resultz00_98));
			}
		}

	}



/* &backend-link */
	obj_t BGl_z62backendzd2linkzb0zzbackend_backendz00(obj_t BgL_envz00_1528,
		obj_t BgL_bz00_1529, obj_t BgL_resultz00_1530)
	{
		{	/* BackEnd/backend.scm 118 */
			return
				BGl_backendzd2linkzd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1529), BgL_resultz00_1530);
		}

	}



/* backend-subtype? */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2subtypezf3z21zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_99, obj_t BgL_t1z00_100, obj_t BgL_t2z00_101)
	{
		{	/* BackEnd/backend.scm 123 */
			{	/* BackEnd/backend.scm 123 */
				obj_t BgL_method1124z00_625;

				{	/* BackEnd/backend.scm 123 */
					obj_t BgL_res1710z00_910;

					{	/* BackEnd/backend.scm 123 */
						long BgL_objzd2classzd2numz00_881;

						BgL_objzd2classzd2numz00_881 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_99));
						{	/* BackEnd/backend.scm 123 */
							obj_t BgL_arg1805z00_882;

							BgL_arg1805z00_882 =
								PROCEDURE_REF
								(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 123 */
								int BgL_offsetz00_885;

								BgL_offsetz00_885 = (int) (BgL_objzd2classzd2numz00_881);
								{	/* BackEnd/backend.scm 123 */
									long BgL_offsetz00_886;

									BgL_offsetz00_886 =
										((long) (BgL_offsetz00_885) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 123 */
										long BgL_modz00_887;

										BgL_modz00_887 =
											(BgL_offsetz00_886 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 123 */
											long BgL_restz00_889;

											BgL_restz00_889 =
												(BgL_offsetz00_886 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 123 */

												{	/* BackEnd/backend.scm 123 */
													obj_t BgL_bucketz00_891;

													BgL_bucketz00_891 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_882), BgL_modz00_887);
													BgL_res1710z00_910 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_891), BgL_restz00_889);
					}}}}}}}}
					BgL_method1124z00_625 = BgL_res1710z00_910;
				}
				return
					(VA_PROCEDUREP(BgL_method1124z00_625) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1124z00_625)) (BgL_method1124z00_625,
						((obj_t) BgL_bz00_99), BgL_t1z00_100, BgL_t2z00_101,
						BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1124z00_625)) (BgL_method1124z00_625,
						((obj_t) BgL_bz00_99), BgL_t1z00_100, BgL_t2z00_101));
			}
		}

	}



/* &backend-subtype? */
	obj_t BGl_z62backendzd2subtypezf3z43zzbackend_backendz00(obj_t
		BgL_envz00_1531, obj_t BgL_bz00_1532, obj_t BgL_t1z00_1533,
		obj_t BgL_t2z00_1534)
	{
		{	/* BackEnd/backend.scm 123 */
			return
				BGl_backendzd2subtypezf3z21zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1532), BgL_t1z00_1533, BgL_t2z00_1534);
		}

	}



/* backend-cnst-table-name */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_102, int BgL_oz00_103)
	{
		{	/* BackEnd/backend.scm 128 */
			{	/* BackEnd/backend.scm 128 */
				obj_t BgL_method1126z00_626;

				{	/* BackEnd/backend.scm 128 */
					obj_t BgL_res1715z00_941;

					{	/* BackEnd/backend.scm 128 */
						long BgL_objzd2classzd2numz00_912;

						BgL_objzd2classzd2numz00_912 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_102));
						{	/* BackEnd/backend.scm 128 */
							obj_t BgL_arg1805z00_913;

							BgL_arg1805z00_913 =
								PROCEDURE_REF
								(BGl_backendzd2cnstzd2tablezd2namezd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 128 */
								int BgL_offsetz00_916;

								BgL_offsetz00_916 = (int) (BgL_objzd2classzd2numz00_912);
								{	/* BackEnd/backend.scm 128 */
									long BgL_offsetz00_917;

									BgL_offsetz00_917 =
										((long) (BgL_offsetz00_916) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 128 */
										long BgL_modz00_918;

										BgL_modz00_918 =
											(BgL_offsetz00_917 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 128 */
											long BgL_restz00_920;

											BgL_restz00_920 =
												(BgL_offsetz00_917 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 128 */

												{	/* BackEnd/backend.scm 128 */
													obj_t BgL_bucketz00_922;

													BgL_bucketz00_922 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_913), BgL_modz00_918);
													BgL_res1715z00_941 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_922), BgL_restz00_920);
					}}}}}}}}
					BgL_method1126z00_626 = BgL_res1715z00_941;
				}
				return
					(VA_PROCEDUREP(BgL_method1126z00_626) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1126z00_626)) (BgL_method1126z00_626,
						((obj_t) BgL_bz00_102), BINT(BgL_oz00_103),
						BEOA) : ((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1126z00_626)) (BgL_method1126z00_626,
						((obj_t) BgL_bz00_102), BINT(BgL_oz00_103)));
			}
		}

	}



/* &backend-cnst-table-name */
	obj_t BGl_z62backendzd2cnstzd2tablezd2namezb0zzbackend_backendz00(obj_t
		BgL_envz00_1535, obj_t BgL_bz00_1536, obj_t BgL_oz00_1537)
	{
		{	/* BackEnd/backend.scm 128 */
			return
				BGl_backendzd2cnstzd2tablezd2namezd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1536), CINT(BgL_oz00_1537));
		}

	}



/* backend-link-objects */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_104, obj_t BgL_lz00_105)
	{
		{	/* BackEnd/backend.scm 133 */
			{	/* BackEnd/backend.scm 133 */
				obj_t BgL_method1128z00_627;

				{	/* BackEnd/backend.scm 133 */
					obj_t BgL_res1720z00_972;

					{	/* BackEnd/backend.scm 133 */
						long BgL_objzd2classzd2numz00_943;

						BgL_objzd2classzd2numz00_943 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_104));
						{	/* BackEnd/backend.scm 133 */
							obj_t BgL_arg1805z00_944;

							BgL_arg1805z00_944 =
								PROCEDURE_REF
								(BGl_backendzd2linkzd2objectszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 133 */
								int BgL_offsetz00_947;

								BgL_offsetz00_947 = (int) (BgL_objzd2classzd2numz00_943);
								{	/* BackEnd/backend.scm 133 */
									long BgL_offsetz00_948;

									BgL_offsetz00_948 =
										((long) (BgL_offsetz00_947) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 133 */
										long BgL_modz00_949;

										BgL_modz00_949 =
											(BgL_offsetz00_948 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 133 */
											long BgL_restz00_951;

											BgL_restz00_951 =
												(BgL_offsetz00_948 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 133 */

												{	/* BackEnd/backend.scm 133 */
													obj_t BgL_bucketz00_953;

													BgL_bucketz00_953 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_944), BgL_modz00_949);
													BgL_res1720z00_972 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_953), BgL_restz00_951);
					}}}}}}}}
					BgL_method1128z00_627 = BgL_res1720z00_972;
				}
				return
					(VA_PROCEDUREP(BgL_method1128z00_627) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1128z00_627)) (BgL_method1128z00_627,
						((obj_t) BgL_bz00_104), BgL_lz00_105, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1128z00_627)) (BgL_method1128z00_627,
						((obj_t) BgL_bz00_104), BgL_lz00_105));
			}
		}

	}



/* &backend-link-objects */
	obj_t BGl_z62backendzd2linkzd2objectsz62zzbackend_backendz00(obj_t
		BgL_envz00_1538, obj_t BgL_bz00_1539, obj_t BgL_lz00_1540)
	{
		{	/* BackEnd/backend.scm 133 */
			return
				BGl_backendzd2linkzd2objectsz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1539), BgL_lz00_1540);
		}

	}



/* backend-instr-reset-registers */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00
		(BgL_backendz00_bglt BgL_bz00_106, obj_t BgL_iz00_107)
	{
		{	/* BackEnd/backend.scm 138 */
			{	/* BackEnd/backend.scm 138 */
				obj_t BgL_method1130z00_628;

				{	/* BackEnd/backend.scm 138 */
					obj_t BgL_res1725z00_1003;

					{	/* BackEnd/backend.scm 138 */
						long BgL_objzd2classzd2numz00_974;

						BgL_objzd2classzd2numz00_974 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_106));
						{	/* BackEnd/backend.scm 138 */
							obj_t BgL_arg1805z00_975;

							BgL_arg1805z00_975 =
								PROCEDURE_REF
								(BGl_backendzd2instrzd2resetzd2registerszd2envz00zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 138 */
								int BgL_offsetz00_978;

								BgL_offsetz00_978 = (int) (BgL_objzd2classzd2numz00_974);
								{	/* BackEnd/backend.scm 138 */
									long BgL_offsetz00_979;

									BgL_offsetz00_979 =
										((long) (BgL_offsetz00_978) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 138 */
										long BgL_modz00_980;

										BgL_modz00_980 =
											(BgL_offsetz00_979 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 138 */
											long BgL_restz00_982;

											BgL_restz00_982 =
												(BgL_offsetz00_979 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 138 */

												{	/* BackEnd/backend.scm 138 */
													obj_t BgL_bucketz00_984;

													BgL_bucketz00_984 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_975), BgL_modz00_980);
													BgL_res1725z00_1003 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_984), BgL_restz00_982);
					}}}}}}}}
					BgL_method1130z00_628 = BgL_res1725z00_1003;
				}
				return
					(VA_PROCEDUREP(BgL_method1130z00_628) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1130z00_628)) (BgL_method1130z00_628,
						((obj_t) BgL_bz00_106), BgL_iz00_107, BEOA) : ((obj_t(*)(obj_t,
								obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1130z00_628)) (BgL_method1130z00_628,
						((obj_t) BgL_bz00_106), BgL_iz00_107));
			}
		}

	}



/* &backend-instr-reset-registers */
	obj_t BGl_z62backendzd2instrzd2resetzd2registerszb0zzbackend_backendz00(obj_t
		BgL_envz00_1541, obj_t BgL_bz00_1542, obj_t BgL_iz00_1543)
	{
		{	/* BackEnd/backend.scm 138 */
			return
				BGl_backendzd2instrzd2resetzd2registerszd2zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1542), BgL_iz00_1543);
		}

	}



/* backend-check-inlines */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_108)
	{
		{	/* BackEnd/backend.scm 145 */
			{	/* BackEnd/backend.scm 145 */
				obj_t BgL_method1132z00_629;

				{	/* BackEnd/backend.scm 145 */
					obj_t BgL_res1730z00_1034;

					{	/* BackEnd/backend.scm 145 */
						long BgL_objzd2classzd2numz00_1005;

						BgL_objzd2classzd2numz00_1005 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_108));
						{	/* BackEnd/backend.scm 145 */
							obj_t BgL_arg1805z00_1006;

							BgL_arg1805z00_1006 =
								PROCEDURE_REF
								(BGl_backendzd2checkzd2inlineszd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 145 */
								int BgL_offsetz00_1009;

								BgL_offsetz00_1009 = (int) (BgL_objzd2classzd2numz00_1005);
								{	/* BackEnd/backend.scm 145 */
									long BgL_offsetz00_1010;

									BgL_offsetz00_1010 =
										((long) (BgL_offsetz00_1009) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 145 */
										long BgL_modz00_1011;

										BgL_modz00_1011 =
											(BgL_offsetz00_1010 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 145 */
											long BgL_restz00_1013;

											BgL_restz00_1013 =
												(BgL_offsetz00_1010 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 145 */

												{	/* BackEnd/backend.scm 145 */
													obj_t BgL_bucketz00_1015;

													BgL_bucketz00_1015 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_1006), BgL_modz00_1011);
													BgL_res1730z00_1034 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1015), BgL_restz00_1013);
					}}}}}}}}
					BgL_method1132z00_629 = BgL_res1730z00_1034;
				}
				return
					(VA_PROCEDUREP(BgL_method1132z00_629) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1132z00_629)) (BgL_method1132z00_629,
						((obj_t) BgL_bz00_108), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1132z00_629)) (BgL_method1132z00_629,
						((obj_t) BgL_bz00_108)));
			}
		}

	}



/* &backend-check-inlines */
	obj_t BGl_z62backendzd2checkzd2inlinesz62zzbackend_backendz00(obj_t
		BgL_envz00_1544, obj_t BgL_bz00_1545)
	{
		{	/* BackEnd/backend.scm 145 */
			return
				BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1545));
		}

	}



/* backend-gc-init */
	BGL_EXPORTED_DEF obj_t
		BGl_backendzd2gczd2initz00zzbackend_backendz00(BgL_backendz00_bglt
		BgL_bz00_109)
	{
		{	/* BackEnd/backend.scm 151 */
			{	/* BackEnd/backend.scm 151 */
				obj_t BgL_method1134z00_630;

				{	/* BackEnd/backend.scm 151 */
					obj_t BgL_res1735z00_1065;

					{	/* BackEnd/backend.scm 151 */
						long BgL_objzd2classzd2numz00_1036;

						BgL_objzd2classzd2numz00_1036 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_bz00_109));
						{	/* BackEnd/backend.scm 151 */
							obj_t BgL_arg1805z00_1037;

							BgL_arg1805z00_1037 =
								PROCEDURE_REF
								(BGl_backendzd2gczd2initzd2envzd2zzbackend_backendz00,
								(int) (1L));
							{	/* BackEnd/backend.scm 151 */
								int BgL_offsetz00_1040;

								BgL_offsetz00_1040 = (int) (BgL_objzd2classzd2numz00_1036);
								{	/* BackEnd/backend.scm 151 */
									long BgL_offsetz00_1041;

									BgL_offsetz00_1041 =
										((long) (BgL_offsetz00_1040) - OBJECT_TYPE);
									{	/* BackEnd/backend.scm 151 */
										long BgL_modz00_1042;

										BgL_modz00_1042 =
											(BgL_offsetz00_1041 >> (int) ((long) ((int) (4L))));
										{	/* BackEnd/backend.scm 151 */
											long BgL_restz00_1044;

											BgL_restz00_1044 =
												(BgL_offsetz00_1041 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* BackEnd/backend.scm 151 */

												{	/* BackEnd/backend.scm 151 */
													obj_t BgL_bucketz00_1046;

													BgL_bucketz00_1046 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_1037), BgL_modz00_1042);
													BgL_res1735z00_1065 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1046), BgL_restz00_1044);
					}}}}}}}}
					BgL_method1134z00_630 = BgL_res1735z00_1065;
				}
				return
					(VA_PROCEDUREP(BgL_method1134z00_630) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1134z00_630)) (BgL_method1134z00_630,
						((obj_t) BgL_bz00_109), BEOA) : ((obj_t(*)(obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1134z00_630)) (BgL_method1134z00_630,
						((obj_t) BgL_bz00_109)));
			}
		}

	}



/* &backend-gc-init */
	obj_t BGl_z62backendzd2gczd2initz62zzbackend_backendz00(obj_t BgL_envz00_1546,
		obj_t BgL_bz00_1547)
	{
		{	/* BackEnd/backend.scm 151 */
			return
				BGl_backendzd2gczd2initz00zzbackend_backendz00(
				((BgL_backendz00_bglt) BgL_bz00_1547));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbackend_backendz00(void)
	{
		{	/* BackEnd/backend.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string1851z00zzbackend_backendz00));
		}

	}

#ifdef __cplusplus
}
#endif
