/*===========================================================================*/
/*   (Return/walk.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent Return/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_RETURN_WALK_TYPE_DEFINITIONS
#define BGL_RETURN_WALK_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
		obj_t BgL_valzd2noescapezd2;
		bool_t BgL_volatilez00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2noescapezd2;
		obj_t BgL_argszd2retescapezd2;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
		obj_t BgL_stackablez00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_stackablez00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		struct BgL_nodez00_bgl *BgL_onexitz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_retblockz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                  *BgL_retblockz00_bglt;

	typedef struct BgL_returnz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_retblockz00_bgl *BgL_blockz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                *BgL_returnz00_bglt;


#endif													// BGL_RETURN_WALK_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t, obj_t);
	extern obj_t BGl_returnz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t);
	static obj_t BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzreturn_walkz00(void);
	BGL_IMPORT obj_t unwind_stack_until(obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1396za2zzreturn_walkz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzreturn_walkz00(void);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00(void);
	static obj_t BGl_objectzd2initzd2zzreturn_walkz00(void);
	static BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt, BgL_retblockz00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62iszd2returnzf31379z43zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzreturn_walkz00(void);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62returnz12zd2app1392za2zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62iszd2returnzf3zd2var1383z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt);
	static obj_t BGl_z62returnzd2gotozd2funsz121393z70zzreturn_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_zc3z04exitza31997ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt,
		BgL_localz00_bglt);
	static obj_t BGl_z62abortz62zzreturn_walkz00(obj_t, obj_t);
	static obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t);
	static obj_t BGl_z62iszd2returnzf3zd2app1388z91zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_walk2z00zzast_walkz00(BgL_nodez00_bglt, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzreturn_walkz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00(void);
	static obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00(void);
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_retblockz00zzast_nodez00;
	static obj_t BGl_z62iszd2returnzf3zd2letzd2var1385z43zzreturn_walkz00(obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_walk2z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
	static obj_t BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00(void);
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62returnz121389z70zzreturn_walkz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string2215z00zzreturn_walkz00,
		BgL_bgl_string2215za700za7za7r2240za7, "Return", 6);
	      DEFINE_STRING(BGl_string2216z00zzreturn_walkz00,
		BgL_bgl_string2216za700za7za7r2241za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2217z00zzreturn_walkz00,
		BgL_bgl_string2217za700za7za7r2242za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2218z00zzreturn_walkz00,
		BgL_bgl_string2218za700za7za7r2243za7, " error", 6);
	      DEFINE_STRING(BGl_string2219z00zzreturn_walkz00,
		BgL_bgl_string2219za700za7za7r2244za7, "s", 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762clearza7d2retur2245z00,
		BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2220z00zzreturn_walkz00,
		BgL_bgl_string2220za700za7za7r2246za7, "", 0);
	      DEFINE_STRING(BGl_string2221z00zzreturn_walkz00,
		BgL_bgl_string2221za700za7za7r2247za7, " occured, ending ...", 20);
	      DEFINE_STATIC_BGL_GENERIC(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2248za7,
		BGl_z62iszd2returnzf3z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2222z00zzreturn_walkz00,
		BgL_bgl_string2222za700za7za7r2249za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2224z00zzreturn_walkz00,
		BgL_bgl_string2224za700za7za7r2250za7, "is-return?1379", 14);
	      DEFINE_STRING(BGl_string2226z00zzreturn_walkz00,
		BgL_bgl_string2226za700za7za7r2251za7, "return!1389", 11);
	      DEFINE_STRING(BGl_string2228z00zzreturn_walkz00,
		BgL_bgl_string2228za700za7za7r2252za7, "return-goto-funs!1393", 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2253za7,
		BGl_z62iszd2returnzf31379z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2230z00zzreturn_walkz00,
		BgL_bgl_string2230za700za7za7r2254za7, "is-return?", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzreturn_walkz00,
		BgL_bgl_za762returnza71213892255z00,
		BGl_z62returnz121389z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2256z00,
		BGl_z62returnzd2gotozd2funsz121393z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2234z00zzreturn_walkz00,
		BgL_bgl_string2234za700za7za7r2257za7, "return!::node", 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2258za7,
		BGl_z62iszd2returnzf3zd2var1383z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2236z00zzreturn_walkz00,
		BgL_bgl_string2236za700za7za7r2259za7, "return-goto-funs!::node", 23);
	      DEFINE_STRING(BGl_string2237z00zzreturn_walkz00,
		BgL_bgl_string2237za700za7za7r2260za7, "return_walk", 11);
	      DEFINE_STRING(BGl_string2238z00zzreturn_walkz00,
		BgL_bgl_string2238za700za7za7r2261za7,
		"sfun $env-push-exit! push-exit! $env-pop-exit! pop-exit! unwind-stack-until! __bexit $env-get-exitd-top $exitd-protect-set! $get-exitd-top $current-dynamic-env foreign (clear-return-cache!) pass-started (init-return-cache!) ",
		224);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2262za7,
		BGl_z62iszd2returnzf3zd2letzd2var1385z43zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzreturn_walkz00,
		BgL_bgl_za762isza7d2returnza7f2263za7,
		BGl_z62iszd2returnzf3zd2app1388z91zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzreturn_walkz00,
		BgL_bgl_za762returnza712za7d2a2264za7,
		BGl_z62returnz12zd2app1392za2zzreturn_walkz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2265z00,
		BGl_z62returnzd2gotozd2funsz12zd2le1396za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_returnzd2walkz12zd2envz12zzreturn_walkz00,
		BgL_bgl_za762returnza7d2walk2266z00,
		BGl_z62returnzd2walkz12za2zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2exitzd2returnzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2exitza7d2r2267za7,
		BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2getzd2exitdzd2topzf3zd2envzf3zzreturn_walkz00,
		BgL_bgl_za762isza7d2getza7d2ex2268za7,
		BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762initza7d2return2269z00,
		BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_GENERIC(BGl_returnz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza712za770za72270z00,
		BGl_z62returnz12z70zzreturn_walkz00, 0L, BUNSPEC, 3);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
		BgL_bgl_za762returnza7d2goto2271z00,
		BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2unwindzd2untilzf3zd2envz21zzreturn_walkz00,
		BgL_bgl_za762isza7d2unwindza7d2272za7,
		BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2popzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void *) (&BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00));
		     ADD_ROOT((void
				*) (&BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00));
		     ADD_ROOT((void *) (&BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00));
		   
			 ADD_ROOT((void
				*) (&BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long
		BgL_checksumz00_3842, char *BgL_fromz00_3843)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzreturn_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzreturn_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzreturn_walkz00();
					BGl_libraryzd2moduleszd2initz00zzreturn_walkz00();
					BGl_cnstzd2initzd2zzreturn_walkz00();
					BGl_importedzd2moduleszd2initz00zzreturn_walkz00();
					BGl_genericzd2initzd2zzreturn_walkz00();
					BGl_methodzd2initzd2zzreturn_walkz00();
					return BGl_toplevelzd2initzd2zzreturn_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"return_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "return_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "return_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			{	/* Return/walk.scm 16 */
				obj_t BgL_cportz00_3740;

				{	/* Return/walk.scm 16 */
					obj_t BgL_stringz00_3747;

					BgL_stringz00_3747 = BGl_string2238z00zzreturn_walkz00;
					{	/* Return/walk.scm 16 */
						obj_t BgL_startz00_3748;

						BgL_startz00_3748 = BINT(0L);
						{	/* Return/walk.scm 16 */
							obj_t BgL_endz00_3749;

							BgL_endz00_3749 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3747)));
							{	/* Return/walk.scm 16 */

								BgL_cportz00_3740 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3747, BgL_startz00_3748, BgL_endz00_3749);
				}}}}
				{
					long BgL_iz00_3741;

					BgL_iz00_3741 = 14L;
				BgL_loopz00_3742:
					if ((BgL_iz00_3741 == -1L))
						{	/* Return/walk.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Return/walk.scm 16 */
							{	/* Return/walk.scm 16 */
								obj_t BgL_arg2239z00_3743;

								{	/* Return/walk.scm 16 */

									{	/* Return/walk.scm 16 */
										obj_t BgL_locationz00_3745;

										BgL_locationz00_3745 = BBOOL(((bool_t) 0));
										{	/* Return/walk.scm 16 */

											BgL_arg2239z00_3743 =
												BGl_readz00zz__readerz00(BgL_cportz00_3740,
												BgL_locationz00_3745);
										}
									}
								}
								{	/* Return/walk.scm 16 */
									int BgL_tmpz00_3877;

									BgL_tmpz00_3877 = (int) (BgL_iz00_3741);
									CNST_TABLE_SET(BgL_tmpz00_3877, BgL_arg2239z00_3743);
							}}
							{	/* Return/walk.scm 16 */
								int BgL_auxz00_3746;

								BgL_auxz00_3746 = (int) ((BgL_iz00_3741 - 1L));
								{
									long BgL_iz00_3882;

									BgL_iz00_3882 = (long) (BgL_auxz00_3746);
									BgL_iz00_3741 = BgL_iz00_3882;
									goto BgL_loopz00_3742;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BUNSPEC;
			BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BUNSPEC;
			BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 = BUNSPEC;
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BUNSPEC;
			return BUNSPEC;
		}

	}



/* return-walk! */
	BGL_EXPORTED_DEF obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Return/walk.scm 43 */
			{	/* Return/walk.scm 44 */
				obj_t BgL_list1451z00_1493;

				{	/* Return/walk.scm 44 */
					obj_t BgL_arg1452z00_1494;

					{	/* Return/walk.scm 44 */
						obj_t BgL_arg1453z00_1495;

						BgL_arg1453z00_1495 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1452z00_1494 =
							MAKE_YOUNG_PAIR(BGl_string2215z00zzreturn_walkz00,
							BgL_arg1453z00_1495);
					}
					BgL_list1451z00_1493 =
						MAKE_YOUNG_PAIR(BGl_string2216z00zzreturn_walkz00,
						BgL_arg1452z00_1494);
				}
				BGl_verbosez00zztools_speekz00(BINT(1L), BgL_list1451z00_1493);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(0L);
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2215z00zzreturn_walkz00;
			{	/* Return/walk.scm 44 */
				obj_t BgL_g1117z00_1496;
				obj_t BgL_g1118z00_1497;

				{	/* Return/walk.scm 44 */
					obj_t BgL_list1495z00_1510;

					BgL_list1495z00_1510 =
						MAKE_YOUNG_PAIR
						(BGl_initzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
					BgL_g1117z00_1496 = BgL_list1495z00_1510;
				}
				BgL_g1118z00_1497 = CNST_TABLE_REF(0L);
				{
					obj_t BgL_hooksz00_1499;
					obj_t BgL_hnamesz00_1500;

					BgL_hooksz00_1499 = BgL_g1117z00_1496;
					BgL_hnamesz00_1500 = BgL_g1118z00_1497;
				BgL_zc3z04anonymousza31454ze3z87_1501:
					if (NULLP(BgL_hooksz00_1499))
						{	/* Return/walk.scm 44 */
							CNST_TABLE_REF(1L);
						}
					else
						{	/* Return/walk.scm 44 */
							bool_t BgL_test2276z00_3897;

							{	/* Return/walk.scm 44 */
								obj_t BgL_fun1494z00_1508;

								BgL_fun1494z00_1508 = CAR(((obj_t) BgL_hooksz00_1499));
								BgL_test2276z00_3897 =
									CBOOL(
									(VA_PROCEDUREP(BgL_fun1494z00_1508) ? ((obj_t(*)(obj_t,
													...))
											PROCEDURE_ENTRY(BgL_fun1494z00_1508))
										(BgL_fun1494z00_1508,
											BEOA) : ((obj_t(*)(obj_t))
											PROCEDURE_ENTRY(BgL_fun1494z00_1508))
										(BgL_fun1494z00_1508)));
							}
							if (BgL_test2276z00_3897)
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1479z00_1505;
									obj_t BgL_arg1491z00_1506;

									BgL_arg1479z00_1505 = CDR(((obj_t) BgL_hooksz00_1499));
									BgL_arg1491z00_1506 = CDR(((obj_t) BgL_hnamesz00_1500));
									{
										obj_t BgL_hnamesz00_3909;
										obj_t BgL_hooksz00_3908;

										BgL_hooksz00_3908 = BgL_arg1479z00_1505;
										BgL_hnamesz00_3909 = BgL_arg1491z00_1506;
										BgL_hnamesz00_1500 = BgL_hnamesz00_3909;
										BgL_hooksz00_1499 = BgL_hooksz00_3908;
										goto BgL_zc3z04anonymousza31454ze3z87_1501;
									}
								}
							else
								{	/* Return/walk.scm 44 */
									obj_t BgL_arg1492z00_1507;

									BgL_arg1492z00_1507 = CAR(((obj_t) BgL_hnamesz00_1500));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2215z00zzreturn_walkz00,
										BGl_string2217z00zzreturn_walkz00, BgL_arg1492z00_1507);
								}
						}
				}
			}
			{
				obj_t BgL_l1369z00_1512;

				BgL_l1369z00_1512 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31496ze3z87_1513:
				if (PAIRP(BgL_l1369z00_1512))
					{	/* Return/walk.scm 45 */
						BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1369z00_1512));
						{
							obj_t BgL_l1369z00_3917;

							BgL_l1369z00_3917 = CDR(BgL_l1369z00_1512);
							BgL_l1369z00_1512 = BgL_l1369z00_3917;
							goto BgL_zc3z04anonymousza31496ze3z87_1513;
						}
					}
				else
					{	/* Return/walk.scm 45 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) > 0L))
				{	/* Return/walk.scm 46 */
					{	/* Return/walk.scm 46 */
						obj_t BgL_port1371z00_1520;

						{	/* Return/walk.scm 46 */
							obj_t BgL_tmpz00_3922;

							BgL_tmpz00_3922 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_port1371z00_1520 =
								BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_3922);
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1371z00_1520);
						bgl_display_string(BGl_string2218z00zzreturn_walkz00,
							BgL_port1371z00_1520);
						{	/* Return/walk.scm 46 */
							obj_t BgL_arg1532z00_1521;

							{	/* Return/walk.scm 46 */
								bool_t BgL_test2279z00_3927;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Return/walk.scm 46 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Return/walk.scm 46 */
												BgL_test2279z00_3927 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> 1L);
											}
										else
											{	/* Return/walk.scm 46 */
												BgL_test2279z00_3927 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(1L));
											}
									}
								else
									{	/* Return/walk.scm 46 */
										BgL_test2279z00_3927 = ((bool_t) 0);
									}
								if (BgL_test2279z00_3927)
									{	/* Return/walk.scm 46 */
										BgL_arg1532z00_1521 = BGl_string2219z00zzreturn_walkz00;
									}
								else
									{	/* Return/walk.scm 46 */
										BgL_arg1532z00_1521 = BGl_string2220z00zzreturn_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1532z00_1521, BgL_port1371z00_1520);
						}
						bgl_display_string(BGl_string2221z00zzreturn_walkz00,
							BgL_port1371z00_1520);
						bgl_display_char(((unsigned char) 10), BgL_port1371z00_1520);
					}
					{	/* Return/walk.scm 46 */
						obj_t BgL_list1535z00_1525;

						BgL_list1535z00_1525 = MAKE_YOUNG_PAIR(BINT(-1L), BNIL);
						BGL_TAIL return BGl_exitz00zz__errorz00(BgL_list1535z00_1525);
					}
				}
			else
				{	/* Return/walk.scm 46 */
					obj_t BgL_g1119z00_1526;
					obj_t BgL_g1120z00_1527;

					{	/* Return/walk.scm 46 */
						obj_t BgL_list1549z00_1540;

						BgL_list1549z00_1540 =
							MAKE_YOUNG_PAIR
							(BGl_clearzd2returnzd2cachez12zd2envzc0zzreturn_walkz00, BNIL);
						BgL_g1119z00_1526 = BgL_list1549z00_1540;
					}
					BgL_g1120z00_1527 = CNST_TABLE_REF(2L);
					{
						obj_t BgL_hooksz00_1529;
						obj_t BgL_hnamesz00_1530;

						BgL_hooksz00_1529 = BgL_g1119z00_1526;
						BgL_hnamesz00_1530 = BgL_g1120z00_1527;
					BgL_zc3z04anonymousza31536ze3z87_1531:
						if (NULLP(BgL_hooksz00_1529))
							{	/* Return/walk.scm 46 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Return/walk.scm 46 */
								bool_t BgL_test2283z00_3946;

								{	/* Return/walk.scm 46 */
									obj_t BgL_fun1548z00_1538;

									BgL_fun1548z00_1538 = CAR(((obj_t) BgL_hooksz00_1529));
									BgL_test2283z00_3946 =
										CBOOL(
										(VA_PROCEDUREP(BgL_fun1548z00_1538) ? ((obj_t(*)(obj_t,
														...))
												PROCEDURE_ENTRY(BgL_fun1548z00_1538))
											(BgL_fun1548z00_1538,
												BEOA) : ((obj_t(*)(obj_t))
												PROCEDURE_ENTRY(BgL_fun1548z00_1538))
											(BgL_fun1548z00_1538)));
								}
								if (BgL_test2283z00_3946)
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1545z00_1535;
										obj_t BgL_arg1546z00_1536;

										BgL_arg1545z00_1535 = CDR(((obj_t) BgL_hooksz00_1529));
										BgL_arg1546z00_1536 = CDR(((obj_t) BgL_hnamesz00_1530));
										{
											obj_t BgL_hnamesz00_3958;
											obj_t BgL_hooksz00_3957;

											BgL_hooksz00_3957 = BgL_arg1545z00_1535;
											BgL_hnamesz00_3958 = BgL_arg1546z00_1536;
											BgL_hnamesz00_1530 = BgL_hnamesz00_3958;
											BgL_hooksz00_1529 = BgL_hooksz00_3957;
											goto BgL_zc3z04anonymousza31536ze3z87_1531;
										}
									}
								else
									{	/* Return/walk.scm 46 */
										obj_t BgL_arg1547z00_1537;

										BgL_arg1547z00_1537 = CAR(((obj_t) BgL_hnamesz00_1530));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2222z00zzreturn_walkz00, BgL_arg1547z00_1537);
									}
							}
					}
				}
		}

	}



/* &return-walk! */
	obj_t BGl_z62returnzd2walkz12za2zzreturn_walkz00(obj_t BgL_envz00_3676,
		obj_t BgL_globalsz00_3677)
	{
		{	/* Return/walk.scm 43 */
			return BGl_returnzd2walkz12zc0zzreturn_walkz00(BgL_globalsz00_3677);
		}

	}



/* init-return-cache! */
	BGL_EXPORTED_DEF obj_t BGl_initzd2returnzd2cachez12z12zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 64 */
			{	/* Return/walk.scm 65 */
				bool_t BgL_test2284z00_3963;

				{	/* Return/walk.scm 65 */
					obj_t BgL_objz00_2479;

					BgL_objz00_2479 = BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00;
					{	/* Return/walk.scm 65 */
						obj_t BgL_classz00_2480;

						BgL_classz00_2480 = BGl_globalz00zzast_varz00;
						if (BGL_OBJECTP(BgL_objz00_2479))
							{	/* Return/walk.scm 65 */
								BgL_objectz00_bglt BgL_arg1801z00_2482;

								BgL_arg1801z00_2482 = (BgL_objectz00_bglt) (BgL_objz00_2479);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Return/walk.scm 65 */
										long BgL_idxz00_2488;

										BgL_idxz00_2488 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2482);
										BgL_test2284z00_3963 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2488 + 2L)) == BgL_classz00_2480);
									}
								else
									{	/* Return/walk.scm 65 */
										bool_t BgL_res2168z00_2510;

										{	/* Return/walk.scm 65 */
											obj_t BgL_oclassz00_2496;

											{	/* Return/walk.scm 65 */
												long BgL_arg1808z00_2502;

												{	/* Return/walk.scm 65 */
													long BgL_arg1809z00_2503;

													BgL_arg1809z00_2503 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2482);
													BgL_arg1808z00_2502 =
														(BgL_arg1809z00_2503 - OBJECT_TYPE);
												}
												BgL_oclassz00_2496 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_2502);
											}
											{	/* Return/walk.scm 65 */
												bool_t BgL__ortest_1115z00_2497;

												BgL__ortest_1115z00_2497 =
													(BgL_classz00_2480 == BgL_oclassz00_2496);
												if (BgL__ortest_1115z00_2497)
													{	/* Return/walk.scm 65 */
														BgL_res2168z00_2510 = BgL__ortest_1115z00_2497;
													}
												else
													{	/* Return/walk.scm 65 */
														long BgL_odepthz00_2498;

														BgL_odepthz00_2498 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2496);
														if ((2L < BgL_odepthz00_2498))
															{	/* Return/walk.scm 65 */
																obj_t BgL_arg1797z00_2500;

																BgL_arg1797z00_2500 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2496,
																	2L);
																BgL_res2168z00_2510 =
																	(BgL_arg1797z00_2500 == BgL_classz00_2480);
															}
														else
															{	/* Return/walk.scm 65 */
																BgL_res2168z00_2510 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2284z00_3963 = BgL_res2168z00_2510;
									}
							}
						else
							{	/* Return/walk.scm 65 */
								BgL_test2284z00_3963 = ((bool_t) 0);
							}
					}
				}
				if (BgL_test2284z00_3963)
					{	/* Return/walk.scm 65 */
						BFALSE;
					}
				else
					{	/* Return/walk.scm 65 */
						{	/* Return/walk.scm 66 */
							obj_t BgL_list1551z00_1542;

							BgL_list1551z00_1542 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(4L),
								BgL_list1551z00_1542);
						}
						{	/* Return/walk.scm 67 */
							obj_t BgL_list1552z00_1543;

							BgL_list1552z00_1543 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(5L),
								BgL_list1552z00_1543);
						}
						{	/* Return/walk.scm 68 */
							obj_t BgL_list1553z00_1544;

							BgL_list1553z00_1544 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(6L),
								BgL_list1553z00_1544);
						}
						{	/* Return/walk.scm 69 */
							obj_t BgL_list1554z00_1545;

							BgL_list1554z00_1545 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(7L),
								BgL_list1554z00_1545);
						}
						{	/* Return/walk.scm 70 */
							obj_t BgL_list1555z00_1546;

							BgL_list1555z00_1546 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(8L), BNIL);
							BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(9L),
								BgL_list1555z00_1546);
						}
						{	/* Return/walk.scm 71 */
							obj_t BgL_list1556z00_1547;

							BgL_list1556z00_1547 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(10L),
								BgL_list1556z00_1547);
						}
						{	/* Return/walk.scm 72 */
							obj_t BgL_list1557z00_1548;

							BgL_list1557z00_1548 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(11L),
								BgL_list1557z00_1548);
						}
						{	/* Return/walk.scm 73 */
							obj_t BgL_list1558z00_1549;

							BgL_list1558z00_1549 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(12L),
								BgL_list1558z00_1549);
						}
						{	/* Return/walk.scm 74 */
							obj_t BgL_list1559z00_1550;

							BgL_list1559z00_1550 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(3L), BNIL);
							BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(13L),
								BgL_list1559z00_1550);
						}
					}
			}
			return BUNSPEC;
		}

	}



/* &init-return-cache! */
	obj_t BGl_z62initzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3678)
	{
		{	/* Return/walk.scm 64 */
			return BGl_initzd2returnzd2cachez12z12zzreturn_walkz00();
		}

	}



/* &clear-return-cache! */
	obj_t BGl_z62clearzd2returnzd2cachez12z70zzreturn_walkz00(obj_t
		BgL_envz00_3679)
	{
		{	/* Return/walk.scm 80 */
			BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00 = BFALSE;
			BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00 = BFALSE;
			BGl_za2popzd2exitz12za2zc0zzreturn_walkz00 = BFALSE;
			return (BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00 =
				BFALSE, BUNSPEC);
		}

	}



/* return-fun! */
	obj_t BGl_returnzd2funz12zc0zzreturn_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Return/walk.scm 93 */
			{	/* Return/walk.scm 94 */
				obj_t BgL_arg1560z00_1551;

				BgL_arg1560z00_1551 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1560z00_1551);
			}
			{	/* Return/walk.scm 95 */
				BgL_valuez00_bglt BgL_funz00_1552;

				BgL_funz00_1552 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Return/walk.scm 95 */
					obj_t BgL_bodyz00_1553;

					BgL_bodyz00_1553 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1552)))->BgL_bodyz00);
					{	/* Return/walk.scm 96 */
						obj_t BgL_exitz00_1554;

						BgL_exitz00_1554 =
							BGl_functionzd2exitzd2nodez00zzreturn_walkz00(
							((BgL_nodez00_bglt) BgL_bodyz00_1553));
						{	/* Return/walk.scm 97 */

							if (PAIRP(BgL_exitz00_1554))
								{	/* Return/walk.scm 99 */
									obj_t BgL_exitvarz00_1556;
									obj_t BgL_exitnodez00_1557;

									BgL_exitvarz00_1556 = CAR(BgL_exitz00_1554);
									BgL_exitnodez00_1557 = CDR(BgL_exitz00_1554);
									if (BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_exitnodez00_1557),
											((BgL_localz00_bglt) BgL_exitvarz00_1556)))
										{	/* Return/walk.scm 102 */
											BgL_retblockz00_bglt BgL_rblockz00_1559;

											{	/* Return/walk.scm 102 */
												BgL_retblockz00_bglt BgL_new1123z00_1561;

												{	/* Return/walk.scm 103 */
													BgL_retblockz00_bglt BgL_new1122z00_1562;

													BgL_new1122z00_1562 =
														((BgL_retblockz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_retblockz00_bgl))));
													{	/* Return/walk.scm 103 */
														long BgL_arg1563z00_1563;

														BgL_arg1563z00_1563 =
															BGL_CLASS_NUM(BGl_retblockz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1122z00_1562),
															BgL_arg1563z00_1563);
													}
													{	/* Return/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_4041;

														BgL_tmpz00_4041 =
															((BgL_objectz00_bglt) BgL_new1122z00_1562);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4041, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1122z00_1562);
													BgL_new1123z00_1561 = BgL_new1122z00_1562;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1123z00_1561)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_bodyz00_1553)))->BgL_locz00)), BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1123z00_1561)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt)
																		BgL_exitnodez00_1557)))->BgL_typez00)),
													BUNSPEC);
												((((BgL_retblockz00_bglt)
															COBJECT(BgL_new1123z00_1561))->BgL_bodyz00) =
													((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
															BgL_bodyz00_1553)), BUNSPEC);
												BgL_rblockz00_1559 = BgL_new1123z00_1561;
											}
											((((BgL_retblockz00_bglt) COBJECT(BgL_rblockz00_1559))->
													BgL_bodyz00) =
												((BgL_nodez00_bglt)
													BGl_returnz12z12zzreturn_walkz00(((BgL_nodez00_bglt)
															BgL_exitnodez00_1557),
														((BgL_localz00_bglt) BgL_exitvarz00_1556),
														BgL_rblockz00_1559)), BUNSPEC);
											{	/* Return/walk.scm 108 */
												obj_t BgL_vz00_2523;

												BgL_vz00_2523 = CNST_TABLE_REF(14L);
												((((BgL_sfunz00_bglt) COBJECT(
																((BgL_sfunz00_bglt) BgL_funz00_1552)))->
														BgL_classz00) = ((obj_t) BgL_vz00_2523), BUNSPEC);
											}
											((((BgL_sfunz00_bglt) COBJECT(
															((BgL_sfunz00_bglt) BgL_funz00_1552)))->
													BgL_bodyz00) =
												((obj_t) ((obj_t) BgL_rblockz00_1559)), BUNSPEC);
										}
									else
										{	/* Return/walk.scm 101 */
											BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 98 */
									BFALSE;
								}
							if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
								{	/* Return/walk.scm 110 */
									((obj_t)
										BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
											((BgL_nodez00_bglt) BgL_bodyz00_1553)));
								}
							else
								{	/* Return/walk.scm 110 */
									BFALSE;
								}
							BGl_leavezd2functionzd2zztools_errorz00();
							return BgL_varz00_18;
						}
					}
				}
			}
		}

	}



/* function-exit-node */
	obj_t BGl_functionzd2exitzd2nodez00zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_19)
	{
		{	/* Return/walk.scm 145 */
			{
				BgL_nodez00_bglt BgL_nodez00_1691;
				BgL_localz00_bglt BgL_varz00_1692;
				BgL_nodez00_bglt BgL_nodez00_1719;
				BgL_localz00_bglt BgL_varz00_1720;
				obj_t BgL_envz00_1721;
				BgL_nodez00_bglt BgL_nodez00_1748;
				BgL_nodez00_bglt BgL_nodez00_1775;
				obj_t BgL_envz00_1776;
				BgL_nodez00_bglt BgL_nodez00_1820;
				BgL_localz00_bglt BgL_exitvarz00_1821;
				BgL_nodez00_bglt BgL_nodez00_1842;
				BgL_localz00_bglt BgL_exitvarz00_1843;
				obj_t BgL_envz00_1844;
				obj_t BgL_nodesz00_1875;
				BgL_localz00_bglt BgL_varz00_1876;
				obj_t BgL_nodesz00_1893;
				BgL_localz00_bglt BgL_varz00_1894;
				obj_t BgL_envz00_1895;
				BgL_nodez00_bglt BgL_bodyz00_1912;
				BgL_varz00_bglt BgL_varz00_1913;
				BgL_nodez00_bglt BgL_bodyz00_1929;
				BgL_varz00_bglt BgL_varz00_1930;

				{	/* Return/walk.scm 320 */
					bool_t BgL_test2292z00_4071;

					{	/* Return/walk.scm 320 */
						obj_t BgL_classz00_3393;

						BgL_classz00_3393 = BGl_setzd2exzd2itz00zzast_nodez00;
						{	/* Return/walk.scm 320 */
							BgL_objectz00_bglt BgL_arg1801z00_3395;

							{	/* Return/walk.scm 320 */
								obj_t BgL_tmpz00_4072;

								BgL_tmpz00_4072 = ((obj_t) BgL_nodez00_19);
								BgL_arg1801z00_3395 = (BgL_objectz00_bglt) (BgL_tmpz00_4072);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 320 */
									long BgL_idxz00_3401;

									BgL_idxz00_3401 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3395);
									BgL_test2292z00_4071 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3401 + 2L)) == BgL_classz00_3393);
								}
							else
								{	/* Return/walk.scm 320 */
									bool_t BgL_res2194z00_3423;

									{	/* Return/walk.scm 320 */
										obj_t BgL_oclassz00_3409;

										{	/* Return/walk.scm 320 */
											long BgL_arg1808z00_3415;

											{	/* Return/walk.scm 320 */
												long BgL_arg1809z00_3416;

												BgL_arg1809z00_3416 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3395);
												BgL_arg1808z00_3415 =
													(BgL_arg1809z00_3416 - OBJECT_TYPE);
											}
											BgL_oclassz00_3409 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_3415);
										}
										{	/* Return/walk.scm 320 */
											bool_t BgL__ortest_1115z00_3410;

											BgL__ortest_1115z00_3410 =
												(BgL_classz00_3393 == BgL_oclassz00_3409);
											if (BgL__ortest_1115z00_3410)
												{	/* Return/walk.scm 320 */
													BgL_res2194z00_3423 = BgL__ortest_1115z00_3410;
												}
											else
												{	/* Return/walk.scm 320 */
													long BgL_odepthz00_3411;

													BgL_odepthz00_3411 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3409);
													if ((2L < BgL_odepthz00_3411))
														{	/* Return/walk.scm 320 */
															obj_t BgL_arg1797z00_3413;

															BgL_arg1797z00_3413 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3409, 2L);
															BgL_res2194z00_3423 =
																(BgL_arg1797z00_3413 == BgL_classz00_3393);
														}
													else
														{	/* Return/walk.scm 320 */
															BgL_res2194z00_3423 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2292z00_4071 = BgL_res2194z00_3423;
								}
						}
					}
					if (BgL_test2292z00_4071)
						{	/* Return/walk.scm 322 */
							obj_t BgL__ortest_1178z00_1581;

							{	/* Return/walk.scm 322 */
								BgL_nodez00_bglt BgL_arg1576z00_1584;
								BgL_varz00_bglt BgL_arg1578z00_1585;

								BgL_arg1576z00_1584 =
									(((BgL_setzd2exzd2itz00_bglt) COBJECT(
											((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_bodyz00);
								BgL_arg1578z00_1585 =
									(((BgL_setzd2exzd2itz00_bglt)
										COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
									BgL_varz00);
								BgL_bodyz00_1912 = BgL_arg1576z00_1584;
								BgL_varz00_1913 = BgL_arg1578z00_1585;
								{	/* Return/walk.scm 298 */
									bool_t BgL_test2296z00_4095;

									{	/* Return/walk.scm 298 */
										obj_t BgL_classz00_3225;

										BgL_classz00_3225 = BGl_letzd2varzd2zzast_nodez00;
										{	/* Return/walk.scm 298 */
											BgL_objectz00_bglt BgL_arg1801z00_3227;

											{	/* Return/walk.scm 298 */
												obj_t BgL_tmpz00_4096;

												BgL_tmpz00_4096 = ((obj_t) BgL_bodyz00_1912);
												BgL_arg1801z00_3227 =
													(BgL_objectz00_bglt) (BgL_tmpz00_4096);
											}
											if (BGL_CONDEXPAND_ISA_ARCH64())
												{	/* Return/walk.scm 298 */
													long BgL_idxz00_3233;

													BgL_idxz00_3233 =
														BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3227);
													BgL_test2296z00_4095 =
														(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
															(BgL_idxz00_3233 + 3L)) == BgL_classz00_3225);
												}
											else
												{	/* Return/walk.scm 298 */
													bool_t BgL_res2189z00_3255;

													{	/* Return/walk.scm 298 */
														obj_t BgL_oclassz00_3241;

														{	/* Return/walk.scm 298 */
															long BgL_arg1808z00_3247;

															{	/* Return/walk.scm 298 */
																long BgL_arg1809z00_3248;

																BgL_arg1809z00_3248 =
																	BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3227);
																BgL_arg1808z00_3247 =
																	(BgL_arg1809z00_3248 - OBJECT_TYPE);
															}
															BgL_oclassz00_3241 =
																VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																BgL_arg1808z00_3247);
														}
														{	/* Return/walk.scm 298 */
															bool_t BgL__ortest_1115z00_3242;

															BgL__ortest_1115z00_3242 =
																(BgL_classz00_3225 == BgL_oclassz00_3241);
															if (BgL__ortest_1115z00_3242)
																{	/* Return/walk.scm 298 */
																	BgL_res2189z00_3255 =
																		BgL__ortest_1115z00_3242;
																}
															else
																{	/* Return/walk.scm 298 */
																	long BgL_odepthz00_3243;

																	BgL_odepthz00_3243 =
																		BGL_CLASS_DEPTH(BgL_oclassz00_3241);
																	if ((3L < BgL_odepthz00_3243))
																		{	/* Return/walk.scm 298 */
																			obj_t BgL_arg1797z00_3245;

																			BgL_arg1797z00_3245 =
																				BGL_CLASS_ANCESTORS_REF
																				(BgL_oclassz00_3241, 3L);
																			BgL_res2189z00_3255 =
																				(BgL_arg1797z00_3245 ==
																				BgL_classz00_3225);
																		}
																	else
																		{	/* Return/walk.scm 298 */
																			BgL_res2189z00_3255 = ((bool_t) 0);
																		}
																}
														}
													}
													BgL_test2296z00_4095 = BgL_res2189z00_3255;
												}
										}
									}
									if (BgL_test2296z00_4095)
										{	/* Return/walk.scm 300 */
											bool_t BgL_test2300z00_4115;

											{	/* Return/walk.scm 300 */
												bool_t BgL_test2301z00_4116;

												{	/* Return/walk.scm 300 */
													BgL_nodez00_bglt BgL_arg1968z00_1928;

													BgL_arg1968z00_1928 =
														(((BgL_letzd2varzd2_bglt) COBJECT(
																((BgL_letzd2varzd2_bglt) BgL_bodyz00_1912)))->
														BgL_bodyz00);
													{	/* Return/walk.scm 300 */
														obj_t BgL_classz00_3256;

														BgL_classz00_3256 = BGl_sequencez00zzast_nodez00;
														{	/* Return/walk.scm 300 */
															BgL_objectz00_bglt BgL_arg1801z00_3258;

															{	/* Return/walk.scm 300 */
																obj_t BgL_tmpz00_4119;

																BgL_tmpz00_4119 =
																	((obj_t)
																	((BgL_objectz00_bglt) BgL_arg1968z00_1928));
																BgL_arg1801z00_3258 =
																	(BgL_objectz00_bglt) (BgL_tmpz00_4119);
															}
															if (BGL_CONDEXPAND_ISA_ARCH64())
																{	/* Return/walk.scm 300 */
																	long BgL_idxz00_3264;

																	BgL_idxz00_3264 =
																		BGL_OBJECT_INHERITANCE_NUM
																		(BgL_arg1801z00_3258);
																	BgL_test2301z00_4116 =
																		(VECTOR_REF
																		(BGl_za2inheritancesza2z00zz__objectz00,
																			(BgL_idxz00_3264 + 3L)) ==
																		BgL_classz00_3256);
																}
															else
																{	/* Return/walk.scm 300 */
																	bool_t BgL_res2190z00_3286;

																	{	/* Return/walk.scm 300 */
																		obj_t BgL_oclassz00_3272;

																		{	/* Return/walk.scm 300 */
																			long BgL_arg1808z00_3278;

																			{	/* Return/walk.scm 300 */
																				long BgL_arg1809z00_3279;

																				BgL_arg1809z00_3279 =
																					BGL_OBJECT_CLASS_NUM
																					(BgL_arg1801z00_3258);
																				BgL_arg1808z00_3278 =
																					(BgL_arg1809z00_3279 - OBJECT_TYPE);
																			}
																			BgL_oclassz00_3272 =
																				VECTOR_REF
																				(BGl_za2classesza2z00zz__objectz00,
																				BgL_arg1808z00_3278);
																		}
																		{	/* Return/walk.scm 300 */
																			bool_t BgL__ortest_1115z00_3273;

																			BgL__ortest_1115z00_3273 =
																				(BgL_classz00_3256 ==
																				BgL_oclassz00_3272);
																			if (BgL__ortest_1115z00_3273)
																				{	/* Return/walk.scm 300 */
																					BgL_res2190z00_3286 =
																						BgL__ortest_1115z00_3273;
																				}
																			else
																				{	/* Return/walk.scm 300 */
																					long BgL_odepthz00_3274;

																					BgL_odepthz00_3274 =
																						BGL_CLASS_DEPTH(BgL_oclassz00_3272);
																					if ((3L < BgL_odepthz00_3274))
																						{	/* Return/walk.scm 300 */
																							obj_t BgL_arg1797z00_3276;

																							BgL_arg1797z00_3276 =
																								BGL_CLASS_ANCESTORS_REF
																								(BgL_oclassz00_3272, 3L);
																							BgL_res2190z00_3286 =
																								(BgL_arg1797z00_3276 ==
																								BgL_classz00_3256);
																						}
																					else
																						{	/* Return/walk.scm 300 */
																							BgL_res2190z00_3286 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	BgL_test2301z00_4116 = BgL_res2190z00_3286;
																}
														}
													}
												}
												if (BgL_test2301z00_4116)
													{	/* Return/walk.scm 300 */
														BgL_test2300z00_4115 =
															NULLP(
															(((BgL_letzd2varzd2_bglt) COBJECT(
																		((BgL_letzd2varzd2_bglt)
																			BgL_bodyz00_1912)))->BgL_bindingsz00));
													}
												else
													{	/* Return/walk.scm 300 */
														BgL_test2300z00_4115 = ((bool_t) 0);
													}
											}
											if (BgL_test2300z00_4115)
												{	/* Return/walk.scm 301 */
													BgL_sequencez00_bglt BgL_i1170z00_1922;

													BgL_i1170z00_1922 =
														((BgL_sequencez00_bglt)
														(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1912)))->
															BgL_bodyz00));
													{	/* Return/walk.scm 303 */
														obj_t BgL_arg1965z00_1924;
														BgL_variablez00_bglt BgL_arg1966z00_1925;

														BgL_arg1965z00_1924 =
															(((BgL_sequencez00_bglt)
																COBJECT(BgL_i1170z00_1922))->BgL_nodesz00);
														BgL_arg1966z00_1925 =
															(((BgL_varz00_bglt) COBJECT(BgL_varz00_1913))->
															BgL_variablez00);
														BgL_nodesz00_1875 = BgL_arg1965z00_1924;
														BgL_varz00_1876 =
															((BgL_localz00_bglt) BgL_arg1966z00_1925);
														{	/* Return/walk.scm 280 */
															bool_t BgL_test2305z00_4147;

															if ((bgl_list_length(BgL_nodesz00_1875) == 2L))
																{	/* Return/walk.scm 280 */
																	BgL_nodez00_1820 =
																		((BgL_nodez00_bglt)
																		CAR(((obj_t) BgL_nodesz00_1875)));
																	BgL_exitvarz00_1821 = BgL_varz00_1876;
																	{	/* Return/walk.scm 247 */
																		bool_t BgL_test2307z00_4151;

																		{	/* Return/walk.scm 247 */
																			obj_t BgL_classz00_3032;

																			BgL_classz00_3032 =
																				BGl_appz00zzast_nodez00;
																			{	/* Return/walk.scm 247 */
																				BgL_objectz00_bglt BgL_arg1801z00_3034;

																				{	/* Return/walk.scm 247 */
																					obj_t BgL_tmpz00_4152;

																					BgL_tmpz00_4152 =
																						((obj_t) BgL_nodez00_1820);
																					BgL_arg1801z00_3034 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4152);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Return/walk.scm 247 */
																						long BgL_idxz00_3040;

																						BgL_idxz00_3040 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1801z00_3034);
																						BgL_test2307z00_4151 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_3040 + 3L)) ==
																							BgL_classz00_3032);
																					}
																				else
																					{	/* Return/walk.scm 247 */
																						bool_t BgL_res2184z00_3062;

																						{	/* Return/walk.scm 247 */
																							obj_t BgL_oclassz00_3048;

																							{	/* Return/walk.scm 247 */
																								long BgL_arg1808z00_3054;

																								{	/* Return/walk.scm 247 */
																									long BgL_arg1809z00_3055;

																									BgL_arg1809z00_3055 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1801z00_3034);
																									BgL_arg1808z00_3054 =
																										(BgL_arg1809z00_3055 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_3048 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1808z00_3054);
																							}
																							{	/* Return/walk.scm 247 */
																								bool_t BgL__ortest_1115z00_3049;

																								BgL__ortest_1115z00_3049 =
																									(BgL_classz00_3032 ==
																									BgL_oclassz00_3048);
																								if (BgL__ortest_1115z00_3049)
																									{	/* Return/walk.scm 247 */
																										BgL_res2184z00_3062 =
																											BgL__ortest_1115z00_3049;
																									}
																								else
																									{	/* Return/walk.scm 247 */
																										long BgL_odepthz00_3050;

																										BgL_odepthz00_3050 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_3048);
																										if ((3L <
																												BgL_odepthz00_3050))
																											{	/* Return/walk.scm 247 */
																												obj_t
																													BgL_arg1797z00_3052;
																												BgL_arg1797z00_3052 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_3048,
																													3L);
																												BgL_res2184z00_3062 =
																													(BgL_arg1797z00_3052
																													== BgL_classz00_3032);
																											}
																										else
																											{	/* Return/walk.scm 247 */
																												BgL_res2184z00_3062 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2307z00_4151 =
																							BgL_res2184z00_3062;
																					}
																			}
																		}
																		if (BgL_test2307z00_4151)
																			{	/* Return/walk.scm 249 */
																				BgL_varz00_bglt BgL_i1161z00_1825;

																				BgL_i1161z00_1825 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								BgL_nodez00_1820)))->
																					BgL_funz00);
																				{	/* Return/walk.scm 251 */
																					bool_t BgL_test2311z00_4173;

																					{	/* Return/walk.scm 251 */
																						BgL_variablez00_bglt
																							BgL_arg1898z00_1841;
																						BgL_arg1898z00_1841 =
																							(((BgL_varz00_bglt)
																								COBJECT(BgL_i1161z00_1825))->
																							BgL_variablez00);
																						BgL_test2311z00_4173 =
																							(((obj_t) BgL_arg1898z00_1841) ==
																							BGl_za2pushzd2exitz12za2zc0zzreturn_walkz00);
																					}
																					if (BgL_test2311z00_4173)
																						{	/* Return/walk.scm 251 */
																							if (
																								(bgl_list_length(
																										(((BgL_appz00_bglt) COBJECT(
																													((BgL_appz00_bglt)
																														BgL_nodez00_1820)))->
																											BgL_argsz00)) == 2L))
																								{	/* Return/walk.scm 255 */
																									bool_t BgL_test2313z00_4182;

																									{	/* Return/walk.scm 255 */
																										obj_t BgL_arg1894z00_1837;

																										{	/* Return/walk.scm 255 */
																											obj_t BgL_pairz00_3064;

																											BgL_pairz00_3064 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1820)))->
																												BgL_argsz00);
																											BgL_arg1894z00_1837 =
																												CAR(BgL_pairz00_3064);
																										}
																										{	/* Return/walk.scm 255 */
																											obj_t BgL_classz00_3065;

																											BgL_classz00_3065 =
																												BGl_varz00zzast_nodez00;
																											if (BGL_OBJECTP
																												(BgL_arg1894z00_1837))
																												{	/* Return/walk.scm 255 */
																													BgL_objectz00_bglt
																														BgL_arg1801z00_3067;
																													BgL_arg1801z00_3067 =
																														(BgL_objectz00_bglt)
																														(BgL_arg1894z00_1837);
																													if (BGL_CONDEXPAND_ISA_ARCH64())
																														{	/* Return/walk.scm 255 */
																															long
																																BgL_idxz00_3073;
																															BgL_idxz00_3073 =
																																BGL_OBJECT_INHERITANCE_NUM
																																(BgL_arg1801z00_3067);
																															BgL_test2313z00_4182
																																=
																																(VECTOR_REF
																																(BGl_za2inheritancesza2z00zz__objectz00,
																																	(BgL_idxz00_3073
																																		+ 2L)) ==
																																BgL_classz00_3065);
																														}
																													else
																														{	/* Return/walk.scm 255 */
																															bool_t
																																BgL_res2185z00_3095;
																															{	/* Return/walk.scm 255 */
																																obj_t
																																	BgL_oclassz00_3081;
																																{	/* Return/walk.scm 255 */
																																	long
																																		BgL_arg1808z00_3087;
																																	{	/* Return/walk.scm 255 */
																																		long
																																			BgL_arg1809z00_3088;
																																		BgL_arg1809z00_3088
																																			=
																																			BGL_OBJECT_CLASS_NUM
																																			(BgL_arg1801z00_3067);
																																		BgL_arg1808z00_3087
																																			=
																																			(BgL_arg1809z00_3088
																																			-
																																			OBJECT_TYPE);
																																	}
																																	BgL_oclassz00_3081
																																		=
																																		VECTOR_REF
																																		(BGl_za2classesza2z00zz__objectz00,
																																		BgL_arg1808z00_3087);
																																}
																																{	/* Return/walk.scm 255 */
																																	bool_t
																																		BgL__ortest_1115z00_3082;
																																	BgL__ortest_1115z00_3082
																																		=
																																		(BgL_classz00_3065
																																		==
																																		BgL_oclassz00_3081);
																																	if (BgL__ortest_1115z00_3082)
																																		{	/* Return/walk.scm 255 */
																																			BgL_res2185z00_3095
																																				=
																																				BgL__ortest_1115z00_3082;
																																		}
																																	else
																																		{	/* Return/walk.scm 255 */
																																			long
																																				BgL_odepthz00_3083;
																																			BgL_odepthz00_3083
																																				=
																																				BGL_CLASS_DEPTH
																																				(BgL_oclassz00_3081);
																																			if ((2L <
																																					BgL_odepthz00_3083))
																																				{	/* Return/walk.scm 255 */
																																					obj_t
																																						BgL_arg1797z00_3085;
																																					BgL_arg1797z00_3085
																																						=
																																						BGL_CLASS_ANCESTORS_REF
																																						(BgL_oclassz00_3081,
																																						2L);
																																					BgL_res2185z00_3095
																																						=
																																						(BgL_arg1797z00_3085
																																						==
																																						BgL_classz00_3065);
																																				}
																																			else
																																				{	/* Return/walk.scm 255 */
																																					BgL_res2185z00_3095
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																}
																															}
																															BgL_test2313z00_4182
																																=
																																BgL_res2185z00_3095;
																														}
																												}
																											else
																												{	/* Return/walk.scm 255 */
																													BgL_test2313z00_4182 =
																														((bool_t) 0);
																												}
																										}
																									}
																									if (BgL_test2313z00_4182)
																										{	/* Return/walk.scm 258 */
																											obj_t BgL_tmpz00_4205;

																											{
																												BgL_variablez00_bglt
																													BgL_auxz00_4206;
																												{
																													BgL_varz00_bglt
																														BgL_auxz00_4207;
																													{	/* Return/walk.scm 256 */
																														obj_t
																															BgL_pairz00_3096;
																														BgL_pairz00_3096 =
																															(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1820)))->BgL_argsz00);
																														BgL_auxz00_4207 =
																															((BgL_varz00_bglt)
																															CAR
																															(BgL_pairz00_3096));
																													}
																													BgL_auxz00_4206 =
																														(((BgL_varz00_bglt)
																															COBJECT
																															(BgL_auxz00_4207))->
																														BgL_variablez00);
																												}
																												BgL_tmpz00_4205 =
																													((obj_t)
																													BgL_auxz00_4206);
																											}
																											BgL_test2305z00_4147 =
																												(BgL_tmpz00_4205 ==
																												((obj_t)
																													BgL_exitvarz00_1821));
																										}
																									else
																										{	/* Return/walk.scm 255 */
																											BgL_test2305z00_4147 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Return/walk.scm 253 */
																									BgL_test2305z00_4147 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Return/walk.scm 251 */
																							BgL_test2305z00_4147 =
																								((bool_t) 0);
																						}
																				}
																			}
																		else
																			{	/* Return/walk.scm 247 */
																				BgL_test2305z00_4147 = ((bool_t) 0);
																			}
																	}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL_test2305z00_4147 = ((bool_t) 0);
																}
															if (BgL_test2305z00_4147)
																{	/* Return/walk.scm 281 */
																	obj_t BgL_bindingz00_1883;

																	{	/* Return/walk.scm 281 */
																		obj_t BgL_pairz00_3206;

																		BgL_pairz00_3206 =
																			CDR(((obj_t) BgL_nodesz00_1875));
																		BgL_nodez00_1748 =
																			((BgL_nodez00_bglt)
																			CAR(BgL_pairz00_3206));
																	}
																	{	/* Return/walk.scm 216 */
																		bool_t BgL_test2318z00_4219;

																		{	/* Return/walk.scm 216 */
																			obj_t BgL_classz00_2866;

																			BgL_classz00_2866 =
																				BGl_letzd2varzd2zzast_nodez00;
																			{	/* Return/walk.scm 216 */
																				BgL_objectz00_bglt BgL_arg1801z00_2868;

																				{	/* Return/walk.scm 216 */
																					obj_t BgL_tmpz00_4220;

																					BgL_tmpz00_4220 =
																						((obj_t) BgL_nodez00_1748);
																					BgL_arg1801z00_2868 =
																						(BgL_objectz00_bglt)
																						(BgL_tmpz00_4220);
																				}
																				if (BGL_CONDEXPAND_ISA_ARCH64())
																					{	/* Return/walk.scm 216 */
																						long BgL_idxz00_2874;

																						BgL_idxz00_2874 =
																							BGL_OBJECT_INHERITANCE_NUM
																							(BgL_arg1801z00_2868);
																						BgL_test2318z00_4219 =
																							(VECTOR_REF
																							(BGl_za2inheritancesza2z00zz__objectz00,
																								(BgL_idxz00_2874 + 3L)) ==
																							BgL_classz00_2866);
																					}
																				else
																					{	/* Return/walk.scm 216 */
																						bool_t BgL_res2179z00_2896;

																						{	/* Return/walk.scm 216 */
																							obj_t BgL_oclassz00_2882;

																							{	/* Return/walk.scm 216 */
																								long BgL_arg1808z00_2888;

																								{	/* Return/walk.scm 216 */
																									long BgL_arg1809z00_2889;

																									BgL_arg1809z00_2889 =
																										BGL_OBJECT_CLASS_NUM
																										(BgL_arg1801z00_2868);
																									BgL_arg1808z00_2888 =
																										(BgL_arg1809z00_2889 -
																										OBJECT_TYPE);
																								}
																								BgL_oclassz00_2882 =
																									VECTOR_REF
																									(BGl_za2classesza2z00zz__objectz00,
																									BgL_arg1808z00_2888);
																							}
																							{	/* Return/walk.scm 216 */
																								bool_t BgL__ortest_1115z00_2883;

																								BgL__ortest_1115z00_2883 =
																									(BgL_classz00_2866 ==
																									BgL_oclassz00_2882);
																								if (BgL__ortest_1115z00_2883)
																									{	/* Return/walk.scm 216 */
																										BgL_res2179z00_2896 =
																											BgL__ortest_1115z00_2883;
																									}
																								else
																									{	/* Return/walk.scm 216 */
																										long BgL_odepthz00_2884;

																										BgL_odepthz00_2884 =
																											BGL_CLASS_DEPTH
																											(BgL_oclassz00_2882);
																										if ((3L <
																												BgL_odepthz00_2884))
																											{	/* Return/walk.scm 216 */
																												obj_t
																													BgL_arg1797z00_2886;
																												BgL_arg1797z00_2886 =
																													BGL_CLASS_ANCESTORS_REF
																													(BgL_oclassz00_2882,
																													3L);
																												BgL_res2179z00_2896 =
																													(BgL_arg1797z00_2886
																													== BgL_classz00_2866);
																											}
																										else
																											{	/* Return/walk.scm 216 */
																												BgL_res2179z00_2896 =
																													((bool_t) 0);
																											}
																									}
																							}
																						}
																						BgL_test2318z00_4219 =
																							BgL_res2179z00_2896;
																					}
																			}
																		}
																		if (BgL_test2318z00_4219)
																			{	/* Return/walk.scm 218 */
																				bool_t BgL_test2322z00_4239;

																				{	/* Return/walk.scm 218 */
																					bool_t BgL_test2323z00_4240;

																					{	/* Return/walk.scm 218 */
																						obj_t BgL_tmpz00_4241;

																						BgL_tmpz00_4241 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_nodez00_1748)))->
																							BgL_bindingsz00);
																						BgL_test2323z00_4240 =
																							PAIRP(BgL_tmpz00_4241);
																					}
																					if (BgL_test2323z00_4240)
																						{	/* Return/walk.scm 218 */
																							obj_t BgL_tmpz00_4245;

																							{	/* Return/walk.scm 218 */
																								obj_t BgL_pairz00_2897;

																								BgL_pairz00_2897 =
																									(((BgL_letzd2varzd2_bglt)
																										COBJECT((
																												(BgL_letzd2varzd2_bglt)
																												BgL_nodez00_1748)))->
																									BgL_bindingsz00);
																								BgL_tmpz00_4245 =
																									CDR(BgL_pairz00_2897);
																							}
																							BgL_test2322z00_4239 =
																								NULLP(BgL_tmpz00_4245);
																						}
																					else
																						{	/* Return/walk.scm 218 */
																							BgL_test2322z00_4239 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2322z00_4239)
																					{	/* Return/walk.scm 219 */
																						obj_t BgL_bindingz00_1758;

																						{	/* Return/walk.scm 219 */
																							obj_t BgL_pairz00_2898;

																							BgL_pairz00_2898 =
																								(((BgL_letzd2varzd2_bglt)
																									COBJECT((
																											(BgL_letzd2varzd2_bglt)
																											BgL_nodez00_1748)))->
																								BgL_bindingsz00);
																							BgL_bindingz00_1758 =
																								CAR(BgL_pairz00_2898);
																						}
																						{	/* Return/walk.scm 220 */
																							obj_t BgL_exprz00_1760;

																							BgL_exprz00_1760 =
																								CDR(
																								((obj_t) BgL_bindingz00_1758));
																							{	/* Return/walk.scm 221 */

																								{	/* Return/walk.scm 222 */
																									bool_t BgL_test2324z00_4255;

																									{	/* Return/walk.scm 222 */
																										obj_t BgL_classz00_2901;

																										BgL_classz00_2901 =
																											BGl_appz00zzast_nodez00;
																										if (BGL_OBJECTP
																											(BgL_exprz00_1760))
																											{	/* Return/walk.scm 222 */
																												BgL_objectz00_bglt
																													BgL_arg1801z00_2903;
																												BgL_arg1801z00_2903 =
																													(BgL_objectz00_bglt)
																													(BgL_exprz00_1760);
																												if (BGL_CONDEXPAND_ISA_ARCH64())
																													{	/* Return/walk.scm 222 */
																														long
																															BgL_idxz00_2909;
																														BgL_idxz00_2909 =
																															BGL_OBJECT_INHERITANCE_NUM
																															(BgL_arg1801z00_2903);
																														BgL_test2324z00_4255
																															=
																															(VECTOR_REF
																															(BGl_za2inheritancesza2z00zz__objectz00,
																																(BgL_idxz00_2909
																																	+ 3L)) ==
																															BgL_classz00_2901);
																													}
																												else
																													{	/* Return/walk.scm 222 */
																														bool_t
																															BgL_res2180z00_2931;
																														{	/* Return/walk.scm 222 */
																															obj_t
																																BgL_oclassz00_2917;
																															{	/* Return/walk.scm 222 */
																																long
																																	BgL_arg1808z00_2923;
																																{	/* Return/walk.scm 222 */
																																	long
																																		BgL_arg1809z00_2924;
																																	BgL_arg1809z00_2924
																																		=
																																		BGL_OBJECT_CLASS_NUM
																																		(BgL_arg1801z00_2903);
																																	BgL_arg1808z00_2923
																																		=
																																		(BgL_arg1809z00_2924
																																		-
																																		OBJECT_TYPE);
																																}
																																BgL_oclassz00_2917
																																	=
																																	VECTOR_REF
																																	(BGl_za2classesza2z00zz__objectz00,
																																	BgL_arg1808z00_2923);
																															}
																															{	/* Return/walk.scm 222 */
																																bool_t
																																	BgL__ortest_1115z00_2918;
																																BgL__ortest_1115z00_2918
																																	=
																																	(BgL_classz00_2901
																																	==
																																	BgL_oclassz00_2917);
																																if (BgL__ortest_1115z00_2918)
																																	{	/* Return/walk.scm 222 */
																																		BgL_res2180z00_2931
																																			=
																																			BgL__ortest_1115z00_2918;
																																	}
																																else
																																	{	/* Return/walk.scm 222 */
																																		long
																																			BgL_odepthz00_2919;
																																		BgL_odepthz00_2919
																																			=
																																			BGL_CLASS_DEPTH
																																			(BgL_oclassz00_2917);
																																		if ((3L <
																																				BgL_odepthz00_2919))
																																			{	/* Return/walk.scm 222 */
																																				obj_t
																																					BgL_arg1797z00_2921;
																																				BgL_arg1797z00_2921
																																					=
																																					BGL_CLASS_ANCESTORS_REF
																																					(BgL_oclassz00_2917,
																																					3L);
																																				BgL_res2180z00_2931
																																					=
																																					(BgL_arg1797z00_2921
																																					==
																																					BgL_classz00_2901);
																																			}
																																		else
																																			{	/* Return/walk.scm 222 */
																																				BgL_res2180z00_2931
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																															}
																														}
																														BgL_test2324z00_4255
																															=
																															BgL_res2180z00_2931;
																													}
																											}
																										else
																											{	/* Return/walk.scm 222 */
																												BgL_test2324z00_4255 =
																													((bool_t) 0);
																											}
																									}
																									if (BgL_test2324z00_4255)
																										{	/* Return/walk.scm 222 */
																											if (NULLP(
																													(((BgL_appz00_bglt)
																															COBJECT((
																																	(BgL_appz00_bglt)
																																	BgL_exprz00_1760)))->
																														BgL_argsz00)))
																												{	/* Return/walk.scm 226 */
																													bool_t
																														BgL_test2330z00_4279;
																													{	/* Return/walk.scm 226 */
																														BgL_variablez00_bglt
																															BgL_arg1831z00_1768;
																														BgL_arg1831z00_1768
																															=
																															(((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1760)))->BgL_funz00)))->BgL_variablez00);
																														BgL_test2330z00_4279
																															=
																															(((obj_t)
																																BgL_arg1831z00_1768)
																															==
																															BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
																													}
																													if (BgL_test2330z00_4279)
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1883
																																=
																																BgL_bindingz00_1758;
																														}
																													else
																														{	/* Return/walk.scm 226 */
																															BgL_bindingz00_1883
																																= BFALSE;
																														}
																												}
																											else
																												{	/* Return/walk.scm 224 */
																													BgL_bindingz00_1883 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 222 */
																											BgL_bindingz00_1883 =
																												BFALSE;
																										}
																								}
																							}
																						}
																					}
																				else
																					{	/* Return/walk.scm 218 */
																						BgL_bindingz00_1883 = BFALSE;
																					}
																			}
																		else
																			{	/* Return/walk.scm 216 */
																				BgL_bindingz00_1883 = BFALSE;
																			}
																	}
																	if (CBOOL(BgL_bindingz00_1883))
																		{	/* Return/walk.scm 283 */
																			BgL_letzd2varzd2_bglt BgL_i1167z00_1884;

																			{	/* Return/walk.scm 283 */
																				obj_t BgL_pairz00_3210;

																				BgL_pairz00_3210 =
																					CDR(((obj_t) BgL_nodesz00_1875));
																				BgL_i1167z00_1884 =
																					((BgL_letzd2varzd2_bglt)
																					CAR(BgL_pairz00_3210));
																			}
																			{	/* Return/walk.scm 284 */
																				obj_t BgL_exitnodez00_1885;

																				{	/* Return/walk.scm 284 */
																					BgL_nodez00_bglt BgL_arg1941z00_1887;
																					obj_t BgL_arg1942z00_1888;

																					BgL_arg1941z00_1887 =
																						(((BgL_letzd2varzd2_bglt)
																							COBJECT(BgL_i1167z00_1884))->
																						BgL_bodyz00);
																					BgL_arg1942z00_1888 =
																						CAR(((obj_t) BgL_bindingz00_1883));
																					BgL_nodez00_1691 =
																						BgL_arg1941z00_1887;
																					BgL_varz00_1692 =
																						((BgL_localz00_bglt)
																						BgL_arg1942z00_1888);
																					{	/* Return/walk.scm 196 */
																						bool_t BgL_test2332z00_4298;

																						{	/* Return/walk.scm 196 */
																							obj_t BgL_classz00_2790;

																							BgL_classz00_2790 =
																								BGl_letzd2varzd2zzast_nodez00;
																							{	/* Return/walk.scm 196 */
																								BgL_objectz00_bglt
																									BgL_arg1801z00_2792;
																								{	/* Return/walk.scm 196 */
																									obj_t BgL_tmpz00_4299;

																									BgL_tmpz00_4299 =
																										((obj_t) BgL_nodez00_1691);
																									BgL_arg1801z00_2792 =
																										(BgL_objectz00_bglt)
																										(BgL_tmpz00_4299);
																								}
																								if (BGL_CONDEXPAND_ISA_ARCH64())
																									{	/* Return/walk.scm 196 */
																										long BgL_idxz00_2798;

																										BgL_idxz00_2798 =
																											BGL_OBJECT_INHERITANCE_NUM
																											(BgL_arg1801z00_2792);
																										BgL_test2332z00_4298 =
																											(VECTOR_REF
																											(BGl_za2inheritancesza2z00zz__objectz00,
																												(BgL_idxz00_2798 +
																													3L)) ==
																											BgL_classz00_2790);
																									}
																								else
																									{	/* Return/walk.scm 196 */
																										bool_t BgL_res2177z00_2820;

																										{	/* Return/walk.scm 196 */
																											obj_t BgL_oclassz00_2806;

																											{	/* Return/walk.scm 196 */
																												long
																													BgL_arg1808z00_2812;
																												{	/* Return/walk.scm 196 */
																													long
																														BgL_arg1809z00_2813;
																													BgL_arg1809z00_2813 =
																														BGL_OBJECT_CLASS_NUM
																														(BgL_arg1801z00_2792);
																													BgL_arg1808z00_2812 =
																														(BgL_arg1809z00_2813
																														- OBJECT_TYPE);
																												}
																												BgL_oclassz00_2806 =
																													VECTOR_REF
																													(BGl_za2classesza2z00zz__objectz00,
																													BgL_arg1808z00_2812);
																											}
																											{	/* Return/walk.scm 196 */
																												bool_t
																													BgL__ortest_1115z00_2807;
																												BgL__ortest_1115z00_2807
																													=
																													(BgL_classz00_2790 ==
																													BgL_oclassz00_2806);
																												if (BgL__ortest_1115z00_2807)
																													{	/* Return/walk.scm 196 */
																														BgL_res2177z00_2820
																															=
																															BgL__ortest_1115z00_2807;
																													}
																												else
																													{	/* Return/walk.scm 196 */
																														long
																															BgL_odepthz00_2808;
																														BgL_odepthz00_2808 =
																															BGL_CLASS_DEPTH
																															(BgL_oclassz00_2806);
																														if ((3L <
																																BgL_odepthz00_2808))
																															{	/* Return/walk.scm 196 */
																																obj_t
																																	BgL_arg1797z00_2810;
																																BgL_arg1797z00_2810
																																	=
																																	BGL_CLASS_ANCESTORS_REF
																																	(BgL_oclassz00_2806,
																																	3L);
																																BgL_res2177z00_2820
																																	=
																																	(BgL_arg1797z00_2810
																																	==
																																	BgL_classz00_2790);
																															}
																														else
																															{	/* Return/walk.scm 196 */
																																BgL_res2177z00_2820
																																	=
																																	((bool_t) 0);
																															}
																													}
																											}
																										}
																										BgL_test2332z00_4298 =
																											BgL_res2177z00_2820;
																									}
																							}
																						}
																						if (BgL_test2332z00_4298)
																							{	/* Return/walk.scm 198 */
																								bool_t BgL_test2336z00_4318;

																								{	/* Return/walk.scm 198 */
																									bool_t BgL_test2337z00_4319;

																									{	/* Return/walk.scm 198 */
																										obj_t BgL_tmpz00_4320;

																										BgL_tmpz00_4320 =
																											(((BgL_letzd2varzd2_bglt)
																												COBJECT((
																														(BgL_letzd2varzd2_bglt)
																														BgL_nodez00_1691)))->
																											BgL_bindingsz00);
																										BgL_test2337z00_4319 =
																											PAIRP(BgL_tmpz00_4320);
																									}
																									if (BgL_test2337z00_4319)
																										{	/* Return/walk.scm 198 */
																											obj_t BgL_tmpz00_4324;

																											{	/* Return/walk.scm 198 */
																												obj_t BgL_pairz00_2821;

																												BgL_pairz00_2821 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1691)))->BgL_bindingsz00);
																												BgL_tmpz00_4324 =
																													CDR(BgL_pairz00_2821);
																											}
																											BgL_test2336z00_4318 =
																												NULLP(BgL_tmpz00_4324);
																										}
																									else
																										{	/* Return/walk.scm 198 */
																											BgL_test2336z00_4318 =
																												((bool_t) 0);
																										}
																								}
																								if (BgL_test2336z00_4318)
																									{	/* Return/walk.scm 199 */
																										obj_t BgL_bindingz00_1702;

																										{	/* Return/walk.scm 199 */
																											obj_t BgL_pairz00_2822;

																											BgL_pairz00_2822 =
																												(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1691)))->BgL_bindingsz00);
																											BgL_bindingz00_1702 =
																												CAR(BgL_pairz00_2822);
																										}
																										{	/* Return/walk.scm 199 */
																											obj_t BgL_nbodyz00_1703;

																											{	/* Return/walk.scm 200 */
																												BgL_nodez00_bglt
																													BgL_arg1749z00_1712;
																												obj_t
																													BgL_arg1750z00_1713;
																												BgL_arg1749z00_1712 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1691)))->BgL_bodyz00);
																												BgL_arg1750z00_1713 =
																													CAR(((obj_t)
																														BgL_bindingz00_1702));
																												BgL_nbodyz00_1703 =
																													BGl_step6ze70ze7zzreturn_walkz00
																													(BgL_arg1749z00_1712,
																													((BgL_localz00_bglt)
																														BgL_arg1750z00_1713));
																											}
																											{	/* Return/walk.scm 200 */

																												if (CBOOL
																													(BgL_nbodyz00_1703))
																													{	/* Return/walk.scm 202 */
																														BgL_letzd2varzd2_bglt
																															BgL_new1136z00_1705;
																														{	/* Return/walk.scm 202 */
																															BgL_letzd2varzd2_bglt
																																BgL_new1143z00_1710;
																															BgL_new1143z00_1710
																																=
																																(
																																(BgL_letzd2varzd2_bglt)
																																BOBJECT
																																(GC_MALLOC
																																	(sizeof(struct
																																			BgL_letzd2varzd2_bgl))));
																															{	/* Return/walk.scm 202 */
																																long
																																	BgL_arg1748z00_1711;
																																BgL_arg1748z00_1711
																																	=
																																	BGL_CLASS_NUM
																																	(BGl_letzd2varzd2zzast_nodez00);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(((BgL_objectz00_bglt) BgL_new1143z00_1710), BgL_arg1748z00_1711);
																															}
																															{	/* Return/walk.scm 202 */
																																BgL_objectz00_bglt
																																	BgL_tmpz00_4344;
																																BgL_tmpz00_4344
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1143z00_1710);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_tmpz00_4344,
																																	BFALSE);
																															}
																															((BgL_objectz00_bglt) BgL_new1143z00_1710);
																															BgL_new1136z00_1705
																																=
																																BgL_new1143z00_1710;
																														}
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_1705)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1691))->BgL_locz00)), BUNSPEC);
																														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1136z00_1705)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1691))->BgL_typez00)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1136z00_1705)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1691)))->BgL_sidezd2effectzd2)), BUNSPEC);
																														((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1136z00_1705)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1691)))->BgL_keyz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1705))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1691)))->BgL_bindingsz00)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1705))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1703)), BUNSPEC);
																														((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1136z00_1705))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1691)))->BgL_removablezf3zf3)), BUNSPEC);
																														BgL_exitnodez00_1885
																															=
																															((obj_t)
																															BgL_new1136z00_1705);
																													}
																												else
																													{	/* Return/walk.scm 201 */
																														BgL_exitnodez00_1885
																															= BFALSE;
																													}
																											}
																										}
																									}
																								else
																									{	/* Return/walk.scm 198 */
																										BgL_exitnodez00_1885 =
																											BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 196 */
																								BgL_exitnodez00_1885 = BFALSE;
																							}
																					}
																				}
																				if (CBOOL(BgL_exitnodez00_1885))
																					{	/* Return/walk.scm 286 */
																						obj_t BgL_arg1940z00_1886;

																						BgL_arg1940z00_1886 =
																							CAR(
																							((obj_t) BgL_bindingz00_1883));
																						BgL__ortest_1178z00_1581 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1940z00_1886,
																							BgL_exitnodez00_1885);
																					}
																				else
																					{	/* Return/walk.scm 285 */
																						BgL__ortest_1178z00_1581 = BFALSE;
																					}
																			}
																		}
																	else
																		{	/* Return/walk.scm 282 */
																			BgL__ortest_1178z00_1581 = BFALSE;
																		}
																}
															else
																{	/* Return/walk.scm 280 */
																	BgL__ortest_1178z00_1581 = BFALSE;
																}
														}
													}
												}
											else
												{	/* Return/walk.scm 300 */
													BgL__ortest_1178z00_1581 = BFALSE;
												}
										}
									else
										{	/* Return/walk.scm 298 */
											BgL__ortest_1178z00_1581 = BFALSE;
										}
								}
							}
							if (CBOOL(BgL__ortest_1178z00_1581))
								{	/* Return/walk.scm 322 */
									return BgL__ortest_1178z00_1581;
								}
							else
								{	/* Return/walk.scm 323 */
									BgL_nodez00_bglt BgL_arg1565z00_1582;
									BgL_varz00_bglt BgL_arg1575z00_1583;

									BgL_arg1565z00_1582 =
										(((BgL_setzd2exzd2itz00_bglt) COBJECT(
												((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_bodyz00);
									BgL_arg1575z00_1583 =
										(((BgL_setzd2exzd2itz00_bglt)
											COBJECT(((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_19)))->
										BgL_varz00);
									BgL_bodyz00_1929 = BgL_arg1565z00_1582;
									BgL_varz00_1930 = BgL_arg1575z00_1583;
									{	/* Return/walk.scm 307 */
										bool_t BgL_test2341z00_4384;

										{	/* Return/walk.scm 307 */
											obj_t BgL_classz00_3287;

											BgL_classz00_3287 = BGl_letzd2varzd2zzast_nodez00;
											{	/* Return/walk.scm 307 */
												BgL_objectz00_bglt BgL_arg1801z00_3289;

												{	/* Return/walk.scm 307 */
													obj_t BgL_tmpz00_4385;

													BgL_tmpz00_4385 = ((obj_t) BgL_bodyz00_1929);
													BgL_arg1801z00_3289 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4385);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 307 */
														long BgL_idxz00_3295;

														BgL_idxz00_3295 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3289);
														BgL_test2341z00_4384 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3295 + 3L)) == BgL_classz00_3287);
													}
												else
													{	/* Return/walk.scm 307 */
														bool_t BgL_res2191z00_3317;

														{	/* Return/walk.scm 307 */
															obj_t BgL_oclassz00_3303;

															{	/* Return/walk.scm 307 */
																long BgL_arg1808z00_3309;

																{	/* Return/walk.scm 307 */
																	long BgL_arg1809z00_3310;

																	BgL_arg1809z00_3310 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3289);
																	BgL_arg1808z00_3309 =
																		(BgL_arg1809z00_3310 - OBJECT_TYPE);
																}
																BgL_oclassz00_3303 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_3309);
															}
															{	/* Return/walk.scm 307 */
																bool_t BgL__ortest_1115z00_3304;

																BgL__ortest_1115z00_3304 =
																	(BgL_classz00_3287 == BgL_oclassz00_3303);
																if (BgL__ortest_1115z00_3304)
																	{	/* Return/walk.scm 307 */
																		BgL_res2191z00_3317 =
																			BgL__ortest_1115z00_3304;
																	}
																else
																	{	/* Return/walk.scm 307 */
																		long BgL_odepthz00_3305;

																		BgL_odepthz00_3305 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3303);
																		if ((3L < BgL_odepthz00_3305))
																			{	/* Return/walk.scm 307 */
																				obj_t BgL_arg1797z00_3307;

																				BgL_arg1797z00_3307 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3303, 3L);
																				BgL_res2191z00_3317 =
																					(BgL_arg1797z00_3307 ==
																					BgL_classz00_3287);
																			}
																		else
																			{	/* Return/walk.scm 307 */
																				BgL_res2191z00_3317 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2341z00_4384 = BgL_res2191z00_3317;
													}
											}
										}
										if (BgL_test2341z00_4384)
											{	/* Return/walk.scm 309 */
												bool_t BgL_test2345z00_4404;

												{	/* Return/walk.scm 309 */
													bool_t BgL_test2346z00_4405;

													{	/* Return/walk.scm 309 */
														BgL_nodez00_bglt BgL_arg1996z00_1965;

														BgL_arg1996z00_1965 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_bodyz00_1929)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 309 */
															obj_t BgL_classz00_3318;

															BgL_classz00_3318 = BGl_sequencez00zzast_nodez00;
															{	/* Return/walk.scm 309 */
																BgL_objectz00_bglt BgL_arg1801z00_3320;

																{	/* Return/walk.scm 309 */
																	obj_t BgL_tmpz00_4408;

																	BgL_tmpz00_4408 =
																		((obj_t)
																		((BgL_objectz00_bglt) BgL_arg1996z00_1965));
																	BgL_arg1801z00_3320 =
																		(BgL_objectz00_bglt) (BgL_tmpz00_4408);
																}
																if (BGL_CONDEXPAND_ISA_ARCH64())
																	{	/* Return/walk.scm 309 */
																		long BgL_idxz00_3326;

																		BgL_idxz00_3326 =
																			BGL_OBJECT_INHERITANCE_NUM
																			(BgL_arg1801z00_3320);
																		BgL_test2346z00_4405 =
																			(VECTOR_REF
																			(BGl_za2inheritancesza2z00zz__objectz00,
																				(BgL_idxz00_3326 + 3L)) ==
																			BgL_classz00_3318);
																	}
																else
																	{	/* Return/walk.scm 309 */
																		bool_t BgL_res2192z00_3348;

																		{	/* Return/walk.scm 309 */
																			obj_t BgL_oclassz00_3334;

																			{	/* Return/walk.scm 309 */
																				long BgL_arg1808z00_3340;

																				{	/* Return/walk.scm 309 */
																					long BgL_arg1809z00_3341;

																					BgL_arg1809z00_3341 =
																						BGL_OBJECT_CLASS_NUM
																						(BgL_arg1801z00_3320);
																					BgL_arg1808z00_3340 =
																						(BgL_arg1809z00_3341 - OBJECT_TYPE);
																				}
																				BgL_oclassz00_3334 =
																					VECTOR_REF
																					(BGl_za2classesza2z00zz__objectz00,
																					BgL_arg1808z00_3340);
																			}
																			{	/* Return/walk.scm 309 */
																				bool_t BgL__ortest_1115z00_3335;

																				BgL__ortest_1115z00_3335 =
																					(BgL_classz00_3318 ==
																					BgL_oclassz00_3334);
																				if (BgL__ortest_1115z00_3335)
																					{	/* Return/walk.scm 309 */
																						BgL_res2192z00_3348 =
																							BgL__ortest_1115z00_3335;
																					}
																				else
																					{	/* Return/walk.scm 309 */
																						long BgL_odepthz00_3336;

																						BgL_odepthz00_3336 =
																							BGL_CLASS_DEPTH
																							(BgL_oclassz00_3334);
																						if ((3L < BgL_odepthz00_3336))
																							{	/* Return/walk.scm 309 */
																								obj_t BgL_arg1797z00_3338;

																								BgL_arg1797z00_3338 =
																									BGL_CLASS_ANCESTORS_REF
																									(BgL_oclassz00_3334, 3L);
																								BgL_res2192z00_3348 =
																									(BgL_arg1797z00_3338 ==
																									BgL_classz00_3318);
																							}
																						else
																							{	/* Return/walk.scm 309 */
																								BgL_res2192z00_3348 =
																									((bool_t) 0);
																							}
																					}
																			}
																		}
																		BgL_test2346z00_4405 = BgL_res2192z00_3348;
																	}
															}
														}
													}
													if (BgL_test2346z00_4405)
														{	/* Return/walk.scm 310 */
															bool_t BgL_test2350z00_4428;

															{	/* Return/walk.scm 310 */
																obj_t BgL_tmpz00_4429;

																BgL_tmpz00_4429 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1929)))->BgL_bindingsz00);
																BgL_test2350z00_4428 = PAIRP(BgL_tmpz00_4429);
															}
															if (BgL_test2350z00_4428)
																{	/* Return/walk.scm 311 */
																	obj_t BgL_tmpz00_4433;

																	{	/* Return/walk.scm 311 */
																		obj_t BgL_pairz00_3349;

																		BgL_pairz00_3349 =
																			(((BgL_letzd2varzd2_bglt) COBJECT(
																					((BgL_letzd2varzd2_bglt)
																						BgL_bodyz00_1929)))->
																			BgL_bindingsz00);
																		BgL_tmpz00_4433 = CDR(BgL_pairz00_3349);
																	}
																	BgL_test2345z00_4404 = NULLP(BgL_tmpz00_4433);
																}
															else
																{	/* Return/walk.scm 310 */
																	BgL_test2345z00_4404 = ((bool_t) 0);
																}
														}
													else
														{	/* Return/walk.scm 309 */
															BgL_test2345z00_4404 = ((bool_t) 0);
														}
												}
												if (BgL_test2345z00_4404)
													{	/* Return/walk.scm 312 */
														bool_t BgL_test2351z00_4438;

														{	/* Return/walk.scm 312 */
															obj_t BgL_arg1991z00_1958;

															{	/* Return/walk.scm 312 */
																obj_t BgL_pairz00_3350;

																BgL_pairz00_3350 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_bodyz00_1929)))->BgL_bindingsz00);
																BgL_arg1991z00_1958 =
																	CDR(CAR(BgL_pairz00_3350));
															}
															{	/* Return/walk.scm 312 */
																obj_t BgL_classz00_3354;

																BgL_classz00_3354 = BGl_appz00zzast_nodez00;
																if (BGL_OBJECTP(BgL_arg1991z00_1958))
																	{	/* Return/walk.scm 312 */
																		BgL_objectz00_bglt BgL_arg1801z00_3356;

																		BgL_arg1801z00_3356 =
																			(BgL_objectz00_bglt)
																			(BgL_arg1991z00_1958);
																		if (BGL_CONDEXPAND_ISA_ARCH64())
																			{	/* Return/walk.scm 312 */
																				long BgL_idxz00_3362;

																				BgL_idxz00_3362 =
																					BGL_OBJECT_INHERITANCE_NUM
																					(BgL_arg1801z00_3356);
																				BgL_test2351z00_4438 =
																					(VECTOR_REF
																					(BGl_za2inheritancesza2z00zz__objectz00,
																						(BgL_idxz00_3362 + 3L)) ==
																					BgL_classz00_3354);
																			}
																		else
																			{	/* Return/walk.scm 312 */
																				bool_t BgL_res2193z00_3384;

																				{	/* Return/walk.scm 312 */
																					obj_t BgL_oclassz00_3370;

																					{	/* Return/walk.scm 312 */
																						long BgL_arg1808z00_3376;

																						{	/* Return/walk.scm 312 */
																							long BgL_arg1809z00_3377;

																							BgL_arg1809z00_3377 =
																								BGL_OBJECT_CLASS_NUM
																								(BgL_arg1801z00_3356);
																							BgL_arg1808z00_3376 =
																								(BgL_arg1809z00_3377 -
																								OBJECT_TYPE);
																						}
																						BgL_oclassz00_3370 =
																							VECTOR_REF
																							(BGl_za2classesza2z00zz__objectz00,
																							BgL_arg1808z00_3376);
																					}
																					{	/* Return/walk.scm 312 */
																						bool_t BgL__ortest_1115z00_3371;

																						BgL__ortest_1115z00_3371 =
																							(BgL_classz00_3354 ==
																							BgL_oclassz00_3370);
																						if (BgL__ortest_1115z00_3371)
																							{	/* Return/walk.scm 312 */
																								BgL_res2193z00_3384 =
																									BgL__ortest_1115z00_3371;
																							}
																						else
																							{	/* Return/walk.scm 312 */
																								long BgL_odepthz00_3372;

																								BgL_odepthz00_3372 =
																									BGL_CLASS_DEPTH
																									(BgL_oclassz00_3370);
																								if ((3L < BgL_odepthz00_3372))
																									{	/* Return/walk.scm 312 */
																										obj_t BgL_arg1797z00_3374;

																										BgL_arg1797z00_3374 =
																											BGL_CLASS_ANCESTORS_REF
																											(BgL_oclassz00_3370, 3L);
																										BgL_res2193z00_3384 =
																											(BgL_arg1797z00_3374 ==
																											BgL_classz00_3354);
																									}
																								else
																									{	/* Return/walk.scm 312 */
																										BgL_res2193z00_3384 =
																											((bool_t) 0);
																									}
																							}
																					}
																				}
																				BgL_test2351z00_4438 =
																					BgL_res2193z00_3384;
																			}
																	}
																else
																	{	/* Return/walk.scm 312 */
																		BgL_test2351z00_4438 = ((bool_t) 0);
																	}
															}
														}
														if (BgL_test2351z00_4438)
															{	/* Return/walk.scm 313 */
																BgL_appz00_bglt BgL_i1173z00_1946;

																{	/* Return/walk.scm 313 */
																	obj_t BgL_pairz00_3385;

																	BgL_pairz00_3385 =
																		(((BgL_letzd2varzd2_bglt) COBJECT(
																				((BgL_letzd2varzd2_bglt)
																					BgL_bodyz00_1929)))->BgL_bindingsz00);
																	{	/* Return/walk.scm 313 */
																		obj_t BgL_pairz00_3388;

																		BgL_pairz00_3388 = CAR(BgL_pairz00_3385);
																		BgL_i1173z00_1946 =
																			((BgL_appz00_bglt) CDR(BgL_pairz00_3388));
																	}
																}
																{	/* Return/walk.scm 314 */
																	BgL_varz00_bglt BgL_i1174z00_1947;

																	BgL_i1174z00_1947 =
																		(((BgL_appz00_bglt)
																			COBJECT(BgL_i1173z00_1946))->BgL_funz00);
																	{	/* Return/walk.scm 315 */
																		bool_t BgL_test2356z00_4468;

																		{	/* Return/walk.scm 315 */
																			BgL_variablez00_bglt BgL_arg1989z00_1956;

																			BgL_arg1989z00_1956 =
																				(((BgL_varz00_bglt)
																					COBJECT(BgL_i1174z00_1947))->
																				BgL_variablez00);
																			BgL_test2356z00_4468 =
																				(((obj_t) BgL_arg1989z00_1956) ==
																				BGl_za2currentzd2dynamiczd2envza2z00zzreturn_walkz00);
																		}
																		if (BgL_test2356z00_4468)
																			{	/* Return/walk.scm 316 */
																				BgL_sequencez00_bglt BgL_i1175z00_1950;

																				BgL_i1175z00_1950 =
																					((BgL_sequencez00_bglt)
																					(((BgL_letzd2varzd2_bglt) COBJECT(
																								((BgL_letzd2varzd2_bglt)
																									BgL_bodyz00_1929)))->
																						BgL_bodyz00));
																				{	/* Return/walk.scm 318 */
																					obj_t BgL_arg1985z00_1952;
																					BgL_variablez00_bglt
																						BgL_arg1986z00_1953;
																					obj_t BgL_arg1987z00_1954;

																					BgL_arg1985z00_1952 =
																						(((BgL_sequencez00_bglt)
																							COBJECT(BgL_i1175z00_1950))->
																						BgL_nodesz00);
																					BgL_arg1986z00_1953 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_varz00_1930))->
																						BgL_variablez00);
																					{	/* Return/walk.scm 318 */
																						obj_t BgL_pairz00_3389;

																						BgL_pairz00_3389 =
																							(((BgL_letzd2varzd2_bglt) COBJECT(
																									((BgL_letzd2varzd2_bglt)
																										BgL_bodyz00_1929)))->
																							BgL_bindingsz00);
																						BgL_arg1987z00_1954 =
																							CAR(CAR(BgL_pairz00_3389));
																					}
																					BgL_nodesz00_1893 =
																						BgL_arg1985z00_1952;
																					BgL_varz00_1894 =
																						((BgL_localz00_bglt)
																						BgL_arg1986z00_1953);
																					BgL_envz00_1895 = BgL_arg1987z00_1954;
																					{	/* Return/walk.scm 289 */
																						bool_t BgL_test2357z00_4481;

																						if (
																							(bgl_list_length
																								(BgL_nodesz00_1893) == 2L))
																							{	/* Return/walk.scm 289 */
																								obj_t BgL_arg1956z00_1910;

																								BgL_arg1956z00_1910 =
																									CAR(
																									((obj_t) BgL_nodesz00_1893));
																								BgL_nodez00_1842 =
																									((BgL_nodez00_bglt)
																									BgL_arg1956z00_1910);
																								BgL_exitvarz00_1843 =
																									BgL_varz00_1894;
																								BgL_envz00_1844 =
																									BgL_envz00_1895;
																								{	/* Return/walk.scm 261 */
																									bool_t BgL_test2359z00_4487;

																									{	/* Return/walk.scm 261 */
																										obj_t BgL_classz00_3097;

																										BgL_classz00_3097 =
																											BGl_appz00zzast_nodez00;
																										{	/* Return/walk.scm 261 */
																											BgL_objectz00_bglt
																												BgL_arg1801z00_3099;
																											{	/* Return/walk.scm 261 */
																												obj_t BgL_tmpz00_4488;

																												BgL_tmpz00_4488 =
																													((obj_t)
																													BgL_nodez00_1842);
																												BgL_arg1801z00_3099 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4488);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Return/walk.scm 261 */
																													long BgL_idxz00_3105;

																													BgL_idxz00_3105 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1801z00_3099);
																													BgL_test2359z00_4487 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_3105 +
																																3L)) ==
																														BgL_classz00_3097);
																												}
																											else
																												{	/* Return/walk.scm 261 */
																													bool_t
																														BgL_res2186z00_3127;
																													{	/* Return/walk.scm 261 */
																														obj_t
																															BgL_oclassz00_3113;
																														{	/* Return/walk.scm 261 */
																															long
																																BgL_arg1808z00_3119;
																															{	/* Return/walk.scm 261 */
																																long
																																	BgL_arg1809z00_3120;
																																BgL_arg1809z00_3120
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1801z00_3099);
																																BgL_arg1808z00_3119
																																	=
																																	(BgL_arg1809z00_3120
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_3113
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1808z00_3119);
																														}
																														{	/* Return/walk.scm 261 */
																															bool_t
																																BgL__ortest_1115z00_3114;
																															BgL__ortest_1115z00_3114
																																=
																																(BgL_classz00_3097
																																==
																																BgL_oclassz00_3113);
																															if (BgL__ortest_1115z00_3114)
																																{	/* Return/walk.scm 261 */
																																	BgL_res2186z00_3127
																																		=
																																		BgL__ortest_1115z00_3114;
																																}
																															else
																																{	/* Return/walk.scm 261 */
																																	long
																																		BgL_odepthz00_3115;
																																	BgL_odepthz00_3115
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_3113);
																																	if ((3L <
																																			BgL_odepthz00_3115))
																																		{	/* Return/walk.scm 261 */
																																			obj_t
																																				BgL_arg1797z00_3117;
																																			BgL_arg1797z00_3117
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_3113,
																																				3L);
																																			BgL_res2186z00_3127
																																				=
																																				(BgL_arg1797z00_3117
																																				==
																																				BgL_classz00_3097);
																																		}
																																	else
																																		{	/* Return/walk.scm 261 */
																																			BgL_res2186z00_3127
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2359z00_4487 =
																														BgL_res2186z00_3127;
																												}
																										}
																									}
																									if (BgL_test2359z00_4487)
																										{	/* Return/walk.scm 263 */
																											BgL_varz00_bglt
																												BgL_i1164z00_1848;
																											BgL_i1164z00_1848 =
																												(((BgL_appz00_bglt)
																													COBJECT((
																															(BgL_appz00_bglt)
																															BgL_nodez00_1842)))->
																												BgL_funz00);
																											{	/* Return/walk.scm 265 */
																												bool_t
																													BgL_test2363z00_4509;
																												{	/* Return/walk.scm 265 */
																													BgL_variablez00_bglt
																														BgL_arg1933z00_1874;
																													BgL_arg1933z00_1874 =
																														(((BgL_varz00_bglt)
																															COBJECT
																															(BgL_i1164z00_1848))->
																														BgL_variablez00);
																													BgL_test2363z00_4509 =
																														(((obj_t)
																															BgL_arg1933z00_1874)
																														==
																														BGl_za2envzd2pushzd2exitz12za2z12zzreturn_walkz00);
																												}
																												if (BgL_test2363z00_4509)
																													{	/* Return/walk.scm 265 */
																														if (
																															(bgl_list_length(
																																	(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1842)))->BgL_argsz00)) == 3L))
																															{	/* Return/walk.scm 269 */
																																bool_t
																																	BgL_test2365z00_4518;
																																{	/* Return/walk.scm 269 */
																																	obj_t
																																		BgL_arg1928z00_1870;
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_pairz00_3129;
																																		BgL_pairz00_3129
																																			=
																																			(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1842)))->BgL_argsz00);
																																		BgL_arg1928z00_1870
																																			=
																																			CAR(CDR
																																			(BgL_pairz00_3129));
																																	}
																																	{	/* Return/walk.scm 269 */
																																		obj_t
																																			BgL_classz00_3133;
																																		BgL_classz00_3133
																																			=
																																			BGl_varz00zzast_nodez00;
																																		if (BGL_OBJECTP(BgL_arg1928z00_1870))
																																			{	/* Return/walk.scm 269 */
																																				BgL_objectz00_bglt
																																					BgL_arg1801z00_3135;
																																				BgL_arg1801z00_3135
																																					=
																																					(BgL_objectz00_bglt)
																																					(BgL_arg1928z00_1870);
																																				if (BGL_CONDEXPAND_ISA_ARCH64())
																																					{	/* Return/walk.scm 269 */
																																						long
																																							BgL_idxz00_3141;
																																						BgL_idxz00_3141
																																							=
																																							BGL_OBJECT_INHERITANCE_NUM
																																							(BgL_arg1801z00_3135);
																																						BgL_test2365z00_4518
																																							=
																																							(VECTOR_REF
																																							(BGl_za2inheritancesza2z00zz__objectz00,
																																								(BgL_idxz00_3141
																																									+
																																									2L))
																																							==
																																							BgL_classz00_3133);
																																					}
																																				else
																																					{	/* Return/walk.scm 269 */
																																						bool_t
																																							BgL_res2187z00_3163;
																																						{	/* Return/walk.scm 269 */
																																							obj_t
																																								BgL_oclassz00_3149;
																																							{	/* Return/walk.scm 269 */
																																								long
																																									BgL_arg1808z00_3155;
																																								{	/* Return/walk.scm 269 */
																																									long
																																										BgL_arg1809z00_3156;
																																									BgL_arg1809z00_3156
																																										=
																																										BGL_OBJECT_CLASS_NUM
																																										(BgL_arg1801z00_3135);
																																									BgL_arg1808z00_3155
																																										=
																																										(BgL_arg1809z00_3156
																																										-
																																										OBJECT_TYPE);
																																								}
																																								BgL_oclassz00_3149
																																									=
																																									VECTOR_REF
																																									(BGl_za2classesza2z00zz__objectz00,
																																									BgL_arg1808z00_3155);
																																							}
																																							{	/* Return/walk.scm 269 */
																																								bool_t
																																									BgL__ortest_1115z00_3150;
																																								BgL__ortest_1115z00_3150
																																									=
																																									(BgL_classz00_3133
																																									==
																																									BgL_oclassz00_3149);
																																								if (BgL__ortest_1115z00_3150)
																																									{	/* Return/walk.scm 269 */
																																										BgL_res2187z00_3163
																																											=
																																											BgL__ortest_1115z00_3150;
																																									}
																																								else
																																									{	/* Return/walk.scm 269 */
																																										long
																																											BgL_odepthz00_3151;
																																										BgL_odepthz00_3151
																																											=
																																											BGL_CLASS_DEPTH
																																											(BgL_oclassz00_3149);
																																										if ((2L < BgL_odepthz00_3151))
																																											{	/* Return/walk.scm 269 */
																																												obj_t
																																													BgL_arg1797z00_3153;
																																												BgL_arg1797z00_3153
																																													=
																																													BGL_CLASS_ANCESTORS_REF
																																													(BgL_oclassz00_3149,
																																													2L);
																																												BgL_res2187z00_3163
																																													=
																																													(BgL_arg1797z00_3153
																																													==
																																													BgL_classz00_3133);
																																											}
																																										else
																																											{	/* Return/walk.scm 269 */
																																												BgL_res2187z00_3163
																																													=
																																													(
																																													(bool_t)
																																													0);
																																											}
																																									}
																																							}
																																						}
																																						BgL_test2365z00_4518
																																							=
																																							BgL_res2187z00_3163;
																																					}
																																			}
																																		else
																																			{	/* Return/walk.scm 269 */
																																				BgL_test2365z00_4518
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																}
																																if (BgL_test2365z00_4518)
																																	{	/* Return/walk.scm 270 */
																																		BgL_varz00_bglt
																																			BgL_i1165z00_1857;
																																		{	/* Return/walk.scm 270 */
																																			obj_t
																																				BgL_pairz00_3164;
																																			BgL_pairz00_3164
																																				=
																																				(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1842)))->BgL_argsz00);
																																			{	/* Return/walk.scm 270 */
																																				obj_t
																																					BgL_pairz00_3167;
																																				BgL_pairz00_3167
																																					=
																																					CDR
																																					(BgL_pairz00_3164);
																																				BgL_i1165z00_1857
																																					=
																																					(
																																					(BgL_varz00_bglt)
																																					CAR
																																					(BgL_pairz00_3167));
																																			}
																																		}
																																		if (
																																			(((obj_t)
																																					(((BgL_varz00_bglt) COBJECT(BgL_i1165z00_1857))->BgL_variablez00)) == ((obj_t) BgL_exitvarz00_1843)))
																																			{	/* Return/walk.scm 274 */
																																				bool_t
																																					BgL_test2371z00_4552;
																																				{	/* Return/walk.scm 274 */
																																					obj_t
																																						BgL_arg1924z00_1866;
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_pairz00_3168;
																																						BgL_pairz00_3168
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1842)))->BgL_argsz00);
																																						BgL_arg1924z00_1866
																																							=
																																							CAR
																																							(BgL_pairz00_3168);
																																					}
																																					{	/* Return/walk.scm 274 */
																																						obj_t
																																							BgL_classz00_3169;
																																						BgL_classz00_3169
																																							=
																																							BGl_varz00zzast_nodez00;
																																						if (BGL_OBJECTP(BgL_arg1924z00_1866))
																																							{	/* Return/walk.scm 274 */
																																								BgL_objectz00_bglt
																																									BgL_arg1801z00_3171;
																																								BgL_arg1801z00_3171
																																									=
																																									(BgL_objectz00_bglt)
																																									(BgL_arg1924z00_1866);
																																								if (BGL_CONDEXPAND_ISA_ARCH64())
																																									{	/* Return/walk.scm 274 */
																																										long
																																											BgL_idxz00_3177;
																																										BgL_idxz00_3177
																																											=
																																											BGL_OBJECT_INHERITANCE_NUM
																																											(BgL_arg1801z00_3171);
																																										BgL_test2371z00_4552
																																											=
																																											(VECTOR_REF
																																											(BGl_za2inheritancesza2z00zz__objectz00,
																																												(BgL_idxz00_3177
																																													+
																																													2L))
																																											==
																																											BgL_classz00_3169);
																																									}
																																								else
																																									{	/* Return/walk.scm 274 */
																																										bool_t
																																											BgL_res2188z00_3199;
																																										{	/* Return/walk.scm 274 */
																																											obj_t
																																												BgL_oclassz00_3185;
																																											{	/* Return/walk.scm 274 */
																																												long
																																													BgL_arg1808z00_3191;
																																												{	/* Return/walk.scm 274 */
																																													long
																																														BgL_arg1809z00_3192;
																																													BgL_arg1809z00_3192
																																														=
																																														BGL_OBJECT_CLASS_NUM
																																														(BgL_arg1801z00_3171);
																																													BgL_arg1808z00_3191
																																														=
																																														(BgL_arg1809z00_3192
																																														-
																																														OBJECT_TYPE);
																																												}
																																												BgL_oclassz00_3185
																																													=
																																													VECTOR_REF
																																													(BGl_za2classesza2z00zz__objectz00,
																																													BgL_arg1808z00_3191);
																																											}
																																											{	/* Return/walk.scm 274 */
																																												bool_t
																																													BgL__ortest_1115z00_3186;
																																												BgL__ortest_1115z00_3186
																																													=
																																													(BgL_classz00_3169
																																													==
																																													BgL_oclassz00_3185);
																																												if (BgL__ortest_1115z00_3186)
																																													{	/* Return/walk.scm 274 */
																																														BgL_res2188z00_3199
																																															=
																																															BgL__ortest_1115z00_3186;
																																													}
																																												else
																																													{	/* Return/walk.scm 274 */
																																														long
																																															BgL_odepthz00_3187;
																																														BgL_odepthz00_3187
																																															=
																																															BGL_CLASS_DEPTH
																																															(BgL_oclassz00_3185);
																																														if ((2L < BgL_odepthz00_3187))
																																															{	/* Return/walk.scm 274 */
																																																obj_t
																																																	BgL_arg1797z00_3189;
																																																BgL_arg1797z00_3189
																																																	=
																																																	BGL_CLASS_ANCESTORS_REF
																																																	(BgL_oclassz00_3185,
																																																	2L);
																																																BgL_res2188z00_3199
																																																	=
																																																	(BgL_arg1797z00_3189
																																																	==
																																																	BgL_classz00_3169);
																																															}
																																														else
																																															{	/* Return/walk.scm 274 */
																																																BgL_res2188z00_3199
																																																	=
																																																	(
																																																	(bool_t)
																																																	0);
																																															}
																																													}
																																											}
																																										}
																																										BgL_test2371z00_4552
																																											=
																																											BgL_res2188z00_3199;
																																									}
																																							}
																																						else
																																							{	/* Return/walk.scm 274 */
																																								BgL_test2371z00_4552
																																									=
																																									(
																																									(bool_t)
																																									0);
																																							}
																																					}
																																				}
																																				if (BgL_test2371z00_4552)
																																					{	/* Return/walk.scm 277 */
																																						obj_t
																																							BgL_tmpz00_4575;
																																						{
																																							BgL_variablez00_bglt
																																								BgL_auxz00_4576;
																																							{
																																								BgL_varz00_bglt
																																									BgL_auxz00_4577;
																																								{	/* Return/walk.scm 275 */
																																									obj_t
																																										BgL_pairz00_3200;
																																									BgL_pairz00_3200
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_nodez00_1842)))->BgL_argsz00);
																																									BgL_auxz00_4577
																																										=
																																										(
																																										(BgL_varz00_bglt)
																																										CAR
																																										(BgL_pairz00_3200));
																																								}
																																								BgL_auxz00_4576
																																									=
																																									(
																																									((BgL_varz00_bglt) COBJECT(BgL_auxz00_4577))->BgL_variablez00);
																																							}
																																							BgL_tmpz00_4575
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_4576);
																																						}
																																						BgL_test2357z00_4481
																																							=
																																							(BgL_tmpz00_4575
																																							==
																																							BgL_envz00_1844);
																																					}
																																				else
																																					{	/* Return/walk.scm 274 */
																																						BgL_test2357z00_4481
																																							=
																																							(
																																							(bool_t)
																																							0);
																																					}
																																			}
																																		else
																																			{	/* Return/walk.scm 272 */
																																				BgL_test2357z00_4481
																																					=
																																					(
																																					(bool_t)
																																					0);
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 269 */
																																		BgL_test2357z00_4481
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																														else
																															{	/* Return/walk.scm 267 */
																																BgL_test2357z00_4481
																																	=
																																	((bool_t) 0);
																															}
																													}
																												else
																													{	/* Return/walk.scm 265 */
																														BgL_test2357z00_4481
																															= ((bool_t) 0);
																													}
																											}
																										}
																									else
																										{	/* Return/walk.scm 261 */
																											BgL_test2357z00_4481 =
																												((bool_t) 0);
																										}
																								}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								BgL_test2357z00_4481 =
																									((bool_t) 0);
																							}
																						if (BgL_test2357z00_4481)
																							{	/* Return/walk.scm 290 */
																								obj_t BgL_bindingz00_1902;

																								{	/* Return/walk.scm 290 */
																									obj_t BgL_pairz00_3218;

																									BgL_pairz00_3218 =
																										CDR(
																										((obj_t)
																											BgL_nodesz00_1893));
																									BgL_nodez00_1775 =
																										((BgL_nodez00_bglt)
																										CAR(BgL_pairz00_3218));
																								}
																								BgL_envz00_1776 =
																									BgL_envz00_1895;
																								{	/* Return/walk.scm 230 */
																									bool_t BgL_test2376z00_4586;

																									{	/* Return/walk.scm 230 */
																										obj_t BgL_classz00_2932;

																										BgL_classz00_2932 =
																											BGl_letzd2varzd2zzast_nodez00;
																										{	/* Return/walk.scm 230 */
																											BgL_objectz00_bglt
																												BgL_arg1801z00_2934;
																											{	/* Return/walk.scm 230 */
																												obj_t BgL_tmpz00_4587;

																												BgL_tmpz00_4587 =
																													((obj_t)
																													BgL_nodez00_1775);
																												BgL_arg1801z00_2934 =
																													(BgL_objectz00_bglt)
																													(BgL_tmpz00_4587);
																											}
																											if (BGL_CONDEXPAND_ISA_ARCH64())
																												{	/* Return/walk.scm 230 */
																													long BgL_idxz00_2940;

																													BgL_idxz00_2940 =
																														BGL_OBJECT_INHERITANCE_NUM
																														(BgL_arg1801z00_2934);
																													BgL_test2376z00_4586 =
																														(VECTOR_REF
																														(BGl_za2inheritancesza2z00zz__objectz00,
																															(BgL_idxz00_2940 +
																																3L)) ==
																														BgL_classz00_2932);
																												}
																											else
																												{	/* Return/walk.scm 230 */
																													bool_t
																														BgL_res2181z00_2962;
																													{	/* Return/walk.scm 230 */
																														obj_t
																															BgL_oclassz00_2948;
																														{	/* Return/walk.scm 230 */
																															long
																																BgL_arg1808z00_2954;
																															{	/* Return/walk.scm 230 */
																																long
																																	BgL_arg1809z00_2955;
																																BgL_arg1809z00_2955
																																	=
																																	BGL_OBJECT_CLASS_NUM
																																	(BgL_arg1801z00_2934);
																																BgL_arg1808z00_2954
																																	=
																																	(BgL_arg1809z00_2955
																																	-
																																	OBJECT_TYPE);
																															}
																															BgL_oclassz00_2948
																																=
																																VECTOR_REF
																																(BGl_za2classesza2z00zz__objectz00,
																																BgL_arg1808z00_2954);
																														}
																														{	/* Return/walk.scm 230 */
																															bool_t
																																BgL__ortest_1115z00_2949;
																															BgL__ortest_1115z00_2949
																																=
																																(BgL_classz00_2932
																																==
																																BgL_oclassz00_2948);
																															if (BgL__ortest_1115z00_2949)
																																{	/* Return/walk.scm 230 */
																																	BgL_res2181z00_2962
																																		=
																																		BgL__ortest_1115z00_2949;
																																}
																															else
																																{	/* Return/walk.scm 230 */
																																	long
																																		BgL_odepthz00_2950;
																																	BgL_odepthz00_2950
																																		=
																																		BGL_CLASS_DEPTH
																																		(BgL_oclassz00_2948);
																																	if ((3L <
																																			BgL_odepthz00_2950))
																																		{	/* Return/walk.scm 230 */
																																			obj_t
																																				BgL_arg1797z00_2952;
																																			BgL_arg1797z00_2952
																																				=
																																				BGL_CLASS_ANCESTORS_REF
																																				(BgL_oclassz00_2948,
																																				3L);
																																			BgL_res2181z00_2962
																																				=
																																				(BgL_arg1797z00_2952
																																				==
																																				BgL_classz00_2932);
																																		}
																																	else
																																		{	/* Return/walk.scm 230 */
																																			BgL_res2181z00_2962
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																														}
																													}
																													BgL_test2376z00_4586 =
																														BgL_res2181z00_2962;
																												}
																										}
																									}
																									if (BgL_test2376z00_4586)
																										{	/* Return/walk.scm 232 */
																											bool_t
																												BgL_test2380z00_4606;
																											{	/* Return/walk.scm 232 */
																												bool_t
																													BgL_test2381z00_4607;
																												{	/* Return/walk.scm 232 */
																													obj_t BgL_tmpz00_4608;

																													BgL_tmpz00_4608 =
																														(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1775)))->BgL_bindingsz00);
																													BgL_test2381z00_4607 =
																														PAIRP
																														(BgL_tmpz00_4608);
																												}
																												if (BgL_test2381z00_4607)
																													{	/* Return/walk.scm 232 */
																														obj_t
																															BgL_tmpz00_4612;
																														{	/* Return/walk.scm 232 */
																															obj_t
																																BgL_pairz00_2963;
																															BgL_pairz00_2963 =
																																(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1775)))->BgL_bindingsz00);
																															BgL_tmpz00_4612 =
																																CDR
																																(BgL_pairz00_2963);
																														}
																														BgL_test2380z00_4606
																															=
																															NULLP
																															(BgL_tmpz00_4612);
																													}
																												else
																													{	/* Return/walk.scm 232 */
																														BgL_test2380z00_4606
																															= ((bool_t) 0);
																													}
																											}
																											if (BgL_test2380z00_4606)
																												{	/* Return/walk.scm 233 */
																													obj_t
																														BgL_bindingz00_1786;
																													{	/* Return/walk.scm 233 */
																														obj_t
																															BgL_pairz00_2964;
																														BgL_pairz00_2964 =
																															(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1775)))->BgL_bindingsz00);
																														BgL_bindingz00_1786
																															=
																															CAR
																															(BgL_pairz00_2964);
																													}
																													{	/* Return/walk.scm 234 */
																														obj_t
																															BgL_exprz00_1788;
																														BgL_exprz00_1788 =
																															CDR(((obj_t)
																																BgL_bindingz00_1786));
																														{	/* Return/walk.scm 235 */

																															{	/* Return/walk.scm 236 */
																																bool_t
																																	BgL_test2382z00_4622;
																																{	/* Return/walk.scm 236 */
																																	obj_t
																																		BgL_classz00_2967;
																																	BgL_classz00_2967
																																		=
																																		BGl_appz00zzast_nodez00;
																																	if (BGL_OBJECTP(BgL_exprz00_1788))
																																		{	/* Return/walk.scm 236 */
																																			BgL_objectz00_bglt
																																				BgL_arg1801z00_2969;
																																			BgL_arg1801z00_2969
																																				=
																																				(BgL_objectz00_bglt)
																																				(BgL_exprz00_1788);
																																			if (BGL_CONDEXPAND_ISA_ARCH64())
																																				{	/* Return/walk.scm 236 */
																																					long
																																						BgL_idxz00_2975;
																																					BgL_idxz00_2975
																																						=
																																						BGL_OBJECT_INHERITANCE_NUM
																																						(BgL_arg1801z00_2969);
																																					BgL_test2382z00_4622
																																						=
																																						(VECTOR_REF
																																						(BGl_za2inheritancesza2z00zz__objectz00,
																																							(BgL_idxz00_2975
																																								+
																																								3L))
																																						==
																																						BgL_classz00_2967);
																																				}
																																			else
																																				{	/* Return/walk.scm 236 */
																																					bool_t
																																						BgL_res2182z00_2997;
																																					{	/* Return/walk.scm 236 */
																																						obj_t
																																							BgL_oclassz00_2983;
																																						{	/* Return/walk.scm 236 */
																																							long
																																								BgL_arg1808z00_2989;
																																							{	/* Return/walk.scm 236 */
																																								long
																																									BgL_arg1809z00_2990;
																																								BgL_arg1809z00_2990
																																									=
																																									BGL_OBJECT_CLASS_NUM
																																									(BgL_arg1801z00_2969);
																																								BgL_arg1808z00_2989
																																									=
																																									(BgL_arg1809z00_2990
																																									-
																																									OBJECT_TYPE);
																																							}
																																							BgL_oclassz00_2983
																																								=
																																								VECTOR_REF
																																								(BGl_za2classesza2z00zz__objectz00,
																																								BgL_arg1808z00_2989);
																																						}
																																						{	/* Return/walk.scm 236 */
																																							bool_t
																																								BgL__ortest_1115z00_2984;
																																							BgL__ortest_1115z00_2984
																																								=
																																								(BgL_classz00_2967
																																								==
																																								BgL_oclassz00_2983);
																																							if (BgL__ortest_1115z00_2984)
																																								{	/* Return/walk.scm 236 */
																																									BgL_res2182z00_2997
																																										=
																																										BgL__ortest_1115z00_2984;
																																								}
																																							else
																																								{	/* Return/walk.scm 236 */
																																									long
																																										BgL_odepthz00_2985;
																																									BgL_odepthz00_2985
																																										=
																																										BGL_CLASS_DEPTH
																																										(BgL_oclassz00_2983);
																																									if ((3L < BgL_odepthz00_2985))
																																										{	/* Return/walk.scm 236 */
																																											obj_t
																																												BgL_arg1797z00_2987;
																																											BgL_arg1797z00_2987
																																												=
																																												BGL_CLASS_ANCESTORS_REF
																																												(BgL_oclassz00_2983,
																																												3L);
																																											BgL_res2182z00_2997
																																												=
																																												(BgL_arg1797z00_2987
																																												==
																																												BgL_classz00_2967);
																																										}
																																									else
																																										{	/* Return/walk.scm 236 */
																																											BgL_res2182z00_2997
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																						}
																																					}
																																					BgL_test2382z00_4622
																																						=
																																						BgL_res2182z00_2997;
																																				}
																																		}
																																	else
																																		{	/* Return/walk.scm 236 */
																																			BgL_test2382z00_4622
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_test2382z00_4622)
																																	{	/* Return/walk.scm 238 */
																																		bool_t
																																			BgL_test2387z00_4642;
																																		{	/* Return/walk.scm 238 */
																																			bool_t
																																				BgL_test2388z00_4643;
																																			{	/* Return/walk.scm 238 */
																																				obj_t
																																					BgL_tmpz00_4644;
																																				BgL_tmpz00_4644
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1788)))->BgL_argsz00);
																																				BgL_test2388z00_4643
																																					=
																																					PAIRP
																																					(BgL_tmpz00_4644);
																																			}
																																			if (BgL_test2388z00_4643)
																																				{	/* Return/walk.scm 238 */
																																					obj_t
																																						BgL_tmpz00_4648;
																																					{	/* Return/walk.scm 238 */
																																						obj_t
																																							BgL_pairz00_2998;
																																						BgL_pairz00_2998
																																							=
																																							(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1788)))->BgL_argsz00);
																																						BgL_tmpz00_4648
																																							=
																																							CDR
																																							(BgL_pairz00_2998);
																																					}
																																					BgL_test2387z00_4642
																																						=
																																						NULLP
																																						(BgL_tmpz00_4648);
																																				}
																																			else
																																				{	/* Return/walk.scm 238 */
																																					BgL_test2387z00_4642
																																						=
																																						(
																																						(bool_t)
																																						0);
																																				}
																																		}
																																		if (BgL_test2387z00_4642)
																																			{	/* Return/walk.scm 239 */
																																				BgL_varz00_bglt
																																					BgL_i1158z00_1797;
																																				BgL_i1158z00_1797
																																					=
																																					(((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1788)))->BgL_funz00);
																																				{	/* Return/walk.scm 240 */
																																					bool_t
																																						BgL_test2389z00_4655;
																																					{	/* Return/walk.scm 240 */
																																						BgL_variablez00_bglt
																																							BgL_arg1870z00_1810;
																																						BgL_arg1870z00_1810
																																							=
																																							(((BgL_varz00_bglt) COBJECT(BgL_i1158z00_1797))->BgL_variablez00);
																																						BgL_test2389z00_4655
																																							=
																																							(((obj_t) BgL_arg1870z00_1810) == BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
																																					}
																																					if (BgL_test2389z00_4655)
																																						{	/* Return/walk.scm 241 */
																																							bool_t
																																								BgL_test2390z00_4659;
																																							{	/* Return/walk.scm 241 */
																																								obj_t
																																									BgL_arg1867z00_1808;
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_pairz00_2999;
																																									BgL_pairz00_2999
																																										=
																																										(
																																										((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1788)))->BgL_argsz00);
																																									BgL_arg1867z00_1808
																																										=
																																										CAR
																																										(BgL_pairz00_2999);
																																								}
																																								{	/* Return/walk.scm 241 */
																																									obj_t
																																										BgL_classz00_3000;
																																									BgL_classz00_3000
																																										=
																																										BGl_varz00zzast_nodez00;
																																									if (BGL_OBJECTP(BgL_arg1867z00_1808))
																																										{	/* Return/walk.scm 241 */
																																											BgL_objectz00_bglt
																																												BgL_arg1801z00_3002;
																																											BgL_arg1801z00_3002
																																												=
																																												(BgL_objectz00_bglt)
																																												(BgL_arg1867z00_1808);
																																											if (BGL_CONDEXPAND_ISA_ARCH64())
																																												{	/* Return/walk.scm 241 */
																																													long
																																														BgL_idxz00_3008;
																																													BgL_idxz00_3008
																																														=
																																														BGL_OBJECT_INHERITANCE_NUM
																																														(BgL_arg1801z00_3002);
																																													BgL_test2390z00_4659
																																														=
																																														(VECTOR_REF
																																														(BGl_za2inheritancesza2z00zz__objectz00,
																																															(BgL_idxz00_3008
																																																+
																																																2L))
																																														==
																																														BgL_classz00_3000);
																																												}
																																											else
																																												{	/* Return/walk.scm 241 */
																																													bool_t
																																														BgL_res2183z00_3030;
																																													{	/* Return/walk.scm 241 */
																																														obj_t
																																															BgL_oclassz00_3016;
																																														{	/* Return/walk.scm 241 */
																																															long
																																																BgL_arg1808z00_3022;
																																															{	/* Return/walk.scm 241 */
																																																long
																																																	BgL_arg1809z00_3023;
																																																BgL_arg1809z00_3023
																																																	=
																																																	BGL_OBJECT_CLASS_NUM
																																																	(BgL_arg1801z00_3002);
																																																BgL_arg1808z00_3022
																																																	=
																																																	(BgL_arg1809z00_3023
																																																	-
																																																	OBJECT_TYPE);
																																															}
																																															BgL_oclassz00_3016
																																																=
																																																VECTOR_REF
																																																(BGl_za2classesza2z00zz__objectz00,
																																																BgL_arg1808z00_3022);
																																														}
																																														{	/* Return/walk.scm 241 */
																																															bool_t
																																																BgL__ortest_1115z00_3017;
																																															BgL__ortest_1115z00_3017
																																																=
																																																(BgL_classz00_3000
																																																==
																																																BgL_oclassz00_3016);
																																															if (BgL__ortest_1115z00_3017)
																																																{	/* Return/walk.scm 241 */
																																																	BgL_res2183z00_3030
																																																		=
																																																		BgL__ortest_1115z00_3017;
																																																}
																																															else
																																																{	/* Return/walk.scm 241 */
																																																	long
																																																		BgL_odepthz00_3018;
																																																	BgL_odepthz00_3018
																																																		=
																																																		BGL_CLASS_DEPTH
																																																		(BgL_oclassz00_3016);
																																																	if ((2L < BgL_odepthz00_3018))
																																																		{	/* Return/walk.scm 241 */
																																																			obj_t
																																																				BgL_arg1797z00_3020;
																																																			BgL_arg1797z00_3020
																																																				=
																																																				BGL_CLASS_ANCESTORS_REF
																																																				(BgL_oclassz00_3016,
																																																				2L);
																																																			BgL_res2183z00_3030
																																																				=
																																																				(BgL_arg1797z00_3020
																																																				==
																																																				BgL_classz00_3000);
																																																		}
																																																	else
																																																		{	/* Return/walk.scm 241 */
																																																			BgL_res2183z00_3030
																																																				=
																																																				(
																																																				(bool_t)
																																																				0);
																																																		}
																																																}
																																														}
																																													}
																																													BgL_test2390z00_4659
																																														=
																																														BgL_res2183z00_3030;
																																												}
																																										}
																																									else
																																										{	/* Return/walk.scm 241 */
																																											BgL_test2390z00_4659
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							}
																																							if (BgL_test2390z00_4659)
																																								{	/* Return/walk.scm 243 */
																																									bool_t
																																										BgL_test2395z00_4682;
																																									{	/* Return/walk.scm 243 */
																																										obj_t
																																											BgL_tmpz00_4683;
																																										{
																																											BgL_variablez00_bglt
																																												BgL_auxz00_4684;
																																											{
																																												BgL_varz00_bglt
																																													BgL_auxz00_4685;
																																												{	/* Return/walk.scm 242 */
																																													obj_t
																																														BgL_pairz00_3031;
																																													BgL_pairz00_3031
																																														=
																																														(
																																														((BgL_appz00_bglt) COBJECT(((BgL_appz00_bglt) BgL_exprz00_1788)))->BgL_argsz00);
																																													BgL_auxz00_4685
																																														=
																																														(
																																														(BgL_varz00_bglt)
																																														CAR
																																														(BgL_pairz00_3031));
																																												}
																																												BgL_auxz00_4684
																																													=
																																													(
																																													((BgL_varz00_bglt) COBJECT(BgL_auxz00_4685))->BgL_variablez00);
																																											}
																																											BgL_tmpz00_4683
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_4684);
																																										}
																																										BgL_test2395z00_4682
																																											=
																																											(BgL_tmpz00_4683
																																											==
																																											BgL_envz00_1776);
																																									}
																																									if (BgL_test2395z00_4682)
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1902
																																												=
																																												BgL_bindingz00_1786;
																																										}
																																									else
																																										{	/* Return/walk.scm 243 */
																																											BgL_bindingz00_1902
																																												=
																																												BFALSE;
																																										}
																																								}
																																							else
																																								{	/* Return/walk.scm 241 */
																																									BgL_bindingz00_1902
																																										=
																																										BFALSE;
																																								}
																																						}
																																					else
																																						{	/* Return/walk.scm 240 */
																																							BgL_bindingz00_1902
																																								=
																																								BFALSE;
																																						}
																																				}
																																			}
																																		else
																																			{	/* Return/walk.scm 238 */
																																				BgL_bindingz00_1902
																																					=
																																					BFALSE;
																																			}
																																	}
																																else
																																	{	/* Return/walk.scm 236 */
																																		BgL_bindingz00_1902
																																			= BFALSE;
																																	}
																															}
																														}
																													}
																												}
																											else
																												{	/* Return/walk.scm 232 */
																													BgL_bindingz00_1902 =
																														BFALSE;
																												}
																										}
																									else
																										{	/* Return/walk.scm 230 */
																											BgL_bindingz00_1902 =
																												BFALSE;
																										}
																								}
																								if (CBOOL(BgL_bindingz00_1902))
																									{	/* Return/walk.scm 292 */
																										BgL_letzd2varzd2_bglt
																											BgL_i1168z00_1903;
																										{	/* Return/walk.scm 292 */
																											obj_t BgL_pairz00_3222;

																											BgL_pairz00_3222 =
																												CDR(
																												((obj_t)
																													BgL_nodesz00_1893));
																											BgL_i1168z00_1903 =
																												((BgL_letzd2varzd2_bglt)
																												CAR(BgL_pairz00_3222));
																										}
																										{	/* Return/walk.scm 293 */
																											obj_t
																												BgL_exitnodez00_1904;
																											{	/* Return/walk.scm 293 */
																												BgL_nodez00_bglt
																													BgL_arg1953z00_1906;
																												obj_t
																													BgL_arg1954z00_1907;
																												BgL_arg1953z00_1906 =
																													(((BgL_letzd2varzd2_bglt) COBJECT(BgL_i1168z00_1903))->BgL_bodyz00);
																												BgL_arg1954z00_1907 =
																													CAR(((obj_t)
																														BgL_bindingz00_1902));
																												BgL_nodez00_1719 =
																													BgL_arg1953z00_1906;
																												BgL_varz00_1720 =
																													((BgL_localz00_bglt)
																													BgL_arg1954z00_1907);
																												BgL_envz00_1721 =
																													BgL_envz00_1895;
																												{	/* Return/walk.scm 206 */
																													bool_t
																														BgL_test2397z00_4706;
																													{	/* Return/walk.scm 206 */
																														obj_t
																															BgL_classz00_2828;
																														BgL_classz00_2828 =
																															BGl_letzd2varzd2zzast_nodez00;
																														{	/* Return/walk.scm 206 */
																															BgL_objectz00_bglt
																																BgL_arg1801z00_2830;
																															{	/* Return/walk.scm 206 */
																																obj_t
																																	BgL_tmpz00_4707;
																																BgL_tmpz00_4707
																																	=
																																	((obj_t)
																																	BgL_nodez00_1719);
																																BgL_arg1801z00_2830
																																	=
																																	(BgL_objectz00_bglt)
																																	(BgL_tmpz00_4707);
																															}
																															if (BGL_CONDEXPAND_ISA_ARCH64())
																																{	/* Return/walk.scm 206 */
																																	long
																																		BgL_idxz00_2836;
																																	BgL_idxz00_2836
																																		=
																																		BGL_OBJECT_INHERITANCE_NUM
																																		(BgL_arg1801z00_2830);
																																	BgL_test2397z00_4706
																																		=
																																		(VECTOR_REF
																																		(BGl_za2inheritancesza2z00zz__objectz00,
																																			(BgL_idxz00_2836
																																				+
																																				3L)) ==
																																		BgL_classz00_2828);
																																}
																															else
																																{	/* Return/walk.scm 206 */
																																	bool_t
																																		BgL_res2178z00_2858;
																																	{	/* Return/walk.scm 206 */
																																		obj_t
																																			BgL_oclassz00_2844;
																																		{	/* Return/walk.scm 206 */
																																			long
																																				BgL_arg1808z00_2850;
																																			{	/* Return/walk.scm 206 */
																																				long
																																					BgL_arg1809z00_2851;
																																				BgL_arg1809z00_2851
																																					=
																																					BGL_OBJECT_CLASS_NUM
																																					(BgL_arg1801z00_2830);
																																				BgL_arg1808z00_2850
																																					=
																																					(BgL_arg1809z00_2851
																																					-
																																					OBJECT_TYPE);
																																			}
																																			BgL_oclassz00_2844
																																				=
																																				VECTOR_REF
																																				(BGl_za2classesza2z00zz__objectz00,
																																				BgL_arg1808z00_2850);
																																		}
																																		{	/* Return/walk.scm 206 */
																																			bool_t
																																				BgL__ortest_1115z00_2845;
																																			BgL__ortest_1115z00_2845
																																				=
																																				(BgL_classz00_2828
																																				==
																																				BgL_oclassz00_2844);
																																			if (BgL__ortest_1115z00_2845)
																																				{	/* Return/walk.scm 206 */
																																					BgL_res2178z00_2858
																																						=
																																						BgL__ortest_1115z00_2845;
																																				}
																																			else
																																				{	/* Return/walk.scm 206 */
																																					long
																																						BgL_odepthz00_2846;
																																					BgL_odepthz00_2846
																																						=
																																						BGL_CLASS_DEPTH
																																						(BgL_oclassz00_2844);
																																					if (
																																						(3L
																																							<
																																							BgL_odepthz00_2846))
																																						{	/* Return/walk.scm 206 */
																																							obj_t
																																								BgL_arg1797z00_2848;
																																							BgL_arg1797z00_2848
																																								=
																																								BGL_CLASS_ANCESTORS_REF
																																								(BgL_oclassz00_2844,
																																								3L);
																																							BgL_res2178z00_2858
																																								=
																																								(BgL_arg1797z00_2848
																																								==
																																								BgL_classz00_2828);
																																						}
																																					else
																																						{	/* Return/walk.scm 206 */
																																							BgL_res2178z00_2858
																																								=
																																								(
																																								(bool_t)
																																								0);
																																						}
																																				}
																																		}
																																	}
																																	BgL_test2397z00_4706
																																		=
																																		BgL_res2178z00_2858;
																																}
																														}
																													}
																													if (BgL_test2397z00_4706)
																														{	/* Return/walk.scm 208 */
																															bool_t
																																BgL_test2401z00_4726;
																															{	/* Return/walk.scm 208 */
																																bool_t
																																	BgL_test2402z00_4727;
																																{	/* Return/walk.scm 208 */
																																	obj_t
																																		BgL_tmpz00_4728;
																																	BgL_tmpz00_4728
																																		=
																																		(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_bindingsz00);
																																	BgL_test2402z00_4727
																																		=
																																		PAIRP
																																		(BgL_tmpz00_4728);
																																}
																																if (BgL_test2402z00_4727)
																																	{	/* Return/walk.scm 208 */
																																		obj_t
																																			BgL_tmpz00_4732;
																																		{	/* Return/walk.scm 208 */
																																			obj_t
																																				BgL_pairz00_2859;
																																			BgL_pairz00_2859
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_bindingsz00);
																																			BgL_tmpz00_4732
																																				=
																																				CDR
																																				(BgL_pairz00_2859);
																																		}
																																		BgL_test2401z00_4726
																																			=
																																			NULLP
																																			(BgL_tmpz00_4732);
																																	}
																																else
																																	{	/* Return/walk.scm 208 */
																																		BgL_test2401z00_4726
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_test2401z00_4726)
																																{	/* Return/walk.scm 209 */
																																	obj_t
																																		BgL_bindingz00_1731;
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_pairz00_2860;
																																		BgL_pairz00_2860
																																			=
																																			(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_bindingsz00);
																																		BgL_bindingz00_1731
																																			=
																																			CAR
																																			(BgL_pairz00_2860);
																																	}
																																	{	/* Return/walk.scm 209 */
																																		obj_t
																																			BgL_nbodyz00_1732;
																																		{	/* Return/walk.scm 210 */
																																			BgL_nodez00_bglt
																																				BgL_arg1793z00_1741;
																																			obj_t
																																				BgL_arg1794z00_1742;
																																			BgL_arg1793z00_1741
																																				=
																																				(((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_bodyz00);
																																			BgL_arg1794z00_1742
																																				=
																																				CAR((
																																					(obj_t)
																																					BgL_bindingz00_1731));
																																			BgL_nbodyz00_1732
																																				=
																																				BGl_step6bze70ze7zzreturn_walkz00
																																				(BgL_arg1793z00_1741,
																																				((BgL_localz00_bglt) BgL_arg1794z00_1742), BgL_envz00_1721);
																																		}
																																		{	/* Return/walk.scm 210 */

																																			if (CBOOL
																																				(BgL_nbodyz00_1732))
																																				{	/* Return/walk.scm 212 */
																																					BgL_letzd2varzd2_bglt
																																						BgL_new1145z00_1734;
																																					{	/* Return/walk.scm 212 */
																																						BgL_letzd2varzd2_bglt
																																							BgL_new1152z00_1739;
																																						BgL_new1152z00_1739
																																							=
																																							(
																																							(BgL_letzd2varzd2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_letzd2varzd2_bgl))));
																																						{	/* Return/walk.scm 212 */
																																							long
																																								BgL_arg1776z00_1740;
																																							BgL_arg1776z00_1740
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_letzd2varzd2zzast_nodez00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1152z00_1739), BgL_arg1776z00_1740);
																																						}
																																						{	/* Return/walk.scm 212 */
																																							BgL_objectz00_bglt
																																								BgL_tmpz00_4752;
																																							BgL_tmpz00_4752
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1152z00_1739);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_tmpz00_4752,
																																								BFALSE);
																																						}
																																						((BgL_objectz00_bglt) BgL_new1152z00_1739);
																																						BgL_new1145z00_1734
																																							=
																																							BgL_new1152z00_1739;
																																					}
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_1734)))->BgL_locz00) = ((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1719))->BgL_locz00)), BUNSPEC);
																																					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) BgL_new1145z00_1734)))->BgL_typez00) = ((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1719))->BgL_typez00)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_1734)))->BgL_sidezd2effectzd2) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1719)))->BgL_sidezd2effectzd2)), BUNSPEC);
																																					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_new1145z00_1734)))->BgL_keyz00) = ((obj_t) (((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1719)))->BgL_keyz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1734))->BgL_bindingsz00) = ((obj_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_bindingsz00)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1734))->BgL_bodyz00) = ((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nbodyz00_1732)), BUNSPEC);
																																					((((BgL_letzd2varzd2_bglt) COBJECT(BgL_new1145z00_1734))->BgL_removablezf3zf3) = ((bool_t) (((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_1719)))->BgL_removablezf3zf3)), BUNSPEC);
																																					BgL_exitnodez00_1904
																																						=
																																						(
																																						(obj_t)
																																						BgL_new1145z00_1734);
																																				}
																																			else
																																				{	/* Return/walk.scm 211 */
																																					BgL_exitnodez00_1904
																																						=
																																						BFALSE;
																																				}
																																		}
																																	}
																																}
																															else
																																{	/* Return/walk.scm 208 */
																																	BgL_exitnodez00_1904
																																		= BFALSE;
																																}
																														}
																													else
																														{	/* Return/walk.scm 206 */
																															BgL_exitnodez00_1904
																																= BFALSE;
																														}
																												}
																											}
																											if (CBOOL
																												(BgL_exitnodez00_1904))
																												{	/* Return/walk.scm 295 */
																													obj_t
																														BgL_arg1952z00_1905;
																													BgL_arg1952z00_1905 =
																														CAR(((obj_t)
																															BgL_bindingz00_1902));
																													return
																														MAKE_YOUNG_PAIR
																														(BgL_arg1952z00_1905,
																														BgL_exitnodez00_1904);
																												}
																											else
																												{	/* Return/walk.scm 294 */
																													return BFALSE;
																												}
																										}
																									}
																								else
																									{	/* Return/walk.scm 291 */
																										return BFALSE;
																									}
																							}
																						else
																							{	/* Return/walk.scm 289 */
																								return BFALSE;
																							}
																					}
																				}
																			}
																		else
																			{	/* Return/walk.scm 315 */
																				return BFALSE;
																			}
																	}
																}
															}
														else
															{	/* Return/walk.scm 312 */
																return BFALSE;
															}
													}
												else
													{	/* Return/walk.scm 309 */
														return BFALSE;
													}
											}
										else
											{	/* Return/walk.scm 307 */
												return BFALSE;
											}
									}
								}
						}
					else
						{	/* Return/walk.scm 320 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step8~0 */
	obj_t BGl_step8ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1586,
		BgL_localz00_bglt BgL_resz00_1587)
	{
		{	/* Return/walk.scm 162 */
			{	/* Return/walk.scm 149 */
				bool_t BgL_test2405z00_4786;

				{	/* Return/walk.scm 149 */
					obj_t BgL_classz00_2525;

					BgL_classz00_2525 = BGl_varz00zzast_nodez00;
					{	/* Return/walk.scm 149 */
						BgL_objectz00_bglt BgL_arg1801z00_2527;

						{	/* Return/walk.scm 149 */
							obj_t BgL_tmpz00_4787;

							BgL_tmpz00_4787 = ((obj_t) BgL_nodez00_1586);
							BgL_arg1801z00_2527 = (BgL_objectz00_bglt) (BgL_tmpz00_4787);
						}
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Return/walk.scm 149 */
								long BgL_idxz00_2533;

								BgL_idxz00_2533 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2527);
								BgL_test2405z00_4786 =
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_2533 + 2L)) == BgL_classz00_2525);
							}
						else
							{	/* Return/walk.scm 149 */
								bool_t BgL_res2169z00_2555;

								{	/* Return/walk.scm 149 */
									obj_t BgL_oclassz00_2541;

									{	/* Return/walk.scm 149 */
										long BgL_arg1808z00_2547;

										{	/* Return/walk.scm 149 */
											long BgL_arg1809z00_2548;

											BgL_arg1809z00_2548 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2527);
											BgL_arg1808z00_2547 = (BgL_arg1809z00_2548 - OBJECT_TYPE);
										}
										BgL_oclassz00_2541 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_2547);
									}
									{	/* Return/walk.scm 149 */
										bool_t BgL__ortest_1115z00_2542;

										BgL__ortest_1115z00_2542 =
											(BgL_classz00_2525 == BgL_oclassz00_2541);
										if (BgL__ortest_1115z00_2542)
											{	/* Return/walk.scm 149 */
												BgL_res2169z00_2555 = BgL__ortest_1115z00_2542;
											}
										else
											{	/* Return/walk.scm 149 */
												long BgL_odepthz00_2543;

												BgL_odepthz00_2543 =
													BGL_CLASS_DEPTH(BgL_oclassz00_2541);
												if ((2L < BgL_odepthz00_2543))
													{	/* Return/walk.scm 149 */
														obj_t BgL_arg1797z00_2545;

														BgL_arg1797z00_2545 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2541, 2L);
														BgL_res2169z00_2555 =
															(BgL_arg1797z00_2545 == BgL_classz00_2525);
													}
												else
													{	/* Return/walk.scm 149 */
														BgL_res2169z00_2555 = ((bool_t) 0);
													}
											}
									}
								}
								BgL_test2405z00_4786 = BgL_res2169z00_2555;
							}
					}
				}
				if (BgL_test2405z00_4786)
					{	/* Return/walk.scm 149 */
						if (
							(((obj_t)
									(((BgL_varz00_bglt) COBJECT(
												((BgL_varz00_bglt) BgL_nodez00_1586)))->
										BgL_variablez00)) == ((obj_t) BgL_resz00_1587)))
							{	/* Return/walk.scm 151 */
								return ((obj_t) BgL_nodez00_1586);
							}
						else
							{	/* Return/walk.scm 151 */
								return BFALSE;
							}
					}
				else
					{	/* Return/walk.scm 153 */
						bool_t BgL_test2410z00_4813;

						{	/* Return/walk.scm 153 */
							obj_t BgL_classz00_2556;

							BgL_classz00_2556 = BGl_appz00zzast_nodez00;
							{	/* Return/walk.scm 153 */
								BgL_objectz00_bglt BgL_arg1801z00_2558;

								{	/* Return/walk.scm 153 */
									obj_t BgL_tmpz00_4814;

									BgL_tmpz00_4814 = ((obj_t) BgL_nodez00_1586);
									BgL_arg1801z00_2558 = (BgL_objectz00_bglt) (BgL_tmpz00_4814);
								}
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Return/walk.scm 153 */
										long BgL_idxz00_2564;

										BgL_idxz00_2564 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2558);
										BgL_test2410z00_4813 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_2564 + 3L)) == BgL_classz00_2556);
									}
								else
									{	/* Return/walk.scm 153 */
										bool_t BgL_res2170z00_2586;

										{	/* Return/walk.scm 153 */
											obj_t BgL_oclassz00_2572;

											{	/* Return/walk.scm 153 */
												long BgL_arg1808z00_2578;

												{	/* Return/walk.scm 153 */
													long BgL_arg1809z00_2579;

													BgL_arg1809z00_2579 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2558);
													BgL_arg1808z00_2578 =
														(BgL_arg1809z00_2579 - OBJECT_TYPE);
												}
												BgL_oclassz00_2572 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_2578);
											}
											{	/* Return/walk.scm 153 */
												bool_t BgL__ortest_1115z00_2573;

												BgL__ortest_1115z00_2573 =
													(BgL_classz00_2556 == BgL_oclassz00_2572);
												if (BgL__ortest_1115z00_2573)
													{	/* Return/walk.scm 153 */
														BgL_res2170z00_2586 = BgL__ortest_1115z00_2573;
													}
												else
													{	/* Return/walk.scm 153 */
														long BgL_odepthz00_2574;

														BgL_odepthz00_2574 =
															BGL_CLASS_DEPTH(BgL_oclassz00_2572);
														if ((3L < BgL_odepthz00_2574))
															{	/* Return/walk.scm 153 */
																obj_t BgL_arg1797z00_2576;

																BgL_arg1797z00_2576 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2572,
																	3L);
																BgL_res2170z00_2586 =
																	(BgL_arg1797z00_2576 == BgL_classz00_2556);
															}
														else
															{	/* Return/walk.scm 153 */
																BgL_res2170z00_2586 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2410z00_4813 = BgL_res2170z00_2586;
									}
							}
						}
						if (BgL_test2410z00_4813)
							{	/* Return/walk.scm 155 */
								bool_t BgL_test2414z00_4833;

								{
									obj_t BgL_l1372z00_1608;

									{	/* Return/walk.scm 155 */
										obj_t BgL_tmpz00_4834;

										BgL_l1372z00_1608 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_1586)))->BgL_argsz00);
									BgL_zc3z04anonymousza31592ze3z87_1609:
										if (NULLP(BgL_l1372z00_1608))
											{	/* Return/walk.scm 155 */
												BgL_tmpz00_4834 = BFALSE;
											}
										else
											{	/* Return/walk.scm 155 */
												obj_t BgL__ortest_1375z00_1611;

												BgL__ortest_1375z00_1611 =
													BGl_step8ze70ze7zzreturn_walkz00(
													((BgL_nodez00_bglt)
														CAR(((obj_t) BgL_l1372z00_1608))), BgL_resz00_1587);
												if (CBOOL(BgL__ortest_1375z00_1611))
													{	/* Return/walk.scm 155 */
														BgL_tmpz00_4834 = BgL__ortest_1375z00_1611;
													}
												else
													{
														obj_t BgL_l1372z00_4843;

														BgL_l1372z00_4843 =
															CDR(((obj_t) BgL_l1372z00_1608));
														BgL_l1372z00_1608 = BgL_l1372z00_4843;
														goto BgL_zc3z04anonymousza31592ze3z87_1609;
													}
											}
										BgL_test2414z00_4833 = CBOOL(BgL_tmpz00_4834);
									}
								}
								if (BgL_test2414z00_4833)
									{	/* Return/walk.scm 155 */
										return ((obj_t) BgL_nodez00_1586);
									}
								else
									{	/* Return/walk.scm 155 */
										return BFALSE;
									}
							}
						else
							{	/* Return/walk.scm 157 */
								bool_t BgL_test2417z00_4850;

								{	/* Return/walk.scm 157 */
									obj_t BgL_classz00_2589;

									BgL_classz00_2589 = BGl_castz00zzast_nodez00;
									{	/* Return/walk.scm 157 */
										BgL_objectz00_bglt BgL_arg1801z00_2591;

										{	/* Return/walk.scm 157 */
											obj_t BgL_tmpz00_4851;

											BgL_tmpz00_4851 = ((obj_t) BgL_nodez00_1586);
											BgL_arg1801z00_2591 =
												(BgL_objectz00_bglt) (BgL_tmpz00_4851);
										}
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Return/walk.scm 157 */
												long BgL_idxz00_2597;

												BgL_idxz00_2597 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2591);
												BgL_test2417z00_4850 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_2597 + 2L)) == BgL_classz00_2589);
											}
										else
											{	/* Return/walk.scm 157 */
												bool_t BgL_res2171z00_2619;

												{	/* Return/walk.scm 157 */
													obj_t BgL_oclassz00_2605;

													{	/* Return/walk.scm 157 */
														long BgL_arg1808z00_2611;

														{	/* Return/walk.scm 157 */
															long BgL_arg1809z00_2612;

															BgL_arg1809z00_2612 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2591);
															BgL_arg1808z00_2611 =
																(BgL_arg1809z00_2612 - OBJECT_TYPE);
														}
														BgL_oclassz00_2605 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1808z00_2611);
													}
													{	/* Return/walk.scm 157 */
														bool_t BgL__ortest_1115z00_2606;

														BgL__ortest_1115z00_2606 =
															(BgL_classz00_2589 == BgL_oclassz00_2605);
														if (BgL__ortest_1115z00_2606)
															{	/* Return/walk.scm 157 */
																BgL_res2171z00_2619 = BgL__ortest_1115z00_2606;
															}
														else
															{	/* Return/walk.scm 157 */
																long BgL_odepthz00_2607;

																BgL_odepthz00_2607 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_2605);
																if ((2L < BgL_odepthz00_2607))
																	{	/* Return/walk.scm 157 */
																		obj_t BgL_arg1797z00_2609;

																		BgL_arg1797z00_2609 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_2605, 2L);
																		BgL_res2171z00_2619 =
																			(BgL_arg1797z00_2609 ==
																			BgL_classz00_2589);
																	}
																else
																	{	/* Return/walk.scm 157 */
																		BgL_res2171z00_2619 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2417z00_4850 = BgL_res2171z00_2619;
											}
									}
								}
								if (BgL_test2417z00_4850)
									{	/* Return/walk.scm 157 */
										if (CBOOL(BGl_step8ze70ze7zzreturn_walkz00(
													(((BgL_castz00_bglt) COBJECT(
																((BgL_castz00_bglt) BgL_nodez00_1586)))->
														BgL_argz00), BgL_resz00_1587)))
											{	/* Return/walk.scm 159 */
												return ((obj_t) BgL_nodez00_1586);
											}
										else
											{	/* Return/walk.scm 159 */
												return BFALSE;
											}
									}
								else
									{	/* Return/walk.scm 157 */
										return BFALSE;
									}
							}
					}
			}
		}

	}



/* step6~0 */
	obj_t BGl_step6ze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1656,
		BgL_localz00_bglt BgL_varz00_1657)
	{
		{	/* Return/walk.scm 186 */
			{
				BgL_nodez00_bglt BgL_nodez00_1620;

				{	/* Return/walk.scm 182 */
					bool_t BgL_test2422z00_4876;

					{	/* Return/walk.scm 182 */
						obj_t BgL_classz00_2716;

						BgL_classz00_2716 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 182 */
							BgL_objectz00_bglt BgL_arg1801z00_2718;

							{	/* Return/walk.scm 182 */
								obj_t BgL_tmpz00_4877;

								BgL_tmpz00_4877 = ((obj_t) BgL_nodez00_1656);
								BgL_arg1801z00_2718 = (BgL_objectz00_bglt) (BgL_tmpz00_4877);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 182 */
									long BgL_idxz00_2724;

									BgL_idxz00_2724 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2718);
									BgL_test2422z00_4876 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2724 + 3L)) == BgL_classz00_2716);
								}
							else
								{	/* Return/walk.scm 182 */
									bool_t BgL_res2175z00_2746;

									{	/* Return/walk.scm 182 */
										obj_t BgL_oclassz00_2732;

										{	/* Return/walk.scm 182 */
											long BgL_arg1808z00_2738;

											{	/* Return/walk.scm 182 */
												long BgL_arg1809z00_2739;

												BgL_arg1809z00_2739 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2718);
												BgL_arg1808z00_2738 =
													(BgL_arg1809z00_2739 - OBJECT_TYPE);
											}
											BgL_oclassz00_2732 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2738);
										}
										{	/* Return/walk.scm 182 */
											bool_t BgL__ortest_1115z00_2733;

											BgL__ortest_1115z00_2733 =
												(BgL_classz00_2716 == BgL_oclassz00_2732);
											if (BgL__ortest_1115z00_2733)
												{	/* Return/walk.scm 182 */
													BgL_res2175z00_2746 = BgL__ortest_1115z00_2733;
												}
											else
												{	/* Return/walk.scm 182 */
													long BgL_odepthz00_2734;

													BgL_odepthz00_2734 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2732);
													if ((3L < BgL_odepthz00_2734))
														{	/* Return/walk.scm 182 */
															obj_t BgL_arg1797z00_2736;

															BgL_arg1797z00_2736 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2732, 3L);
															BgL_res2175z00_2746 =
																(BgL_arg1797z00_2736 == BgL_classz00_2716);
														}
													else
														{	/* Return/walk.scm 182 */
															BgL_res2175z00_2746 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2422z00_4876 = BgL_res2175z00_2746;
								}
						}
					}
					if (BgL_test2422z00_4876)
						{	/* Return/walk.scm 182 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1656)))->
											BgL_nodesz00)) == 2L))
								{	/* Return/walk.scm 185 */
									bool_t BgL_test2427z00_4901;

									{	/* Return/walk.scm 185 */
										obj_t BgL_pairz00_2748;

										BgL_pairz00_2748 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1656)))->
											BgL_nodesz00);
										BgL_nodez00_1620 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2748));
									}
									{	/* Return/walk.scm 165 */
										bool_t BgL_test2428z00_4902;

										{	/* Return/walk.scm 165 */
											obj_t BgL_classz00_2620;

											BgL_classz00_2620 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 165 */
												BgL_objectz00_bglt BgL_arg1801z00_2622;

												{	/* Return/walk.scm 165 */
													obj_t BgL_tmpz00_4903;

													BgL_tmpz00_4903 = ((obj_t) BgL_nodez00_1620);
													BgL_arg1801z00_2622 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4903);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 165 */
														long BgL_idxz00_2628;

														BgL_idxz00_2628 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2622);
														BgL_test2428z00_4902 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2628 + 3L)) == BgL_classz00_2620);
													}
												else
													{	/* Return/walk.scm 165 */
														bool_t BgL_res2172z00_2650;

														{	/* Return/walk.scm 165 */
															obj_t BgL_oclassz00_2636;

															{	/* Return/walk.scm 165 */
																long BgL_arg1808z00_2642;

																{	/* Return/walk.scm 165 */
																	long BgL_arg1809z00_2643;

																	BgL_arg1809z00_2643 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2622);
																	BgL_arg1808z00_2642 =
																		(BgL_arg1809z00_2643 - OBJECT_TYPE);
																}
																BgL_oclassz00_2636 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_2642);
															}
															{	/* Return/walk.scm 165 */
																bool_t BgL__ortest_1115z00_2637;

																BgL__ortest_1115z00_2637 =
																	(BgL_classz00_2620 == BgL_oclassz00_2636);
																if (BgL__ortest_1115z00_2637)
																	{	/* Return/walk.scm 165 */
																		BgL_res2172z00_2650 =
																			BgL__ortest_1115z00_2637;
																	}
																else
																	{	/* Return/walk.scm 165 */
																		long BgL_odepthz00_2638;

																		BgL_odepthz00_2638 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2636);
																		if ((3L < BgL_odepthz00_2638))
																			{	/* Return/walk.scm 165 */
																				obj_t BgL_arg1797z00_2640;

																				BgL_arg1797z00_2640 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2636, 3L);
																				BgL_res2172z00_2650 =
																					(BgL_arg1797z00_2640 ==
																					BgL_classz00_2620);
																			}
																		else
																			{	/* Return/walk.scm 165 */
																				BgL_res2172z00_2650 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2428z00_4902 = BgL_res2172z00_2650;
													}
											}
										}
										if (BgL_test2428z00_4902)
											{	/* Return/walk.scm 165 */
												if (NULLP(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1620)))->
															BgL_argsz00)))
													{	/* Return/walk.scm 168 */
														BgL_varz00_bglt BgL_i1129z00_1626;

														BgL_i1129z00_1626 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1620)))->
															BgL_funz00);
														{	/* Return/walk.scm 169 */
															BgL_variablez00_bglt BgL_arg1613z00_1627;

															BgL_arg1613z00_1627 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1129z00_1626))->BgL_variablez00);
															BgL_test2427z00_4901 =
																(((obj_t) BgL_arg1613z00_1627) ==
																BGl_za2popzd2exitz12za2zc0zzreturn_walkz00);
														}
													}
												else
													{	/* Return/walk.scm 167 */
														BgL_test2427z00_4901 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 165 */
												BgL_test2427z00_4901 = ((bool_t) 0);
											}
									}
									if (BgL_test2427z00_4901)
										{	/* Return/walk.scm 186 */
											obj_t BgL_arg1698z00_1667;

											{	/* Return/walk.scm 186 */
												obj_t BgL_pairz00_2749;

												BgL_pairz00_2749 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1656)))->
													BgL_nodesz00);
												BgL_arg1698z00_1667 = CAR(CDR(BgL_pairz00_2749));
											}
											BGL_TAIL return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1698z00_1667),
												BgL_varz00_1657);
										}
									else
										{	/* Return/walk.scm 185 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 184 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 182 */
							return BFALSE;
						}
				}
			}
		}

	}



/* step6b~0 */
	obj_t BGl_step6bze70ze7zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_1673,
		BgL_localz00_bglt BgL_varz00_1674, obj_t BgL_envz00_1675)
	{
		{	/* Return/walk.scm 193 */
			{
				BgL_nodez00_bglt BgL_nodez00_1629;
				obj_t BgL_envz00_1630;

				{	/* Return/walk.scm 189 */
					bool_t BgL_test2433z00_4941;

					{	/* Return/walk.scm 189 */
						obj_t BgL_classz00_2753;

						BgL_classz00_2753 = BGl_sequencez00zzast_nodez00;
						{	/* Return/walk.scm 189 */
							BgL_objectz00_bglt BgL_arg1801z00_2755;

							{	/* Return/walk.scm 189 */
								obj_t BgL_tmpz00_4942;

								BgL_tmpz00_4942 = ((obj_t) BgL_nodez00_1673);
								BgL_arg1801z00_2755 = (BgL_objectz00_bglt) (BgL_tmpz00_4942);
							}
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* Return/walk.scm 189 */
									long BgL_idxz00_2761;

									BgL_idxz00_2761 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2755);
									BgL_test2433z00_4941 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_2761 + 3L)) == BgL_classz00_2753);
								}
							else
								{	/* Return/walk.scm 189 */
									bool_t BgL_res2176z00_2783;

									{	/* Return/walk.scm 189 */
										obj_t BgL_oclassz00_2769;

										{	/* Return/walk.scm 189 */
											long BgL_arg1808z00_2775;

											{	/* Return/walk.scm 189 */
												long BgL_arg1809z00_2776;

												BgL_arg1809z00_2776 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2755);
												BgL_arg1808z00_2775 =
													(BgL_arg1809z00_2776 - OBJECT_TYPE);
											}
											BgL_oclassz00_2769 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_2775);
										}
										{	/* Return/walk.scm 189 */
											bool_t BgL__ortest_1115z00_2770;

											BgL__ortest_1115z00_2770 =
												(BgL_classz00_2753 == BgL_oclassz00_2769);
											if (BgL__ortest_1115z00_2770)
												{	/* Return/walk.scm 189 */
													BgL_res2176z00_2783 = BgL__ortest_1115z00_2770;
												}
											else
												{	/* Return/walk.scm 189 */
													long BgL_odepthz00_2771;

													BgL_odepthz00_2771 =
														BGL_CLASS_DEPTH(BgL_oclassz00_2769);
													if ((3L < BgL_odepthz00_2771))
														{	/* Return/walk.scm 189 */
															obj_t BgL_arg1797z00_2773;

															BgL_arg1797z00_2773 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_2769, 3L);
															BgL_res2176z00_2783 =
																(BgL_arg1797z00_2773 == BgL_classz00_2753);
														}
													else
														{	/* Return/walk.scm 189 */
															BgL_res2176z00_2783 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2433z00_4941 = BgL_res2176z00_2783;
								}
						}
					}
					if (BgL_test2433z00_4941)
						{	/* Return/walk.scm 189 */
							if (
								(bgl_list_length(
										(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
											BgL_nodesz00)) == 2L))
								{	/* Return/walk.scm 192 */
									bool_t BgL_test2438z00_4966;

									{	/* Return/walk.scm 192 */
										obj_t BgL_pairz00_2785;

										BgL_pairz00_2785 =
											(((BgL_sequencez00_bglt) COBJECT(
													((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
											BgL_nodesz00);
										BgL_nodez00_1629 =
											((BgL_nodez00_bglt) CAR(BgL_pairz00_2785));
									}
									BgL_envz00_1630 = BgL_envz00_1675;
									{	/* Return/walk.scm 172 */
										bool_t BgL_test2439z00_4967;

										{	/* Return/walk.scm 172 */
											obj_t BgL_classz00_2651;

											BgL_classz00_2651 = BGl_appz00zzast_nodez00;
											{	/* Return/walk.scm 172 */
												BgL_objectz00_bglt BgL_arg1801z00_2653;

												{	/* Return/walk.scm 172 */
													obj_t BgL_tmpz00_4968;

													BgL_tmpz00_4968 = ((obj_t) BgL_nodez00_1629);
													BgL_arg1801z00_2653 =
														(BgL_objectz00_bglt) (BgL_tmpz00_4968);
												}
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 172 */
														long BgL_idxz00_2659;

														BgL_idxz00_2659 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_2653);
														BgL_test2439z00_4967 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_2659 + 3L)) == BgL_classz00_2651);
													}
												else
													{	/* Return/walk.scm 172 */
														bool_t BgL_res2173z00_2681;

														{	/* Return/walk.scm 172 */
															obj_t BgL_oclassz00_2667;

															{	/* Return/walk.scm 172 */
																long BgL_arg1808z00_2673;

																{	/* Return/walk.scm 172 */
																	long BgL_arg1809z00_2674;

																	BgL_arg1809z00_2674 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_2653);
																	BgL_arg1808z00_2673 =
																		(BgL_arg1809z00_2674 - OBJECT_TYPE);
																}
																BgL_oclassz00_2667 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_2673);
															}
															{	/* Return/walk.scm 172 */
																bool_t BgL__ortest_1115z00_2668;

																BgL__ortest_1115z00_2668 =
																	(BgL_classz00_2651 == BgL_oclassz00_2667);
																if (BgL__ortest_1115z00_2668)
																	{	/* Return/walk.scm 172 */
																		BgL_res2173z00_2681 =
																			BgL__ortest_1115z00_2668;
																	}
																else
																	{	/* Return/walk.scm 172 */
																		long BgL_odepthz00_2669;

																		BgL_odepthz00_2669 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_2667);
																		if ((3L < BgL_odepthz00_2669))
																			{	/* Return/walk.scm 172 */
																				obj_t BgL_arg1797z00_2671;

																				BgL_arg1797z00_2671 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_2667, 3L);
																				BgL_res2173z00_2681 =
																					(BgL_arg1797z00_2671 ==
																					BgL_classz00_2651);
																			}
																		else
																			{	/* Return/walk.scm 172 */
																				BgL_res2173z00_2681 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2439z00_4967 = BgL_res2173z00_2681;
													}
											}
										}
										if (BgL_test2439z00_4967)
											{	/* Return/walk.scm 174 */
												bool_t BgL_test2443z00_4987;

												{	/* Return/walk.scm 174 */
													bool_t BgL_test2444z00_4988;

													{	/* Return/walk.scm 174 */
														obj_t BgL_tmpz00_4989;

														BgL_tmpz00_4989 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1629)))->
															BgL_argsz00);
														BgL_test2444z00_4988 = PAIRP(BgL_tmpz00_4989);
													}
													if (BgL_test2444z00_4988)
														{	/* Return/walk.scm 174 */
															obj_t BgL_tmpz00_4993;

															{	/* Return/walk.scm 174 */
																obj_t BgL_pairz00_2682;

																BgL_pairz00_2682 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_1629)))->
																	BgL_argsz00);
																BgL_tmpz00_4993 = CDR(BgL_pairz00_2682);
															}
															BgL_test2443z00_4987 = NULLP(BgL_tmpz00_4993);
														}
													else
														{	/* Return/walk.scm 174 */
															BgL_test2443z00_4987 = ((bool_t) 0);
														}
												}
												if (BgL_test2443z00_4987)
													{	/* Return/walk.scm 175 */
														BgL_varz00_bglt BgL_i1131z00_1640;

														BgL_i1131z00_1640 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_1629)))->
															BgL_funz00);
														{	/* Return/walk.scm 176 */
															bool_t BgL_test2445z00_5000;

															{	/* Return/walk.scm 176 */
																BgL_variablez00_bglt BgL_arg1678z00_1651;

																BgL_arg1678z00_1651 =
																	(((BgL_varz00_bglt)
																		COBJECT(BgL_i1131z00_1640))->
																	BgL_variablez00);
																BgL_test2445z00_5000 =
																	(((obj_t) BgL_arg1678z00_1651) ==
																	BGl_za2envzd2popzd2exitz12za2z12zzreturn_walkz00);
															}
															if (BgL_test2445z00_5000)
																{	/* Return/walk.scm 177 */
																	bool_t BgL_test2446z00_5004;

																	{	/* Return/walk.scm 177 */
																		obj_t BgL_arg1673z00_1649;

																		{	/* Return/walk.scm 177 */
																			obj_t BgL_pairz00_2683;

																			BgL_pairz00_2683 =
																				(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							BgL_nodez00_1629)))->BgL_argsz00);
																			BgL_arg1673z00_1649 =
																				CAR(BgL_pairz00_2683);
																		}
																		{	/* Return/walk.scm 177 */
																			obj_t BgL_classz00_2684;

																			BgL_classz00_2684 =
																				BGl_varz00zzast_nodez00;
																			if (BGL_OBJECTP(BgL_arg1673z00_1649))
																				{	/* Return/walk.scm 177 */
																					BgL_objectz00_bglt
																						BgL_arg1801z00_2686;
																					BgL_arg1801z00_2686 =
																						(BgL_objectz00_bglt)
																						(BgL_arg1673z00_1649);
																					if (BGL_CONDEXPAND_ISA_ARCH64())
																						{	/* Return/walk.scm 177 */
																							long BgL_idxz00_2692;

																							BgL_idxz00_2692 =
																								BGL_OBJECT_INHERITANCE_NUM
																								(BgL_arg1801z00_2686);
																							BgL_test2446z00_5004 =
																								(VECTOR_REF
																								(BGl_za2inheritancesza2z00zz__objectz00,
																									(BgL_idxz00_2692 + 2L)) ==
																								BgL_classz00_2684);
																						}
																					else
																						{	/* Return/walk.scm 177 */
																							bool_t BgL_res2174z00_2714;

																							{	/* Return/walk.scm 177 */
																								obj_t BgL_oclassz00_2700;

																								{	/* Return/walk.scm 177 */
																									long BgL_arg1808z00_2706;

																									{	/* Return/walk.scm 177 */
																										long BgL_arg1809z00_2707;

																										BgL_arg1809z00_2707 =
																											BGL_OBJECT_CLASS_NUM
																											(BgL_arg1801z00_2686);
																										BgL_arg1808z00_2706 =
																											(BgL_arg1809z00_2707 -
																											OBJECT_TYPE);
																									}
																									BgL_oclassz00_2700 =
																										VECTOR_REF
																										(BGl_za2classesza2z00zz__objectz00,
																										BgL_arg1808z00_2706);
																								}
																								{	/* Return/walk.scm 177 */
																									bool_t
																										BgL__ortest_1115z00_2701;
																									BgL__ortest_1115z00_2701 =
																										(BgL_classz00_2684 ==
																										BgL_oclassz00_2700);
																									if (BgL__ortest_1115z00_2701)
																										{	/* Return/walk.scm 177 */
																											BgL_res2174z00_2714 =
																												BgL__ortest_1115z00_2701;
																										}
																									else
																										{	/* Return/walk.scm 177 */
																											long BgL_odepthz00_2702;

																											BgL_odepthz00_2702 =
																												BGL_CLASS_DEPTH
																												(BgL_oclassz00_2700);
																											if ((2L <
																													BgL_odepthz00_2702))
																												{	/* Return/walk.scm 177 */
																													obj_t
																														BgL_arg1797z00_2704;
																													BgL_arg1797z00_2704 =
																														BGL_CLASS_ANCESTORS_REF
																														(BgL_oclassz00_2700,
																														2L);
																													BgL_res2174z00_2714 =
																														(BgL_arg1797z00_2704
																														==
																														BgL_classz00_2684);
																												}
																											else
																												{	/* Return/walk.scm 177 */
																													BgL_res2174z00_2714 =
																														((bool_t) 0);
																												}
																										}
																								}
																							}
																							BgL_test2446z00_5004 =
																								BgL_res2174z00_2714;
																						}
																				}
																			else
																				{	/* Return/walk.scm 177 */
																					BgL_test2446z00_5004 = ((bool_t) 0);
																				}
																		}
																	}
																	if (BgL_test2446z00_5004)
																		{	/* Return/walk.scm 179 */
																			obj_t BgL_tmpz00_5027;

																			{
																				BgL_variablez00_bglt BgL_auxz00_5028;

																				{
																					BgL_varz00_bglt BgL_auxz00_5029;

																					{	/* Return/walk.scm 178 */
																						obj_t BgL_pairz00_2715;

																						BgL_pairz00_2715 =
																							(((BgL_appz00_bglt) COBJECT(
																									((BgL_appz00_bglt)
																										BgL_nodez00_1629)))->
																							BgL_argsz00);
																						BgL_auxz00_5029 =
																							((BgL_varz00_bglt)
																							CAR(BgL_pairz00_2715));
																					}
																					BgL_auxz00_5028 =
																						(((BgL_varz00_bglt)
																							COBJECT(BgL_auxz00_5029))->
																						BgL_variablez00);
																				}
																				BgL_tmpz00_5027 =
																					((obj_t) BgL_auxz00_5028);
																			}
																			BgL_test2438z00_4966 =
																				(BgL_tmpz00_5027 == BgL_envz00_1630);
																		}
																	else
																		{	/* Return/walk.scm 177 */
																			BgL_test2438z00_4966 = ((bool_t) 0);
																		}
																}
															else
																{	/* Return/walk.scm 176 */
																	BgL_test2438z00_4966 = ((bool_t) 0);
																}
														}
													}
												else
													{	/* Return/walk.scm 174 */
														BgL_test2438z00_4966 = ((bool_t) 0);
													}
											}
										else
											{	/* Return/walk.scm 172 */
												BgL_test2438z00_4966 = ((bool_t) 0);
											}
									}
									if (BgL_test2438z00_4966)
										{	/* Return/walk.scm 193 */
											obj_t BgL_arg1729z00_1685;

											{	/* Return/walk.scm 193 */
												obj_t BgL_pairz00_2786;

												BgL_pairz00_2786 =
													(((BgL_sequencez00_bglt) COBJECT(
															((BgL_sequencez00_bglt) BgL_nodez00_1673)))->
													BgL_nodesz00);
												BgL_arg1729z00_1685 = CAR(CDR(BgL_pairz00_2786));
											}
											return
												BGl_step8ze70ze7zzreturn_walkz00(
												((BgL_nodez00_bglt) BgL_arg1729z00_1685),
												BgL_varz00_1674);
										}
									else
										{	/* Return/walk.scm 192 */
											return BFALSE;
										}
								}
							else
								{	/* Return/walk.scm 191 */
									return BFALSE;
								}
						}
					else
						{	/* Return/walk.scm 189 */
							return BFALSE;
						}
				}
			}
		}

	}



/* is-unwind-until? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_20)
	{
		{	/* Return/walk.scm 328 */
			return
				(
				((obj_t) BgL_vz00_20) ==
				BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
		}

	}



/* &is-unwind-until? */
	obj_t BGl_z62iszd2unwindzd2untilzf3z91zzreturn_walkz00(obj_t BgL_envz00_3680,
		obj_t BgL_vz00_3681)
	{
		{	/* Return/walk.scm 328 */
			return
				BBOOL(BGl_iszd2unwindzd2untilzf3zf3zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3681)));
		}

	}



/* is-get-exitd-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(BgL_variablez00_bglt
		BgL_vz00_21)
	{
		{	/* Return/walk.scm 334 */
			return
				(
				((obj_t) BgL_vz00_21) ==
				BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
		}

	}



/* &is-get-exitd-top? */
	obj_t BGl_z62iszd2getzd2exitdzd2topzf3z43zzreturn_walkz00(obj_t
		BgL_envz00_3682, obj_t BgL_vz00_3683)
	{
		{	/* Return/walk.scm 334 */
			return
				BBOOL(BGl_iszd2getzd2exitdzd2topzf3z21zzreturn_walkz00(
					((BgL_variablez00_bglt) BgL_vz00_3683)));
		}

	}



/* is-exit-return? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_localz00_bglt BgL_exitvarz00_23)
	{
		{	/* Return/walk.scm 342 */
			return
				CBOOL(BGl_zc3z04exitza31997ze3ze70z60zzreturn_walkz00(BgL_nodez00_22,
					BgL_exitvarz00_23));
		}

	}



/* <@exit:1997>~0 */
	obj_t BGl_zc3z04exitza31997ze3ze70z60zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_3738, BgL_localz00_bglt BgL_exitvarz00_3737)
	{
		{	/* Return/walk.scm 343 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1179z00_1982;

			if (SET_EXIT(BgL_an_exit1179z00_1982))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
				 // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
				 // bgl_restore_signal_handlers();
#endif

					BgL_an_exit1179z00_1982 = (void *) jmpbuf;
					{	/* Return/walk.scm 343 */
						obj_t BgL_env1183z00_1983;

						BgL_env1183z00_1983 = BGL_CURRENT_DYNAMIC_ENV();
						PUSH_ENV_EXIT(BgL_env1183z00_1983, BgL_an_exit1179z00_1982, 1L);
						{	/* Return/walk.scm 343 */
							obj_t BgL_an_exitd1180z00_1984;

							BgL_an_exitd1180z00_1984 =
								BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1183z00_1983);
							{	/* Return/walk.scm 343 */
								obj_t BgL_abortz00_3684;

								BgL_abortz00_3684 =
									MAKE_FX_PROCEDURE(BGl_z62abortz62zzreturn_walkz00,
									(int) (1L), (int) (1L));
								PROCEDURE_SET(BgL_abortz00_3684,
									(int) (0L), BgL_an_exitd1180z00_1984);
								{	/* Return/walk.scm 343 */
									bool_t BgL_res1182z00_1987;

									{	/* Return/walk.scm 344 */
										obj_t BgL_arg1998z00_1988;

										{	/* Return/walk.scm 344 */
											obj_t BgL_list1999z00_1989;

											BgL_list1999z00_1989 =
												MAKE_YOUNG_PAIR(((obj_t) BgL_exitvarz00_3737), BNIL);
											BgL_arg1998z00_1988 = BgL_list1999z00_1989;
										}
										BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_3738,
											BgL_arg1998z00_1988, BgL_abortz00_3684);
									}
									BgL_res1182z00_1987 = ((bool_t) 1);
									POP_ENV_EXIT(BgL_env1183z00_1983);
									return BBOOL(BgL_res1182z00_1987);
								}
							}
						}
					}
				}
		}

	}



/* &is-exit-return? */
	obj_t BGl_z62iszd2exitzd2returnzf3z91zzreturn_walkz00(obj_t BgL_envz00_3685,
		obj_t BgL_nodez00_3686, obj_t BgL_exitvarz00_3687)
	{
		{	/* Return/walk.scm 342 */
			return
				BBOOL(BGl_iszd2exitzd2returnzf3zf3zzreturn_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3686),
					((BgL_localz00_bglt) BgL_exitvarz00_3687)));
		}

	}



/* &abort */
	obj_t BGl_z62abortz62zzreturn_walkz00(obj_t BgL_envz00_3688,
		obj_t BgL_val1181z00_3690)
	{
		{	/* Return/walk.scm 343 */
			return
				unwind_stack_until(PROCEDURE_REF(BgL_envz00_3688,
					(int) (0L)), BFALSE, BgL_val1181z00_3690, BFALSE, BFALSE);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_proc2223z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2224z00zzreturn_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00,
				BGl_proc2225z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2226z00zzreturn_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_proc2227z00zzreturn_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2228z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!1393 */
	obj_t BGl_z62returnzd2gotozd2funsz121393z70zzreturn_walkz00(obj_t
		BgL_envz00_3704, obj_t BgL_nodez00_3705)
	{
		{	/* Return/walk.scm 435 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3705),
					BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00));
		}

	}



/* &return!1389 */
	obj_t BGl_z62returnz121389z70zzreturn_walkz00(obj_t BgL_envz00_3706,
		obj_t BgL_nodez00_3707, obj_t BgL_exitvarz00_3708, obj_t BgL_rblockz00_3709)
	{
		{	/* Return/walk.scm 409 */
			{
				BgL_nodez00_bglt BgL_auxz00_5087;

				{

					BgL_auxz00_5087 =
						BGl_walk2z12z12zzast_walkz00(
						((BgL_nodez00_bglt) BgL_nodez00_3707),
						BGl_returnz12zd2envzc0zzreturn_walkz00,
						((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3708)),
						((obj_t) ((BgL_retblockz00_bglt) BgL_rblockz00_3709)));
				}
				return ((obj_t) BgL_auxz00_5087);
			}
		}

	}



/* &is-return?1379 */
	obj_t BGl_z62iszd2returnzf31379z43zzreturn_walkz00(obj_t BgL_envz00_3710,
		obj_t BgL_nodez00_3711, obj_t BgL_exitvarz00_3712, obj_t BgL_abortz00_3713)
	{
		{	/* Return/walk.scm 350 */
			{

				return
					BGl_walk2z00zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_3711),
					BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
					((obj_t) BgL_exitvarz00_3712), BgL_abortz00_3713);
			}
		}

	}



/* is-return? */
	obj_t BGl_iszd2returnzf3z21zzreturn_walkz00(BgL_nodez00_bglt BgL_nodez00_24,
		obj_t BgL_exitvarz00_25, obj_t BgL_abortz00_26)
	{
		{	/* Return/walk.scm 350 */
			{	/* Return/walk.scm 350 */
				obj_t BgL_method1381z00_2047;

				{	/* Return/walk.scm 350 */
					obj_t BgL_res2200z00_3458;

					{	/* Return/walk.scm 350 */
						long BgL_objzd2classzd2numz00_3429;

						BgL_objzd2classzd2numz00_3429 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_24));
						{	/* Return/walk.scm 350 */
							obj_t BgL_arg1805z00_3430;

							BgL_arg1805z00_3430 =
								PROCEDURE_REF(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 350 */
								int BgL_offsetz00_3433;

								BgL_offsetz00_3433 = (int) (BgL_objzd2classzd2numz00_3429);
								{	/* Return/walk.scm 350 */
									long BgL_offsetz00_3434;

									BgL_offsetz00_3434 =
										((long) (BgL_offsetz00_3433) - OBJECT_TYPE);
									{	/* Return/walk.scm 350 */
										long BgL_modz00_3435;

										BgL_modz00_3435 =
											(BgL_offsetz00_3434 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 350 */
											long BgL_restz00_3437;

											BgL_restz00_3437 =
												(BgL_offsetz00_3434 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 350 */

												{	/* Return/walk.scm 350 */
													obj_t BgL_bucketz00_3439;

													BgL_bucketz00_3439 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_3430), BgL_modz00_3435);
													BgL_res2200z00_3458 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3439), BgL_restz00_3437);
					}}}}}}}}
					BgL_method1381z00_2047 = BgL_res2200z00_3458;
				}
				return
					(VA_PROCEDUREP(BgL_method1381z00_2047) ? ((obj_t(*)(obj_t,
								...))
						PROCEDURE_ENTRY(BgL_method1381z00_2047)) (BgL_method1381z00_2047,
						((obj_t) BgL_nodez00_24), BgL_exitvarz00_25, BgL_abortz00_26,
						BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BgL_method1381z00_2047)) (BgL_method1381z00_2047,
						((obj_t) BgL_nodez00_24), BgL_exitvarz00_25, BgL_abortz00_26));
			}
		}

	}



/* &is-return? */
	obj_t BGl_z62iszd2returnzf3z43zzreturn_walkz00(obj_t BgL_envz00_3700,
		obj_t BgL_nodez00_3701, obj_t BgL_exitvarz00_3702, obj_t BgL_abortz00_3703)
	{
		{	/* Return/walk.scm 350 */
			return
				BGl_iszd2returnzf3z21zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3701), BgL_exitvarz00_3702,
				BgL_abortz00_3703);
		}

	}



/* return! */
	BgL_nodez00_bglt BGl_returnz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_36, BgL_localz00_bglt BgL_exitvarz00_37,
		BgL_retblockz00_bglt BgL_rblockz00_38)
	{
		{	/* Return/walk.scm 409 */
			{	/* Return/walk.scm 409 */
				obj_t BgL_method1390z00_2048;

				{	/* Return/walk.scm 409 */
					obj_t BgL_res2205z00_3489;

					{	/* Return/walk.scm 409 */
						long BgL_objzd2classzd2numz00_3460;

						BgL_objzd2classzd2numz00_3460 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_36));
						{	/* Return/walk.scm 409 */
							obj_t BgL_arg1805z00_3461;

							BgL_arg1805z00_3461 =
								PROCEDURE_REF(BGl_returnz12zd2envzc0zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 409 */
								int BgL_offsetz00_3464;

								BgL_offsetz00_3464 = (int) (BgL_objzd2classzd2numz00_3460);
								{	/* Return/walk.scm 409 */
									long BgL_offsetz00_3465;

									BgL_offsetz00_3465 =
										((long) (BgL_offsetz00_3464) - OBJECT_TYPE);
									{	/* Return/walk.scm 409 */
										long BgL_modz00_3466;

										BgL_modz00_3466 =
											(BgL_offsetz00_3465 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 409 */
											long BgL_restz00_3468;

											BgL_restz00_3468 =
												(BgL_offsetz00_3465 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 409 */

												{	/* Return/walk.scm 409 */
													obj_t BgL_bucketz00_3470;

													BgL_bucketz00_3470 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_3461), BgL_modz00_3466);
													BgL_res2205z00_3489 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3470), BgL_restz00_3468);
					}}}}}}}}
					BgL_method1390z00_2048 = BgL_res2205z00_3489;
				}
				return
					((BgL_nodez00_bglt)
					(VA_PROCEDUREP(BgL_method1390z00_2048) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1390z00_2048)) (BgL_method1390z00_2048,
							((obj_t) BgL_nodez00_36), ((obj_t) BgL_exitvarz00_37),
							((obj_t) BgL_rblockz00_38), BEOA) : ((obj_t(*)(obj_t, obj_t,
									obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1390z00_2048)) (BgL_method1390z00_2048,
							((obj_t) BgL_nodez00_36), ((obj_t) BgL_exitvarz00_37),
							((obj_t) BgL_rblockz00_38))));
			}
		}

	}



/* &return! */
	BgL_nodez00_bglt BGl_z62returnz12z70zzreturn_walkz00(obj_t BgL_envz00_3695,
		obj_t BgL_nodez00_3696, obj_t BgL_exitvarz00_3697, obj_t BgL_rblockz00_3698)
	{
		{	/* Return/walk.scm 409 */
			return
				BGl_returnz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3696),
				((BgL_localz00_bglt) BgL_exitvarz00_3697),
				((BgL_retblockz00_bglt) BgL_rblockz00_3698));
		}

	}



/* return-goto-funs! */
	BgL_nodez00_bglt
		BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42)
	{
		{	/* Return/walk.scm 435 */
			{	/* Return/walk.scm 435 */
				obj_t BgL_method1394z00_2049;

				{	/* Return/walk.scm 435 */
					obj_t BgL_res2210z00_3520;

					{	/* Return/walk.scm 435 */
						long BgL_objzd2classzd2numz00_3491;

						BgL_objzd2classzd2numz00_3491 =
							BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_42));
						{	/* Return/walk.scm 435 */
							obj_t BgL_arg1805z00_3492;

							BgL_arg1805z00_3492 =
								PROCEDURE_REF
								(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
								(int) (1L));
							{	/* Return/walk.scm 435 */
								int BgL_offsetz00_3495;

								BgL_offsetz00_3495 = (int) (BgL_objzd2classzd2numz00_3491);
								{	/* Return/walk.scm 435 */
									long BgL_offsetz00_3496;

									BgL_offsetz00_3496 =
										((long) (BgL_offsetz00_3495) - OBJECT_TYPE);
									{	/* Return/walk.scm 435 */
										long BgL_modz00_3497;

										BgL_modz00_3497 =
											(BgL_offsetz00_3496 >> (int) ((long) ((int) (4L))));
										{	/* Return/walk.scm 435 */
											long BgL_restz00_3499;

											BgL_restz00_3499 =
												(BgL_offsetz00_3496 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(1L <<
																		(int) ((long) ((int) (4L)))))) - 1L))));
											{	/* Return/walk.scm 435 */

												{	/* Return/walk.scm 435 */
													obj_t BgL_bucketz00_3501;

													BgL_bucketz00_3501 =
														VECTOR_REF(
														((obj_t) BgL_arg1805z00_3492), BgL_modz00_3497);
													BgL_res2210z00_3520 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3501), BgL_restz00_3499);
					}}}}}}}}
					BgL_method1394z00_2049 = BgL_res2210z00_3520;
				}
				return
					((BgL_nodez00_bglt)
					(VA_PROCEDUREP(BgL_method1394z00_2049) ? ((obj_t(*)(obj_t,
									...))
							PROCEDURE_ENTRY(BgL_method1394z00_2049)) (BgL_method1394z00_2049,
							((obj_t) BgL_nodez00_42), BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_method1394z00_2049)) (BgL_method1394z00_2049,
							((obj_t) BgL_nodez00_42))));
			}
		}

	}



/* &return-goto-funs! */
	BgL_nodez00_bglt BGl_z62returnzd2gotozd2funsz12z70zzreturn_walkz00(obj_t
		BgL_envz00_3692, obj_t BgL_nodez00_3693)
	{
		{	/* Return/walk.scm 435 */
			return
				BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3693));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_varz00zzast_nodez00,
				BGl_proc2229z00zzreturn_walkz00, BGl_string2230z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2231z00zzreturn_walkz00,
				BGl_string2230z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2232z00zzreturn_walkz00, BGl_string2230z00zzreturn_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnz12zd2envzc0zzreturn_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2233z00zzreturn_walkz00, BGl_string2234z00zzreturn_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_returnzd2gotozd2funsz12zd2envzc0zzreturn_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2235z00zzreturn_walkz00,
				BGl_string2236z00zzreturn_walkz00);
		}

	}



/* &return-goto-funs!-le1396 */
	BgL_nodez00_bglt
		BGl_z62returnzd2gotozd2funsz12zd2le1396za2zzreturn_walkz00(obj_t
		BgL_envz00_3719, obj_t BgL_nodez00_3720)
	{
		{	/* Return/walk.scm 441 */
			{	/* Return/walk.scm 443 */
				obj_t BgL_g1378z00_3760;

				BgL_g1378z00_3760 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3720)))->BgL_localsz00);
				{
					obj_t BgL_l1376z00_3762;

					BgL_l1376z00_3762 = BgL_g1378z00_3760;
				BgL_zc3z04anonymousza32101ze3z87_3761:
					if (PAIRP(BgL_l1376z00_3762))
						{	/* Return/walk.scm 443 */
							BGl_returnzd2funz12zc0zzreturn_walkz00(CAR(BgL_l1376z00_3762));
							{
								obj_t BgL_l1376z00_5215;

								BgL_l1376z00_5215 = CDR(BgL_l1376z00_3762);
								BgL_l1376z00_3762 = BgL_l1376z00_5215;
								goto BgL_zc3z04anonymousza32101ze3z87_3761;
							}
						}
					else
						{	/* Return/walk.scm 443 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5217;

				{	/* Return/walk.scm 444 */
					BgL_nodez00_bglt BgL_arg2105z00_3763;

					BgL_arg2105z00_3763 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3720)))->BgL_bodyz00);
					BgL_auxz00_5217 =
						BGl_returnzd2gotozd2funsz12z12zzreturn_walkz00(BgL_arg2105z00_3763);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_3720)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5217), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_3720));
		}

	}



/* &return!-app1392 */
	BgL_nodez00_bglt BGl_z62returnz12zd2app1392za2zzreturn_walkz00(obj_t
		BgL_envz00_3721, obj_t BgL_nodez00_3722, obj_t BgL_exitvarz00_3723,
		obj_t BgL_rblockz00_3724)
	{
		{	/* Return/walk.scm 415 */
			{

				{	/* Return/walk.scm 417 */
					BgL_varz00_bglt BgL_i1196z00_3768;

					BgL_i1196z00_3768 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3722)))->BgL_funz00);
					{	/* Return/walk.scm 418 */
						bool_t BgL_test2452z00_5227;

						{	/* Return/walk.scm 418 */
							BgL_variablez00_bglt BgL_arg2097z00_3769;

							BgL_arg2097z00_3769 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1196z00_3768))->
								BgL_variablez00);
							BgL_test2452z00_5227 =
								(((obj_t) BgL_arg2097z00_3769) ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2452z00_5227)
							{	/* Return/walk.scm 420 */
								bool_t BgL_test2453z00_5231;

								{	/* Return/walk.scm 420 */
									obj_t BgL_arg2095z00_3770;

									BgL_arg2095z00_3770 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3722)))->BgL_argsz00));
									{	/* Return/walk.scm 420 */
										obj_t BgL_classz00_3771;

										BgL_classz00_3771 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2095z00_3770))
											{	/* Return/walk.scm 420 */
												BgL_objectz00_bglt BgL_arg1801z00_3772;

												BgL_arg1801z00_3772 =
													(BgL_objectz00_bglt) (BgL_arg2095z00_3770);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 420 */
														long BgL_idxz00_3773;

														BgL_idxz00_3773 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3772);
														BgL_test2453z00_5231 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3773 + 2L)) == BgL_classz00_3771);
													}
												else
													{	/* Return/walk.scm 420 */
														bool_t BgL_res2213z00_3776;

														{	/* Return/walk.scm 420 */
															obj_t BgL_oclassz00_3777;

															{	/* Return/walk.scm 420 */
																long BgL_arg1808z00_3778;

																{	/* Return/walk.scm 420 */
																	long BgL_arg1809z00_3779;

																	BgL_arg1809z00_3779 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3772);
																	BgL_arg1808z00_3778 =
																		(BgL_arg1809z00_3779 - OBJECT_TYPE);
																}
																BgL_oclassz00_3777 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_3778);
															}
															{	/* Return/walk.scm 420 */
																bool_t BgL__ortest_1115z00_3780;

																BgL__ortest_1115z00_3780 =
																	(BgL_classz00_3771 == BgL_oclassz00_3777);
																if (BgL__ortest_1115z00_3780)
																	{	/* Return/walk.scm 420 */
																		BgL_res2213z00_3776 =
																			BgL__ortest_1115z00_3780;
																	}
																else
																	{	/* Return/walk.scm 420 */
																		long BgL_odepthz00_3781;

																		BgL_odepthz00_3781 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3777);
																		if ((2L < BgL_odepthz00_3781))
																			{	/* Return/walk.scm 420 */
																				obj_t BgL_arg1797z00_3782;

																				BgL_arg1797z00_3782 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3777, 2L);
																				BgL_res2213z00_3776 =
																					(BgL_arg1797z00_3782 ==
																					BgL_classz00_3771);
																			}
																		else
																			{	/* Return/walk.scm 420 */
																				BgL_res2213z00_3776 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2453z00_5231 = BgL_res2213z00_3776;
													}
											}
										else
											{	/* Return/walk.scm 420 */
												BgL_test2453z00_5231 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2453z00_5231)
									{	/* Return/walk.scm 421 */
										BgL_varz00_bglt BgL_i1197z00_3783;

										{	/* Return/walk.scm 421 */
											obj_t BgL_pairz00_3784;

											BgL_pairz00_3784 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3722)))->
												BgL_argsz00);
											BgL_i1197z00_3783 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3784));
										}
										if (
											(((obj_t)
													(((BgL_varz00_bglt) COBJECT(BgL_i1197z00_3783))->
														BgL_variablez00)) ==
												((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3723))))
											{	/* Return/walk.scm 423 */
												BgL_returnz00_bglt BgL_new1199z00_3785;

												{	/* Return/walk.scm 424 */
													BgL_returnz00_bglt BgL_new1198z00_3786;

													BgL_new1198z00_3786 =
														((BgL_returnz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_returnz00_bgl))));
													{	/* Return/walk.scm 424 */
														long BgL_arg2091z00_3787;

														BgL_arg2091z00_3787 =
															BGL_CLASS_NUM(BGl_returnz00zzast_nodez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt) BgL_new1198z00_3786),
															BgL_arg2091z00_3787);
													}
													{	/* Return/walk.scm 424 */
														BgL_objectz00_bglt BgL_tmpz00_5268;

														BgL_tmpz00_5268 =
															((BgL_objectz00_bglt) BgL_new1198z00_3786);
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5268, BFALSE);
													}
													((BgL_objectz00_bglt) BgL_new1198z00_3786);
													BgL_new1199z00_3785 = BgL_new1198z00_3786;
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1199z00_3785)))->
														BgL_locz00) =
													((obj_t) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
																			BgL_nodez00_3722))))->BgL_locz00)),
													BUNSPEC);
												((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																	BgL_new1199z00_3785)))->BgL_typez00) =
													((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																COBJECT(((BgL_nodez00_bglt) (
																			(BgL_retblockz00_bglt)
																			BgL_rblockz00_3724))))->BgL_typez00)),
													BUNSPEC);
												((((BgL_returnz00_bglt) COBJECT(BgL_new1199z00_3785))->
														BgL_blockz00) =
													((BgL_retblockz00_bglt) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3724)), BUNSPEC);
												{
													BgL_nodez00_bglt BgL_auxz00_5284;

													{	/* Return/walk.scm 427 */
														obj_t BgL_pairz00_3788;

														BgL_pairz00_3788 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3722)))->
															BgL_argsz00);
														{	/* Return/walk.scm 427 */
															obj_t BgL_pairz00_3789;

															{	/* Return/walk.scm 427 */
																obj_t BgL_pairz00_3790;

																BgL_pairz00_3790 = CDR(BgL_pairz00_3788);
																BgL_pairz00_3789 = CDR(BgL_pairz00_3790);
															}
															BgL_auxz00_5284 =
																((BgL_nodez00_bglt) CAR(BgL_pairz00_3789));
													}}
													((((BgL_returnz00_bglt)
																COBJECT(BgL_new1199z00_3785))->BgL_valuez00) =
														((BgL_nodez00_bglt) BgL_auxz00_5284), BUNSPEC);
												}
												return ((BgL_nodez00_bglt) BgL_new1199z00_3785);
											}
										else
											{	/* Return/walk.scm 422 */
											BgL_callzd2defaultzd2walkerz00_3767:
												return
													BGl_walk2z12z12zzast_walkz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_3722)),
													BGl_returnz12zd2envzc0zzreturn_walkz00,
													((obj_t) ((BgL_localz00_bglt) BgL_exitvarz00_3723)),
													((obj_t) ((BgL_retblockz00_bglt)
															BgL_rblockz00_3724)));
											}
									}
								else
									{	/* Return/walk.scm 420 */
										goto BgL_callzd2defaultzd2walkerz00_3767;
									}
							}
						else
							{	/* Return/walk.scm 418 */
								goto BgL_callzd2defaultzd2walkerz00_3767;
							}
					}
				}
			}
		}

	}



/* &is-return?-app1388 */
	obj_t BGl_z62iszd2returnzf3zd2app1388z91zzreturn_walkz00(obj_t
		BgL_envz00_3725, obj_t BgL_nodez00_3726, obj_t BgL_exitvarz00_3727,
		obj_t BgL_abortz00_3728)
	{
		{	/* Return/walk.scm 388 */
			{

				{	/* Return/walk.scm 390 */
					BgL_varz00_bglt BgL_i1190z00_3793;

					BgL_i1190z00_3793 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3726)))->BgL_funz00);
					{	/* Return/walk.scm 392 */
						bool_t BgL_test2459z00_5302;

						{	/* Return/walk.scm 392 */
							BgL_variablez00_bglt BgL_arg2078z00_3794;

							BgL_arg2078z00_3794 =
								(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3793))->
								BgL_variablez00);
							BgL_test2459z00_5302 =
								(((obj_t) BgL_arg2078z00_3794) ==
								BGl_za2unwindzd2untilz12za2zc0zzreturn_walkz00);
						}
						if (BgL_test2459z00_5302)
							{	/* Return/walk.scm 393 */
								bool_t BgL_test2460z00_5306;

								{	/* Return/walk.scm 393 */
									obj_t BgL_arg2062z00_3795;

									BgL_arg2062z00_3795 =
										CAR(
										(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt) BgL_nodez00_3726)))->BgL_argsz00));
									{	/* Return/walk.scm 393 */
										obj_t BgL_classz00_3796;

										BgL_classz00_3796 = BGl_varz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_arg2062z00_3795))
											{	/* Return/walk.scm 393 */
												BgL_objectz00_bglt BgL_arg1801z00_3797;

												BgL_arg1801z00_3797 =
													(BgL_objectz00_bglt) (BgL_arg2062z00_3795);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 393 */
														long BgL_idxz00_3798;

														BgL_idxz00_3798 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3797);
														BgL_test2460z00_5306 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3798 + 2L)) == BgL_classz00_3796);
													}
												else
													{	/* Return/walk.scm 393 */
														bool_t BgL_res2212z00_3801;

														{	/* Return/walk.scm 393 */
															obj_t BgL_oclassz00_3802;

															{	/* Return/walk.scm 393 */
																long BgL_arg1808z00_3803;

																{	/* Return/walk.scm 393 */
																	long BgL_arg1809z00_3804;

																	BgL_arg1809z00_3804 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3797);
																	BgL_arg1808z00_3803 =
																		(BgL_arg1809z00_3804 - OBJECT_TYPE);
																}
																BgL_oclassz00_3802 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_3803);
															}
															{	/* Return/walk.scm 393 */
																bool_t BgL__ortest_1115z00_3805;

																BgL__ortest_1115z00_3805 =
																	(BgL_classz00_3796 == BgL_oclassz00_3802);
																if (BgL__ortest_1115z00_3805)
																	{	/* Return/walk.scm 393 */
																		BgL_res2212z00_3801 =
																			BgL__ortest_1115z00_3805;
																	}
																else
																	{	/* Return/walk.scm 393 */
																		long BgL_odepthz00_3806;

																		BgL_odepthz00_3806 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3802);
																		if ((2L < BgL_odepthz00_3806))
																			{	/* Return/walk.scm 393 */
																				obj_t BgL_arg1797z00_3807;

																				BgL_arg1797z00_3807 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3802, 2L);
																				BgL_res2212z00_3801 =
																					(BgL_arg1797z00_3807 ==
																					BgL_classz00_3796);
																			}
																		else
																			{	/* Return/walk.scm 393 */
																				BgL_res2212z00_3801 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2460z00_5306 = BgL_res2212z00_3801;
													}
											}
										else
											{	/* Return/walk.scm 393 */
												BgL_test2460z00_5306 = ((bool_t) 0);
											}
									}
								}
								if (BgL_test2460z00_5306)
									{	/* Return/walk.scm 394 */
										BgL_varz00_bglt BgL_i1191z00_3808;

										{	/* Return/walk.scm 394 */
											obj_t BgL_pairz00_3809;

											BgL_pairz00_3809 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_3726)))->
												BgL_argsz00);
											BgL_i1191z00_3808 =
												((BgL_varz00_bglt) CAR(BgL_pairz00_3809));
										}
										{	/* Return/walk.scm 395 */
											obj_t BgL__ortest_1192z00_3810;

											if (PAIRP(BgL_exitvarz00_3727))
												{	/* Return/walk.scm 395 */
													BgL__ortest_1192z00_3810 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
														((obj_t)
															(((BgL_varz00_bglt) COBJECT(BgL_i1191z00_3808))->
																BgL_variablez00)), BgL_exitvarz00_3727);
												}
											else
												{	/* Return/walk.scm 395 */
													BgL__ortest_1192z00_3810 = BFALSE;
												}
											if (CBOOL(BgL__ortest_1192z00_3810))
												{	/* Return/walk.scm 395 */
													return BgL__ortest_1192z00_3810;
												}
											else
												{	/* Return/walk.scm 396 */
													obj_t BgL_arg2058z00_3811;

													BgL_arg2058z00_3811 =
														CAR(
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_3726)))->
															BgL_argsz00));
													return
														BGl_iszd2returnzf3z21zzreturn_walkz00((
															(BgL_nodez00_bglt) BgL_arg2058z00_3811),
														BgL_exitvarz00_3727, BgL_abortz00_3728);
												}
										}
									}
								else
									{	/* Return/walk.scm 393 */
									BgL_callzd2defaultzd2walkerz00_3792:
										return
											BGl_walk2z00zzast_walkz00(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3726)),
											BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
											BgL_exitvarz00_3727, BgL_abortz00_3728);
									}
							}
						else
							{	/* Return/walk.scm 398 */
								bool_t BgL_test2467z00_5348;

								{	/* Return/walk.scm 398 */
									bool_t BgL_test2468z00_5349;

									{	/* Return/walk.scm 398 */
										BgL_variablez00_bglt BgL_arg2077z00_3812;

										BgL_arg2077z00_3812 =
											(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3793))->
											BgL_variablez00);
										BgL_test2468z00_5349 =
											(((obj_t) BgL_arg2077z00_3812) ==
											BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
									}
									if (BgL_test2468z00_5349)
										{	/* Return/walk.scm 398 */
											BgL_test2467z00_5348 = ((bool_t) 1);
										}
									else
										{	/* Return/walk.scm 399 */
											BgL_variablez00_bglt BgL_arg2076z00_3813;

											BgL_arg2076z00_3813 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3793))->
												BgL_variablez00);
											BgL_test2467z00_5348 =
												(((obj_t) BgL_arg2076z00_3813) ==
												BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
										}
								}
								if (BgL_test2467z00_5348)
									{	/* Return/walk.scm 400 */
										obj_t BgL__ortest_1194z00_3814;

										BgL__ortest_1194z00_3814 =
											BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
										if (CBOOL(BgL__ortest_1194z00_3814))
											{	/* Return/walk.scm 400 */
												return BgL__ortest_1194z00_3814;
											}
										else
											{	/* Return/walk.scm 400 */
												return
													(VA_PROCEDUREP(BgL_abortz00_3728) ? ((obj_t(*)(obj_t,
																...))
														PROCEDURE_ENTRY(BgL_abortz00_3728))
													(BgL_abortz00_3728, BFALSE, BEOA) : ((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_abortz00_3728))
													(BgL_abortz00_3728, BFALSE));
											}
									}
								else
									{	/* Return/walk.scm 401 */
										bool_t BgL_test2470z00_5362;

										{	/* Return/walk.scm 401 */
											BgL_variablez00_bglt BgL_arg2074z00_3815;

											BgL_arg2074z00_3815 =
												(((BgL_varz00_bglt) COBJECT(BgL_i1190z00_3793))->
												BgL_variablez00);
											BgL_test2470z00_5362 =
												(((obj_t) BgL_arg2074z00_3815) ==
												BGl_za2exitdzd2protectzd2setz12za2z12zzreturn_walkz00);
										}
										if (BgL_test2470z00_5362)
											{	/* Return/walk.scm 401 */
												return
													(VA_PROCEDUREP(BgL_abortz00_3728) ? ((obj_t(*)(obj_t,
																...))
														PROCEDURE_ENTRY(BgL_abortz00_3728))
													(BgL_abortz00_3728, BFALSE, BEOA) : ((obj_t(*)(obj_t,
																obj_t))
														PROCEDURE_ENTRY(BgL_abortz00_3728))
													(BgL_abortz00_3728, BFALSE));
											}
										else
											{	/* Return/walk.scm 401 */
												goto BgL_callzd2defaultzd2walkerz00_3792;
											}
									}
							}
					}
				}
			}
		}

	}



/* &is-return?-let-var1385 */
	obj_t BGl_z62iszd2returnzf3zd2letzd2var1385z43zzreturn_walkz00(obj_t
		BgL_envz00_3729, obj_t BgL_nodez00_3730, obj_t BgL_exitvarz00_3731,
		obj_t BgL_abortz00_3732)
	{
		{	/* Return/walk.scm 364 */
			{

				if (CBOOL(BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00))
					{	/* Return/walk.scm 369 */
						bool_t BgL_test2472z00_5372;

						{	/* Return/walk.scm 369 */
							bool_t BgL_test2473z00_5373;

							{	/* Return/walk.scm 369 */
								obj_t BgL_tmpz00_5374;

								BgL_tmpz00_5374 =
									(((BgL_letzd2varzd2_bglt) COBJECT(
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3730)))->
									BgL_bindingsz00);
								BgL_test2473z00_5373 = PAIRP(BgL_tmpz00_5374);
							}
							if (BgL_test2473z00_5373)
								{	/* Return/walk.scm 369 */
									BgL_test2472z00_5372 =
										NULLP(CDR(
											(((BgL_letzd2varzd2_bglt) COBJECT(
														((BgL_letzd2varzd2_bglt) BgL_nodez00_3730)))->
												BgL_bindingsz00)));
								}
							else
								{	/* Return/walk.scm 369 */
									BgL_test2472z00_5372 = ((bool_t) 0);
								}
						}
						if (BgL_test2472z00_5372)
							{	/* Return/walk.scm 370 */
								obj_t BgL_bnodez00_3818;

								{	/* Return/walk.scm 370 */
									obj_t BgL_pairz00_3819;

									BgL_pairz00_3819 =
										(((BgL_letzd2varzd2_bglt) COBJECT(
												((BgL_letzd2varzd2_bglt) BgL_nodez00_3730)))->
										BgL_bindingsz00);
									BgL_bnodez00_3818 = CDR(CAR(BgL_pairz00_3819));
								}
								{	/* Return/walk.scm 371 */
									bool_t BgL_test2474z00_5386;

									{	/* Return/walk.scm 371 */
										obj_t BgL_classz00_3820;

										BgL_classz00_3820 = BGl_appz00zzast_nodez00;
										if (BGL_OBJECTP(BgL_bnodez00_3818))
											{	/* Return/walk.scm 371 */
												BgL_objectz00_bglt BgL_arg1801z00_3821;

												BgL_arg1801z00_3821 =
													(BgL_objectz00_bglt) (BgL_bnodez00_3818);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Return/walk.scm 371 */
														long BgL_idxz00_3822;

														BgL_idxz00_3822 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3821);
														BgL_test2474z00_5386 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_3822 + 3L)) == BgL_classz00_3820);
													}
												else
													{	/* Return/walk.scm 371 */
														bool_t BgL_res2211z00_3825;

														{	/* Return/walk.scm 371 */
															obj_t BgL_oclassz00_3826;

															{	/* Return/walk.scm 371 */
																long BgL_arg1808z00_3827;

																{	/* Return/walk.scm 371 */
																	long BgL_arg1809z00_3828;

																	BgL_arg1809z00_3828 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3821);
																	BgL_arg1808z00_3827 =
																		(BgL_arg1809z00_3828 - OBJECT_TYPE);
																}
																BgL_oclassz00_3826 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1808z00_3827);
															}
															{	/* Return/walk.scm 371 */
																bool_t BgL__ortest_1115z00_3829;

																BgL__ortest_1115z00_3829 =
																	(BgL_classz00_3820 == BgL_oclassz00_3826);
																if (BgL__ortest_1115z00_3829)
																	{	/* Return/walk.scm 371 */
																		BgL_res2211z00_3825 =
																			BgL__ortest_1115z00_3829;
																	}
																else
																	{	/* Return/walk.scm 371 */
																		long BgL_odepthz00_3830;

																		BgL_odepthz00_3830 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_3826);
																		if ((3L < BgL_odepthz00_3830))
																			{	/* Return/walk.scm 371 */
																				obj_t BgL_arg1797z00_3831;

																				BgL_arg1797z00_3831 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_3826, 3L);
																				BgL_res2211z00_3825 =
																					(BgL_arg1797z00_3831 ==
																					BgL_classz00_3820);
																			}
																		else
																			{	/* Return/walk.scm 371 */
																				BgL_res2211z00_3825 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test2474z00_5386 = BgL_res2211z00_3825;
													}
											}
										else
											{	/* Return/walk.scm 371 */
												BgL_test2474z00_5386 = ((bool_t) 0);
											}
									}
									if (BgL_test2474z00_5386)
										{	/* Return/walk.scm 373 */
											BgL_varz00_bglt BgL_i1188z00_3832;

											BgL_i1188z00_3832 =
												(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_bnodez00_3818)))->
												BgL_funz00);
											{	/* Return/walk.scm 375 */
												bool_t BgL_test2479z00_5408;

												{	/* Return/walk.scm 375 */
													BgL_variablez00_bglt BgL_arg2043z00_3833;

													BgL_arg2043z00_3833 =
														(((BgL_varz00_bglt) COBJECT(BgL_i1188z00_3832))->
														BgL_variablez00);
													BgL_test2479z00_5408 =
														(((obj_t) BgL_arg2043z00_3833) ==
														BGl_za2envzd2getzd2exitdzd2topza2zd2zzreturn_walkz00);
												}
												if (BgL_test2479z00_5408)
													{	/* Return/walk.scm 376 */
														BgL_nodez00_bglt BgL_arg2031z00_3834;
														obj_t BgL_arg2032z00_3835;

														BgL_arg2031z00_3834 =
															(((BgL_letzd2varzd2_bglt) COBJECT(
																	((BgL_letzd2varzd2_bglt) BgL_nodez00_3730)))->
															BgL_bodyz00);
														{	/* Return/walk.scm 376 */
															obj_t BgL_arg2033z00_3836;

															{	/* Return/walk.scm 376 */
																obj_t BgL_pairz00_3837;

																BgL_pairz00_3837 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3730)))->BgL_bindingsz00);
																BgL_arg2033z00_3836 =
																	CAR(CAR(BgL_pairz00_3837));
															}
															BgL_arg2032z00_3835 =
																MAKE_YOUNG_PAIR(BgL_arg2033z00_3836,
																BgL_exitvarz00_3731);
														}
														return
															BGl_iszd2returnzf3z21zzreturn_walkz00
															(BgL_arg2031z00_3834, BgL_arg2032z00_3835,
															BgL_abortz00_3732);
													}
												else
													{	/* Return/walk.scm 377 */
														bool_t BgL_test2480z00_5420;

														{	/* Return/walk.scm 377 */
															BgL_variablez00_bglt BgL_arg2042z00_3838;

															BgL_arg2042z00_3838 =
																(((BgL_varz00_bglt)
																	COBJECT(BgL_i1188z00_3832))->BgL_variablez00);
															BgL_test2480z00_5420 =
																(((obj_t) BgL_arg2042z00_3838) ==
																BGl_za2getzd2exitdzd2topza2z00zzreturn_walkz00);
														}
														if (BgL_test2480z00_5420)
															{	/* Return/walk.scm 378 */
																BgL_nodez00_bglt BgL_arg2038z00_3839;
																obj_t BgL_arg2039z00_3840;

																BgL_arg2038z00_3839 =
																	(((BgL_letzd2varzd2_bglt) COBJECT(
																			((BgL_letzd2varzd2_bglt)
																				BgL_nodez00_3730)))->BgL_bodyz00);
																BgL_arg2039z00_3840 =
																	MAKE_YOUNG_PAIR(CAR((((BgL_letzd2varzd2_bglt)
																				COBJECT(((BgL_letzd2varzd2_bglt)
																						BgL_nodez00_3730)))->
																			BgL_bindingsz00)), BgL_exitvarz00_3731);
																return
																	BGl_iszd2returnzf3z21zzreturn_walkz00
																	(BgL_arg2038z00_3839, BgL_arg2039z00_3840,
																	BgL_abortz00_3732);
															}
														else
															{	/* Return/walk.scm 377 */
															BgL_callzd2defaultzd2walkerz00_3817:
																return
																	BGl_walk2z00zzast_walkz00(
																	((BgL_nodez00_bglt)
																		((BgL_letzd2varzd2_bglt) BgL_nodez00_3730)),
																	BGl_iszd2returnzf3zd2envzf3zzreturn_walkz00,
																	BgL_exitvarz00_3731, BgL_abortz00_3732);
															}
													}
											}
										}
									else
										{	/* Return/walk.scm 371 */
											goto BgL_callzd2defaultzd2walkerz00_3817;
										}
								}
							}
						else
							{	/* Return/walk.scm 369 */
								goto BgL_callzd2defaultzd2walkerz00_3817;
							}
					}
				else
					{	/* Return/walk.scm 367 */
						goto BgL_callzd2defaultzd2walkerz00_3817;
					}
			}
		}

	}



/* &is-return?-var1383 */
	obj_t BGl_z62iszd2returnzf3zd2var1383z91zzreturn_walkz00(obj_t
		BgL_envz00_3733, obj_t BgL_nodez00_3734, obj_t BgL_exitvarz00_3735,
		obj_t BgL_abortz00_3736)
	{
		{	/* Return/walk.scm 356 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_3734)))->BgL_variablez00)),
						BgL_exitvarz00_3735)))
				{	/* Return/walk.scm 358 */
					return
						(VA_PROCEDUREP(BgL_abortz00_3736) ? ((obj_t(*)(obj_t,
									...)) PROCEDURE_ENTRY(BgL_abortz00_3736)) (BgL_abortz00_3736,
							BFALSE, BEOA) : ((obj_t(*)(obj_t,
									obj_t))
							PROCEDURE_ENTRY(BgL_abortz00_3736)) (BgL_abortz00_3736, BFALSE));
				}
			else
				{	/* Return/walk.scm 358 */
					return BFALSE;
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzreturn_walkz00(void)
	{
		{	/* Return/walk.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(300504031L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(373082237L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(462333240L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(174885617L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(315247917L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(163122759L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(135263837L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(189769752L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(271707717L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(343174225L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2237z00zzreturn_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
