/*===========================================================================*/
/*   (SawBbv/bbv-optim.scm)                                                  */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawBbv/bbv-optim.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS
#define BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_rtl_regz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_varz00;
		obj_t BgL_onexprzf3zf3;
		obj_t BgL_namez00;
		obj_t BgL_keyz00;
		obj_t BgL_debugnamez00;
		obj_t BgL_hardwarez00;
	}                 *BgL_rtl_regz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_goz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_blockz00_bgl *BgL_toz00;
	}                *BgL_rtl_goz00_bglt;

	typedef struct BgL_rtl_nopz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_nopz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_rtl_regzf2razf2_bgl
	{
		int BgL_numz00;
		obj_t BgL_colorz00;
		obj_t BgL_coalescez00;
		int BgL_occurrencesz00;
		obj_t BgL_interferez00;
		obj_t BgL_interfere2z00;
	}                      *BgL_rtl_regzf2razf2_bglt;

	typedef struct BgL_regsetz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_lengthz00;
		int BgL_msiza7eza7;
		obj_t BgL_regvz00;
		obj_t BgL_reglz00;
		obj_t BgL_stringz00;
	}                *BgL_regsetz00_bglt;

	typedef struct BgL_blockvz00_bgl
	{
		obj_t BgL_versionsz00;
		obj_t BgL_genericz00;
		long BgL_z52markz52;
		obj_t BgL_mergez00;
	}                *BgL_blockvz00_bglt;

	typedef struct BgL_blocksz00_bgl
	{
		long BgL_z52markz52;
		obj_t BgL_z52hashz52;
		obj_t BgL_z52blacklistz52;
		obj_t BgL_z52mergezd2infoz80;
		struct BgL_bbvzd2ctxzd2_bgl *BgL_ctxz00;
		struct BgL_blockz00_bgl *BgL_parentz00;
		long BgL_cntz00;
		obj_t BgL_mblockz00;
		bool_t BgL_collapsedz00;
	}                *BgL_blocksz00_bglt;

	typedef struct BgL_bbvzd2ctxzd2_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_idz00;
		obj_t BgL_entriesz00;
	}                   *BgL_bbvzd2ctxzd2_bglt;


#endif													// BGL_BgL_SAW_BBVzd2OPTIMzd2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t
		BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2(BgL_blockz00_bglt);
	static obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(int, int, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(BgL_typez00_bglt, obj_t,
		obj_t, obj_t, obj_t, obj_t, int, obj_t, obj_t, int, obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_everyz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static BgL_rtl_regz00_bglt
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32033ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt,
		obj_t);
	extern obj_t BGl_regsetz00zzsaw_regsetz00;
	extern obj_t BGl_rtl_regz00zzsaw_defsz00;
	static obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2;
	extern obj_t BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	extern obj_t BGl_rtl_nopz00zzsaw_defsz00;
	BGL_EXPORTED_DECL obj_t BGl_coalescez12z12zzsaw_bbvzd2optimzd2(obj_t,
		BgL_blockz00_bglt);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern bool_t BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2(void);
	static BgL_typez00_bglt
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	extern bool_t BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	extern obj_t BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, obj_t);
	extern obj_t BGl_replacez00zzsaw_bbvzd2utilszd2(obj_t, obj_t, obj_t);
	static obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt,
		obj_t);
	extern obj_t BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(obj_t);
	BGL_IMPORT obj_t BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2(void);
	static obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_regsetz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(obj_t);
	static obj_t BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_tprintz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2(void);
	BGL_IMPORT obj_t bgl_remq(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, int);
	static obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2(void);
	BGL_EXPORTED_DECL int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_filterz12z12zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(obj_t);
	extern bool_t
		BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(BgL_rtl_insz00_bglt);
	static obj_t
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	static obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31662ze3ze5zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt);
	extern obj_t BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2(BgL_blockz00_bglt,
		BgL_blockz00_bglt, BgL_blockz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2(void);
	static obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	extern obj_t BGl_rtl_regzf2razf2zzsaw_regsetz00;
	static obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(BgL_blockz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	static obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2(obj_t,
		obj_t, obj_t);
	static BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt,
		int);
	static obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2(obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2namezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72277za7,
		BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2nilzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2nilza72278za7,
		BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72279za7,
		BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72280za7,
		BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2251z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2251za700za7za7s2281za7, "before nop!", 11);
	      DEFINE_STRING(BGl_string2252z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2252za700za7za7s2282za7, "remove-nop!", 11);
	      DEFINE_STRING(BGl_string2254z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2254za700za7za7s2283za7, "before goto!", 12);
	      DEFINE_STRING(BGl_string2255z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2255za700za7za7s2284za7, "remove-goto!", 12);
	      DEFINE_STRING(BGl_string2256z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2256za700za7za7s2285za7, "before simplify-branch!", 23);
	      DEFINE_STRING(BGl_string2257z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2257za700za7za7s2286za7, "simplify-branch!", 16);
	      DEFINE_STRING(BGl_string2258z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2258za700za7za7s2287za7, "simplify-branch!.1", 18);
	      DEFINE_STRING(BGl_string2259z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2259za700za7za7s2288za7, " => ", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762za7c3za704anonymo2289za7,
		BGl_z62zc3z04anonymousza31662ze3ze5zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2260z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2260za700za7za7s2290za7, " preds: ", 8);
	      DEFINE_STRING(BGl_string2261z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2261za700za7za7s2291za7, "): ", 3);
	      DEFINE_STRING(BGl_string2262z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2262za700za7za7s2292za7, "simplify(", 9);
	      DEFINE_STRING(BGl_string2263z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2263za700za7za7s2293za7, ":", 1);
	      DEFINE_STRING(BGl_string2264z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2264za700za7za7s2294za7, ",", 1);
	      DEFINE_STRING(BGl_string2265z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2265za700za7za7s2295za7, "SawBbv/bbv-optim.scm", 20);
	      DEFINE_STRING(BGl_string2266z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2266za700za7za7s2296za7, "before simplify-branch!.2a", 26);
	      DEFINE_STRING(BGl_string2267z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2267za700za7za7s2297za7, "before simplify-branch!.2b", 26);
	      DEFINE_STRING(BGl_string2268z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2268za700za7za7s2298za7, "before coalesce!", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2setz12zd2envzc1zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72299za7,
		BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2269z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2269za700za7za7s2300za7, " -> ", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72301za7,
		BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72302za7,
		BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2270z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2270za700za7za7s2303za7, " parent: ", 9);
	      DEFINE_STRING(BGl_string2271z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2271za700za7za7s2304za7, "COALESCE: ", 10);
	      DEFINE_STRING(BGl_string2273z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2273za700za7za7s2305za7, "coalesce!", 9);
	      DEFINE_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2274za700za7za7s2306za7, "saw_bbv-optim", 13);
	      DEFINE_STRING(BGl_string2275z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_string2275za700za7za7s2307za7, "* bbset ", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interferezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72308za7,
		BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2272z00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza32033ze3ze5zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2regvzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2regv2310z00,
		BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_simplifyzd2branchz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762simplifyza7d2br2311z00,
		BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2setz12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2leng2312z00,
		BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2msiza7ezd2envza7zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2msiza72313za7,
		BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_coalescez12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762coalesceza712za772314za7,
		BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2typezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72315za7,
		BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72316za7,
		BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2occurrenceszd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72317za7,
		BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2nilzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72318za7,
		BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2varzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72319za7,
		BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2numzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72320za7,
		BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2setz12zd2envzc0zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2stri2321z00,
		BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2colorzd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72322za7,
		BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2onexprzf3zd2envz01zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72323za7,
		BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2stringzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2stri2324z00,
		BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72325za7,
		BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2rtl_regzf2razd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762makeza7d2rtl_re2326z00,
		BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razf3zd2envzd3zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72327za7,
		BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regsetzd2lengthzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2leng2328z00,
		BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72329za7,
		BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2interfere2zd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72330za7,
		BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2hardwarezd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72331za7,
		BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2regsetzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762makeza7d2regset2332z00,
		BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2gotoz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762removeza7d2goto2333z00,
		BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzf3zd2envz21zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7f3za791za72334z00,
		BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2keyzd2envzf2zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72335za7,
		BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_removezd2nopz12zd2envz12zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762removeza7d2nopza72336za7,
		BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_rtl_regzf2razd2coalescezd2setz12zd2envz32zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762rtl_regza7f2raza72337za7,
		BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_regsetzd2reglzd2envz00zzsaw_bbvzd2optimzd2,
		BgL_bgl_za762regsetza7d2regl2338z00,
		BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2optimzd2(long
		BgL_checksumz00_3583, char *BgL_fromz00_3584)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2optimzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2();
					BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__structurez00(0L, "saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_bbv-optim");
			BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "saw_bbv-optim");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			{	/* SawBbv/bbv-optim.scm 15 */
				obj_t BgL_cportz00_3539;

				{	/* SawBbv/bbv-optim.scm 15 */
					obj_t BgL_stringz00_3546;

					BgL_stringz00_3546 = BGl_string2275z00zzsaw_bbvzd2optimzd2;
					{	/* SawBbv/bbv-optim.scm 15 */
						obj_t BgL_startz00_3547;

						BgL_startz00_3547 = BINT(0L);
						{	/* SawBbv/bbv-optim.scm 15 */
							obj_t BgL_endz00_3548;

							BgL_endz00_3548 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3546)));
							{	/* SawBbv/bbv-optim.scm 15 */

								BgL_cportz00_3539 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3546, BgL_startz00_3547, BgL_endz00_3548);
				}}}}
				{
					long BgL_iz00_3540;

					BgL_iz00_3540 = 1L;
				BgL_loopz00_3541:
					if ((BgL_iz00_3540 == -1L))
						{	/* SawBbv/bbv-optim.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-optim.scm 15 */
							{	/* SawBbv/bbv-optim.scm 15 */
								obj_t BgL_arg2276z00_3542;

								{	/* SawBbv/bbv-optim.scm 15 */

									{	/* SawBbv/bbv-optim.scm 15 */
										obj_t BgL_locationz00_3544;

										BgL_locationz00_3544 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-optim.scm 15 */

											BgL_arg2276z00_3542 =
												BGl_readz00zz__readerz00(BgL_cportz00_3539,
												BgL_locationz00_3544);
										}
									}
								}
								{	/* SawBbv/bbv-optim.scm 15 */
									int BgL_tmpz00_3614;

									BgL_tmpz00_3614 = (int) (BgL_iz00_3540);
									CNST_TABLE_SET(BgL_tmpz00_3614, BgL_arg2276z00_3542);
							}}
							{	/* SawBbv/bbv-optim.scm 15 */
								int BgL_auxz00_3545;

								BgL_auxz00_3545 = (int) ((BgL_iz00_3540 - 1L));
								{
									long BgL_iz00_3619;

									BgL_iz00_3619 = (long) (BgL_auxz00_3545);
									BgL_iz00_3540 = BgL_iz00_3619;
									goto BgL_loopz00_3541;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_2125;

				BgL_headz00_2125 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2126;
					obj_t BgL_tailz00_2127;

					BgL_prevz00_2126 = BgL_headz00_2125;
					BgL_tailz00_2127 = BgL_l1z00_1;
				BgL_loopz00_2128:
					if (PAIRP(BgL_tailz00_2127))
						{
							obj_t BgL_newzd2prevzd2_2130;

							BgL_newzd2prevzd2_2130 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_2127), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2126, BgL_newzd2prevzd2_2130);
							{
								obj_t BgL_tailz00_3629;
								obj_t BgL_prevz00_3628;

								BgL_prevz00_3628 = BgL_newzd2prevzd2_2130;
								BgL_tailz00_3629 = CDR(BgL_tailz00_2127);
								BgL_tailz00_2127 = BgL_tailz00_3629;
								BgL_prevz00_2126 = BgL_prevz00_3628;
								goto BgL_loopz00_2128;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_2125);
				}
			}
		}

	}



/* make-rtl_reg/ra */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(BgL_typez00_bglt
		BgL_type1179z00_3, obj_t BgL_var1180z00_4, obj_t BgL_onexprzf31181zf3_5,
		obj_t BgL_name1182z00_6, obj_t BgL_key1183z00_7,
		obj_t BgL_hardware1184z00_8, int BgL_num1185z00_9,
		obj_t BgL_color1186z00_10, obj_t BgL_coalesce1187z00_11,
		int BgL_occurrences1188z00_12, obj_t BgL_interfere1189z00_13,
		obj_t BgL_interfere21190z00_14)
	{
		{	/* SawMill/regset.sch 55 */
			{	/* SawMill/regset.sch 55 */
				BgL_rtl_regz00_bglt BgL_new1166z00_3550;

				{	/* SawMill/regset.sch 55 */
					BgL_rtl_regz00_bglt BgL_tmp1164z00_3551;
					BgL_rtl_regzf2razf2_bglt BgL_wide1165z00_3552;

					{
						BgL_rtl_regz00_bglt BgL_auxz00_3632;

						{	/* SawMill/regset.sch 55 */
							BgL_rtl_regz00_bglt BgL_new1163z00_3553;

							BgL_new1163z00_3553 =
								((BgL_rtl_regz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_rtl_regz00_bgl))));
							{	/* SawMill/regset.sch 55 */
								long BgL_arg1541z00_3554;

								BgL_arg1541z00_3554 =
									BGL_CLASS_NUM(BGl_rtl_regz00zzsaw_defsz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1163z00_3553),
									BgL_arg1541z00_3554);
							}
							{	/* SawMill/regset.sch 55 */
								BgL_objectz00_bglt BgL_tmpz00_3637;

								BgL_tmpz00_3637 = ((BgL_objectz00_bglt) BgL_new1163z00_3553);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3637, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1163z00_3553);
							BgL_auxz00_3632 = BgL_new1163z00_3553;
						}
						BgL_tmp1164z00_3551 = ((BgL_rtl_regz00_bglt) BgL_auxz00_3632);
					}
					BgL_wide1165z00_3552 =
						((BgL_rtl_regzf2razf2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_rtl_regzf2razf2_bgl))));
					{	/* SawMill/regset.sch 55 */
						obj_t BgL_auxz00_3645;
						BgL_objectz00_bglt BgL_tmpz00_3643;

						BgL_auxz00_3645 = ((obj_t) BgL_wide1165z00_3552);
						BgL_tmpz00_3643 = ((BgL_objectz00_bglt) BgL_tmp1164z00_3551);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3643, BgL_auxz00_3645);
					}
					((BgL_objectz00_bglt) BgL_tmp1164z00_3551);
					{	/* SawMill/regset.sch 55 */
						long BgL_arg1534z00_3555;

						BgL_arg1534z00_3555 =
							BGL_CLASS_NUM(BGl_rtl_regzf2razf2zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1164z00_3551), BgL_arg1534z00_3555);
					}
					BgL_new1166z00_3550 = ((BgL_rtl_regz00_bglt) BgL_tmp1164z00_3551);
				}
				((((BgL_rtl_regz00_bglt) COBJECT(
								((BgL_rtl_regz00_bglt) BgL_new1166z00_3550)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1179z00_3), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_varz00) =
					((obj_t) BgL_var1180z00_4), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_onexprzf3zf3) =
					((obj_t) BgL_onexprzf31181zf3_5), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_namez00) =
					((obj_t) BgL_name1182z00_6), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_keyz00) =
					((obj_t) BgL_key1183z00_7), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_debugnamez00) =
					((obj_t) BFALSE), BUNSPEC);
				((((BgL_rtl_regz00_bglt) COBJECT(((BgL_rtl_regz00_bglt)
									BgL_new1166z00_3550)))->BgL_hardwarez00) =
					((obj_t) BgL_hardware1184z00_8), BUNSPEC);
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3667;

					{
						obj_t BgL_auxz00_3668;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3669;

							BgL_tmpz00_3669 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3668 = BGL_OBJECT_WIDENING(BgL_tmpz00_3669);
						}
						BgL_auxz00_3667 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3668);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3667))->BgL_numz00) =
						((int) BgL_num1185z00_9), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3674;

					{
						obj_t BgL_auxz00_3675;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3676;

							BgL_tmpz00_3676 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3675 = BGL_OBJECT_WIDENING(BgL_tmpz00_3676);
						}
						BgL_auxz00_3674 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3675);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3674))->
							BgL_colorz00) = ((obj_t) BgL_color1186z00_10), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3681;

					{
						obj_t BgL_auxz00_3682;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3683;

							BgL_tmpz00_3683 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3682 = BGL_OBJECT_WIDENING(BgL_tmpz00_3683);
						}
						BgL_auxz00_3681 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3682);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3681))->
							BgL_coalescez00) = ((obj_t) BgL_coalesce1187z00_11), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3688;

					{
						obj_t BgL_auxz00_3689;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3690;

							BgL_tmpz00_3690 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3689 = BGL_OBJECT_WIDENING(BgL_tmpz00_3690);
						}
						BgL_auxz00_3688 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3689);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3688))->
							BgL_occurrencesz00) = ((int) BgL_occurrences1188z00_12), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3695;

					{
						obj_t BgL_auxz00_3696;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3697;

							BgL_tmpz00_3697 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3696 = BGL_OBJECT_WIDENING(BgL_tmpz00_3697);
						}
						BgL_auxz00_3695 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3696);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3695))->
							BgL_interferez00) = ((obj_t) BgL_interfere1189z00_13), BUNSPEC);
				}
				{
					BgL_rtl_regzf2razf2_bglt BgL_auxz00_3702;

					{
						obj_t BgL_auxz00_3703;

						{	/* SawMill/regset.sch 55 */
							BgL_objectz00_bglt BgL_tmpz00_3704;

							BgL_tmpz00_3704 = ((BgL_objectz00_bglt) BgL_new1166z00_3550);
							BgL_auxz00_3703 = BGL_OBJECT_WIDENING(BgL_tmpz00_3704);
						}
						BgL_auxz00_3702 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3703);
					}
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3702))->
							BgL_interfere2z00) = ((obj_t) BgL_interfere21190z00_14), BUNSPEC);
				}
				return BgL_new1166z00_3550;
			}
		}

	}



/* &make-rtl_reg/ra */
	BgL_rtl_regz00_bglt BGl_z62makezd2rtl_regzf2raz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3428, obj_t BgL_type1179z00_3429, obj_t BgL_var1180z00_3430,
		obj_t BgL_onexprzf31181zf3_3431, obj_t BgL_name1182z00_3432,
		obj_t BgL_key1183z00_3433, obj_t BgL_hardware1184z00_3434,
		obj_t BgL_num1185z00_3435, obj_t BgL_color1186z00_3436,
		obj_t BgL_coalesce1187z00_3437, obj_t BgL_occurrences1188z00_3438,
		obj_t BgL_interfere1189z00_3439, obj_t BgL_interfere21190z00_3440)
	{
		{	/* SawMill/regset.sch 55 */
			return
				BGl_makezd2rtl_regzf2raz20zzsaw_bbvzd2optimzd2(
				((BgL_typez00_bglt) BgL_type1179z00_3429), BgL_var1180z00_3430,
				BgL_onexprzf31181zf3_3431, BgL_name1182z00_3432, BgL_key1183z00_3433,
				BgL_hardware1184z00_3434, CINT(BgL_num1185z00_3435),
				BgL_color1186z00_3436, BgL_coalesce1187z00_3437,
				CINT(BgL_occurrences1188z00_3438), BgL_interfere1189z00_3439,
				BgL_interfere21190z00_3440);
		}

	}



/* rtl_reg/ra? */
	BGL_EXPORTED_DEF bool_t BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(obj_t
		BgL_objz00_15)
	{
		{	/* SawMill/regset.sch 56 */
			{	/* SawMill/regset.sch 56 */
				obj_t BgL_classz00_3556;

				BgL_classz00_3556 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_15))
					{	/* SawMill/regset.sch 56 */
						BgL_objectz00_bglt BgL_arg1801z00_3557;

						BgL_arg1801z00_3557 = (BgL_objectz00_bglt) (BgL_objz00_15);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 56 */
								long BgL_idxz00_3558;

								BgL_idxz00_3558 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3557);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3558 + 2L)) == BgL_classz00_3556);
							}
						else
							{	/* SawMill/regset.sch 56 */
								bool_t BgL_res2244z00_3561;

								{	/* SawMill/regset.sch 56 */
									obj_t BgL_oclassz00_3562;

									{	/* SawMill/regset.sch 56 */
										long BgL_arg1808z00_3563;

										{	/* SawMill/regset.sch 56 */
											long BgL_arg1809z00_3564;

											BgL_arg1809z00_3564 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3557);
											BgL_arg1808z00_3563 = (BgL_arg1809z00_3564 - OBJECT_TYPE);
										}
										BgL_oclassz00_3562 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_3563);
									}
									{	/* SawMill/regset.sch 56 */
										bool_t BgL__ortest_1115z00_3565;

										BgL__ortest_1115z00_3565 =
											(BgL_classz00_3556 == BgL_oclassz00_3562);
										if (BgL__ortest_1115z00_3565)
											{	/* SawMill/regset.sch 56 */
												BgL_res2244z00_3561 = BgL__ortest_1115z00_3565;
											}
										else
											{	/* SawMill/regset.sch 56 */
												long BgL_odepthz00_3566;

												BgL_odepthz00_3566 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3562);
												if ((2L < BgL_odepthz00_3566))
													{	/* SawMill/regset.sch 56 */
														obj_t BgL_arg1797z00_3567;

														BgL_arg1797z00_3567 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3562, 2L);
														BgL_res2244z00_3561 =
															(BgL_arg1797z00_3567 == BgL_classz00_3556);
													}
												else
													{	/* SawMill/regset.sch 56 */
														BgL_res2244z00_3561 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2244z00_3561;
							}
					}
				else
					{	/* SawMill/regset.sch 56 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &rtl_reg/ra? */
	obj_t BGl_z62rtl_regzf2razf3z63zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3441,
		obj_t BgL_objz00_3442)
	{
		{	/* SawMill/regset.sch 56 */
			return BBOOL(BGl_rtl_regzf2razf3z01zzsaw_bbvzd2optimzd2(BgL_objz00_3442));
		}

	}



/* rtl_reg/ra-nil */
	BGL_EXPORTED_DEF BgL_rtl_regz00_bglt
		BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/regset.sch 57 */
			{	/* SawMill/regset.sch 57 */
				obj_t BgL_classz00_3135;

				BgL_classz00_3135 = BGl_rtl_regzf2razf2zzsaw_regsetz00;
				{	/* SawMill/regset.sch 57 */
					obj_t BgL__ortest_1117z00_3136;

					BgL__ortest_1117z00_3136 = BGL_CLASS_NIL(BgL_classz00_3135);
					if (CBOOL(BgL__ortest_1117z00_3136))
						{	/* SawMill/regset.sch 57 */
							return ((BgL_rtl_regz00_bglt) BgL__ortest_1117z00_3136);
						}
					else
						{	/* SawMill/regset.sch 57 */
							return
								((BgL_rtl_regz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3135));
						}
				}
			}
		}

	}



/* &rtl_reg/ra-nil */
	BgL_rtl_regz00_bglt BGl_z62rtl_regzf2razd2nilz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3443)
	{
		{	/* SawMill/regset.sch 57 */
			return BGl_rtl_regzf2razd2nilz20zzsaw_bbvzd2optimzd2();
		}

	}



/* rtl_reg/ra-interfere2 */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_16)
	{
		{	/* SawMill/regset.sch 58 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3741;

				{
					obj_t BgL_auxz00_3742;

					{	/* SawMill/regset.sch 58 */
						BgL_objectz00_bglt BgL_tmpz00_3743;

						BgL_tmpz00_3743 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3742 = BGL_OBJECT_WIDENING(BgL_tmpz00_3743);
					}
					BgL_auxz00_3741 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3742);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3741))->
					BgL_interfere2z00);
			}
		}

	}



/* &rtl_reg/ra-interfere2 */
	obj_t BGl_z62rtl_regzf2razd2interfere2z42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3444, obj_t BgL_oz00_3445)
	{
		{	/* SawMill/regset.sch 58 */
			return
				BGl_rtl_regzf2razd2interfere2z20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3445));
		}

	}



/* rtl_reg/ra-interfere2-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_17, obj_t BgL_vz00_18)
	{
		{	/* SawMill/regset.sch 59 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3750;

				{
					obj_t BgL_auxz00_3751;

					{	/* SawMill/regset.sch 59 */
						BgL_objectz00_bglt BgL_tmpz00_3752;

						BgL_tmpz00_3752 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3751 = BGL_OBJECT_WIDENING(BgL_tmpz00_3752);
					}
					BgL_auxz00_3750 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3751);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3750))->
						BgL_interfere2z00) = ((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere2-set! */
	obj_t BGl_z62rtl_regzf2razd2interfere2zd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3446, obj_t BgL_oz00_3447, obj_t BgL_vz00_3448)
	{
		{	/* SawMill/regset.sch 59 */
			return
				BGl_rtl_regzf2razd2interfere2zd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3447), BgL_vz00_3448);
		}

	}



/* rtl_reg/ra-interfere */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_19)
	{
		{	/* SawMill/regset.sch 60 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3759;

				{
					obj_t BgL_auxz00_3760;

					{	/* SawMill/regset.sch 60 */
						BgL_objectz00_bglt BgL_tmpz00_3761;

						BgL_tmpz00_3761 = ((BgL_objectz00_bglt) BgL_oz00_19);
						BgL_auxz00_3760 = BGL_OBJECT_WIDENING(BgL_tmpz00_3761);
					}
					BgL_auxz00_3759 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3760);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3759))->
					BgL_interferez00);
			}
		}

	}



/* &rtl_reg/ra-interfere */
	obj_t BGl_z62rtl_regzf2razd2interferez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3449, obj_t BgL_oz00_3450)
	{
		{	/* SawMill/regset.sch 60 */
			return
				BGl_rtl_regzf2razd2interferez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3450));
		}

	}



/* rtl_reg/ra-interfere-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_20, obj_t BgL_vz00_21)
	{
		{	/* SawMill/regset.sch 61 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3768;

				{
					obj_t BgL_auxz00_3769;

					{	/* SawMill/regset.sch 61 */
						BgL_objectz00_bglt BgL_tmpz00_3770;

						BgL_tmpz00_3770 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_3769 = BGL_OBJECT_WIDENING(BgL_tmpz00_3770);
					}
					BgL_auxz00_3768 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3769);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3768))->
						BgL_interferez00) = ((obj_t) BgL_vz00_21), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-interfere-set! */
	obj_t BGl_z62rtl_regzf2razd2interferezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3451, obj_t BgL_oz00_3452, obj_t BgL_vz00_3453)
	{
		{	/* SawMill/regset.sch 61 */
			return
				BGl_rtl_regzf2razd2interferezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3452), BgL_vz00_3453);
		}

	}



/* rtl_reg/ra-occurrences */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_22)
	{
		{	/* SawMill/regset.sch 62 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3777;

				{
					obj_t BgL_auxz00_3778;

					{	/* SawMill/regset.sch 62 */
						BgL_objectz00_bglt BgL_tmpz00_3779;

						BgL_tmpz00_3779 = ((BgL_objectz00_bglt) BgL_oz00_22);
						BgL_auxz00_3778 = BGL_OBJECT_WIDENING(BgL_tmpz00_3779);
					}
					BgL_auxz00_3777 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3778);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3777))->
					BgL_occurrencesz00);
			}
		}

	}



/* &rtl_reg/ra-occurrences */
	obj_t BGl_z62rtl_regzf2razd2occurrencesz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3454, obj_t BgL_oz00_3455)
	{
		{	/* SawMill/regset.sch 62 */
			return
				BINT(BGl_rtl_regzf2razd2occurrencesz20zzsaw_bbvzd2optimzd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3455)));
		}

	}



/* rtl_reg/ra-occurrences-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_23, int BgL_vz00_24)
	{
		{	/* SawMill/regset.sch 63 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3787;

				{
					obj_t BgL_auxz00_3788;

					{	/* SawMill/regset.sch 63 */
						BgL_objectz00_bglt BgL_tmpz00_3789;

						BgL_tmpz00_3789 = ((BgL_objectz00_bglt) BgL_oz00_23);
						BgL_auxz00_3788 = BGL_OBJECT_WIDENING(BgL_tmpz00_3789);
					}
					BgL_auxz00_3787 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3788);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3787))->
						BgL_occurrencesz00) = ((int) BgL_vz00_24), BUNSPEC);
		}}

	}



/* &rtl_reg/ra-occurrences-set! */
	obj_t BGl_z62rtl_regzf2razd2occurrenceszd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3456, obj_t BgL_oz00_3457, obj_t BgL_vz00_3458)
	{
		{	/* SawMill/regset.sch 63 */
			return
				BGl_rtl_regzf2razd2occurrenceszd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3457), CINT(BgL_vz00_3458));
		}

	}



/* rtl_reg/ra-coalesce */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_25)
	{
		{	/* SawMill/regset.sch 64 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3797;

				{
					obj_t BgL_auxz00_3798;

					{	/* SawMill/regset.sch 64 */
						BgL_objectz00_bglt BgL_tmpz00_3799;

						BgL_tmpz00_3799 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3798 = BGL_OBJECT_WIDENING(BgL_tmpz00_3799);
					}
					BgL_auxz00_3797 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3798);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3797))->
					BgL_coalescez00);
			}
		}

	}



/* &rtl_reg/ra-coalesce */
	obj_t BGl_z62rtl_regzf2razd2coalescez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3459, obj_t BgL_oz00_3460)
	{
		{	/* SawMill/regset.sch 64 */
			return
				BGl_rtl_regzf2razd2coalescez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3460));
		}

	}



/* rtl_reg/ra-coalesce-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_26, obj_t BgL_vz00_27)
	{
		{	/* SawMill/regset.sch 65 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3806;

				{
					obj_t BgL_auxz00_3807;

					{	/* SawMill/regset.sch 65 */
						BgL_objectz00_bglt BgL_tmpz00_3808;

						BgL_tmpz00_3808 = ((BgL_objectz00_bglt) BgL_oz00_26);
						BgL_auxz00_3807 = BGL_OBJECT_WIDENING(BgL_tmpz00_3808);
					}
					BgL_auxz00_3806 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3807);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3806))->
						BgL_coalescez00) = ((obj_t) BgL_vz00_27), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-coalesce-set! */
	obj_t BGl_z62rtl_regzf2razd2coalescezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3461, obj_t BgL_oz00_3462, obj_t BgL_vz00_3463)
	{
		{	/* SawMill/regset.sch 65 */
			return
				BGl_rtl_regzf2razd2coalescezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3462), BgL_vz00_3463);
		}

	}



/* rtl_reg/ra-color */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_28)
	{
		{	/* SawMill/regset.sch 66 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3815;

				{
					obj_t BgL_auxz00_3816;

					{	/* SawMill/regset.sch 66 */
						BgL_objectz00_bglt BgL_tmpz00_3817;

						BgL_tmpz00_3817 = ((BgL_objectz00_bglt) BgL_oz00_28);
						BgL_auxz00_3816 = BGL_OBJECT_WIDENING(BgL_tmpz00_3817);
					}
					BgL_auxz00_3815 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3816);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3815))->BgL_colorz00);
			}
		}

	}



/* &rtl_reg/ra-color */
	obj_t BGl_z62rtl_regzf2razd2colorz42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3464, obj_t BgL_oz00_3465)
	{
		{	/* SawMill/regset.sch 66 */
			return
				BGl_rtl_regzf2razd2colorz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3465));
		}

	}



/* rtl_reg/ra-color-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_29, obj_t BgL_vz00_30)
	{
		{	/* SawMill/regset.sch 67 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3824;

				{
					obj_t BgL_auxz00_3825;

					{	/* SawMill/regset.sch 67 */
						BgL_objectz00_bglt BgL_tmpz00_3826;

						BgL_tmpz00_3826 = ((BgL_objectz00_bglt) BgL_oz00_29);
						BgL_auxz00_3825 = BGL_OBJECT_WIDENING(BgL_tmpz00_3826);
					}
					BgL_auxz00_3824 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3825);
				}
				return
					((((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3824))->
						BgL_colorz00) = ((obj_t) BgL_vz00_30), BUNSPEC);
			}
		}

	}



/* &rtl_reg/ra-color-set! */
	obj_t BGl_z62rtl_regzf2razd2colorzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3466, obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
	{
		{	/* SawMill/regset.sch 67 */
			return
				BGl_rtl_regzf2razd2colorzd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3467), BgL_vz00_3468);
		}

	}



/* rtl_reg/ra-num */
	BGL_EXPORTED_DEF int
		BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_31)
	{
		{	/* SawMill/regset.sch 68 */
			{
				BgL_rtl_regzf2razf2_bglt BgL_auxz00_3833;

				{
					obj_t BgL_auxz00_3834;

					{	/* SawMill/regset.sch 68 */
						BgL_objectz00_bglt BgL_tmpz00_3835;

						BgL_tmpz00_3835 = ((BgL_objectz00_bglt) BgL_oz00_31);
						BgL_auxz00_3834 = BGL_OBJECT_WIDENING(BgL_tmpz00_3835);
					}
					BgL_auxz00_3833 = ((BgL_rtl_regzf2razf2_bglt) BgL_auxz00_3834);
				}
				return
					(((BgL_rtl_regzf2razf2_bglt) COBJECT(BgL_auxz00_3833))->BgL_numz00);
			}
		}

	}



/* &rtl_reg/ra-num */
	obj_t BGl_z62rtl_regzf2razd2numz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3469,
		obj_t BgL_oz00_3470)
	{
		{	/* SawMill/regset.sch 68 */
			return
				BINT(BGl_rtl_regzf2razd2numz20zzsaw_bbvzd2optimzd2(
					((BgL_rtl_regz00_bglt) BgL_oz00_3470)));
		}

	}



/* rtl_reg/ra-hardware */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_34)
	{
		{	/* SawMill/regset.sch 70 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_34)))->BgL_hardwarez00);
		}

	}



/* &rtl_reg/ra-hardware */
	obj_t BGl_z62rtl_regzf2razd2hardwarez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3471, obj_t BgL_oz00_3472)
	{
		{	/* SawMill/regset.sch 70 */
			return
				BGl_rtl_regzf2razd2hardwarez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3472));
		}

	}



/* rtl_reg/ra-key */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_37)
	{
		{	/* SawMill/regset.sch 72 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_37)))->BgL_keyz00);
		}

	}



/* &rtl_reg/ra-key */
	obj_t BGl_z62rtl_regzf2razd2keyz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3473,
		obj_t BgL_oz00_3474)
	{
		{	/* SawMill/regset.sch 72 */
			return
				BGl_rtl_regzf2razd2keyz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3474));
		}

	}



/* rtl_reg/ra-name */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_40)
	{
		{	/* SawMill/regset.sch 74 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_40)))->BgL_namez00);
		}

	}



/* &rtl_reg/ra-name */
	obj_t BGl_z62rtl_regzf2razd2namez42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476)
	{
		{	/* SawMill/regset.sch 74 */
			return
				BGl_rtl_regzf2razd2namez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3476));
		}

	}



/* rtl_reg/ra-onexpr? */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_43)
	{
		{	/* SawMill/regset.sch 76 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_43)))->BgL_onexprzf3zf3);
		}

	}



/* &rtl_reg/ra-onexpr? */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zb1zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3477, obj_t BgL_oz00_3478)
	{
		{	/* SawMill/regset.sch 76 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd3zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3478));
		}

	}



/* rtl_reg/ra-onexpr?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2
		(BgL_rtl_regz00_bglt BgL_oz00_44, obj_t BgL_vz00_45)
	{
		{	/* SawMill/regset.sch 77 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_44)))->BgL_onexprzf3zf3) =
				((obj_t) BgL_vz00_45), BUNSPEC);
		}

	}



/* &rtl_reg/ra-onexpr?-set! */
	obj_t BGl_z62rtl_regzf2razd2onexprzf3zd2setz12z71zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3479, obj_t BgL_oz00_3480, obj_t BgL_vz00_3481)
	{
		{	/* SawMill/regset.sch 77 */
			return
				BGl_rtl_regzf2razd2onexprzf3zd2setz12z13zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3480), BgL_vz00_3481);
		}

	}



/* rtl_reg/ra-var */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_46)
	{
		{	/* SawMill/regset.sch 78 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_46)))->BgL_varz00);
		}

	}



/* &rtl_reg/ra-var */
	obj_t BGl_z62rtl_regzf2razd2varz42zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3482,
		obj_t BgL_oz00_3483)
	{
		{	/* SawMill/regset.sch 78 */
			return
				BGl_rtl_regzf2razd2varz20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3483));
		}

	}



/* rtl_reg/ra-var-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		{	/* SawMill/regset.sch 79 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_47)))->BgL_varz00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}

	}



/* &rtl_reg/ra-var-set! */
	obj_t BGl_z62rtl_regzf2razd2varzd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3484, obj_t BgL_oz00_3485, obj_t BgL_vz00_3486)
	{
		{	/* SawMill/regset.sch 79 */
			return
				BGl_rtl_regzf2razd2varzd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3485), BgL_vz00_3486);
		}

	}



/* rtl_reg/ra-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_49)
	{
		{	/* SawMill/regset.sch 80 */
			return
				(((BgL_rtl_regz00_bglt) COBJECT(
						((BgL_rtl_regz00_bglt) BgL_oz00_49)))->BgL_typez00);
		}

	}



/* &rtl_reg/ra-type */
	BgL_typez00_bglt BGl_z62rtl_regzf2razd2typez42zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3487, obj_t BgL_oz00_3488)
	{
		{	/* SawMill/regset.sch 80 */
			return
				BGl_rtl_regzf2razd2typez20zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3488));
		}

	}



/* rtl_reg/ra-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(BgL_rtl_regz00_bglt
		BgL_oz00_50, BgL_typez00_bglt BgL_vz00_51)
	{
		{	/* SawMill/regset.sch 81 */
			return
				((((BgL_rtl_regz00_bglt) COBJECT(
							((BgL_rtl_regz00_bglt) BgL_oz00_50)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_51), BUNSPEC);
		}

	}



/* &rtl_reg/ra-type-set! */
	obj_t BGl_z62rtl_regzf2razd2typezd2setz12z82zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3489, obj_t BgL_oz00_3490, obj_t BgL_vz00_3491)
	{
		{	/* SawMill/regset.sch 81 */
			return
				BGl_rtl_regzf2razd2typezd2setz12ze0zzsaw_bbvzd2optimzd2(
				((BgL_rtl_regz00_bglt) BgL_oz00_3490),
				((BgL_typez00_bglt) BgL_vz00_3491));
		}

	}



/* make-regset */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(int BgL_length1172z00_52,
		int BgL_msiza7e1173za7_53, obj_t BgL_regv1174z00_54,
		obj_t BgL_regl1175z00_55, obj_t BgL_string1176z00_56)
	{
		{	/* SawMill/regset.sch 84 */
			{	/* SawMill/regset.sch 84 */
				BgL_regsetz00_bglt BgL_new1168z00_3568;

				{	/* SawMill/regset.sch 84 */
					BgL_regsetz00_bglt BgL_new1167z00_3569;

					BgL_new1167z00_3569 =
						((BgL_regsetz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_regsetz00_bgl))));
					{	/* SawMill/regset.sch 84 */
						long BgL_arg1545z00_3570;

						BgL_arg1545z00_3570 = BGL_CLASS_NUM(BGl_regsetz00zzsaw_regsetz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1167z00_3569), BgL_arg1545z00_3570);
					}
					BgL_new1168z00_3568 = BgL_new1167z00_3569;
				}
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3568))->BgL_lengthz00) =
					((int) BgL_length1172z00_52), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3568))->BgL_msiza7eza7) =
					((int) BgL_msiza7e1173za7_53), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3568))->BgL_regvz00) =
					((obj_t) BgL_regv1174z00_54), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3568))->BgL_reglz00) =
					((obj_t) BgL_regl1175z00_55), BUNSPEC);
				((((BgL_regsetz00_bglt) COBJECT(BgL_new1168z00_3568))->BgL_stringz00) =
					((obj_t) BgL_string1176z00_56), BUNSPEC);
				return BgL_new1168z00_3568;
			}
		}

	}



/* &make-regset */
	BgL_regsetz00_bglt BGl_z62makezd2regsetzb0zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3492, obj_t BgL_length1172z00_3493,
		obj_t BgL_msiza7e1173za7_3494, obj_t BgL_regv1174z00_3495,
		obj_t BgL_regl1175z00_3496, obj_t BgL_string1176z00_3497)
	{
		{	/* SawMill/regset.sch 84 */
			return
				BGl_makezd2regsetzd2zzsaw_bbvzd2optimzd2(CINT(BgL_length1172z00_3493),
				CINT(BgL_msiza7e1173za7_3494), BgL_regv1174z00_3495,
				BgL_regl1175z00_3496, BgL_string1176z00_3497);
		}

	}



/* regset? */
	BGL_EXPORTED_DEF bool_t BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(obj_t
		BgL_objz00_57)
	{
		{	/* SawMill/regset.sch 85 */
			{	/* SawMill/regset.sch 85 */
				obj_t BgL_classz00_3571;

				BgL_classz00_3571 = BGl_regsetz00zzsaw_regsetz00;
				if (BGL_OBJECTP(BgL_objz00_57))
					{	/* SawMill/regset.sch 85 */
						BgL_objectz00_bglt BgL_arg1801z00_3572;

						BgL_arg1801z00_3572 = (BgL_objectz00_bglt) (BgL_objz00_57);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* SawMill/regset.sch 85 */
								long BgL_idxz00_3573;

								BgL_idxz00_3573 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3572);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_3573 + 1L)) == BgL_classz00_3571);
							}
						else
							{	/* SawMill/regset.sch 85 */
								bool_t BgL_res2245z00_3576;

								{	/* SawMill/regset.sch 85 */
									obj_t BgL_oclassz00_3577;

									{	/* SawMill/regset.sch 85 */
										long BgL_arg1808z00_3578;

										{	/* SawMill/regset.sch 85 */
											long BgL_arg1809z00_3579;

											BgL_arg1809z00_3579 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3572);
											BgL_arg1808z00_3578 = (BgL_arg1809z00_3579 - OBJECT_TYPE);
										}
										BgL_oclassz00_3577 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1808z00_3578);
									}
									{	/* SawMill/regset.sch 85 */
										bool_t BgL__ortest_1115z00_3580;

										BgL__ortest_1115z00_3580 =
											(BgL_classz00_3571 == BgL_oclassz00_3577);
										if (BgL__ortest_1115z00_3580)
											{	/* SawMill/regset.sch 85 */
												BgL_res2245z00_3576 = BgL__ortest_1115z00_3580;
											}
										else
											{	/* SawMill/regset.sch 85 */
												long BgL_odepthz00_3581;

												BgL_odepthz00_3581 =
													BGL_CLASS_DEPTH(BgL_oclassz00_3577);
												if ((1L < BgL_odepthz00_3581))
													{	/* SawMill/regset.sch 85 */
														obj_t BgL_arg1797z00_3582;

														BgL_arg1797z00_3582 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3577, 1L);
														BgL_res2245z00_3576 =
															(BgL_arg1797z00_3582 == BgL_classz00_3571);
													}
												else
													{	/* SawMill/regset.sch 85 */
														BgL_res2245z00_3576 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res2245z00_3576;
							}
					}
				else
					{	/* SawMill/regset.sch 85 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &regset? */
	obj_t BGl_z62regsetzf3z91zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3498,
		obj_t BgL_objz00_3499)
	{
		{	/* SawMill/regset.sch 85 */
			return BBOOL(BGl_regsetzf3zf3zzsaw_bbvzd2optimzd2(BgL_objz00_3499));
		}

	}



/* regset-nil */
	BGL_EXPORTED_DEF BgL_regsetz00_bglt
		BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/regset.sch 86 */
			{	/* SawMill/regset.sch 86 */
				obj_t BgL_classz00_3185;

				BgL_classz00_3185 = BGl_regsetz00zzsaw_regsetz00;
				{	/* SawMill/regset.sch 86 */
					obj_t BgL__ortest_1117z00_3186;

					BgL__ortest_1117z00_3186 = BGL_CLASS_NIL(BgL_classz00_3185);
					if (CBOOL(BgL__ortest_1117z00_3186))
						{	/* SawMill/regset.sch 86 */
							return ((BgL_regsetz00_bglt) BgL__ortest_1117z00_3186);
						}
					else
						{	/* SawMill/regset.sch 86 */
							return
								((BgL_regsetz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3185));
						}
				}
			}
		}

	}



/* &regset-nil */
	BgL_regsetz00_bglt BGl_z62regsetzd2nilzb0zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3500)
	{
		{	/* SawMill/regset.sch 86 */
			return BGl_regsetzd2nilzd2zzsaw_bbvzd2optimzd2();
		}

	}



/* regset-string */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_58)
	{
		{	/* SawMill/regset.sch 87 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_58))->BgL_stringz00);
		}

	}



/* &regset-string */
	obj_t BGl_z62regsetzd2stringzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3501,
		obj_t BgL_oz00_3502)
	{
		{	/* SawMill/regset.sch 87 */
			return
				BGl_regsetzd2stringzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3502));
		}

	}



/* regset-string-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt
		BgL_oz00_59, obj_t BgL_vz00_60)
	{
		{	/* SawMill/regset.sch 88 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_59))->BgL_stringz00) =
				((obj_t) BgL_vz00_60), BUNSPEC);
		}

	}



/* &regset-string-set! */
	obj_t BGl_z62regsetzd2stringzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
	{
		{	/* SawMill/regset.sch 88 */
			return
				BGl_regsetzd2stringzd2setz12z12zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3504), BgL_vz00_3505);
		}

	}



/* regset-regl */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_61)
	{
		{	/* SawMill/regset.sch 89 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_61))->BgL_reglz00);
		}

	}



/* &regset-regl */
	obj_t BGl_z62regsetzd2reglzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3506,
		obj_t BgL_oz00_3507)
	{
		{	/* SawMill/regset.sch 89 */
			return
				BGl_regsetzd2reglzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3507));
		}

	}



/* regset-regv */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_64)
	{
		{	/* SawMill/regset.sch 91 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_64))->BgL_regvz00);
		}

	}



/* &regset-regv */
	obj_t BGl_z62regsetzd2regvzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3508,
		obj_t BgL_oz00_3509)
	{
		{	/* SawMill/regset.sch 91 */
			return
				BGl_regsetzd2regvzd2zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3509));
		}

	}



/* regset-msize */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_67)
	{
		{	/* SawMill/regset.sch 93 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_67))->BgL_msiza7eza7);
		}

	}



/* &regset-msize */
	obj_t BGl_z62regsetzd2msiza7ez17zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511)
	{
		{	/* SawMill/regset.sch 93 */
			return
				BINT(BGl_regsetzd2msiza7ez75zzsaw_bbvzd2optimzd2(
					((BgL_regsetz00_bglt) BgL_oz00_3511)));
		}

	}



/* regset-length */
	BGL_EXPORTED_DEF int
		BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt BgL_oz00_70)
	{
		{	/* SawMill/regset.sch 95 */
			return (((BgL_regsetz00_bglt) COBJECT(BgL_oz00_70))->BgL_lengthz00);
		}

	}



/* &regset-length */
	obj_t BGl_z62regsetzd2lengthzb0zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3512,
		obj_t BgL_oz00_3513)
	{
		{	/* SawMill/regset.sch 95 */
			return
				BINT(BGl_regsetzd2lengthzd2zzsaw_bbvzd2optimzd2(
					((BgL_regsetz00_bglt) BgL_oz00_3513)));
		}

	}



/* regset-length-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(BgL_regsetz00_bglt
		BgL_oz00_71, int BgL_vz00_72)
	{
		{	/* SawMill/regset.sch 96 */
			return
				((((BgL_regsetz00_bglt) COBJECT(BgL_oz00_71))->BgL_lengthz00) =
				((int) BgL_vz00_72), BUNSPEC);
		}

	}



/* &regset-length-set! */
	obj_t BGl_z62regsetzd2lengthzd2setz12z70zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3514, obj_t BgL_oz00_3515, obj_t BgL_vz00_3516)
	{
		{	/* SawMill/regset.sch 96 */
			return
				BGl_regsetzd2lengthzd2setz12z12zzsaw_bbvzd2optimzd2(
				((BgL_regsetz00_bglt) BgL_oz00_3515), CINT(BgL_vz00_3516));
		}

	}



/* make-empty-bbset */
	obj_t BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawMill/bbset.sch 20 */
			{	/* SawMill/bbset.sch 21 */
				obj_t BgL_arg1564z00_2153;

				BgL_arg1564z00_2153 = BGl_getzd2bbzd2markz00zzsaw_bbvzd2typeszd2();
				{	/* SawMill/bbset.sch 15 */
					obj_t BgL_newz00_3194;

					BgL_newz00_3194 = create_struct(CNST_TABLE_REF(0L), (int) (2L));
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3948;

						BgL_tmpz00_3948 = (int) (1L);
						STRUCT_SET(BgL_newz00_3194, BgL_tmpz00_3948, BNIL);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3951;

						BgL_tmpz00_3951 = (int) (0L);
						STRUCT_SET(BgL_newz00_3194, BgL_tmpz00_3951, BgL_arg1564z00_2153);
					}
					return BgL_newz00_3194;
				}
			}
		}

	}



/* bbset-cons */
	obj_t BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bz00_85,
		obj_t BgL_setz00_86)
	{
		{	/* SawMill/bbset.sch 33 */
			{	/* SawMill/bbset.sch 34 */
				obj_t BgL_mz00_2157;

				BgL_mz00_2157 = STRUCT_REF(BgL_setz00_86, (int) (0L));
				{
					BgL_blocksz00_bglt BgL_auxz00_3956;

					{
						obj_t BgL_auxz00_3957;

						{	/* SawMill/bbset.sch 36 */
							BgL_objectz00_bglt BgL_tmpz00_3958;

							BgL_tmpz00_3958 = ((BgL_objectz00_bglt) BgL_bz00_85);
							BgL_auxz00_3957 = BGL_OBJECT_WIDENING(BgL_tmpz00_3958);
						}
						BgL_auxz00_3956 = ((BgL_blocksz00_bglt) BgL_auxz00_3957);
					}
					((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_3956))->BgL_z52markz52) =
						((long) (long) CINT(BgL_mz00_2157)), BUNSPEC);
				}
				{	/* SawMill/bbset.sch 37 */
					obj_t BgL_arg1576z00_2159;

					{	/* SawMill/bbset.sch 37 */
						obj_t BgL_arg1578z00_2160;

						BgL_arg1578z00_2160 = STRUCT_REF(BgL_setz00_86, (int) (1L));
						BgL_arg1576z00_2159 =
							MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_85), BgL_arg1578z00_2160);
					}
					{	/* SawMill/bbset.sch 15 */
						int BgL_tmpz00_3968;

						BgL_tmpz00_3968 = (int) (1L);
						STRUCT_SET(BgL_setz00_86, BgL_tmpz00_3968, BgL_arg1576z00_2159);
				}}
				return BgL_setz00_86;
			}
		}

	}



/* remove-nop! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bz00_91)
	{
		{	/* SawBbv/bbv-optim.scm 50 */
			BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
				((BgL_blockz00_bglt) BgL_bz00_91),
				BGl_string2251z00zzsaw_bbvzd2optimzd2);
			{	/* SawBbv/bbv-optim.scm 52 */
				obj_t BgL_g1172z00_2185;
				obj_t BgL_g1173z00_2186;

				{	/* SawBbv/bbv-optim.scm 52 */
					obj_t BgL_list1685z00_2216;

					BgL_list1685z00_2216 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_91), BNIL);
					BgL_g1172z00_2185 = BgL_list1685z00_2216;
				}
				BgL_g1173z00_2186 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
				{
					obj_t BgL_bsz00_2188;
					obj_t BgL_accz00_2189;

					{
						BgL_blockz00_bglt BgL_auxz00_3976;

						BgL_bsz00_2188 = BgL_g1172z00_2185;
						BgL_accz00_2189 = BgL_g1173z00_2186;
					BgL_zc3z04anonymousza31616ze3z87_2190:
						if (NULLP(BgL_bsz00_2188))
							{	/* SawBbv/bbv-optim.scm 55 */
								BgL_auxz00_3976 = BgL_bz00_91;
							}
						else
							{	/* SawBbv/bbv-optim.scm 57 */
								bool_t BgL_test2353z00_3979;

								{	/* SawBbv/bbv-optim.scm 57 */
									BgL_blockz00_bglt BgL_blockz00_3208;

									BgL_blockz00_3208 =
										((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2188)));
									{	/* SawBbv/bbv-optim.scm 57 */
										long BgL_arg1565z00_3211;
										obj_t BgL_arg1575z00_3212;

										{
											BgL_blocksz00_bglt BgL_auxz00_3983;

											{
												obj_t BgL_auxz00_3984;

												{	/* SawBbv/bbv-optim.scm 57 */
													BgL_objectz00_bglt BgL_tmpz00_3985;

													BgL_tmpz00_3985 =
														((BgL_objectz00_bglt) BgL_blockz00_3208);
													BgL_auxz00_3984 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3985);
												}
												BgL_auxz00_3983 =
													((BgL_blocksz00_bglt) BgL_auxz00_3984);
											}
											BgL_arg1565z00_3211 =
												(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_3983))->
												BgL_z52markz52);
										}
										BgL_arg1575z00_3212 =
											STRUCT_REF(BgL_accz00_2189, (int) (0L));
										BgL_test2353z00_3979 =
											(BINT(BgL_arg1565z00_3211) == BgL_arg1575z00_3212);
								}}
								if (BgL_test2353z00_3979)
									{	/* SawBbv/bbv-optim.scm 58 */
										obj_t BgL_arg1628z00_2194;

										BgL_arg1628z00_2194 = CDR(((obj_t) BgL_bsz00_2188));
										{
											obj_t BgL_bsz00_3996;

											BgL_bsz00_3996 = BgL_arg1628z00_2194;
											BgL_bsz00_2188 = BgL_bsz00_3996;
											goto BgL_zc3z04anonymousza31616ze3z87_2190;
										}
									}
								else
									{	/* SawBbv/bbv-optim.scm 60 */
										BgL_blockz00_bglt BgL_i1174z00_2195;

										BgL_i1174z00_2195 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2188)));
										if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
											{	/* SawBbv/bbv-optim.scm 61 */
												obj_t BgL_arg1629z00_2196;

												BgL_arg1629z00_2196 = CAR(((obj_t) BgL_bsz00_2188));
												BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
													((BgL_blockz00_bglt) BgL_arg1629z00_2196),
													BGl_string2252z00zzsaw_bbvzd2optimzd2);
											}
										else
											{	/* SawBbv/bbv-optim.scm 61 */
												BFALSE;
											}
										{	/* SawBbv/bbv-optim.scm 62 */
											obj_t BgL_fz00_2197;

											BgL_fz00_2197 =
												BGl_filterz12z12zz__r4_control_features_6_9z00
												(BGl_proc2253z00zzsaw_bbvzd2optimzd2,
												(((BgL_blockz00_bglt) COBJECT(BgL_i1174z00_2195))->
													BgL_firstz00));
											if (NULLP(BgL_fz00_2197))
												{	/* SawBbv/bbv-optim.scm 67 */
													obj_t BgL_nz00_2199;

													BgL_nz00_2199 =
														CAR(
														(((BgL_blockz00_bglt) COBJECT(BgL_i1174z00_2195))->
															BgL_succsz00));
													{	/* SawBbv/bbv-optim.scm 68 */
														obj_t BgL_arg1639z00_2200;

														BgL_arg1639z00_2200 = CAR(((obj_t) BgL_bsz00_2188));
														BGl_replacezd2blockz12zc0zzsaw_bbvzd2utilszd2(
															((BgL_blockz00_bglt) BgL_arg1639z00_2200),
															((BgL_blockz00_bglt) BgL_nz00_2199), BFALSE);
													}
												}
											else
												{	/* SawBbv/bbv-optim.scm 63 */
													((((BgL_blockz00_bglt) COBJECT(BgL_i1174z00_2195))->
															BgL_firstz00) = ((obj_t) BgL_fz00_2197), BUNSPEC);
												}
										}
										{	/* SawBbv/bbv-optim.scm 69 */
											obj_t BgL_arg1669z00_2209;
											obj_t BgL_arg1673z00_2210;

											{	/* SawBbv/bbv-optim.scm 69 */
												obj_t BgL_arg1675z00_2211;
												obj_t BgL_arg1678z00_2212;

												BgL_arg1675z00_2211 =
													(((BgL_blockz00_bglt) COBJECT(BgL_i1174z00_2195))->
													BgL_succsz00);
												BgL_arg1678z00_2212 = CDR(((obj_t) BgL_bsz00_2188));
												BgL_arg1669z00_2209 =
													BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
													(BgL_arg1675z00_2211, BgL_arg1678z00_2212);
											}
											{	/* SawBbv/bbv-optim.scm 69 */
												obj_t BgL_arg1681z00_2213;

												BgL_arg1681z00_2213 = CAR(((obj_t) BgL_bsz00_2188));
												BgL_arg1673z00_2210 =
													BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
													((BgL_blockz00_bglt) BgL_arg1681z00_2213),
													BgL_accz00_2189);
											}
											{
												obj_t BgL_accz00_4027;
												obj_t BgL_bsz00_4026;

												BgL_bsz00_4026 = BgL_arg1669z00_2209;
												BgL_accz00_4027 = BgL_arg1673z00_2210;
												BgL_accz00_2189 = BgL_accz00_4027;
												BgL_bsz00_2188 = BgL_bsz00_4026;
												goto BgL_zc3z04anonymousza31616ze3z87_2190;
											}
										}
									}
							}
						return ((obj_t) BgL_auxz00_3976);
					}
				}
			}
		}

	}



/* &remove-nop! */
	obj_t BGl_z62removezd2nopz12za2zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3518,
		obj_t BgL_bz00_3519)
	{
		{	/* SawBbv/bbv-optim.scm 50 */
			return
				BGl_removezd2nopz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_blockz00_bglt) BgL_bz00_3519));
		}

	}



/* &<@anonymous:1662> */
	obj_t BGl_z62zc3z04anonymousza31662ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3520, obj_t BgL_iz00_3521)
	{
		{	/* SawBbv/bbv-optim.scm 62 */
			{	/* SawBbv/bbv-optim.scm 62 */
				bool_t BgL_tmpz00_4031;

				if (BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2(
						((BgL_rtl_insz00_bglt) BgL_iz00_3521)))
					{	/* SawBbv/bbv-optim.scm 62 */
						BgL_tmpz00_4031 = ((bool_t) 0);
					}
				else
					{	/* SawBbv/bbv-optim.scm 62 */
						BgL_tmpz00_4031 = ((bool_t) 1);
					}
				return BBOOL(BgL_tmpz00_4031);
			}
		}

	}



/* remove-goto! */
	BGL_EXPORTED_DEF obj_t
		BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bz00_92)
	{
		{	/* SawBbv/bbv-optim.scm 76 */
			{
				obj_t BgL_bz00_2308;
				obj_t BgL_succsz00_2309;
				obj_t BgL_bz00_2287;
				obj_t BgL_succsz00_2288;
				obj_t BgL_nextz00_2289;

				BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
					((BgL_blockz00_bglt) BgL_bz00_92),
					BGl_string2254z00zzsaw_bbvzd2optimzd2);
				{	/* SawBbv/bbv-optim.scm 105 */
					obj_t BgL_g1181z00_2219;
					obj_t BgL_g1182z00_2220;

					{	/* SawBbv/bbv-optim.scm 105 */
						obj_t BgL_list1800z00_2286;

						BgL_list1800z00_2286 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_92), BNIL);
						BgL_g1181z00_2219 = BgL_list1800z00_2286;
					}
					BgL_g1182z00_2220 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
					{
						obj_t BgL_bsz00_2222;
						obj_t BgL_accz00_2223;

						{
							BgL_blockz00_bglt BgL_auxz00_4041;

							BgL_bsz00_2222 = BgL_g1181z00_2219;
							BgL_accz00_2223 = BgL_g1182z00_2220;
						BgL_zc3z04anonymousza31686ze3z87_2224:
							if (NULLP(BgL_bsz00_2222))
								{	/* SawBbv/bbv-optim.scm 108 */
									BgL_auxz00_4041 = BgL_bz00_92;
								}
							else
								{	/* SawBbv/bbv-optim.scm 110 */
									bool_t BgL_test2358z00_4044;

									{	/* SawBbv/bbv-optim.scm 110 */
										BgL_blockz00_bglt BgL_blockz00_3230;

										BgL_blockz00_3230 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2222)));
										{	/* SawBbv/bbv-optim.scm 110 */
											long BgL_arg1565z00_3233;
											obj_t BgL_arg1575z00_3234;

											{
												BgL_blocksz00_bglt BgL_auxz00_4048;

												{
													obj_t BgL_auxz00_4049;

													{	/* SawBbv/bbv-optim.scm 110 */
														BgL_objectz00_bglt BgL_tmpz00_4050;

														BgL_tmpz00_4050 =
															((BgL_objectz00_bglt) BgL_blockz00_3230);
														BgL_auxz00_4049 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4050);
													}
													BgL_auxz00_4048 =
														((BgL_blocksz00_bglt) BgL_auxz00_4049);
												}
												BgL_arg1565z00_3233 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4048))->
													BgL_z52markz52);
											}
											BgL_arg1575z00_3234 =
												STRUCT_REF(BgL_accz00_2223, (int) (0L));
											BgL_test2358z00_4044 =
												(BINT(BgL_arg1565z00_3233) == BgL_arg1575z00_3234);
									}}
									if (BgL_test2358z00_4044)
										{	/* SawBbv/bbv-optim.scm 111 */
											obj_t BgL_arg1693z00_2228;

											BgL_arg1693z00_2228 = CDR(((obj_t) BgL_bsz00_2222));
											{
												obj_t BgL_bsz00_4061;

												BgL_bsz00_4061 = BgL_arg1693z00_2228;
												BgL_bsz00_2222 = BgL_bsz00_4061;
												goto BgL_zc3z04anonymousza31686ze3z87_2224;
											}
										}
									else
										{	/* SawBbv/bbv-optim.scm 110 */
											if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
												{	/* SawBbv/bbv-optim.scm 113 */
													obj_t BgL_arg1695z00_2229;

													BgL_arg1695z00_2229 = CAR(((obj_t) BgL_bsz00_2222));
													BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
														((BgL_blockz00_bglt) BgL_arg1695z00_2229),
														BGl_string2255z00zzsaw_bbvzd2optimzd2);
												}
											else
												{	/* SawBbv/bbv-optim.scm 113 */
													BFALSE;
												}
											{	/* SawBbv/bbv-optim.scm 114 */
												BgL_blockz00_bglt BgL_i1183z00_2230;

												BgL_i1183z00_2230 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2222)));
												{	/* SawBbv/bbv-optim.scm 115 */
													bool_t BgL_test2360z00_4071;

													{	/* SawBbv/bbv-optim.scm 115 */
														bool_t BgL_test2361z00_4072;

														{	/* SawBbv/bbv-optim.scm 115 */
															bool_t BgL_test2362z00_4073;

															{	/* SawBbv/bbv-optim.scm 115 */
																bool_t BgL_test2363z00_4074;

																{	/* SawBbv/bbv-optim.scm 115 */
																	obj_t BgL_tmpz00_4075;

																	BgL_tmpz00_4075 =
																		CDR(((obj_t) BgL_bsz00_2222));
																	BgL_test2363z00_4074 = PAIRP(BgL_tmpz00_4075);
																}
																if (BgL_test2363z00_4074)
																	{	/* SawBbv/bbv-optim.scm 116 */
																		obj_t BgL_arg1760z00_2275;
																		obj_t BgL_arg1763z00_2276;
																		obj_t BgL_arg1768z00_2277;

																		BgL_arg1760z00_2275 =
																			CAR(((obj_t) BgL_bsz00_2222));
																		BgL_arg1763z00_2276 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_i1183z00_2230))->
																			BgL_succsz00);
																		{	/* SawBbv/bbv-optim.scm 116 */
																			obj_t BgL_pairz00_3245;

																			BgL_pairz00_3245 =
																				CDR(((obj_t) BgL_bsz00_2222));
																			BgL_arg1768z00_2277 =
																				CAR(BgL_pairz00_3245);
																		}
																		BgL_bz00_2287 = BgL_arg1760z00_2275;
																		BgL_succsz00_2288 = BgL_arg1763z00_2276;
																		BgL_nextz00_2289 = BgL_arg1768z00_2277;
																		if (NULLP(BgL_succsz00_2288))
																			{	/* SawBbv/bbv-optim.scm 80 */
																				BgL_test2362z00_4073 = ((bool_t) 0);
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 80 */
																				if (NULLP(
																						(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_bz00_2287)))->
																							BgL_firstz00)))
																					{	/* SawBbv/bbv-optim.scm 82 */
																						BgL_test2362z00_4073 = ((bool_t) 0);
																					}
																				else
																					{	/* SawBbv/bbv-optim.scm 83 */
																						obj_t BgL_iz00_2295;

																						BgL_iz00_2295 =
																							CAR
																							(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																							((((BgL_blockz00_bglt)
																										COBJECT(((BgL_blockz00_bglt)
																												BgL_bz00_2287)))->
																									BgL_firstz00)));
																						if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_iz00_2295)))
																							{	/* SawBbv/bbv-optim.scm 86 */
																								BgL_rtl_goz00_bglt
																									BgL_i1177z00_2298;
																								BgL_i1177z00_2298 =
																									((BgL_rtl_goz00_bglt) ((
																											(BgL_rtl_insz00_bglt)
																											COBJECT((
																													(BgL_rtl_insz00_bglt)
																													BgL_iz00_2295)))->
																										BgL_funz00));
																								if ((((obj_t) ((
																													(BgL_rtl_goz00_bglt)
																													COBJECT
																													(BgL_i1177z00_2298))->
																												BgL_toz00)) ==
																										CAR(BgL_succsz00_2288)))
																									{	/* SawBbv/bbv-optim.scm 87 */
																										BgL_test2362z00_4073 =
																											(
																											((obj_t)
																												(((BgL_rtl_goz00_bglt)
																														COBJECT
																														(BgL_i1177z00_2298))->
																													BgL_toz00)) ==
																											BgL_nextz00_2289);
																									}
																								else
																									{	/* SawBbv/bbv-optim.scm 87 */
																										BgL_test2362z00_4073 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* SawBbv/bbv-optim.scm 84 */
																								BgL_test2362z00_4073 =
																									((bool_t) 0);
																							}
																					}
																			}
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 115 */
																		BgL_test2362z00_4073 = ((bool_t) 0);
																	}
															}
															if (BgL_test2362z00_4073)
																{	/* SawBbv/bbv-optim.scm 115 */
																	BgL_test2361z00_4072 = ((bool_t) 1);
																}
															else
																{	/* SawBbv/bbv-optim.scm 117 */
																	obj_t BgL_arg1753z00_2272;
																	obj_t BgL_arg1759z00_2273;

																	BgL_arg1753z00_2272 =
																		CAR(((obj_t) BgL_bsz00_2222));
																	BgL_arg1759z00_2273 =
																		(((BgL_blockz00_bglt)
																			COBJECT(BgL_i1183z00_2230))->
																		BgL_succsz00);
																	BgL_bz00_2308 = BgL_arg1753z00_2272;
																	BgL_succsz00_2309 = BgL_arg1759z00_2273;
																	if (NULLP(BgL_succsz00_2309))
																		{	/* SawBbv/bbv-optim.scm 93 */
																			BgL_test2361z00_4072 = ((bool_t) 0);
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 93 */
																			if (NULLP(
																					(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_bz00_2308)))->
																						BgL_firstz00)))
																				{	/* SawBbv/bbv-optim.scm 95 */
																					BgL_test2361z00_4072 = ((bool_t) 0);
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 96 */
																					obj_t BgL_iz00_2315;

																					BgL_iz00_2315 =
																						CAR
																						(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																						((((BgL_blockz00_bglt)
																									COBJECT(((BgL_blockz00_bglt)
																											BgL_bz00_2308)))->
																								BgL_firstz00)));
																					if (BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2(((BgL_rtl_insz00_bglt) BgL_iz00_2315)))
																						{	/* SawBbv/bbv-optim.scm 97 */
																							if (
																								(((obj_t)
																										(((BgL_rtl_goz00_bglt)
																												COBJECT((
																														(BgL_rtl_goz00_bglt)
																														(((BgL_rtl_insz00_bglt) COBJECT(((BgL_rtl_insz00_bglt) BgL_iz00_2315)))->BgL_funz00))))->BgL_toz00)) == CAR(BgL_succsz00_2309)))
																								{	/* SawBbv/bbv-optim.scm 100 */
																									BgL_test2361z00_4072 =
																										NULLP(CDR
																										(BgL_succsz00_2309));
																								}
																							else
																								{	/* SawBbv/bbv-optim.scm 100 */
																									BgL_test2361z00_4072 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 97 */
																							BgL_test2361z00_4072 =
																								((bool_t) 0);
																						}
																				}
																		}
																}
														}
														if (BgL_test2361z00_4072)
															{	/* SawBbv/bbv-optim.scm 118 */
																bool_t BgL_test2372z00_4135;

																{	/* SawBbv/bbv-optim.scm 118 */
																	BgL_blockz00_bglt BgL_blockz00_3248;

																	{	/* SawBbv/bbv-optim.scm 118 */
																		obj_t BgL_pairz00_3247;

																		BgL_pairz00_3247 =
																			(((BgL_blockz00_bglt)
																				COBJECT(BgL_i1183z00_2230))->
																			BgL_succsz00);
																		BgL_blockz00_3248 =
																			((BgL_blockz00_bglt)
																			CAR(BgL_pairz00_3247));
																	}
																	{	/* SawBbv/bbv-optim.scm 118 */
																		long BgL_arg1565z00_3251;
																		obj_t BgL_arg1575z00_3252;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_4139;

																			{
																				obj_t BgL_auxz00_4140;

																				{	/* SawBbv/bbv-optim.scm 118 */
																					BgL_objectz00_bglt BgL_tmpz00_4141;

																					BgL_tmpz00_4141 =
																						((BgL_objectz00_bglt)
																						BgL_blockz00_3248);
																					BgL_auxz00_4140 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4141);
																				}
																				BgL_auxz00_4139 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_4140);
																			}
																			BgL_arg1565z00_3251 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_4139))->
																				BgL_z52markz52);
																		}
																		BgL_arg1575z00_3252 =
																			STRUCT_REF(BgL_accz00_2223, (int) (0L));
																		BgL_test2372z00_4135 =
																			(BINT(BgL_arg1565z00_3251) ==
																			BgL_arg1575z00_3252);
																}}
																if (BgL_test2372z00_4135)
																	{	/* SawBbv/bbv-optim.scm 118 */
																		BgL_test2360z00_4071 = ((bool_t) 0);
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 118 */
																		BgL_test2360z00_4071 = ((bool_t) 1);
																	}
															}
														else
															{	/* SawBbv/bbv-optim.scm 115 */
																BgL_test2360z00_4071 = ((bool_t) 0);
															}
													}
													if (BgL_test2360z00_4071)
														{	/* SawBbv/bbv-optim.scm 119 */
															BgL_blockz00_bglt BgL_i1184z00_2260;

															BgL_i1184z00_2260 =
																((BgL_blockz00_bglt)
																CAR(((obj_t) BgL_bsz00_2222)));
															{	/* SawBbv/bbv-optim.scm 120 */
																BgL_rtl_insz00_bglt BgL_i1185z00_2261;

																BgL_i1185z00_2261 =
																	((BgL_rtl_insz00_bglt)
																	CAR
																	(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																		((((BgL_blockz00_bglt)
																					COBJECT(BgL_i1184z00_2260))->
																				BgL_firstz00))));
																{
																	BgL_rtl_funz00_bglt BgL_auxz00_4157;

																	{	/* SawBbv/bbv-optim.scm 121 */
																		BgL_rtl_nopz00_bglt BgL_new1187z00_2262;

																		{	/* SawBbv/bbv-optim.scm 121 */
																			BgL_rtl_nopz00_bglt BgL_new1186z00_2263;

																			BgL_new1186z00_2263 =
																				((BgL_rtl_nopz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_rtl_nopz00_bgl))));
																			{	/* SawBbv/bbv-optim.scm 121 */
																				long BgL_arg1748z00_2264;

																				{	/* SawBbv/bbv-optim.scm 121 */
																					obj_t BgL_classz00_3257;

																					BgL_classz00_3257 =
																						BGl_rtl_nopz00zzsaw_defsz00;
																					BgL_arg1748z00_2264 =
																						BGL_CLASS_NUM(BgL_classz00_3257);
																				}
																				BGL_OBJECT_CLASS_NUM_SET(
																					((BgL_objectz00_bglt)
																						BgL_new1186z00_2263),
																					BgL_arg1748z00_2264);
																			}
																			BgL_new1187z00_2262 = BgL_new1186z00_2263;
																		}
																		((((BgL_rtl_funz00_bglt) COBJECT(
																						((BgL_rtl_funz00_bglt)
																							BgL_new1187z00_2262)))->
																				BgL_locz00) =
																			((obj_t) BFALSE), BUNSPEC);
																		BgL_auxz00_4157 =
																			((BgL_rtl_funz00_bglt)
																			BgL_new1187z00_2262);
																	}
																	((((BgL_rtl_insz00_bglt)
																				COBJECT(BgL_i1185z00_2261))->
																			BgL_funz00) =
																		((BgL_rtl_funz00_bglt) BgL_auxz00_4157),
																		BUNSPEC);
														}}}
													else
														{	/* SawBbv/bbv-optim.scm 115 */
															BFALSE;
														}
												}
												{	/* SawBbv/bbv-optim.scm 122 */
													obj_t BgL_arg1773z00_2279;
													obj_t BgL_arg1776z00_2280;

													{	/* SawBbv/bbv-optim.scm 122 */
														obj_t BgL_arg1793z00_2281;
														obj_t BgL_arg1794z00_2282;

														BgL_arg1793z00_2281 =
															(((BgL_blockz00_bglt)
																COBJECT(BgL_i1183z00_2230))->BgL_succsz00);
														BgL_arg1794z00_2282 = CDR(((obj_t) BgL_bsz00_2222));
														BgL_arg1773z00_2279 =
															BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
															(BgL_arg1793z00_2281, BgL_arg1794z00_2282);
													}
													{	/* SawBbv/bbv-optim.scm 123 */
														obj_t BgL_arg1798z00_2283;

														BgL_arg1798z00_2283 = CAR(((obj_t) BgL_bsz00_2222));
														BgL_arg1776z00_2280 =
															BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
															((BgL_blockz00_bglt) BgL_arg1798z00_2283),
															BgL_accz00_2223);
													}
													{
														obj_t BgL_accz00_4175;
														obj_t BgL_bsz00_4174;

														BgL_bsz00_4174 = BgL_arg1773z00_2279;
														BgL_accz00_4175 = BgL_arg1776z00_2280;
														BgL_accz00_2223 = BgL_accz00_4175;
														BgL_bsz00_2222 = BgL_bsz00_4174;
														goto BgL_zc3z04anonymousza31686ze3z87_2224;
													}
												}
											}
										}
								}
							return ((obj_t) BgL_auxz00_4041);
						}
					}
				}
			}
		}

	}



/* &remove-goto! */
	obj_t BGl_z62removezd2gotoz12za2zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3522,
		obj_t BgL_bz00_3523)
	{
		{	/* SawBbv/bbv-optim.scm 76 */
			return
				BGl_removezd2gotoz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_blockz00_bglt) BgL_bz00_3523));
		}

	}



/* simplify-branch! */
	BGL_EXPORTED_DEF obj_t
		BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt
		BgL_bz00_93)
	{
		{	/* SawBbv/bbv-optim.scm 128 */
			{
				obj_t BgL_bz00_2449;

				if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
					{	/* SawBbv/bbv-optim.scm 135 */
						BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
							((BgL_blockz00_bglt) BgL_bz00_93),
							BGl_string2256z00zzsaw_bbvzd2optimzd2);
					}
				else
					{	/* SawBbv/bbv-optim.scm 135 */
						BFALSE;
					}
				{	/* SawBbv/bbv-optim.scm 138 */
					obj_t BgL_g1190z00_2331;
					obj_t BgL_g1191z00_2332;

					{	/* SawBbv/bbv-optim.scm 138 */
						obj_t BgL_list1950z00_2448;

						BgL_list1950z00_2448 = MAKE_YOUNG_PAIR(((obj_t) BgL_bz00_93), BNIL);
						BgL_g1190z00_2331 = BgL_list1950z00_2448;
					}
					BgL_g1191z00_2332 = BGl_makezd2emptyzd2bbsetz00zzsaw_bbvzd2optimzd2();
					{
						obj_t BgL_bsz00_2334;
						obj_t BgL_accz00_2335;

						{
							BgL_blockz00_bglt BgL_auxz00_4186;

							BgL_bsz00_2334 = BgL_g1190z00_2331;
							BgL_accz00_2335 = BgL_g1191z00_2332;
						BgL_zc3z04anonymousza31845ze3z87_2336:
							if (NULLP(BgL_bsz00_2334))
								{	/* SawBbv/bbv-optim.scm 141 */
									BgL_auxz00_4186 = BgL_bz00_93;
								}
							else
								{	/* SawBbv/bbv-optim.scm 143 */
									bool_t BgL_test2375z00_4189;

									{	/* SawBbv/bbv-optim.scm 143 */
										BgL_blockz00_bglt BgL_blockz00_3266;

										BgL_blockz00_3266 =
											((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2334)));
										{	/* SawBbv/bbv-optim.scm 143 */
											long BgL_arg1565z00_3269;
											obj_t BgL_arg1575z00_3270;

											{
												BgL_blocksz00_bglt BgL_auxz00_4193;

												{
													obj_t BgL_auxz00_4194;

													{	/* SawBbv/bbv-optim.scm 143 */
														BgL_objectz00_bglt BgL_tmpz00_4195;

														BgL_tmpz00_4195 =
															((BgL_objectz00_bglt) BgL_blockz00_3266);
														BgL_auxz00_4194 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4195);
													}
													BgL_auxz00_4193 =
														((BgL_blocksz00_bglt) BgL_auxz00_4194);
												}
												BgL_arg1565z00_3269 =
													(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4193))->
													BgL_z52markz52);
											}
											BgL_arg1575z00_3270 =
												STRUCT_REF(BgL_accz00_2335, (int) (0L));
											BgL_test2375z00_4189 =
												(BINT(BgL_arg1565z00_3269) == BgL_arg1575z00_3270);
									}}
									if (BgL_test2375z00_4189)
										{	/* SawBbv/bbv-optim.scm 144 */
											obj_t BgL_arg1850z00_2340;

											BgL_arg1850z00_2340 = CDR(((obj_t) BgL_bsz00_2334));
											{
												obj_t BgL_bsz00_4206;

												BgL_bsz00_4206 = BgL_arg1850z00_2340;
												BgL_bsz00_2334 = BgL_bsz00_4206;
												goto BgL_zc3z04anonymousza31845ze3z87_2336;
											}
										}
									else
										{	/* SawBbv/bbv-optim.scm 146 */
											BgL_blockz00_bglt BgL_i1192z00_2341;

											BgL_i1192z00_2341 =
												((BgL_blockz00_bglt) CAR(((obj_t) BgL_bsz00_2334)));
											if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
												{	/* SawBbv/bbv-optim.scm 148 */
													obj_t BgL_arg1851z00_2342;

													BgL_arg1851z00_2342 = CAR(((obj_t) BgL_bsz00_2334));
													BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
														((BgL_blockz00_bglt) BgL_arg1851z00_2342),
														BGl_string2257z00zzsaw_bbvzd2optimzd2);
												}
											else
												{	/* SawBbv/bbv-optim.scm 147 */
													BFALSE;
												}
											if (
												(bgl_list_length(
														(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_i1192z00_2341)))->
															BgL_succsz00)) == 1L))
												{	/* SawBbv/bbv-optim.scm 150 */
													bool_t BgL_test2378z00_4221;

													{	/* SawBbv/bbv-optim.scm 150 */
														long BgL_tmpz00_4222;

														{	/* SawBbv/bbv-optim.scm 150 */
															obj_t BgL_auxz00_4223;

															{
																BgL_blockz00_bglt BgL_auxz00_4224;

																{	/* SawBbv/bbv-optim.scm 150 */
																	obj_t BgL_pairz00_3277;

																	BgL_pairz00_3277 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1192z00_2341)))->BgL_succsz00);
																	BgL_auxz00_4224 =
																		((BgL_blockz00_bglt) CAR(BgL_pairz00_3277));
																}
																BgL_auxz00_4223 =
																	(((BgL_blockz00_bglt)
																		COBJECT(BgL_auxz00_4224))->BgL_predsz00);
															}
															BgL_tmpz00_4222 =
																bgl_list_length(BgL_auxz00_4223);
														}
														BgL_test2378z00_4221 = (BgL_tmpz00_4222 == 1L);
													}
													if (BgL_test2378z00_4221)
														{	/* SawBbv/bbv-optim.scm 152 */
															obj_t BgL_sz00_2351;

															{	/* SawBbv/bbv-optim.scm 152 */
																obj_t BgL_pairz00_3280;

																BgL_pairz00_3280 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1192z00_2341)))->BgL_succsz00);
																BgL_sz00_2351 = CAR(BgL_pairz00_3280);
															}
															{	/* SawBbv/bbv-optim.scm 153 */
																obj_t BgL_g1498z00_2352;

																BgL_g1498z00_2352 =
																	(((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt) BgL_sz00_2351)))->
																	BgL_succsz00);
																{
																	obj_t BgL_l1496z00_2354;

																	BgL_l1496z00_2354 = BgL_g1498z00_2352;
																BgL_zc3z04anonymousza31862ze3z87_2355:
																	if (PAIRP(BgL_l1496z00_2354))
																		{	/* SawBbv/bbv-optim.scm 156 */
																			{	/* SawBbv/bbv-optim.scm 154 */
																				obj_t BgL_nsz00_2357;

																				BgL_nsz00_2357 = CAR(BgL_l1496z00_2354);
																				{	/* SawBbv/bbv-optim.scm 155 */
																					obj_t BgL_arg1864z00_2358;

																					{	/* SawBbv/bbv-optim.scm 155 */
																						obj_t BgL_arg1866z00_2359;
																						obj_t BgL_arg1867z00_2360;

																						BgL_arg1866z00_2359 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_nsz00_2357)))->
																							BgL_predsz00);
																						BgL_arg1867z00_2360 =
																							CAR(((obj_t) BgL_bsz00_2334));
																						BgL_arg1864z00_2358 =
																							BGl_replacez00zzsaw_bbvzd2utilszd2
																							(BgL_arg1866z00_2359,
																							BgL_sz00_2351,
																							BgL_arg1867z00_2360);
																					}
																					((((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_nsz00_2357)))->
																							BgL_predsz00) =
																						((obj_t) ((obj_t)
																								BgL_arg1864z00_2358)), BUNSPEC);
																				}
																			}
																			{
																				obj_t BgL_l1496z00_4248;

																				BgL_l1496z00_4248 =
																					CDR(BgL_l1496z00_2354);
																				BgL_l1496z00_2354 = BgL_l1496z00_4248;
																				goto
																					BgL_zc3z04anonymousza31862ze3z87_2355;
																			}
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 156 */
																			((bool_t) 1);
																		}
																}
															}
															((((BgL_blockz00_bglt) COBJECT(
																			((BgL_blockz00_bglt)
																				BgL_i1192z00_2341)))->BgL_succsz00) =
																((obj_t) (((BgL_blockz00_bglt)
																			COBJECT(((BgL_blockz00_bglt)
																					BgL_sz00_2351)))->BgL_succsz00)),
																BUNSPEC);
															{	/* SawBbv/bbv-optim.scm 158 */
																obj_t BgL_lpz00_2363;

																BgL_lpz00_2363 =
																	BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_blockz00_bglt)
																			COBJECT(((BgL_blockz00_bglt)
																					BgL_i1192z00_2341)))->BgL_firstz00));
																{	/* SawBbv/bbv-optim.scm 159 */
																	bool_t BgL_test2380z00_4257;

																	{	/* SawBbv/bbv-optim.scm 159 */
																		obj_t BgL_arg1881z00_2374;

																		BgL_arg1881z00_2374 = CAR(BgL_lpz00_2363);
																		BgL_test2380z00_4257 =
																			BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																			(((BgL_rtl_insz00_bglt)
																				BgL_arg1881z00_2374));
																	}
																	if (BgL_test2380z00_4257)
																		{	/* SawBbv/bbv-optim.scm 160 */
																			obj_t BgL_revz00_2366;

																			{	/* SawBbv/bbv-optim.scm 160 */
																				obj_t BgL_arg1873z00_2368;

																				{	/* SawBbv/bbv-optim.scm 160 */
																					obj_t BgL_pairz00_3290;

																					BgL_pairz00_3290 =
																						bgl_reverse(
																						(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_i1192z00_2341)))->
																							BgL_firstz00));
																					BgL_arg1873z00_2368 =
																						CDR(BgL_pairz00_3290);
																				}
																				BgL_revz00_2366 =
																					bgl_reverse_bang(BgL_arg1873z00_2368);
																			}
																			{
																				obj_t BgL_auxz00_4266;

																				{	/* SawBbv/bbv-optim.scm 161 */
																					obj_t BgL_arg1872z00_2367;

																					BgL_arg1872z00_2367 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_sz00_2351)))->
																						BgL_firstz00);
																					BgL_auxz00_4266 =
																						BGl_appendzd22z12zc0zz__r4_pairs_and_lists_6_3z00
																						(BgL_revz00_2366,
																						BgL_arg1872z00_2367);
																				}
																				((((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_i1192z00_2341)))->
																						BgL_firstz00) =
																					((obj_t) BgL_auxz00_4266), BUNSPEC);
																			}
																		}
																	else
																		{
																			obj_t BgL_auxz00_4272;

																			{	/* SawBbv/bbv-optim.scm 163 */
																				obj_t BgL_arg1877z00_2371;
																				obj_t BgL_arg1879z00_2372;

																				BgL_arg1877z00_2371 =
																					(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_i1192z00_2341)))->
																					BgL_firstz00);
																				{	/* SawBbv/bbv-optim.scm 164 */
																					obj_t BgL_arg1880z00_2373;

																					BgL_arg1880z00_2373 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_sz00_2351)))->
																						BgL_firstz00);
																					BgL_arg1879z00_2372 =
																						BGl_listzd2copyzd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_arg1880z00_2373);
																				}
																				BgL_auxz00_4272 =
																					BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																					(BgL_arg1877z00_2371,
																					BgL_arg1879z00_2372);
																			}
																			((((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_i1192z00_2341)))->
																					BgL_firstz00) =
																				((obj_t) BgL_auxz00_4272), BUNSPEC);
																		}
																}
															}
															if (CBOOL
																(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																{	/* SawBbv/bbv-optim.scm 165 */
																	BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(
																		((BgL_blockz00_bglt) BgL_sz00_2351),
																		BGl_string2258z00zzsaw_bbvzd2optimzd2);
																}
															else
																{	/* SawBbv/bbv-optim.scm 165 */
																	BFALSE;
																}
															{

																goto BgL_zc3z04anonymousza31845ze3z87_2336;
															}
														}
													else
														{	/* SawBbv/bbv-optim.scm 168 */
															obj_t BgL_arg1884z00_2377;
															obj_t BgL_arg1885z00_2378;

															{	/* SawBbv/bbv-optim.scm 168 */
																obj_t BgL_arg1886z00_2379;
																obj_t BgL_arg1888z00_2380;

																{	/* SawBbv/bbv-optim.scm 168 */
																	obj_t BgL_pairz00_3293;

																	BgL_pairz00_3293 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt)
																					BgL_i1192z00_2341)))->BgL_succsz00);
																	BgL_arg1886z00_2379 = CAR(BgL_pairz00_3293);
																}
																BgL_arg1888z00_2380 =
																	CDR(((obj_t) BgL_bsz00_2334));
																BgL_arg1884z00_2377 =
																	MAKE_YOUNG_PAIR(BgL_arg1886z00_2379,
																	BgL_arg1888z00_2380);
															}
															{	/* SawBbv/bbv-optim.scm 169 */
																obj_t BgL_arg1890z00_2382;

																BgL_arg1890z00_2382 =
																	CAR(((obj_t) BgL_bsz00_2334));
																BgL_arg1885z00_2378 =
																	BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																	((BgL_blockz00_bglt) BgL_arg1890z00_2382),
																	BgL_accz00_2335);
															}
															{
																obj_t BgL_accz00_4296;
																obj_t BgL_bsz00_4295;

																BgL_bsz00_4295 = BgL_arg1884z00_2377;
																BgL_accz00_4296 = BgL_arg1885z00_2378;
																BgL_accz00_2335 = BgL_accz00_4296;
																BgL_bsz00_2334 = BgL_bsz00_4295;
																goto BgL_zc3z04anonymousza31845ze3z87_2336;
															}
														}
												}
											else
												{
													obj_t BgL_ssz00_2390;
													obj_t BgL_nsuccsz00_2391;

													{	/* SawBbv/bbv-optim.scm 170 */
														obj_t BgL_arg1896z00_2389;

														BgL_arg1896z00_2389 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_i1192z00_2341)))->
															BgL_succsz00);
														BgL_ssz00_2390 = BgL_arg1896z00_2389;
														BgL_nsuccsz00_2391 = BNIL;
													BgL_zc3z04anonymousza31897ze3z87_2392:
														if (NULLP(BgL_ssz00_2390))
															{	/* SawBbv/bbv-optim.scm 173 */
																obj_t BgL_arg1899z00_2394;
																obj_t BgL_arg1900z00_2395;

																{	/* SawBbv/bbv-optim.scm 173 */
																	obj_t BgL_arg1901z00_2396;
																	obj_t BgL_arg1905z00_2397;

																	BgL_arg1901z00_2396 =
																		bgl_reverse(BgL_nsuccsz00_2391);
																	BgL_arg1905z00_2397 =
																		CDR(((obj_t) BgL_bsz00_2334));
																	BgL_arg1899z00_2394 =
																		BGl_appendzd221011zd2zzsaw_bbvzd2optimzd2
																		(BgL_arg1901z00_2396, BgL_arg1905z00_2397);
																}
																{	/* SawBbv/bbv-optim.scm 174 */
																	obj_t BgL_arg1908z00_2398;

																	BgL_arg1908z00_2398 =
																		CAR(((obj_t) BgL_bsz00_2334));
																	BgL_arg1900z00_2395 =
																		BGl_bbsetzd2conszd2zzsaw_bbvzd2optimzd2(
																		((BgL_blockz00_bglt) BgL_arg1908z00_2398),
																		BgL_accz00_2335);
																}
																{
																	obj_t BgL_accz00_4310;
																	obj_t BgL_bsz00_4309;

																	BgL_bsz00_4309 = BgL_arg1899z00_2394;
																	BgL_accz00_4310 = BgL_arg1900z00_2395;
																	BgL_accz00_2335 = BgL_accz00_4310;
																	BgL_bsz00_2334 = BgL_bsz00_4309;
																	goto BgL_zc3z04anonymousza31845ze3z87_2336;
																}
															}
														else
															{	/* SawBbv/bbv-optim.scm 175 */
																obj_t BgL_sz00_2399;

																BgL_sz00_2399 = CAR(((obj_t) BgL_ssz00_2390));
																{	/* SawBbv/bbv-optim.scm 176 */
																	bool_t BgL_test2383z00_4313;

																	BgL_bz00_2449 = BgL_sz00_2399;
																	{	/* SawBbv/bbv-optim.scm 133 */
																		obj_t BgL_g1494z00_2452;

																		BgL_g1494z00_2452 =
																			(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_bz00_2449)))->BgL_firstz00);
																		{
																			obj_t BgL_l1492z00_2454;

																			BgL_l1492z00_2454 = BgL_g1494z00_2452;
																		BgL_zc3z04anonymousza31952ze3z87_2455:
																			if (NULLP(BgL_l1492z00_2454))
																				{	/* SawBbv/bbv-optim.scm 133 */
																					BgL_test2383z00_4313 = ((bool_t) 1);
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 133 */
																					bool_t BgL_test2385z00_4318;

																					{	/* SawBbv/bbv-optim.scm 133 */
																						obj_t BgL_iz00_2460;

																						BgL_iz00_2460 =
																							CAR(((obj_t) BgL_l1492z00_2454));
																						{	/* SawBbv/bbv-optim.scm 133 */
																							bool_t BgL__ortest_1189z00_2461;

																							BgL__ortest_1189z00_2461 =
																								BGl_rtl_inszd2nopzf3z21zzsaw_bbvzd2typeszd2
																								(((BgL_rtl_insz00_bglt)
																									BgL_iz00_2460));
																							if (BgL__ortest_1189z00_2461)
																								{	/* SawBbv/bbv-optim.scm 133 */
																									BgL_test2385z00_4318 =
																										BgL__ortest_1189z00_2461;
																								}
																							else
																								{	/* SawBbv/bbv-optim.scm 133 */
																									BgL_test2385z00_4318 =
																										BGl_rtl_inszd2gozf3z21zzsaw_bbvzd2typeszd2
																										(((BgL_rtl_insz00_bglt)
																											BgL_iz00_2460));
																								}
																						}
																					}
																					if (BgL_test2385z00_4318)
																						{	/* SawBbv/bbv-optim.scm 133 */
																							obj_t BgL_arg1954z00_2459;

																							BgL_arg1954z00_2459 =
																								CDR(
																								((obj_t) BgL_l1492z00_2454));
																							{
																								obj_t BgL_l1492z00_4328;

																								BgL_l1492z00_4328 =
																									BgL_arg1954z00_2459;
																								BgL_l1492z00_2454 =
																									BgL_l1492z00_4328;
																								goto
																									BgL_zc3z04anonymousza31952ze3z87_2455;
																							}
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 133 */
																							BgL_test2383z00_4313 =
																								((bool_t) 0);
																						}
																				}
																		}
																	}
																	if (BgL_test2383z00_4313)
																		{	/* SawBbv/bbv-optim.scm 177 */
																			obj_t BgL_tz00_2401;

																			{	/* SawBbv/bbv-optim.scm 177 */
																				obj_t BgL_pairz00_3300;

																				BgL_pairz00_3300 =
																					(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_sz00_2399)))->BgL_succsz00);
																				BgL_tz00_2401 = CAR(BgL_pairz00_3300);
																			}
																			if (CBOOL
																				(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																				{	/* SawBbv/bbv-optim.scm 179 */
																					obj_t BgL_arg1911z00_2402;
																					int BgL_arg1914z00_2403;
																					int BgL_arg1915z00_2404;
																					obj_t BgL_arg1916z00_2405;
																					int BgL_arg1917z00_2406;

																					{	/* SawBbv/bbv-optim.scm 179 */
																						obj_t BgL_tmpz00_4334;

																						BgL_tmpz00_4334 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_arg1911z00_2402 =
																							BGL_ENV_CURRENT_ERROR_PORT
																							(BgL_tmpz00_4334);
																					}
																					BgL_arg1914z00_2403 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									CAR(
																										((obj_t)
																											BgL_bsz00_2334)))))->
																						BgL_labelz00);
																					BgL_arg1915z00_2404 =
																						(((BgL_blockz00_bglt)
																							COBJECT(((BgL_blockz00_bglt)
																									BgL_sz00_2399)))->
																						BgL_labelz00);
																					{	/* SawBbv/bbv-optim.scm 181 */
																						obj_t BgL_l1499z00_2420;

																						BgL_l1499z00_2420 =
																							(((BgL_blockz00_bglt) COBJECT(
																									((BgL_blockz00_bglt)
																										BgL_sz00_2399)))->
																							BgL_predsz00);
																						if (NULLP(BgL_l1499z00_2420))
																							{	/* SawBbv/bbv-optim.scm 181 */
																								BgL_arg1916z00_2405 = BNIL;
																							}
																						else
																							{	/* SawBbv/bbv-optim.scm 181 */
																								obj_t BgL_head1501z00_2422;

																								{	/* SawBbv/bbv-optim.scm 181 */
																									int BgL_arg1938z00_2434;

																									BgL_arg1938z00_2434 =
																										(((BgL_blockz00_bglt)
																											COBJECT((
																													(BgL_blockz00_bglt)
																													CAR
																													(BgL_l1499z00_2420))))->
																										BgL_labelz00);
																									BgL_head1501z00_2422 =
																										MAKE_YOUNG_PAIR(BINT
																										(BgL_arg1938z00_2434),
																										BNIL);
																								}
																								{	/* SawBbv/bbv-optim.scm 181 */
																									obj_t BgL_g1504z00_2423;

																									BgL_g1504z00_2423 =
																										CDR(BgL_l1499z00_2420);
																									{
																										obj_t BgL_l1499z00_2425;
																										obj_t BgL_tail1502z00_2426;

																										BgL_l1499z00_2425 =
																											BgL_g1504z00_2423;
																										BgL_tail1502z00_2426 =
																											BgL_head1501z00_2422;
																									BgL_zc3z04anonymousza31933ze3z87_2427:
																										if (NULLP
																											(BgL_l1499z00_2425))
																											{	/* SawBbv/bbv-optim.scm 181 */
																												BgL_arg1916z00_2405 =
																													BgL_head1501z00_2422;
																											}
																										else
																											{	/* SawBbv/bbv-optim.scm 181 */
																												obj_t
																													BgL_newtail1503z00_2429;
																												{	/* SawBbv/bbv-optim.scm 181 */
																													int
																														BgL_arg1936z00_2431;
																													BgL_arg1936z00_2431 =
																														(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) CAR(((obj_t) BgL_l1499z00_2425)))))->BgL_labelz00);
																													BgL_newtail1503z00_2429
																														=
																														MAKE_YOUNG_PAIR(BINT
																														(BgL_arg1936z00_2431),
																														BNIL);
																												}
																												SET_CDR
																													(BgL_tail1502z00_2426,
																													BgL_newtail1503z00_2429);
																												{	/* SawBbv/bbv-optim.scm 181 */
																													obj_t
																														BgL_arg1935z00_2430;
																													BgL_arg1935z00_2430 =
																														CDR(((obj_t)
																															BgL_l1499z00_2425));
																													{
																														obj_t
																															BgL_tail1502z00_4365;
																														obj_t
																															BgL_l1499z00_4364;
																														BgL_l1499z00_4364 =
																															BgL_arg1935z00_2430;
																														BgL_tail1502z00_4365
																															=
																															BgL_newtail1503z00_2429;
																														BgL_tail1502z00_2426
																															=
																															BgL_tail1502z00_4365;
																														BgL_l1499z00_2425 =
																															BgL_l1499z00_4364;
																														goto
																															BgL_zc3z04anonymousza31933ze3z87_2427;
																													}
																												}
																											}
																									}
																								}
																							}
																					}
																					BgL_arg1917z00_2406 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_tz00_2401)))->
																						BgL_labelz00);
																					{	/* SawBbv/bbv-optim.scm 179 */
																						obj_t BgL_list1918z00_2407;

																						{	/* SawBbv/bbv-optim.scm 179 */
																							obj_t BgL_arg1920z00_2408;

																							{	/* SawBbv/bbv-optim.scm 179 */
																								obj_t BgL_arg1921z00_2409;

																								{	/* SawBbv/bbv-optim.scm 179 */
																									obj_t BgL_arg1922z00_2410;

																									{	/* SawBbv/bbv-optim.scm 179 */
																										obj_t BgL_arg1923z00_2411;

																										{	/* SawBbv/bbv-optim.scm 179 */
																											obj_t BgL_arg1924z00_2412;

																											{	/* SawBbv/bbv-optim.scm 179 */
																												obj_t
																													BgL_arg1925z00_2413;
																												{	/* SawBbv/bbv-optim.scm 179 */
																													obj_t
																														BgL_arg1926z00_2414;
																													{	/* SawBbv/bbv-optim.scm 179 */
																														obj_t
																															BgL_arg1927z00_2415;
																														{	/* SawBbv/bbv-optim.scm 179 */
																															obj_t
																																BgL_arg1928z00_2416;
																															{	/* SawBbv/bbv-optim.scm 179 */
																																obj_t
																																	BgL_arg1929z00_2417;
																																{	/* SawBbv/bbv-optim.scm 179 */
																																	obj_t
																																		BgL_arg1930z00_2418;
																																	BgL_arg1930z00_2418
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BINT
																																		(BgL_arg1917z00_2406),
																																		BNIL);
																																	BgL_arg1929z00_2417
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string2259z00zzsaw_bbvzd2optimzd2,
																																		BgL_arg1930z00_2418);
																																}
																																BgL_arg1928z00_2416
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1916z00_2405,
																																	BgL_arg1929z00_2417);
																															}
																															BgL_arg1927z00_2415
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string2260z00zzsaw_bbvzd2optimzd2,
																																BgL_arg1928z00_2416);
																														}
																														BgL_arg1926z00_2414
																															=
																															MAKE_YOUNG_PAIR
																															(BINT
																															(BgL_arg1915z00_2404),
																															BgL_arg1927z00_2415);
																													}
																													BgL_arg1925z00_2413 =
																														MAKE_YOUNG_PAIR
																														(BGl_string2261z00zzsaw_bbvzd2optimzd2,
																														BgL_arg1926z00_2414);
																												}
																												BgL_arg1924z00_2412 =
																													MAKE_YOUNG_PAIR(BINT
																													(BgL_arg1914z00_2403),
																													BgL_arg1925z00_2413);
																											}
																											BgL_arg1923z00_2411 =
																												MAKE_YOUNG_PAIR
																												(BGl_string2262z00zzsaw_bbvzd2optimzd2,
																												BgL_arg1924z00_2412);
																										}
																										BgL_arg1922z00_2410 =
																											MAKE_YOUNG_PAIR
																											(BGl_string2263z00zzsaw_bbvzd2optimzd2,
																											BgL_arg1923z00_2411);
																									}
																									BgL_arg1921z00_2409 =
																										MAKE_YOUNG_PAIR(BINT(179L),
																										BgL_arg1922z00_2410);
																								}
																								BgL_arg1920z00_2408 =
																									MAKE_YOUNG_PAIR
																									(BGl_string2264z00zzsaw_bbvzd2optimzd2,
																									BgL_arg1921z00_2409);
																							}
																							BgL_list1918z00_2407 =
																								MAKE_YOUNG_PAIR
																								(BGl_string2265z00zzsaw_bbvzd2optimzd2,
																								BgL_arg1920z00_2408);
																						}
																						BGl_tprintz00zz__r4_output_6_10_3z00
																							(BgL_arg1911z00_2402,
																							BgL_list1918z00_2407);
																					}
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 178 */
																					BFALSE;
																				}
																			{	/* SawBbv/bbv-optim.scm 183 */
																				obj_t BgL_arg1940z00_2436;

																				BgL_arg1940z00_2436 =
																					CAR(((obj_t) BgL_bsz00_2334));
																				BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																					(((BgL_blockz00_bglt)
																						BgL_arg1940z00_2436),
																					((BgL_blockz00_bglt) BgL_sz00_2399),
																					((BgL_blockz00_bglt) BgL_tz00_2401));
																			}
																			{	/* SawBbv/bbv-optim.scm 185 */
																				obj_t BgL_arg1941z00_2437;

																				BgL_arg1941z00_2437 =
																					bgl_remq(BgL_sz00_2399,
																					(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_tz00_2401)))->
																						BgL_predsz00));
																				((((BgL_blockz00_bglt)
																							COBJECT(((BgL_blockz00_bglt)
																									BgL_tz00_2401)))->
																						BgL_predsz00) =
																					((obj_t) BgL_arg1941z00_2437),
																					BUNSPEC);
																			}
																			if (CBOOL
																				(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																				{	/* SawBbv/bbv-optim.scm 186 */
																					BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2
																						(((BgL_blockz00_bglt)
																							BgL_sz00_2399),
																						BGl_string2266z00zzsaw_bbvzd2optimzd2);
																					BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2
																						(((BgL_blockz00_bglt)
																							BgL_tz00_2401),
																						BGl_string2267z00zzsaw_bbvzd2optimzd2);
																				}
																			else
																				{	/* SawBbv/bbv-optim.scm 186 */
																					BFALSE;
																				}
																			{	/* SawBbv/bbv-optim.scm 189 */
																				obj_t BgL_arg1943z00_2439;

																				BgL_arg1943z00_2439 =
																					CDR(((obj_t) BgL_ssz00_2390));
																				{
																					obj_t BgL_ssz00_4404;

																					BgL_ssz00_4404 = BgL_arg1943z00_2439;
																					BgL_ssz00_2390 = BgL_ssz00_4404;
																					goto
																						BgL_zc3z04anonymousza31897ze3z87_2392;
																				}
																			}
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 190 */
																			obj_t BgL_arg1945z00_2441;
																			obj_t BgL_arg1946z00_2442;

																			BgL_arg1945z00_2441 =
																				CDR(((obj_t) BgL_ssz00_2390));
																			BgL_arg1946z00_2442 =
																				MAKE_YOUNG_PAIR(BgL_sz00_2399,
																				BgL_nsuccsz00_2391);
																			{
																				obj_t BgL_nsuccsz00_4409;
																				obj_t BgL_ssz00_4408;

																				BgL_ssz00_4408 = BgL_arg1945z00_2441;
																				BgL_nsuccsz00_4409 =
																					BgL_arg1946z00_2442;
																				BgL_nsuccsz00_2391 = BgL_nsuccsz00_4409;
																				BgL_ssz00_2390 = BgL_ssz00_4408;
																				goto
																					BgL_zc3z04anonymousza31897ze3z87_2392;
																			}
																		}
																}
															}
													}
												}
										}
								}
							return ((obj_t) BgL_auxz00_4186);
						}
					}
				}
			}
		}

	}



/* &simplify-branch! */
	obj_t BGl_z62simplifyzd2branchz12za2zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3524, obj_t BgL_bz00_3525)
	{
		{	/* SawBbv/bbv-optim.scm 128 */
			return
				BGl_simplifyzd2branchz12zc0zzsaw_bbvzd2optimzd2(
				((BgL_blockz00_bglt) BgL_bz00_3525));
		}

	}



/* coalesce! */
	BGL_EXPORTED_DEF obj_t BGl_coalescez12z12zzsaw_bbvzd2optimzd2(obj_t
		BgL_markz00_94, BgL_blockz00_bglt BgL_bz00_95)
	{
		{	/* SawBbv/bbv-optim.scm 197 */
			BGl_assertzd2blockszd2zzsaw_bbvzd2debugzd2(BgL_bz00_95,
				BGl_string2268z00zzsaw_bbvzd2optimzd2);
			if (CBOOL(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
				{	/* SawBbv/bbv-optim.scm 201 */
					obj_t BgL_arg1955z00_2465;
					int BgL_arg1956z00_2466;
					int BgL_arg1957z00_2467;
					obj_t BgL_arg1958z00_2468;

					{	/* SawBbv/bbv-optim.scm 201 */
						obj_t BgL_tmpz00_4416;

						BgL_tmpz00_4416 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_arg1955z00_2465 = BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_4416);
					}
					BgL_arg1956z00_2466 =
						(((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt) BgL_bz00_95)))->BgL_labelz00);
					{	/* SawBbv/bbv-optim.scm 201 */
						BgL_blockz00_bglt BgL_arg1969z00_2479;

						{
							BgL_blocksz00_bglt BgL_auxz00_4421;

							{
								obj_t BgL_auxz00_4422;

								{	/* SawBbv/bbv-optim.scm 201 */
									BgL_objectz00_bglt BgL_tmpz00_4423;

									BgL_tmpz00_4423 = ((BgL_objectz00_bglt) BgL_bz00_95);
									BgL_auxz00_4422 = BGL_OBJECT_WIDENING(BgL_tmpz00_4423);
								}
								BgL_auxz00_4421 = ((BgL_blocksz00_bglt) BgL_auxz00_4422);
							}
							BgL_arg1969z00_2479 =
								(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4421))->
								BgL_parentz00);
						}
						BgL_arg1957z00_2467 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_arg1969z00_2479)))->BgL_labelz00);
					}
					{	/* SawBbv/bbv-optim.scm 202 */
						obj_t BgL_l1505z00_2480;

						BgL_l1505z00_2480 =
							(((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_bz00_95)))->BgL_succsz00);
						if (NULLP(BgL_l1505z00_2480))
							{	/* SawBbv/bbv-optim.scm 202 */
								BgL_arg1958z00_2468 = BNIL;
							}
						else
							{	/* SawBbv/bbv-optim.scm 202 */
								obj_t BgL_head1507z00_2482;

								{	/* SawBbv/bbv-optim.scm 202 */
									int BgL_arg1976z00_2494;

									BgL_arg1976z00_2494 =
										(((BgL_blockz00_bglt) COBJECT(
												((BgL_blockz00_bglt)
													CAR(BgL_l1505z00_2480))))->BgL_labelz00);
									BgL_head1507z00_2482 =
										MAKE_YOUNG_PAIR(BINT(BgL_arg1976z00_2494), BNIL);
								}
								{	/* SawBbv/bbv-optim.scm 202 */
									obj_t BgL_g1510z00_2483;

									BgL_g1510z00_2483 = CDR(BgL_l1505z00_2480);
									{
										obj_t BgL_l1505z00_2485;
										obj_t BgL_tail1508z00_2486;

										BgL_l1505z00_2485 = BgL_g1510z00_2483;
										BgL_tail1508z00_2486 = BgL_head1507z00_2482;
									BgL_zc3z04anonymousza31971ze3z87_2487:
										if (NULLP(BgL_l1505z00_2485))
											{	/* SawBbv/bbv-optim.scm 202 */
												BgL_arg1958z00_2468 = BgL_head1507z00_2482;
											}
										else
											{	/* SawBbv/bbv-optim.scm 202 */
												obj_t BgL_newtail1509z00_2489;

												{	/* SawBbv/bbv-optim.scm 202 */
													int BgL_arg1974z00_2491;

													BgL_arg1974z00_2491 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt)
																	CAR(
																		((obj_t) BgL_l1505z00_2485)))))->
														BgL_labelz00);
													BgL_newtail1509z00_2489 =
														MAKE_YOUNG_PAIR(BINT(BgL_arg1974z00_2491), BNIL);
												}
												SET_CDR(BgL_tail1508z00_2486, BgL_newtail1509z00_2489);
												{	/* SawBbv/bbv-optim.scm 202 */
													obj_t BgL_arg1973z00_2490;

													BgL_arg1973z00_2490 =
														CDR(((obj_t) BgL_l1505z00_2485));
													{
														obj_t BgL_tail1508z00_4452;
														obj_t BgL_l1505z00_4451;

														BgL_l1505z00_4451 = BgL_arg1973z00_2490;
														BgL_tail1508z00_4452 = BgL_newtail1509z00_2489;
														BgL_tail1508z00_2486 = BgL_tail1508z00_4452;
														BgL_l1505z00_2485 = BgL_l1505z00_4451;
														goto BgL_zc3z04anonymousza31971ze3z87_2487;
													}
												}
											}
									}
								}
							}
					}
					{	/* SawBbv/bbv-optim.scm 201 */
						obj_t BgL_list1959z00_2469;

						{	/* SawBbv/bbv-optim.scm 201 */
							obj_t BgL_arg1960z00_2470;

							{	/* SawBbv/bbv-optim.scm 201 */
								obj_t BgL_arg1961z00_2471;

								{	/* SawBbv/bbv-optim.scm 201 */
									obj_t BgL_arg1962z00_2472;

									{	/* SawBbv/bbv-optim.scm 201 */
										obj_t BgL_arg1963z00_2473;

										{	/* SawBbv/bbv-optim.scm 201 */
											obj_t BgL_arg1964z00_2474;

											{	/* SawBbv/bbv-optim.scm 201 */
												obj_t BgL_arg1965z00_2475;

												{	/* SawBbv/bbv-optim.scm 201 */
													obj_t BgL_arg1966z00_2476;

													{	/* SawBbv/bbv-optim.scm 201 */
														obj_t BgL_arg1967z00_2477;

														{	/* SawBbv/bbv-optim.scm 201 */
															obj_t BgL_arg1968z00_2478;

															BgL_arg1968z00_2478 =
																MAKE_YOUNG_PAIR(BgL_arg1958z00_2468, BNIL);
															BgL_arg1967z00_2477 =
																MAKE_YOUNG_PAIR
																(BGl_string2269z00zzsaw_bbvzd2optimzd2,
																BgL_arg1968z00_2478);
														}
														BgL_arg1966z00_2476 =
															MAKE_YOUNG_PAIR(BINT(BgL_arg1957z00_2467),
															BgL_arg1967z00_2477);
													}
													BgL_arg1965z00_2475 =
														MAKE_YOUNG_PAIR
														(BGl_string2270z00zzsaw_bbvzd2optimzd2,
														BgL_arg1966z00_2476);
												}
												BgL_arg1964z00_2474 =
													MAKE_YOUNG_PAIR(BINT(BgL_arg1956z00_2466),
													BgL_arg1965z00_2475);
											}
											BgL_arg1963z00_2473 =
												MAKE_YOUNG_PAIR(BGl_string2271z00zzsaw_bbvzd2optimzd2,
												BgL_arg1964z00_2474);
										}
										BgL_arg1962z00_2472 =
											MAKE_YOUNG_PAIR(BGl_string2263z00zzsaw_bbvzd2optimzd2,
											BgL_arg1963z00_2473);
									}
									BgL_arg1961z00_2471 =
										MAKE_YOUNG_PAIR(BINT(201L), BgL_arg1962z00_2472);
								}
								BgL_arg1960z00_2470 =
									MAKE_YOUNG_PAIR(BGl_string2264z00zzsaw_bbvzd2optimzd2,
									BgL_arg1961z00_2471);
							}
							BgL_list1959z00_2469 =
								MAKE_YOUNG_PAIR(BGl_string2265z00zzsaw_bbvzd2optimzd2,
								BgL_arg1960z00_2470);
						}
						BGl_tprintz00zz__r4_output_6_10_3z00(BgL_arg1955z00_2465,
							BgL_list1959z00_2469);
					}
				}
			else
				{	/* SawBbv/bbv-optim.scm 200 */
					BFALSE;
				}
			{	/* SawBbv/bbv-optim.scm 203 */
				BgL_blockz00_bglt BgL_i1195z00_2496;

				{
					BgL_blocksz00_bglt BgL_auxz00_4467;

					{
						obj_t BgL_auxz00_4468;

						{	/* SawBbv/bbv-optim.scm 204 */
							BgL_objectz00_bglt BgL_tmpz00_4469;

							BgL_tmpz00_4469 = ((BgL_objectz00_bglt) BgL_bz00_95);
							BgL_auxz00_4468 = BGL_OBJECT_WIDENING(BgL_tmpz00_4469);
						}
						BgL_auxz00_4467 = ((BgL_blocksz00_bglt) BgL_auxz00_4468);
					}
					BgL_i1195z00_2496 =
						(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4467))->BgL_parentz00);
				}
				{	/* SawBbv/bbv-optim.scm 204 */
					bool_t BgL_test2394z00_4474;

					{	/* SawBbv/bbv-optim.scm 204 */
						long BgL_arg2046z00_2592;

						{
							BgL_blockvz00_bglt BgL_auxz00_4475;

							{
								obj_t BgL_auxz00_4476;

								{	/* SawBbv/bbv-optim.scm 204 */
									BgL_objectz00_bglt BgL_tmpz00_4477;

									BgL_tmpz00_4477 = ((BgL_objectz00_bglt) BgL_i1195z00_2496);
									BgL_auxz00_4476 = BGL_OBJECT_WIDENING(BgL_tmpz00_4477);
								}
								BgL_auxz00_4475 = ((BgL_blockvz00_bglt) BgL_auxz00_4476);
							}
							BgL_arg2046z00_2592 =
								(((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4475))->
								BgL_z52markz52);
						}
						BgL_test2394z00_4474 =
							((long) CINT(BgL_markz00_94) == BgL_arg2046z00_2592);
					}
					if (BgL_test2394z00_4474)
						{	/* SawBbv/bbv-optim.scm 204 */
							((bool_t) 0);
						}
					else
						{	/* SawBbv/bbv-optim.scm 204 */
							{
								BgL_blockvz00_bglt BgL_auxz00_4484;

								{
									obj_t BgL_auxz00_4485;

									{	/* SawBbv/bbv-optim.scm 205 */
										BgL_objectz00_bglt BgL_tmpz00_4486;

										BgL_tmpz00_4486 = ((BgL_objectz00_bglt) BgL_i1195z00_2496);
										BgL_auxz00_4485 = BGL_OBJECT_WIDENING(BgL_tmpz00_4486);
									}
									BgL_auxz00_4484 = ((BgL_blockvz00_bglt) BgL_auxz00_4485);
								}
								((((BgL_blockvz00_bglt) COBJECT(BgL_auxz00_4484))->
										BgL_z52markz52) =
									((long) (long) CINT(BgL_markz00_94)), BUNSPEC);
							}
							{	/* SawBbv/bbv-optim.scm 208 */
								obj_t BgL_versionsz00_2499;

								{	/* SawBbv/bbv-optim.scm 208 */
									BgL_blockz00_bglt BgL_arg2044z00_2591;

									{
										BgL_blocksz00_bglt BgL_auxz00_4492;

										{
											obj_t BgL_auxz00_4493;

											{	/* SawBbv/bbv-optim.scm 208 */
												BgL_objectz00_bglt BgL_tmpz00_4494;

												BgL_tmpz00_4494 = ((BgL_objectz00_bglt) BgL_bz00_95);
												BgL_auxz00_4493 = BGL_OBJECT_WIDENING(BgL_tmpz00_4494);
											}
											BgL_auxz00_4492 = ((BgL_blocksz00_bglt) BgL_auxz00_4493);
										}
										BgL_arg2044z00_2591 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4492))->
											BgL_parentz00);
									}
									BgL_versionsz00_2499 =
										BGl_blockVzd2livezd2versionsz00zzsaw_bbvzd2typeszd2
										(BgL_arg2044z00_2591);
								}
								{	/* SawBbv/bbv-optim.scm 209 */
									bool_t BgL_test2395z00_4500;

									if (NULLP(BgL_versionsz00_2499))
										{	/* SawBbv/bbv-optim.scm 209 */
											BgL_test2395z00_4500 = ((bool_t) 1);
										}
									else
										{	/* SawBbv/bbv-optim.scm 209 */
											BgL_test2395z00_4500 = NULLP(CDR(BgL_versionsz00_2499));
										}
									if (BgL_test2395z00_4500)
										{	/* SawBbv/bbv-optim.scm 210 */
											obj_t BgL_g1513z00_2503;

											BgL_g1513z00_2503 =
												(((BgL_blockz00_bglt) COBJECT(
														((BgL_blockz00_bglt) BgL_bz00_95)))->BgL_succsz00);
											{
												obj_t BgL_l1511z00_2505;

												BgL_l1511z00_2505 = BgL_g1513z00_2503;
											BgL_zc3z04anonymousza31983ze3z87_2506:
												if (PAIRP(BgL_l1511z00_2505))
													{	/* SawBbv/bbv-optim.scm 210 */
														{	/* SawBbv/bbv-optim.scm 210 */
															obj_t BgL_sz00_2508;

															BgL_sz00_2508 = CAR(BgL_l1511z00_2505);
															BGl_coalescez12z12zzsaw_bbvzd2optimzd2
																(BgL_markz00_94,
																((BgL_blockz00_bglt) BgL_sz00_2508));
														}
														{
															obj_t BgL_l1511z00_4512;

															BgL_l1511z00_4512 = CDR(BgL_l1511z00_2505);
															BgL_l1511z00_2505 = BgL_l1511z00_4512;
															goto BgL_zc3z04anonymousza31983ze3z87_2506;
														}
													}
												else
													{	/* SawBbv/bbv-optim.scm 210 */
														((bool_t) 1);
													}
											}
										}
									else
										{	/* SawBbv/bbv-optim.scm 211 */
											obj_t BgL_ksz00_2511;

											{	/* SawBbv/bbv-optim.scm 211 */
												obj_t BgL_arg2032z00_2568;

												if (NULLP(BgL_versionsz00_2499))
													{	/* SawBbv/bbv-optim.scm 213 */
														BgL_arg2032z00_2568 = BNIL;
													}
												else
													{	/* SawBbv/bbv-optim.scm 213 */
														obj_t BgL_head1516z00_2576;

														BgL_head1516z00_2576 = MAKE_YOUNG_PAIR(BNIL, BNIL);
														{
															obj_t BgL_l1514z00_2578;
															obj_t BgL_tail1517z00_2579;

															BgL_l1514z00_2578 = BgL_versionsz00_2499;
															BgL_tail1517z00_2579 = BgL_head1516z00_2576;
														BgL_zc3z04anonymousza32038ze3z87_2580:
															if (NULLP(BgL_l1514z00_2578))
																{	/* SawBbv/bbv-optim.scm 213 */
																	BgL_arg2032z00_2568 =
																		CDR(BgL_head1516z00_2576);
																}
															else
																{	/* SawBbv/bbv-optim.scm 213 */
																	obj_t BgL_newtail1518z00_2582;

																	{	/* SawBbv/bbv-optim.scm 213 */
																		obj_t BgL_arg2041z00_2584;

																		{	/* SawBbv/bbv-optim.scm 213 */
																			obj_t BgL_vz00_2585;

																			BgL_vz00_2585 =
																				CAR(((obj_t) BgL_l1514z00_2578));
																			BgL_arg2041z00_2584 =
																				MAKE_YOUNG_PAIR
																				(BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2
																				(BgL_vz00_2585), BgL_vz00_2585);
																		}
																		BgL_newtail1518z00_2582 =
																			MAKE_YOUNG_PAIR(BgL_arg2041z00_2584,
																			BNIL);
																	}
																	SET_CDR(BgL_tail1517z00_2579,
																		BgL_newtail1518z00_2582);
																	{	/* SawBbv/bbv-optim.scm 213 */
																		obj_t BgL_arg2040z00_2583;

																		BgL_arg2040z00_2583 =
																			CDR(((obj_t) BgL_l1514z00_2578));
																		{
																			obj_t BgL_tail1517z00_4529;
																			obj_t BgL_l1514z00_4528;

																			BgL_l1514z00_4528 = BgL_arg2040z00_2583;
																			BgL_tail1517z00_4529 =
																				BgL_newtail1518z00_2582;
																			BgL_tail1517z00_2579 =
																				BgL_tail1517z00_4529;
																			BgL_l1514z00_2578 = BgL_l1514z00_4528;
																			goto
																				BgL_zc3z04anonymousza32038ze3z87_2580;
																		}
																	}
																}
														}
													}
												BgL_ksz00_2511 =
													BGl_sortz00zz__r4_vectors_6_8z00
													(BGl_proc2272z00zzsaw_bbvzd2optimzd2,
													BgL_arg2032z00_2568);
											}
											{
												obj_t BgL_ksz00_2513;

												BgL_ksz00_2513 = BgL_ksz00_2511;
											BgL_zc3z04anonymousza31986ze3z87_2514:
												if (NULLP(CDR(((obj_t) BgL_ksz00_2513))))
													{	/* SawBbv/bbv-optim.scm 223 */
														obj_t BgL_g1521z00_2517;

														BgL_g1521z00_2517 =
															(((BgL_blockz00_bglt) COBJECT(
																	((BgL_blockz00_bglt) BgL_bz00_95)))->
															BgL_succsz00);
														{
															obj_t BgL_l1519z00_2519;

															BgL_l1519z00_2519 = BgL_g1521z00_2517;
														BgL_zc3z04anonymousza31989ze3z87_2520:
															if (PAIRP(BgL_l1519z00_2519))
																{	/* SawBbv/bbv-optim.scm 223 */
																	{	/* SawBbv/bbv-optim.scm 223 */
																		obj_t BgL_sz00_2522;

																		BgL_sz00_2522 = CAR(BgL_l1519z00_2519);
																		BGl_coalescez12z12zzsaw_bbvzd2optimzd2
																			(BgL_markz00_94,
																			((BgL_blockz00_bglt) BgL_sz00_2522));
																	}
																	{
																		obj_t BgL_l1519z00_4542;

																		BgL_l1519z00_4542 = CDR(BgL_l1519z00_2519);
																		BgL_l1519z00_2519 = BgL_l1519z00_4542;
																		goto BgL_zc3z04anonymousza31989ze3z87_2520;
																	}
																}
															else
																{	/* SawBbv/bbv-optim.scm 223 */
																	((bool_t) 1);
																}
														}
													}
												else
													{	/* SawBbv/bbv-optim.scm 224 */
														bool_t BgL_test2402z00_4544;

														{	/* SawBbv/bbv-optim.scm 224 */
															long BgL_arg2025z00_2563;

															{	/* SawBbv/bbv-optim.scm 224 */
																BgL_blockz00_bglt BgL_oz00_3357;

																{	/* SawBbv/bbv-optim.scm 224 */
																	obj_t BgL_pairz00_3356;

																	BgL_pairz00_3356 =
																		CAR(((obj_t) BgL_ksz00_2513));
																	BgL_oz00_3357 =
																		((BgL_blockz00_bglt) CDR(BgL_pairz00_3356));
																}
																{
																	BgL_blocksz00_bglt BgL_auxz00_4549;

																	{
																		obj_t BgL_auxz00_4550;

																		{	/* SawBbv/bbv-optim.scm 224 */
																			BgL_objectz00_bglt BgL_tmpz00_4551;

																			BgL_tmpz00_4551 =
																				((BgL_objectz00_bglt) BgL_oz00_3357);
																			BgL_auxz00_4550 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_4551);
																		}
																		BgL_auxz00_4549 =
																			((BgL_blocksz00_bglt) BgL_auxz00_4550);
																	}
																	BgL_arg2025z00_2563 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_4549))->
																		BgL_z52markz52);
															}}
															BgL_test2402z00_4544 =
																(BgL_arg2025z00_2563 >=
																(long) CINT(BgL_markz00_94));
														}
														if (BgL_test2402z00_4544)
															{	/* SawBbv/bbv-optim.scm 225 */
																obj_t BgL_arg1995z00_2528;

																BgL_arg1995z00_2528 =
																	CDR(((obj_t) BgL_ksz00_2513));
																{
																	obj_t BgL_ksz00_4560;

																	BgL_ksz00_4560 = BgL_arg1995z00_2528;
																	BgL_ksz00_2513 = BgL_ksz00_4560;
																	goto BgL_zc3z04anonymousza31986ze3z87_2514;
																}
															}
														else
															{	/* SawBbv/bbv-optim.scm 227 */
																obj_t BgL_kz00_2529;

																BgL_kz00_2529 = CAR(((obj_t) BgL_ksz00_2513));
																if (CBOOL
																	(BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2))
																	{	/* SawBbv/bbv-optim.scm 229 */
																		obj_t BgL_arg1996z00_2530;

																		BgL_arg1996z00_2530 =
																			CDR(((obj_t) BgL_kz00_2529));
																		BGl_assertzd2blockzd2zzsaw_bbvzd2debugzd2(
																			((BgL_blockz00_bglt) BgL_arg1996z00_2530),
																			BGl_string2273z00zzsaw_bbvzd2optimzd2);
																	}
																else
																	{	/* SawBbv/bbv-optim.scm 228 */
																		BFALSE;
																	}
																{	/* SawBbv/bbv-optim.scm 230 */
																	obj_t BgL_g1196z00_2531;

																	BgL_g1196z00_2531 =
																		CDR(((obj_t) BgL_ksz00_2513));
																	{
																		obj_t BgL_lsz00_2533;

																		BgL_lsz00_2533 = BgL_g1196z00_2531;
																	BgL_zc3z04anonymousza31997ze3z87_2534:
																		if (NULLP(BgL_lsz00_2533))
																			{	/* SawBbv/bbv-optim.scm 233 */
																				obj_t BgL_arg1999z00_2536;

																				BgL_arg1999z00_2536 =
																					CDR(((obj_t) BgL_ksz00_2513));
																				{
																					obj_t BgL_ksz00_4575;

																					BgL_ksz00_4575 = BgL_arg1999z00_2536;
																					BgL_ksz00_2513 = BgL_ksz00_4575;
																					goto
																						BgL_zc3z04anonymousza31986ze3z87_2514;
																				}
																			}
																		else
																			{	/* SawBbv/bbv-optim.scm 234 */
																				bool_t BgL_test2405z00_4576;

																				{	/* SawBbv/bbv-optim.scm 234 */
																					bool_t BgL_test2406z00_4577;

																					{	/* SawBbv/bbv-optim.scm 234 */
																						long BgL_tmpz00_4578;

																						{	/* SawBbv/bbv-optim.scm 234 */
																							obj_t BgL_pairz00_3370;

																							BgL_pairz00_3370 =
																								CAR(((obj_t) BgL_lsz00_2533));
																							BgL_tmpz00_4578 =
																								(long)
																								CINT(CAR(BgL_pairz00_3370));
																						}
																						BgL_test2406z00_4577 =
																							(
																							(long) CINT(CAR(
																									((obj_t) BgL_kz00_2529))) ==
																							BgL_tmpz00_4578);
																					}
																					if (BgL_test2406z00_4577)
																						{	/* SawBbv/bbv-optim.scm 235 */
																							bool_t BgL_test2407z00_4587;

																							{	/* SawBbv/bbv-optim.scm 235 */
																								obj_t BgL_tmpz00_4588;

																								{	/* SawBbv/bbv-optim.scm 235 */
																									obj_t BgL_pairz00_3377;

																									BgL_pairz00_3377 =
																										CAR(
																										((obj_t) BgL_lsz00_2533));
																									BgL_tmpz00_4588 =
																										CDR(BgL_pairz00_3377);
																								}
																								BgL_test2407z00_4587 =
																									(CDR(
																										((obj_t) BgL_kz00_2529)) ==
																									BgL_tmpz00_4588);
																							}
																							if (BgL_test2407z00_4587)
																								{	/* SawBbv/bbv-optim.scm 235 */
																									BgL_test2405z00_4576 =
																										((bool_t) 0);
																								}
																							else
																								{	/* SawBbv/bbv-optim.scm 236 */
																									obj_t BgL_arg2018z00_2556;
																									obj_t BgL_arg2019z00_2557;

																									BgL_arg2018z00_2556 =
																										CDR(
																										((obj_t) BgL_kz00_2529));
																									{	/* SawBbv/bbv-optim.scm 236 */
																										obj_t BgL_pairz00_3382;

																										BgL_pairz00_3382 =
																											CAR(
																											((obj_t) BgL_lsz00_2533));
																										BgL_arg2019z00_2557 =
																											CDR(BgL_pairz00_3382);
																									}
																									BgL_test2405z00_4576 =
																										CBOOL
																										(BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2
																										(((BgL_blockz00_bglt)
																												BgL_arg2018z00_2556),
																											((BgL_blockz00_bglt)
																												BgL_arg2019z00_2557),
																											BNIL));
																								}
																						}
																					else
																						{	/* SawBbv/bbv-optim.scm 234 */
																							BgL_test2405z00_4576 =
																								((bool_t) 0);
																						}
																				}
																				if (BgL_test2405z00_4576)
																					{	/* SawBbv/bbv-optim.scm 234 */
																						{	/* SawBbv/bbv-optim.scm 237 */
																							obj_t BgL_arg2013z00_2550;
																							obj_t BgL_arg2014z00_2551;

																							BgL_arg2013z00_2550 =
																								CDR(((obj_t) BgL_kz00_2529));
																							{	/* SawBbv/bbv-optim.scm 237 */
																								obj_t BgL_pairz00_3387;

																								BgL_pairz00_3387 =
																									CAR(((obj_t) BgL_lsz00_2533));
																								BgL_arg2014z00_2551 =
																									CDR(BgL_pairz00_3387);
																							}
																							BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2
																								(BgL_markz00_94,
																								BgL_arg2013z00_2550,
																								BgL_arg2014z00_2551);
																						}
																						{	/* SawBbv/bbv-optim.scm 238 */
																							obj_t BgL_arg2015z00_2552;

																							BgL_arg2015z00_2552 =
																								CDR(((obj_t) BgL_lsz00_2533));
																							{
																								obj_t BgL_lsz00_4612;

																								BgL_lsz00_4612 =
																									BgL_arg2015z00_2552;
																								BgL_lsz00_2533 = BgL_lsz00_4612;
																								goto
																									BgL_zc3z04anonymousza31997ze3z87_2534;
																							}
																						}
																					}
																				else
																					{	/* SawBbv/bbv-optim.scm 240 */
																						obj_t BgL_arg2016z00_2553;

																						BgL_arg2016z00_2553 =
																							CDR(((obj_t) BgL_lsz00_2533));
																						{
																							obj_t BgL_lsz00_4615;

																							BgL_lsz00_4615 =
																								BgL_arg2016z00_2553;
																							BgL_lsz00_2533 = BgL_lsz00_4615;
																							goto
																								BgL_zc3z04anonymousza31997ze3z87_2534;
																						}
																					}
																			}
																	}
																}
															}
													}
											}
										}
								}
							}
						}
				}
			}
			return ((obj_t) BgL_bz00_95);
		}

	}



/* &coalesce! */
	obj_t BGl_z62coalescez12z70zzsaw_bbvzd2optimzd2(obj_t BgL_envz00_3527,
		obj_t BgL_markz00_3528, obj_t BgL_bz00_3529)
	{
		{	/* SawBbv/bbv-optim.scm 197 */
			return
				BGl_coalescez12z12zzsaw_bbvzd2optimzd2(BgL_markz00_3528,
				((BgL_blockz00_bglt) BgL_bz00_3529));
		}

	}



/* &<@anonymous:2033> */
	obj_t BGl_z62zc3z04anonymousza32033ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3530, obj_t BgL_v1z00_3531, obj_t BgL_v2z00_3532)
	{
		{	/* SawBbv/bbv-optim.scm 211 */
			return
				BBOOL(
				((long) CINT(CAR(
							((obj_t) BgL_v1z00_3531))) <=
					(long) CINT(CAR(((obj_t) BgL_v2z00_3532)))));
		}

	}



/* coalesce-block! */
	obj_t BGl_coalescezd2blockz12zc0zzsaw_bbvzd2optimzd2(obj_t BgL_markz00_96,
		obj_t BgL_bz00_97, obj_t BgL_byz00_98)
	{
		{	/* SawBbv/bbv-optim.scm 246 */
			{	/* SawBbv/bbv-optim.scm 250 */
				obj_t BgL_g1197z00_2593;
				obj_t BgL_g1199z00_2594;

				{	/* SawBbv/bbv-optim.scm 250 */
					obj_t BgL_list2073z00_2629;

					BgL_list2073z00_2629 = MAKE_YOUNG_PAIR(BgL_byz00_98, BNIL);
					BgL_g1197z00_2593 = BgL_list2073z00_2629;
				}
				{	/* SawBbv/bbv-optim.scm 251 */
					obj_t BgL_list2074z00_2630;

					BgL_list2074z00_2630 = MAKE_YOUNG_PAIR(BgL_bz00_97, BNIL);
					BgL_g1199z00_2594 = BgL_list2074z00_2630;
				}
				{
					obj_t BgL_byz00_2596;
					obj_t BgL_bxz00_2597;

					BgL_byz00_2596 = BgL_g1197z00_2593;
					BgL_bxz00_2597 = BgL_g1199z00_2594;
				BgL_zc3z04anonymousza32047ze3z87_2598:
					if (NULLP(BgL_byz00_2596))
						{	/* SawBbv/bbv-optim.scm 255 */
							return BgL_bz00_97;
						}
					else
						{	/* SawBbv/bbv-optim.scm 257 */
							bool_t BgL_test2409z00_4631;

							{	/* SawBbv/bbv-optim.scm 257 */
								long BgL_arg2071z00_2626;

								{	/* SawBbv/bbv-optim.scm 257 */
									BgL_blockz00_bglt BgL_oz00_3393;

									BgL_oz00_3393 = ((BgL_blockz00_bglt) CAR(BgL_byz00_2596));
									{
										BgL_blocksz00_bglt BgL_auxz00_4634;

										{
											obj_t BgL_auxz00_4635;

											{	/* SawBbv/bbv-optim.scm 257 */
												BgL_objectz00_bglt BgL_tmpz00_4636;

												BgL_tmpz00_4636 = ((BgL_objectz00_bglt) BgL_oz00_3393);
												BgL_auxz00_4635 = BGL_OBJECT_WIDENING(BgL_tmpz00_4636);
											}
											BgL_auxz00_4634 = ((BgL_blocksz00_bglt) BgL_auxz00_4635);
										}
										BgL_arg2071z00_2626 =
											(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4634))->
											BgL_z52markz52);
								}}
								BgL_test2409z00_4631 =
									(BgL_arg2071z00_2626 == (long) CINT(BgL_markz00_96));
							}
							if (BgL_test2409z00_4631)
								{	/* SawBbv/bbv-optim.scm 257 */
									return BgL_bz00_97;
								}
							else
								{	/* SawBbv/bbv-optim.scm 257 */
									if ((CAR(BgL_byz00_2596) == CAR(((obj_t) BgL_bxz00_2597))))
										{	/* SawBbv/bbv-optim.scm 259 */
											return BgL_bz00_97;
										}
									else
										{	/* SawBbv/bbv-optim.scm 262 */
											BgL_blockz00_bglt BgL_i1200z00_2606;

											BgL_i1200z00_2606 =
												((BgL_blockz00_bglt) CAR(BgL_byz00_2596));
											{
												BgL_blocksz00_bglt BgL_auxz00_4650;

												{
													obj_t BgL_auxz00_4651;

													{	/* SawBbv/bbv-optim.scm 263 */
														BgL_objectz00_bglt BgL_tmpz00_4652;

														BgL_tmpz00_4652 =
															((BgL_objectz00_bglt) BgL_i1200z00_2606);
														BgL_auxz00_4651 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_4652);
													}
													BgL_auxz00_4650 =
														((BgL_blocksz00_bglt) BgL_auxz00_4651);
												}
												((((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4650))->
														BgL_z52markz52) =
													((long) (long) CINT(BgL_markz00_96)), BUNSPEC);
											}
											{	/* SawBbv/bbv-optim.scm 264 */
												obj_t BgL_g1524z00_2607;

												BgL_g1524z00_2607 =
													(((BgL_blockz00_bglt) COBJECT(
															((BgL_blockz00_bglt) BgL_i1200z00_2606)))->
													BgL_predsz00);
												{
													obj_t BgL_l1522z00_2609;

													BgL_l1522z00_2609 = BgL_g1524z00_2607;
												BgL_zc3z04anonymousza32056ze3z87_2610:
													if (PAIRP(BgL_l1522z00_2609))
														{	/* SawBbv/bbv-optim.scm 264 */
															{	/* SawBbv/bbv-optim.scm 265 */
																obj_t BgL_dz00_2612;

																BgL_dz00_2612 = CAR(BgL_l1522z00_2609);
																{	/* SawBbv/bbv-optim.scm 266 */
																	bool_t BgL_test2412z00_4663;

																	{	/* SawBbv/bbv-optim.scm 266 */
																		long BgL_arg2062z00_2618;

																		{
																			BgL_blocksz00_bglt BgL_auxz00_4664;

																			{
																				obj_t BgL_auxz00_4665;

																				{	/* SawBbv/bbv-optim.scm 266 */
																					BgL_objectz00_bglt BgL_tmpz00_4666;

																					BgL_tmpz00_4666 =
																						((BgL_objectz00_bglt)
																						((BgL_blockz00_bglt)
																							BgL_dz00_2612));
																					BgL_auxz00_4665 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_4666);
																				}
																				BgL_auxz00_4664 =
																					((BgL_blocksz00_bglt)
																					BgL_auxz00_4665);
																			}
																			BgL_arg2062z00_2618 =
																				(((BgL_blocksz00_bglt)
																					COBJECT(BgL_auxz00_4664))->
																				BgL_z52markz52);
																		}
																		BgL_test2412z00_4663 =
																			(
																			(long) CINT(BgL_markz00_96) ==
																			BgL_arg2062z00_2618);
																	}
																	if (BgL_test2412z00_4663)
																		{	/* SawBbv/bbv-optim.scm 266 */
																			BFALSE;
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 267 */
																			obj_t BgL_arg2060z00_2616;
																			obj_t BgL_arg2061z00_2617;

																			BgL_arg2060z00_2616 =
																				CAR(((obj_t) BgL_byz00_2596));
																			BgL_arg2061z00_2617 =
																				CAR(((obj_t) BgL_bxz00_2597));
																			BGl_redirectzd2blockz12zc0zzsaw_bbvzd2utilszd2
																				(((BgL_blockz00_bglt) BgL_dz00_2612),
																				((BgL_blockz00_bglt)
																					BgL_arg2060z00_2616),
																				((BgL_blockz00_bglt)
																					BgL_arg2061z00_2617));
																		}
																}
															}
															{
																obj_t BgL_l1522z00_4682;

																BgL_l1522z00_4682 = CDR(BgL_l1522z00_2609);
																BgL_l1522z00_2609 = BgL_l1522z00_4682;
																goto BgL_zc3z04anonymousza32056ze3z87_2610;
															}
														}
													else
														{	/* SawBbv/bbv-optim.scm 264 */
															((bool_t) 1);
														}
												}
											}
											{	/* SawBbv/bbv-optim.scm 269 */
												BgL_blockz00_bglt BgL_i1202z00_2621;

												BgL_i1202z00_2621 =
													((BgL_blockz00_bglt) CAR(((obj_t) BgL_bxz00_2597)));
												{	/* SawBbv/bbv-optim.scm 270 */
													obj_t BgL_arg2066z00_2622;
													obj_t BgL_arg2067z00_2623;

													BgL_arg2066z00_2622 =
														(((BgL_blockz00_bglt) COBJECT(
																((BgL_blockz00_bglt) BgL_i1200z00_2606)))->
														BgL_succsz00);
													BgL_arg2067z00_2623 =
														(((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																	BgL_i1202z00_2621)))->BgL_succsz00);
													{
														obj_t BgL_bxz00_4692;
														obj_t BgL_byz00_4691;

														BgL_byz00_4691 = BgL_arg2066z00_2622;
														BgL_bxz00_4692 = BgL_arg2067z00_2623;
														BgL_bxz00_2597 = BgL_bxz00_4692;
														BgL_byz00_2596 = BgL_byz00_4691;
														goto BgL_zc3z04anonymousza32047ze3z87_2598;
													}
												}
											}
										}
								}
						}
				}
			}
		}

	}



/* coalesce? */
	obj_t BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(BgL_blockz00_bglt BgL_bxz00_99,
		BgL_blockz00_bglt BgL_byz00_100, obj_t BgL_stackz00_101)
	{
		{	/* SawBbv/bbv-optim.scm 277 */
			if ((((obj_t) BgL_bxz00_99) == ((obj_t) BgL_byz00_100)))
				{	/* SawBbv/bbv-optim.scm 281 */
					return BTRUE;
				}
			else
				{	/* SawBbv/bbv-optim.scm 283 */
					bool_t BgL_test2414z00_4697;

					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_bxz00_99), BgL_stackz00_101)))
						{	/* SawBbv/bbv-optim.scm 283 */
							BgL_test2414z00_4697 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_byz00_100), BgL_stackz00_101));
						}
					else
						{	/* SawBbv/bbv-optim.scm 283 */
							BgL_test2414z00_4697 = ((bool_t) 0);
						}
					if (BgL_test2414z00_4697)
						{	/* SawBbv/bbv-optim.scm 283 */
							return BTRUE;
						}
					else
						{	/* SawBbv/bbv-optim.scm 285 */
							bool_t BgL_test2416z00_4705;

							{	/* SawBbv/bbv-optim.scm 285 */
								obj_t BgL_arg2130z00_2693;
								obj_t BgL_arg2131z00_2694;

								BgL_arg2130z00_2693 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(((obj_t) BgL_bxz00_99));
								BgL_arg2131z00_2694 =
									BGl_bbvzd2hashzd2zzsaw_bbvzd2typeszd2(
									((obj_t) BgL_byz00_100));
								BgL_test2416z00_4705 =
									(
									(long) CINT(BgL_arg2130z00_2693) ==
									(long) CINT(BgL_arg2131z00_2694));
							}
							if (BgL_test2416z00_4705)
								{	/* SawBbv/bbv-optim.scm 285 */
									if (BGl_bbvzd2equalzf3z21zzsaw_bbvzd2typeszd2(
											((obj_t) BgL_bxz00_99), ((obj_t) BgL_byz00_100)))
										{	/* SawBbv/bbv-optim.scm 289 */
											bool_t BgL_test2418z00_4717;

											{	/* SawBbv/bbv-optim.scm 289 */
												bool_t BgL_test2419z00_4718;

												{	/* SawBbv/bbv-optim.scm 289 */
													obj_t BgL_arg2129z00_2692;

													{
														BgL_blocksz00_bglt BgL_auxz00_4719;

														{
															obj_t BgL_auxz00_4720;

															{	/* SawBbv/bbv-optim.scm 289 */
																BgL_objectz00_bglt BgL_tmpz00_4721;

																BgL_tmpz00_4721 =
																	((BgL_objectz00_bglt) BgL_bxz00_99);
																BgL_auxz00_4720 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4721);
															}
															BgL_auxz00_4719 =
																((BgL_blocksz00_bglt) BgL_auxz00_4720);
														}
														BgL_arg2129z00_2692 =
															(((BgL_blocksz00_bglt) COBJECT(BgL_auxz00_4719))->
															BgL_z52blacklistz52);
													}
													BgL_test2419z00_4718 =
														(BgL_arg2129z00_2692 == CNST_TABLE_REF(1L));
												}
												if (BgL_test2419z00_4718)
													{	/* SawBbv/bbv-optim.scm 289 */
														BgL_test2418z00_4717 = ((bool_t) 1);
													}
												else
													{	/* SawBbv/bbv-optim.scm 289 */
														obj_t BgL_arg2128z00_2691;

														{
															BgL_blocksz00_bglt BgL_auxz00_4728;

															{
																obj_t BgL_auxz00_4729;

																{	/* SawBbv/bbv-optim.scm 289 */
																	BgL_objectz00_bglt BgL_tmpz00_4730;

																	BgL_tmpz00_4730 =
																		((BgL_objectz00_bglt) BgL_byz00_100);
																	BgL_auxz00_4729 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4730);
																}
																BgL_auxz00_4728 =
																	((BgL_blocksz00_bglt) BgL_auxz00_4729);
															}
															BgL_arg2128z00_2691 =
																(((BgL_blocksz00_bglt)
																	COBJECT(BgL_auxz00_4728))->
																BgL_z52blacklistz52);
														}
														BgL_test2418z00_4717 =
															(BgL_arg2128z00_2691 == CNST_TABLE_REF(1L));
													}
											}
											if (BgL_test2418z00_4717)
												{	/* SawBbv/bbv-optim.scm 289 */
													return BFALSE;
												}
											else
												{	/* SawBbv/bbv-optim.scm 291 */
													bool_t BgL_test2420z00_4737;

													{	/* SawBbv/bbv-optim.scm 291 */
														bool_t BgL_test2421z00_4738;

														{	/* SawBbv/bbv-optim.scm 291 */
															obj_t BgL_arg2127z00_2689;

															{
																BgL_blocksz00_bglt BgL_auxz00_4739;

																{
																	obj_t BgL_auxz00_4740;

																	{	/* SawBbv/bbv-optim.scm 291 */
																		BgL_objectz00_bglt BgL_tmpz00_4741;

																		BgL_tmpz00_4741 =
																			((BgL_objectz00_bglt) BgL_byz00_100);
																		BgL_auxz00_4740 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_4741);
																	}
																	BgL_auxz00_4739 =
																		((BgL_blocksz00_bglt) BgL_auxz00_4740);
																}
																BgL_arg2127z00_2689 =
																	(((BgL_blocksz00_bglt)
																		COBJECT(BgL_auxz00_4739))->
																	BgL_z52blacklistz52);
															}
															BgL_test2421z00_4738 =
																CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	((obj_t) BgL_bxz00_99), BgL_arg2127z00_2689));
														}
														if (BgL_test2421z00_4738)
															{	/* SawBbv/bbv-optim.scm 291 */
																BgL_test2420z00_4737 = ((bool_t) 1);
															}
														else
															{	/* SawBbv/bbv-optim.scm 291 */
																obj_t BgL_arg2126z00_2688;

																{
																	BgL_blocksz00_bglt BgL_auxz00_4749;

																	{
																		obj_t BgL_auxz00_4750;

																		{	/* SawBbv/bbv-optim.scm 291 */
																			BgL_objectz00_bglt BgL_tmpz00_4751;

																			BgL_tmpz00_4751 =
																				((BgL_objectz00_bglt) BgL_bxz00_99);
																			BgL_auxz00_4750 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_4751);
																		}
																		BgL_auxz00_4749 =
																			((BgL_blocksz00_bglt) BgL_auxz00_4750);
																	}
																	BgL_arg2126z00_2688 =
																		(((BgL_blocksz00_bglt)
																			COBJECT(BgL_auxz00_4749))->
																		BgL_z52blacklistz52);
																}
																BgL_test2420z00_4737 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(((obj_t) BgL_byz00_100),
																		BgL_arg2126z00_2688));
															}
													}
													if (BgL_test2420z00_4737)
														{	/* SawBbv/bbv-optim.scm 291 */
															return BFALSE;
														}
													else
														{	/* SawBbv/bbv-optim.scm 293 */
															bool_t BgL_test2422z00_4759;

															if (
																(bgl_list_length(
																		(((BgL_blockz00_bglt) COBJECT(
																					((BgL_blockz00_bglt)
																						BgL_byz00_100)))->BgL_succsz00)) ==
																	0L))
																{	/* SawBbv/bbv-optim.scm 293 */
																	BgL_test2422z00_4759 =
																		(bgl_list_length(
																			(((BgL_blockz00_bglt) COBJECT(
																						((BgL_blockz00_bglt)
																							BgL_byz00_100)))->
																				BgL_firstz00)) == 1L);
																}
															else
																{	/* SawBbv/bbv-optim.scm 293 */
																	BgL_test2422z00_4759 = ((bool_t) 0);
																}
															if (BgL_test2422z00_4759)
																{	/* SawBbv/bbv-optim.scm 293 */
																	return BFALSE;
																}
															else
																{	/* SawBbv/bbv-optim.scm 293 */
																	if (
																		(bgl_list_length(
																				(((BgL_blockz00_bglt) COBJECT(
																							((BgL_blockz00_bglt)
																								BgL_byz00_100)))->
																					BgL_succsz00)) ==
																			bgl_list_length((((BgL_blockz00_bglt)
																						COBJECT(((BgL_blockz00_bglt)
																								BgL_bxz00_99)))->
																					BgL_succsz00))))
																		{	/* SawBbv/bbv-optim.scm 296 */
																			obj_t BgL_nsz00_2662;

																			{	/* SawBbv/bbv-optim.scm 296 */
																				obj_t BgL_arg2114z00_2675;

																				BgL_arg2114z00_2675 =
																					MAKE_YOUNG_PAIR(
																					((obj_t) BgL_byz00_100),
																					BgL_stackz00_101);
																				BgL_nsz00_2662 =
																					MAKE_YOUNG_PAIR(((obj_t)
																						BgL_bxz00_99), BgL_arg2114z00_2675);
																			}
																			{	/* SawBbv/bbv-optim.scm 297 */
																				obj_t BgL__ortest_1205z00_2663;

																				{	/* SawBbv/bbv-optim.scm 297 */
																					obj_t BgL_arg2109z00_2667;
																					obj_t BgL_arg2110z00_2668;

																					BgL_arg2109z00_2667 =
																						(((BgL_blockz00_bglt) COBJECT(
																								((BgL_blockz00_bglt)
																									BgL_bxz00_99)))->
																						BgL_succsz00);
																					BgL_arg2110z00_2668 =
																						(((BgL_blockz00_bglt)
																							COBJECT(((BgL_blockz00_bglt)
																									BgL_byz00_100)))->
																						BgL_succsz00);
																					{	/* SawBbv/bbv-optim.scm 297 */
																						obj_t
																							BgL_zc3z04anonymousza32113ze3z87_3533;
																						BgL_zc3z04anonymousza32113ze3z87_3533
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3z04anonymousza32113ze3ze5zzsaw_bbvzd2optimzd2,
																							(int) (2L), (int) (1L));
																						PROCEDURE_SET
																							(BgL_zc3z04anonymousza32113ze3z87_3533,
																							(int) (0L), BgL_nsz00_2662);
																						{	/* SawBbv/bbv-optim.scm 297 */
																							obj_t BgL_list2111z00_2669;

																							{	/* SawBbv/bbv-optim.scm 297 */
																								obj_t BgL_arg2112z00_2670;

																								BgL_arg2112z00_2670 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2110z00_2668, BNIL);
																								BgL_list2111z00_2669 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg2109z00_2667,
																									BgL_arg2112z00_2670);
																							}
																							BgL__ortest_1205z00_2663 =
																								BGl_everyz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_zc3z04anonymousza32113ze3z87_3533,
																								BgL_list2111z00_2669);
																				}}}
																				if (CBOOL(BgL__ortest_1205z00_2663))
																					{	/* SawBbv/bbv-optim.scm 297 */
																						return BgL__ortest_1205z00_2663;
																					}
																				else
																					{	/* SawBbv/bbv-optim.scm 297 */
																						{
																							obj_t BgL_auxz00_4801;
																							BgL_blocksz00_bglt
																								BgL_auxz00_4795;
																							{	/* SawBbv/bbv-optim.scm 299 */
																								obj_t BgL_arg2106z00_2664;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_4802;
																									{
																										obj_t BgL_auxz00_4803;

																										{	/* SawBbv/bbv-optim.scm 299 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4804;
																											BgL_tmpz00_4804 =
																												((BgL_objectz00_bglt)
																												BgL_bxz00_99);
																											BgL_auxz00_4803 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4804);
																										}
																										BgL_auxz00_4802 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_4803);
																									}
																									BgL_arg2106z00_2664 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_4802))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_4801 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_byz00_100),
																									BgL_arg2106z00_2664);
																							}
																							{
																								obj_t BgL_auxz00_4796;

																								{	/* SawBbv/bbv-optim.scm 299 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4797;
																									BgL_tmpz00_4797 =
																										((BgL_objectz00_bglt)
																										BgL_bxz00_99);
																									BgL_auxz00_4796 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4797);
																								}
																								BgL_auxz00_4795 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4796);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_4795))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_4801),
																								BUNSPEC);
																						}
																						{
																							obj_t BgL_auxz00_4818;
																							BgL_blocksz00_bglt
																								BgL_auxz00_4812;
																							{	/* SawBbv/bbv-optim.scm 300 */
																								obj_t BgL_arg2107z00_2665;

																								{
																									BgL_blocksz00_bglt
																										BgL_auxz00_4819;
																									{
																										obj_t BgL_auxz00_4820;

																										{	/* SawBbv/bbv-optim.scm 300 */
																											BgL_objectz00_bglt
																												BgL_tmpz00_4821;
																											BgL_tmpz00_4821 =
																												((BgL_objectz00_bglt)
																												BgL_byz00_100);
																											BgL_auxz00_4820 =
																												BGL_OBJECT_WIDENING
																												(BgL_tmpz00_4821);
																										}
																										BgL_auxz00_4819 =
																											((BgL_blocksz00_bglt)
																											BgL_auxz00_4820);
																									}
																									BgL_arg2107z00_2665 =
																										(((BgL_blocksz00_bglt)
																											COBJECT
																											(BgL_auxz00_4819))->
																										BgL_z52blacklistz52);
																								}
																								BgL_auxz00_4818 =
																									MAKE_YOUNG_PAIR(
																									((obj_t) BgL_bxz00_99),
																									BgL_arg2107z00_2665);
																							}
																							{
																								obj_t BgL_auxz00_4813;

																								{	/* SawBbv/bbv-optim.scm 300 */
																									BgL_objectz00_bglt
																										BgL_tmpz00_4814;
																									BgL_tmpz00_4814 =
																										((BgL_objectz00_bglt)
																										BgL_byz00_100);
																									BgL_auxz00_4813 =
																										BGL_OBJECT_WIDENING
																										(BgL_tmpz00_4814);
																								}
																								BgL_auxz00_4812 =
																									((BgL_blocksz00_bglt)
																									BgL_auxz00_4813);
																							}
																							((((BgL_blocksz00_bglt)
																										COBJECT(BgL_auxz00_4812))->
																									BgL_z52blacklistz52) =
																								((obj_t) BgL_auxz00_4818),
																								BUNSPEC);
																						}
																						return BFALSE;
																					}
																			}
																		}
																	else
																		{	/* SawBbv/bbv-optim.scm 295 */
																			{
																				obj_t BgL_auxz00_4835;
																				BgL_blocksz00_bglt BgL_auxz00_4829;

																				{	/* SawBbv/bbv-optim.scm 304 */
																					obj_t BgL_arg2115z00_2676;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_4836;

																						{
																							obj_t BgL_auxz00_4837;

																							{	/* SawBbv/bbv-optim.scm 304 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4838;
																								BgL_tmpz00_4838 =
																									((BgL_objectz00_bglt)
																									BgL_bxz00_99);
																								BgL_auxz00_4837 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4838);
																							}
																							BgL_auxz00_4836 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_4837);
																						}
																						BgL_arg2115z00_2676 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_4836))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_4835 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_byz00_100),
																						BgL_arg2115z00_2676);
																				}
																				{
																					obj_t BgL_auxz00_4830;

																					{	/* SawBbv/bbv-optim.scm 304 */
																						BgL_objectz00_bglt BgL_tmpz00_4831;

																						BgL_tmpz00_4831 =
																							((BgL_objectz00_bglt)
																							BgL_bxz00_99);
																						BgL_auxz00_4830 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4831);
																					}
																					BgL_auxz00_4829 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_4830);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_4829))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_4835), BUNSPEC);
																			}
																			{
																				obj_t BgL_auxz00_4852;
																				BgL_blocksz00_bglt BgL_auxz00_4846;

																				{	/* SawBbv/bbv-optim.scm 305 */
																					obj_t BgL_arg2116z00_2677;

																					{
																						BgL_blocksz00_bglt BgL_auxz00_4853;

																						{
																							obj_t BgL_auxz00_4854;

																							{	/* SawBbv/bbv-optim.scm 305 */
																								BgL_objectz00_bglt
																									BgL_tmpz00_4855;
																								BgL_tmpz00_4855 =
																									((BgL_objectz00_bglt)
																									BgL_byz00_100);
																								BgL_auxz00_4854 =
																									BGL_OBJECT_WIDENING
																									(BgL_tmpz00_4855);
																							}
																							BgL_auxz00_4853 =
																								((BgL_blocksz00_bglt)
																								BgL_auxz00_4854);
																						}
																						BgL_arg2116z00_2677 =
																							(((BgL_blocksz00_bglt)
																								COBJECT(BgL_auxz00_4853))->
																							BgL_z52blacklistz52);
																					}
																					BgL_auxz00_4852 =
																						MAKE_YOUNG_PAIR(
																						((obj_t) BgL_bxz00_99),
																						BgL_arg2116z00_2677);
																				}
																				{
																					obj_t BgL_auxz00_4847;

																					{	/* SawBbv/bbv-optim.scm 305 */
																						BgL_objectz00_bglt BgL_tmpz00_4848;

																						BgL_tmpz00_4848 =
																							((BgL_objectz00_bglt)
																							BgL_byz00_100);
																						BgL_auxz00_4847 =
																							BGL_OBJECT_WIDENING
																							(BgL_tmpz00_4848);
																					}
																					BgL_auxz00_4846 =
																						((BgL_blocksz00_bglt)
																						BgL_auxz00_4847);
																				}
																				((((BgL_blocksz00_bglt)
																							COBJECT(BgL_auxz00_4846))->
																						BgL_z52blacklistz52) =
																					((obj_t) BgL_auxz00_4852), BUNSPEC);
																			}
																			return BFALSE;
																		}
																}
														}
												}
										}
									else
										{	/* SawBbv/bbv-optim.scm 287 */
											return BFALSE;
										}
								}
							else
								{	/* SawBbv/bbv-optim.scm 285 */
									return BFALSE;
								}
						}
				}
		}

	}



/* &<@anonymous:2113> */
	obj_t BGl_z62zc3z04anonymousza32113ze3ze5zzsaw_bbvzd2optimzd2(obj_t
		BgL_envz00_3534, obj_t BgL_xz00_3536, obj_t BgL_yz00_3537)
	{
		{	/* SawBbv/bbv-optim.scm 297 */
			{	/* SawBbv/bbv-optim.scm 297 */
				obj_t BgL_nsz00_3535;

				BgL_nsz00_3535 = ((obj_t) PROCEDURE_REF(BgL_envz00_3534, (int) (0L)));
				return
					BGl_coalescezf3zf3zzsaw_bbvzd2optimzd2(
					((BgL_blockz00_bglt) BgL_xz00_3536),
					((BgL_blockz00_bglt) BgL_yz00_3537), BgL_nsz00_3535);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_bbvzd2optimzd2(void)
	{
		{	/* SawBbv/bbv-optim.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(54713316L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztype_cachez00(346491734L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztools_shapez00(365925558L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zztools_speekz00(61247943L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(57049157L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regsetz00(454038607L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_regutilsz00(237915200L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(32101684L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2typeszd2(226177408L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2specializa7ez75(506937389L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2cachezd2(242097300L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2utilszd2(384498962L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2mergezd2(376575453L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			BGl_modulezd2initializa7ationz75zzsaw_bbvzd2livenesszd2(156090797L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
			return
				BGl_modulezd2initializa7ationz75zzsaw_bbvzd2debugzd2(50428158L,
				BSTRING_TO_STRING(BGl_string2274z00zzsaw_bbvzd2optimzd2));
		}

	}

#ifdef __cplusplus
}
#endif
