/*===========================================================================*/
/*   (SawJvm/inline.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -stdc -indent SawJvm/inline.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS
#define BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_jvmz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_qnamez00;
		obj_t BgL_classesz00;
		obj_t BgL_currentzd2classzd2;
		obj_t BgL_declarationsz00;
		obj_t BgL_fieldsz00;
		obj_t BgL_methodsz00;
		obj_t BgL_currentzd2methodzd2;
		obj_t BgL_codez00;
		obj_t BgL_lightzd2funcallszd2;
		obj_t BgL_inlinez00;
	}             *BgL_jvmz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


#endif													// BGL_SAW_JVM_INLINE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31862ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_genzd2exprzd2zzsaw_jvm_codez00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31774ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31685ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31953ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31794ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31699ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	static obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_branchz00zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t, obj_t);
	static obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31996ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31998ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_declarezd2globalzd2zzsaw_jvm_outz00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31616ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_codez12z12zzsaw_jvm_outz00(BgL_jvmz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void);
	static obj_t BGl_z62zc3z04anonymousza31707ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31740ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31709ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31912ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00(void);
	static obj_t
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31824ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31833ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31817ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31923ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31827ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31772ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31837ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31748ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31829ze3ze5zzsaw_jvm_inlinez00(obj_t,
		obj_t);
	static obj_t __cnst[184];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2267za7,
		BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2268za7,
		BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2269za7,
		BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2270za7,
		BGl_z62zc3z04anonymousza31862ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2271za7,
		BGl_z62zc3z04anonymousza31867ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2272za7,
		BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2273za7,
		BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2274za7,
		BGl_z62zc3z04anonymousza31877ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2275za7,
		BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2276za7,
		BGl_z62zc3z04anonymousza31884ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2277za7,
		BGl_z62zc3z04anonymousza31886ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2278za7,
		BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2279za7,
		BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2280za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2281za7,
		BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2282za7,
		BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2283za7,
		BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2284za7,
		BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2285za7,
		BGl_z62zc3z04anonymousza31906ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2286za7,
		BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2287za7,
		BGl_z62zc3z04anonymousza31912ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2288za7,
		BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2289za7,
		BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2290za7,
		BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2291za7,
		BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2292za7,
		BGl_z62zc3z04anonymousza31923ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2293za7,
		BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2294za7,
		BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2295za7,
		BGl_z62zc3z04anonymousza31930ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2296za7,
		BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2297za7,
		BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2298za7,
		BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2299za7,
		BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2300za7,
		BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2301za7,
		BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2302za7,
		BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2303za7,
		BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2304za7,
		BGl_z62zc3z04anonymousza31953ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2305za7,
		BGl_z62zc3z04anonymousza31955ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2306za7,
		BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2predicatezf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2pred2307z00,
		BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2308za7,
		BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2309za7,
		BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2310za7,
		BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2311za7,
		BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2312za7,
		BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2313za7,
		BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2314za7,
		BGl_z62zc3z04anonymousza31598ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2315za7,
		BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2316za7,
		BGl_z62zc3z04anonymousza31616ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2317za7,
		BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2318za7,
		BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2319za7,
		BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2320za7,
		BGl_z62zc3z04anonymousza31674ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2321za7,
		BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2322za7,
		BGl_z62zc3z04anonymousza31685ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2323za7,
		BGl_z62zc3z04anonymousza31694ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2324za7,
		BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2325za7,
		BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2326za7,
		BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2327za7,
		BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2328za7,
		BGl_z62zc3z04anonymousza31699ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2329za7,
		BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2330za7,
		BGl_z62zc3z04anonymousza31707ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2331za7,
		BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2332za7,
		BGl_z62zc3z04anonymousza31709ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2333za7,
		BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2334za7,
		BGl_z62zc3z04anonymousza31713ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2262z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2262za700za7za7s2335za7, "I", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2336za7,
		BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2337za7,
		BGl_z62zc3z04anonymousza31735ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2263z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2263za700za7za7s2338za7, "Cannot find inlined functions", 29);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2339za7,
		BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2340za7,
		BGl_z62zc3z04anonymousza31740ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2264z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2264za700za7za7s2341za7, "saw_jvm_inline", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2342za7,
		BGl_z62zc3z04anonymousza31996ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2343za7,
		BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2265z00zzsaw_jvm_inlinez00,
		BgL_bgl_string2265za700za7za7s2344za7,
		"(iconst_0) SawJvm (putfield procarity) (putfield procenv) (putfield procindex) (invokespecial init) (dup) (new me) (anewarray obj) (instanceof bbool) goto (getstatic faux) (getstatic vrai) not-inlined (instanceof bchar) getstatic bchar_allocated (getfield bchar_value) getfield bchar_value (instanceof bint) (instanceof belong) (i2s) (i2b) (getfield bint_value) if_icmpne if_icmpeq if_icmple if_icmpgt if_icmplt if_icmpge (iadd) (isub) (imul) (idiv) (irem) (ior) (ixor) (ineg) (iconst_1) (instanceof real) (getfield real_value) (i2d) (d2i) (l2d) (d2l) ifne ifeq (dcmpl) ifle ifgt iflt ifge (dcmpg) (dadd) (dsub) (dmul) (ddiv) (dneg) if_acmpne if_acmpeq (getstatic *nil*) (instanceof (vector byte)) ok (iand) (sipush 255) (baload) (bastore) (arraylength) (newarray byte) (instanceof symbol) (getfield symbol_string) (putfield ccar) (getfield ccar) (instanceof pair) (getfield car) (getfield cdr) (putfield car) (putfield cdr) (instanceof extended_pair) (getfield cer) (putfield cer) (instanceof (vector obj)) (instanceof proc"
		"edure) no-value (aastore) (aaload) (getfield procenv) procedure-ref procedure-set! c-procedure? $vector? $set-cer! $cer $epair? $set-cdr! $set-car! $cdr $car $pair? cell-ref cell-set! c-symbol->string c-symbol? $make-string/wo-fill $string-length $string-set! $string-ref $bstring->string $string->bstring $string? $null? $negfl $/fl $*fl $-fl $+fl $>=fl $>fl $<=fl $<fl $=fl $flonum->llong $llong->flonum $flonum->elong $elong->flonum $flonum->fixnum $fixnum->flonum $real->double $flonum? $bitnot $bitxor $bitand $bitor $remainderfx $quotientfx $/fx $*fx $-fx $+fx $oddfx? $evenfx? $>=fx $>fx $<=fx $<fx $=fx $bint->int $long->int $int->long $bint->long $short->int $int->byte $int->short char->integer $elong? $fixnum? c-char>=? c-char>? c-char<=? c-char<? c-char=? $uchar->char $bchar->uchar $bchar->char $uchar->bchar c-char? c-eq? c-boxed-eq? $bool->bbool saw_jvm_inline_predicate $obj->bool $boolean? procedure-el-set! procedure-el-ref saw_jvm_inline_function make-el-procedure make-l-procedure make-va-procedure make"
		"-fx-procedure cnst-table-set! saw_jvm_inline_function_args cnst-table-ref (%exit long->bint $cons c-write-char) ",
		2160);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2345za7,
		BGl_z62zc3z04anonymousza31998ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2346za7,
		BGl_z62zc3z04anonymousza31748ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2347za7,
		BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2348za7,
		BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2349za7,
		BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2350za7,
		BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2351za7,
		BGl_z62zc3z04anonymousza31772ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2352za7,
		BGl_z62zc3z04anonymousza31774ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2353za7,
		BGl_z62zc3z04anonymousza31794ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2354za7,
		BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2355za7,
		BGl_z62zc3z04anonymousza31817ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2356za7,
		BGl_z62zc3z04anonymousza31824ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2357za7,
		BGl_z62zc3z04anonymousza31827ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2358za7,
		BGl_z62zc3z04anonymousza31829ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2359za7,
		BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2360za7,
		BGl_z62zc3z04anonymousza31833ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2361za7,
		BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2362za7,
		BGl_z62zc3z04anonymousza31837ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2363za7,
		BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2364za7,
		BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2365za7,
		BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2366za7,
		BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2367za7,
		BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2368za7,
		BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsaw_jvm_inlinez00,
		BgL_bgl_za762za7c3za704anonymo2369za7,
		BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2jvmzd2inlineszd2envzd2zzsaw_jvm_inlinez00,
		BgL_bgl_za762checkza7d2jvmza7d2370za7,
		BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzd2withzd2argszf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2371z00,
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzf3zd2envzf3zzsaw_jvm_inlinez00,
		BgL_bgl_za762inlineza7d2call2372z00,
		BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00));
		     ADD_ROOT((void *) (&BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_jvm_inlinez00(long
		BgL_checksumz00_4205, char *BgL_fromz00_4206)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_jvm_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					BGl_cnstzd2initzd2zzsaw_jvm_inlinez00();
					BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00();
					return BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__objectz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(0L, "saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L,
				"saw_jvm_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L,
				"saw_jvm_inline");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			{	/* SawJvm/inline.scm 1 */
				obj_t BgL_cportz00_4111;

				{	/* SawJvm/inline.scm 1 */
					obj_t BgL_stringz00_4118;

					BgL_stringz00_4118 = BGl_string2265z00zzsaw_jvm_inlinez00;
					{	/* SawJvm/inline.scm 1 */
						obj_t BgL_startz00_4119;

						BgL_startz00_4119 = BINT(0L);
						{	/* SawJvm/inline.scm 1 */
							obj_t BgL_endz00_4120;

							BgL_endz00_4120 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_4118)));
							{	/* SawJvm/inline.scm 1 */

								BgL_cportz00_4111 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_4118, BgL_startz00_4119, BgL_endz00_4120);
				}}}}
				{
					long BgL_iz00_4112;

					BgL_iz00_4112 = 183L;
				BgL_loopz00_4113:
					if ((BgL_iz00_4112 == -1L))
						{	/* SawJvm/inline.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawJvm/inline.scm 1 */
							{	/* SawJvm/inline.scm 1 */
								obj_t BgL_arg2266z00_4114;

								{	/* SawJvm/inline.scm 1 */

									{	/* SawJvm/inline.scm 1 */
										obj_t BgL_locationz00_4116;

										BgL_locationz00_4116 = BBOOL(((bool_t) 0));
										{	/* SawJvm/inline.scm 1 */

											BgL_arg2266z00_4114 =
												BGl_readz00zz__readerz00(BgL_cportz00_4111,
												BgL_locationz00_4116);
										}
									}
								}
								{	/* SawJvm/inline.scm 1 */
									int BgL_tmpz00_4234;

									BgL_tmpz00_4234 = (int) (BgL_iz00_4112);
									CNST_TABLE_SET(BgL_tmpz00_4234, BgL_arg2266z00_4114);
							}}
							{	/* SawJvm/inline.scm 1 */
								int BgL_auxz00_4117;

								BgL_auxz00_4117 = (int) ((BgL_iz00_4112 - 1L));
								{
									long BgL_iz00_4239;

									BgL_iz00_4239 = (long) (BgL_auxz00_4117);
									BgL_iz00_4112 = BgL_iz00_4239;
									goto BgL_loopz00_4113;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_za2jvmzd2inlinesza2zd2zzsaw_jvm_inlinez00 = BNIL;
			BGl_za2toozd2hardza2zd2zzsaw_jvm_inlinez00 = CNST_TABLE_REF(0L);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(1L),
				CNST_TABLE_REF(2L), BGl_proc2164z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(3L),
				CNST_TABLE_REF(2L), BGl_proc2165z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(4L),
				CNST_TABLE_REF(2L), BGl_proc2166z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(5L),
				CNST_TABLE_REF(2L), BGl_proc2167z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(6L),
				CNST_TABLE_REF(2L), BGl_proc2168z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(7L),
				CNST_TABLE_REF(8L), BGl_proc2169z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(9L),
				CNST_TABLE_REF(8L), BGl_proc2170z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(10L),
				CNST_TABLE_REF(8L), BGl_proc2171z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(11L),
				CNST_TABLE_REF(8L), BGl_proc2172z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(12L),
				CNST_TABLE_REF(13L), BGl_proc2173z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(14L),
				CNST_TABLE_REF(2L), BGl_proc2174z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(15L),
				CNST_TABLE_REF(13L), BGl_proc2175z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(16L),
				CNST_TABLE_REF(13L), BGl_proc2176z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(17L),
				CNST_TABLE_REF(8L), BGl_proc2177z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(18L),
				CNST_TABLE_REF(2L), BGl_proc2178z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(19L),
				CNST_TABLE_REF(8L), BGl_proc2179z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(20L),
				CNST_TABLE_REF(8L), BGl_proc2180z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(21L),
				CNST_TABLE_REF(8L), BGl_proc2181z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(22L),
				CNST_TABLE_REF(13L), BGl_proc2182z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(23L),
				CNST_TABLE_REF(13L), BGl_proc2183z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(24L),
				CNST_TABLE_REF(13L), BGl_proc2184z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(25L),
				CNST_TABLE_REF(13L), BGl_proc2185z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(26L),
				CNST_TABLE_REF(13L), BGl_proc2186z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(27L),
				CNST_TABLE_REF(8L), BGl_proc2187z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(28L),
				CNST_TABLE_REF(8L), BGl_proc2188z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(29L),
				CNST_TABLE_REF(8L), BGl_proc2189z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(30L),
				CNST_TABLE_REF(8L), BGl_proc2190z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(31L),
				CNST_TABLE_REF(8L), BGl_proc2191z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(32L),
				CNST_TABLE_REF(8L), BGl_proc2192z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(33L),
				CNST_TABLE_REF(8L), BGl_proc2193z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(34L),
				CNST_TABLE_REF(8L), BGl_proc2194z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(35L),
				CNST_TABLE_REF(8L), BGl_proc2195z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(36L),
				CNST_TABLE_REF(8L), BGl_proc2196z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(37L),
				CNST_TABLE_REF(8L), BGl_proc2197z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(38L),
				CNST_TABLE_REF(8L), BGl_proc2198z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(39L),
				CNST_TABLE_REF(8L), BGl_proc2199z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(40L),
				CNST_TABLE_REF(8L), BGl_proc2200z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(41L),
				CNST_TABLE_REF(8L), BGl_proc2201z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(37L),
				CNST_TABLE_REF(13L), BGl_proc2202z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(38L),
				CNST_TABLE_REF(13L), BGl_proc2203z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(39L),
				CNST_TABLE_REF(13L), BGl_proc2204z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(40L),
				CNST_TABLE_REF(13L), BGl_proc2205z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(41L),
				CNST_TABLE_REF(13L), BGl_proc2206z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(42L),
				CNST_TABLE_REF(13L), BGl_proc2207z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(43L),
				CNST_TABLE_REF(13L), BGl_proc2208z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(44L),
				CNST_TABLE_REF(8L), BGl_proc2209z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(45L),
				CNST_TABLE_REF(8L), BGl_proc2210z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(46L),
				CNST_TABLE_REF(8L), BGl_proc2211z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(47L),
				CNST_TABLE_REF(8L), BGl_proc2212z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(48L),
				CNST_TABLE_REF(8L), BGl_proc2213z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(49L),
				CNST_TABLE_REF(8L), BGl_proc2214z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(50L),
				CNST_TABLE_REF(8L), BGl_proc2215z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(51L),
				CNST_TABLE_REF(8L), BGl_proc2216z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(52L),
				CNST_TABLE_REF(8L), BGl_proc2217z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(53L),
				CNST_TABLE_REF(8L), BGl_proc2218z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(54L),
				CNST_TABLE_REF(8L), BGl_proc2219z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(55L),
				CNST_TABLE_REF(8L), BGl_proc2220z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(56L),
				CNST_TABLE_REF(8L), BGl_proc2221z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(57L),
				CNST_TABLE_REF(8L), BGl_proc2222z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(58L),
				CNST_TABLE_REF(8L), BGl_proc2223z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(59L),
				CNST_TABLE_REF(8L), BGl_proc2224z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(60L),
				CNST_TABLE_REF(8L), BGl_proc2225z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(61L),
				CNST_TABLE_REF(8L), BGl_proc2226z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(62L),
				CNST_TABLE_REF(13L), BGl_proc2227z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(63L),
				CNST_TABLE_REF(13L), BGl_proc2228z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(64L),
				CNST_TABLE_REF(13L), BGl_proc2229z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(65L),
				CNST_TABLE_REF(13L), BGl_proc2230z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(66L),
				CNST_TABLE_REF(13L), BGl_proc2231z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(67L),
				CNST_TABLE_REF(8L), BGl_proc2232z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(68L),
				CNST_TABLE_REF(8L), BGl_proc2233z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(69L),
				CNST_TABLE_REF(8L), BGl_proc2234z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(70L),
				CNST_TABLE_REF(8L), BGl_proc2235z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(71L),
				CNST_TABLE_REF(8L), BGl_proc2236z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(72L),
				CNST_TABLE_REF(8L), BGl_proc2237z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(72L),
				CNST_TABLE_REF(13L), BGl_proc2238z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(73L),
				CNST_TABLE_REF(8L), BGl_proc2239z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(74L),
				CNST_TABLE_REF(8L), BGl_proc2240z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(75L),
				CNST_TABLE_REF(8L), BGl_proc2241z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(76L),
				CNST_TABLE_REF(8L), BGl_proc2242z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(77L),
				CNST_TABLE_REF(8L), BGl_proc2243z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(78L),
				CNST_TABLE_REF(8L), BGl_proc2244z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(79L),
				CNST_TABLE_REF(8L), BGl_proc2245z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(80L),
				CNST_TABLE_REF(8L), BGl_proc2246z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(81L),
				CNST_TABLE_REF(8L), BGl_proc2247z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(82L),
				CNST_TABLE_REF(8L), BGl_proc2248z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(83L),
				CNST_TABLE_REF(8L), BGl_proc2249z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(84L),
				CNST_TABLE_REF(8L), BGl_proc2250z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(85L),
				CNST_TABLE_REF(8L), BGl_proc2251z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(86L),
				CNST_TABLE_REF(8L), BGl_proc2252z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(87L),
				CNST_TABLE_REF(8L), BGl_proc2253z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(88L),
				CNST_TABLE_REF(8L), BGl_proc2254z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(89L),
				CNST_TABLE_REF(8L), BGl_proc2255z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(90L),
				CNST_TABLE_REF(8L), BGl_proc2256z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(91L),
				CNST_TABLE_REF(8L), BGl_proc2257z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(92L),
				CNST_TABLE_REF(8L), BGl_proc2258z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(93L),
				CNST_TABLE_REF(8L), BGl_proc2259z00zzsaw_jvm_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(94L),
				CNST_TABLE_REF(2L), BGl_proc2260z00zzsaw_jvm_inlinez00);
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(95L),
				CNST_TABLE_REF(2L), BGl_proc2261z00zzsaw_jvm_inlinez00);
		}

	}



/* &<@anonymous:2005> */
	obj_t BGl_z62zc3z04anonymousza32005ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3851, obj_t BgL_mez00_3852, obj_t BgL_argsz00_3853)
	{
		{	/* SawJvm/inline.scm 548 */
			{	/* SawJvm/inline.scm 549 */
				obj_t BgL_arg2006z00_4122;

				BgL_arg2006z00_4122 = CAR(((obj_t) BgL_argsz00_3853));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3852), BgL_arg2006z00_4122);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3852), CNST_TABLE_REF(96L));
			{	/* SawJvm/inline.scm 551 */
				obj_t BgL_arg2007z00_4123;

				{	/* SawJvm/inline.scm 551 */
					obj_t BgL_pairz00_4124;

					BgL_pairz00_4124 = CDR(((obj_t) BgL_argsz00_3853));
					BgL_arg2007z00_4123 = CAR(BgL_pairz00_4124);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3852), BgL_arg2007z00_4123);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3852), CNST_TABLE_REF(97L));
		}

	}



/* &<@anonymous:2000> */
	obj_t BGl_z62zc3z04anonymousza32000ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3854, obj_t BgL_mez00_3855, obj_t BgL_argsz00_3856)
	{
		{	/* SawJvm/inline.scm 540 */
			{	/* SawJvm/inline.scm 541 */
				obj_t BgL_arg2001z00_4125;

				BgL_arg2001z00_4125 = CAR(((obj_t) BgL_argsz00_3856));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3855), BgL_arg2001z00_4125);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3855), CNST_TABLE_REF(96L));
			{	/* SawJvm/inline.scm 543 */
				obj_t BgL_arg2002z00_4126;

				{	/* SawJvm/inline.scm 543 */
					obj_t BgL_pairz00_4127;

					BgL_pairz00_4127 = CDR(((obj_t) BgL_argsz00_3856));
					BgL_arg2002z00_4126 = CAR(BgL_pairz00_4127);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3855), BgL_arg2002z00_4126);
			}
			{	/* SawJvm/inline.scm 544 */
				obj_t BgL_arg2003z00_4128;

				{	/* SawJvm/inline.scm 544 */
					obj_t BgL_pairz00_4129;

					{	/* SawJvm/inline.scm 544 */
						obj_t BgL_pairz00_4130;

						BgL_pairz00_4130 = CDR(((obj_t) BgL_argsz00_3856));
						BgL_pairz00_4129 = CDR(BgL_pairz00_4130);
					}
					BgL_arg2003z00_4128 = CAR(BgL_pairz00_4129);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_3855), BgL_arg2003z00_4128);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3855), CNST_TABLE_REF(98L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1998> */
	obj_t BGl_z62zc3z04anonymousza31998ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3857, obj_t BgL_mez00_3858)
	{
		{	/* SawJvm/inline.scm 537 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3858), CNST_TABLE_REF(100L));
		}

	}



/* &<@anonymous:1996> */
	obj_t BGl_z62zc3z04anonymousza31996ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3859, obj_t BgL_mez00_3860)
	{
		{	/* SawJvm/inline.scm 519 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3860), CNST_TABLE_REF(101L));
		}

	}



/* &<@anonymous:1994> */
	obj_t BGl_z62zc3z04anonymousza31994ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3861, obj_t BgL_mez00_3862)
	{
		{	/* SawJvm/inline.scm 512 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3862), CNST_TABLE_REF(102L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1992> */
	obj_t BGl_z62zc3z04anonymousza31992ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3863, obj_t BgL_mez00_3864)
	{
		{	/* SawJvm/inline.scm 509 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3864), CNST_TABLE_REF(103L));
		}

	}



/* &<@anonymous:1990> */
	obj_t BGl_z62zc3z04anonymousza31990ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3865, obj_t BgL_mez00_3866)
	{
		{	/* SawJvm/inline.scm 506 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3866), CNST_TABLE_REF(104L));
		}

	}



/* &<@anonymous:1988> */
	obj_t BGl_z62zc3z04anonymousza31988ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3867, obj_t BgL_mez00_3868)
	{
		{	/* SawJvm/inline.scm 499 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3868), CNST_TABLE_REF(105L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1986> */
	obj_t BGl_z62zc3z04anonymousza31986ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3869, obj_t BgL_mez00_3870)
	{
		{	/* SawJvm/inline.scm 495 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3870), CNST_TABLE_REF(106L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1984> */
	obj_t BGl_z62zc3z04anonymousza31984ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3871, obj_t BgL_mez00_3872)
	{
		{	/* SawJvm/inline.scm 492 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3872), CNST_TABLE_REF(107L));
		}

	}



/* &<@anonymous:1982> */
	obj_t BGl_z62zc3z04anonymousza31982ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3873, obj_t BgL_mez00_3874)
	{
		{	/* SawJvm/inline.scm 489 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3874), CNST_TABLE_REF(108L));
		}

	}



/* &<@anonymous:1980> */
	obj_t BGl_z62zc3z04anonymousza31980ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3875, obj_t BgL_mez00_3876)
	{
		{	/* SawJvm/inline.scm 486 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3876), CNST_TABLE_REF(109L));
		}

	}



/* &<@anonymous:1978> */
	obj_t BGl_z62zc3z04anonymousza31978ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3877, obj_t BgL_mez00_3878)
	{
		{	/* SawJvm/inline.scm 470 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3878), CNST_TABLE_REF(110L));
		}

	}



/* &<@anonymous:1976> */
	obj_t BGl_z62zc3z04anonymousza31976ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3879, obj_t BgL_mez00_3880)
	{
		{	/* SawJvm/inline.scm 466 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3880), CNST_TABLE_REF(111L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1974> */
	obj_t BGl_z62zc3z04anonymousza31974ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3881, obj_t BgL_mez00_3882)
	{
		{	/* SawJvm/inline.scm 460 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3882), CNST_TABLE_REF(112L));
		}

	}



/* &<@anonymous:1972> */
	obj_t BGl_z62zc3z04anonymousza31972ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3883, obj_t BgL_mez00_3884)
	{
		{	/* SawJvm/inline.scm 457 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3884), CNST_TABLE_REF(113L));
		}

	}



/* &<@anonymous:1970> */
	obj_t BGl_z62zc3z04anonymousza31970ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3885, obj_t BgL_mez00_3886)
	{
		{	/* SawJvm/inline.scm 438 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3886), CNST_TABLE_REF(114L));
		}

	}



/* &<@anonymous:1968> */
	obj_t BGl_z62zc3z04anonymousza31968ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3887, obj_t BgL_mez00_3888)
	{
		{	/* SawJvm/inline.scm 435 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3888), CNST_TABLE_REF(115L));
		}

	}



/* &<@anonymous:1966> */
	obj_t BGl_z62zc3z04anonymousza31966ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3889, obj_t BgL_mez00_3890)
	{
		{	/* SawJvm/inline.scm 431 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3890), CNST_TABLE_REF(116L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1964> */
	obj_t BGl_z62zc3z04anonymousza31964ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3891, obj_t BgL_mez00_3892)
	{
		{	/* SawJvm/inline.scm 426 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3892), CNST_TABLE_REF(117L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3892), CNST_TABLE_REF(118L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3892), CNST_TABLE_REF(119L));
		}

	}



/* &<@anonymous:1962> */
	obj_t BGl_z62zc3z04anonymousza31962ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3893, obj_t BgL_mez00_3894)
	{
		{	/* SawJvm/inline.scm 423 */
			return CNST_TABLE_REF(120L);
		}

	}



/* &<@anonymous:1960> */
	obj_t BGl_z62zc3z04anonymousza31960ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3895, obj_t BgL_mez00_3896)
	{
		{	/* SawJvm/inline.scm 420 */
			return CNST_TABLE_REF(120L);
		}

	}



/* &<@anonymous:1958> */
	obj_t BGl_z62zc3z04anonymousza31958ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3897, obj_t BgL_mez00_3898)
	{
		{	/* SawJvm/inline.scm 417 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3898), CNST_TABLE_REF(121L));
		}

	}



/* &<@anonymous:1955> */
	obj_t BGl_z62zc3z04anonymousza31955ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3899, obj_t BgL_mez00_3900, obj_t BgL_onzf3zf3_3901,
		obj_t BgL_labz00_3902)
	{
		{	/* SawJvm/inline.scm 392 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3900), CNST_TABLE_REF(122L));
			{	/* SawJvm/inline.scm 394 */
				obj_t BgL_arg1956z00_4131;

				if (CBOOL(BgL_onzf3zf3_3901))
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1956z00_4131 = CNST_TABLE_REF(123L);
					}
				else
					{	/* SawJvm/inline.scm 394 */
						BgL_arg1956z00_4131 = CNST_TABLE_REF(124L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3900), BgL_arg1956z00_4131,
					BgL_labz00_3902);
			}
		}

	}



/* &<@anonymous:1953> */
	obj_t BGl_z62zc3z04anonymousza31953ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3903, obj_t BgL_mez00_3904)
	{
		{	/* SawJvm/inline.scm 388 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3904), CNST_TABLE_REF(122L));
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_3904,
				CNST_TABLE_REF(123L));
		}

	}



/* &<@anonymous:1951> */
	obj_t BGl_z62zc3z04anonymousza31951ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3905, obj_t BgL_mez00_3906)
	{
		{	/* SawJvm/inline.scm 380 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3906), CNST_TABLE_REF(125L));
		}

	}



/* &<@anonymous:1949> */
	obj_t BGl_z62zc3z04anonymousza31949ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3907, obj_t BgL_mez00_3908)
	{
		{	/* SawJvm/inline.scm 379 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3908), CNST_TABLE_REF(126L));
		}

	}



/* &<@anonymous:1947> */
	obj_t BGl_z62zc3z04anonymousza31947ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3909, obj_t BgL_mez00_3910)
	{
		{	/* SawJvm/inline.scm 378 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3910), CNST_TABLE_REF(127L));
		}

	}



/* &<@anonymous:1945> */
	obj_t BGl_z62zc3z04anonymousza31945ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3911, obj_t BgL_mez00_3912)
	{
		{	/* SawJvm/inline.scm 377 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3912), CNST_TABLE_REF(128L));
		}

	}



/* &<@anonymous:1943> */
	obj_t BGl_z62zc3z04anonymousza31943ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3913, obj_t BgL_mez00_3914)
	{
		{	/* SawJvm/inline.scm 376 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3914), CNST_TABLE_REF(129L));
		}

	}



/* &<@anonymous:1940> */
	obj_t BGl_z62zc3z04anonymousza31940ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3915, obj_t BgL_mez00_3916, obj_t BgL_onzf3zf3_3917,
		obj_t BgL_labz00_3918)
	{
		{	/* SawJvm/inline.scm 372 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3916), CNST_TABLE_REF(130L));
			{	/* SawJvm/inline.scm 374 */
				obj_t BgL_arg1941z00_4132;

				if (CBOOL(BgL_onzf3zf3_3917))
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1941z00_4132 = CNST_TABLE_REF(131L);
					}
				else
					{	/* SawJvm/inline.scm 374 */
						BgL_arg1941z00_4132 = CNST_TABLE_REF(132L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3916), BgL_arg1941z00_4132,
					BgL_labz00_3918);
			}
		}

	}



/* &<@anonymous:1937> */
	obj_t BGl_z62zc3z04anonymousza31937ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3919, obj_t BgL_mez00_3920, obj_t BgL_onzf3zf3_3921,
		obj_t BgL_labz00_3922)
	{
		{	/* SawJvm/inline.scm 368 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3920), CNST_TABLE_REF(130L));
			{	/* SawJvm/inline.scm 370 */
				obj_t BgL_arg1938z00_4133;

				if (CBOOL(BgL_onzf3zf3_3921))
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1938z00_4133 = CNST_TABLE_REF(133L);
					}
				else
					{	/* SawJvm/inline.scm 370 */
						BgL_arg1938z00_4133 = CNST_TABLE_REF(134L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3920), BgL_arg1938z00_4133,
					BgL_labz00_3922);
			}
		}

	}



/* &<@anonymous:1934> */
	obj_t BGl_z62zc3z04anonymousza31934ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3923, obj_t BgL_mez00_3924, obj_t BgL_onzf3zf3_3925,
		obj_t BgL_labz00_3926)
	{
		{	/* SawJvm/inline.scm 364 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3924), CNST_TABLE_REF(135L));
			{	/* SawJvm/inline.scm 366 */
				obj_t BgL_arg1935z00_4134;

				if (CBOOL(BgL_onzf3zf3_3925))
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1935z00_4134 = CNST_TABLE_REF(134L);
					}
				else
					{	/* SawJvm/inline.scm 366 */
						BgL_arg1935z00_4134 = CNST_TABLE_REF(133L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3924), BgL_arg1935z00_4134,
					BgL_labz00_3926);
			}
		}

	}



/* &<@anonymous:1930> */
	obj_t BGl_z62zc3z04anonymousza31930ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3927, obj_t BgL_mez00_3928, obj_t BgL_onzf3zf3_3929,
		obj_t BgL_labz00_3930)
	{
		{	/* SawJvm/inline.scm 360 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3928), CNST_TABLE_REF(135L));
			{	/* SawJvm/inline.scm 362 */
				obj_t BgL_arg1931z00_4135;

				if (CBOOL(BgL_onzf3zf3_3929))
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1931z00_4135 = CNST_TABLE_REF(132L);
					}
				else
					{	/* SawJvm/inline.scm 362 */
						BgL_arg1931z00_4135 = CNST_TABLE_REF(131L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3928), BgL_arg1931z00_4135,
					BgL_labz00_3930);
			}
		}

	}



/* &<@anonymous:1927> */
	obj_t BGl_z62zc3z04anonymousza31927ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3931, obj_t BgL_mez00_3932, obj_t BgL_onzf3zf3_3933,
		obj_t BgL_labz00_3934)
	{
		{	/* SawJvm/inline.scm 356 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3932), CNST_TABLE_REF(130L));
			{	/* SawJvm/inline.scm 358 */
				obj_t BgL_arg1928z00_4136;

				if (CBOOL(BgL_onzf3zf3_3933))
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1928z00_4136 = CNST_TABLE_REF(136L);
					}
				else
					{	/* SawJvm/inline.scm 358 */
						BgL_arg1928z00_4136 = CNST_TABLE_REF(137L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3932), BgL_arg1928z00_4136,
					BgL_labz00_3934);
			}
		}

	}



/* &<@anonymous:1925> */
	obj_t BGl_z62zc3z04anonymousza31925ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3935, obj_t BgL_mez00_3936)
	{
		{	/* SawJvm/inline.scm 353 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3936), CNST_TABLE_REF(138L));
		}

	}



/* &<@anonymous:1923> */
	obj_t BGl_z62zc3z04anonymousza31923ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3937, obj_t BgL_mez00_3938)
	{
		{	/* SawJvm/inline.scm 350 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3938), CNST_TABLE_REF(139L));
		}

	}



/* &<@anonymous:1921> */
	obj_t BGl_z62zc3z04anonymousza31921ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3939, obj_t BgL_mez00_3940)
	{
		{	/* SawJvm/inline.scm 347 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3940), CNST_TABLE_REF(138L));
		}

	}



/* &<@anonymous:1919> */
	obj_t BGl_z62zc3z04anonymousza31919ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3941, obj_t BgL_mez00_3942)
	{
		{	/* SawJvm/inline.scm 344 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3942), CNST_TABLE_REF(139L));
		}

	}



/* &<@anonymous:1917> */
	obj_t BGl_z62zc3z04anonymousza31917ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3943, obj_t BgL_mez00_3944)
	{
		{	/* SawJvm/inline.scm 341 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3944), CNST_TABLE_REF(140L));
		}

	}



/* &<@anonymous:1915> */
	obj_t BGl_z62zc3z04anonymousza31915ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3945, obj_t BgL_mez00_3946)
	{
		{	/* SawJvm/inline.scm 338 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3946), CNST_TABLE_REF(141L));
		}

	}



/* &<@anonymous:1912> */
	obj_t BGl_z62zc3z04anonymousza31912ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3947, obj_t BgL_mez00_3948)
	{
		{	/* SawJvm/inline.scm 335 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3948), CNST_TABLE_REF(142L));
		}

	}



/* &<@anonymous:1909> */
	obj_t BGl_z62zc3z04anonymousza31909ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3949, obj_t BgL_mez00_3950)
	{
		{	/* SawJvm/inline.scm 332 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3950), CNST_TABLE_REF(143L));
		}

	}



/* &<@anonymous:1906> */
	obj_t BGl_z62zc3z04anonymousza31906ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3951, obj_t BgL_mez00_3952)
	{
		{	/* SawJvm/inline.scm 324 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3952), CNST_TABLE_REF(144L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3952), CNST_TABLE_REF(145L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3952), CNST_TABLE_REF(146L));
		}

	}



/* &<@anonymous:1901> */
	obj_t BGl_z62zc3z04anonymousza31901ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3953, obj_t BgL_mez00_3954)
	{
		{	/* SawJvm/inline.scm 323 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3954), CNST_TABLE_REF(146L));
		}

	}



/* &<@anonymous:1899> */
	obj_t BGl_z62zc3z04anonymousza31899ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3955, obj_t BgL_mez00_3956)
	{
		{	/* SawJvm/inline.scm 322 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3956), CNST_TABLE_REF(119L));
		}

	}



/* &<@anonymous:1897> */
	obj_t BGl_z62zc3z04anonymousza31897ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3957, obj_t BgL_mez00_3958)
	{
		{	/* SawJvm/inline.scm 321 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3958), CNST_TABLE_REF(147L));
		}

	}



/* &<@anonymous:1895> */
	obj_t BGl_z62zc3z04anonymousza31895ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3959, obj_t BgL_mez00_3960)
	{
		{	/* SawJvm/inline.scm 320 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3960), CNST_TABLE_REF(148L));
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3961, obj_t BgL_mez00_3962)
	{
		{	/* SawJvm/inline.scm 319 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3962), CNST_TABLE_REF(149L));
		}

	}



/* &<@anonymous:1891> */
	obj_t BGl_z62zc3z04anonymousza31891ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3963, obj_t BgL_mez00_3964)
	{
		{	/* SawJvm/inline.scm 318 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3964), CNST_TABLE_REF(149L));
		}

	}



/* &<@anonymous:1889> */
	obj_t BGl_z62zc3z04anonymousza31889ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3965, obj_t BgL_mez00_3966)
	{
		{	/* SawJvm/inline.scm 317 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3966), CNST_TABLE_REF(150L));
		}

	}



/* &<@anonymous:1886> */
	obj_t BGl_z62zc3z04anonymousza31886ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3967, obj_t BgL_mez00_3968)
	{
		{	/* SawJvm/inline.scm 316 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3968), CNST_TABLE_REF(151L));
		}

	}



/* &<@anonymous:1884> */
	obj_t BGl_z62zc3z04anonymousza31884ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3969, obj_t BgL_mez00_3970)
	{
		{	/* SawJvm/inline.scm 315 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3970), CNST_TABLE_REF(152L));
		}

	}



/* &<@anonymous:1881> */
	obj_t BGl_z62zc3z04anonymousza31881ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3971, obj_t BgL_mez00_3972, obj_t BgL_onzf3zf3_3973,
		obj_t BgL_labz00_3974)
	{
		{	/* SawJvm/inline.scm 310 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3972), CNST_TABLE_REF(144L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3972), CNST_TABLE_REF(119L));
			{	/* SawJvm/inline.scm 313 */
				obj_t BgL_arg1882z00_4137;

				if (CBOOL(BgL_onzf3zf3_3973))
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1882z00_4137 = CNST_TABLE_REF(137L);
					}
				else
					{	/* SawJvm/inline.scm 313 */
						BgL_arg1882z00_4137 = CNST_TABLE_REF(136L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3972), BgL_arg1882z00_4137,
					BgL_labz00_3974);
			}
		}

	}



/* &<@anonymous:1877> */
	obj_t BGl_z62zc3z04anonymousza31877ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3975, obj_t BgL_mez00_3976, obj_t BgL_onzf3zf3_3977,
		obj_t BgL_labz00_3978)
	{
		{	/* SawJvm/inline.scm 305 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3976), CNST_TABLE_REF(144L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_3976), CNST_TABLE_REF(119L));
			{	/* SawJvm/inline.scm 308 */
				obj_t BgL_arg1879z00_4138;

				if (CBOOL(BgL_onzf3zf3_3977))
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1879z00_4138 = CNST_TABLE_REF(136L);
					}
				else
					{	/* SawJvm/inline.scm 308 */
						BgL_arg1879z00_4138 = CNST_TABLE_REF(137L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3976), BgL_arg1879z00_4138,
					BgL_labz00_3978);
			}
		}

	}



/* &<@anonymous:1874> */
	obj_t BGl_z62zc3z04anonymousza31874ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3979, obj_t BgL_mez00_3980, obj_t BgL_onzf3zf3_3981,
		obj_t BgL_labz00_3982)
	{
		{	/* SawJvm/inline.scm 302 */
			{	/* SawJvm/inline.scm 303 */
				obj_t BgL_arg1875z00_4139;

				if (CBOOL(BgL_onzf3zf3_3981))
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1875z00_4139 = CNST_TABLE_REF(153L);
					}
				else
					{	/* SawJvm/inline.scm 303 */
						BgL_arg1875z00_4139 = CNST_TABLE_REF(154L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3980), BgL_arg1875z00_4139,
					BgL_labz00_3982);
			}
		}

	}



/* &<@anonymous:1871> */
	obj_t BGl_z62zc3z04anonymousza31871ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3983, obj_t BgL_mez00_3984, obj_t BgL_onzf3zf3_3985,
		obj_t BgL_labz00_3986)
	{
		{	/* SawJvm/inline.scm 299 */
			{	/* SawJvm/inline.scm 300 */
				obj_t BgL_arg1872z00_4140;

				if (CBOOL(BgL_onzf3zf3_3985))
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1872z00_4140 = CNST_TABLE_REF(155L);
					}
				else
					{	/* SawJvm/inline.scm 300 */
						BgL_arg1872z00_4140 = CNST_TABLE_REF(156L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3984), BgL_arg1872z00_4140,
					BgL_labz00_3986);
			}
		}

	}



/* &<@anonymous:1867> */
	obj_t BGl_z62zc3z04anonymousza31867ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3987, obj_t BgL_mez00_3988, obj_t BgL_onzf3zf3_3989,
		obj_t BgL_labz00_3990)
	{
		{	/* SawJvm/inline.scm 296 */
			{	/* SawJvm/inline.scm 297 */
				obj_t BgL_arg1868z00_4141;

				if (CBOOL(BgL_onzf3zf3_3989))
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1868z00_4141 = CNST_TABLE_REF(156L);
					}
				else
					{	/* SawJvm/inline.scm 297 */
						BgL_arg1868z00_4141 = CNST_TABLE_REF(155L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3988), BgL_arg1868z00_4141,
					BgL_labz00_3990);
			}
		}

	}



/* &<@anonymous:1862> */
	obj_t BGl_z62zc3z04anonymousza31862ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3991, obj_t BgL_mez00_3992, obj_t BgL_onzf3zf3_3993,
		obj_t BgL_labz00_3994)
	{
		{	/* SawJvm/inline.scm 293 */
			{	/* SawJvm/inline.scm 294 */
				obj_t BgL_arg1864z00_4142;

				if (CBOOL(BgL_onzf3zf3_3993))
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1864z00_4142 = CNST_TABLE_REF(154L);
					}
				else
					{	/* SawJvm/inline.scm 294 */
						BgL_arg1864z00_4142 = CNST_TABLE_REF(153L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3992), BgL_arg1864z00_4142,
					BgL_labz00_3994);
			}
		}

	}



/* &<@anonymous:1857> */
	obj_t BGl_z62zc3z04anonymousza31857ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3995, obj_t BgL_mez00_3996, obj_t BgL_onzf3zf3_3997,
		obj_t BgL_labz00_3998)
	{
		{	/* SawJvm/inline.scm 290 */
			{	/* SawJvm/inline.scm 291 */
				obj_t BgL_arg1860z00_4143;

				if (CBOOL(BgL_onzf3zf3_3997))
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1860z00_4143 = CNST_TABLE_REF(157L);
					}
				else
					{	/* SawJvm/inline.scm 291 */
						BgL_arg1860z00_4143 = CNST_TABLE_REF(158L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_3996), BgL_arg1860z00_4143,
					BgL_labz00_3998);
			}
		}

	}



/* &<@anonymous:1855> */
	obj_t BGl_z62zc3z04anonymousza31855ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_3999, obj_t BgL_mez00_4000)
	{
		{	/* SawJvm/inline.scm 287 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4000,
				CNST_TABLE_REF(153L));
		}

	}



/* &<@anonymous:1853> */
	obj_t BGl_z62zc3z04anonymousza31853ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4001, obj_t BgL_mez00_4002)
	{
		{	/* SawJvm/inline.scm 284 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4002,
				CNST_TABLE_REF(155L));
		}

	}



/* &<@anonymous:1851> */
	obj_t BGl_z62zc3z04anonymousza31851ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4003, obj_t BgL_mez00_4004)
	{
		{	/* SawJvm/inline.scm 281 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4004,
				CNST_TABLE_REF(156L));
		}

	}



/* &<@anonymous:1849> */
	obj_t BGl_z62zc3z04anonymousza31849ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4005, obj_t BgL_mez00_4006)
	{
		{	/* SawJvm/inline.scm 278 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4006,
				CNST_TABLE_REF(154L));
		}

	}



/* &<@anonymous:1847> */
	obj_t BGl_z62zc3z04anonymousza31847ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4007, obj_t BgL_mez00_4008)
	{
		{	/* SawJvm/inline.scm 275 */
			return
				BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(BgL_mez00_4008,
				CNST_TABLE_REF(157L));
		}

	}



/* &<@anonymous:1845> */
	obj_t BGl_z62zc3z04anonymousza31845ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4009, obj_t BgL_mez00_4010)
	{
		{	/* SawJvm/inline.scm 262 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4010), CNST_TABLE_REF(159L));
		}

	}



/* &<@anonymous:1843> */
	obj_t BGl_z62zc3z04anonymousza31843ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4011, obj_t BgL_mez00_4012)
	{
		{	/* SawJvm/inline.scm 259 */
			return CNST_TABLE_REF(120L);
		}

	}



/* &<@anonymous:1841> */
	obj_t BGl_z62zc3z04anonymousza31841ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4013, obj_t BgL_mez00_4014)
	{
		{	/* SawJvm/inline.scm 256 */
			return CNST_TABLE_REF(120L);
		}

	}



/* &<@anonymous:1839> */
	obj_t BGl_z62zc3z04anonymousza31839ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4015, obj_t BgL_mez00_4016)
	{
		{	/* SawJvm/inline.scm 250 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4016), CNST_TABLE_REF(159L));
		}

	}



/* &<@anonymous:1837> */
	obj_t BGl_z62zc3z04anonymousza31837ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4017, obj_t BgL_mez00_4018)
	{
		{	/* SawJvm/inline.scm 247 */
			return CNST_TABLE_REF(120L);
		}

	}



/* &<@anonymous:1835> */
	obj_t BGl_z62zc3z04anonymousza31835ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4019, obj_t BgL_mez00_4020)
	{
		{	/* SawJvm/inline.scm 244 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4020), CNST_TABLE_REF(160L));
		}

	}



/* &<@anonymous:1833> */
	obj_t BGl_z62zc3z04anonymousza31833ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4021, obj_t BgL_mez00_4022)
	{
		{	/* SawJvm/inline.scm 241 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4022), CNST_TABLE_REF(161L));
		}

	}



/* &<@anonymous:1831> */
	obj_t BGl_z62zc3z04anonymousza31831ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4023, obj_t BgL_mez00_4024)
	{
		{	/* SawJvm/inline.scm 237 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4024), CNST_TABLE_REF(118L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4024), CNST_TABLE_REF(119L));
		}

	}



/* &<@anonymous:1829> */
	obj_t BGl_z62zc3z04anonymousza31829ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4025, obj_t BgL_mez00_4026)
	{
		{	/* SawJvm/inline.scm 234 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4026), CNST_TABLE_REF(162L));
		}

	}



/* &<@anonymous:1827> */
	obj_t BGl_z62zc3z04anonymousza31827ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4027, obj_t BgL_mez00_4028)
	{
		{	/* SawJvm/inline.scm 231 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4028), CNST_TABLE_REF(163L));
		}

	}



/* &<@anonymous:1824> */
	obj_t BGl_z62zc3z04anonymousza31824ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4029, obj_t BgL_mez00_4030, obj_t BgL_onzf3zf3_4031,
		obj_t BgL_labz00_4032)
	{
		{	/* SawJvm/inline.scm 225 */
			{	/* SawJvm/inline.scm 226 */
				obj_t BgL_arg1825z00_4144;

				if (CBOOL(BgL_onzf3zf3_4031))
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1825z00_4144 = CNST_TABLE_REF(153L);
					}
				else
					{	/* SawJvm/inline.scm 226 */
						BgL_arg1825z00_4144 = CNST_TABLE_REF(154L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4030), BgL_arg1825z00_4144,
					BgL_labz00_4032);
			}
		}

	}



/* &<@anonymous:1817> */
	obj_t BGl_z62zc3z04anonymousza31817ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4033, obj_t BgL_mez00_4034, obj_t BgL_onzf3zf3_4035,
		obj_t BgL_labz00_4036)
	{
		{	/* SawJvm/inline.scm 222 */
			{	/* SawJvm/inline.scm 223 */
				obj_t BgL_arg1822z00_4145;

				if (CBOOL(BgL_onzf3zf3_4035))
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1822z00_4145 = CNST_TABLE_REF(155L);
					}
				else
					{	/* SawJvm/inline.scm 223 */
						BgL_arg1822z00_4145 = CNST_TABLE_REF(156L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4034), BgL_arg1822z00_4145,
					BgL_labz00_4036);
			}
		}

	}



/* &<@anonymous:1800> */
	obj_t BGl_z62zc3z04anonymousza31800ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4037, obj_t BgL_mez00_4038, obj_t BgL_onzf3zf3_4039,
		obj_t BgL_labz00_4040)
	{
		{	/* SawJvm/inline.scm 219 */
			{	/* SawJvm/inline.scm 220 */
				obj_t BgL_arg1802z00_4146;

				if (CBOOL(BgL_onzf3zf3_4039))
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1802z00_4146 = CNST_TABLE_REF(156L);
					}
				else
					{	/* SawJvm/inline.scm 220 */
						BgL_arg1802z00_4146 = CNST_TABLE_REF(155L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4038), BgL_arg1802z00_4146,
					BgL_labz00_4040);
			}
		}

	}



/* &<@anonymous:1794> */
	obj_t BGl_z62zc3z04anonymousza31794ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4041, obj_t BgL_mez00_4042, obj_t BgL_onzf3zf3_4043,
		obj_t BgL_labz00_4044)
	{
		{	/* SawJvm/inline.scm 216 */
			{	/* SawJvm/inline.scm 217 */
				obj_t BgL_arg1798z00_4147;

				if (CBOOL(BgL_onzf3zf3_4043))
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1798z00_4147 = CNST_TABLE_REF(154L);
					}
				else
					{	/* SawJvm/inline.scm 217 */
						BgL_arg1798z00_4147 = CNST_TABLE_REF(153L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4042), BgL_arg1798z00_4147,
					BgL_labz00_4044);
			}
		}

	}



/* &<@anonymous:1774> */
	obj_t BGl_z62zc3z04anonymousza31774ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4045, obj_t BgL_mez00_4046, obj_t BgL_onzf3zf3_4047,
		obj_t BgL_labz00_4048)
	{
		{	/* SawJvm/inline.scm 213 */
			{	/* SawJvm/inline.scm 214 */
				obj_t BgL_arg1776z00_4148;

				if (CBOOL(BgL_onzf3zf3_4047))
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1776z00_4148 = CNST_TABLE_REF(157L);
					}
				else
					{	/* SawJvm/inline.scm 214 */
						BgL_arg1776z00_4148 = CNST_TABLE_REF(158L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4046), BgL_arg1776z00_4148,
					BgL_labz00_4048);
			}
		}

	}



/* &<@anonymous:1772> */
	obj_t BGl_z62zc3z04anonymousza31772ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4049, obj_t BgL_mez00_4050)
	{
		{	/* SawJvm/inline.scm 210 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4050), CNST_TABLE_REF(160L));
		}

	}



/* &<@anonymous:1760> */
	obj_t BGl_z62zc3z04anonymousza31760ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4051, obj_t BgL_mez00_4052)
	{
		{	/* SawJvm/inline.scm 205 */
			{	/* SawJvm/inline.scm 206 */
				obj_t BgL_arg1763z00_4149;

				{	/* SawJvm/inline.scm 206 */
					obj_t BgL_arg1768z00_4150;

					BgL_arg1768z00_4150 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(164L), BNIL);
					BgL_arg1763z00_4149 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(165L), BgL_arg1768z00_4150);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4052), BgL_arg1763z00_4149);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4052), CNST_TABLE_REF(118L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4052), CNST_TABLE_REF(119L));
		}

	}



/* &<@anonymous:1753> */
	obj_t BGl_z62zc3z04anonymousza31753ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4053, obj_t BgL_mez00_4054)
	{
		{	/* SawJvm/inline.scm 202 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4054), CNST_TABLE_REF(166L));
		}

	}



/* &<@anonymous:1748> */
	obj_t BGl_z62zc3z04anonymousza31748ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4055, obj_t BgL_mez00_4056, obj_t BgL_argsz00_4057)
	{
		{	/* SawJvm/inline.scm 195 */
			{	/* SawJvm/inline.scm 196 */
				obj_t BgL_arg1749z00_4151;

				{	/* SawJvm/inline.scm 196 */
					obj_t BgL_arg1750z00_4152;

					BgL_arg1750z00_4152 = MAKE_YOUNG_PAIR(CNST_TABLE_REF(167L), BNIL);
					BgL_arg1749z00_4151 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(168L), BgL_arg1750z00_4152);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4056), BgL_arg1749z00_4151);
			}
			{	/* SawJvm/inline.scm 197 */
				obj_t BgL_arg1751z00_4153;

				BgL_arg1751z00_4153 = CAR(((obj_t) BgL_argsz00_4057));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4056), BgL_arg1751z00_4153);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4056), CNST_TABLE_REF(118L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4056), CNST_TABLE_REF(119L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4056), CNST_TABLE_REF(97L));
		}

	}



/* &<@anonymous:1746> */
	obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4058, obj_t BgL_mez00_4059)
	{
		{	/* SawJvm/inline.scm 192 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4059), CNST_TABLE_REF(169L));
		}

	}



/* &<@anonymous:1740> */
	obj_t BGl_z62zc3z04anonymousza31740ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4060, obj_t BgL_mez00_4061, obj_t BgL_onzf3zf3_4062,
		obj_t BgL_labz00_4063)
	{
		{	/* SawJvm/inline.scm 184 */
			if (CBOOL(BGl_za2optimzd2jvmzd2fasteqza2z00zzengine_paramz00))
				{	/* SawJvm/inline.scm 186 */
					obj_t BgL_arg1741z00_4154;

					if (CBOOL(BgL_onzf3zf3_4062))
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1741z00_4154 = CNST_TABLE_REF(123L);
						}
					else
						{	/* SawJvm/inline.scm 186 */
							BgL_arg1741z00_4154 = CNST_TABLE_REF(124L);
						}
					return
						BGl_branchz00zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_4061), BgL_arg1741z00_4154,
						BgL_labz00_4063);
				}
			else
				{	/* SawJvm/inline.scm 185 */
					return CNST_TABLE_REF(170L);
				}
		}

	}



/* &<@anonymous:1735> */
	obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4064, obj_t BgL_mez00_4065, obj_t BgL_onzf3zf3_4066,
		obj_t BgL_labz00_4067)
	{
		{	/* SawJvm/inline.scm 181 */
			{	/* SawJvm/inline.scm 182 */
				obj_t BgL_arg1736z00_4155;

				if (CBOOL(BgL_onzf3zf3_4066))
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1736z00_4155 = CNST_TABLE_REF(123L);
					}
				else
					{	/* SawJvm/inline.scm 182 */
						BgL_arg1736z00_4155 = CNST_TABLE_REF(124L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4065), BgL_arg1736z00_4155,
					BgL_labz00_4067);
			}
		}

	}



/* &<@anonymous:1713> */
	obj_t BGl_z62zc3z04anonymousza31713ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4068, obj_t BgL_mez00_4069, obj_t BgL_argsz00_4070)
	{
		{	/* SawJvm/inline.scm 166 */
			{	/* SawJvm/inline.scm 167 */
				obj_t BgL_funz00_4156;

				{	/* SawJvm/inline.scm 167 */
					obj_t BgL_arg1733z00_4157;

					BgL_arg1733z00_4157 = CAR(((obj_t) BgL_argsz00_4070));
					BgL_funz00_4156 =
						BGl_skipzd2movzd2zzsaw_jvm_inlinez00(BgL_arg1733z00_4157);
				}
				{	/* SawJvm/inline.scm 168 */
					bool_t BgL_test2396z00_4957;

					{	/* SawJvm/inline.scm 168 */
						obj_t BgL_classz00_4158;

						BgL_classz00_4158 = BGl_rtl_loadiz00zzsaw_defsz00;
						if (BGL_OBJECTP(BgL_funz00_4156))
							{	/* SawJvm/inline.scm 168 */
								BgL_objectz00_bglt BgL_arg1801z00_4159;

								BgL_arg1801z00_4159 = (BgL_objectz00_bglt) (BgL_funz00_4156);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* SawJvm/inline.scm 168 */
										long BgL_idxz00_4160;

										BgL_idxz00_4160 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_4159);
										BgL_test2396z00_4957 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_4160 + 3L)) == BgL_classz00_4158);
									}
								else
									{	/* SawJvm/inline.scm 168 */
										bool_t BgL_res2158z00_4163;

										{	/* SawJvm/inline.scm 168 */
											obj_t BgL_oclassz00_4164;

											{	/* SawJvm/inline.scm 168 */
												long BgL_arg1808z00_4165;

												{	/* SawJvm/inline.scm 168 */
													long BgL_arg1809z00_4166;

													BgL_arg1809z00_4166 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_4159);
													BgL_arg1808z00_4165 =
														(BgL_arg1809z00_4166 - OBJECT_TYPE);
												}
												BgL_oclassz00_4164 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1808z00_4165);
											}
											{	/* SawJvm/inline.scm 168 */
												bool_t BgL__ortest_1115z00_4167;

												BgL__ortest_1115z00_4167 =
													(BgL_classz00_4158 == BgL_oclassz00_4164);
												if (BgL__ortest_1115z00_4167)
													{	/* SawJvm/inline.scm 168 */
														BgL_res2158z00_4163 = BgL__ortest_1115z00_4167;
													}
												else
													{	/* SawJvm/inline.scm 168 */
														long BgL_odepthz00_4168;

														BgL_odepthz00_4168 =
															BGL_CLASS_DEPTH(BgL_oclassz00_4164);
														if ((3L < BgL_odepthz00_4168))
															{	/* SawJvm/inline.scm 168 */
																obj_t BgL_arg1797z00_4169;

																BgL_arg1797z00_4169 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_4164,
																	3L);
																BgL_res2158z00_4163 =
																	(BgL_arg1797z00_4169 == BgL_classz00_4158);
															}
														else
															{	/* SawJvm/inline.scm 168 */
																BgL_res2158z00_4163 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2396z00_4957 = BgL_res2158z00_4163;
									}
							}
						else
							{	/* SawJvm/inline.scm 168 */
								BgL_test2396z00_4957 = ((bool_t) 0);
							}
					}
					if (BgL_test2396z00_4957)
						{	/* SawJvm/inline.scm 168 */
							if (CBOOL(
									(((BgL_atomz00_bglt) COBJECT(
												(((BgL_rtl_loadiz00_bglt) COBJECT(
															((BgL_rtl_loadiz00_bglt) BgL_funz00_4156)))->
													BgL_constantz00)))->BgL_valuez00)))
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(171L));
								}
							else
								{	/* SawJvm/inline.scm 169 */
									return
										BGl_codez12z12zzsaw_jvm_outz00(
										((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(172L));
								}
						}
					else
						{	/* SawJvm/inline.scm 172 */
							obj_t BgL_l1z00_4170;
							obj_t BgL_l2z00_4171;

							BgL_l1z00_4170 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2262z00zzsaw_jvm_inlinez00);
							BgL_l2z00_4171 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string2262z00zzsaw_jvm_inlinez00);
							{	/* SawJvm/inline.scm 173 */
								obj_t BgL_arg1718z00_4172;

								BgL_arg1718z00_4172 = CAR(((obj_t) BgL_argsz00_4070));
								BGl_genzd2exprzd2zzsaw_jvm_codez00(
									((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1718z00_4172);
							}
							{	/* SawJvm/inline.scm 174 */
								obj_t BgL_arg1729z00_4173;

								{	/* SawJvm/inline.scm 174 */
									obj_t BgL_arg1730z00_4174;

									BgL_arg1730z00_4174 = MAKE_YOUNG_PAIR(BgL_l1z00_4170, BNIL);
									BgL_arg1729z00_4173 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(136L), BgL_arg1730z00_4174);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1729z00_4173);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(171L));
							{	/* SawJvm/inline.scm 176 */
								obj_t BgL_arg1731z00_4175;

								{	/* SawJvm/inline.scm 176 */
									obj_t BgL_arg1732z00_4176;

									BgL_arg1732z00_4176 = MAKE_YOUNG_PAIR(BgL_l2z00_4171, BNIL);
									BgL_arg1731z00_4175 =
										MAKE_YOUNG_PAIR(CNST_TABLE_REF(173L), BgL_arg1732z00_4176);
								}
								BGl_codez12z12zzsaw_jvm_outz00(
									((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_arg1731z00_4175);
							}
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_l1z00_4170);
							BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4069), CNST_TABLE_REF(172L));
							return
								BGl_codez12z12zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4069), BgL_l2z00_4171);
						}
				}
			}
		}

	}



/* &<@anonymous:1709> */
	obj_t BGl_z62zc3z04anonymousza31709ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4071, obj_t BgL_mez00_4072, obj_t BgL_onzf3zf3_4073,
		obj_t BgL_labz00_4074)
	{
		{	/* SawJvm/inline.scm 162 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4072), CNST_TABLE_REF(172L));
			{	/* SawJvm/inline.scm 164 */
				obj_t BgL_arg1710z00_4177;

				if (CBOOL(BgL_onzf3zf3_4073))
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1710z00_4177 = CNST_TABLE_REF(124L);
					}
				else
					{	/* SawJvm/inline.scm 164 */
						BgL_arg1710z00_4177 = CNST_TABLE_REF(123L);
					}
				return
					BGl_branchz00zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4072), BgL_arg1710z00_4177,
					BgL_labz00_4074);
			}
		}

	}



/* &<@anonymous:1707> */
	obj_t BGl_z62zc3z04anonymousza31707ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4075, obj_t BgL_mez00_4076)
	{
		{	/* SawJvm/inline.scm 159 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4076), CNST_TABLE_REF(174L));
		}

	}



/* &<@anonymous:1699> */
	obj_t BGl_z62zc3z04anonymousza31699ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4077, obj_t BgL_mez00_4078)
	{
		{	/* SawJvm/inline.scm 151 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4078), CNST_TABLE_REF(98L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1696> */
	obj_t BGl_z62zc3z04anonymousza31696ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4079, obj_t BgL_mez00_4080)
	{
		{	/* SawJvm/inline.scm 148 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4080), CNST_TABLE_REF(97L));
		}

	}



/* &<@anonymous:1694> */
	obj_t BGl_z62zc3z04anonymousza31694ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4081, obj_t BgL_mez00_4082)
	{
		{	/* SawJvm/inline.scm 145 */
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4082), CNST_TABLE_REF(175L));
		}

	}



/* &<@anonymous:1685> */
	obj_t BGl_z62zc3z04anonymousza31685ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4083, obj_t BgL_mez00_4084, obj_t BgL_argsz00_4085)
	{
		{	/* SawJvm/inline.scm 133 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(176L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(177L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(178L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 138 */
				obj_t BgL_arg1686z00_4178;

				BgL_arg1686z00_4178 = CAR(((obj_t) BgL_argsz00_4085));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4084), BgL_arg1686z00_4178);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(179L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 141 */
				obj_t BgL_arg1690z00_4179;

				{	/* SawJvm/inline.scm 141 */
					obj_t BgL_pairz00_4180;

					BgL_pairz00_4180 = CDR(((obj_t) BgL_argsz00_4085));
					BgL_arg1690z00_4179 = CAR(BgL_pairz00_4180);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4084), BgL_arg1690z00_4179);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(175L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4084), CNST_TABLE_REF(180L));
		}

	}



/* &<@anonymous:1674> */
	obj_t BGl_z62zc3z04anonymousza31674ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4086, obj_t BgL_mez00_4087, obj_t BgL_argsz00_4088)
	{
		{	/* SawJvm/inline.scm 118 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(176L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(177L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(178L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 123 */
				obj_t BgL_arg1675z00_4181;

				BgL_arg1675z00_4181 = CAR(((obj_t) BgL_argsz00_4088));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4087), BgL_arg1675z00_4181);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(179L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 126 */
				obj_t BgL_arg1678z00_4182;

				{	/* SawJvm/inline.scm 126 */
					obj_t BgL_pairz00_4183;

					BgL_pairz00_4183 = CDR(((obj_t) BgL_argsz00_4088));
					BgL_arg1678z00_4182 = CAR(BgL_pairz00_4183);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4087), BgL_arg1678z00_4182);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(181L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 129 */
				obj_t BgL_arg1681z00_4184;

				{	/* SawJvm/inline.scm 129 */
					obj_t BgL_pairz00_4185;

					{	/* SawJvm/inline.scm 129 */
						obj_t BgL_pairz00_4186;

						BgL_pairz00_4186 = CDR(((obj_t) BgL_argsz00_4088));
						BgL_pairz00_4185 = CDR(BgL_pairz00_4186);
					}
					BgL_arg1681z00_4184 = CAR(BgL_pairz00_4185);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4087), BgL_arg1681z00_4184);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(175L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4087), CNST_TABLE_REF(180L));
		}

	}



/* &<@anonymous:1650> */
	obj_t BGl_z62zc3z04anonymousza31650ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4089, obj_t BgL_mez00_4090, obj_t BgL_argsz00_4091)
	{
		{	/* SawJvm/inline.scm 103 */
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(176L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(177L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(178L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 108 */
				obj_t BgL_arg1658z00_4187;

				BgL_arg1658z00_4187 = CAR(((obj_t) BgL_argsz00_4091));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4090), BgL_arg1658z00_4187);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(179L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 111 */
				obj_t BgL_arg1661z00_4188;

				{	/* SawJvm/inline.scm 111 */
					obj_t BgL_pairz00_4189;

					BgL_pairz00_4189 = CDR(((obj_t) BgL_argsz00_4091));
					BgL_arg1661z00_4188 = CAR(BgL_pairz00_4189);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4090), BgL_arg1661z00_4188);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(181L));
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(177L));
			{	/* SawJvm/inline.scm 114 */
				obj_t BgL_arg1669z00_4190;

				{	/* SawJvm/inline.scm 114 */
					obj_t BgL_pairz00_4191;

					{	/* SawJvm/inline.scm 114 */
						obj_t BgL_pairz00_4192;

						BgL_pairz00_4192 = CDR(((obj_t) BgL_argsz00_4091));
						BgL_pairz00_4191 = CDR(BgL_pairz00_4192);
					}
					BgL_arg1669z00_4190 = CAR(BgL_pairz00_4191);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4090), BgL_arg1669z00_4190);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(175L));
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4090), CNST_TABLE_REF(180L));
		}

	}



/* &<@anonymous:1616> */
	obj_t BGl_z62zc3z04anonymousza31616ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4092, obj_t BgL_mez00_4093, obj_t BgL_argsz00_4094)
	{
		{	/* SawJvm/inline.scm 96 */
			{	/* SawJvm/inline.scm 97 */
				obj_t BgL_arg1620z00_4193;

				{	/* SawJvm/inline.scm 97 */
					obj_t BgL_arg1621z00_4194;

					{	/* SawJvm/inline.scm 97 */
						obj_t BgL_arg1628z00_4195;

						{	/* SawJvm/inline.scm 97 */
							obj_t BgL_arg1629z00_4196;

							BgL_arg1629z00_4196 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1628z00_4195 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4093),
								((BgL_globalz00_bglt) BgL_arg1629z00_4196));
						}
						BgL_arg1621z00_4194 = MAKE_YOUNG_PAIR(BgL_arg1628z00_4195, BNIL);
					}
					BgL_arg1620z00_4193 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(168L), BgL_arg1621z00_4194);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4093), BgL_arg1620z00_4193);
			}
			{	/* SawJvm/inline.scm 98 */
				obj_t BgL_arg1630z00_4197;

				BgL_arg1630z00_4197 = CAR(((obj_t) BgL_argsz00_4094));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4093), BgL_arg1630z00_4197);
			}
			{	/* SawJvm/inline.scm 99 */
				obj_t BgL_arg1639z00_4198;

				{	/* SawJvm/inline.scm 99 */
					obj_t BgL_pairz00_4199;

					BgL_pairz00_4199 = CDR(((obj_t) BgL_argsz00_4094));
					BgL_arg1639z00_4198 = CAR(BgL_pairz00_4199);
				}
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4093), BgL_arg1639z00_4198);
			}
			BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4093), CNST_TABLE_REF(98L));
			return CNST_TABLE_REF(99L);
		}

	}



/* &<@anonymous:1598> */
	obj_t BGl_z62zc3z04anonymousza31598ze3ze5zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4095, obj_t BgL_mez00_4096, obj_t BgL_argsz00_4097)
	{
		{	/* SawJvm/inline.scm 91 */
			{	/* SawJvm/inline.scm 92 */
				obj_t BgL_arg1606z00_4200;

				{	/* SawJvm/inline.scm 92 */
					obj_t BgL_arg1608z00_4201;

					{	/* SawJvm/inline.scm 92 */
						obj_t BgL_arg1609z00_4202;

						{	/* SawJvm/inline.scm 92 */
							obj_t BgL_arg1613z00_4203;

							BgL_arg1613z00_4203 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
							BgL_arg1609z00_4202 =
								BGl_declarezd2globalzd2zzsaw_jvm_outz00(
								((BgL_jvmz00_bglt) BgL_mez00_4096),
								((BgL_globalz00_bglt) BgL_arg1613z00_4203));
						}
						BgL_arg1608z00_4201 = MAKE_YOUNG_PAIR(BgL_arg1609z00_4202, BNIL);
					}
					BgL_arg1606z00_4200 =
						MAKE_YOUNG_PAIR(CNST_TABLE_REF(168L), BgL_arg1608z00_4201);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_4096), BgL_arg1606z00_4200);
			}
			{	/* SawJvm/inline.scm 93 */
				obj_t BgL_arg1614z00_4204;

				BgL_arg1614z00_4204 = CAR(((obj_t) BgL_argsz00_4097));
				BGl_genzd2exprzd2zzsaw_jvm_codez00(
					((BgL_jvmz00_bglt) BgL_mez00_4096), BgL_arg1614z00_4204);
			}
			return
				BGl_codez12z12zzsaw_jvm_outz00(
				((BgL_jvmz00_bglt) BgL_mez00_4096), CNST_TABLE_REF(97L));
		}

	}



/* check-jvm-inlines */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 24 */
			{	/* SawJvm/inline.scm 25 */
				obj_t BgL_unresolvedz00_2906;

				{	/* SawJvm/inline.scm 25 */
					obj_t BgL_hook1595z00_2908;

					BgL_hook1595z00_2908 = MAKE_YOUNG_PAIR(BFALSE, BNIL);
					{
						obj_t BgL_l1592z00_2910;
						obj_t BgL_h1593z00_2911;

						BgL_l1592z00_2910 = BNIL;
						BgL_h1593z00_2911 = BgL_hook1595z00_2908;
					BgL_zc3z04anonymousza32012ze3z87_2912:
						if (NULLP(BgL_l1592z00_2910))
							{	/* SawJvm/inline.scm 25 */
								BgL_unresolvedz00_2906 = CDR(BgL_hook1595z00_2908);
							}
						else
							{	/* SawJvm/inline.scm 25 */
								bool_t BgL_test2404z00_5201;

								if (CBOOL(BGl_findzd2globalzd2zzast_envz00(CAR(
												((obj_t) BgL_l1592z00_2910)), BNIL)))
									{	/* SawJvm/inline.scm 25 */
										BgL_test2404z00_5201 = ((bool_t) 0);
									}
								else
									{	/* SawJvm/inline.scm 25 */
										BgL_test2404z00_5201 = ((bool_t) 1);
									}
								if (BgL_test2404z00_5201)
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_nh1594z00_2919;

										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2019z00_2921;

											BgL_arg2019z00_2921 = CAR(((obj_t) BgL_l1592z00_2910));
											BgL_nh1594z00_2919 =
												MAKE_YOUNG_PAIR(BgL_arg2019z00_2921, BNIL);
										}
										SET_CDR(BgL_h1593z00_2911, BgL_nh1594z00_2919);
										{	/* SawJvm/inline.scm 25 */
											obj_t BgL_arg2018z00_2920;

											BgL_arg2018z00_2920 = CDR(((obj_t) BgL_l1592z00_2910));
											{
												obj_t BgL_h1593z00_5214;
												obj_t BgL_l1592z00_5213;

												BgL_l1592z00_5213 = BgL_arg2018z00_2920;
												BgL_h1593z00_5214 = BgL_nh1594z00_2919;
												BgL_h1593z00_2911 = BgL_h1593z00_5214;
												BgL_l1592z00_2910 = BgL_l1592z00_5213;
												goto BgL_zc3z04anonymousza32012ze3z87_2912;
											}
										}
									}
								else
									{	/* SawJvm/inline.scm 25 */
										obj_t BgL_arg2020z00_2922;

										BgL_arg2020z00_2922 = CDR(((obj_t) BgL_l1592z00_2910));
										{
											obj_t BgL_l1592z00_5217;

											BgL_l1592z00_5217 = BgL_arg2020z00_2922;
											BgL_l1592z00_2910 = BgL_l1592z00_5217;
											goto BgL_zc3z04anonymousza32012ze3z87_2912;
										}
									}
							}
					}
				}
				if (PAIRP(BgL_unresolvedz00_2906))
					{	/* SawJvm/inline.scm 27 */
						return
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(182L),
							BGl_string2263z00zzsaw_jvm_inlinez00, BgL_unresolvedz00_2906);
					}
				else
					{	/* SawJvm/inline.scm 27 */
						return BFALSE;
					}
			}
		}

	}



/* &check-jvm-inlines */
	obj_t BGl_z62checkzd2jvmzd2inlinesz62zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4098)
	{
		{	/* SawJvm/inline.scm 24 */
			return BGl_checkzd2jvmzd2inlinesz00zzsaw_jvm_inlinez00();
		}

	}



/* inline-call? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		{	/* SawJvm/inline.scm 35 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_3))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 37 */
					obj_t BgL_funz00_2928;

					BgL_funz00_2928 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_4)))->BgL_idz00),
						CNST_TABLE_REF(8L));
					if (CBOOL(BgL_funz00_2928))
						{	/* SawJvm/inline.scm 38 */
							return
								(VA_PROCEDUREP(BgL_funz00_2928) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_funz00_2928)) (BgL_funz00_2928,
									((obj_t) BgL_mez00_3), BEOA) : ((obj_t(*)(obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_funz00_2928)) (BgL_funz00_2928,
									((obj_t) BgL_mez00_3)));
						}
					else
						{	/* SawJvm/inline.scm 38 */
							return CNST_TABLE_REF(170L);
						}
				}
			else
				{	/* SawJvm/inline.scm 36 */
					return BFALSE;
				}
		}

	}



/* &inline-call? */
	obj_t BGl_z62inlinezd2callzf3z43zzsaw_jvm_inlinez00(obj_t BgL_envz00_4099,
		obj_t BgL_mez00_4100, obj_t BgL_varz00_4101)
	{
		{	/* SawJvm/inline.scm 35 */
			return
				BGl_inlinezd2callzf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4100),
				((BgL_globalz00_bglt) BgL_varz00_4101));
		}

	}



/* inline-call-with-args? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt
		BgL_mez00_5, BgL_globalz00_bglt BgL_varz00_6, obj_t BgL_argsz00_7)
	{
		{	/* SawJvm/inline.scm 52 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_5))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 54 */
					obj_t BgL_funz00_2933;

					BgL_funz00_2933 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_6)))->BgL_idz00),
						CNST_TABLE_REF(2L));
					if (CBOOL(BgL_funz00_2933))
						{	/* SawJvm/inline.scm 55 */
							return
								(VA_PROCEDUREP(BgL_funz00_2933) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_funz00_2933)) (BgL_funz00_2933,
									((obj_t) BgL_mez00_5), BgL_argsz00_7,
									BEOA) : ((obj_t(*)(obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_funz00_2933)) (BgL_funz00_2933,
									((obj_t) BgL_mez00_5), BgL_argsz00_7));
						}
					else
						{	/* SawJvm/inline.scm 55 */
							return CNST_TABLE_REF(170L);
						}
				}
			else
				{	/* SawJvm/inline.scm 53 */
					return BFALSE;
				}
		}

	}



/* &inline-call-with-args? */
	obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4102, obj_t BgL_mez00_4103, obj_t BgL_varz00_4104,
		obj_t BgL_argsz00_4105)
	{
		{	/* SawJvm/inline.scm 52 */
			return
				BGl_inlinezd2callzd2withzd2argszf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4103),
				((BgL_globalz00_bglt) BgL_varz00_4104), BgL_argsz00_4105);
		}

	}



/* inline-predicate? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(BgL_jvmz00_bglt BgL_mez00_8,
		BgL_globalz00_bglt BgL_varz00_9, obj_t BgL_onzf3zf3_10, obj_t BgL_labz00_11)
	{
		{	/* SawJvm/inline.scm 66 */
			if (CBOOL((((BgL_jvmz00_bglt) COBJECT(BgL_mez00_8))->BgL_inlinez00)))
				{	/* SawJvm/inline.scm 68 */
					obj_t BgL_funz00_3589;

					BgL_funz00_3589 =
						BGl_getpropz00zz__r4_symbols_6_4z00(
						(((BgL_variablez00_bglt) COBJECT(
									((BgL_variablez00_bglt) BgL_varz00_9)))->BgL_idz00),
						CNST_TABLE_REF(13L));
					if (CBOOL(BgL_funz00_3589))
						{	/* SawJvm/inline.scm 69 */
							return
								(VA_PROCEDUREP(BgL_funz00_3589) ? ((obj_t(*)(obj_t,
											...)) PROCEDURE_ENTRY(BgL_funz00_3589)) (BgL_funz00_3589,
									((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11,
									BEOA) : ((obj_t(*)(obj_t, obj_t, obj_t,
											obj_t))
									PROCEDURE_ENTRY(BgL_funz00_3589)) (BgL_funz00_3589,
									((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11));
						}
					else
						{	/* SawJvm/inline.scm 69 */
							return CNST_TABLE_REF(170L);
						}
				}
			else
				{	/* SawJvm/inline.scm 67 */
					return BFALSE;
				}
		}

	}



/* &inline-predicate? */
	obj_t BGl_z62inlinezd2predicatezf3z43zzsaw_jvm_inlinez00(obj_t
		BgL_envz00_4106, obj_t BgL_mez00_4107, obj_t BgL_varz00_4108,
		obj_t BgL_onzf3zf3_4109, obj_t BgL_labz00_4110)
	{
		{	/* SawJvm/inline.scm 66 */
			return
				BGl_inlinezd2predicatezf3z21zzsaw_jvm_inlinez00(
				((BgL_jvmz00_bglt) BgL_mez00_4107),
				((BgL_globalz00_bglt) BgL_varz00_4108), BgL_onzf3zf3_4109,
				BgL_labz00_4110);
		}

	}



/* skip-mov */
	obj_t BGl_skipzd2movzd2zzsaw_jvm_inlinez00(obj_t BgL_argz00_12)
	{
		{	/* SawJvm/inline.scm 80 */
		BGl_skipzd2movzd2zzsaw_jvm_inlinez00:
			{	/* SawJvm/inline.scm 81 */
				bool_t BgL_test2413z00_5280;

				{	/* SawJvm/inline.scm 81 */
					obj_t BgL_classz00_3594;

					BgL_classz00_3594 = BGl_rtl_insz00zzsaw_defsz00;
					if (BGL_OBJECTP(BgL_argz00_12))
						{	/* SawJvm/inline.scm 81 */
							BgL_objectz00_bglt BgL_arg1801z00_3596;

							BgL_arg1801z00_3596 = (BgL_objectz00_bglt) (BgL_argz00_12);
							if (BGL_CONDEXPAND_ISA_ARCH64())
								{	/* SawJvm/inline.scm 81 */
									long BgL_idxz00_3602;

									BgL_idxz00_3602 =
										BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3596);
									BgL_test2413z00_5280 =
										(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
											(BgL_idxz00_3602 + 1L)) == BgL_classz00_3594);
								}
							else
								{	/* SawJvm/inline.scm 81 */
									bool_t BgL_res2159z00_3624;

									{	/* SawJvm/inline.scm 81 */
										obj_t BgL_oclassz00_3610;

										{	/* SawJvm/inline.scm 81 */
											long BgL_arg1808z00_3616;

											{	/* SawJvm/inline.scm 81 */
												long BgL_arg1809z00_3617;

												BgL_arg1809z00_3617 =
													BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3596);
												BgL_arg1808z00_3616 =
													(BgL_arg1809z00_3617 - OBJECT_TYPE);
											}
											BgL_oclassz00_3610 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1808z00_3616);
										}
										{	/* SawJvm/inline.scm 81 */
											bool_t BgL__ortest_1115z00_3611;

											BgL__ortest_1115z00_3611 =
												(BgL_classz00_3594 == BgL_oclassz00_3610);
											if (BgL__ortest_1115z00_3611)
												{	/* SawJvm/inline.scm 81 */
													BgL_res2159z00_3624 = BgL__ortest_1115z00_3611;
												}
											else
												{	/* SawJvm/inline.scm 81 */
													long BgL_odepthz00_3612;

													BgL_odepthz00_3612 =
														BGL_CLASS_DEPTH(BgL_oclassz00_3610);
													if ((1L < BgL_odepthz00_3612))
														{	/* SawJvm/inline.scm 81 */
															obj_t BgL_arg1797z00_3614;

															BgL_arg1797z00_3614 =
																BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3610, 1L);
															BgL_res2159z00_3624 =
																(BgL_arg1797z00_3614 == BgL_classz00_3594);
														}
													else
														{	/* SawJvm/inline.scm 81 */
															BgL_res2159z00_3624 = ((bool_t) 0);
														}
												}
										}
									}
									BgL_test2413z00_5280 = BgL_res2159z00_3624;
								}
						}
					else
						{	/* SawJvm/inline.scm 81 */
							BgL_test2413z00_5280 = ((bool_t) 0);
						}
				}
				if (BgL_test2413z00_5280)
					{	/* SawJvm/inline.scm 82 */
						BgL_rtl_funz00_bglt BgL_funz00_2939;

						BgL_funz00_2939 =
							(((BgL_rtl_insz00_bglt) COBJECT(
									((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_funz00);
						{	/* SawJvm/inline.scm 83 */
							bool_t BgL_test2418z00_5302;

							{	/* SawJvm/inline.scm 83 */
								obj_t BgL_classz00_3626;

								BgL_classz00_3626 = BGl_rtl_movz00zzsaw_defsz00;
								{	/* SawJvm/inline.scm 83 */
									BgL_objectz00_bglt BgL_arg1801z00_3628;

									{	/* SawJvm/inline.scm 83 */
										obj_t BgL_tmpz00_5303;

										BgL_tmpz00_5303 =
											((obj_t) ((BgL_objectz00_bglt) BgL_funz00_2939));
										BgL_arg1801z00_3628 =
											(BgL_objectz00_bglt) (BgL_tmpz00_5303);
									}
									if (BGL_CONDEXPAND_ISA_ARCH64())
										{	/* SawJvm/inline.scm 83 */
											long BgL_idxz00_3634;

											BgL_idxz00_3634 =
												BGL_OBJECT_INHERITANCE_NUM(BgL_arg1801z00_3628);
											BgL_test2418z00_5302 =
												(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
													(BgL_idxz00_3634 + 3L)) == BgL_classz00_3626);
										}
									else
										{	/* SawJvm/inline.scm 83 */
											bool_t BgL_res2160z00_3656;

											{	/* SawJvm/inline.scm 83 */
												obj_t BgL_oclassz00_3642;

												{	/* SawJvm/inline.scm 83 */
													long BgL_arg1808z00_3648;

													{	/* SawJvm/inline.scm 83 */
														long BgL_arg1809z00_3649;

														BgL_arg1809z00_3649 =
															BGL_OBJECT_CLASS_NUM(BgL_arg1801z00_3628);
														BgL_arg1808z00_3648 =
															(BgL_arg1809z00_3649 - OBJECT_TYPE);
													}
													BgL_oclassz00_3642 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1808z00_3648);
												}
												{	/* SawJvm/inline.scm 83 */
													bool_t BgL__ortest_1115z00_3643;

													BgL__ortest_1115z00_3643 =
														(BgL_classz00_3626 == BgL_oclassz00_3642);
													if (BgL__ortest_1115z00_3643)
														{	/* SawJvm/inline.scm 83 */
															BgL_res2160z00_3656 = BgL__ortest_1115z00_3643;
														}
													else
														{	/* SawJvm/inline.scm 83 */
															long BgL_odepthz00_3644;

															BgL_odepthz00_3644 =
																BGL_CLASS_DEPTH(BgL_oclassz00_3642);
															if ((3L < BgL_odepthz00_3644))
																{	/* SawJvm/inline.scm 83 */
																	obj_t BgL_arg1797z00_3646;

																	BgL_arg1797z00_3646 =
																		BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3642,
																		3L);
																	BgL_res2160z00_3656 =
																		(BgL_arg1797z00_3646 == BgL_classz00_3626);
																}
															else
																{	/* SawJvm/inline.scm 83 */
																	BgL_res2160z00_3656 = ((bool_t) 0);
																}
														}
												}
											}
											BgL_test2418z00_5302 = BgL_res2160z00_3656;
										}
								}
							}
							if (BgL_test2418z00_5302)
								{	/* SawJvm/inline.scm 84 */
									obj_t BgL_arg2031z00_2941;

									{	/* SawJvm/inline.scm 84 */
										obj_t BgL_pairz00_3658;

										BgL_pairz00_3658 =
											(((BgL_rtl_insz00_bglt) COBJECT(
													((BgL_rtl_insz00_bglt) BgL_argz00_12)))->BgL_argsz00);
										BgL_arg2031z00_2941 = CAR(BgL_pairz00_3658);
									}
									{
										obj_t BgL_argz00_5326;

										BgL_argz00_5326 = BgL_arg2031z00_2941;
										BgL_argz00_12 = BgL_argz00_5326;
										goto BGl_skipzd2movzd2zzsaw_jvm_inlinez00;
									}
								}
							else
								{	/* SawJvm/inline.scm 83 */
									return ((obj_t) BgL_funz00_2939);
								}
						}
					}
				else
					{	/* SawJvm/inline.scm 81 */
						return BgL_argz00_12;
					}
			}
		}

	}



/* compute-boolean */
	obj_t BGl_computezd2booleanzd2zzsaw_jvm_inlinez00(obj_t BgL_mez00_13,
		obj_t BgL_copz00_14)
	{
		{	/* SawJvm/inline.scm 265 */
			{	/* SawJvm/inline.scm 267 */
				obj_t BgL_l1z00_2943;
				obj_t BgL_l2z00_2944;

				BgL_l1z00_2943 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2262z00zzsaw_jvm_inlinez00);
				BgL_l2z00_2944 =
					BGl_gensymz00zz__r4_symbols_6_4z00
					(BGl_string2262z00zzsaw_jvm_inlinez00);
				{	/* SawJvm/inline.scm 268 */
					obj_t BgL_arg2033z00_2945;

					{	/* SawJvm/inline.scm 268 */
						obj_t BgL_arg2034z00_2946;

						BgL_arg2034z00_2946 = MAKE_YOUNG_PAIR(BgL_l1z00_2943, BNIL);
						BgL_arg2033z00_2945 =
							MAKE_YOUNG_PAIR(BgL_copz00_14, BgL_arg2034z00_2946);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2033z00_2945);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(183L));
				{	/* SawJvm/inline.scm 270 */
					obj_t BgL_arg2036z00_2947;

					{	/* SawJvm/inline.scm 270 */
						obj_t BgL_arg2037z00_2948;

						BgL_arg2037z00_2948 = MAKE_YOUNG_PAIR(BgL_l2z00_2944, BNIL);
						BgL_arg2036z00_2947 =
							MAKE_YOUNG_PAIR(CNST_TABLE_REF(173L), BgL_arg2037z00_2948);
					}
					BGl_codez12z12zzsaw_jvm_outz00(
						((BgL_jvmz00_bglt) BgL_mez00_13), BgL_arg2036z00_2947);
				}
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l1z00_2943);
				BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), CNST_TABLE_REF(144L));
				return
					BGl_codez12z12zzsaw_jvm_outz00(
					((BgL_jvmz00_bglt) BgL_mez00_13), BgL_l2z00_2944);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_inlinez00(void)
	{
		{	/* SawJvm/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(515343395L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(90839984L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(469732712L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(517137079L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(296457443L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(502007119L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(151271251L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(158397907L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(192699986L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(261574382L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(216206620L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(336068337L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_jvm_classz00(0L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(404844772L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_outz00(441641707L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_jvm_codez00(44765844L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(146730773L,
				BSTRING_TO_STRING(BGl_string2264z00zzsaw_jvm_inlinez00));
		}

	}

#ifdef __cplusplus
}
#endif
