/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_types.scm -o objs/obj_p/Eval/evaluate_types.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPES_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


#endif // BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static BgL_ev_labelsz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2563z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2648z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2568z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2488z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1852z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letrecz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2492z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2658z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2578z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2499z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_appz00_bglt BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_appz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2584z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2588z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_binderz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31695ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31866ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_absz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = BUNSPEC;
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__evaluate_typesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31606ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31722ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void);
extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void);
static obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void);
static BgL_ev_varz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_hookz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31538ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t, obj_t);
extern obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_listz00_bglt BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2332z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2334z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2338z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_trapz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_trapz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2420z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2340z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2424z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2345z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2509z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2347z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2429z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31743ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setlocalz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2351z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2356z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__evaluate_typesz00(void);
static BgL_ev_andz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_andz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t);
static BgL_ev_setglobalz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_symbol2601z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2520z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2360z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2524z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2607z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31680ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31583ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2612z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2536z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00(obj_t);
static BgL_ev_prog2z00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol2622z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2541z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2388z00zz__evaluate_typesz00 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_gotoz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_ev_exprz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_letza2za2_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static BgL_ev_defglobalz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t);
static obj_t BGl_symbol2631z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2470z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2554z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2474z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2638z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00(obj_t, obj_t);
static BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t);
static BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t, obj_t);
static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2402z00zz__evaluate_typesz00, BgL_bgl_string2402za700za7za7_2660za7, "args", 4 );
DEFINE_STRING( BGl_string2407z00zz__evaluate_typesz00, BgL_bgl_string2407za700za7za7_2661za7, "ev_list", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2400z00zz__evaluate_typesz00, BgL_bgl_za762lambda1544za7622662z00, BGl_z62lambda1544z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2403z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2663za7, BGl_z62zc3z04anonymousza31538ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2404z00zz__evaluate_typesz00, BgL_bgl_za762lambda1534za7622664z00, BGl_z62lambda1534z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2405z00zz__evaluate_typesz00, BgL_bgl_za762lambda1532za7622665z00, BGl_z62lambda1532z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2412z00zz__evaluate_typesz00, BgL_bgl_string2412za700za7za7_2666za7, "ev_or", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2408z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2667za7, BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2333z00zz__evaluate_typesz00, BgL_bgl_string2333za700za7za7_2668za7, "ev_expr", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2409z00zz__evaluate_typesz00, BgL_bgl_za762lambda1556za7622669z00, BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2335z00zz__evaluate_typesz00, BgL_bgl_string2335za700za7za7_2670za7, "__evaluate_types", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2671za7, BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2417z00zz__evaluate_typesz00, BgL_bgl_string2417za700za7za7_2672za7, "ev_and", 6 );
DEFINE_STRING( BGl_string2339z00zz__evaluate_typesz00, BgL_bgl_string2339za700za7za7_2673za7, "name", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2410z00zz__evaluate_typesz00, BgL_bgl_za762lambda1552za7622674z00, BGl_z62lambda1552z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__evaluate_typesz00, BgL_bgl_za762lambda1424za7622675z00, BGl_z62lambda1424z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__evaluate_typesz00, BgL_bgl_za762lambda1422za7622676z00, BGl_z62lambda1422z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2500z00zz__evaluate_typesz00, BgL_bgl_string2500za700za7za7_2677za7, "ev_with-handler", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2413z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2678za7, BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2414z00zz__evaluate_typesz00, BgL_bgl_za762lambda1568za7622679z00, BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2421z00zz__evaluate_typesz00, BgL_bgl_string2421za700za7za7_2680za7, "e1", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2415z00zz__evaluate_typesz00, BgL_bgl_za762lambda1566za7622681z00, BGl_z62lambda1566z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2341z00zz__evaluate_typesz00, BgL_bgl_string2341za700za7za7_2682za7, "symbol", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__evaluate_typesz00, BgL_bgl_za762lambda1442za7622683z00, BGl_z62lambda1442z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2418z00zz__evaluate_typesz00, BgL_bgl_za762lambda1588za7622684z00, BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__evaluate_typesz00, BgL_bgl_za762lambda1441za7622685z00, BGl_z62lambda1441z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2506z00zz__evaluate_typesz00, BgL_bgl_string2506za700za7za7_2686za7, "mutex", 5 );
DEFINE_STRING( BGl_string2425z00zz__evaluate_typesz00, BgL_bgl_string2425za700za7za7_2687za7, "e2", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2419z00zz__evaluate_typesz00, BgL_bgl_za762lambda1587za7622688z00, BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2346z00zz__evaluate_typesz00, BgL_bgl_string2346za700za7za7_2689za7, "eff", 3 );
DEFINE_STRING( BGl_string2348z00zz__evaluate_typesz00, BgL_bgl_string2348za700za7za7_2690za7, "obj", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2501z00zz__evaluate_typesz00, BgL_bgl_za762lambda1769za7622691z00, BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2502z00zz__evaluate_typesz00, BgL_bgl_za762lambda1768za7622692z00, BGl_z62lambda1768z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2503z00zz__evaluate_typesz00, BgL_bgl_za762lambda1774za7622693z00, BGl_z62lambda1774z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2422z00zz__evaluate_typesz00, BgL_bgl_za762lambda1594za7622694z00, BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2510z00zz__evaluate_typesz00, BgL_bgl_string2510za700za7za7_2695za7, "prelock", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2504z00zz__evaluate_typesz00, BgL_bgl_za762lambda1773za7622696z00, BGl_z62lambda1773z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2423z00zz__evaluate_typesz00, BgL_bgl_za762lambda1593za7622697z00, BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2698za7, BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2430z00zz__evaluate_typesz00, BgL_bgl_string2430za700za7za7_2699za7, "ev_prog2", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__evaluate_typesz00, BgL_bgl_za762lambda1448za7622700z00, BGl_z62lambda1448z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__evaluate_typesz00, BgL_bgl_za762lambda1447za7622701z00, BGl_z62lambda1447z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2507z00zz__evaluate_typesz00, BgL_bgl_za762lambda1779za7622702z00, BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2426z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2703za7, BGl_z62zc3z04anonymousza31583ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2508z00zz__evaluate_typesz00, BgL_bgl_za762lambda1778za7622704z00, BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2427z00zz__evaluate_typesz00, BgL_bgl_za762lambda1581za7622705z00, BGl_z62lambda1581z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2352z00zz__evaluate_typesz00, BgL_bgl_string2352za700za7za7_2706za7, "type", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2428z00zz__evaluate_typesz00, BgL_bgl_za762lambda1578za7622707z00, BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2517z00zz__evaluate_typesz00, BgL_bgl_string2517za700za7za7_2708za7, "ev_synchronize", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__evaluate_typesz00, BgL_bgl_za762lambda1456za7622709z00, BGl_z62lambda1456z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2437z00zz__evaluate_typesz00, BgL_bgl_string2437za700za7za7_2710za7, "ev_hook", 7 );
DEFINE_STRING( BGl_string2357z00zz__evaluate_typesz00, BgL_bgl_string2357za700za7za7_2711za7, "ev_var", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2511z00zz__evaluate_typesz00, BgL_bgl_za762lambda1784za7622712z00, BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2512z00zz__evaluate_typesz00, BgL_bgl_za762lambda1783za7622713z00, BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2431z00zz__evaluate_typesz00, BgL_bgl_za762lambda1612za7622714z00, BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__evaluate_typesz00, BgL_bgl_za762lambda1455za7622715z00, BGl_z62lambda1455z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2513z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2716za7, BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2432z00zz__evaluate_typesz00, BgL_bgl_za762lambda1611za7622717z00, BGl_z62lambda1611z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2514z00zz__evaluate_typesz00, BgL_bgl_za762lambda1762za7622718z00, BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2433z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2719za7, BGl_z62zc3z04anonymousza31606ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2602z00zz__evaluate_typesz00, BgL_bgl_string2602za700za7za7_2720za7, "fun", 3 );
DEFINE_STRING( BGl_string2521z00zz__evaluate_typesz00, BgL_bgl_string2521za700za7za7_2721za7, "vars", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2515z00zz__evaluate_typesz00, BgL_bgl_za762lambda1760za7622722z00, BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2434z00zz__evaluate_typesz00, BgL_bgl_za762lambda1604za7622723z00, BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2353z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2724za7, BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2435z00zz__evaluate_typesz00, BgL_bgl_za762lambda1602za7622725z00, BGl_z62lambda1602z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2354z00zz__evaluate_typesz00, BgL_bgl_za762lambda1435za7622726z00, BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2442z00zz__evaluate_typesz00, BgL_bgl_string2442za700za7za7_2727za7, "ev_trap", 7 );
DEFINE_STRING( BGl_string2361z00zz__evaluate_typesz00, BgL_bgl_string2361za700za7za7_2728za7, "loc", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__evaluate_typesz00, BgL_bgl_za762lambda1433za7622729z00, BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2518z00zz__evaluate_typesz00, BgL_bgl_za762lambda1800za7622730z00, BGl_z62lambda1800z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2525z00zz__evaluate_typesz00, BgL_bgl_string2525za700za7za7_2731za7, "vals", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2519z00zz__evaluate_typesz00, BgL_bgl_za762lambda1799za7622732z00, BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2438z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2733za7, BGl_z62zc3z04anonymousza31625ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2439z00zz__evaluate_typesz00, BgL_bgl_za762lambda1622za7622734z00, BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__evaluate_typesz00, BgL_bgl_za762lambda1471za7622735z00, BGl_z62lambda1471z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2608z00zz__evaluate_typesz00, BgL_bgl_string2608za700za7za7_2736za7, "tail?", 5 );
DEFINE_STRING( BGl_string2446z00zz__evaluate_typesz00, BgL_bgl_string2446za700za7za7_2737za7, "v", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__evaluate_typesz00, BgL_bgl_za762lambda1470za7622738z00, BGl_z62lambda1470z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2367z00zz__evaluate_typesz00, BgL_bgl_string2367za700za7za7_2739za7, "mod", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2600z00zz__evaluate_typesz00, BgL_bgl_za762lambda1954za7622740z00, BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2440z00zz__evaluate_typesz00, BgL_bgl_za762lambda1620za7622741z00, BGl_z62lambda1620z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2603z00zz__evaluate_typesz00, BgL_bgl_za762lambda1960za7622742z00, BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2522z00zz__evaluate_typesz00, BgL_bgl_za762lambda1805za7622743z00, BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2604z00zz__evaluate_typesz00, BgL_bgl_za762lambda1959za7622744z00, BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2523z00zz__evaluate_typesz00, BgL_bgl_za762lambda1804za7622745z00, BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2605z00zz__evaluate_typesz00, BgL_bgl_za762lambda1965za7622746z00, BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2443z00zz__evaluate_typesz00, BgL_bgl_za762lambda1641za7622747z00, BGl_z62lambda1641z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2362z00zz__evaluate_typesz00, BgL_bgl_za762lambda1476za7622748z00, BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2606z00zz__evaluate_typesz00, BgL_bgl_za762lambda1964za7622749z00, BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2444z00zz__evaluate_typesz00, BgL_bgl_za762lambda1640za7622750z00, BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2363z00zz__evaluate_typesz00, BgL_bgl_za762lambda1475za7622751z00, BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2613z00zz__evaluate_typesz00, BgL_bgl_string2613za700za7za7_2752za7, "ev_app", 6 );
DEFINE_STRING( BGl_string2532z00zz__evaluate_typesz00, BgL_bgl_string2532za700za7za7_2753za7, "ev_binder", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2526z00zz__evaluate_typesz00, BgL_bgl_za762lambda1810za7622754z00, BGl_z62lambda1810z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2451z00zz__evaluate_typesz00, BgL_bgl_string2451za700za7za7_2755za7, "ev_setlocal", 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2364z00zz__evaluate_typesz00, BgL_bgl_za762lambda1481za7622756z00, BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2527z00zz__evaluate_typesz00, BgL_bgl_za762lambda1809za7622757z00, BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2365z00zz__evaluate_typesz00, BgL_bgl_za762lambda1480za7622758z00, BGl_z62lambda1480z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2609z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2759za7, BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2528z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2760za7, BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2447z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2761za7, BGl_z62zc3z04anonymousza31636ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2372z00zz__evaluate_typesz00, BgL_bgl_string2372za700za7za7_2762za7, "ev_global", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2529z00zz__evaluate_typesz00, BgL_bgl_za762lambda1793za7622763z00, BGl_z62lambda1793z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2448z00zz__evaluate_typesz00, BgL_bgl_za762lambda1634za7622764z00, BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2449z00zz__evaluate_typesz00, BgL_bgl_za762lambda1632za7622765z00, BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2368z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2766za7, BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2537z00zz__evaluate_typesz00, BgL_bgl_string2537za700za7za7_2767za7, "boxes", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2369z00zz__evaluate_typesz00, BgL_bgl_za762lambda1464za7622768z00, BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2619z00zz__evaluate_typesz00, BgL_bgl_string2619za700za7za7_2769za7, "where", 5 );
DEFINE_STRING( BGl_string2376z00zz__evaluate_typesz00, BgL_bgl_string2376za700za7za7_2770za7, "value", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2610z00zz__evaluate_typesz00, BgL_bgl_za762lambda1943za7622771z00, BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2611z00zz__evaluate_typesz00, BgL_bgl_za762lambda1941za7622772z00, BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2530z00zz__evaluate_typesz00, BgL_bgl_za762lambda1791za7622773z00, BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2370z00zz__evaluate_typesz00, BgL_bgl_za762lambda1462za7622774z00, BGl_z62lambda1462z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2614z00zz__evaluate_typesz00, BgL_bgl_za762lambda1980za7622775z00, BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2533z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2776za7, BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2452z00zz__evaluate_typesz00, BgL_bgl_za762lambda1656za7622777z00, BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2615z00zz__evaluate_typesz00, BgL_bgl_za762lambda1979za7622778z00, BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2534z00zz__evaluate_typesz00, BgL_bgl_za762lambda1826za7622779z00, BGl_z62lambda1826z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2453z00zz__evaluate_typesz00, BgL_bgl_za762lambda1655za7622780z00, BGl_z62lambda1655z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2616z00zz__evaluate_typesz00, BgL_bgl_za762lambda1985za7622781z00, BGl_z62lambda1985z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2535z00zz__evaluate_typesz00, BgL_bgl_za762lambda1825za7622782z00, BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2454z00zz__evaluate_typesz00, BgL_bgl_za762lambda1661za7622783z00, BGl_z62lambda1661z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2373z00zz__evaluate_typesz00, BgL_bgl_za762lambda1499za7622784z00, BGl_z62lambda1499z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2623z00zz__evaluate_typesz00, BgL_bgl_string2623za700za7za7_2785za7, "arity", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2617z00zz__evaluate_typesz00, BgL_bgl_za762lambda1984za7622786z00, BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2542z00zz__evaluate_typesz00, BgL_bgl_string2542za700za7za7_2787za7, "ev_let", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2455z00zz__evaluate_typesz00, BgL_bgl_za762lambda1660za7622788z00, BGl_z62lambda1660z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2374z00zz__evaluate_typesz00, BgL_bgl_za762lambda1498za7622789z00, BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2462z00zz__evaluate_typesz00, BgL_bgl_string2462za700za7za7_2790za7, "ev_setglobal", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2456z00zz__evaluate_typesz00, BgL_bgl_za762lambda1667za7622791z00, BGl_z62lambda1667z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2381z00zz__evaluate_typesz00, BgL_bgl_string2381za700za7za7_2792za7, "ev_litt", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2538z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2793za7, BGl_z62zc3z04anonymousza31820ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2457z00zz__evaluate_typesz00, BgL_bgl_za762lambda1666za7622794z00, BGl_z62lambda1666z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2539z00zz__evaluate_typesz00, BgL_bgl_za762lambda1818za7622795z00, BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2458z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2796za7, BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2377z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2797za7, BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2459z00zz__evaluate_typesz00, BgL_bgl_za762lambda1649za7622798z00, BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2378z00zz__evaluate_typesz00, BgL_bgl_za762lambda1490za7622799z00, BGl_z62lambda1490z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2385z00zz__evaluate_typesz00, BgL_bgl_string2385za700za7za7_2800za7, "p", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2379z00zz__evaluate_typesz00, BgL_bgl_za762lambda1488za7622801z00, BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2467z00zz__evaluate_typesz00, BgL_bgl_string2467za700za7za7_2802za7, "ev_defglobal", 12 );
DEFINE_STRING( BGl_string2389z00zz__evaluate_typesz00, BgL_bgl_string2389za700za7za7_2803za7, "t", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2620z00zz__evaluate_typesz00, BgL_bgl_za762lambda1990za7622804z00, BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2621z00zz__evaluate_typesz00, BgL_bgl_za762lambda1989za7622805z00, BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2540z00zz__evaluate_typesz00, BgL_bgl_za762lambda1816za7622806z00, BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2460z00zz__evaluate_typesz00, BgL_bgl_za762lambda1647za7622807z00, BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2624z00zz__evaluate_typesz00, BgL_bgl_za762lambda1995za7622808z00, BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2543z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2809za7, BGl_z62zc3z04anonymousza31846ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2625z00zz__evaluate_typesz00, BgL_bgl_za762lambda1994za7622810z00, BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2550z00zz__evaluate_typesz00, BgL_bgl_string2550za700za7za7_2811za7, "ev_let*", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2544z00zz__evaluate_typesz00, BgL_bgl_za762lambda1845za7622812z00, BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2463z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2813za7, BGl_z62zc3z04anonymousza31680ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2382z00zz__evaluate_typesz00, BgL_bgl_za762lambda1515za7622814z00, BGl_z62lambda1515z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2632z00zz__evaluate_typesz00, BgL_bgl_string2632za700za7za7_2815za7, "size", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2626z00zz__evaluate_typesz00, BgL_bgl_za762lambda2000za7622816z00, BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2545z00zz__evaluate_typesz00, BgL_bgl_za762lambda1844za7622817z00, BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2464z00zz__evaluate_typesz00, BgL_bgl_za762lambda1677za7622818z00, BGl_z62lambda1677z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2383z00zz__evaluate_typesz00, BgL_bgl_za762lambda1514za7622819z00, BGl_z62lambda1514z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2627z00zz__evaluate_typesz00, BgL_bgl_za762lambda1999za7622820z00, BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2546z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2821za7, BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2471z00zz__evaluate_typesz00, BgL_bgl_string2471za700za7za7_2822za7, "var", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2465z00zz__evaluate_typesz00, BgL_bgl_za762lambda1674za7622823z00, BGl_z62lambda1674z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string2634z00zz__evaluate_typesz00, BgL_bgl_string2634za700za7za7_2824za7, "int", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2628z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2825za7, BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2547z00zz__evaluate_typesz00, BgL_bgl_za762lambda1837za7622826z00, BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2629z00zz__evaluate_typesz00, BgL_bgl_za762lambda2006za7622827z00, BGl_z62lambda2006z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2548z00zz__evaluate_typesz00, BgL_bgl_za762lambda1835za7622828z00, BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2386z00zz__evaluate_typesz00, BgL_bgl_za762lambda1520za7622829z00, BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2555z00zz__evaluate_typesz00, BgL_bgl_string2555za700za7za7_2830za7, "ev_letrec", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2468z00zz__evaluate_typesz00, BgL_bgl_za762lambda1702za7622831z00, BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2393z00zz__evaluate_typesz00, BgL_bgl_string2393za700za7za7_2832za7, "e", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2387z00zz__evaluate_typesz00, BgL_bgl_za762lambda1519za7622833z00, BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2475z00zz__evaluate_typesz00, BgL_bgl_string2475za700za7za7_2834za7, "body", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2469z00zz__evaluate_typesz00, BgL_bgl_za762lambda1701za7622835z00, BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2639z00zz__evaluate_typesz00, BgL_bgl_string2639za700za7za7_2836za7, "bind", 4 );
DEFINE_STRING( BGl_string2398z00zz__evaluate_typesz00, BgL_bgl_string2398za700za7za7_2837za7, "ev_if", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2630z00zz__evaluate_typesz00, BgL_bgl_za762lambda2005za7622838z00, BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2551z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2839za7, BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2552z00zz__evaluate_typesz00, BgL_bgl_za762lambda1854za7622840z00, BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2390z00zz__evaluate_typesz00, BgL_bgl_za762lambda1526za7622841z00, BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2553z00zz__evaluate_typesz00, BgL_bgl_za762lambda1852za7622842z00, BGl_z62lambda1852z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2472z00zz__evaluate_typesz00, BgL_bgl_za762lambda1708za7622843z00, BGl_z62lambda1708z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2391z00zz__evaluate_typesz00, BgL_bgl_za762lambda1525za7622844z00, BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2635z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2845za7, BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2473z00zz__evaluate_typesz00, BgL_bgl_za762lambda1707za7622846z00, BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2636z00zz__evaluate_typesz00, BgL_bgl_za762lambda2013za7622847z00, BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2480z00zz__evaluate_typesz00, BgL_bgl_string2480za700za7za7_2848za7, "ev_bind-exit", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2637z00zz__evaluate_typesz00, BgL_bgl_za762lambda2012za7622849z00, BGl_z62lambda2012z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2556z00zz__evaluate_typesz00, BgL_bgl_za762lambda1871za7622850z00, BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2394z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2851za7, BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2644z00zz__evaluate_typesz00, BgL_bgl_string2644za700za7za7_2852za7, "free", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2557z00zz__evaluate_typesz00, BgL_bgl_za762lambda1870za7622853z00, BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2476z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2854za7, BGl_z62zc3z04anonymousza31695ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2395z00zz__evaluate_typesz00, BgL_bgl_za762lambda1508za7622855z00, BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2564z00zz__evaluate_typesz00, BgL_bgl_string2564za700za7za7_2856za7, "env", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2558z00zz__evaluate_typesz00, BgL_bgl_za762lambda1876za7622857z00, BGl_z62lambda1876z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2477z00zz__evaluate_typesz00, BgL_bgl_za762lambda1693za7622858z00, BGl_z62lambda1693z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2396z00zz__evaluate_typesz00, BgL_bgl_za762lambda1506za7622859z00, BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2559z00zz__evaluate_typesz00, BgL_bgl_za762lambda1875za7622860z00, BGl_z62lambda1875z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2478z00zz__evaluate_typesz00, BgL_bgl_za762lambda1691za7622861z00, BGl_z62lambda1691z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2399z00zz__evaluate_typesz00, BgL_bgl_za762lambda1545za7622862z00, BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2649z00zz__evaluate_typesz00, BgL_bgl_string2649za700za7za7_2863za7, "inner", 5 );
DEFINE_STRING( BGl_string2569z00zz__evaluate_typesz00, BgL_bgl_string2569za700za7za7_2864za7, "stk", 3 );
DEFINE_STRING( BGl_string2489z00zz__evaluate_typesz00, BgL_bgl_string2489za700za7za7_2865za7, "ev_unwind-protect", 17 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2640z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2866za7, BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2641z00zz__evaluate_typesz00, BgL_bgl_za762lambda2020za7622867z00, BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2560z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2868za7, BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2642z00zz__evaluate_typesz00, BgL_bgl_za762lambda2019za7622869z00, BGl_z62lambda2019z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2561z00zz__evaluate_typesz00, BgL_bgl_za762lambda1883za7622870z00, BGl_z62lambda1883z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2562z00zz__evaluate_typesz00, BgL_bgl_za762lambda1882za7622871z00, BGl_z62lambda1882z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2481z00zz__evaluate_typesz00, BgL_bgl_za762lambda1727za7622872z00, BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2482z00zz__evaluate_typesz00, BgL_bgl_za762lambda1726za7622873z00, BGl_z62lambda1726z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2645z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2874za7, BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2483z00zz__evaluate_typesz00, BgL_bgl_za762lambda1732za7622875z00, BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2646z00zz__evaluate_typesz00, BgL_bgl_za762lambda2027za7622876z00, BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2565z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2877za7, BGl_z62zc3z04anonymousza31891ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2484z00zz__evaluate_typesz00, BgL_bgl_za762lambda1731za7622878z00, BGl_z62lambda1731z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2647z00zz__evaluate_typesz00, BgL_bgl_za762lambda2026za7622879z00, BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2566z00zz__evaluate_typesz00, BgL_bgl_za762lambda1890za7622880z00, BGl_z62lambda1890z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2485z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2881za7, BGl_z62zc3z04anonymousza31722ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2567z00zz__evaluate_typesz00, BgL_bgl_za762lambda1889za7622882z00, BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2486z00zz__evaluate_typesz00, BgL_bgl_za762lambda1720za7622883z00, BGl_z62lambda1720z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2493z00zz__evaluate_typesz00, BgL_bgl_string2493za700za7za7_2884za7, "handler", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2487z00zz__evaluate_typesz00, BgL_bgl_za762lambda1717za7622885z00, BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2657z00zz__evaluate_typesz00, BgL_bgl_string2657za700za7za7_2886za7, "ev_abs", 6 );
DEFINE_STRING( BGl_string2659z00zz__evaluate_typesz00, BgL_bgl_string2659za700za7za7_2887za7, "_", 1 );
DEFINE_STRING( BGl_string2579z00zz__evaluate_typesz00, BgL_bgl_string2579za700za7za7_2888za7, "ev_labels", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2650z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2889za7, BGl_z62zc3z04anonymousza32035ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2651z00zz__evaluate_typesz00, BgL_bgl_za762lambda2034za7622890z00, BGl_z62lambda2034z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2570z00zz__evaluate_typesz00, BgL_bgl_za762lambda1896za7622891z00, BGl_z62lambda1896z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2652z00zz__evaluate_typesz00, BgL_bgl_za762lambda2033za7622892z00, BGl_z62lambda2033z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2571z00zz__evaluate_typesz00, BgL_bgl_za762lambda1895za7622893z00, BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2490z00zz__evaluate_typesz00, BgL_bgl_za762lambda1749za7622894z00, BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2653z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2895za7, BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2572z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2896za7, BGl_z62zc3z04anonymousza31903ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2491z00zz__evaluate_typesz00, BgL_bgl_za762lambda1748za7622897z00, BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2654z00zz__evaluate_typesz00, BgL_bgl_za762lambda1973za7622898z00, BGl_z62lambda1973z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2573z00zz__evaluate_typesz00, BgL_bgl_za762lambda1902za7622899z00, BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2655z00zz__evaluate_typesz00, BgL_bgl_za762lambda1971za7622900z00, BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2574z00zz__evaluate_typesz00, BgL_bgl_za762lambda1901za7622901z00, BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2575z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2902za7, BGl_z62zc3z04anonymousza31866ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2494z00zz__evaluate_typesz00, BgL_bgl_za762lambda1754za7622903z00, BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2576z00zz__evaluate_typesz00, BgL_bgl_za762lambda1864za7622904z00, BGl_z62lambda1864z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2495z00zz__evaluate_typesz00, BgL_bgl_za762lambda1753za7622905z00, BGl_z62lambda1753z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2577z00zz__evaluate_typesz00, BgL_bgl_za762lambda1862za7622906z00, BGl_z62lambda1862z62zz__evaluate_typesz00, 0L, BUNSPEC, 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2496z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2907za7, BGl_z62zc3z04anonymousza31743ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2497z00zz__evaluate_typesz00, BgL_bgl_za762lambda1740za7622908z00, BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2585z00zz__evaluate_typesz00, BgL_bgl_string2585za700za7za7_2909za7, "label", 5 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2498z00zz__evaluate_typesz00, BgL_bgl_za762lambda1738za7622910z00, BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2589z00zz__evaluate_typesz00, BgL_bgl_string2589za700za7za7_2911za7, "labels", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2580z00zz__evaluate_typesz00, BgL_bgl_za762lambda1918za7622912z00, BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2581z00zz__evaluate_typesz00, BgL_bgl_za762lambda1917za7622913z00, BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2582z00zz__evaluate_typesz00, BgL_bgl_za762lambda1925za7622914z00, BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2583z00zz__evaluate_typesz00, BgL_bgl_za762lambda1924za7622915z00, BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2586z00zz__evaluate_typesz00, BgL_bgl_za762lambda1930za7622916z00, BGl_z62lambda1930z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2587z00zz__evaluate_typesz00, BgL_bgl_za762lambda1929za7622917z00, BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2596z00zz__evaluate_typesz00, BgL_bgl_string2596za700za7za7_2918za7, "ev_goto", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2590z00zz__evaluate_typesz00, BgL_bgl_za762lambda1935za7622919z00, BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2591z00zz__evaluate_typesz00, BgL_bgl_za762lambda1934za7622920z00, BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2592z00zz__evaluate_typesz00, BgL_bgl_za762za7c3za704anonymo2921za7, BGl_z62zc3z04anonymousza31913ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2593z00zz__evaluate_typesz00, BgL_bgl_za762lambda1911za7622922z00, BGl_z62lambda1911z62zz__evaluate_typesz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2594z00zz__evaluate_typesz00, BgL_bgl_za762lambda1909za7622923z00, BGl_z62lambda1909z62zz__evaluate_typesz00, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2597z00zz__evaluate_typesz00, BgL_bgl_za762lambda1950za7622924z00, BGl_z62lambda1950z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2598z00zz__evaluate_typesz00, BgL_bgl_za762lambda1949za7622925z00, BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2599z00zz__evaluate_typesz00, BgL_bgl_za762lambda1955za7622926z00, BGl_z62lambda1955z62zz__evaluate_typesz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol2643z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2563z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2648z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2568z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2488z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_defglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2492z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2656z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2658z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2578z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2499z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2584z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2588z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2595z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letrecz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_prog2z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_letza2za2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_labelsz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_absz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_trapz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setglobalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_ifz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_hookz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_gotoz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_globalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_binderz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_listz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_littz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_orz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_varz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_andz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2401z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2406z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2411z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2332z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2334z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2416z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2338z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_exprz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_appz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2420z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2340z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2505z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2424z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2345z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2509z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2347z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2429z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2351z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2516z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2436z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2356z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_synchroniza7eza7zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2601z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2520z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2441z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2360z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2524z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2607z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2445z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2366z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2612z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2531z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2450z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2371z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2536z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2618z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2375z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2622z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2541z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2461z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2380z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2384z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2466z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2549z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2388z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_ev_setlocalz00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2631z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2470z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2633z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2554z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2392z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2474z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2638z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2397z00zz__evaluate_typesz00) );
ADD_ROOT( (void *)(&BGl_symbol2479z00zz__evaluate_typesz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_types.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1975>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2035>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32035ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2028>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2021>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2014>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2007>\" \"Eval/evaluate_types.scm\" 3347) \"BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1945>\" \"Eval/evaluate_types.scm\" 3265) \"BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1913>\" \"Eval/evaluate_types.scm\" 3154) \"BGl_z62zc3z04anonymousza31913ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1866>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31866ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1903>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31903ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1891>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31891ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1884>\" \"Eval/evaluate_types.scm\" 2941) \"BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1856>\" \"Eval/evaluate_types.scm\" 2908) \"BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1839>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1846>\" \"Eval/evaluate_types.scm\" 2848) \"BGl_z62zc3z04anonymousza31846ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1820>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31820ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1827>\" \"Eval/evaluate_types.scm\" 2789) \"BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1795>\" \"Eval/evaluate_types.scm\" 2713) \"BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1764>\" \"Eval/evaluate_types.scm\" 2587) \"BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1743>\" \"Eval/evaluate_types.scm\" 2505) \"BGl_z62zc3z04anonymousza31743ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1722>\" \"Eval/evaluate_types.scm\" 2427) \"BGl_z62zc3z04anonymousza31722ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1695>\" \"Eval/evaluate_types.scm\" 2353) \"BGl_z62zc3z04anonymousza31695ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1680>\" \"Eval/evaluate_types.scm\" 2314) \"BGl_z62zc3z04anonymousza31680ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1651>\" \"Eval/evaluate_types.scm\" 2226) \"BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1636>\" \"Eval/evaluate_types.scm\" 2176) \"BGl_z62zc3z04anonymousza31636ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1625>\" \"Eval/evaluate_types.scm\" 2147) \"BGl_z62zc3z04anonymousza31625ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1606>\" \"Eval/evaluate_types.scm\" 2100) \"BGl_z62zc3z04anonymousza31606ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1583>\" \"Eval/evaluate_types.scm\" 2032) \"BGl_z62zc3z04anonymousza31583ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1570>\" \"Eval/evaluate_types.scm\" 2004) \"BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1558>\" \"Eval/evaluate_types.scm\" 1977) \"BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1538>\" \"Eval/evaluate_types.scm\" 1936) \"BGl_z62zc3z04anonymousza31538ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1510>\" \"Eval/evaluate_types.scm\" 1855) \"BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1494>\" \"Eval/evaluate_types.scm\" 1813) \"BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1466>\" \"Eval/evaluate_types.scm\" 1723) \"BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1437>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1449>\" \"Eval/evaluate_types.scm\" 1637) \"BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1426>\" \"Eval/evaluate_types.scm\" 1612) \"BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long BgL_checksumz00_4208, char * BgL_fromz00_4209)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_typesz00(); 
BGl_cnstzd2initzd2zz__evaluate_typesz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(); 
BGl_objectzd2initzd2zz__evaluate_typesz00(); 
return 
BGl_profzd2initzd2zz__evaluate_typesz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
BGl_symbol2332z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2333z00zz__evaluate_typesz00); 
BGl_symbol2334z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2335z00zz__evaluate_typesz00); 
BGl_symbol2338z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2339z00zz__evaluate_typesz00); 
BGl_symbol2340z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2341z00zz__evaluate_typesz00); 
BGl_symbol2345z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2346z00zz__evaluate_typesz00); 
BGl_symbol2347z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2348z00zz__evaluate_typesz00); 
BGl_symbol2351z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2352z00zz__evaluate_typesz00); 
BGl_symbol2356z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2357z00zz__evaluate_typesz00); 
BGl_symbol2360z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2361z00zz__evaluate_typesz00); 
BGl_symbol2366z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00); 
BGl_symbol2371z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00); 
BGl_symbol2375z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00); 
BGl_symbol2380z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00); 
BGl_symbol2384z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00); 
BGl_symbol2388z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2389z00zz__evaluate_typesz00); 
BGl_symbol2392z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00); 
BGl_symbol2397z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00); 
BGl_symbol2401z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00); 
BGl_symbol2406z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00); 
BGl_symbol2411z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00); 
BGl_symbol2416z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00); 
BGl_symbol2420z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2421z00zz__evaluate_typesz00); 
BGl_symbol2424z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2425z00zz__evaluate_typesz00); 
BGl_symbol2429z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2430z00zz__evaluate_typesz00); 
BGl_symbol2436z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00); 
BGl_symbol2441z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00); 
BGl_symbol2445z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00); 
BGl_symbol2450z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00); 
BGl_symbol2461z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00); 
BGl_symbol2466z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00); 
BGl_symbol2470z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2471z00zz__evaluate_typesz00); 
BGl_symbol2474z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2475z00zz__evaluate_typesz00); 
BGl_symbol2479z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00); 
BGl_symbol2488z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2489z00zz__evaluate_typesz00); 
BGl_symbol2492z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2493z00zz__evaluate_typesz00); 
BGl_symbol2499z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2500z00zz__evaluate_typesz00); 
BGl_symbol2505z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00); 
BGl_symbol2509z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2510z00zz__evaluate_typesz00); 
BGl_symbol2516z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00); 
BGl_symbol2520z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2521z00zz__evaluate_typesz00); 
BGl_symbol2524z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2525z00zz__evaluate_typesz00); 
BGl_symbol2531z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00); 
BGl_symbol2536z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2537z00zz__evaluate_typesz00); 
BGl_symbol2541z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2542z00zz__evaluate_typesz00); 
BGl_symbol2549z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00); 
BGl_symbol2554z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2555z00zz__evaluate_typesz00); 
BGl_symbol2563z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2564z00zz__evaluate_typesz00); 
BGl_symbol2568z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2569z00zz__evaluate_typesz00); 
BGl_symbol2578z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2579z00zz__evaluate_typesz00); 
BGl_symbol2584z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2585z00zz__evaluate_typesz00); 
BGl_symbol2588z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2589z00zz__evaluate_typesz00); 
BGl_symbol2595z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00); 
BGl_symbol2601z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2602z00zz__evaluate_typesz00); 
BGl_symbol2607z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2608z00zz__evaluate_typesz00); 
BGl_symbol2612z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2613z00zz__evaluate_typesz00); 
BGl_symbol2618z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00); 
BGl_symbol2622z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2623z00zz__evaluate_typesz00); 
BGl_symbol2631z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2632z00zz__evaluate_typesz00); 
BGl_symbol2633z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00); 
BGl_symbol2638z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2639z00zz__evaluate_typesz00); 
BGl_symbol2643z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00); 
BGl_symbol2648z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2649z00zz__evaluate_typesz00); 
BGl_symbol2656z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00); 
return ( 
BGl_symbol2658z00zz__evaluate_typesz00 = 
bstring_to_symbol(BGl_string2659z00zz__evaluate_typesz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_arg1420z00_1115; obj_t BgL_arg1421z00_1116;
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1283z00_1126;
BgL_v1283z00_1126 = 
create_vector(0L); 
BgL_arg1420z00_1115 = BgL_v1283z00_1126; } 
{ /* Eval/evaluate_types.scm 49 */
 obj_t BgL_v1284z00_1127;
BgL_v1284z00_1127 = 
create_vector(0L); 
BgL_arg1421z00_1116 = BgL_v1284z00_1127; } 
BGl_ev_exprz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2332z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00, 36682L, BGl_proc2331z00zz__evaluate_typesz00, BGl_proc2330z00zz__evaluate_typesz00, BFALSE, BGl_proc2329z00zz__evaluate_typesz00, BFALSE, BgL_arg1420z00_1115, BgL_arg1421z00_1116); } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_arg1431z00_1134; obj_t BgL_arg1432z00_1135;
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1285z00_1148;
BgL_v1285z00_1148 = 
create_vector(3L); 
VECTOR_SET(BgL_v1285z00_1148,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2338z00zz__evaluate_typesz00, BGl_proc2337z00zz__evaluate_typesz00, BGl_proc2336z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1285z00_1148,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2345z00zz__evaluate_typesz00, BGl_proc2344z00zz__evaluate_typesz00, BGl_proc2343z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2342z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1285z00_1148,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2351z00zz__evaluate_typesz00, BGl_proc2350z00zz__evaluate_typesz00, BGl_proc2349z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1431z00_1134 = BgL_v1285z00_1148; } 
{ /* Eval/evaluate_types.scm 51 */
 obj_t BgL_v1286z00_1182;
BgL_v1286z00_1182 = 
create_vector(0L); 
BgL_arg1432z00_1135 = BgL_v1286z00_1182; } 
BGl_ev_varz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2356z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 7285L, BGl_proc2355z00zz__evaluate_typesz00, BGl_proc2354z00zz__evaluate_typesz00, BFALSE, BGl_proc2353z00zz__evaluate_typesz00, BFALSE, BgL_arg1431z00_1134, BgL_arg1432z00_1135); } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_arg1460z00_1189; obj_t BgL_arg1461z00_1190;
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1287z00_1203;
BgL_v1287z00_1203 = 
create_vector(3L); 
VECTOR_SET(BgL_v1287z00_1203,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2359z00zz__evaluate_typesz00, BGl_proc2358z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1203,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2338z00zz__evaluate_typesz00, BGl_proc2363z00zz__evaluate_typesz00, BGl_proc2362z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1287z00_1203,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2366z00zz__evaluate_typesz00, BGl_proc2365z00zz__evaluate_typesz00, BGl_proc2364z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1460z00_1189 = BgL_v1287z00_1203; } 
{ /* Eval/evaluate_types.scm 55 */
 obj_t BgL_v1288z00_1234;
BgL_v1288z00_1234 = 
create_vector(0L); 
BgL_arg1461z00_1190 = BgL_v1288z00_1234; } 
BGl_ev_globalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2371z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 59175L, BGl_proc2370z00zz__evaluate_typesz00, BGl_proc2369z00zz__evaluate_typesz00, BFALSE, BGl_proc2368z00zz__evaluate_typesz00, BFALSE, BgL_arg1460z00_1189, BgL_arg1461z00_1190); } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_arg1486z00_1241; obj_t BgL_arg1487z00_1242;
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1289z00_1253;
BgL_v1289z00_1253 = 
create_vector(1L); 
VECTOR_SET(BgL_v1289z00_1253,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2375z00zz__evaluate_typesz00, BGl_proc2374z00zz__evaluate_typesz00, BGl_proc2373z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1486z00_1241 = BgL_v1289z00_1253; } 
{ /* Eval/evaluate_types.scm 60 */
 obj_t BgL_v1290z00_1264;
BgL_v1290z00_1264 = 
create_vector(0L); 
BgL_arg1487z00_1242 = BgL_v1290z00_1264; } 
BGl_ev_littz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2380z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 42418L, BGl_proc2379z00zz__evaluate_typesz00, BGl_proc2378z00zz__evaluate_typesz00, BFALSE, BGl_proc2377z00zz__evaluate_typesz00, BFALSE, BgL_arg1486z00_1241, BgL_arg1487z00_1242); } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_arg1504z00_1271; obj_t BgL_arg1505z00_1272;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1291z00_1285;
BgL_v1291z00_1285 = 
create_vector(3L); 
VECTOR_SET(BgL_v1291z00_1285,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2384z00zz__evaluate_typesz00, BGl_proc2383z00zz__evaluate_typesz00, BGl_proc2382z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1291z00_1285,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2388z00zz__evaluate_typesz00, BGl_proc2387z00zz__evaluate_typesz00, BGl_proc2386z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1291z00_1285,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2391z00zz__evaluate_typesz00, BGl_proc2390z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1504z00_1271 = BgL_v1291z00_1285; } 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_v1292z00_1316;
BgL_v1292z00_1316 = 
create_vector(0L); 
BgL_arg1505z00_1272 = BgL_v1292z00_1316; } 
BGl_ev_ifz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2397z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 19099L, BGl_proc2396z00zz__evaluate_typesz00, BGl_proc2395z00zz__evaluate_typesz00, BFALSE, BGl_proc2394z00zz__evaluate_typesz00, BFALSE, BgL_arg1504z00_1271, BgL_arg1505z00_1272); } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_arg1530z00_1323; obj_t BgL_arg1531z00_1324;
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1293z00_1335;
BgL_v1293z00_1335 = 
create_vector(1L); 
VECTOR_SET(BgL_v1293z00_1335,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2400z00zz__evaluate_typesz00, BGl_proc2399z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1530z00_1323 = BgL_v1293z00_1335; } 
{ /* Eval/evaluate_types.scm 66 */
 obj_t BgL_v1294z00_1346;
BgL_v1294z00_1346 = 
create_vector(0L); 
BgL_arg1531z00_1324 = BgL_v1294z00_1346; } 
BGl_ev_listz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2406z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 39617L, BGl_proc2405z00zz__evaluate_typesz00, BGl_proc2404z00zz__evaluate_typesz00, BFALSE, BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1530z00_1323, BgL_arg1531z00_1324); } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_arg1550z00_1353; obj_t BgL_arg1551z00_1354;
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1295z00_1365;
BgL_v1295z00_1365 = 
create_vector(0L); 
BgL_arg1550z00_1353 = BgL_v1295z00_1365; } 
{ /* Eval/evaluate_types.scm 68 */
 obj_t BgL_v1296z00_1366;
BgL_v1296z00_1366 = 
create_vector(0L); 
BgL_arg1551z00_1354 = BgL_v1296z00_1366; } 
BGl_ev_orz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2411z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, 50334L, BGl_proc2410z00zz__evaluate_typesz00, BGl_proc2409z00zz__evaluate_typesz00, BFALSE, BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1550z00_1353, BgL_arg1551z00_1354); } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_arg1562z00_1373; obj_t BgL_arg1565z00_1374;
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1297z00_1385;
BgL_v1297z00_1385 = 
create_vector(0L); 
BgL_arg1562z00_1373 = BgL_v1297z00_1385; } 
{ /* Eval/evaluate_types.scm 69 */
 obj_t BgL_v1298z00_1386;
BgL_v1298z00_1386 = 
create_vector(0L); 
BgL_arg1565z00_1374 = BgL_v1298z00_1386; } 
BGl_ev_andz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2416z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_listz00zz__evaluate_typesz00, 26888L, BGl_proc2415z00zz__evaluate_typesz00, BGl_proc2414z00zz__evaluate_typesz00, BFALSE, BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BgL_arg1562z00_1373, BgL_arg1565z00_1374); } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_arg1574z00_1393; obj_t BgL_arg1577z00_1394;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1299z00_1406;
BgL_v1299z00_1406 = 
create_vector(2L); 
VECTOR_SET(BgL_v1299z00_1406,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2420z00zz__evaluate_typesz00, BGl_proc2419z00zz__evaluate_typesz00, BGl_proc2418z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1299z00_1406,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2424z00zz__evaluate_typesz00, BGl_proc2423z00zz__evaluate_typesz00, BGl_proc2422z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1574z00_1393 = BgL_v1299z00_1406; } 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_v1300z00_1427;
BgL_v1300z00_1427 = 
create_vector(0L); 
BgL_arg1577z00_1394 = BgL_v1300z00_1427; } 
BGl_ev_prog2z00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2429z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 14177L, BGl_proc2428z00zz__evaluate_typesz00, BGl_proc2427z00zz__evaluate_typesz00, BFALSE, BGl_proc2426z00zz__evaluate_typesz00, BFALSE, BgL_arg1574z00_1393, BgL_arg1577z00_1394); } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_arg1599z00_1434; obj_t BgL_arg1601z00_1435;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1301z00_1446;
BgL_v1301z00_1446 = 
create_vector(1L); 
VECTOR_SET(BgL_v1301z00_1446,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2432z00zz__evaluate_typesz00, BGl_proc2431z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1599z00_1434 = BgL_v1301z00_1446; } 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_v1302z00_1457;
BgL_v1302z00_1457 = 
create_vector(0L); 
BgL_arg1601z00_1435 = BgL_v1302z00_1457; } 
BGl_ev_hookz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2436z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 32125L, BGl_proc2435z00zz__evaluate_typesz00, BGl_proc2434z00zz__evaluate_typesz00, BFALSE, BGl_proc2433z00zz__evaluate_typesz00, BFALSE, BgL_arg1599z00_1434, BgL_arg1601z00_1435); } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_arg1618z00_1464; obj_t BgL_arg1619z00_1465;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1303z00_1476;
BgL_v1303z00_1476 = 
create_vector(0L); 
BgL_arg1618z00_1464 = BgL_v1303z00_1476; } 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_v1304z00_1477;
BgL_v1304z00_1477 = 
create_vector(0L); 
BgL_arg1619z00_1465 = BgL_v1304z00_1477; } 
BGl_ev_trapz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2441z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, 24451L, BGl_proc2440z00zz__evaluate_typesz00, BGl_proc2439z00zz__evaluate_typesz00, BFALSE, BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1618z00_1464, BgL_arg1619z00_1465); } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_arg1630z00_1484; obj_t BgL_arg1631z00_1485;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1305z00_1497;
BgL_v1305z00_1497 = 
create_vector(1L); 
VECTOR_SET(BgL_v1305z00_1497,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2445z00zz__evaluate_typesz00, BGl_proc2444z00zz__evaluate_typesz00, BGl_proc2443z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
BgL_arg1630z00_1484 = BgL_v1305z00_1497; } 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_v1306z00_1508;
BgL_v1306z00_1508 = 
create_vector(0L); 
BgL_arg1631z00_1485 = BgL_v1306z00_1508; } 
BGl_ev_setlocalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2450z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, 37950L, BGl_proc2449z00zz__evaluate_typesz00, BGl_proc2448z00zz__evaluate_typesz00, BFALSE, BGl_proc2447z00zz__evaluate_typesz00, BFALSE, BgL_arg1630z00_1484, BgL_arg1631z00_1485); } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_arg1645z00_1515; obj_t BgL_arg1646z00_1516;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1307z00_1530;
BgL_v1307z00_1530 = 
create_vector(3L); 
VECTOR_SET(BgL_v1307z00_1530,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2453z00zz__evaluate_typesz00, BGl_proc2452z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1307z00_1530,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2338z00zz__evaluate_typesz00, BGl_proc2455z00zz__evaluate_typesz00, BGl_proc2454z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1307z00_1530,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2366z00zz__evaluate_typesz00, BGl_proc2457z00zz__evaluate_typesz00, BGl_proc2456z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1645z00_1515 = BgL_v1307z00_1530; } 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_v1308z00_1561;
BgL_v1308z00_1561 = 
create_vector(0L); 
BgL_arg1646z00_1516 = BgL_v1308z00_1561; } 
BGl_ev_setglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2461z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_hookz00zz__evaluate_typesz00, 62117L, BGl_proc2460z00zz__evaluate_typesz00, BGl_proc2459z00zz__evaluate_typesz00, BFALSE, BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BgL_arg1645z00_1515, BgL_arg1646z00_1516); } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_arg1672z00_1568; obj_t BgL_arg1673z00_1569;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1309z00_1583;
BgL_v1309z00_1583 = 
create_vector(0L); 
BgL_arg1672z00_1568 = BgL_v1309z00_1583; } 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_v1310z00_1584;
BgL_v1310z00_1584 = 
create_vector(0L); 
BgL_arg1673z00_1569 = BgL_v1310z00_1584; } 
BGl_ev_defglobalz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2466z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_setglobalz00zz__evaluate_typesz00, 36158L, BGl_proc2465z00zz__evaluate_typesz00, BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BGl_proc2463z00zz__evaluate_typesz00, BFALSE, BgL_arg1672z00_1568, BgL_arg1673z00_1569); } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_arg1688z00_1591; obj_t BgL_arg1690z00_1592;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1311z00_1604;
BgL_v1311z00_1604 = 
create_vector(2L); 
VECTOR_SET(BgL_v1311z00_1604,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2470z00zz__evaluate_typesz00, BGl_proc2469z00zz__evaluate_typesz00, BGl_proc2468z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1311z00_1604,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2473z00zz__evaluate_typesz00, BGl_proc2472z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1688z00_1591 = BgL_v1311z00_1604; } 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_v1312z00_1625;
BgL_v1312z00_1625 = 
create_vector(0L); 
BgL_arg1690z00_1592 = BgL_v1312z00_1625; } 
BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2479z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 10723L, BGl_proc2478z00zz__evaluate_typesz00, BGl_proc2477z00zz__evaluate_typesz00, BFALSE, BGl_proc2476z00zz__evaluate_typesz00, BFALSE, BgL_arg1688z00_1591, BgL_arg1690z00_1592); } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_arg1715z00_1632; obj_t BgL_arg1716z00_1633;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1313z00_1645;
BgL_v1313z00_1645 = 
create_vector(2L); 
VECTOR_SET(BgL_v1313z00_1645,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2392z00zz__evaluate_typesz00, BGl_proc2482z00zz__evaluate_typesz00, BGl_proc2481z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1313z00_1645,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2484z00zz__evaluate_typesz00, BGl_proc2483z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1715z00_1632 = BgL_v1313z00_1645; } 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_v1314z00_1666;
BgL_v1314z00_1666 = 
create_vector(0L); 
BgL_arg1716z00_1633 = BgL_v1314z00_1666; } 
BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2488z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 59644L, BGl_proc2487z00zz__evaluate_typesz00, BGl_proc2486z00zz__evaluate_typesz00, BFALSE, BGl_proc2485z00zz__evaluate_typesz00, BFALSE, BgL_arg1715z00_1632, BgL_arg1716z00_1633); } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_arg1736z00_1673; obj_t BgL_arg1737z00_1674;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1315z00_1686;
BgL_v1315z00_1686 = 
create_vector(2L); 
VECTOR_SET(BgL_v1315z00_1686,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2492z00zz__evaluate_typesz00, BGl_proc2491z00zz__evaluate_typesz00, BGl_proc2490z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1315z00_1686,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2495z00zz__evaluate_typesz00, BGl_proc2494z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1736z00_1673 = BgL_v1315z00_1686; } 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_v1316z00_1707;
BgL_v1316z00_1707 = 
create_vector(0L); 
BgL_arg1737z00_1674 = BgL_v1316z00_1707; } 
BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2499z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 54033L, BGl_proc2498z00zz__evaluate_typesz00, BGl_proc2497z00zz__evaluate_typesz00, BFALSE, BGl_proc2496z00zz__evaluate_typesz00, BFALSE, BgL_arg1736z00_1673, BgL_arg1737z00_1674); } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_arg1758z00_1714; obj_t BgL_arg1759z00_1715;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1317z00_1729;
BgL_v1317z00_1729 = 
create_vector(4L); 
VECTOR_SET(BgL_v1317z00_1729,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2502z00zz__evaluate_typesz00, BGl_proc2501z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1729,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2505z00zz__evaluate_typesz00, BGl_proc2504z00zz__evaluate_typesz00, BGl_proc2503z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1729,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2509z00zz__evaluate_typesz00, BGl_proc2508z00zz__evaluate_typesz00, BGl_proc2507z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1317z00_1729,3L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2512z00zz__evaluate_typesz00, BGl_proc2511z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1758z00_1714 = BgL_v1317z00_1729; } 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_v1318z00_1770;
BgL_v1318z00_1770 = 
create_vector(0L); 
BgL_arg1759z00_1715 = BgL_v1318z00_1770; } 
BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2516z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 40653L, BGl_proc2515z00zz__evaluate_typesz00, BGl_proc2514z00zz__evaluate_typesz00, BFALSE, BGl_proc2513z00zz__evaluate_typesz00, BFALSE, BgL_arg1758z00_1714, BgL_arg1759z00_1715); } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_arg1789z00_1777; obj_t BgL_arg1790z00_1778;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1319z00_1791;
BgL_v1319z00_1791 = 
create_vector(3L); 
VECTOR_SET(BgL_v1319z00_1791,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2520z00zz__evaluate_typesz00, BGl_proc2519z00zz__evaluate_typesz00, BGl_proc2518z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1791,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2524z00zz__evaluate_typesz00, BGl_proc2523z00zz__evaluate_typesz00, BGl_proc2522z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1319z00_1791,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2527z00zz__evaluate_typesz00, BGl_proc2526z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
BgL_arg1789z00_1777 = BgL_v1319z00_1791; } 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_v1320z00_1822;
BgL_v1320z00_1822 = 
create_vector(0L); 
BgL_arg1790z00_1778 = BgL_v1320z00_1822; } 
BGl_ev_binderz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2531z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 50341L, BGl_proc2530z00zz__evaluate_typesz00, BGl_proc2529z00zz__evaluate_typesz00, BFALSE, BGl_proc2528z00zz__evaluate_typesz00, BFALSE, BgL_arg1789z00_1777, BgL_arg1790z00_1778); } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_arg1814z00_1829; obj_t BgL_arg1815z00_1830;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1321z00_1844;
BgL_v1321z00_1844 = 
create_vector(1L); 
VECTOR_SET(BgL_v1321z00_1844,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_proc2535z00zz__evaluate_typesz00, BGl_proc2534z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2533z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1814z00_1829 = BgL_v1321z00_1844; } 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_v1322z00_1858;
BgL_v1322z00_1858 = 
create_vector(0L); 
BgL_arg1815z00_1830 = BgL_v1322z00_1858; } 
BGl_ev_letz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2541z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, 20484L, BGl_proc2540z00zz__evaluate_typesz00, BGl_proc2539z00zz__evaluate_typesz00, BFALSE, BGl_proc2538z00zz__evaluate_typesz00, BFALSE, BgL_arg1814z00_1829, BgL_arg1815z00_1830); } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_arg1833z00_1865; obj_t BgL_arg1834z00_1866;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1323z00_1880;
BgL_v1323z00_1880 = 
create_vector(1L); 
VECTOR_SET(BgL_v1323z00_1880,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_proc2545z00zz__evaluate_typesz00, BGl_proc2544z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2543z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1833z00_1865 = BgL_v1323z00_1880; } 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_v1324z00_1894;
BgL_v1324z00_1894 = 
create_vector(0L); 
BgL_arg1834z00_1866 = BgL_v1324z00_1894; } 
BGl_ev_letza2za2zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2549z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, 9906L, BGl_proc2548z00zz__evaluate_typesz00, BGl_proc2547z00zz__evaluate_typesz00, BFALSE, BGl_proc2546z00zz__evaluate_typesz00, BFALSE, BgL_arg1833z00_1865, BgL_arg1834z00_1866); } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_arg1850z00_1901; obj_t BgL_arg1851z00_1902;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1325z00_1915;
BgL_v1325z00_1915 = 
create_vector(0L); 
BgL_arg1850z00_1901 = BgL_v1325z00_1915; } 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_v1326z00_1916;
BgL_v1326z00_1916 = 
create_vector(0L); 
BgL_arg1851z00_1902 = BgL_v1326z00_1916; } 
BGl_ev_letrecz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2554z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_binderz00zz__evaluate_typesz00, 43956L, BGl_proc2553z00zz__evaluate_typesz00, BGl_proc2552z00zz__evaluate_typesz00, BFALSE, BGl_proc2551z00zz__evaluate_typesz00, BFALSE, BgL_arg1850z00_1901, BgL_arg1851z00_1902); } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_arg1860z00_1923; obj_t BgL_arg1861z00_1924;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1327z00_1940;
BgL_v1327z00_1940 = 
create_vector(6L); 
VECTOR_SET(BgL_v1327z00_1940,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2520z00zz__evaluate_typesz00, BGl_proc2557z00zz__evaluate_typesz00, BGl_proc2556z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1940,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2524z00zz__evaluate_typesz00, BGl_proc2559z00zz__evaluate_typesz00, BGl_proc2558z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1940,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2563z00zz__evaluate_typesz00, BGl_proc2562z00zz__evaluate_typesz00, BGl_proc2561z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2560z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1940,3L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2568z00zz__evaluate_typesz00, BGl_proc2567z00zz__evaluate_typesz00, BGl_proc2566z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2565z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1940,4L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2571z00zz__evaluate_typesz00, BGl_proc2570z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1327z00_1940,5L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_proc2574z00zz__evaluate_typesz00, BGl_proc2573z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2572z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1860z00_1923 = BgL_v1327z00_1940; } 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_v1328z00_2010;
BgL_v1328z00_2010 = 
create_vector(0L); 
BgL_arg1861z00_1924 = BgL_v1328z00_2010; } 
BGl_ev_labelsz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2578z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 51941L, BGl_proc2577z00zz__evaluate_typesz00, BGl_proc2576z00zz__evaluate_typesz00, BFALSE, BGl_proc2575z00zz__evaluate_typesz00, BFALSE, BgL_arg1860z00_1923, BgL_arg1861z00_1924); } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_arg1907z00_2017; obj_t BgL_arg1908z00_2018;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1329z00_2032;
BgL_v1329z00_2032 = 
create_vector(4L); 
VECTOR_SET(BgL_v1329z00_2032,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2581z00zz__evaluate_typesz00, BGl_proc2580z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2032,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2584z00zz__evaluate_typesz00, BGl_proc2583z00zz__evaluate_typesz00, BGl_proc2582z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2032,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2588z00zz__evaluate_typesz00, BGl_proc2587z00zz__evaluate_typesz00, BGl_proc2586z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1329z00_2032,3L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2591z00zz__evaluate_typesz00, BGl_proc2590z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1907z00_2017 = BgL_v1329z00_2032; } 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_v1330z00_2073;
BgL_v1330z00_2073 = 
create_vector(0L); 
BgL_arg1908z00_2018 = BgL_v1330z00_2073; } 
BGl_ev_gotoz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2595z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 25746L, BGl_proc2594z00zz__evaluate_typesz00, BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BGl_proc2592z00zz__evaluate_typesz00, BFALSE, BgL_arg1907z00_2017, BgL_arg1908z00_2018); } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_arg1939z00_2080; obj_t BgL_arg1940z00_2081;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1331z00_2095;
BgL_v1331z00_2095 = 
create_vector(4L); 
VECTOR_SET(BgL_v1331z00_2095,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2598z00zz__evaluate_typesz00, BGl_proc2597z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2095,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2601z00zz__evaluate_typesz00, BGl_proc2600z00zz__evaluate_typesz00, BGl_proc2599z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2095,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2401z00zz__evaluate_typesz00, BGl_proc2604z00zz__evaluate_typesz00, BGl_proc2603z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1331z00_2095,3L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2607z00zz__evaluate_typesz00, BGl_proc2606z00zz__evaluate_typesz00, BGl_proc2605z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1939z00_2080 = BgL_v1331z00_2095; } 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_v1332z00_2136;
BgL_v1332z00_2136 = 
create_vector(0L); 
BgL_arg1940z00_2081 = BgL_v1332z00_2136; } 
BGl_ev_appz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2612z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 55822L, BGl_proc2611z00zz__evaluate_typesz00, BGl_proc2610z00zz__evaluate_typesz00, BFALSE, BGl_proc2609z00zz__evaluate_typesz00, BFALSE, BgL_arg1939z00_2080, BgL_arg1940z00_2081); } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_arg1969z00_2143; obj_t BgL_arg1970z00_2144;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1333z00_2164;
BgL_v1333z00_2164 = 
create_vector(10L); 
VECTOR_SET(BgL_v1333z00_2164,0L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2360z00zz__evaluate_typesz00, BGl_proc2615z00zz__evaluate_typesz00, BGl_proc2614z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,1L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2618z00zz__evaluate_typesz00, BGl_proc2617z00zz__evaluate_typesz00, BGl_proc2616z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,2L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2622z00zz__evaluate_typesz00, BGl_proc2621z00zz__evaluate_typesz00, BGl_proc2620z00zz__evaluate_typesz00, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,3L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2520z00zz__evaluate_typesz00, BGl_proc2625z00zz__evaluate_typesz00, BGl_proc2624z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,4L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2474z00zz__evaluate_typesz00, BGl_proc2627z00zz__evaluate_typesz00, BGl_proc2626z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,5L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2631z00zz__evaluate_typesz00, BGl_proc2630z00zz__evaluate_typesz00, BGl_proc2629z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2628z00zz__evaluate_typesz00, BGl_symbol2633z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,6L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2638z00zz__evaluate_typesz00, BGl_proc2637z00zz__evaluate_typesz00, BGl_proc2636z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2635z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,7L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2643z00zz__evaluate_typesz00, BGl_proc2642z00zz__evaluate_typesz00, BGl_proc2641z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2640z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,8L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2648z00zz__evaluate_typesz00, BGl_proc2647z00zz__evaluate_typesz00, BGl_proc2646z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2645z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
VECTOR_SET(BgL_v1333z00_2164,9L,
BGl_makezd2classzd2fieldz00zz__objectz00(BGl_symbol2536z00zz__evaluate_typesz00, BGl_proc2652z00zz__evaluate_typesz00, BGl_proc2651z00zz__evaluate_typesz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc2650z00zz__evaluate_typesz00, BGl_symbol2347z00zz__evaluate_typesz00)); 
BgL_arg1969z00_2143 = BgL_v1333z00_2164; } 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_v1334z00_2280;
BgL_v1334z00_2280 = 
create_vector(0L); 
BgL_arg1970z00_2144 = BgL_v1334z00_2280; } 
return ( 
BGl_ev_absz00zz__evaluate_typesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BGl_symbol2656z00zz__evaluate_typesz00, BGl_symbol2334z00zz__evaluate_typesz00, BGl_ev_exprz00zz__evaluate_typesz00, 22827L, BGl_proc2655z00zz__evaluate_typesz00, BGl_proc2654z00zz__evaluate_typesz00, BFALSE, BGl_proc2653z00zz__evaluate_typesz00, BFALSE, BgL_arg1969z00_2143, BgL_arg1970z00_2144), BUNSPEC) ;} } 

}



/* &<@anonymous:1975> */
obj_t BGl_z62zc3z04anonymousza31975ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3345, obj_t BgL_new1189z00_3346)
{
{ /* Eval/evaluate_types.scm 122 */
{ 
 BgL_ev_absz00_bglt BgL_auxz00_4476;
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_wherez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_arityz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4485;
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL_classz00_3821;
BgL_classz00_3821 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 122 */
 obj_t BgL__ortest_1282z00_3822;
BgL__ortest_1282z00_3822 = 
BGL_CLASS_NIL(BgL_classz00_3821); 
if(
CBOOL(BgL__ortest_1282z00_3822))
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4485 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3822)
; }  else 
{ /* Eval/evaluate_types.scm 122 */
BgL_auxz00_4485 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3821))
; } } } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4485),BUNSPEC); } 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_siza7eza7)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_bindz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_freez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_innerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_new1189z00_3346)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4476 = 
((BgL_ev_absz00_bglt)BgL_new1189z00_3346); 
return 
((obj_t)BgL_auxz00_4476);} } 

}



/* &lambda1973 */
BgL_ev_absz00_bglt BGl_z62lambda1973z62zz__evaluate_typesz00(obj_t BgL_envz00_3347)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1188z00_3823;
BgL_new1188z00_3823 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1974z00_3824;
BgL_arg1974z00_3824 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1188z00_3823), BgL_arg1974z00_3824); } 
return BgL_new1188z00_3823;} } 

}



/* &lambda1971 */
BgL_ev_absz00_bglt BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3348, obj_t BgL_loc1178z00_3349, obj_t BgL_where1179z00_3350, obj_t BgL_arity1180z00_3351, obj_t BgL_vars1181z00_3352, obj_t BgL_body1182z00_3353, obj_t BgL_siza7e1183za7_3354, obj_t BgL_bind1184z00_3355, obj_t BgL_free1185z00_3356, obj_t BgL_inner1186z00_3357, obj_t BgL_boxes1187z00_3358)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_siza7e1183za7_3826;
BgL_siza7e1183za7_3826 = 
CINT(BgL_siza7e1183za7_3354); 
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1241z00_3827;
{ /* Eval/evaluate_types.scm 122 */
 BgL_ev_absz00_bglt BgL_new1240z00_3828;
BgL_new1240z00_3828 = 
((BgL_ev_absz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_absz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 122 */
 long BgL_arg1972z00_3829;
BgL_arg1972z00_3829 = 
BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1240z00_3828), BgL_arg1972z00_3829); } 
BgL_new1241z00_3827 = BgL_new1240z00_3828; } 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_locz00)=((obj_t)BgL_loc1178z00_3349),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_wherez00)=((obj_t)BgL_where1179z00_3350),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_arityz00)=((obj_t)BgL_arity1180z00_3351),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_varsz00)=((obj_t)BgL_vars1181z00_3352),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1182z00_3353)),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_siza7eza7)=((int)BgL_siza7e1183za7_3826),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_bindz00)=((obj_t)BgL_bind1184z00_3355),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_freez00)=((obj_t)BgL_free1185z00_3356),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_innerz00)=((obj_t)BgL_inner1186z00_3357),BUNSPEC); 
((((BgL_ev_absz00_bglt)COBJECT(BgL_new1241z00_3827))->BgL_boxesz00)=((obj_t)BgL_boxes1187z00_3358),BUNSPEC); 
return BgL_new1241z00_3827;} } } 

}



/* &<@anonymous:2035> */
obj_t BGl_z62zc3z04anonymousza32035ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3359)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2034 */
obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t BgL_envz00_3360, obj_t BgL_oz00_3361, obj_t BgL_vz00_3362)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3361)))->BgL_boxesz00)=((obj_t)BgL_vz00_3362),BUNSPEC);} 

}



/* &lambda2033 */
obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t BgL_envz00_3363, obj_t BgL_oz00_3364)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3364)))->BgL_boxesz00);} 

}



/* &<@anonymous:2028> */
obj_t BGl_z62zc3z04anonymousza32028ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3365)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2027 */
obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3366, obj_t BgL_oz00_3367, obj_t BgL_vz00_3368)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3367)))->BgL_innerz00)=((obj_t)BgL_vz00_3368),BUNSPEC);} 

}



/* &lambda2026 */
obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3369, obj_t BgL_oz00_3370)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3370)))->BgL_innerz00);} 

}



/* &<@anonymous:2021> */
obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3371)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2020 */
obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t BgL_envz00_3372, obj_t BgL_oz00_3373, obj_t BgL_vz00_3374)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3373)))->BgL_freez00)=((obj_t)BgL_vz00_3374),BUNSPEC);} 

}



/* &lambda2019 */
obj_t BGl_z62lambda2019z62zz__evaluate_typesz00(obj_t BgL_envz00_3375, obj_t BgL_oz00_3376)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3376)))->BgL_freez00);} 

}



/* &<@anonymous:2014> */
obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3377)
{
{ /* Eval/evaluate_types.scm 122 */
return BNIL;} 

}



/* &lambda2013 */
obj_t BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t BgL_envz00_3378, obj_t BgL_oz00_3379, obj_t BgL_vz00_3380)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3379)))->BgL_bindz00)=((obj_t)BgL_vz00_3380),BUNSPEC);} 

}



/* &lambda2012 */
obj_t BGl_z62lambda2012z62zz__evaluate_typesz00(obj_t BgL_envz00_3381, obj_t BgL_oz00_3382)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3382)))->BgL_bindz00);} 

}



/* &<@anonymous:2007> */
obj_t BGl_z62zc3z04anonymousza32007ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3383)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(0L);} 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__evaluate_typesz00(obj_t BgL_envz00_3384, obj_t BgL_oz00_3385, obj_t BgL_vz00_3386)
{
{ /* Eval/evaluate_types.scm 122 */
{ /* Eval/evaluate_types.scm 122 */
 int BgL_vz00_3839;
BgL_vz00_3839 = 
CINT(BgL_vz00_3386); 
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3385)))->BgL_siza7eza7)=((int)BgL_vz00_3839),BUNSPEC);} } 

}



/* &lambda2005 */
obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3387, obj_t BgL_oz00_3388)
{
{ /* Eval/evaluate_types.scm 122 */
return 
BINT(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3388)))->BgL_siza7eza7));} 

}



/* &lambda2000 */
obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3389, obj_t BgL_oz00_3390, obj_t BgL_vz00_3391)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3390)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3391)),BUNSPEC);} 

}



/* &lambda1999 */
BgL_ev_exprz00_bglt BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3392, obj_t BgL_oz00_3393)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3393)))->BgL_bodyz00);} 

}



/* &lambda1995 */
obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3394, obj_t BgL_oz00_3395, obj_t BgL_vz00_3396)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3395)))->BgL_varsz00)=((obj_t)BgL_vz00_3396),BUNSPEC);} 

}



/* &lambda1994 */
obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3397, obj_t BgL_oz00_3398)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3398)))->BgL_varsz00);} 

}



/* &lambda1990 */
obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3399, obj_t BgL_oz00_3400, obj_t BgL_vz00_3401)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3400)))->BgL_arityz00)=((obj_t)BgL_vz00_3401),BUNSPEC);} 

}



/* &lambda1989 */
obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3402, obj_t BgL_oz00_3403)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3403)))->BgL_arityz00);} 

}



/* &lambda1985 */
obj_t BGl_z62lambda1985z62zz__evaluate_typesz00(obj_t BgL_envz00_3404, obj_t BgL_oz00_3405, obj_t BgL_vz00_3406)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3405)))->BgL_wherez00)=((obj_t)BgL_vz00_3406),BUNSPEC);} 

}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t BgL_envz00_3407, obj_t BgL_oz00_3408)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3408)))->BgL_wherez00);} 

}



/* &lambda1980 */
obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3409, obj_t BgL_oz00_3410, obj_t BgL_vz00_3411)
{
{ /* Eval/evaluate_types.scm 122 */
return 
((((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3410)))->BgL_locz00)=((obj_t)BgL_vz00_3411),BUNSPEC);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3412, obj_t BgL_oz00_3413)
{
{ /* Eval/evaluate_types.scm 122 */
return 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_oz00_3413)))->BgL_locz00);} 

}



/* &<@anonymous:1945> */
obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3414, obj_t BgL_new1176z00_3415)
{
{ /* Eval/evaluate_types.scm 119 */
{ 
 BgL_ev_appz00_bglt BgL_auxz00_4571;
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3415)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4574;
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL_classz00_3853;
BgL_classz00_3853 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 119 */
 obj_t BgL__ortest_1282z00_3854;
BgL__ortest_1282z00_3854 = 
BGL_CLASS_NIL(BgL_classz00_3853); 
if(
CBOOL(BgL__ortest_1282z00_3854))
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4574 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3854)
; }  else 
{ /* Eval/evaluate_types.scm 119 */
BgL_auxz00_4574 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3853))
; } } } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3415)))->BgL_funz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4574),BUNSPEC); } 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3415)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_new1176z00_3415)))->BgL_tailzf3zf3)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4571 = 
((BgL_ev_appz00_bglt)BgL_new1176z00_3415); 
return 
((obj_t)BgL_auxz00_4571);} } 

}



/* &lambda1943 */
BgL_ev_appz00_bglt BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3416)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1175z00_3855;
BgL_new1175z00_3855 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1944z00_3856;
BgL_arg1944z00_3856 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1175z00_3855), BgL_arg1944z00_3856); } 
return BgL_new1175z00_3855;} } 

}



/* &lambda1941 */
BgL_ev_appz00_bglt BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3417, obj_t BgL_loc1171z00_3418, obj_t BgL_fun1172z00_3419, obj_t BgL_args1173z00_3420, obj_t BgL_tailzf31174zf3_3421)
{
{ /* Eval/evaluate_types.scm 119 */
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1239z00_3858;
{ /* Eval/evaluate_types.scm 119 */
 BgL_ev_appz00_bglt BgL_new1238z00_3859;
BgL_new1238z00_3859 = 
((BgL_ev_appz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_appz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 119 */
 long BgL_arg1942z00_3860;
BgL_arg1942z00_3860 = 
BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1238z00_3859), BgL_arg1942z00_3860); } 
BgL_new1239z00_3858 = BgL_new1238z00_3859; } 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3858))->BgL_locz00)=((obj_t)BgL_loc1171z00_3418),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3858))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_fun1172z00_3419)),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3858))->BgL_argsz00)=((obj_t)BgL_args1173z00_3420),BUNSPEC); 
((((BgL_ev_appz00_bglt)COBJECT(BgL_new1239z00_3858))->BgL_tailzf3zf3)=((obj_t)BgL_tailzf31174zf3_3421),BUNSPEC); 
return BgL_new1239z00_3858;} } 

}



/* &lambda1965 */
obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3422, obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3423)))->BgL_tailzf3zf3)=((obj_t)BgL_vz00_3424),BUNSPEC);} 

}



/* &lambda1964 */
obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t BgL_envz00_3425, obj_t BgL_oz00_3426)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3426)))->BgL_tailzf3zf3);} 

}



/* &lambda1960 */
obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3427, obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3428)))->BgL_argsz00)=((obj_t)BgL_vz00_3429),BUNSPEC);} 

}



/* &lambda1959 */
obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3430, obj_t BgL_oz00_3431)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3431)))->BgL_argsz00);} 

}



/* &lambda1955 */
obj_t BGl_z62lambda1955z62zz__evaluate_typesz00(obj_t BgL_envz00_3432, obj_t BgL_oz00_3433, obj_t BgL_vz00_3434)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3433)))->BgL_funz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3434)),BUNSPEC);} 

}



/* &lambda1954 */
BgL_ev_exprz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3435, obj_t BgL_oz00_3436)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3436)))->BgL_funz00);} 

}



/* &lambda1950 */
obj_t BGl_z62lambda1950z62zz__evaluate_typesz00(obj_t BgL_envz00_3437, obj_t BgL_oz00_3438, obj_t BgL_vz00_3439)
{
{ /* Eval/evaluate_types.scm 119 */
return 
((((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3438)))->BgL_locz00)=((obj_t)BgL_vz00_3439),BUNSPEC);} 

}



/* &lambda1949 */
obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3440, obj_t BgL_oz00_3441)
{
{ /* Eval/evaluate_types.scm 119 */
return 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_oz00_3441)))->BgL_locz00);} 

}



/* &<@anonymous:1913> */
obj_t BGl_z62zc3z04anonymousza31913ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3442, obj_t BgL_new1169z00_3443)
{
{ /* Eval/evaluate_types.scm 114 */
{ 
 BgL_ev_gotoz00_bglt BgL_auxz00_4619;
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3443)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_4622;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3871;
BgL_classz00_3871 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1282z00_3872;
BgL__ortest_1282z00_3872 = 
BGL_CLASS_NIL(BgL_classz00_3871); 
if(
CBOOL(BgL__ortest_1282z00_3872))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4622 = 
((BgL_ev_varz00_bglt)BgL__ortest_1282z00_3872)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4622 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3871))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3443)))->BgL_labelz00)=((BgL_ev_varz00_bglt)BgL_auxz00_4622),BUNSPEC); } 
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4631;
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL_classz00_3873;
BgL_classz00_3873 = BGl_ev_labelsz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 114 */
 obj_t BgL__ortest_1282z00_3874;
BgL__ortest_1282z00_3874 = 
BGL_CLASS_NIL(BgL_classz00_3873); 
if(
CBOOL(BgL__ortest_1282z00_3874))
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4631 = 
((BgL_ev_labelsz00_bglt)BgL__ortest_1282z00_3874)
; }  else 
{ /* Eval/evaluate_types.scm 114 */
BgL_auxz00_4631 = 
((BgL_ev_labelsz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3873))
; } } } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3443)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)BgL_auxz00_4631),BUNSPEC); } 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3443)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4619 = 
((BgL_ev_gotoz00_bglt)BgL_new1169z00_3443); 
return 
((obj_t)BgL_auxz00_4619);} } 

}



/* &lambda1911 */
BgL_ev_gotoz00_bglt BGl_z62lambda1911z62zz__evaluate_typesz00(obj_t BgL_envz00_3444)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1168z00_3875;
BgL_new1168z00_3875 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1912z00_3876;
BgL_arg1912z00_3876 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1168z00_3875), BgL_arg1912z00_3876); } 
return BgL_new1168z00_3875;} } 

}



/* &lambda1909 */
BgL_ev_gotoz00_bglt BGl_z62lambda1909z62zz__evaluate_typesz00(obj_t BgL_envz00_3445, obj_t BgL_loc1164z00_3446, obj_t BgL_label1165z00_3447, obj_t BgL_labels1166z00_3448, obj_t BgL_args1167z00_3449)
{
{ /* Eval/evaluate_types.scm 114 */
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1237z00_3879;
{ /* Eval/evaluate_types.scm 114 */
 BgL_ev_gotoz00_bglt BgL_new1236z00_3880;
BgL_new1236z00_3880 = 
((BgL_ev_gotoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_gotoz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 114 */
 long BgL_arg1910z00_3881;
BgL_arg1910z00_3881 = 
BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1236z00_3880), BgL_arg1910z00_3881); } 
BgL_new1237z00_3879 = BgL_new1236z00_3880; } 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3879))->BgL_locz00)=((obj_t)BgL_loc1164z00_3446),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3879))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_label1165z00_3447)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3879))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_labels1166z00_3448)),BUNSPEC); 
((((BgL_ev_gotoz00_bglt)COBJECT(BgL_new1237z00_3879))->BgL_argsz00)=((obj_t)BgL_args1167z00_3449),BUNSPEC); 
return BgL_new1237z00_3879;} } 

}



/* &lambda1935 */
obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3450, obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3451)))->BgL_argsz00)=((obj_t)BgL_vz00_3452),BUNSPEC);} 

}



/* &lambda1934 */
obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3453, obj_t BgL_oz00_3454)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3454)))->BgL_argsz00);} 

}



/* &lambda1930 */
obj_t BGl_z62lambda1930z62zz__evaluate_typesz00(obj_t BgL_envz00_3455, obj_t BgL_oz00_3456, obj_t BgL_vz00_3457)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3456)))->BgL_labelsz00)=((BgL_ev_labelsz00_bglt)
((BgL_ev_labelsz00_bglt)BgL_vz00_3457)),BUNSPEC);} 

}



/* &lambda1929 */
BgL_ev_labelsz00_bglt BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3458, obj_t BgL_oz00_3459)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3459)))->BgL_labelsz00);} 

}



/* &lambda1925 */
obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3460, obj_t BgL_oz00_3461, obj_t BgL_vz00_3462)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3461)))->BgL_labelz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3462)),BUNSPEC);} 

}



/* &lambda1924 */
BgL_ev_varz00_bglt BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3463, obj_t BgL_oz00_3464)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3464)))->BgL_labelz00);} 

}



/* &lambda1918 */
obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3465, obj_t BgL_oz00_3466, obj_t BgL_vz00_3467)
{
{ /* Eval/evaluate_types.scm 114 */
return 
((((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3466)))->BgL_locz00)=((obj_t)BgL_vz00_3467),BUNSPEC);} 

}



/* &lambda1917 */
obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3468, obj_t BgL_oz00_3469)
{
{ /* Eval/evaluate_types.scm 114 */
return 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_oz00_3469)))->BgL_locz00);} 

}



/* &<@anonymous:1866> */
obj_t BGl_z62zc3z04anonymousza31866ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3470, obj_t BgL_new1162z00_3471)
{
{ /* Eval/evaluate_types.scm 106 */
{ 
 BgL_ev_labelsz00_bglt BgL_auxz00_4676;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_envz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_stkz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4685;
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL_classz00_3893;
BgL_classz00_3893 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 106 */
 obj_t BgL__ortest_1282z00_3894;
BgL__ortest_1282z00_3894 = 
BGL_CLASS_NIL(BgL_classz00_3893); 
if(
CBOOL(BgL__ortest_1282z00_3894))
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4685 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3894)
; }  else 
{ /* Eval/evaluate_types.scm 106 */
BgL_auxz00_4685 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3893))
; } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4685),BUNSPEC); } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4676 = 
((BgL_ev_labelsz00_bglt)BgL_new1162z00_3471); 
return 
((obj_t)BgL_auxz00_4676);} } 

}



/* &lambda1864 */
BgL_ev_labelsz00_bglt BGl_z62lambda1864z62zz__evaluate_typesz00(obj_t BgL_envz00_3472)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1161z00_3895;
BgL_new1161z00_3895 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1865z00_3896;
BgL_arg1865z00_3896 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1161z00_3895), BgL_arg1865z00_3896); } 
return BgL_new1161z00_3895;} } 

}



/* &lambda1862 */
BgL_ev_labelsz00_bglt BGl_z62lambda1862z62zz__evaluate_typesz00(obj_t BgL_envz00_3473, obj_t BgL_vars1155z00_3474, obj_t BgL_vals1156z00_3475, obj_t BgL_env1157z00_3476, obj_t BgL_stk1158z00_3477, obj_t BgL_body1159z00_3478, obj_t BgL_boxes1160z00_3479)
{
{ /* Eval/evaluate_types.scm 106 */
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1235z00_3898;
{ /* Eval/evaluate_types.scm 106 */
 BgL_ev_labelsz00_bglt BgL_new1234z00_3899;
BgL_new1234z00_3899 = 
((BgL_ev_labelsz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_labelsz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 106 */
 long BgL_arg1863z00_3900;
BgL_arg1863z00_3900 = 
BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1234z00_3899), BgL_arg1863z00_3900); } 
BgL_new1235z00_3898 = BgL_new1234z00_3899; } 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_varsz00)=((obj_t)BgL_vars1155z00_3474),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_valsz00)=((obj_t)BgL_vals1156z00_3475),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_envz00)=((obj_t)BgL_env1157z00_3476),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_stkz00)=((obj_t)BgL_stk1158z00_3477),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1159z00_3478)),BUNSPEC); 
((((BgL_ev_labelsz00_bglt)COBJECT(BgL_new1235z00_3898))->BgL_boxesz00)=((obj_t)BgL_boxes1160z00_3479),BUNSPEC); 
return BgL_new1235z00_3898;} } 

}



/* &<@anonymous:1903> */
obj_t BGl_z62zc3z04anonymousza31903ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3480)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1902 */
obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3481, obj_t BgL_oz00_3482, obj_t BgL_vz00_3483)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3482)))->BgL_boxesz00)=((obj_t)BgL_vz00_3483),BUNSPEC);} 

}



/* &lambda1901 */
obj_t BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t BgL_envz00_3484, obj_t BgL_oz00_3485)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3485)))->BgL_boxesz00);} 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__evaluate_typesz00(obj_t BgL_envz00_3486, obj_t BgL_oz00_3487, obj_t BgL_vz00_3488)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3487)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3488)),BUNSPEC);} 

}



/* &lambda1895 */
BgL_ev_exprz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t BgL_envz00_3489, obj_t BgL_oz00_3490)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3490)))->BgL_bodyz00);} 

}



/* &<@anonymous:1891> */
obj_t BGl_z62zc3z04anonymousza31891ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3491)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1890 */
obj_t BGl_z62lambda1890z62zz__evaluate_typesz00(obj_t BgL_envz00_3492, obj_t BgL_oz00_3493, obj_t BgL_vz00_3494)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3493)))->BgL_stkz00)=((obj_t)BgL_vz00_3494),BUNSPEC);} 

}



/* &lambda1889 */
obj_t BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t BgL_envz00_3495, obj_t BgL_oz00_3496)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3496)))->BgL_stkz00);} 

}



/* &<@anonymous:1884> */
obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3497)
{
{ /* Eval/evaluate_types.scm 106 */
return BNIL;} 

}



/* &lambda1883 */
obj_t BGl_z62lambda1883z62zz__evaluate_typesz00(obj_t BgL_envz00_3498, obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3499)))->BgL_envz00)=((obj_t)BgL_vz00_3500),BUNSPEC);} 

}



/* &lambda1882 */
obj_t BGl_z62lambda1882z62zz__evaluate_typesz00(obj_t BgL_envz00_3501, obj_t BgL_oz00_3502)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3502)))->BgL_envz00);} 

}



/* &lambda1876 */
obj_t BGl_z62lambda1876z62zz__evaluate_typesz00(obj_t BgL_envz00_3503, obj_t BgL_oz00_3504, obj_t BgL_vz00_3505)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3504)))->BgL_valsz00)=((obj_t)BgL_vz00_3505),BUNSPEC);} 

}



/* &lambda1875 */
obj_t BGl_z62lambda1875z62zz__evaluate_typesz00(obj_t BgL_envz00_3506, obj_t BgL_oz00_3507)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3507)))->BgL_valsz00);} 

}



/* &lambda1871 */
obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3508, obj_t BgL_oz00_3509, obj_t BgL_vz00_3510)
{
{ /* Eval/evaluate_types.scm 106 */
return 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3509)))->BgL_varsz00)=((obj_t)BgL_vz00_3510),BUNSPEC);} 

}



/* &lambda1870 */
obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3511, obj_t BgL_oz00_3512)
{
{ /* Eval/evaluate_types.scm 106 */
return 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_oz00_3512)))->BgL_varsz00);} 

}



/* &<@anonymous:1856> */
obj_t BGl_z62zc3z04anonymousza31856ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3513, obj_t BgL_new1153z00_3514)
{
{ /* Eval/evaluate_types.scm 105 */
{ 
 BgL_ev_letrecz00_bglt BgL_auxz00_4738;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3514))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3514))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4745;
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL_classz00_3915;
BgL_classz00_3915 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 105 */
 obj_t BgL__ortest_1282z00_3916;
BgL__ortest_1282z00_3916 = 
BGL_CLASS_NIL(BgL_classz00_3915); 
if(
CBOOL(BgL__ortest_1282z00_3916))
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4745 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3916)
; }  else 
{ /* Eval/evaluate_types.scm 105 */
BgL_auxz00_4745 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3915))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3514))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4745),BUNSPEC); } 
BgL_auxz00_4738 = 
((BgL_ev_letrecz00_bglt)BgL_new1153z00_3514); 
return 
((obj_t)BgL_auxz00_4738);} } 

}



/* &lambda1854 */
BgL_ev_letrecz00_bglt BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3515)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1152z00_3917;
BgL_new1152z00_3917 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1855z00_3918;
BgL_arg1855z00_3918 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1152z00_3917), BgL_arg1855z00_3918); } 
return BgL_new1152z00_3917;} } 

}



/* &lambda1852 */
BgL_ev_letrecz00_bglt BGl_z62lambda1852z62zz__evaluate_typesz00(obj_t BgL_envz00_3516, obj_t BgL_vars1149z00_3517, obj_t BgL_vals1150z00_3518, obj_t BgL_body1151z00_3519)
{
{ /* Eval/evaluate_types.scm 105 */
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1233z00_3920;
{ /* Eval/evaluate_types.scm 105 */
 BgL_ev_letrecz00_bglt BgL_new1232z00_3921;
BgL_new1232z00_3921 = 
((BgL_ev_letrecz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letrecz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 105 */
 long BgL_arg1853z00_3922;
BgL_arg1853z00_3922 = 
BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1232z00_3921), BgL_arg1853z00_3922); } 
BgL_new1233z00_3920 = BgL_new1232z00_3921; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3920)))->BgL_varsz00)=((obj_t)BgL_vars1149z00_3517),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3920)))->BgL_valsz00)=((obj_t)BgL_vals1150z00_3518),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1233z00_3920)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1151z00_3519)),BUNSPEC); 
return BgL_new1233z00_3920;} } 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3520, obj_t BgL_new1147z00_3521)
{
{ /* Eval/evaluate_types.scm 103 */
{ 
 BgL_ev_letza2za2_bglt BgL_auxz00_4772;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3521))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3521))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4779;
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL_classz00_3924;
BgL_classz00_3924 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 103 */
 obj_t BgL__ortest_1282z00_3925;
BgL__ortest_1282z00_3925 = 
BGL_CLASS_NIL(BgL_classz00_3924); 
if(
CBOOL(BgL__ortest_1282z00_3925))
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4779 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3925)
; }  else 
{ /* Eval/evaluate_types.scm 103 */
BgL_auxz00_4779 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3924))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3521))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4779),BUNSPEC); } 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3521)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4772 = 
((BgL_ev_letza2za2_bglt)BgL_new1147z00_3521); 
return 
((obj_t)BgL_auxz00_4772);} } 

}



/* &lambda1837 */
BgL_ev_letza2za2_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3522)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1146z00_3926;
BgL_new1146z00_3926 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1838z00_3927;
BgL_arg1838z00_3927 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1146z00_3926), BgL_arg1838z00_3927); } 
return BgL_new1146z00_3926;} } 

}



/* &lambda1835 */
BgL_ev_letza2za2_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t BgL_envz00_3523, obj_t BgL_vars1142z00_3524, obj_t BgL_vals1143z00_3525, obj_t BgL_body1144z00_3526, obj_t BgL_boxes1145z00_3527)
{
{ /* Eval/evaluate_types.scm 103 */
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1231z00_3929;
{ /* Eval/evaluate_types.scm 103 */
 BgL_ev_letza2za2_bglt BgL_new1230z00_3930;
BgL_new1230z00_3930 = 
((BgL_ev_letza2za2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letza2za2_bgl) ))); 
{ /* Eval/evaluate_types.scm 103 */
 long BgL_arg1836z00_3931;
BgL_arg1836z00_3931 = 
BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1230z00_3930), BgL_arg1836z00_3931); } 
BgL_new1231z00_3929 = BgL_new1230z00_3930; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3929)))->BgL_varsz00)=((obj_t)BgL_vars1142z00_3524),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3929)))->BgL_valsz00)=((obj_t)BgL_vals1143z00_3525),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1231z00_3929)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1144z00_3526)),BUNSPEC); 
((((BgL_ev_letza2za2_bglt)COBJECT(BgL_new1231z00_3929))->BgL_boxesz00)=((obj_t)BgL_boxes1145z00_3527),BUNSPEC); 
return BgL_new1231z00_3929;} } 

}



/* &<@anonymous:1846> */
obj_t BGl_z62zc3z04anonymousza31846ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3528)
{
{ /* Eval/evaluate_types.scm 103 */
return BNIL;} 

}



/* &lambda1845 */
obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3529, obj_t BgL_oz00_3530, obj_t BgL_vz00_3531)
{
{ /* Eval/evaluate_types.scm 103 */
return 
((((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3530)))->BgL_boxesz00)=((obj_t)BgL_vz00_3531),BUNSPEC);} 

}



/* &lambda1844 */
obj_t BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t BgL_envz00_3532, obj_t BgL_oz00_3533)
{
{ /* Eval/evaluate_types.scm 103 */
return 
(((BgL_ev_letza2za2_bglt)COBJECT(
((BgL_ev_letza2za2_bglt)BgL_oz00_3533)))->BgL_boxesz00);} 

}



/* &<@anonymous:1820> */
obj_t BGl_z62zc3z04anonymousza31820ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3534, obj_t BgL_new1140z00_3535)
{
{ /* Eval/evaluate_types.scm 101 */
{ 
 BgL_ev_letz00_bglt BgL_auxz00_4813;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3535))))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3535))))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4820;
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL_classz00_3935;
BgL_classz00_3935 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 101 */
 obj_t BgL__ortest_1282z00_3936;
BgL__ortest_1282z00_3936 = 
BGL_CLASS_NIL(BgL_classz00_3935); 
if(
CBOOL(BgL__ortest_1282z00_3936))
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4820 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3936)
; }  else 
{ /* Eval/evaluate_types.scm 101 */
BgL_auxz00_4820 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3935))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_new1140z00_3535))))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4820),BUNSPEC); } 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_new1140z00_3535)))->BgL_boxesz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_4813 = 
((BgL_ev_letz00_bglt)BgL_new1140z00_3535); 
return 
((obj_t)BgL_auxz00_4813);} } 

}



/* &lambda1818 */
BgL_ev_letz00_bglt BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3536)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1139z00_3937;
BgL_new1139z00_3937 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1819z00_3938;
BgL_arg1819z00_3938 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1139z00_3937), BgL_arg1819z00_3938); } 
return BgL_new1139z00_3937;} } 

}



/* &lambda1816 */
BgL_ev_letz00_bglt BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t BgL_envz00_3537, obj_t BgL_vars1135z00_3538, obj_t BgL_vals1136z00_3539, obj_t BgL_body1137z00_3540, obj_t BgL_boxes1138z00_3541)
{
{ /* Eval/evaluate_types.scm 101 */
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1229z00_3940;
{ /* Eval/evaluate_types.scm 101 */
 BgL_ev_letz00_bglt BgL_new1228z00_3941;
BgL_new1228z00_3941 = 
((BgL_ev_letz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_letz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 101 */
 long BgL_arg1817z00_3942;
BgL_arg1817z00_3942 = 
BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1228z00_3941), BgL_arg1817z00_3942); } 
BgL_new1229z00_3940 = BgL_new1228z00_3941; } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3940)))->BgL_varsz00)=((obj_t)BgL_vars1135z00_3538),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3940)))->BgL_valsz00)=((obj_t)BgL_vals1136z00_3539),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1229z00_3940)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1137z00_3540)),BUNSPEC); 
((((BgL_ev_letz00_bglt)COBJECT(BgL_new1229z00_3940))->BgL_boxesz00)=((obj_t)BgL_boxes1138z00_3541),BUNSPEC); 
return BgL_new1229z00_3940;} } 

}



/* &<@anonymous:1827> */
obj_t BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3542)
{
{ /* Eval/evaluate_types.scm 101 */
return BNIL;} 

}



/* &lambda1826 */
obj_t BGl_z62lambda1826z62zz__evaluate_typesz00(obj_t BgL_envz00_3543, obj_t BgL_oz00_3544, obj_t BgL_vz00_3545)
{
{ /* Eval/evaluate_types.scm 101 */
return 
((((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3544)))->BgL_boxesz00)=((obj_t)BgL_vz00_3545),BUNSPEC);} 

}



/* &lambda1825 */
obj_t BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t BgL_envz00_3546, obj_t BgL_oz00_3547)
{
{ /* Eval/evaluate_types.scm 101 */
return 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_oz00_3547)))->BgL_boxesz00);} 

}



/* &<@anonymous:1795> */
obj_t BGl_z62zc3z04anonymousza31795ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3548, obj_t BgL_new1133z00_3549)
{
{ /* Eval/evaluate_types.scm 97 */
{ 
 BgL_ev_binderz00_bglt BgL_auxz00_4854;
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3549)))->BgL_varsz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3549)))->BgL_valsz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4859;
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL_classz00_3946;
BgL_classz00_3946 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 97 */
 obj_t BgL__ortest_1282z00_3947;
BgL__ortest_1282z00_3947 = 
BGL_CLASS_NIL(BgL_classz00_3946); 
if(
CBOOL(BgL__ortest_1282z00_3947))
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4859 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3947)
; }  else 
{ /* Eval/evaluate_types.scm 97 */
BgL_auxz00_4859 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3946))
; } } } 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_new1133z00_3549)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4859),BUNSPEC); } 
BgL_auxz00_4854 = 
((BgL_ev_binderz00_bglt)BgL_new1133z00_3549); 
return 
((obj_t)BgL_auxz00_4854);} } 

}



/* &lambda1793 */
BgL_ev_binderz00_bglt BGl_z62lambda1793z62zz__evaluate_typesz00(obj_t BgL_envz00_3550)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1132z00_3948;
BgL_new1132z00_3948 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1794z00_3949;
BgL_arg1794z00_3949 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1132z00_3948), BgL_arg1794z00_3949); } 
return BgL_new1132z00_3948;} } 

}



/* &lambda1791 */
BgL_ev_binderz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t BgL_envz00_3551, obj_t BgL_vars1129z00_3552, obj_t BgL_vals1130z00_3553, obj_t BgL_body1131z00_3554)
{
{ /* Eval/evaluate_types.scm 97 */
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1227z00_3951;
{ /* Eval/evaluate_types.scm 97 */
 BgL_ev_binderz00_bglt BgL_new1226z00_3952;
BgL_new1226z00_3952 = 
((BgL_ev_binderz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_binderz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 97 */
 long BgL_arg1792z00_3953;
BgL_arg1792z00_3953 = 
BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1226z00_3952), BgL_arg1792z00_3953); } 
BgL_new1227z00_3951 = BgL_new1226z00_3952; } 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3951))->BgL_varsz00)=((obj_t)BgL_vars1129z00_3552),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3951))->BgL_valsz00)=((obj_t)BgL_vals1130z00_3553),BUNSPEC); 
((((BgL_ev_binderz00_bglt)COBJECT(BgL_new1227z00_3951))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1131z00_3554)),BUNSPEC); 
return BgL_new1227z00_3951;} } 

}



/* &lambda1810 */
obj_t BGl_z62lambda1810z62zz__evaluate_typesz00(obj_t BgL_envz00_3555, obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3556)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3557)),BUNSPEC);} 

}



/* &lambda1809 */
BgL_ev_exprz00_bglt BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t BgL_envz00_3558, obj_t BgL_oz00_3559)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3559)))->BgL_bodyz00);} 

}



/* &lambda1805 */
obj_t BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t BgL_envz00_3560, obj_t BgL_oz00_3561, obj_t BgL_vz00_3562)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3561)))->BgL_valsz00)=((obj_t)BgL_vz00_3562),BUNSPEC);} 

}



/* &lambda1804 */
obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3563, obj_t BgL_oz00_3564)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3564)))->BgL_valsz00);} 

}



/* &lambda1800 */
obj_t BGl_z62lambda1800z62zz__evaluate_typesz00(obj_t BgL_envz00_3565, obj_t BgL_oz00_3566, obj_t BgL_vz00_3567)
{
{ /* Eval/evaluate_types.scm 97 */
return 
((((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3566)))->BgL_varsz00)=((obj_t)BgL_vz00_3567),BUNSPEC);} 

}



/* &lambda1799 */
obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3568, obj_t BgL_oz00_3569)
{
{ /* Eval/evaluate_types.scm 97 */
return 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)BgL_oz00_3569)))->BgL_varsz00);} 

}



/* &<@anonymous:1764> */
obj_t BGl_z62zc3z04anonymousza31764ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3570, obj_t BgL_new1127z00_3571)
{
{ /* Eval/evaluate_types.scm 92 */
{ 
 BgL_ev_synchroniza7eza7_bglt BgL_auxz00_4895;
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3571)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4898;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3962;
BgL_classz00_3962 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1282z00_3963;
BgL__ortest_1282z00_3963 = 
BGL_CLASS_NIL(BgL_classz00_3962); 
if(
CBOOL(BgL__ortest_1282z00_3963))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4898 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3963)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4898 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3962))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3571)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4898),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4907;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3964;
BgL_classz00_3964 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1282z00_3965;
BgL__ortest_1282z00_3965 = 
BGL_CLASS_NIL(BgL_classz00_3964); 
if(
CBOOL(BgL__ortest_1282z00_3965))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4907 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3965)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4907 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3964))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3571)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4907),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4916;
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL_classz00_3966;
BgL_classz00_3966 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 92 */
 obj_t BgL__ortest_1282z00_3967;
BgL__ortest_1282z00_3967 = 
BGL_CLASS_NIL(BgL_classz00_3966); 
if(
CBOOL(BgL__ortest_1282z00_3967))
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4916 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3967)
; }  else 
{ /* Eval/evaluate_types.scm 92 */
BgL_auxz00_4916 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3966))
; } } } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3571)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4916),BUNSPEC); } 
BgL_auxz00_4895 = 
((BgL_ev_synchroniza7eza7_bglt)BgL_new1127z00_3571); 
return 
((obj_t)BgL_auxz00_4895);} } 

}



/* &lambda1762 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3572)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1126z00_3968;
BgL_new1126z00_3968 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1763z00_3969;
BgL_arg1763z00_3969 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1126z00_3968), BgL_arg1763z00_3969); } 
return BgL_new1126z00_3968;} } 

}



/* &lambda1760 */
BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t BgL_envz00_3573, obj_t BgL_loc1122z00_3574, obj_t BgL_mutex1123z00_3575, obj_t BgL_prelock1124z00_3576, obj_t BgL_body1125z00_3577)
{
{ /* Eval/evaluate_types.scm 92 */
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1225z00_3973;
{ /* Eval/evaluate_types.scm 92 */
 BgL_ev_synchroniza7eza7_bglt BgL_new1224z00_3974;
BgL_new1224z00_3974 = 
((BgL_ev_synchroniza7eza7_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_synchroniza7eza7_bgl) ))); 
{ /* Eval/evaluate_types.scm 92 */
 long BgL_arg1761z00_3975;
BgL_arg1761z00_3975 = 
BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_3974), BgL_arg1761z00_3975); } 
BgL_new1225z00_3973 = BgL_new1224z00_3974; } 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3973))->BgL_locz00)=((obj_t)BgL_loc1122z00_3574),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3973))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_mutex1123z00_3575)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3973))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_prelock1124z00_3576)),BUNSPEC); 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_new1225z00_3973))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1125z00_3577)),BUNSPEC); 
return BgL_new1225z00_3973;} } 

}



/* &lambda1784 */
obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t BgL_envz00_3578, obj_t BgL_oz00_3579, obj_t BgL_vz00_3580)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3579)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3580)),BUNSPEC);} 

}



/* &lambda1783 */
BgL_ev_exprz00_bglt BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t BgL_envz00_3581, obj_t BgL_oz00_3582)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3582)))->BgL_bodyz00);} 

}



/* &lambda1779 */
obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3583, obj_t BgL_oz00_3584, obj_t BgL_vz00_3585)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3584)))->BgL_prelockz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3585)),BUNSPEC);} 

}



/* &lambda1778 */
BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t BgL_envz00_3586, obj_t BgL_oz00_3587)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3587)))->BgL_prelockz00);} 

}



/* &lambda1774 */
obj_t BGl_z62lambda1774z62zz__evaluate_typesz00(obj_t BgL_envz00_3588, obj_t BgL_oz00_3589, obj_t BgL_vz00_3590)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3589)))->BgL_mutexz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3590)),BUNSPEC);} 

}



/* &lambda1773 */
BgL_ev_exprz00_bglt BGl_z62lambda1773z62zz__evaluate_typesz00(obj_t BgL_envz00_3591, obj_t BgL_oz00_3592)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3592)))->BgL_mutexz00);} 

}



/* &lambda1769 */
obj_t BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t BgL_envz00_3593, obj_t BgL_oz00_3594, obj_t BgL_vz00_3595)
{
{ /* Eval/evaluate_types.scm 92 */
return 
((((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3594)))->BgL_locz00)=((obj_t)BgL_vz00_3595),BUNSPEC);} 

}



/* &lambda1768 */
obj_t BGl_z62lambda1768z62zz__evaluate_typesz00(obj_t BgL_envz00_3596, obj_t BgL_oz00_3597)
{
{ /* Eval/evaluate_types.scm 92 */
return 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_oz00_3597)))->BgL_locz00);} 

}



/* &<@anonymous:1743> */
obj_t BGl_z62zc3z04anonymousza31743ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3598, obj_t BgL_new1120z00_3599)
{
{ /* Eval/evaluate_types.scm 89 */
{ 
 BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_4961;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4962;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3988;
BgL_classz00_3988 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1282z00_3989;
BgL__ortest_1282z00_3989 = 
BGL_CLASS_NIL(BgL_classz00_3988); 
if(
CBOOL(BgL__ortest_1282z00_3989))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4962 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3989)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4962 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3988))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3599)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4962),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_4971;
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL_classz00_3990;
BgL_classz00_3990 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 89 */
 obj_t BgL__ortest_1282z00_3991;
BgL__ortest_1282z00_3991 = 
BGL_CLASS_NIL(BgL_classz00_3990); 
if(
CBOOL(BgL__ortest_1282z00_3991))
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4971 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_3991)
; }  else 
{ /* Eval/evaluate_types.scm 89 */
BgL_auxz00_4971 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_3990))
; } } } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3599)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_4971),BUNSPEC); } 
BgL_auxz00_4961 = 
((BgL_ev_withzd2handlerzd2_bglt)BgL_new1120z00_3599); 
return 
((obj_t)BgL_auxz00_4961);} } 

}



/* &lambda1740 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t BgL_envz00_3600)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1119z00_3992;
BgL_new1119z00_3992 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1742z00_3993;
BgL_arg1742z00_3993 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_3992), BgL_arg1742z00_3993); } 
return BgL_new1119z00_3992;} } 

}



/* &lambda1738 */
BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t BgL_envz00_3601, obj_t BgL_handler1117z00_3602, obj_t BgL_body1118z00_3603)
{
{ /* Eval/evaluate_types.scm 89 */
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1223z00_3996;
{ /* Eval/evaluate_types.scm 89 */
 BgL_ev_withzd2handlerzd2_bglt BgL_new1222z00_3997;
BgL_new1222z00_3997 = 
((BgL_ev_withzd2handlerzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_withzd2handlerzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 89 */
 long BgL_arg1739z00_3998;
BgL_arg1739z00_3998 = 
BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_3997), BgL_arg1739z00_3998); } 
BgL_new1223z00_3996 = BgL_new1222z00_3997; } 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_3996))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_handler1117z00_3602)),BUNSPEC); 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(BgL_new1223z00_3996))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1118z00_3603)),BUNSPEC); 
return BgL_new1223z00_3996;} } 

}



/* &lambda1754 */
obj_t BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t BgL_envz00_3604, obj_t BgL_oz00_3605, obj_t BgL_vz00_3606)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3605)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3606)),BUNSPEC);} 

}



/* &lambda1753 */
BgL_ev_exprz00_bglt BGl_z62lambda1753z62zz__evaluate_typesz00(obj_t BgL_envz00_3607, obj_t BgL_oz00_3608)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3608)))->BgL_bodyz00);} 

}



/* &lambda1749 */
obj_t BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3609, obj_t BgL_oz00_3610, obj_t BgL_vz00_3611)
{
{ /* Eval/evaluate_types.scm 89 */
return 
((((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3610)))->BgL_handlerz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3611)),BUNSPEC);} 

}



/* &lambda1748 */
BgL_ev_exprz00_bglt BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3612, obj_t BgL_oz00_3613)
{
{ /* Eval/evaluate_types.scm 89 */
return 
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_oz00_3613)))->BgL_handlerz00);} 

}



/* &<@anonymous:1722> */
obj_t BGl_z62zc3z04anonymousza31722ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3614, obj_t BgL_new1115z00_3615)
{
{ /* Eval/evaluate_types.scm 86 */
{ 
 BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5004;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5005;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4006;
BgL_classz00_4006 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1282z00_4007;
BgL__ortest_1282z00_4007 = 
BGL_CLASS_NIL(BgL_classz00_4006); 
if(
CBOOL(BgL__ortest_1282z00_4007))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5005 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4007)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5005 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4006))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3615)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5005),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5014;
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL_classz00_4008;
BgL_classz00_4008 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 86 */
 obj_t BgL__ortest_1282z00_4009;
BgL__ortest_1282z00_4009 = 
BGL_CLASS_NIL(BgL_classz00_4008); 
if(
CBOOL(BgL__ortest_1282z00_4009))
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5014 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4009)
; }  else 
{ /* Eval/evaluate_types.scm 86 */
BgL_auxz00_5014 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4008))
; } } } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3615)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5014),BUNSPEC); } 
BgL_auxz00_5004 = 
((BgL_ev_unwindzd2protectzd2_bglt)BgL_new1115z00_3615); 
return 
((obj_t)BgL_auxz00_5004);} } 

}



/* &lambda1720 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1720z62zz__evaluate_typesz00(obj_t BgL_envz00_3616)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1114z00_4010;
BgL_new1114z00_4010 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1721z00_4011;
BgL_arg1721z00_4011 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_4010), BgL_arg1721z00_4011); } 
return BgL_new1114z00_4010;} } 

}



/* &lambda1717 */
BgL_ev_unwindzd2protectzd2_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t BgL_envz00_3617, obj_t BgL_e1112z00_3618, obj_t BgL_body1113z00_3619)
{
{ /* Eval/evaluate_types.scm 86 */
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1221z00_4014;
{ /* Eval/evaluate_types.scm 86 */
 BgL_ev_unwindzd2protectzd2_bglt BgL_new1220z00_4015;
BgL_new1220z00_4015 = 
((BgL_ev_unwindzd2protectzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_unwindzd2protectzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 86 */
 long BgL_arg1719z00_4016;
BgL_arg1719z00_4016 = 
BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_4015), BgL_arg1719z00_4016); } 
BgL_new1221z00_4014 = BgL_new1220z00_4015; } 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4014))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1112z00_3618)),BUNSPEC); 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(BgL_new1221z00_4014))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1113z00_3619)),BUNSPEC); 
return BgL_new1221z00_4014;} } 

}



/* &lambda1732 */
obj_t BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t BgL_envz00_3620, obj_t BgL_oz00_3621, obj_t BgL_vz00_3622)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3621)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3622)),BUNSPEC);} 

}



/* &lambda1731 */
BgL_ev_exprz00_bglt BGl_z62lambda1731z62zz__evaluate_typesz00(obj_t BgL_envz00_3623, obj_t BgL_oz00_3624)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3624)))->BgL_bodyz00);} 

}



/* &lambda1727 */
obj_t BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t BgL_envz00_3625, obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
{
{ /* Eval/evaluate_types.scm 86 */
return 
((((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3626)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3627)),BUNSPEC);} 

}



/* &lambda1726 */
BgL_ev_exprz00_bglt BGl_z62lambda1726z62zz__evaluate_typesz00(obj_t BgL_envz00_3628, obj_t BgL_oz00_3629)
{
{ /* Eval/evaluate_types.scm 86 */
return 
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_oz00_3629)))->BgL_ez00);} 

}



/* &<@anonymous:1695> */
obj_t BGl_z62zc3z04anonymousza31695ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3630, obj_t BgL_new1110z00_3631)
{
{ /* Eval/evaluate_types.scm 83 */
{ 
 BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5047;
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5048;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4024;
BgL_classz00_4024 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1282z00_4025;
BgL__ortest_1282z00_4025 = 
BGL_CLASS_NIL(BgL_classz00_4024); 
if(
CBOOL(BgL__ortest_1282z00_4025))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5048 = 
((BgL_ev_varz00_bglt)BgL__ortest_1282z00_4025)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5048 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4024))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3631)))->BgL_varz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5048),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5057;
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL_classz00_4026;
BgL_classz00_4026 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 83 */
 obj_t BgL__ortest_1282z00_4027;
BgL__ortest_1282z00_4027 = 
BGL_CLASS_NIL(BgL_classz00_4026); 
if(
CBOOL(BgL__ortest_1282z00_4027))
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5057 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4027)
; }  else 
{ /* Eval/evaluate_types.scm 83 */
BgL_auxz00_5057 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4026))
; } } } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3631)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5057),BUNSPEC); } 
BgL_auxz00_5047 = 
((BgL_ev_bindzd2exitzd2_bglt)BgL_new1110z00_3631); 
return 
((obj_t)BgL_auxz00_5047);} } 

}



/* &lambda1693 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1693z62zz__evaluate_typesz00(obj_t BgL_envz00_3632)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1109z00_4028;
BgL_new1109z00_4028 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1694z00_4029;
BgL_arg1694z00_4029 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_4028), BgL_arg1694z00_4029); } 
return BgL_new1109z00_4028;} } 

}



/* &lambda1691 */
BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1691z62zz__evaluate_typesz00(obj_t BgL_envz00_3633, obj_t BgL_var1107z00_3634, obj_t BgL_body1108z00_3635)
{
{ /* Eval/evaluate_types.scm 83 */
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1219z00_4032;
{ /* Eval/evaluate_types.scm 83 */
 BgL_ev_bindzd2exitzd2_bglt BgL_new1218z00_4033;
BgL_new1218z00_4033 = 
((BgL_ev_bindzd2exitzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_bindzd2exitzd2_bgl) ))); 
{ /* Eval/evaluate_types.scm 83 */
 long BgL_arg1692z00_4034;
BgL_arg1692z00_4034 = 
BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_4033), BgL_arg1692z00_4034); } 
BgL_new1219z00_4032 = BgL_new1218z00_4033; } 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4032))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_var1107z00_3634)),BUNSPEC); 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(BgL_new1219z00_4032))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_body1108z00_3635)),BUNSPEC); 
return BgL_new1219z00_4032;} } 

}



/* &lambda1708 */
obj_t BGl_z62lambda1708z62zz__evaluate_typesz00(obj_t BgL_envz00_3636, obj_t BgL_oz00_3637, obj_t BgL_vz00_3638)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3637)))->BgL_bodyz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3638)),BUNSPEC);} 

}



/* &lambda1707 */
BgL_ev_exprz00_bglt BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3639, obj_t BgL_oz00_3640)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3640)))->BgL_bodyz00);} 

}



/* &lambda1702 */
obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3641, obj_t BgL_oz00_3642, obj_t BgL_vz00_3643)
{
{ /* Eval/evaluate_types.scm 83 */
return 
((((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3642)))->BgL_varz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3643)),BUNSPEC);} 

}



/* &lambda1701 */
BgL_ev_varz00_bglt BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3644, obj_t BgL_oz00_3645)
{
{ /* Eval/evaluate_types.scm 83 */
return 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_oz00_3645)))->BgL_varz00);} 

}



/* &<@anonymous:1680> */
obj_t BGl_z62zc3z04anonymousza31680ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3646, obj_t BgL_new1105z00_3647)
{
{ /* Eval/evaluate_types.scm 82 */
{ 
 BgL_ev_defglobalz00_bglt BgL_auxz00_5090;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5091;
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL_classz00_4042;
BgL_classz00_4042 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 82 */
 obj_t BgL__ortest_1282z00_4043;
BgL__ortest_1282z00_4043 = 
BGL_CLASS_NIL(BgL_classz00_4042); 
if(
CBOOL(BgL__ortest_1282z00_4043))
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5091 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4043)
; }  else 
{ /* Eval/evaluate_types.scm 82 */
BgL_auxz00_5091 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4042))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3647))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5091),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3647))))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3647))))->BgL_namez00)=((obj_t)BGl_symbol2658z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3647))))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5090 = 
((BgL_ev_defglobalz00_bglt)BgL_new1105z00_3647); 
return 
((obj_t)BgL_auxz00_5090);} } 

}



/* &lambda1677 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1677z62zz__evaluate_typesz00(obj_t BgL_envz00_3648)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1104z00_4044;
BgL_new1104z00_4044 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1679z00_4045;
BgL_arg1679z00_4045 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1104z00_4044), BgL_arg1679z00_4045); } 
return BgL_new1104z00_4044;} } 

}



/* &lambda1674 */
BgL_ev_defglobalz00_bglt BGl_z62lambda1674z62zz__evaluate_typesz00(obj_t BgL_envz00_3649, obj_t BgL_e1100z00_3650, obj_t BgL_loc1101z00_3651, obj_t BgL_name1102z00_3652, obj_t BgL_mod1103z00_3653)
{
{ /* Eval/evaluate_types.scm 82 */
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1217z00_4048;
{ /* Eval/evaluate_types.scm 82 */
 BgL_ev_defglobalz00_bglt BgL_new1216z00_4049;
BgL_new1216z00_4049 = 
((BgL_ev_defglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_defglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 82 */
 long BgL_arg1676z00_4050;
BgL_arg1676z00_4050 = 
BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_4049), BgL_arg1676z00_4050); } 
BgL_new1217z00_4048 = BgL_new1216z00_4049; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1217z00_4048)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1100z00_3650)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4048)))->BgL_locz00)=((obj_t)BgL_loc1101z00_3651),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4048)))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1102z00_3652)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1217z00_4048)))->BgL_modz00)=((obj_t)BgL_mod1103z00_3653),BUNSPEC); 
return BgL_new1217z00_4048;} } 

}



/* &<@anonymous:1651> */
obj_t BGl_z62zc3z04anonymousza31651ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3654, obj_t BgL_new1098z00_3655)
{
{ /* Eval/evaluate_types.scm 78 */
{ 
 BgL_ev_setglobalz00_bglt BgL_auxz00_5130;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5131;
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL_classz00_4052;
BgL_classz00_4052 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 78 */
 obj_t BgL__ortest_1282z00_4053;
BgL__ortest_1282z00_4053 = 
BGL_CLASS_NIL(BgL_classz00_4052); 
if(
CBOOL(BgL__ortest_1282z00_4053))
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5131 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4053)
; }  else 
{ /* Eval/evaluate_types.scm 78 */
BgL_auxz00_5131 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4052))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3655))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5131),BUNSPEC); } 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3655)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3655)))->BgL_namez00)=((obj_t)BGl_symbol2658z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3655)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5130 = 
((BgL_ev_setglobalz00_bglt)BgL_new1098z00_3655); 
return 
((obj_t)BgL_auxz00_5130);} } 

}



/* &lambda1649 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t BgL_envz00_3656)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1097z00_4054;
BgL_new1097z00_4054 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1650z00_4055;
BgL_arg1650z00_4055 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_4054), BgL_arg1650z00_4055); } 
return BgL_new1097z00_4054;} } 

}



/* &lambda1647 */
BgL_ev_setglobalz00_bglt BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t BgL_envz00_3657, obj_t BgL_e1093z00_3658, obj_t BgL_loc1094z00_3659, obj_t BgL_name1095z00_3660, obj_t BgL_mod1096z00_3661)
{
{ /* Eval/evaluate_types.scm 78 */
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1215z00_4058;
{ /* Eval/evaluate_types.scm 78 */
 BgL_ev_setglobalz00_bglt BgL_new1214z00_4059;
BgL_new1214z00_4059 = 
((BgL_ev_setglobalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setglobalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 78 */
 long BgL_arg1648z00_4060;
BgL_arg1648z00_4060 = 
BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_4059), BgL_arg1648z00_4060); } 
BgL_new1215z00_4058 = BgL_new1214z00_4059; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1215z00_4058)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1093z00_3658)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4058))->BgL_locz00)=((obj_t)BgL_loc1094z00_3659),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4058))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1095z00_3660)),BUNSPEC); 
((((BgL_ev_setglobalz00_bglt)COBJECT(BgL_new1215z00_4058))->BgL_modz00)=((obj_t)BgL_mod1096z00_3661),BUNSPEC); 
return BgL_new1215z00_4058;} } 

}



/* &lambda1667 */
obj_t BGl_z62lambda1667z62zz__evaluate_typesz00(obj_t BgL_envz00_3662, obj_t BgL_oz00_3663, obj_t BgL_vz00_3664)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3663)))->BgL_modz00)=((obj_t)BgL_vz00_3664),BUNSPEC);} 

}



/* &lambda1666 */
obj_t BGl_z62lambda1666z62zz__evaluate_typesz00(obj_t BgL_envz00_3665, obj_t BgL_oz00_3666)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3666)))->BgL_modz00);} 

}



/* &lambda1661 */
obj_t BGl_z62lambda1661z62zz__evaluate_typesz00(obj_t BgL_envz00_3667, obj_t BgL_oz00_3668, obj_t BgL_vz00_3669)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3668)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3669)),BUNSPEC);} 

}



/* &lambda1660 */
obj_t BGl_z62lambda1660z62zz__evaluate_typesz00(obj_t BgL_envz00_3670, obj_t BgL_oz00_3671)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3671)))->BgL_namez00);} 

}



/* &lambda1656 */
obj_t BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t BgL_envz00_3672, obj_t BgL_oz00_3673, obj_t BgL_vz00_3674)
{
{ /* Eval/evaluate_types.scm 78 */
return 
((((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3673)))->BgL_locz00)=((obj_t)BgL_vz00_3674),BUNSPEC);} 

}



/* &lambda1655 */
obj_t BGl_z62lambda1655z62zz__evaluate_typesz00(obj_t BgL_envz00_3675, obj_t BgL_oz00_3676)
{
{ /* Eval/evaluate_types.scm 78 */
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_oz00_3676)))->BgL_locz00);} 

}



/* &<@anonymous:1636> */
obj_t BGl_z62zc3z04anonymousza31636ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3677, obj_t BgL_new1091z00_3678)
{
{ /* Eval/evaluate_types.scm 76 */
{ 
 BgL_ev_setlocalz00_bglt BgL_auxz00_5177;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5178;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4069;
BgL_classz00_4069 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1282z00_4070;
BgL__ortest_1282z00_4070 = 
BGL_CLASS_NIL(BgL_classz00_4069); 
if(
CBOOL(BgL__ortest_1282z00_4070))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5178 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4070)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5178 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4069))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3678))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5178),BUNSPEC); } 
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5188;
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL_classz00_4071;
BgL_classz00_4071 = BGl_ev_varz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 76 */
 obj_t BgL__ortest_1282z00_4072;
BgL__ortest_1282z00_4072 = 
BGL_CLASS_NIL(BgL_classz00_4071); 
if(
CBOOL(BgL__ortest_1282z00_4072))
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5188 = 
((BgL_ev_varz00_bglt)BgL__ortest_1282z00_4072)
; }  else 
{ /* Eval/evaluate_types.scm 76 */
BgL_auxz00_5188 = 
((BgL_ev_varz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4071))
; } } } 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3678)))->BgL_vz00)=((BgL_ev_varz00_bglt)BgL_auxz00_5188),BUNSPEC); } 
BgL_auxz00_5177 = 
((BgL_ev_setlocalz00_bglt)BgL_new1091z00_3678); 
return 
((obj_t)BgL_auxz00_5177);} } 

}



/* &lambda1634 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3679)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1090z00_4073;
BgL_new1090z00_4073 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1635z00_4074;
BgL_arg1635z00_4074 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_4073), BgL_arg1635z00_4074); } 
return BgL_new1090z00_4073;} } 

}



/* &lambda1632 */
BgL_ev_setlocalz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t BgL_envz00_3680, obj_t BgL_e1088z00_3681, obj_t BgL_v1089z00_3682)
{
{ /* Eval/evaluate_types.scm 76 */
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1213z00_4077;
{ /* Eval/evaluate_types.scm 76 */
 BgL_ev_setlocalz00_bglt BgL_new1212z00_4078;
BgL_new1212z00_4078 = 
((BgL_ev_setlocalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_setlocalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 76 */
 long BgL_arg1633z00_4079;
BgL_arg1633z00_4079 = 
BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_4078), BgL_arg1633z00_4079); } 
BgL_new1213z00_4077 = BgL_new1212z00_4078; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1213z00_4077)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1088z00_3681)),BUNSPEC); 
((((BgL_ev_setlocalz00_bglt)COBJECT(BgL_new1213z00_4077))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_v1089z00_3682)),BUNSPEC); 
return BgL_new1213z00_4077;} } 

}



/* &lambda1641 */
obj_t BGl_z62lambda1641z62zz__evaluate_typesz00(obj_t BgL_envz00_3683, obj_t BgL_oz00_3684, obj_t BgL_vz00_3685)
{
{ /* Eval/evaluate_types.scm 76 */
return 
((((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3684)))->BgL_vz00)=((BgL_ev_varz00_bglt)
((BgL_ev_varz00_bglt)BgL_vz00_3685)),BUNSPEC);} 

}



/* &lambda1640 */
BgL_ev_varz00_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3686, obj_t BgL_oz00_3687)
{
{ /* Eval/evaluate_types.scm 76 */
return 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_oz00_3687)))->BgL_vz00);} 

}



/* &<@anonymous:1625> */
obj_t BGl_z62zc3z04anonymousza31625ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3688, obj_t BgL_new1086z00_3689)
{
{ /* Eval/evaluate_types.scm 75 */
{ 
 BgL_ev_trapz00_bglt BgL_auxz00_5217;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5218;
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL_classz00_4084;
BgL_classz00_4084 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 75 */
 obj_t BgL__ortest_1282z00_4085;
BgL__ortest_1282z00_4085 = 
BGL_CLASS_NIL(BgL_classz00_4084); 
if(
CBOOL(BgL__ortest_1282z00_4085))
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5218 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4085)
; }  else 
{ /* Eval/evaluate_types.scm 75 */
BgL_auxz00_5218 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4084))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_new1086z00_3689))))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5218),BUNSPEC); } 
BgL_auxz00_5217 = 
((BgL_ev_trapz00_bglt)BgL_new1086z00_3689); 
return 
((obj_t)BgL_auxz00_5217);} } 

}



/* &lambda1622 */
BgL_ev_trapz00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t BgL_envz00_3690)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1085z00_4086;
BgL_new1085z00_4086 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1624z00_4087;
BgL_arg1624z00_4087 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1085z00_4086), BgL_arg1624z00_4087); } 
return BgL_new1085z00_4086;} } 

}



/* &lambda1620 */
BgL_ev_trapz00_bglt BGl_z62lambda1620z62zz__evaluate_typesz00(obj_t BgL_envz00_3691, obj_t BgL_e1084z00_3692)
{
{ /* Eval/evaluate_types.scm 75 */
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1211z00_4089;
{ /* Eval/evaluate_types.scm 75 */
 BgL_ev_trapz00_bglt BgL_new1210z00_4090;
BgL_new1210z00_4090 = 
((BgL_ev_trapz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_trapz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 75 */
 long BgL_arg1621z00_4091;
BgL_arg1621z00_4091 = 
BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1210z00_4090), BgL_arg1621z00_4091); } 
BgL_new1211z00_4089 = BgL_new1210z00_4090; } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1211z00_4089)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1084z00_3692)),BUNSPEC); 
return BgL_new1211z00_4089;} } 

}



/* &<@anonymous:1606> */
obj_t BGl_z62zc3z04anonymousza31606ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3693, obj_t BgL_new1082z00_3694)
{
{ /* Eval/evaluate_types.scm 73 */
{ 
 BgL_ev_hookz00_bglt BgL_auxz00_5241;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5242;
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL_classz00_4093;
BgL_classz00_4093 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 73 */
 obj_t BgL__ortest_1282z00_4094;
BgL__ortest_1282z00_4094 = 
BGL_CLASS_NIL(BgL_classz00_4093); 
if(
CBOOL(BgL__ortest_1282z00_4094))
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5242 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4094)
; }  else 
{ /* Eval/evaluate_types.scm 73 */
BgL_auxz00_5242 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4093))
; } } } 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_new1082z00_3694)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5242),BUNSPEC); } 
BgL_auxz00_5241 = 
((BgL_ev_hookz00_bglt)BgL_new1082z00_3694); 
return 
((obj_t)BgL_auxz00_5241);} } 

}



/* &lambda1604 */
BgL_ev_hookz00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t BgL_envz00_3695)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1081z00_4095;
BgL_new1081z00_4095 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1605z00_4096;
BgL_arg1605z00_4096 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_4095), BgL_arg1605z00_4096); } 
return BgL_new1081z00_4095;} } 

}



/* &lambda1602 */
BgL_ev_hookz00_bglt BGl_z62lambda1602z62zz__evaluate_typesz00(obj_t BgL_envz00_3696, obj_t BgL_e1080z00_3697)
{
{ /* Eval/evaluate_types.scm 73 */
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1209z00_4098;
{ /* Eval/evaluate_types.scm 73 */
 BgL_ev_hookz00_bglt BgL_new1208z00_4099;
BgL_new1208z00_4099 = 
((BgL_ev_hookz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_hookz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 73 */
 long BgL_arg1603z00_4100;
BgL_arg1603z00_4100 = 
BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1208z00_4099), BgL_arg1603z00_4100); } 
BgL_new1209z00_4098 = BgL_new1208z00_4099; } 
((((BgL_ev_hookz00_bglt)COBJECT(BgL_new1209z00_4098))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1080z00_3697)),BUNSPEC); 
return BgL_new1209z00_4098;} } 

}



/* &lambda1612 */
obj_t BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t BgL_envz00_3698, obj_t BgL_oz00_3699, obj_t BgL_vz00_3700)
{
{ /* Eval/evaluate_types.scm 73 */
return 
((((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3699)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3700)),BUNSPEC);} 

}



/* &lambda1611 */
BgL_ev_exprz00_bglt BGl_z62lambda1611z62zz__evaluate_typesz00(obj_t BgL_envz00_3701, obj_t BgL_oz00_3702)
{
{ /* Eval/evaluate_types.scm 73 */
return 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)BgL_oz00_3702)))->BgL_ez00);} 

}



/* &<@anonymous:1583> */
obj_t BGl_z62zc3z04anonymousza31583ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3703, obj_t BgL_new1078z00_3704)
{
{ /* Eval/evaluate_types.scm 70 */
{ 
 BgL_ev_prog2z00_bglt BgL_auxz00_5268;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5269;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4105;
BgL_classz00_4105 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1282z00_4106;
BgL__ortest_1282z00_4106 = 
BGL_CLASS_NIL(BgL_classz00_4105); 
if(
CBOOL(BgL__ortest_1282z00_4106))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5269 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4106)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5269 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4105))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3704)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5269),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5278;
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL_classz00_4107;
BgL_classz00_4107 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 70 */
 obj_t BgL__ortest_1282z00_4108;
BgL__ortest_1282z00_4108 = 
BGL_CLASS_NIL(BgL_classz00_4107); 
if(
CBOOL(BgL__ortest_1282z00_4108))
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5278 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4108)
; }  else 
{ /* Eval/evaluate_types.scm 70 */
BgL_auxz00_5278 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4107))
; } } } 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3704)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5278),BUNSPEC); } 
BgL_auxz00_5268 = 
((BgL_ev_prog2z00_bglt)BgL_new1078z00_3704); 
return 
((obj_t)BgL_auxz00_5268);} } 

}



/* &lambda1581 */
BgL_ev_prog2z00_bglt BGl_z62lambda1581z62zz__evaluate_typesz00(obj_t BgL_envz00_3705)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1077z00_4109;
BgL_new1077z00_4109 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1582z00_4110;
BgL_arg1582z00_4110 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1077z00_4109), BgL_arg1582z00_4110); } 
return BgL_new1077z00_4109;} } 

}



/* &lambda1578 */
BgL_ev_prog2z00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t BgL_envz00_3706, obj_t BgL_e11075z00_3707, obj_t BgL_e21076z00_3708)
{
{ /* Eval/evaluate_types.scm 70 */
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1207z00_4113;
{ /* Eval/evaluate_types.scm 70 */
 BgL_ev_prog2z00_bglt BgL_new1206z00_4114;
BgL_new1206z00_4114 = 
((BgL_ev_prog2z00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_prog2z00_bgl) ))); 
{ /* Eval/evaluate_types.scm 70 */
 long BgL_arg1580z00_4115;
BgL_arg1580z00_4115 = 
BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1206z00_4114), BgL_arg1580z00_4115); } 
BgL_new1207z00_4113 = BgL_new1206z00_4114; } 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4113))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e11075z00_3707)),BUNSPEC); 
((((BgL_ev_prog2z00_bglt)COBJECT(BgL_new1207z00_4113))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e21076z00_3708)),BUNSPEC); 
return BgL_new1207z00_4113;} } 

}



/* &lambda1594 */
obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t BgL_envz00_3709, obj_t BgL_oz00_3710, obj_t BgL_vz00_3711)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3710)))->BgL_e2z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3711)),BUNSPEC);} 

}



/* &lambda1593 */
BgL_ev_exprz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3712, obj_t BgL_oz00_3713)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3713)))->BgL_e2z00);} 

}



/* &lambda1588 */
obj_t BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t BgL_envz00_3714, obj_t BgL_oz00_3715, obj_t BgL_vz00_3716)
{
{ /* Eval/evaluate_types.scm 70 */
return 
((((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3715)))->BgL_e1z00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3716)),BUNSPEC);} 

}



/* &lambda1587 */
BgL_ev_exprz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t BgL_envz00_3717, obj_t BgL_oz00_3718)
{
{ /* Eval/evaluate_types.scm 70 */
return 
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_oz00_3718)))->BgL_e1z00);} 

}



/* &<@anonymous:1570> */
obj_t BGl_z62zc3z04anonymousza31570ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3719, obj_t BgL_new1073z00_3720)
{
{ /* Eval/evaluate_types.scm 69 */
{ 
 BgL_ev_andz00_bglt BgL_auxz00_5311;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_new1073z00_3720))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5311 = 
((BgL_ev_andz00_bglt)BgL_new1073z00_3720); 
return 
((obj_t)BgL_auxz00_5311);} } 

}



/* &lambda1568 */
BgL_ev_andz00_bglt BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3721)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1072z00_4123;
BgL_new1072z00_4123 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1569z00_4124;
BgL_arg1569z00_4124 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1072z00_4123), BgL_arg1569z00_4124); } 
return BgL_new1072z00_4123;} } 

}



/* &lambda1566 */
BgL_ev_andz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t BgL_envz00_3722, obj_t BgL_args1071z00_3723)
{
{ /* Eval/evaluate_types.scm 69 */
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1205z00_4125;
{ /* Eval/evaluate_types.scm 69 */
 BgL_ev_andz00_bglt BgL_new1204z00_4126;
BgL_new1204z00_4126 = 
((BgL_ev_andz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_andz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 69 */
 long BgL_arg1567z00_4127;
BgL_arg1567z00_4127 = 
BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1204z00_4126), BgL_arg1567z00_4127); } 
BgL_new1205z00_4125 = BgL_new1204z00_4126; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1205z00_4125)))->BgL_argsz00)=((obj_t)BgL_args1071z00_3723),BUNSPEC); 
return BgL_new1205z00_4125;} } 

}



/* &<@anonymous:1558> */
obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3724, obj_t BgL_new1069z00_3725)
{
{ /* Eval/evaluate_types.scm 68 */
{ 
 BgL_ev_orz00_bglt BgL_auxz00_5327;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_new1069z00_3725))))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5327 = 
((BgL_ev_orz00_bglt)BgL_new1069z00_3725); 
return 
((obj_t)BgL_auxz00_5327);} } 

}



/* &lambda1556 */
BgL_ev_orz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t BgL_envz00_3726)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1068z00_4129;
BgL_new1068z00_4129 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1557z00_4130;
BgL_arg1557z00_4130 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1068z00_4129), BgL_arg1557z00_4130); } 
return BgL_new1068z00_4129;} } 

}



/* &lambda1552 */
BgL_ev_orz00_bglt BGl_z62lambda1552z62zz__evaluate_typesz00(obj_t BgL_envz00_3727, obj_t BgL_args1067z00_3728)
{
{ /* Eval/evaluate_types.scm 68 */
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1203z00_4131;
{ /* Eval/evaluate_types.scm 68 */
 BgL_ev_orz00_bglt BgL_new1202z00_4132;
BgL_new1202z00_4132 = 
((BgL_ev_orz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_orz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 68 */
 long BgL_arg1555z00_4133;
BgL_arg1555z00_4133 = 
BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1202z00_4132), BgL_arg1555z00_4133); } 
BgL_new1203z00_4131 = BgL_new1202z00_4132; } 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1203z00_4131)))->BgL_argsz00)=((obj_t)BgL_args1067z00_3728),BUNSPEC); 
return BgL_new1203z00_4131;} } 

}



/* &<@anonymous:1538> */
obj_t BGl_z62zc3z04anonymousza31538ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3729, obj_t BgL_new1065z00_3730)
{
{ /* Eval/evaluate_types.scm 66 */
{ 
 BgL_ev_listz00_bglt BgL_auxz00_5343;
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_new1065z00_3730)))->BgL_argsz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5343 = 
((BgL_ev_listz00_bglt)BgL_new1065z00_3730); 
return 
((obj_t)BgL_auxz00_5343);} } 

}



/* &lambda1534 */
BgL_ev_listz00_bglt BGl_z62lambda1534z62zz__evaluate_typesz00(obj_t BgL_envz00_3731)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1064z00_4135;
BgL_new1064z00_4135 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1537z00_4136;
BgL_arg1537z00_4136 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1064z00_4135), BgL_arg1537z00_4136); } 
return BgL_new1064z00_4135;} } 

}



/* &lambda1532 */
BgL_ev_listz00_bglt BGl_z62lambda1532z62zz__evaluate_typesz00(obj_t BgL_envz00_3732, obj_t BgL_args1063z00_3733)
{
{ /* Eval/evaluate_types.scm 66 */
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1201z00_4137;
{ /* Eval/evaluate_types.scm 66 */
 BgL_ev_listz00_bglt BgL_new1200z00_4138;
BgL_new1200z00_4138 = 
((BgL_ev_listz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_listz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 66 */
 long BgL_arg1533z00_4139;
BgL_arg1533z00_4139 = 
BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1200z00_4138), BgL_arg1533z00_4139); } 
BgL_new1201z00_4137 = BgL_new1200z00_4138; } 
((((BgL_ev_listz00_bglt)COBJECT(BgL_new1201z00_4137))->BgL_argsz00)=((obj_t)BgL_args1063z00_3733),BUNSPEC); 
return BgL_new1201z00_4137;} } 

}



/* &lambda1545 */
obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3734, obj_t BgL_oz00_3735, obj_t BgL_vz00_3736)
{
{ /* Eval/evaluate_types.scm 66 */
return 
((((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3735)))->BgL_argsz00)=((obj_t)BgL_vz00_3736),BUNSPEC);} 

}



/* &lambda1544 */
obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t BgL_envz00_3737, obj_t BgL_oz00_3738)
{
{ /* Eval/evaluate_types.scm 66 */
return 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)BgL_oz00_3738)))->BgL_argsz00);} 

}



/* &<@anonymous:1510> */
obj_t BGl_z62zc3z04anonymousza31510ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3739, obj_t BgL_new1061z00_3740)
{
{ /* Eval/evaluate_types.scm 62 */
{ 
 BgL_ev_ifz00_bglt BgL_auxz00_5361;
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5362;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4143;
BgL_classz00_4143 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1282z00_4144;
BgL__ortest_1282z00_4144 = 
BGL_CLASS_NIL(BgL_classz00_4143); 
if(
CBOOL(BgL__ortest_1282z00_4144))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5362 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4144)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5362 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4143))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3740)))->BgL_pz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5362),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5371;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4145;
BgL_classz00_4145 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1282z00_4146;
BgL__ortest_1282z00_4146 = 
BGL_CLASS_NIL(BgL_classz00_4145); 
if(
CBOOL(BgL__ortest_1282z00_4146))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5371 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4146)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5371 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4145))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3740)))->BgL_tz00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5371),BUNSPEC); } 
{ 
 BgL_ev_exprz00_bglt BgL_auxz00_5380;
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL_classz00_4147;
BgL_classz00_4147 = BGl_ev_exprz00zz__evaluate_typesz00; 
{ /* Eval/evaluate_types.scm 62 */
 obj_t BgL__ortest_1282z00_4148;
BgL__ortest_1282z00_4148 = 
BGL_CLASS_NIL(BgL_classz00_4147); 
if(
CBOOL(BgL__ortest_1282z00_4148))
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5380 = 
((BgL_ev_exprz00_bglt)BgL__ortest_1282z00_4148)
; }  else 
{ /* Eval/evaluate_types.scm 62 */
BgL_auxz00_5380 = 
((BgL_ev_exprz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_4147))
; } } } 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_new1061z00_3740)))->BgL_ez00)=((BgL_ev_exprz00_bglt)BgL_auxz00_5380),BUNSPEC); } 
BgL_auxz00_5361 = 
((BgL_ev_ifz00_bglt)BgL_new1061z00_3740); 
return 
((obj_t)BgL_auxz00_5361);} } 

}



/* &lambda1508 */
BgL_ev_ifz00_bglt BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3741)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1060z00_4149;
BgL_new1060z00_4149 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1509z00_4150;
BgL_arg1509z00_4150 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1060z00_4149), BgL_arg1509z00_4150); } 
return BgL_new1060z00_4149;} } 

}



/* &lambda1506 */
BgL_ev_ifz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t BgL_envz00_3742, obj_t BgL_p1057z00_3743, obj_t BgL_t1058z00_3744, obj_t BgL_e1059z00_3745)
{
{ /* Eval/evaluate_types.scm 62 */
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1199z00_4154;
{ /* Eval/evaluate_types.scm 62 */
 BgL_ev_ifz00_bglt BgL_new1198z00_4155;
BgL_new1198z00_4155 = 
((BgL_ev_ifz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_ifz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 62 */
 long BgL_arg1507z00_4156;
BgL_arg1507z00_4156 = 
BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_4155), BgL_arg1507z00_4156); } 
BgL_new1199z00_4154 = BgL_new1198z00_4155; } 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4154))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_p1057z00_3743)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4154))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_t1058z00_3744)),BUNSPEC); 
((((BgL_ev_ifz00_bglt)COBJECT(BgL_new1199z00_4154))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_e1059z00_3745)),BUNSPEC); 
return BgL_new1199z00_4154;} } 

}



/* &lambda1526 */
obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3746, obj_t BgL_oz00_3747, obj_t BgL_vz00_3748)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3747)))->BgL_ez00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3748)),BUNSPEC);} 

}



/* &lambda1525 */
BgL_ev_exprz00_bglt BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3749, obj_t BgL_oz00_3750)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3750)))->BgL_ez00);} 

}



/* &lambda1520 */
obj_t BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t BgL_envz00_3751, obj_t BgL_oz00_3752, obj_t BgL_vz00_3753)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3752)))->BgL_tz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3753)),BUNSPEC);} 

}



/* &lambda1519 */
BgL_ev_exprz00_bglt BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3754, obj_t BgL_oz00_3755)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3755)))->BgL_tz00);} 

}



/* &lambda1515 */
obj_t BGl_z62lambda1515z62zz__evaluate_typesz00(obj_t BgL_envz00_3756, obj_t BgL_oz00_3757, obj_t BgL_vz00_3758)
{
{ /* Eval/evaluate_types.scm 62 */
return 
((((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3757)))->BgL_pz00)=((BgL_ev_exprz00_bglt)
((BgL_ev_exprz00_bglt)BgL_vz00_3758)),BUNSPEC);} 

}



/* &lambda1514 */
BgL_ev_exprz00_bglt BGl_z62lambda1514z62zz__evaluate_typesz00(obj_t BgL_envz00_3759, obj_t BgL_oz00_3760)
{
{ /* Eval/evaluate_types.scm 62 */
return 
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_oz00_3760)))->BgL_pz00);} 

}



/* &<@anonymous:1494> */
obj_t BGl_z62zc3z04anonymousza31494ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3761, obj_t BgL_new1055z00_3762)
{
{ /* Eval/evaluate_types.scm 60 */
{ 
 BgL_ev_littz00_bglt BgL_auxz00_5420;
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_new1055z00_3762)))->BgL_valuez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5420 = 
((BgL_ev_littz00_bglt)BgL_new1055z00_3762); 
return 
((obj_t)BgL_auxz00_5420);} } 

}



/* &lambda1490 */
BgL_ev_littz00_bglt BGl_z62lambda1490z62zz__evaluate_typesz00(obj_t BgL_envz00_3763)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1054z00_4167;
BgL_new1054z00_4167 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1493z00_4168;
BgL_arg1493z00_4168 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1054z00_4167), BgL_arg1493z00_4168); } 
return BgL_new1054z00_4167;} } 

}



/* &lambda1488 */
BgL_ev_littz00_bglt BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3764, obj_t BgL_value1053z00_3765)
{
{ /* Eval/evaluate_types.scm 60 */
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1197z00_4169;
{ /* Eval/evaluate_types.scm 60 */
 BgL_ev_littz00_bglt BgL_new1196z00_4170;
BgL_new1196z00_4170 = 
((BgL_ev_littz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_littz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 60 */
 long BgL_arg1489z00_4171;
BgL_arg1489z00_4171 = 
BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1196z00_4170), BgL_arg1489z00_4171); } 
BgL_new1197z00_4169 = BgL_new1196z00_4170; } 
((((BgL_ev_littz00_bglt)COBJECT(BgL_new1197z00_4169))->BgL_valuez00)=((obj_t)BgL_value1053z00_3765),BUNSPEC); 
return BgL_new1197z00_4169;} } 

}



/* &lambda1499 */
obj_t BGl_z62lambda1499z62zz__evaluate_typesz00(obj_t BgL_envz00_3766, obj_t BgL_oz00_3767, obj_t BgL_vz00_3768)
{
{ /* Eval/evaluate_types.scm 60 */
return 
((((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3767)))->BgL_valuez00)=((obj_t)BgL_vz00_3768),BUNSPEC);} 

}



/* &lambda1498 */
obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3769, obj_t BgL_oz00_3770)
{
{ /* Eval/evaluate_types.scm 60 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_oz00_3770)))->BgL_valuez00);} 

}



/* &<@anonymous:1466> */
obj_t BGl_z62zc3z04anonymousza31466ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3771, obj_t BgL_new1051z00_3772)
{
{ /* Eval/evaluate_types.scm 55 */
{ 
 BgL_ev_globalz00_bglt BgL_auxz00_5438;
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3772)))->BgL_locz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3772)))->BgL_namez00)=((obj_t)BGl_symbol2658z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_new1051z00_3772)))->BgL_modz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5438 = 
((BgL_ev_globalz00_bglt)BgL_new1051z00_3772); 
return 
((obj_t)BgL_auxz00_5438);} } 

}



/* &lambda1464 */
BgL_ev_globalz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t BgL_envz00_3773)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1050z00_4175;
BgL_new1050z00_4175 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1465z00_4176;
BgL_arg1465z00_4176 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1050z00_4175), BgL_arg1465z00_4176); } 
return BgL_new1050z00_4175;} } 

}



/* &lambda1462 */
BgL_ev_globalz00_bglt BGl_z62lambda1462z62zz__evaluate_typesz00(obj_t BgL_envz00_3774, obj_t BgL_loc1047z00_3775, obj_t BgL_name1048z00_3776, obj_t BgL_mod1049z00_3777)
{
{ /* Eval/evaluate_types.scm 55 */
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1195z00_4178;
{ /* Eval/evaluate_types.scm 55 */
 BgL_ev_globalz00_bglt BgL_new1194z00_4179;
BgL_new1194z00_4179 = 
((BgL_ev_globalz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_globalz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 55 */
 long BgL_arg1463z00_4180;
BgL_arg1463z00_4180 = 
BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_4179), BgL_arg1463z00_4180); } 
BgL_new1195z00_4178 = BgL_new1194z00_4179; } 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4178))->BgL_locz00)=((obj_t)BgL_loc1047z00_3775),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4178))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1048z00_3776)),BUNSPEC); 
((((BgL_ev_globalz00_bglt)COBJECT(BgL_new1195z00_4178))->BgL_modz00)=((obj_t)BgL_mod1049z00_3777),BUNSPEC); 
return BgL_new1195z00_4178;} } 

}



/* &lambda1481 */
obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3778, obj_t BgL_oz00_3779, obj_t BgL_vz00_3780)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3779)))->BgL_modz00)=((obj_t)BgL_vz00_3780),BUNSPEC);} 

}



/* &lambda1480 */
obj_t BGl_z62lambda1480z62zz__evaluate_typesz00(obj_t BgL_envz00_3781, obj_t BgL_oz00_3782)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3782)))->BgL_modz00);} 

}



/* &lambda1476 */
obj_t BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t BgL_envz00_3783, obj_t BgL_oz00_3784, obj_t BgL_vz00_3785)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3784)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3785)),BUNSPEC);} 

}



/* &lambda1475 */
obj_t BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t BgL_envz00_3786, obj_t BgL_oz00_3787)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3787)))->BgL_namez00);} 

}



/* &lambda1471 */
obj_t BGl_z62lambda1471z62zz__evaluate_typesz00(obj_t BgL_envz00_3788, obj_t BgL_oz00_3789, obj_t BgL_vz00_3790)
{
{ /* Eval/evaluate_types.scm 55 */
return 
((((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3789)))->BgL_locz00)=((obj_t)BgL_vz00_3790),BUNSPEC);} 

}



/* &lambda1470 */
obj_t BGl_z62lambda1470z62zz__evaluate_typesz00(obj_t BgL_envz00_3791, obj_t BgL_oz00_3792)
{
{ /* Eval/evaluate_types.scm 55 */
return 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_oz00_3792)))->BgL_locz00);} 

}



/* &<@anonymous:1437> */
obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3793, obj_t BgL_new1045z00_3794)
{
{ /* Eval/evaluate_types.scm 51 */
{ 
 BgL_ev_varz00_bglt BgL_auxz00_5472;
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3794)))->BgL_namez00)=((obj_t)BGl_symbol2658z00zz__evaluate_typesz00),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3794)))->BgL_effz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_new1045z00_3794)))->BgL_typez00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_5472 = 
((BgL_ev_varz00_bglt)BgL_new1045z00_3794); 
return 
((obj_t)BgL_auxz00_5472);} } 

}



/* &lambda1435 */
BgL_ev_varz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t BgL_envz00_3795)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1044z00_4189;
BgL_new1044z00_4189 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1436z00_4190;
BgL_arg1436z00_4190 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1044z00_4189), BgL_arg1436z00_4190); } 
return BgL_new1044z00_4189;} } 

}



/* &lambda1433 */
BgL_ev_varz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t BgL_envz00_3796, obj_t BgL_name1041z00_3797, obj_t BgL_eff1042z00_3798, obj_t BgL_type1043z00_3799)
{
{ /* Eval/evaluate_types.scm 51 */
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1193z00_4192;
{ /* Eval/evaluate_types.scm 51 */
 BgL_ev_varz00_bglt BgL_new1192z00_4193;
BgL_new1192z00_4193 = 
((BgL_ev_varz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_varz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 51 */
 long BgL_arg1434z00_4194;
BgL_arg1434z00_4194 = 
BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1192z00_4193), BgL_arg1434z00_4194); } 
BgL_new1193z00_4192 = BgL_new1192z00_4193; } 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4192))->BgL_namez00)=((obj_t)
((obj_t)BgL_name1041z00_3797)),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4192))->BgL_effz00)=((obj_t)BgL_eff1042z00_3798),BUNSPEC); 
((((BgL_ev_varz00_bglt)COBJECT(BgL_new1193z00_4192))->BgL_typez00)=((obj_t)BgL_type1043z00_3799),BUNSPEC); 
return BgL_new1193z00_4192;} } 

}



/* &lambda1456 */
obj_t BGl_z62lambda1456z62zz__evaluate_typesz00(obj_t BgL_envz00_3800, obj_t BgL_oz00_3801, obj_t BgL_vz00_3802)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3801)))->BgL_typez00)=((obj_t)BgL_vz00_3802),BUNSPEC);} 

}



/* &lambda1455 */
obj_t BGl_z62lambda1455z62zz__evaluate_typesz00(obj_t BgL_envz00_3803, obj_t BgL_oz00_3804)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3804)))->BgL_typez00);} 

}



/* &<@anonymous:1449> */
obj_t BGl_z62zc3z04anonymousza31449ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3805)
{
{ /* Eval/evaluate_types.scm 51 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1448 */
obj_t BGl_z62lambda1448z62zz__evaluate_typesz00(obj_t BgL_envz00_3806, obj_t BgL_oz00_3807, obj_t BgL_vz00_3808)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3807)))->BgL_effz00)=((obj_t)BgL_vz00_3808),BUNSPEC);} 

}



/* &lambda1447 */
obj_t BGl_z62lambda1447z62zz__evaluate_typesz00(obj_t BgL_envz00_3809, obj_t BgL_oz00_3810)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3810)))->BgL_effz00);} 

}



/* &lambda1442 */
obj_t BGl_z62lambda1442z62zz__evaluate_typesz00(obj_t BgL_envz00_3811, obj_t BgL_oz00_3812, obj_t BgL_vz00_3813)
{
{ /* Eval/evaluate_types.scm 51 */
return 
((((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3812)))->BgL_namez00)=((obj_t)
((obj_t)BgL_vz00_3813)),BUNSPEC);} 

}



/* &lambda1441 */
obj_t BGl_z62lambda1441z62zz__evaluate_typesz00(obj_t BgL_envz00_3814, obj_t BgL_oz00_3815)
{
{ /* Eval/evaluate_types.scm 51 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_oz00_3815)))->BgL_namez00);} 

}



/* &<@anonymous:1426> */
obj_t BGl_z62zc3z04anonymousza31426ze3ze5zz__evaluate_typesz00(obj_t BgL_envz00_3816, obj_t BgL_new1039z00_3817)
{
{ /* Eval/evaluate_types.scm 49 */
return 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_new1039z00_3817));} 

}



/* &lambda1424 */
BgL_ev_exprz00_bglt BGl_z62lambda1424z62zz__evaluate_typesz00(obj_t BgL_envz00_3818)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1038z00_4203;
BgL_new1038z00_4203 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1425z00_4204;
BgL_arg1425z00_4204 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1038z00_4203), BgL_arg1425z00_4204); } 
return BgL_new1038z00_4203;} } 

}



/* &lambda1422 */
BgL_ev_exprz00_bglt BGl_z62lambda1422z62zz__evaluate_typesz00(obj_t BgL_envz00_3819)
{
{ /* Eval/evaluate_types.scm 49 */
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1191z00_4205;
{ /* Eval/evaluate_types.scm 49 */
 BgL_ev_exprz00_bglt BgL_new1190z00_4206;
BgL_new1190z00_4206 = 
((BgL_ev_exprz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_ev_exprz00_bgl) ))); 
{ /* Eval/evaluate_types.scm 49 */
 long BgL_arg1423z00_4207;
BgL_arg1423z00_4207 = 
BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1190z00_4206), BgL_arg1423z00_4207); } 
BgL_new1191z00_4205 = BgL_new1190z00_4206; } 
return BgL_new1191z00_4205;} } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void)
{
{ /* Eval/evaluate_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(121046086L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(128218210L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(310000171L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(377164741L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(268155843L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L, 
BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));} 

}

#ifdef __cplusplus
}
#endif
