/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2901z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2909z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_symbol2911z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2913z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2914z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2916z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2918z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2920z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2922z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2924z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2926z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2927z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2929z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2931z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2933z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2935z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2937z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2939z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00(void);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol2941z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2943z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2945z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2947z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2949z00zz__evaluatez00 = BUNSPEC;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00(void);
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2951z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2953z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2955z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2957z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2959z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_za2inheritancesza2z00zz__objectz00;
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2961z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2963z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2965z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2967z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2969z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_symbol2971z00zz__evaluatez00 = BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol2973z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2975z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2979z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t make_vector(long, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol2981z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2984z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t BGl_symbol2986z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2988z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00(void);
	static obj_t BGl_symbol2990z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2992z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2994z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2996z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2998z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_keyword3012z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00(void);
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	static obj_t BGl_symbol3000z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_symbol3002z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3004z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3006z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_symbol3008z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3z04anonymousza31372ze3ze5zz__evaluatez00(obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	static obj_t BGl_symbol3010z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3014z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol3016z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t);
	extern int bgl_debug(void);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_loopze70ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopze71ze7zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string3011z00zz__evaluatez00,
		BgL_bgl_string3011za700za7za7_3021za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string3013z00zz__evaluatez00,
		BgL_bgl_string3013za700za7za7_3022za7, "prelock", 7);
	      DEFINE_STRING(BGl_string3015z00zz__evaluatez00,
		BgL_bgl_string3015za700za7za7_3023za7, "\\@", 2);
	      DEFINE_STRING(BGl_string3017z00zz__evaluatez00,
		BgL_bgl_string3017za700za7za7_3024za7, "free-pragma::obj", 16);
	      DEFINE_STRING(BGl_string3018z00zz__evaluatez00,
		BgL_bgl_string3018za700za7za7_3025za7, "free-pragma", 11);
	      DEFINE_STRING(BGl_string3019z00zz__evaluatez00,
		BgL_bgl_string3019za700za7za7_3026za7, "not supported in eval", 21);
	      DEFINE_STRING(BGl_string3020z00zz__evaluatez00,
		BgL_bgl_string3020za700za7za7_3027za7, "__evaluate", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2bpz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3028z00,
		BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2900z00zz__evaluatez00,
		BgL_bgl_string2900za700za7za7_3029za7, "vector", 6);
	      DEFINE_STRING(BGl_string2902z00zz__evaluatez00,
		BgL_bgl_string2902za700za7za7_3030za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2903z00zz__evaluatez00,
		BgL_bgl_string2903za700za7za7_3031za7, "eval", 4);
	      DEFINE_STRING(BGl_string2904z00zz__evaluatez00,
		BgL_bgl_string2904za700za7za7_3032za7, "Bad syntax", 10);
	      DEFINE_STRING(BGl_string2905z00zz__evaluatez00,
		BgL_bgl_string2905za700za7za7_3033za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2906z00zz__evaluatez00,
		BgL_bgl_string2906za700za7za7_3034za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2907z00zz__evaluatez00,
		BgL_bgl_string2907za700za7za7_3035za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2908z00zz__evaluatez00,
		BgL_bgl_string2908za700za7za7_3036za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2910z00zz__evaluatez00,
		BgL_bgl_string2910za700za7za7_3037za7, "pair", 4);
	      DEFINE_STRING(BGl_string2912z00zz__evaluatez00,
		BgL_bgl_string2912za700za7za7_3038za7, "pair?", 5);
	      DEFINE_STRING(BGl_string2915z00zz__evaluatez00,
		BgL_bgl_string2915za700za7za7_3039za7, "vector?", 7);
	      DEFINE_STRING(BGl_string2917z00zz__evaluatez00,
		BgL_bgl_string2917za700za7za7_3040za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2919z00zz__evaluatez00,
		BgL_bgl_string2919za700za7za7_3041za7, "symbol?", 7);
	      DEFINE_STRING(BGl_string2921z00zz__evaluatez00,
		BgL_bgl_string2921za700za7za7_3042za7, "char", 4);
	      DEFINE_STRING(BGl_string2923z00zz__evaluatez00,
		BgL_bgl_string2923za700za7za7_3043za7, "char?", 5);
	      DEFINE_STRING(BGl_string2925z00zz__evaluatez00,
		BgL_bgl_string2925za700za7za7_3044za7, "int", 3);
	      DEFINE_STRING(BGl_string2928z00zz__evaluatez00,
		BgL_bgl_string2928za700za7za7_3045za7, "integer?", 8);
	      DEFINE_STRING(BGl_string2930z00zz__evaluatez00,
		BgL_bgl_string2930za700za7za7_3046za7, "real", 4);
	      DEFINE_STRING(BGl_string2932z00zz__evaluatez00,
		BgL_bgl_string2932za700za7za7_3047za7, "breal", 5);
	      DEFINE_STRING(BGl_string2934z00zz__evaluatez00,
		BgL_bgl_string2934za700za7za7_3048za7, "real?", 5);
	      DEFINE_STRING(BGl_string2936z00zz__evaluatez00,
		BgL_bgl_string2936za700za7za7_3049za7, "bool", 4);
	      DEFINE_STRING(BGl_string2938z00zz__evaluatez00,
		BgL_bgl_string2938za700za7za7_3050za7, "boolean?", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat3051z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2940z00zz__evaluatez00,
		BgL_bgl_string2940za700za7za7_3052za7, "struct", 6);
	      DEFINE_STRING(BGl_string2942z00zz__evaluatez00,
		BgL_bgl_string2942za700za7za7_3053za7, "struct?", 7);
	      DEFINE_STRING(BGl_string2944z00zz__evaluatez00,
		BgL_bgl_string2944za700za7za7_3054za7, "class", 5);
	      DEFINE_STRING(BGl_string2946z00zz__evaluatez00,
		BgL_bgl_string2946za700za7za7_3055za7, "class?", 6);
	      DEFINE_STRING(BGl_string2948z00zz__evaluatez00,
		BgL_bgl_string2948za700za7za7_3056za7, "string", 6);
	      DEFINE_STRING(BGl_string2950z00zz__evaluatez00,
		BgL_bgl_string2950za700za7za7_3057za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2952z00zz__evaluatez00,
		BgL_bgl_string2952za700za7za7_3058za7, "string?", 7);
	      DEFINE_STRING(BGl_string2954z00zz__evaluatez00,
		BgL_bgl_string2954za700za7za7_3059za7, "o", 1);
	      DEFINE_STRING(BGl_string2956z00zz__evaluatez00,
		BgL_bgl_string2956za700za7za7_3060za7, "quote", 5);
	      DEFINE_STRING(BGl_string2958z00zz__evaluatez00,
		BgL_bgl_string2958za700za7za7_3061za7, "class-exists", 12);
	      DEFINE_STRING(BGl_string2960z00zz__evaluatez00,
		BgL_bgl_string2960za700za7za7_3062za7, "c", 1);
	      DEFINE_STRING(BGl_string2962z00zz__evaluatez00,
		BgL_bgl_string2962za700za7za7_3063za7, "isa?", 4);
	      DEFINE_STRING(BGl_string2964z00zz__evaluatez00,
		BgL_bgl_string2964za700za7za7_3064za7, "if", 2);
	      DEFINE_STRING(BGl_string2966z00zz__evaluatez00,
		BgL_bgl_string2966za700za7za7_3065za7, "let", 3);
	      DEFINE_STRING(BGl_string2968z00zz__evaluatez00,
		BgL_bgl_string2968za700za7za7_3066za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2970z00zz__evaluatez00,
		BgL_bgl_string2970za700za7za7_3067za7, "bigloo-type-error/location", 26);
	      DEFINE_STRING(BGl_string2972z00zz__evaluatez00,
		BgL_bgl_string2972za700za7za7_3068za7, "bigloo-type-error", 17);
	      DEFINE_STRING(BGl_string2974z00zz__evaluatez00,
		BgL_bgl_string2974za700za7za7_3069za7, "at", 2);
	      DEFINE_STRING(BGl_string2895z00zz__evaluatez00,
		BgL_bgl_string2895za700za7za7_3070za7, "", 0);
	      DEFINE_STRING(BGl_string2976z00zz__evaluatez00,
		BgL_bgl_string2976za700za7za7_3071za7, "tmp", 3);
	      DEFINE_STRING(BGl_string2896z00zz__evaluatez00,
		BgL_bgl_string2896za700za7za7_3072za7,
		"/tmp/bigloo/runtime/Eval/evaluate.scm", 37);
	      DEFINE_STRING(BGl_string2977z00zz__evaluatez00,
		BgL_bgl_string2977za700za7za7_3073za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2897z00zz__evaluatez00,
		BgL_bgl_string2897za700za7za7_3074za7, "&evaluate2-restore-bp!", 22);
	      DEFINE_STRING(BGl_string2978z00zz__evaluatez00,
		BgL_bgl_string2978za700za7za7_3075za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2898z00zz__evaluatez00,
		BgL_bgl_string2898za700za7za7_3076za7, "bint", 4);
	      DEFINE_STRING(BGl_string2899z00zz__evaluatez00,
		BgL_bgl_string2899za700za7za7_3077za7, "&evaluate2-restore-state!", 25);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_STRING(BGl_string2980z00zz__evaluatez00,
		BgL_bgl_string2980za700za7za7_3078za7, "begin", 5);
	      DEFINE_STRING(BGl_string2982z00zz__evaluatez00,
		BgL_bgl_string2982za700za7za7_3079za7, " ", 1);
	      DEFINE_STRING(BGl_string2983z00zz__evaluatez00,
		BgL_bgl_string2983za700za7za7_3080za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2985z00zz__evaluatez00,
		BgL_bgl_string2985za700za7za7_3081za7, "module", 6);
	      DEFINE_STRING(BGl_string2987z00zz__evaluatez00,
		BgL_bgl_string2987za700za7za7_3082za7, "@", 1);
	      DEFINE_STRING(BGl_string2989z00zz__evaluatez00,
		BgL_bgl_string2989za700za7za7_3083za7, "->", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_evaluate2zd2restorezd2statez12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762evaluate2za7d2r3084z00,
		BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2991z00zz__evaluatez00,
		BgL_bgl_string2991za700za7za7_3085za7, "trap", 4);
	      DEFINE_STRING(BGl_string2993z00zz__evaluatez00,
		BgL_bgl_string2993za700za7za7_3086za7, "or", 2);
	      DEFINE_STRING(BGl_string2995z00zz__evaluatez00,
		BgL_bgl_string2995za700za7za7_3087za7, "and", 3);
	      DEFINE_STRING(BGl_string2997z00zz__evaluatez00,
		BgL_bgl_string2997za700za7za7_3088za7, "let*", 4);
	      DEFINE_STRING(BGl_string2999z00zz__evaluatez00,
		BgL_bgl_string2999za700za7za7_3089za7, "letrec", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat3090z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za73091za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string3001z00zz__evaluatez00,
		BgL_bgl_string3001za700za7za7_3092za7, "set!", 4);
	      DEFINE_STRING(BGl_string3003z00zz__evaluatez00,
		BgL_bgl_string3003za700za7za7_3093za7, "define", 6);
	      DEFINE_STRING(BGl_string3005z00zz__evaluatez00,
		BgL_bgl_string3005za700za7za7_3094za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string3007z00zz__evaluatez00,
		BgL_bgl_string3007za700za7za7_3095za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string3009z00zz__evaluatez00,
		BgL_bgl_string3009za700za7za7_3096za7, "with-handler", 12);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2901z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2909z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2911z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2913z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2914z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2916z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2918z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2920z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2922z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2924z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2926z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2927z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2929z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2931z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2933z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2935z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2937z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2939z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2941z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2943z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2945z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2947z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2949z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2951z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2953z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2955z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2957z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2959z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2961z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2963z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2965z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2967z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2969z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2971z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2973z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2975z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2979z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2981z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2984z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2986z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2988z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2990z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2992z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2994z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2996z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol2998z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_keyword3012z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3000z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3002z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3004z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3006z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3008z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3010z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3014z00zz__evaluatez00));
		     ADD_ROOT((void *) (&BGl_symbol3016z00zz__evaluatez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4834, char *BgL_fromz00_4835)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluatez00();
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BGl_methodzd2initzd2zz__evaluatez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2901z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2902z00zz__evaluatez00);
			BGl_symbol2909z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2910z00zz__evaluatez00);
			BGl_symbol2911z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2912z00zz__evaluatez00);
			BGl_symbol2913z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2900z00zz__evaluatez00);
			BGl_symbol2914z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2915z00zz__evaluatez00);
			BGl_symbol2916z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2917z00zz__evaluatez00);
			BGl_symbol2918z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2919z00zz__evaluatez00);
			BGl_symbol2920z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2921z00zz__evaluatez00);
			BGl_symbol2922z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2923z00zz__evaluatez00);
			BGl_symbol2924z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2925z00zz__evaluatez00);
			BGl_symbol2926z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2898z00zz__evaluatez00);
			BGl_symbol2927z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2928z00zz__evaluatez00);
			BGl_symbol2929z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2930z00zz__evaluatez00);
			BGl_symbol2931z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2932z00zz__evaluatez00);
			BGl_symbol2933z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2934z00zz__evaluatez00);
			BGl_symbol2935z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2936z00zz__evaluatez00);
			BGl_symbol2937z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2938z00zz__evaluatez00);
			BGl_symbol2939z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2940z00zz__evaluatez00);
			BGl_symbol2941z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2942z00zz__evaluatez00);
			BGl_symbol2943z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2944z00zz__evaluatez00);
			BGl_symbol2945z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2946z00zz__evaluatez00);
			BGl_symbol2947z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2948z00zz__evaluatez00);
			BGl_symbol2949z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2950z00zz__evaluatez00);
			BGl_symbol2951z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2952z00zz__evaluatez00);
			BGl_symbol2953z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2954z00zz__evaluatez00);
			BGl_symbol2955z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2956z00zz__evaluatez00);
			BGl_symbol2957z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2958z00zz__evaluatez00);
			BGl_symbol2959z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2960z00zz__evaluatez00);
			BGl_symbol2961z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2962z00zz__evaluatez00);
			BGl_symbol2963z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2964z00zz__evaluatez00);
			BGl_symbol2965z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2966z00zz__evaluatez00);
			BGl_symbol2967z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2968z00zz__evaluatez00);
			BGl_symbol2969z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2970z00zz__evaluatez00);
			BGl_symbol2971z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2972z00zz__evaluatez00);
			BGl_symbol2973z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2974z00zz__evaluatez00);
			BGl_symbol2975z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2976z00zz__evaluatez00);
			BGl_symbol2979z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2980z00zz__evaluatez00);
			BGl_symbol2981z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2982z00zz__evaluatez00);
			BGl_symbol2984z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2985z00zz__evaluatez00);
			BGl_symbol2986z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2987z00zz__evaluatez00);
			BGl_symbol2988z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2989z00zz__evaluatez00);
			BGl_symbol2990z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2991z00zz__evaluatez00);
			BGl_symbol2992z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2993z00zz__evaluatez00);
			BGl_symbol2994z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2995z00zz__evaluatez00);
			BGl_symbol2996z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2997z00zz__evaluatez00);
			BGl_symbol2998z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2999z00zz__evaluatez00);
			BGl_symbol3000z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3001z00zz__evaluatez00);
			BGl_symbol3002z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3003z00zz__evaluatez00);
			BGl_symbol3004z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3005z00zz__evaluatez00);
			BGl_symbol3006z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3007z00zz__evaluatez00);
			BGl_symbol3008z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3009z00zz__evaluatez00);
			BGl_symbol3010z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3011z00zz__evaluatez00);
			BGl_keyword3012z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string3013z00zz__evaluatez00);
			BGl_symbol3014z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3015z00zz__evaluatez00);
			return (BGl_symbol3016z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string3017z00zz__evaluatez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1192;

				BgL_headz00_1192 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_3210;
					obj_t BgL_tailz00_3211;

					BgL_prevz00_3210 = BgL_headz00_1192;
					BgL_tailz00_3211 = BgL_l1z00_1;
				BgL_loopz00_3209:
					if (PAIRP(BgL_tailz00_3211))
						{
							obj_t BgL_newzd2prevzd2_3217;

							BgL_newzd2prevzd2_3217 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_3211), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_3210, BgL_newzd2prevzd2_3217);
							{
								obj_t BgL_tailz00_4906;
								obj_t BgL_prevz00_4905;

								BgL_prevz00_4905 = BgL_newzd2prevzd2_3217;
								BgL_tailz00_4906 = CDR(BgL_tailz00_3211);
								BgL_tailz00_3211 = BgL_tailz00_4906;
								BgL_prevz00_3210 = BgL_prevz00_4905;
								goto BgL_loopz00_3209;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_1192);
			}
		}

	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		{	/* Eval/evaluate.scm 73 */
			{	/* Eval/evaluate.scm 74 */
				obj_t BgL_stringz00_1200;

				{	/* Eval/evaluate.scm 74 */
					obj_t BgL_arg2646z00_3225;

					BgL_arg2646z00_3225 = SYMBOL_TO_STRING(BgL_idz00_3);
					BgL_stringz00_1200 =
						BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2646z00_3225);
				}
				{	/* Eval/evaluate.scm 74 */
					long BgL_lenz00_1201;

					BgL_lenz00_1201 = STRING_LENGTH(BgL_stringz00_1200);
					{	/* Eval/evaluate.scm 75 */

						{
							long BgL_walkerz00_1203;

							BgL_walkerz00_1203 = 0L;
						BgL_zc3z04anonymousza31338ze3z87_1204:
							if ((BgL_walkerz00_1203 == BgL_lenz00_1201))
								{	/* Eval/evaluate.scm 78 */
									return MAKE_YOUNG_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 80 */
									bool_t BgL_test3100z00_4915;

									if (
										(STRING_REF(BgL_stringz00_1200,
												BgL_walkerz00_1203) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 80 */
											if ((BgL_walkerz00_1203 < (BgL_lenz00_1201 - 1L)))
												{	/* Eval/evaluate.scm 81 */
													BgL_test3100z00_4915 =
														(STRING_REF(BgL_stringz00_1200,
															(BgL_walkerz00_1203 + 1L)) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 81 */
													BgL_test3100z00_4915 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 80 */
											BgL_test3100z00_4915 = ((bool_t) 0);
										}
									if (BgL_test3100z00_4915)
										{	/* Eval/evaluate.scm 83 */
											obj_t BgL_arg1352z00_1215;
											obj_t BgL_arg1353z00_1216;

											BgL_arg1352z00_1215 =
												bstring_to_symbol(c_substring(BgL_stringz00_1200, 0L,
													BgL_walkerz00_1203));
											{	/* Eval/evaluate.scm 84 */
												obj_t BgL_arg1355z00_1218;

												{	/* Eval/evaluate.scm 84 */
													long BgL_arg1356z00_1219;

													BgL_arg1356z00_1219 = (BgL_walkerz00_1203 + 2L);
													{	/* Ieee/string.scm 190 */
														long BgL_endz00_1222;

														BgL_endz00_1222 = STRING_LENGTH(BgL_stringz00_1200);
														{	/* Ieee/string.scm 190 */

															BgL_arg1355z00_1218 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_1200, BgL_arg1356z00_1219,
																BgL_endz00_1222);
												}}}
												BgL_arg1353z00_1216 =
													bstring_to_symbol(BgL_arg1355z00_1218);
											}
											return
												MAKE_YOUNG_PAIR(BgL_arg1352z00_1215,
												BgL_arg1353z00_1216);
										}
									else
										{
											long BgL_walkerz00_4932;

											BgL_walkerz00_4932 = (BgL_walkerz00_1203 + 1L);
											BgL_walkerz00_1203 = BgL_walkerz00_4932;
											goto BgL_zc3z04anonymousza31338ze3z87_1204;
										}
								}
						}
					}
				}
			}
		}

	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 91 */
			{	/* Eval/evaluate.scm 92 */
				obj_t BgL_sz00_1231;

				BgL_sz00_1231 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 93 */
					obj_t BgL_bpz00_1232;

					BgL_bpz00_1232 = VECTOR_REF(((obj_t) BgL_sz00_1231), 0L);
					{	/* Eval/evaluate.scm 94 */
						obj_t BgL_rz00_1233;

						BgL_rz00_1233 =
							make_vector(
							(long) CINT(BgL_bpz00_1232), BGl_string2895z00zz__evaluatez00);
						{
							long BgL_iz00_3257;

							BgL_iz00_3257 = 0L;
						BgL_recz00_3256:
							if ((BgL_iz00_3257 < (long) CINT(BgL_bpz00_1232)))
								{	/* Eval/evaluate.scm 96 */
									{	/* Eval/evaluate.scm 97 */
										obj_t BgL_arg1365z00_3261;

										BgL_arg1365z00_3261 =
											VECTOR_REF(((obj_t) BgL_sz00_1231), BgL_iz00_3257);
										VECTOR_SET(BgL_rz00_1233, BgL_iz00_3257,
											BgL_arg1365z00_3261);
									}
									{
										long BgL_iz00_4945;

										BgL_iz00_4945 = (BgL_iz00_3257 + 1L);
										BgL_iz00_3257 = BgL_iz00_4945;
										goto BgL_recz00_3256;
									}
								}
							else
								{	/* Eval/evaluate.scm 96 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_1233;
					}
				}
			}
		}

	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4792)
	{
		{	/* Eval/evaluate.scm 91 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}

	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		{	/* Eval/evaluate.scm 104 */
			{	/* Eval/evaluate.scm 105 */
				obj_t BgL_sz00_1241;

				BgL_sz00_1241 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 106 */
					obj_t BgL_bpz00_1242;

					BgL_bpz00_1242 = VECTOR_REF(((obj_t) BgL_vz00_4), 0L);
					{
						long BgL_iz00_3277;

						{	/* Eval/evaluate.scm 107 */
							bool_t BgL_tmpz00_4951;

							BgL_iz00_3277 = 0L;
						BgL_recz00_3276:
							if ((BgL_iz00_3277 < (long) CINT(BgL_bpz00_1242)))
								{	/* Eval/evaluate.scm 108 */
									{	/* Eval/evaluate.scm 109 */
										obj_t BgL_arg1369z00_3281;

										BgL_arg1369z00_3281 =
											VECTOR_REF(((obj_t) BgL_vz00_4), BgL_iz00_3277);
										VECTOR_SET(
											((obj_t) BgL_sz00_1241), BgL_iz00_3277,
											BgL_arg1369z00_3281);
									}
									{
										long BgL_iz00_4959;

										BgL_iz00_4959 = (BgL_iz00_3277 + 1L);
										BgL_iz00_3277 = BgL_iz00_4959;
										goto BgL_recz00_3276;
									}
								}
							else
								{	/* Eval/evaluate.scm 108 */
									BgL_tmpz00_4951 = ((bool_t) 0);
								}
							return BBOOL(BgL_tmpz00_4951);
						}
					}
				}
			}
		}

	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4793, obj_t BgL_vz00_4794)
	{
		{	/* Eval/evaluate.scm 104 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4794);
		}

	}



/* evaluate2-restore-bp! */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(int
		BgL_bpz00_5)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				obj_t BgL_sz00_3288;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4963;

					BgL_tmpz00_4963 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_3288 = BGL_ENV_EVSTATE(BgL_tmpz00_4963);
				}
				return VECTOR_SET(((obj_t) BgL_sz00_3288), 0L, BINT(BgL_bpz00_5));
			}
		}

	}



/* &evaluate2-restore-bp! */
	obj_t BGl_z62evaluate2zd2restorezd2bpz12z70zz__evaluatez00(obj_t
		BgL_envz00_4795, obj_t BgL_bpz00_4796)
	{
		{	/* Eval/evaluate.scm 115 */
			{	/* Eval/evaluate.scm 116 */
				int BgL_auxz00_4969;

				{	/* Eval/evaluate.scm 116 */
					obj_t BgL_tmpz00_4970;

					if (INTEGERP(BgL_bpz00_4796))
						{	/* Eval/evaluate.scm 116 */
							BgL_tmpz00_4970 = BgL_bpz00_4796;
						}
					else
						{
							obj_t BgL_auxz00_4973;

							BgL_auxz00_4973 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2896z00zz__evaluatez00, BINT(3890L),
								BGl_string2897z00zz__evaluatez00,
								BGl_string2898z00zz__evaluatez00, BgL_bpz00_4796);
							FAILURE(BgL_auxz00_4973, BFALSE, BFALSE);
						}
					BgL_auxz00_4969 = CINT(BgL_tmpz00_4970);
				}
				return
					BGl_evaluate2zd2restorezd2bpz12z12zz__evaluatez00(BgL_auxz00_4969);
			}
		}

	}



/* evaluate2-restore-state! */
	BGL_EXPORTED_DEF obj_t
		BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(obj_t BgL_statez00_6)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 124 */
				obj_t BgL_tmpz00_4979;

				BgL_tmpz00_4979 = BGL_CURRENT_DYNAMIC_ENV();
				return BGL_ENV_EVSTATE_SET(BgL_tmpz00_4979, BgL_statez00_6);
			}
		}

	}



/* &evaluate2-restore-state! */
	obj_t BGl_z62evaluate2zd2restorezd2statez12z70zz__evaluatez00(obj_t
		BgL_envz00_4797, obj_t BgL_statez00_4798)
	{
		{	/* Eval/evaluate.scm 122 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_auxz00_4982;

				if (VECTORP(BgL_statez00_4798))
					{	/* Eval/evaluate.scm 123 */
						BgL_auxz00_4982 = BgL_statez00_4798;
					}
				else
					{
						obj_t BgL_auxz00_4985;

						BgL_auxz00_4985 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2896z00zz__evaluatez00,
							BINT(4240L), BGl_string2899z00zz__evaluatez00,
							BGl_string2900z00zz__evaluatez00, BgL_statez00_4798);
						FAILURE(BgL_auxz00_4985, BFALSE, BFALSE);
					}
				return
					BGl_evaluate2zd2restorezd2statez12z12zz__evaluatez00(BgL_auxz00_4982);
			}
		}

	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_7,
		obj_t BgL_envz00_8, obj_t BgL_locz00_9)
	{
		{	/* Eval/evaluate.scm 129 */
			{	/* Eval/evaluate.scm 130 */
				BgL_ev_exprz00_bglt BgL_astz00_1253;

				{	/* Eval/evaluate.scm 130 */
					obj_t BgL_arg1373z00_1263;

					BgL_arg1373z00_1263 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_7, BNIL, BgL_envz00_8,
						BFALSE, BGl_symbol2901z00zz__evaluatez00, BgL_locz00_9,
						((bool_t) 1));
					BgL_astz00_1253 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1373z00_1263));
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_1253);
				{	/* Eval/evaluate.scm 132 */
					int BgL_nz00_1254;

					BgL_nz00_1254 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_1253);
					{	/* Eval/evaluate.scm 133 */
						obj_t BgL_fz00_1255;

						BgL_fz00_1255 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_1253);
						{	/* Eval/evaluate.scm 134 */
							obj_t BgL_sz00_1256;

							BgL_sz00_1256 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 135 */
								obj_t BgL_bpz00_1257;

								BgL_bpz00_1257 = VECTOR_REF(((obj_t) BgL_sz00_1256), 0L);
								{	/* Eval/evaluate.scm 136 */
									obj_t BgL_exitd1065z00_1258;

									BgL_exitd1065z00_1258 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 138 */
										obj_t BgL_zc3z04anonymousza31372ze3z87_4799;

										BgL_zc3z04anonymousza31372ze3z87_4799 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31372ze3ze5zz__evaluatez00,
											(int) (0L), (int) (2L));
										PROCEDURE_SET(BgL_zc3z04anonymousza31372ze3z87_4799,
											(int) (0L), BgL_sz00_1256);
										PROCEDURE_SET(BgL_zc3z04anonymousza31372ze3z87_4799,
											(int) (1L), BgL_bpz00_1257);
										{	/* Eval/evaluate.scm 136 */
											obj_t BgL_arg2873z00_3294;

											{	/* Eval/evaluate.scm 136 */
												obj_t BgL_arg2874z00_3295;

												BgL_arg2874z00_3295 =
													BGL_EXITD_PROTECT(BgL_exitd1065z00_1258);
												BgL_arg2873z00_3294 =
													MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31372ze3z87_4799,
													BgL_arg2874z00_3295);
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1258,
												BgL_arg2873z00_3294);
											BUNSPEC;
										}
										{	/* Eval/evaluate.scm 137 */
											obj_t BgL_tmp1067z00_1260;

											BgL_tmp1067z00_1260 =
												(VA_PROCEDUREP(BgL_fz00_1255) ? ((obj_t(*)(obj_t,
															...))
													PROCEDURE_ENTRY(BgL_fz00_1255)) (BgL_fz00_1255,
													BgL_sz00_1256, BEOA) : ((obj_t(*)(obj_t,
															obj_t))
													PROCEDURE_ENTRY(BgL_fz00_1255)) (BgL_fz00_1255,
													BgL_sz00_1256));
											{	/* Eval/evaluate.scm 136 */
												bool_t BgL_test3107z00_5014;

												{	/* Eval/evaluate.scm 136 */
													obj_t BgL_arg2872z00_3297;

													BgL_arg2872z00_3297 =
														BGL_EXITD_PROTECT(BgL_exitd1065z00_1258);
													BgL_test3107z00_5014 = PAIRP(BgL_arg2872z00_3297);
												}
												if (BgL_test3107z00_5014)
													{	/* Eval/evaluate.scm 136 */
														obj_t BgL_arg2870z00_3298;

														{	/* Eval/evaluate.scm 136 */
															obj_t BgL_arg2871z00_3299;

															BgL_arg2871z00_3299 =
																BGL_EXITD_PROTECT(BgL_exitd1065z00_1258);
															BgL_arg2870z00_3298 =
																CDR(((obj_t) BgL_arg2871z00_3299));
														}
														BGL_EXITD_PROTECT_SET(BgL_exitd1065z00_1258,
															BgL_arg2870z00_3298);
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate.scm 136 */
														BFALSE;
													}
											}
											VECTOR_SET(((obj_t) BgL_sz00_1256), 0L, BgL_bpz00_1257);
											return BgL_tmp1067z00_1260;
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4800,
		obj_t BgL_sexpz00_4801, obj_t BgL_envz00_4802, obj_t BgL_locz00_4803)
	{
		{	/* Eval/evaluate.scm 129 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4801, BgL_envz00_4802,
				BgL_locz00_4803);
		}

	}



/* &<@anonymous:1372> */
	obj_t BGl_z62zc3z04anonymousza31372ze3ze5zz__evaluatez00(obj_t
		BgL_envz00_4804)
	{
		{	/* Eval/evaluate.scm 136 */
			{	/* Eval/evaluate.scm 138 */
				obj_t BgL_sz00_4805;
				obj_t BgL_bpz00_4806;

				BgL_sz00_4805 = PROCEDURE_REF(BgL_envz00_4804, (int) (0L));
				BgL_bpz00_4806 = PROCEDURE_REF(BgL_envz00_4804, (int) (1L));
				return VECTOR_SET(((obj_t) BgL_sz00_4805), 0L, BgL_bpz00_4806);
			}
		}

	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_10,
		obj_t BgL_locz00_11)
	{
		{	/* Eval/evaluate.scm 143 */
			{	/* Eval/evaluate.scm 144 */
				obj_t BgL__ortest_1069z00_3302;

				BgL__ortest_1069z00_3302 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_10);
				if (CBOOL(BgL__ortest_1069z00_3302))
					{	/* Eval/evaluate.scm 144 */
						return BgL__ortest_1069z00_3302;
					}
				else
					{	/* Eval/evaluate.scm 144 */
						return BgL_locz00_11;
					}
			}
		}

	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_18,
		obj_t BgL_localsz00_19)
	{
		{	/* Eval/evaluate.scm 163 */
			{
				obj_t BgL_lz00_1268;

				BgL_lz00_1268 = BgL_localsz00_19;
			BgL_zc3z04anonymousza31374ze3z87_1269:
				if (NULLP(BgL_lz00_1268))
					{	/* Eval/evaluate.scm 165 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 167 */
						obj_t BgL_rvz00_1271;

						BgL_rvz00_1271 = CAR(((obj_t) BgL_lz00_1268));
						if (
							(BgL_vz00_18 ==
								(((BgL_ev_varz00_bglt) COBJECT(
											((BgL_ev_varz00_bglt) BgL_rvz00_1271)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 169 */
								return BgL_rvz00_1271;
							}
						else
							{
								obj_t BgL_lz00_5041;

								BgL_lz00_5041 = CDR(((obj_t) BgL_lz00_1268));
								BgL_lz00_1268 = BgL_lz00_5041;
								goto BgL_zc3z04anonymousza31374ze3z87_1269;
							}
					}
			}
		}

	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_20,
		obj_t BgL_localsz00_21, obj_t BgL_globalsz00_22, obj_t BgL_tailzf3zf3_23,
		obj_t BgL_wherez00_24, obj_t BgL_locz00_25, bool_t BgL_topzf3zf3_26)
	{
		{	/* Eval/evaluate.scm 176 */
			{	/* Eval/evaluate.scm 177 */
				obj_t BgL_locz00_1278;

				{	/* Eval/evaluate.scm 144 */
					obj_t BgL__ortest_1069z00_3307;

					BgL__ortest_1069z00_3307 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_20);
					if (CBOOL(BgL__ortest_1069z00_3307))
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1278 = BgL__ortest_1069z00_3307;
						}
					else
						{	/* Eval/evaluate.scm 144 */
							BgL_locz00_1278 = BgL_locz00_25;
						}
				}
				{
					obj_t BgL_e1z00_1282;
					obj_t BgL_rz00_1283;

					if (NULLP(BgL_lz00_20))
						{
							BgL_ev_littz00_bglt BgL_auxz00_5049;

							{	/* Eval/evaluate.scm 180 */
								BgL_ev_littz00_bglt BgL_new1074z00_1295;

								{	/* Eval/evaluate.scm 181 */
									BgL_ev_littz00_bglt BgL_new1073z00_1296;

									BgL_new1073z00_1296 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 181 */
										long BgL_arg1391z00_1297;

										BgL_arg1391z00_1297 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1073z00_1296),
											BgL_arg1391z00_1297);
									}
									BgL_new1074z00_1295 = BgL_new1073z00_1296;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1074z00_1295))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_5049 = BgL_new1074z00_1295;
							}
							return ((obj_t) BgL_auxz00_5049);
						}
					else
						{	/* Eval/evaluate.scm 178 */
							if (PAIRP(BgL_lz00_20))
								{	/* Eval/evaluate.scm 178 */
									if (NULLP(CDR(((obj_t) BgL_lz00_20))))
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1387z00_1291;

											BgL_arg1387z00_1291 = CAR(((obj_t) BgL_lz00_20));
											{	/* Eval/evaluate.scm 183 */
												obj_t BgL_arg1392z00_3319;

												{	/* Eval/evaluate.scm 144 */
													obj_t BgL__ortest_1069z00_3320;

													BgL__ortest_1069z00_3320 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1387z00_1291);
													if (CBOOL(BgL__ortest_1069z00_3320))
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3319 = BgL__ortest_1069z00_3320;
														}
													else
														{	/* Eval/evaluate.scm 144 */
															BgL_arg1392z00_3319 = BgL_locz00_1278;
														}
												}
												BGL_TAIL return
													BGl_convz00zz__evaluatez00(BgL_arg1387z00_1291,
													BgL_localsz00_21, BgL_globalsz00_22,
													BgL_tailzf3zf3_23, BgL_wherez00_24,
													BgL_arg1392z00_3319, BgL_topzf3zf3_26);
											}
										}
									else
										{	/* Eval/evaluate.scm 178 */
											obj_t BgL_arg1388z00_1292;
											obj_t BgL_arg1389z00_1293;

											BgL_arg1388z00_1292 = CAR(((obj_t) BgL_lz00_20));
											BgL_arg1389z00_1293 = CDR(((obj_t) BgL_lz00_20));
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_5072;

												BgL_e1z00_1282 = BgL_arg1388z00_1292;
												BgL_rz00_1283 = BgL_arg1389z00_1293;
												{	/* Eval/evaluate.scm 185 */
													BgL_ev_prog2z00_bglt BgL_new1076z00_1299;

													{	/* Eval/evaluate.scm 186 */
														BgL_ev_prog2z00_bglt BgL_new1075z00_1301;

														BgL_new1075z00_1301 =
															((BgL_ev_prog2z00_bglt)
															BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 186 */
															long BgL_arg1395z00_1302;

															BgL_arg1395z00_1302 =
																BGL_CLASS_NUM
																(BGl_ev_prog2z00zz__evaluate_typesz00);
															BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																	BgL_new1075z00_1301), BgL_arg1395z00_1302);
														}
														BgL_new1076z00_1299 = BgL_new1075z00_1301;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_5077;

														{	/* Eval/evaluate.scm 186 */
															obj_t BgL_arg1394z00_1300;

															{	/* Eval/evaluate.scm 144 */
																obj_t BgL__ortest_1069z00_3316;

																BgL__ortest_1069z00_3316 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_1282);
																if (CBOOL(BgL__ortest_1069z00_3316))
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1394z00_1300 =
																			BgL__ortest_1069z00_3316;
																	}
																else
																	{	/* Eval/evaluate.scm 144 */
																		BgL_arg1394z00_1300 = BgL_locz00_1278;
																	}
															}
															BgL_auxz00_5077 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_1282,
																	BgL_localsz00_21, BgL_globalsz00_22, BFALSE,
																	BgL_wherez00_24, BgL_arg1394z00_1300,
																	BgL_topzf3zf3_26));
														}
														((((BgL_ev_prog2z00_bglt)
																	COBJECT(BgL_new1076z00_1299))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_5077), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt)
																COBJECT(BgL_new1076z00_1299))->BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00
																(BgL_rz00_1283, BgL_localsz00_21,
																	BgL_globalsz00_22, BgL_tailzf3zf3_23,
																	BgL_wherez00_24, BgL_locz00_1278,
																	BgL_topzf3zf3_26))), BUNSPEC);
													BgL_auxz00_5072 = BgL_new1076z00_1299;
												}
												return ((obj_t) BgL_auxz00_5072);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 178 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_1278,
										BGl_string2903z00zz__evaluatez00,
										BGl_string2904z00zz__evaluatez00, BgL_lz00_20);
								}
						}
				}
			}
		}

	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_30,
		obj_t BgL_localsz00_31, obj_t BgL_globalsz00_32, obj_t BgL_tailzf3zf3_33,
		obj_t BgL_wherez00_34, obj_t BgL_locz00_35, bool_t BgL_topzf3zf3_36)
	{
		{	/* Eval/evaluate.scm 203 */
			{	/* Eval/evaluate.scm 204 */
				obj_t BgL_lz00_1307;

				BgL_lz00_1307 = CDR(((obj_t) BgL_ez00_30));
				{	/* Eval/evaluate.scm 204 */
					obj_t BgL_vz00_1308;

					BgL_vz00_1308 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(
							((obj_t) BgL_lz00_1307)), BgL_localsz00_31);
					{	/* Eval/evaluate.scm 205 */

						{	/* Eval/evaluate.scm 206 */
							bool_t BgL_test3117z00_5094;

							{	/* Eval/evaluate.scm 206 */
								obj_t BgL_classz00_3332;

								BgL_classz00_3332 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1308))
									{	/* Eval/evaluate.scm 206 */
										BgL_objectz00_bglt BgL_arg2855z00_3334;

										BgL_arg2855z00_3334 = (BgL_objectz00_bglt) (BgL_vz00_1308);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 206 */
												long BgL_idxz00_3340;

												BgL_idxz00_3340 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2855z00_3334);
												BgL_test3117z00_5094 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3340 + 2L)) == BgL_classz00_3332);
											}
										else
											{	/* Eval/evaluate.scm 206 */
												bool_t BgL_res2875z00_3362;

												{	/* Eval/evaluate.scm 206 */
													obj_t BgL_oclassz00_3348;

													{	/* Eval/evaluate.scm 206 */
														long BgL_arg2862z00_3354;

														{	/* Eval/evaluate.scm 206 */
															long BgL_arg2863z00_3355;

															BgL_arg2863z00_3355 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2855z00_3334);
															BgL_arg2862z00_3354 =
																(BgL_arg2863z00_3355 - OBJECT_TYPE);
														}
														BgL_oclassz00_3348 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2862z00_3354);
													}
													{	/* Eval/evaluate.scm 206 */
														bool_t BgL__ortest_1203z00_3349;

														BgL__ortest_1203z00_3349 =
															(BgL_classz00_3332 == BgL_oclassz00_3348);
														if (BgL__ortest_1203z00_3349)
															{	/* Eval/evaluate.scm 206 */
																BgL_res2875z00_3362 = BgL__ortest_1203z00_3349;
															}
														else
															{	/* Eval/evaluate.scm 206 */
																long BgL_odepthz00_3350;

																BgL_odepthz00_3350 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3348);
																if ((2L < BgL_odepthz00_3350))
																	{	/* Eval/evaluate.scm 206 */
																		obj_t BgL_arg2852z00_3352;

																		BgL_arg2852z00_3352 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3348, 2L);
																		BgL_res2875z00_3362 =
																			(BgL_arg2852z00_3352 ==
																			BgL_classz00_3332);
																	}
																else
																	{	/* Eval/evaluate.scm 206 */
																		BgL_res2875z00_3362 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3117z00_5094 = BgL_res2875z00_3362;
											}
									}
								else
									{	/* Eval/evaluate.scm 206 */
										BgL_test3117z00_5094 = ((bool_t) 0);
									}
							}
							if (BgL_test3117z00_5094)
								{	/* Eval/evaluate.scm 208 */
									obj_t BgL_g1080z00_1311;
									obj_t BgL_g1081z00_1312;

									{	/* Eval/evaluate.scm 209 */
										obj_t BgL_arg1414z00_1335;

										BgL_arg1414z00_1335 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1308)))->BgL_typez00);
										BgL_g1080z00_1311 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1414z00_1335);
									}
									BgL_g1081z00_1312 = CDR(((obj_t) BgL_lz00_1307));
									{
										obj_t BgL_nodez00_1314;
										obj_t BgL_klassz00_1315;
										obj_t BgL_fieldsz00_1316;

										BgL_nodez00_1314 = BgL_vz00_1308;
										BgL_klassz00_1315 = BgL_g1080z00_1311;
										BgL_fieldsz00_1316 = BgL_g1081z00_1312;
									BgL_zc3z04anonymousza31399ze3z87_1317:
										if (NULLP(BgL_fieldsz00_1316))
											{	/* Eval/evaluate.scm 212 */
												return BgL_nodez00_1314;
											}
										else
											{	/* Eval/evaluate.scm 212 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1315))
													{	/* Eval/evaluate.scm 215 */
														obj_t BgL_fieldz00_1320;

														{	/* Eval/evaluate.scm 215 */
															obj_t BgL_arg1412z00_1331;

															BgL_arg1412z00_1331 =
																CAR(((obj_t) BgL_fieldsz00_1316));
															BgL_fieldz00_1320 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1315, BgL_arg1412z00_1331);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1320))
															{	/* Eval/evaluate.scm 217 */
																BgL_ev_appz00_bglt BgL_nodez00_1322;

																{	/* Eval/evaluate.scm 271 */
																	obj_t BgL_getz00_3365;

																	BgL_getz00_3365 =
																		BGl_classzd2fieldzd2accessorz00zz__objectz00
																		(BgL_fieldz00_1320);
																	{	/* Eval/evaluate.scm 272 */
																		BgL_ev_appz00_bglt BgL_new1088z00_3366;

																		{	/* Eval/evaluate.scm 273 */
																			BgL_ev_appz00_bglt BgL_new1087z00_3367;

																			BgL_new1087z00_3367 =
																				((BgL_ev_appz00_bglt)
																				BOBJECT(GC_MALLOC(sizeof(struct
																							BgL_ev_appz00_bgl))));
																			{	/* Eval/evaluate.scm 273 */
																				long BgL_arg1447z00_3368;

																				BgL_arg1447z00_3368 =
																					BGL_CLASS_NUM
																					(BGl_ev_appz00zz__evaluate_typesz00);
																				BGL_OBJECT_CLASS_NUM_SET((
																						(BgL_objectz00_bglt)
																						BgL_new1087z00_3367),
																					BgL_arg1447z00_3368);
																			}
																			BgL_new1088z00_3366 = BgL_new1087z00_3367;
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3366))->
																				BgL_locz00) =
																			((obj_t) BgL_locz00_35), BUNSPEC);
																		{
																			BgL_ev_exprz00_bglt BgL_auxz00_5134;

																			{	/* Eval/evaluate.scm 274 */
																				BgL_ev_littz00_bglt BgL_new1090z00_3369;

																				{	/* Eval/evaluate.scm 274 */
																					BgL_ev_littz00_bglt
																						BgL_new1089z00_3370;
																					BgL_new1089z00_3370 =
																						((BgL_ev_littz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_littz00_bgl))));
																					{	/* Eval/evaluate.scm 274 */
																						long BgL_arg1445z00_3371;

																						{	/* Eval/evaluate.scm 274 */
																							obj_t BgL_classz00_3376;

																							BgL_classz00_3376 =
																								BGl_ev_littz00zz__evaluate_typesz00;
																							BgL_arg1445z00_3371 =
																								BGL_CLASS_NUM
																								(BgL_classz00_3376);
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1089z00_3370),
																							BgL_arg1445z00_3371);
																					}
																					BgL_new1090z00_3369 =
																						BgL_new1089z00_3370;
																				}
																				((((BgL_ev_littz00_bglt)
																							COBJECT(BgL_new1090z00_3369))->
																						BgL_valuez00) =
																					((obj_t) BgL_getz00_3365), BUNSPEC);
																				BgL_auxz00_5134 =
																					((BgL_ev_exprz00_bglt)
																					BgL_new1090z00_3369);
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3366))->
																					BgL_funz00) =
																				((BgL_ev_exprz00_bglt) BgL_auxz00_5134),
																				BUNSPEC);
																		}
																		{
																			obj_t BgL_auxz00_5142;

																			{	/* Eval/evaluate.scm 275 */
																				obj_t BgL_list1446z00_3372;

																				BgL_list1446z00_3372 =
																					MAKE_YOUNG_PAIR(BgL_nodez00_1314,
																					BNIL);
																				BgL_auxz00_5142 = BgL_list1446z00_3372;
																			}
																			((((BgL_ev_appz00_bglt)
																						COBJECT(BgL_new1088z00_3366))->
																					BgL_argsz00) =
																				((obj_t) BgL_auxz00_5142), BUNSPEC);
																		}
																		((((BgL_ev_appz00_bglt)
																					COBJECT(BgL_new1088z00_3366))->
																				BgL_tailzf3zf3) =
																			((obj_t) BgL_tailzf3zf3_33), BUNSPEC);
																		BgL_nodez00_1322 = BgL_new1088z00_3366;
																}}
																{	/* Eval/evaluate.scm 220 */
																	obj_t BgL_arg1403z00_1323;
																	obj_t BgL_arg1405z00_1324;

																	BgL_arg1403z00_1323 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_1320);
																	BgL_arg1405z00_1324 =
																		CDR(((obj_t) BgL_fieldsz00_1316));
																	{
																		obj_t BgL_fieldsz00_5152;
																		obj_t BgL_klassz00_5151;
																		obj_t BgL_nodez00_5149;

																		BgL_nodez00_5149 =
																			((obj_t) BgL_nodez00_1322);
																		BgL_klassz00_5151 = BgL_arg1403z00_1323;
																		BgL_fieldsz00_5152 = BgL_arg1405z00_1324;
																		BgL_fieldsz00_1316 = BgL_fieldsz00_5152;
																		BgL_klassz00_1315 = BgL_klassz00_5151;
																		BgL_nodez00_1314 = BgL_nodez00_5149;
																		goto BgL_zc3z04anonymousza31399ze3z87_1317;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 222 */
																obj_t BgL_arg1406z00_1325;
																obj_t BgL_arg1407z00_1326;

																BgL_arg1406z00_1325 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1308)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 223 */
																	obj_t BgL_arg1408z00_1327;
																	obj_t BgL_arg1409z00_1328;

																	BgL_arg1408z00_1327 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1308)))->
																		BgL_typez00);
																	BgL_arg1409z00_1328 =
																		CAR(((obj_t) BgL_fieldsz00_1316));
																	{	/* Eval/evaluate.scm 223 */
																		obj_t BgL_list1410z00_1329;

																		{	/* Eval/evaluate.scm 223 */
																			obj_t BgL_arg1411z00_1330;

																			BgL_arg1411z00_1330 =
																				MAKE_YOUNG_PAIR(BgL_arg1409z00_1328,
																				BNIL);
																			BgL_list1410z00_1329 =
																				MAKE_YOUNG_PAIR(BgL_arg1408z00_1327,
																				BgL_arg1411z00_1330);
																		}
																		BgL_arg1407z00_1326 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2905z00zz__evaluatez00,
																			BgL_list1410z00_1329);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_35, BgL_arg1406z00_1325,
																	BgL_arg1407z00_1326, BgL_ez00_30);
															}
													}
												else
													{	/* Eval/evaluate.scm 226 */
														obj_t BgL_arg1413z00_1332;

														{	/* Eval/evaluate.scm 226 */
															obj_t BgL__ortest_1082z00_1333;

															BgL__ortest_1082z00_1333 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1308)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1082z00_1333))
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1413z00_1332 =
																		BgL__ortest_1082z00_1333;
																}
															else
																{	/* Eval/evaluate.scm 226 */
																	BgL_arg1413z00_1332 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1308)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_35, BgL_arg1413z00_1332,
															BGl_string2906z00zz__evaluatez00, BgL_ez00_30);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 228 */
									obj_t BgL_arg1415z00_1336;

									{	/* Eval/evaluate.scm 228 */
										obj_t BgL_pairz00_3385;

										BgL_pairz00_3385 = CDR(((obj_t) BgL_ez00_30));
										BgL_arg1415z00_1336 = CAR(BgL_pairz00_3385);
									}
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_35,
										BgL_arg1415z00_1336, BGl_string2907z00zz__evaluatez00,
										BgL_ez00_30);
								}
						}
					}
				}
			}
		}

	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_37,
		obj_t BgL_e2z00_38, obj_t BgL_ez00_39, obj_t BgL_localsz00_40,
		obj_t BgL_globalsz00_41, obj_t BgL_tailzf3zf3_42, obj_t BgL_wherez00_43,
		obj_t BgL_locz00_44, bool_t BgL_topzf3zf3_45)
	{
		{	/* Eval/evaluate.scm 233 */
			{	/* Eval/evaluate.scm 234 */
				obj_t BgL_vz00_1338;

				BgL_vz00_1338 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_37), BgL_localsz00_40);
				{	/* Eval/evaluate.scm 234 */
					obj_t BgL_e2z00_1339;

					BgL_e2z00_1339 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_38, BgL_localsz00_40,
						BgL_globalsz00_41, BFALSE, BgL_wherez00_43, BgL_locz00_44,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 235 */

						{	/* Eval/evaluate.scm 236 */
							bool_t BgL_test3126z00_5177;

							{	/* Eval/evaluate.scm 236 */
								obj_t BgL_classz00_3387;

								BgL_classz00_3387 = BGl_ev_varz00zz__evaluate_typesz00;
								if (BGL_OBJECTP(BgL_vz00_1338))
									{	/* Eval/evaluate.scm 236 */
										BgL_objectz00_bglt BgL_arg2855z00_3389;

										BgL_arg2855z00_3389 = (BgL_objectz00_bglt) (BgL_vz00_1338);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Eval/evaluate.scm 236 */
												long BgL_idxz00_3395;

												BgL_idxz00_3395 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg2855z00_3389);
												BgL_test3126z00_5177 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3395 + 2L)) == BgL_classz00_3387);
											}
										else
											{	/* Eval/evaluate.scm 236 */
												bool_t BgL_res2877z00_3417;

												{	/* Eval/evaluate.scm 236 */
													obj_t BgL_oclassz00_3403;

													{	/* Eval/evaluate.scm 236 */
														long BgL_arg2862z00_3409;

														{	/* Eval/evaluate.scm 236 */
															long BgL_arg2863z00_3410;

															BgL_arg2863z00_3410 =
																BGL_OBJECT_CLASS_NUM(BgL_arg2855z00_3389);
															BgL_arg2862z00_3409 =
																(BgL_arg2863z00_3410 - OBJECT_TYPE);
														}
														BgL_oclassz00_3403 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg2862z00_3409);
													}
													{	/* Eval/evaluate.scm 236 */
														bool_t BgL__ortest_1203z00_3404;

														BgL__ortest_1203z00_3404 =
															(BgL_classz00_3387 == BgL_oclassz00_3403);
														if (BgL__ortest_1203z00_3404)
															{	/* Eval/evaluate.scm 236 */
																BgL_res2877z00_3417 = BgL__ortest_1203z00_3404;
															}
														else
															{	/* Eval/evaluate.scm 236 */
																long BgL_odepthz00_3405;

																BgL_odepthz00_3405 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3403);
																if ((2L < BgL_odepthz00_3405))
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_arg2852z00_3407;

																		BgL_arg2852z00_3407 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3403, 2L);
																		BgL_res2877z00_3417 =
																			(BgL_arg2852z00_3407 ==
																			BgL_classz00_3387);
																	}
																else
																	{	/* Eval/evaluate.scm 236 */
																		BgL_res2877z00_3417 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test3126z00_5177 = BgL_res2877z00_3417;
											}
									}
								else
									{	/* Eval/evaluate.scm 236 */
										BgL_test3126z00_5177 = ((bool_t) 0);
									}
							}
							if (BgL_test3126z00_5177)
								{	/* Eval/evaluate.scm 238 */
									obj_t BgL_g1084z00_1342;
									obj_t BgL_g1085z00_1343;

									{	/* Eval/evaluate.scm 239 */
										obj_t BgL_arg1442z00_1374;

										BgL_arg1442z00_1374 =
											(((BgL_ev_varz00_bglt) COBJECT(
													((BgL_ev_varz00_bglt) BgL_vz00_1338)))->BgL_typez00);
										BgL_g1084z00_1342 =
											BGl_classzd2existszd2zz__objectz00(BgL_arg1442z00_1374);
									}
									BgL_g1085z00_1343 = CDR(BgL_lz00_37);
									{
										obj_t BgL_nodez00_1345;
										obj_t BgL_klassz00_1346;
										obj_t BgL_fieldsz00_1347;

										BgL_nodez00_1345 = BgL_vz00_1338;
										BgL_klassz00_1346 = BgL_g1084z00_1342;
										BgL_fieldsz00_1347 = BgL_g1085z00_1343;
									BgL_zc3z04anonymousza31418ze3z87_1348:
										if (NULLP(BgL_fieldsz00_1347))
											{	/* Eval/evaluate.scm 242 */
												return BgL_nodez00_1345;
											}
										else
											{	/* Eval/evaluate.scm 242 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_1346))
													{	/* Eval/evaluate.scm 245 */
														obj_t BgL_fieldz00_1351;

														{	/* Eval/evaluate.scm 245 */
															obj_t BgL_arg1440z00_1370;

															BgL_arg1440z00_1370 =
																CAR(((obj_t) BgL_fieldsz00_1347));
															BgL_fieldz00_1351 =
																BGl_findzd2classzd2fieldz00zz__objectz00
																(BgL_klassz00_1346, BgL_arg1440z00_1370);
														}
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_1351))
															{	/* Eval/evaluate.scm 246 */
																if (NULLP(CDR(((obj_t) BgL_fieldsz00_1347))))
																	{	/* Eval/evaluate.scm 247 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_1351))
																			{	/* Eval/evaluate.scm 250 */
																				obj_t BgL_arg1425z00_1356;

																				{	/* Eval/evaluate.scm 250 */
																					obj_t BgL_list1426z00_1357;

																					{	/* Eval/evaluate.scm 250 */
																						obj_t BgL_arg1427z00_1358;

																						BgL_arg1427z00_1358 =
																							MAKE_YOUNG_PAIR(BgL_e2z00_1339,
																							BNIL);
																						BgL_list1426z00_1357 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1345,
																							BgL_arg1427z00_1358);
																					}
																					BgL_arg1425z00_1356 =
																						BgL_list1426z00_1357;
																				}
																				{	/* Eval/evaluate.scm 282 */
																					obj_t BgL_setz00_3422;

																					BgL_setz00_3422 =
																						BGl_classzd2fieldzd2mutatorz00zz__objectz00
																						(BgL_fieldz00_1351);
																					{	/* Eval/evaluate.scm 283 */
																						BgL_ev_appz00_bglt
																							BgL_new1092z00_3423;
																						{	/* Eval/evaluate.scm 284 */
																							BgL_ev_appz00_bglt
																								BgL_new1091z00_3424;
																							BgL_new1091z00_3424 =
																								((BgL_ev_appz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_appz00_bgl))));
																							{	/* Eval/evaluate.scm 284 */
																								long BgL_arg1449z00_3425;

																								BgL_arg1449z00_3425 =
																									BGL_CLASS_NUM
																									(BGl_ev_appz00zz__evaluate_typesz00);
																								BGL_OBJECT_CLASS_NUM_SET((
																										(BgL_objectz00_bglt)
																										BgL_new1091z00_3424),
																									BgL_arg1449z00_3425);
																							}
																							BgL_new1092z00_3423 =
																								BgL_new1091z00_3424;
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3423))->
																								BgL_locz00) =
																							((obj_t) BgL_locz00_44), BUNSPEC);
																						{
																							BgL_ev_exprz00_bglt
																								BgL_auxz00_5224;
																							{	/* Eval/evaluate.scm 285 */
																								BgL_ev_littz00_bglt
																									BgL_new1094z00_3426;
																								{	/* Eval/evaluate.scm 285 */
																									BgL_ev_littz00_bglt
																										BgL_new1093z00_3427;
																									BgL_new1093z00_3427 =
																										((BgL_ev_littz00_bglt)
																										BOBJECT(GC_MALLOC(sizeof
																												(struct
																													BgL_ev_littz00_bgl))));
																									{	/* Eval/evaluate.scm 285 */
																										long BgL_arg1448z00_3428;

																										{	/* Eval/evaluate.scm 285 */
																											obj_t BgL_classz00_3432;

																											BgL_classz00_3432 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											BgL_arg1448z00_3428 =
																												BGL_CLASS_NUM
																												(BgL_classz00_3432);
																										}
																										BGL_OBJECT_CLASS_NUM_SET(
																											((BgL_objectz00_bglt)
																												BgL_new1093z00_3427),
																											BgL_arg1448z00_3428);
																									}
																									BgL_new1094z00_3426 =
																										BgL_new1093z00_3427;
																								}
																								((((BgL_ev_littz00_bglt)
																											COBJECT
																											(BgL_new1094z00_3426))->
																										BgL_valuez00) =
																									((obj_t) BgL_setz00_3422),
																									BUNSPEC);
																								BgL_auxz00_5224 =
																									((BgL_ev_exprz00_bglt)
																									BgL_new1094z00_3426);
																							}
																							((((BgL_ev_appz00_bglt)
																										COBJECT
																										(BgL_new1092z00_3423))->
																									BgL_funz00) =
																								((BgL_ev_exprz00_bglt)
																									BgL_auxz00_5224), BUNSPEC);
																						}
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3423))->
																								BgL_argsz00) =
																							((obj_t) BgL_arg1425z00_1356),
																							BUNSPEC);
																						((((BgL_ev_appz00_bglt)
																									COBJECT
																									(BgL_new1092z00_3423))->
																								BgL_tailzf3zf3) =
																							((obj_t) BgL_tailzf3zf3_42),
																							BUNSPEC);
																						return ((obj_t)
																							BgL_new1092z00_3423);
																					}
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 251 */
																				obj_t BgL_arg1430z00_1359;

																				BgL_arg1430z00_1359 =
																					CAR(((obj_t) BgL_fieldsz00_1347));
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_44, BgL_arg1430z00_1359,
																					BGl_string2908z00zz__evaluatez00,
																					BgL_ez00_39);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 254 */
																		BgL_ev_appz00_bglt BgL_nodez00_1360;

																		{	/* Eval/evaluate.scm 271 */
																			obj_t BgL_getz00_3436;

																			BgL_getz00_3436 =
																				BGl_classzd2fieldzd2accessorz00zz__objectz00
																				(BgL_fieldz00_1351);
																			{	/* Eval/evaluate.scm 272 */
																				BgL_ev_appz00_bglt BgL_new1088z00_3437;

																				{	/* Eval/evaluate.scm 273 */
																					BgL_ev_appz00_bglt
																						BgL_new1087z00_3438;
																					BgL_new1087z00_3438 =
																						((BgL_ev_appz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_appz00_bgl))));
																					{	/* Eval/evaluate.scm 273 */
																						long BgL_arg1447z00_3439;

																						BgL_arg1447z00_3439 =
																							BGL_CLASS_NUM
																							(BGl_ev_appz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1087z00_3438),
																							BgL_arg1447z00_3439);
																					}
																					BgL_new1088z00_3437 =
																						BgL_new1087z00_3438;
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3437))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_44), BUNSPEC);
																				{
																					BgL_ev_exprz00_bglt BgL_auxz00_5244;

																					{	/* Eval/evaluate.scm 274 */
																						BgL_ev_littz00_bglt
																							BgL_new1090z00_3440;
																						{	/* Eval/evaluate.scm 274 */
																							BgL_ev_littz00_bglt
																								BgL_new1089z00_3441;
																							BgL_new1089z00_3441 =
																								((BgL_ev_littz00_bglt)
																								BOBJECT(GC_MALLOC(sizeof(struct
																											BgL_ev_littz00_bgl))));
																							{	/* Eval/evaluate.scm 274 */
																								long BgL_arg1445z00_3442;

																								{	/* Eval/evaluate.scm 274 */
																									obj_t BgL_classz00_3447;

																									BgL_classz00_3447 =
																										BGl_ev_littz00zz__evaluate_typesz00;
																									BgL_arg1445z00_3442 =
																										BGL_CLASS_NUM
																										(BgL_classz00_3447);
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1089z00_3441),
																									BgL_arg1445z00_3442);
																							}
																							BgL_new1090z00_3440 =
																								BgL_new1089z00_3441;
																						}
																						((((BgL_ev_littz00_bglt)
																									COBJECT
																									(BgL_new1090z00_3440))->
																								BgL_valuez00) =
																							((obj_t) BgL_getz00_3436),
																							BUNSPEC);
																						BgL_auxz00_5244 =
																							((BgL_ev_exprz00_bglt)
																							BgL_new1090z00_3440);
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3437))->
																							BgL_funz00) =
																						((BgL_ev_exprz00_bglt)
																							BgL_auxz00_5244), BUNSPEC);
																				}
																				{
																					obj_t BgL_auxz00_5252;

																					{	/* Eval/evaluate.scm 275 */
																						obj_t BgL_list1446z00_3443;

																						BgL_list1446z00_3443 =
																							MAKE_YOUNG_PAIR(BgL_nodez00_1345,
																							BNIL);
																						BgL_auxz00_5252 =
																							BgL_list1446z00_3443;
																					}
																					((((BgL_ev_appz00_bglt)
																								COBJECT(BgL_new1088z00_3437))->
																							BgL_argsz00) =
																						((obj_t) BgL_auxz00_5252), BUNSPEC);
																				}
																				((((BgL_ev_appz00_bglt)
																							COBJECT(BgL_new1088z00_3437))->
																						BgL_tailzf3zf3) =
																					((obj_t) BgL_tailzf3zf3_42), BUNSPEC);
																				BgL_nodez00_1360 = BgL_new1088z00_3437;
																		}}
																		{	/* Eval/evaluate.scm 257 */
																			obj_t BgL_arg1431z00_1361;
																			obj_t BgL_arg1432z00_1362;

																			BgL_arg1431z00_1361 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_1351);
																			BgL_arg1432z00_1362 =
																				CDR(((obj_t) BgL_fieldsz00_1347));
																			{
																				obj_t BgL_fieldsz00_5262;
																				obj_t BgL_klassz00_5261;
																				obj_t BgL_nodez00_5259;

																				BgL_nodez00_5259 =
																					((obj_t) BgL_nodez00_1360);
																				BgL_klassz00_5261 = BgL_arg1431z00_1361;
																				BgL_fieldsz00_5262 =
																					BgL_arg1432z00_1362;
																				BgL_fieldsz00_1347 = BgL_fieldsz00_5262;
																				BgL_klassz00_1346 = BgL_klassz00_5261;
																				BgL_nodez00_1345 = BgL_nodez00_5259;
																				goto
																					BgL_zc3z04anonymousza31418ze3z87_1348;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 259 */
																obj_t BgL_arg1434z00_1364;
																obj_t BgL_arg1435z00_1365;

																BgL_arg1434z00_1364 =
																	(((BgL_ev_varz00_bglt) COBJECT(
																			((BgL_ev_varz00_bglt) BgL_vz00_1338)))->
																	BgL_typez00);
																{	/* Eval/evaluate.scm 260 */
																	obj_t BgL_arg1436z00_1366;
																	obj_t BgL_arg1437z00_1367;

																	BgL_arg1436z00_1366 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1338)))->
																		BgL_typez00);
																	BgL_arg1437z00_1367 =
																		CAR(((obj_t) BgL_fieldsz00_1347));
																	{	/* Eval/evaluate.scm 260 */
																		obj_t BgL_list1438z00_1368;

																		{	/* Eval/evaluate.scm 260 */
																			obj_t BgL_arg1439z00_1369;

																			BgL_arg1439z00_1369 =
																				MAKE_YOUNG_PAIR(BgL_arg1437z00_1367,
																				BNIL);
																			BgL_list1438z00_1368 =
																				MAKE_YOUNG_PAIR(BgL_arg1436z00_1366,
																				BgL_arg1439z00_1369);
																		}
																		BgL_arg1435z00_1365 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2905z00zz__evaluatez00,
																			BgL_list1438z00_1368);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_44, BgL_arg1434z00_1364,
																	BgL_arg1435z00_1365, BgL_ez00_39);
															}
													}
												else
													{	/* Eval/evaluate.scm 264 */
														obj_t BgL_arg1441z00_1371;

														{	/* Eval/evaluate.scm 264 */
															obj_t BgL__ortest_1086z00_1372;

															BgL__ortest_1086z00_1372 =
																(((BgL_ev_varz00_bglt) COBJECT(
																		((BgL_ev_varz00_bglt) BgL_vz00_1338)))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1086z00_1372))
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1441z00_1371 =
																		BgL__ortest_1086z00_1372;
																}
															else
																{	/* Eval/evaluate.scm 264 */
																	BgL_arg1441z00_1371 =
																		(((BgL_ev_varz00_bglt) COBJECT(
																				((BgL_ev_varz00_bglt) BgL_vz00_1338)))->
																		BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_44, BgL_arg1441z00_1371,
															BGl_string2906z00zz__evaluatez00, BgL_ez00_39);
													}
											}
									}
								}
							else
								{	/* Eval/evaluate.scm 236 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_44,
										CAR(BgL_lz00_37), BGl_string2907z00zz__evaluatez00,
										BgL_ez00_39);
								}
						}
					}
				}
			}
		}

	}



/* type-check */
	obj_t BGl_typezd2checkzd2zz__evaluatez00(obj_t BgL_varz00_56,
		obj_t BgL_tnamez00_57, obj_t BgL_locz00_58, obj_t BgL_procnamez00_59,
		obj_t BgL_bodyz00_60)
	{
		{	/* Eval/evaluate.scm 298 */
			if (SYMBOLP(BgL_tnamez00_57))
				{	/* Eval/evaluate.scm 301 */
					obj_t BgL_predz00_1395;

					if ((BgL_tnamez00_57 == BGl_symbol2909z00zz__evaluatez00))
						{	/* Eval/evaluate.scm 301 */
							BgL_predz00_1395 = BGl_symbol2911z00zz__evaluatez00;
						}
					else
						{	/* Eval/evaluate.scm 301 */
							if ((BgL_tnamez00_57 == BGl_symbol2913z00zz__evaluatez00))
								{	/* Eval/evaluate.scm 301 */
									BgL_predz00_1395 = BGl_symbol2914z00zz__evaluatez00;
								}
							else
								{	/* Eval/evaluate.scm 301 */
									if ((BgL_tnamez00_57 == BGl_symbol2916z00zz__evaluatez00))
										{	/* Eval/evaluate.scm 301 */
											BgL_predz00_1395 = BGl_symbol2918z00zz__evaluatez00;
										}
									else
										{	/* Eval/evaluate.scm 301 */
											if ((BgL_tnamez00_57 == BGl_symbol2920z00zz__evaluatez00))
												{	/* Eval/evaluate.scm 301 */
													BgL_predz00_1395 = BGl_symbol2922z00zz__evaluatez00;
												}
											else
												{	/* Eval/evaluate.scm 301 */
													bool_t BgL_test3142z00_5292;

													{	/* Eval/evaluate.scm 301 */
														bool_t BgL__ortest_1095z00_1471;

														BgL__ortest_1095z00_1471 =
															(BgL_tnamez00_57 ==
															BGl_symbol2924z00zz__evaluatez00);
														if (BgL__ortest_1095z00_1471)
															{	/* Eval/evaluate.scm 301 */
																BgL_test3142z00_5292 = BgL__ortest_1095z00_1471;
															}
														else
															{	/* Eval/evaluate.scm 301 */
																BgL_test3142z00_5292 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2926z00zz__evaluatez00);
															}
													}
													if (BgL_test3142z00_5292)
														{	/* Eval/evaluate.scm 301 */
															BgL_predz00_1395 =
																BGl_symbol2927z00zz__evaluatez00;
														}
													else
														{	/* Eval/evaluate.scm 301 */
															bool_t BgL_test3144z00_5296;

															{	/* Eval/evaluate.scm 301 */
																bool_t BgL__ortest_1096z00_1470;

																BgL__ortest_1096z00_1470 =
																	(BgL_tnamez00_57 ==
																	BGl_symbol2929z00zz__evaluatez00);
																if (BgL__ortest_1096z00_1470)
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3144z00_5296 =
																			BgL__ortest_1096z00_1470;
																	}
																else
																	{	/* Eval/evaluate.scm 301 */
																		BgL_test3144z00_5296 =
																			(BgL_tnamez00_57 ==
																			BGl_symbol2931z00zz__evaluatez00);
																	}
															}
															if (BgL_test3144z00_5296)
																{	/* Eval/evaluate.scm 301 */
																	BgL_predz00_1395 =
																		BGl_symbol2933z00zz__evaluatez00;
																}
															else
																{	/* Eval/evaluate.scm 301 */
																	if (
																		(BgL_tnamez00_57 ==
																			BGl_symbol2935z00zz__evaluatez00))
																		{	/* Eval/evaluate.scm 301 */
																			BgL_predz00_1395 =
																				BGl_symbol2937z00zz__evaluatez00;
																		}
																	else
																		{	/* Eval/evaluate.scm 301 */
																			if (
																				(BgL_tnamez00_57 ==
																					BGl_symbol2939z00zz__evaluatez00))
																				{	/* Eval/evaluate.scm 301 */
																					BgL_predz00_1395 =
																						BGl_symbol2941z00zz__evaluatez00;
																				}
																			else
																				{	/* Eval/evaluate.scm 301 */
																					if (
																						(BgL_tnamez00_57 ==
																							BGl_symbol2943z00zz__evaluatez00))
																						{	/* Eval/evaluate.scm 301 */
																							BgL_predz00_1395 =
																								BGl_symbol2945z00zz__evaluatez00;
																						}
																					else
																						{	/* Eval/evaluate.scm 301 */
																							bool_t BgL_test3149z00_5306;

																							{	/* Eval/evaluate.scm 301 */
																								bool_t BgL__ortest_1097z00_1469;

																								BgL__ortest_1097z00_1469 =
																									(BgL_tnamez00_57 ==
																									BGl_symbol2947z00zz__evaluatez00);
																								if (BgL__ortest_1097z00_1469)
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3149z00_5306 =
																											BgL__ortest_1097z00_1469;
																									}
																								else
																									{	/* Eval/evaluate.scm 301 */
																										BgL_test3149z00_5306 =
																											(BgL_tnamez00_57 ==
																											BGl_symbol2949z00zz__evaluatez00);
																									}
																							}
																							if (BgL_test3149z00_5306)
																								{	/* Eval/evaluate.scm 301 */
																									BgL_predz00_1395 =
																										BGl_symbol2951z00zz__evaluatez00;
																								}
																							else
																								{	/* Eval/evaluate.scm 312 */
																									obj_t BgL_arg1498z00_1449;

																									{	/* Eval/evaluate.scm 312 */
																										obj_t BgL_arg1499z00_1450;
																										obj_t BgL_arg1500z00_1451;

																										BgL_arg1499z00_1450 =
																											MAKE_YOUNG_PAIR
																											(BGl_symbol2953z00zz__evaluatez00,
																											BNIL);
																										{	/* Eval/evaluate.scm 313 */
																											obj_t BgL_arg1501z00_1452;

																											{	/* Eval/evaluate.scm 313 */
																												obj_t
																													BgL_arg1502z00_1453;
																												{	/* Eval/evaluate.scm 313 */
																													obj_t
																														BgL_arg1503z00_1454;
																													obj_t
																														BgL_arg1504z00_1455;
																													{	/* Eval/evaluate.scm 313 */
																														obj_t
																															BgL_arg1505z00_1456;
																														{	/* Eval/evaluate.scm 313 */
																															obj_t
																																BgL_arg1506z00_1457;
																															{	/* Eval/evaluate.scm 313 */
																																obj_t
																																	BgL_arg1507z00_1458;
																																{	/* Eval/evaluate.scm 313 */
																																	obj_t
																																		BgL_arg1508z00_1459;
																																	{	/* Eval/evaluate.scm 313 */
																																		obj_t
																																			BgL_arg1509z00_1460;
																																		{	/* Eval/evaluate.scm 313 */
																																			obj_t
																																				BgL_arg1512z00_1461;
																																			BgL_arg1512z00_1461
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tnamez00_57,
																																				BNIL);
																																			BgL_arg1509z00_1460
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2955z00zz__evaluatez00,
																																				BgL_arg1512z00_1461);
																																		}
																																		BgL_arg1508z00_1459
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_arg1509z00_1460,
																																			BNIL);
																																	}
																																	BgL_arg1507z00_1458
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_symbol2957z00zz__evaluatez00,
																																		BgL_arg1508z00_1459);
																																}
																																BgL_arg1506z00_1457
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1507z00_1458,
																																	BNIL);
																															}
																															BgL_arg1505z00_1456
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol2959z00zz__evaluatez00,
																																BgL_arg1506z00_1457);
																														}
																														BgL_arg1503z00_1454
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1505z00_1456,
																															BNIL);
																													}
																													{	/* Eval/evaluate.scm 314 */
																														obj_t
																															BgL_arg1515z00_1462;
																														{	/* Eval/evaluate.scm 314 */
																															obj_t
																																BgL_arg1516z00_1463;
																															{	/* Eval/evaluate.scm 314 */
																																obj_t
																																	BgL_arg1518z00_1464;
																																{	/* Eval/evaluate.scm 314 */
																																	obj_t
																																		BgL_arg1519z00_1465;
																																	obj_t
																																		BgL_arg1520z00_1466;
																																	{	/* Eval/evaluate.scm 314 */
																																		obj_t
																																			BgL_arg1521z00_1467;
																																		{	/* Eval/evaluate.scm 314 */
																																			obj_t
																																				BgL_arg1522z00_1468;
																																			BgL_arg1522z00_1468
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2959z00zz__evaluatez00,
																																				BNIL);
																																			BgL_arg1521z00_1467
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BGl_symbol2953z00zz__evaluatez00,
																																				BgL_arg1522z00_1468);
																																		}
																																		BgL_arg1519z00_1465
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BGl_symbol2961z00zz__evaluatez00,
																																			BgL_arg1521z00_1467);
																																	}
																																	BgL_arg1520z00_1466
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BTRUE,
																																		BNIL);
																																	BgL_arg1518z00_1464
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1519z00_1465,
																																		BgL_arg1520z00_1466);
																																}
																																BgL_arg1516z00_1463
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_symbol2959z00zz__evaluatez00,
																																	BgL_arg1518z00_1464);
																															}
																															BgL_arg1515z00_1462
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_symbol2963z00zz__evaluatez00,
																																BgL_arg1516z00_1463);
																														}
																														BgL_arg1504z00_1455
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1515z00_1462,
																															BNIL);
																													}
																													BgL_arg1502z00_1453 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1503z00_1454,
																														BgL_arg1504z00_1455);
																												}
																												BgL_arg1501z00_1452 =
																													MAKE_YOUNG_PAIR
																													(BGl_symbol2965z00zz__evaluatez00,
																													BgL_arg1502z00_1453);
																											}
																											BgL_arg1500z00_1451 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1501z00_1452,
																												BNIL);
																										}
																										BgL_arg1498z00_1449 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1499z00_1450,
																											BgL_arg1500z00_1451);
																									}
																									BgL_predz00_1395 =
																										MAKE_YOUNG_PAIR
																										(BGl_symbol2967z00zz__evaluatez00,
																										BgL_arg1498z00_1449);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
					{	/* Eval/evaluate.scm 316 */
						obj_t BgL_arg1453z00_1396;

						{	/* Eval/evaluate.scm 316 */
							obj_t BgL_arg1454z00_1397;

							{	/* Eval/evaluate.scm 316 */
								obj_t BgL_arg1455z00_1398;
								obj_t BgL_arg1456z00_1399;

								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1457z00_1400;

									BgL_arg1457z00_1400 = MAKE_YOUNG_PAIR(BgL_varz00_56, BNIL);
									BgL_arg1455z00_1398 =
										MAKE_YOUNG_PAIR(BgL_predz00_1395, BgL_arg1457z00_1400);
								}
								{	/* Eval/evaluate.scm 316 */
									obj_t BgL_arg1458z00_1401;

									{	/* Eval/evaluate.scm 316 */
										obj_t BgL_arg1459z00_1402;

										{
											obj_t BgL_fnamez00_1403;
											obj_t BgL_posz00_1404;

											if (PAIRP(BgL_locz00_58))
												{	/* Eval/evaluate.scm 316 */
													obj_t BgL_cdrzd2138zd2_1409;

													BgL_cdrzd2138zd2_1409 = CDR(((obj_t) BgL_locz00_58));
													if (
														(CAR(
																((obj_t) BgL_locz00_58)) ==
															BGl_symbol2973z00zz__evaluatez00))
														{	/* Eval/evaluate.scm 316 */
															if (PAIRP(BgL_cdrzd2138zd2_1409))
																{	/* Eval/evaluate.scm 316 */
																	obj_t BgL_cdrzd2142zd2_1413;

																	BgL_cdrzd2142zd2_1413 =
																		CDR(BgL_cdrzd2138zd2_1409);
																	if (PAIRP(BgL_cdrzd2142zd2_1413))
																		{	/* Eval/evaluate.scm 316 */
																			if (NULLP(CDR(BgL_cdrzd2142zd2_1413)))
																				{	/* Eval/evaluate.scm 316 */
																					BgL_fnamez00_1403 =
																						CAR(BgL_cdrzd2138zd2_1409);
																					BgL_posz00_1404 =
																						CAR(BgL_cdrzd2142zd2_1413);
																					{	/* Eval/evaluate.scm 321 */
																						obj_t BgL_arg1473z00_1421;

																						{	/* Eval/evaluate.scm 321 */
																							obj_t BgL_arg1474z00_1422;
																							obj_t BgL_arg1475z00_1423;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 321 */
																									obj_t BgL_arg2646z00_3495;

																									BgL_arg2646z00_3495 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1474z00_1422 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2646z00_3495);
																								}
																							else
																								{	/* Eval/evaluate.scm 321 */
																									BgL_arg1474z00_1422 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 322 */
																								obj_t BgL_arg1477z00_1425;
																								obj_t BgL_arg1478z00_1426;

																								{	/* Eval/evaluate.scm 322 */
																									obj_t BgL_arg2646z00_3497;

																									BgL_arg2646z00_3497 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1477z00_1425 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2646z00_3497);
																								}
																								{	/* Eval/evaluate.scm 320 */
																									obj_t BgL_arg1479z00_1427;

																									{	/* Eval/evaluate.scm 320 */
																										obj_t BgL_arg1480z00_1428;

																										BgL_arg1480z00_1428 =
																											MAKE_YOUNG_PAIR
																											(BgL_posz00_1404, BNIL);
																										BgL_arg1479z00_1427 =
																											MAKE_YOUNG_PAIR
																											(BgL_fnamez00_1403,
																											BgL_arg1480z00_1428);
																									}
																									BgL_arg1478z00_1426 =
																										MAKE_YOUNG_PAIR
																										(BgL_varz00_56,
																										BgL_arg1479z00_1427);
																								}
																								BgL_arg1475z00_1423 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1477z00_1425,
																									BgL_arg1478z00_1426);
																							}
																							BgL_arg1473z00_1421 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1474z00_1422,
																								BgL_arg1475z00_1423);
																						}
																						BgL_arg1459z00_1402 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol2969z00zz__evaluatez00,
																							BgL_arg1473z00_1421);
																					}
																				}
																			else
																				{	/* Eval/evaluate.scm 316 */
																				BgL_tagzd2131zd2_1406:
																					{	/* Eval/evaluate.scm 326 */
																						obj_t BgL_arg1481z00_1429;

																						{	/* Eval/evaluate.scm 326 */
																							obj_t BgL_arg1482z00_1430;
																							obj_t BgL_arg1483z00_1431;

																							if (SYMBOLP(BgL_procnamez00_59))
																								{	/* Eval/evaluate.scm 326 */
																									obj_t BgL_arg2646z00_3499;

																									BgL_arg2646z00_3499 =
																										SYMBOL_TO_STRING
																										(BgL_procnamez00_59);
																									BgL_arg1482z00_1430 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2646z00_3499);
																								}
																							else
																								{	/* Eval/evaluate.scm 326 */
																									BgL_arg1482z00_1430 = BFALSE;
																								}
																							{	/* Eval/evaluate.scm 327 */
																								obj_t BgL_arg1485z00_1433;
																								obj_t BgL_arg1487z00_1434;

																								{	/* Eval/evaluate.scm 327 */
																									obj_t BgL_arg2646z00_3501;

																									BgL_arg2646z00_3501 =
																										SYMBOL_TO_STRING(
																										((obj_t) BgL_tnamez00_57));
																									BgL_arg1485z00_1433 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg2646z00_3501);
																								}
																								BgL_arg1487z00_1434 =
																									MAKE_YOUNG_PAIR(BgL_varz00_56,
																									BNIL);
																								BgL_arg1483z00_1431 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1485z00_1433,
																									BgL_arg1487z00_1434);
																							}
																							BgL_arg1481z00_1429 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1482z00_1430,
																								BgL_arg1483z00_1431);
																						}
																						BgL_arg1459z00_1402 =
																							MAKE_YOUNG_PAIR
																							(BGl_symbol2971z00zz__evaluatez00,
																							BgL_arg1481z00_1429);
																					}
																				}
																		}
																	else
																		{	/* Eval/evaluate.scm 316 */
																			goto BgL_tagzd2131zd2_1406;
																		}
																}
															else
																{	/* Eval/evaluate.scm 316 */
																	goto BgL_tagzd2131zd2_1406;
																}
														}
													else
														{	/* Eval/evaluate.scm 316 */
															goto BgL_tagzd2131zd2_1406;
														}
												}
											else
												{	/* Eval/evaluate.scm 316 */
													goto BgL_tagzd2131zd2_1406;
												}
										}
										BgL_arg1458z00_1401 =
											MAKE_YOUNG_PAIR(BgL_arg1459z00_1402, BNIL);
									}
									BgL_arg1456z00_1399 =
										MAKE_YOUNG_PAIR(BgL_bodyz00_60, BgL_arg1458z00_1401);
								}
								BgL_arg1454z00_1397 =
									MAKE_YOUNG_PAIR(BgL_arg1455z00_1398, BgL_arg1456z00_1399);
							}
							BgL_arg1453z00_1396 =
								MAKE_YOUNG_PAIR(BGl_symbol2963z00zz__evaluatez00,
								BgL_arg1454z00_1397);
						}
						{	/* Eval/evaluate.scm 293 */
							obj_t BgL_arg1450z00_3508;
							obj_t BgL_arg1451z00_3509;

							BgL_arg1450z00_3508 = CAR(BgL_arg1453z00_1396);
							BgL_arg1451z00_3509 = CDR(BgL_arg1453z00_1396);
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_res2882z00_3512;

								BgL_res2882z00_3512 =
									MAKE_YOUNG_EPAIR(BgL_arg1450z00_3508, BgL_arg1451z00_3509,
									BgL_locz00_58);
								return BgL_res2882z00_3512;
							}
						}
					}
				}
			else
				{	/* Eval/evaluate.scm 300 */
					return BgL_bodyz00_60;
				}
		}

	}



/* type-checks */
	obj_t BGl_typezd2checkszd2zz__evaluatez00(obj_t BgL_varsz00_61,
		obj_t BgL_srcsz00_62, obj_t BgL_bodyz00_63, obj_t BgL_locz00_64,
		obj_t BgL_procnamez00_65)
	{
		{	/* Eval/evaluate.scm 334 */
			{	/* Eval/evaluate.scm 335 */
				bool_t BgL_test3158z00_5382;

				{	/* Eval/evaluate.scm 335 */
					int BgL_arg1541z00_1490;

					BgL_arg1541z00_1490 = bgl_debug();
					BgL_test3158z00_5382 = ((long) (BgL_arg1541z00_1490) <= 0L);
				}
				if (BgL_test3158z00_5382)
					{	/* Eval/evaluate.scm 335 */
						return BgL_bodyz00_63;
					}
				else
					{	/* Eval/evaluate.scm 335 */
						BGL_TAIL return
							BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_63, BgL_procnamez00_65,
							BgL_locz00_64, BgL_varsz00_61, BgL_srcsz00_62);
					}
			}
		}

	}



/* loop~1 */
	obj_t BGl_loopze71ze7zz__evaluatez00(obj_t BgL_bodyz00_4830,
		obj_t BgL_procnamez00_4829, obj_t BgL_locz00_4828, obj_t BgL_varsz00_1475,
		obj_t BgL_srcsz00_1476)
	{
		{	/* Eval/evaluate.scm 337 */
		BGl_loopze71ze7zz__evaluatez00:
			if (NULLP(BgL_varsz00_1475))
				{	/* Eval/evaluate.scm 339 */
					return BgL_bodyz00_4830;
				}
			else
				{	/* Eval/evaluate.scm 341 */
					obj_t BgL_vz00_1479;

					BgL_vz00_1479 = CAR(((obj_t) BgL_varsz00_1475));
					{	/* Eval/evaluate.scm 341 */
						obj_t BgL_idz00_1480;

						BgL_idz00_1480 = CAR(((obj_t) BgL_vz00_1479));
						{	/* Eval/evaluate.scm 342 */
							obj_t BgL_tnamez00_1481;

							BgL_tnamez00_1481 = CDR(((obj_t) BgL_vz00_1479));
							{	/* Eval/evaluate.scm 343 */

								if (CBOOL(BgL_tnamez00_1481))
									{	/* Eval/evaluate.scm 345 */
										obj_t BgL_locz00_1482;

										{	/* Eval/evaluate.scm 345 */
											obj_t BgL_arg1534z00_1486;

											BgL_arg1534z00_1486 = CAR(((obj_t) BgL_srcsz00_1476));
											{	/* Eval/evaluate.scm 150 */
												obj_t BgL__ortest_1070z00_3518;

												BgL__ortest_1070z00_3518 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_arg1534z00_1486);
												if (CBOOL(BgL__ortest_1070z00_3518))
													{	/* Eval/evaluate.scm 150 */
														BgL_locz00_1482 = BgL__ortest_1070z00_3518;
													}
												else
													{	/* Eval/evaluate.scm 151 */
														obj_t BgL__ortest_1071z00_3519;

														BgL__ortest_1071z00_3519 =
															BGl_getzd2sourcezd2locationz00zz__readerz00
															(BgL_srcsz00_1476);
														if (CBOOL(BgL__ortest_1071z00_3519))
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1482 = BgL__ortest_1071z00_3519;
															}
														else
															{	/* Eval/evaluate.scm 151 */
																BgL_locz00_1482 = BgL_locz00_4828;
															}
													}
											}
										}
										{	/* Eval/evaluate.scm 347 */
											obj_t BgL_arg1528z00_1483;

											{	/* Eval/evaluate.scm 347 */
												obj_t BgL_arg1531z00_1484;
												obj_t BgL_arg1532z00_1485;

												BgL_arg1531z00_1484 = CDR(((obj_t) BgL_varsz00_1475));
												BgL_arg1532z00_1485 = CDR(((obj_t) BgL_srcsz00_1476));
												BgL_arg1528z00_1483 =
													BGl_loopze71ze7zz__evaluatez00(BgL_bodyz00_4830,
													BgL_procnamez00_4829, BgL_locz00_4828,
													BgL_arg1531z00_1484, BgL_arg1532z00_1485);
											}
											BGL_TAIL return
												BGl_typezd2checkzd2zz__evaluatez00(BgL_idz00_1480,
												BgL_tnamez00_1481, BgL_locz00_1482,
												BgL_procnamez00_4829, BgL_arg1528z00_1483);
										}
									}
								else
									{	/* Eval/evaluate.scm 348 */
										obj_t BgL_arg1535z00_1487;
										obj_t BgL_arg1536z00_1488;

										BgL_arg1535z00_1487 = CDR(((obj_t) BgL_varsz00_1475));
										BgL_arg1536z00_1488 = CDR(((obj_t) BgL_srcsz00_1476));
										{
											obj_t BgL_srcsz00_5416;
											obj_t BgL_varsz00_5415;

											BgL_varsz00_5415 = BgL_arg1535z00_1487;
											BgL_srcsz00_5416 = BgL_arg1536z00_1488;
											BgL_srcsz00_1476 = BgL_srcsz00_5416;
											BgL_varsz00_1475 = BgL_varsz00_5415;
											goto BGl_loopze71ze7zz__evaluatez00;
										}
									}
							}
						}
					}
				}
		}

	}



/* type-result */
	obj_t BGl_typezd2resultzd2zz__evaluatez00(obj_t BgL_typez00_66,
		obj_t BgL_bodyz00_67, obj_t BgL_locz00_68)
	{
		{	/* Eval/evaluate.scm 353 */
			{	/* Eval/evaluate.scm 354 */
				bool_t BgL_test3163z00_5417;

				if (CBOOL(BgL_typez00_66))
					{	/* Eval/evaluate.scm 354 */
						int BgL_arg1557z00_1505;

						BgL_arg1557z00_1505 = bgl_debug();
						BgL_test3163z00_5417 = ((long) (BgL_arg1557z00_1505) >= 1L);
					}
				else
					{	/* Eval/evaluate.scm 354 */
						BgL_test3163z00_5417 = ((bool_t) 0);
					}
				if (BgL_test3163z00_5417)
					{	/* Eval/evaluate.scm 355 */
						obj_t BgL_tmpz00_1493;

						BgL_tmpz00_1493 =
							BGl_gensymz00zz__r4_symbols_6_4z00
							(BGl_symbol2975z00zz__evaluatez00);
						{	/* Eval/evaluate.scm 357 */
							obj_t BgL_arg1544z00_1494;
							obj_t BgL_arg1545z00_1495;

							{	/* Eval/evaluate.scm 357 */
								obj_t BgL_arg1546z00_1496;

								{	/* Eval/evaluate.scm 357 */
									obj_t BgL_arg1547z00_1497;
									obj_t BgL_arg1548z00_1498;

									{	/* Eval/evaluate.scm 357 */
										obj_t BgL_arg1550z00_1499;

										{	/* Eval/evaluate.scm 357 */
											obj_t BgL_arg1552z00_1500;
											obj_t BgL_arg1553z00_1501;

											{	/* Eval/evaluate.scm 357 */
												obj_t BgL_arg1554z00_1502;

												{	/* Eval/evaluate.scm 357 */
													obj_t BgL_list1555z00_1503;

													{	/* Eval/evaluate.scm 357 */
														obj_t BgL_arg1556z00_1504;

														BgL_arg1556z00_1504 =
															MAKE_YOUNG_PAIR(BgL_typez00_66, BNIL);
														BgL_list1555z00_1503 =
															MAKE_YOUNG_PAIR(BgL_tmpz00_1493,
															BgL_arg1556z00_1504);
													}
													BgL_arg1554z00_1502 =
														BGl_formatz00zz__r4_output_6_10_3z00
														(BGl_string2977z00zz__evaluatez00,
														BgL_list1555z00_1503);
												}
												BgL_arg1552z00_1500 =
													bstring_to_symbol(BgL_arg1554z00_1502);
											}
											BgL_arg1553z00_1501 =
												MAKE_YOUNG_PAIR(BgL_bodyz00_67, BNIL);
											BgL_arg1550z00_1499 =
												MAKE_YOUNG_PAIR(BgL_arg1552z00_1500,
												BgL_arg1553z00_1501);
										}
										BgL_arg1547z00_1497 =
											MAKE_YOUNG_PAIR(BgL_arg1550z00_1499, BNIL);
									}
									BgL_arg1548z00_1498 = MAKE_YOUNG_PAIR(BgL_tmpz00_1493, BNIL);
									BgL_arg1546z00_1496 =
										MAKE_YOUNG_PAIR(BgL_arg1547z00_1497, BgL_arg1548z00_1498);
								}
								BgL_arg1544z00_1494 =
									MAKE_YOUNG_PAIR(BGl_symbol2965z00zz__evaluatez00,
									BgL_arg1546z00_1496);
							}
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3526;

								BgL__ortest_1069z00_3526 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_67);
								if (CBOOL(BgL__ortest_1069z00_3526))
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1545z00_1495 = BgL__ortest_1069z00_3526;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_arg1545z00_1495 = BgL_locz00_68;
									}
							}
							{	/* Eval/evaluate.scm 293 */
								obj_t BgL_arg1450z00_3527;
								obj_t BgL_arg1451z00_3528;

								BgL_arg1450z00_3527 = CAR(BgL_arg1544z00_1494);
								BgL_arg1451z00_3528 = CDR(BgL_arg1544z00_1494);
								{	/* Eval/evaluate.scm 293 */
									obj_t BgL_res2883z00_3531;

									BgL_res2883z00_3531 =
										MAKE_YOUNG_EPAIR(BgL_arg1450z00_3527, BgL_arg1451z00_3528,
										BgL_arg1545z00_1495);
									return BgL_res2883z00_3531;
								}
							}
						}
					}
				else
					{	/* Eval/evaluate.scm 354 */
						return BgL_bodyz00_67;
					}
			}
		}

	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_69, obj_t BgL_localsz00_70,
		obj_t BgL_globalsz00_71, obj_t BgL_tailzf3zf3_72, obj_t BgL_wherez00_73,
		obj_t BgL_locz00_74, bool_t BgL_topzf3zf3_75)
	{
		{	/* Eval/evaluate.scm 365 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_1514;
				obj_t BgL_bahz00_1516;
				obj_t BgL_lz00_1521;
				obj_t BgL_funz00_1523;
				obj_t BgL_argsz00_1524;
				obj_t BgL_pz00_1530;
				obj_t BgL_tz00_1531;
				obj_t BgL_oz00_1532;
				obj_t BgL_pz00_1534;
				obj_t BgL_tz00_1535;
				obj_t BgL_bindsz00_1543;
				obj_t BgL_bodyz00_1544;
				obj_t BgL_bindsz00_1546;
				obj_t BgL_bodyz00_1547;
				obj_t BgL_bindsz00_1549;
				obj_t BgL_bodyz00_1550;
				obj_t BgL_lz00_1556;
				obj_t BgL_e2z00_1557;
				obj_t BgL_vz00_1559;
				obj_t BgL_ez00_1560;
				obj_t BgL_gvz00_1563;
				obj_t BgL_formalsz00_1564;
				obj_t BgL_bodyz00_1565;
				obj_t BgL_gvz00_1567;
				obj_t BgL_gez00_1568;
				obj_t BgL_vz00_1570;
				obj_t BgL_bodyz00_1571;
				obj_t BgL_mz00_1583;
				obj_t BgL_bodyz00_1584;
				obj_t BgL_fz00_1590;
				obj_t BgL_argsz00_1591;

				if (PAIRP(BgL_ez00_69))
					{	/* Eval/evaluate.scm 424 */
						if (
							(CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2984z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_arg1563z00_1598;

								BgL_arg1563z00_1598 = CDR(((obj_t) BgL_ez00_69));
								BgL_bahz00_1516 = BgL_arg1563z00_1598;
								if (BgL_topzf3zf3_75)
									{	/* Eval/evaluate.scm 432 */
										obj_t BgL_formsz00_2381;

										{	/* Eval/evaluate.scm 432 */
											obj_t BgL_arg2279z00_2384;

											{	/* Eval/evaluate.scm 144 */
												obj_t BgL__ortest_1069z00_3568;

												BgL__ortest_1069z00_3568 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_69);
												if (CBOOL(BgL__ortest_1069z00_3568))
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2279z00_2384 = BgL__ortest_1069z00_3568;
													}
												else
													{	/* Eval/evaluate.scm 144 */
														BgL_arg2279z00_2384 = BgL_locz00_74;
													}
											}
											BgL_formsz00_2381 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_69,
												BgL_arg2279z00_2384);
										}
										{	/* Eval/evaluate.scm 433 */
											obj_t BgL_arg2276z00_2382;
											obj_t BgL_arg2277z00_2383;

											BgL_arg2276z00_2382 =
												BGl_expandz00zz__expandz00(BgL_formsz00_2381);
											BgL_arg2277z00_2383 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_5459;
												obj_t BgL_wherez00_5458;
												obj_t BgL_tailzf3zf3_5457;
												obj_t BgL_globalsz00_5456;
												obj_t BgL_ez00_5455;

												BgL_ez00_5455 = BgL_arg2276z00_2382;
												BgL_globalsz00_5456 = BgL_arg2277z00_2383;
												BgL_tailzf3zf3_5457 = BgL_wherez00_73;
												BgL_wherez00_5458 = BFALSE;
												BgL_topzf3zf3_5459 = ((bool_t) 1);
												BgL_topzf3zf3_75 = BgL_topzf3zf3_5459;
												BgL_wherez00_73 = BgL_wherez00_5458;
												BgL_tailzf3zf3_72 = BgL_tailzf3zf3_5457;
												BgL_globalsz00_71 = BgL_globalsz00_5456;
												BgL_ez00_69 = BgL_ez00_5455;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 431 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_74,
											BGl_string2903z00zz__evaluatez00,
											BGl_string2983z00zz__evaluatez00, BgL_ez00_69);
									}
							}
						else
							{	/* Eval/evaluate.scm 424 */
								obj_t BgL_cdrzd2250zd2_1599;

								BgL_cdrzd2250zd2_1599 = CDR(((obj_t) BgL_ez00_69));
								if (
									(CAR(
											((obj_t) BgL_ez00_69)) ==
										BGl_symbol2986z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 424 */
										if (PAIRP(BgL_cdrzd2250zd2_1599))
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd2253zd2_1603;
												obj_t BgL_cdrzd2254zd2_1604;

												BgL_carzd2253zd2_1603 = CAR(BgL_cdrzd2250zd2_1599);
												BgL_cdrzd2254zd2_1604 = CDR(BgL_cdrzd2250zd2_1599);
												if (SYMBOLP(BgL_carzd2253zd2_1603))
													{	/* Eval/evaluate.scm 424 */
														if (PAIRP(BgL_cdrzd2254zd2_1604))
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd2258zd2_1607;

																BgL_carzd2258zd2_1607 =
																	CAR(BgL_cdrzd2254zd2_1604);
																if (SYMBOLP(BgL_carzd2258zd2_1607))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2254zd2_1604)))
																			{	/* Eval/evaluate.scm 437 */
																				BgL_ev_globalz00_bglt
																					BgL_new1107z00_3885;
																				{	/* Eval/evaluate.scm 438 */
																					BgL_ev_globalz00_bglt
																						BgL_new1106z00_3886;
																					BgL_new1106z00_3886 =
																						((BgL_ev_globalz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_ev_globalz00_bgl))));
																					{	/* Eval/evaluate.scm 438 */
																						long BgL_arg2280z00_3887;

																						BgL_arg2280z00_3887 =
																							BGL_CLASS_NUM
																							(BGl_ev_globalz00zz__evaluate_typesz00);
																						BGL_OBJECT_CLASS_NUM_SET((
																								(BgL_objectz00_bglt)
																								BgL_new1106z00_3886),
																							BgL_arg2280z00_3887);
																					}
																					BgL_new1107z00_3885 =
																						BgL_new1106z00_3886;
																				}
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3885))->
																						BgL_locz00) =
																					((obj_t) BgL_locz00_74), BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3885))->
																						BgL_namez00) =
																					((obj_t) BgL_carzd2253zd2_1603),
																					BUNSPEC);
																				((((BgL_ev_globalz00_bglt)
																							COBJECT(BgL_new1107z00_3885))->
																						BgL_modz00) =
																					((obj_t)
																						BGl_evalzd2findzd2modulez00zz__evmodulez00
																						(BgL_carzd2258zd2_1607)), BUNSPEC);
																				return ((obj_t) BgL_new1107z00_3885);
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_carzd2303zd2_1611;

																				BgL_carzd2303zd2_1611 =
																					CAR(((obj_t) BgL_ez00_69));
																				if (SYMBOLP(BgL_carzd2303zd2_1611))
																					{	/* Eval/evaluate.scm 424 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2303zd2_1611,
																									BgL_localsz00_70)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5497;
																								BgL_funz00_1523 =
																									BgL_carzd2303zd2_1611;
																								BgL_argsz00_1524 =
																									BgL_cdrzd2250zd2_1599;
																							BgL_tagzd2152zd2_1525:
																								{	/* Eval/evaluate.scm 449 */
																									obj_t BgL_funz00_2414;
																									obj_t BgL_argsz00_2415;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2436z00_3578;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3579;
																											BgL__ortest_1069z00_3579 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_1523);
																											if (CBOOL
																												(BgL__ortest_1069z00_3579))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2436z00_3578 =
																														BgL__ortest_1069z00_3579;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2436z00_3578 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2414 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_1523,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2436z00_3578,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2415 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1524);
																									{	/* Eval/evaluate.scm 450 */
																										BgL_ev_appz00_bglt
																											BgL_new1109z00_2416;
																										{	/* Eval/evaluate.scm 451 */
																											BgL_ev_appz00_bglt
																												BgL_new1108z00_2417;
																											BgL_new1108z00_2417 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 451 */
																												long
																													BgL_arg2294z00_2418;
																												BgL_arg2294z00_2418 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1108z00_2417),
																													BgL_arg2294z00_2418);
																											}
																											BgL_new1109z00_2416 =
																												BgL_new1108z00_2417;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2416))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2416))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2414)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2416))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2415),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1109z00_2416))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5497 =
																											BgL_new1109z00_2416;
																								}}
																								return
																									((obj_t) BgL_auxz00_5497);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_5513;
																								BgL_fz00_1590 =
																									BgL_carzd2303zd2_1611;
																								BgL_argsz00_1591 =
																									BgL_cdrzd2250zd2_1599;
																							BgL_tagzd2176zd2_1592:
																								{	/* Eval/evaluate.scm 599 */
																									obj_t BgL_funz00_2680;
																									obj_t BgL_argsz00_2681;

																									{	/* Eval/evaluate.scm 380 */
																										obj_t BgL_arg2436z00_3872;

																										{	/* Eval/evaluate.scm 144 */
																											obj_t
																												BgL__ortest_1069z00_3873;
																											BgL__ortest_1069z00_3873 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_1590);
																											if (CBOOL
																												(BgL__ortest_1069z00_3873))
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2436z00_3872 =
																														BgL__ortest_1069z00_3873;
																												}
																											else
																												{	/* Eval/evaluate.scm 144 */
																													BgL_arg2436z00_3872 =
																														BgL_locz00_74;
																												}
																										}
																										BgL_funz00_2680 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_1590,
																											BgL_localsz00_70,
																											BgL_globalsz00_71, BFALSE,
																											BgL_wherez00_73,
																											BgL_arg2436z00_3872,
																											((bool_t) 0));
																									}
																									BgL_argsz00_2681 =
																										BGl_loopze70ze7zz__evaluatez00
																										(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_argsz00_1591);
																									{	/* Eval/evaluate.scm 600 */
																										BgL_ev_appz00_bglt
																											BgL_new1164z00_2682;
																										{	/* Eval/evaluate.scm 601 */
																											BgL_ev_appz00_bglt
																												BgL_new1163z00_2683;
																											BgL_new1163z00_2683 =
																												((BgL_ev_appz00_bglt)
																												BOBJECT(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 601 */
																												long
																													BgL_arg2429z00_2684;
																												BgL_arg2429z00_2684 =
																													BGL_CLASS_NUM
																													(BGl_ev_appz00zz__evaluate_typesz00);
																												BGL_OBJECT_CLASS_NUM_SET
																													(((BgL_objectz00_bglt)
																														BgL_new1163z00_2683),
																													BgL_arg2429z00_2684);
																											}
																											BgL_new1164z00_2682 =
																												BgL_new1163z00_2683;
																										}
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2682))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_74),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2682))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_2680)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2682))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_2681),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													COBJECT
																													(BgL_new1164z00_2682))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_72),
																											BUNSPEC);
																										BgL_auxz00_5513 =
																											BgL_new1164z00_2682;
																								}}
																								return
																									((obj_t) BgL_auxz00_5513);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5529;

																						{
																							obj_t BgL_argsz00_5531;
																							obj_t BgL_fz00_5530;

																							BgL_fz00_5530 =
																								BgL_carzd2303zd2_1611;
																							BgL_argsz00_5531 =
																								BgL_cdrzd2250zd2_1599;
																							BgL_argsz00_1591 =
																								BgL_argsz00_5531;
																							BgL_fz00_1590 = BgL_fz00_5530;
																							goto BgL_tagzd2176zd2_1592;
																						}
																						return ((obj_t) BgL_auxz00_5529);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_carzd21010zd2_1622;

																		BgL_carzd21010zd2_1622 =
																			CAR(((obj_t) BgL_ez00_69));
																		if (SYMBOLP(BgL_carzd21010zd2_1622))
																			{	/* Eval/evaluate.scm 424 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd21010zd2_1622,
																							BgL_localsz00_70)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5540;

																						{
																							obj_t BgL_argsz00_5542;
																							obj_t BgL_funz00_5541;

																							BgL_funz00_5541 =
																								BgL_carzd21010zd2_1622;
																							BgL_argsz00_5542 =
																								BgL_cdrzd2250zd2_1599;
																							BgL_argsz00_1524 =
																								BgL_argsz00_5542;
																							BgL_funz00_1523 = BgL_funz00_5541;
																							goto BgL_tagzd2152zd2_1525;
																						}
																						return ((obj_t) BgL_auxz00_5540);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_5544;

																						{
																							obj_t BgL_argsz00_5546;
																							obj_t BgL_fz00_5545;

																							BgL_fz00_5545 =
																								BgL_carzd21010zd2_1622;
																							BgL_argsz00_5546 =
																								BgL_cdrzd2250zd2_1599;
																							BgL_argsz00_1591 =
																								BgL_argsz00_5546;
																							BgL_fz00_1590 = BgL_fz00_5545;
																							goto BgL_tagzd2176zd2_1592;
																						}
																						return ((obj_t) BgL_auxz00_5544);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5548;

																				{
																					obj_t BgL_argsz00_5550;
																					obj_t BgL_fz00_5549;

																					BgL_fz00_5549 =
																						BgL_carzd21010zd2_1622;
																					BgL_argsz00_5550 =
																						BgL_cdrzd2250zd2_1599;
																					BgL_argsz00_1591 = BgL_argsz00_5550;
																					BgL_fz00_1590 = BgL_fz00_5549;
																					goto BgL_tagzd2176zd2_1592;
																				}
																				return ((obj_t) BgL_auxz00_5548);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_carzd21717zd2_1632;

																BgL_carzd21717zd2_1632 =
																	CAR(((obj_t) BgL_ez00_69));
																if (SYMBOLP(BgL_carzd21717zd2_1632))
																	{	/* Eval/evaluate.scm 424 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21717zd2_1632,
																					BgL_localsz00_70)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5559;

																				{
																					obj_t BgL_argsz00_5561;
																					obj_t BgL_funz00_5560;

																					BgL_funz00_5560 =
																						BgL_carzd21717zd2_1632;
																					BgL_argsz00_5561 =
																						BgL_cdrzd2250zd2_1599;
																					BgL_argsz00_1524 = BgL_argsz00_5561;
																					BgL_funz00_1523 = BgL_funz00_5560;
																					goto BgL_tagzd2152zd2_1525;
																				}
																				return ((obj_t) BgL_auxz00_5559);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_5563;

																				{
																					obj_t BgL_argsz00_5565;
																					obj_t BgL_fz00_5564;

																					BgL_fz00_5564 =
																						BgL_carzd21717zd2_1632;
																					BgL_argsz00_5565 =
																						BgL_cdrzd2250zd2_1599;
																					BgL_argsz00_1591 = BgL_argsz00_5565;
																					BgL_fz00_1590 = BgL_fz00_5564;
																					goto BgL_tagzd2176zd2_1592;
																				}
																				return ((obj_t) BgL_auxz00_5563);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5567;

																		{
																			obj_t BgL_argsz00_5569;
																			obj_t BgL_fz00_5568;

																			BgL_fz00_5568 = BgL_carzd21717zd2_1632;
																			BgL_argsz00_5569 = BgL_cdrzd2250zd2_1599;
																			BgL_argsz00_1591 = BgL_argsz00_5569;
																			BgL_fz00_1590 = BgL_fz00_5568;
																			goto BgL_tagzd2176zd2_1592;
																		}
																		return ((obj_t) BgL_auxz00_5567);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														obj_t BgL_carzd22424zd2_1642;

														BgL_carzd22424zd2_1642 = CAR(((obj_t) BgL_ez00_69));
														if (SYMBOLP(BgL_carzd22424zd2_1642))
															{	/* Eval/evaluate.scm 424 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22424zd2_1642, BgL_localsz00_70)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5578;

																		{
																			obj_t BgL_argsz00_5580;
																			obj_t BgL_funz00_5579;

																			BgL_funz00_5579 = BgL_carzd22424zd2_1642;
																			BgL_argsz00_5580 = BgL_cdrzd2250zd2_1599;
																			BgL_argsz00_1524 = BgL_argsz00_5580;
																			BgL_funz00_1523 = BgL_funz00_5579;
																			goto BgL_tagzd2152zd2_1525;
																		}
																		return ((obj_t) BgL_auxz00_5578);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_5582;

																		{
																			obj_t BgL_argsz00_5584;
																			obj_t BgL_fz00_5583;

																			BgL_fz00_5583 = BgL_carzd22424zd2_1642;
																			BgL_argsz00_5584 = BgL_cdrzd2250zd2_1599;
																			BgL_argsz00_1591 = BgL_argsz00_5584;
																			BgL_fz00_1590 = BgL_fz00_5583;
																			goto BgL_tagzd2176zd2_1592;
																		}
																		return ((obj_t) BgL_auxz00_5582);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5586;

																{
																	obj_t BgL_argsz00_5588;
																	obj_t BgL_fz00_5587;

																	BgL_fz00_5587 = BgL_carzd22424zd2_1642;
																	BgL_argsz00_5588 = BgL_cdrzd2250zd2_1599;
																	BgL_argsz00_1591 = BgL_argsz00_5588;
																	BgL_fz00_1590 = BgL_fz00_5587;
																	goto BgL_tagzd2176zd2_1592;
																}
																return ((obj_t) BgL_auxz00_5586);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23131zd2_1652;

												BgL_carzd23131zd2_1652 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23131zd2_1652))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23131zd2_1652, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5597;

																{
																	obj_t BgL_argsz00_5599;
																	obj_t BgL_funz00_5598;

																	BgL_funz00_5598 = BgL_carzd23131zd2_1652;
																	BgL_argsz00_5599 = BgL_cdrzd2250zd2_1599;
																	BgL_argsz00_1524 = BgL_argsz00_5599;
																	BgL_funz00_1523 = BgL_funz00_5598;
																	goto BgL_tagzd2152zd2_1525;
																}
																return ((obj_t) BgL_auxz00_5597);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_5601;

																{
																	obj_t BgL_argsz00_5603;
																	obj_t BgL_fz00_5602;

																	BgL_fz00_5602 = BgL_carzd23131zd2_1652;
																	BgL_argsz00_5603 = BgL_cdrzd2250zd2_1599;
																	BgL_argsz00_1591 = BgL_argsz00_5603;
																	BgL_fz00_1590 = BgL_fz00_5602;
																	goto BgL_tagzd2176zd2_1592;
																}
																return ((obj_t) BgL_auxz00_5601);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_5605;

														{
															obj_t BgL_argsz00_5607;
															obj_t BgL_fz00_5606;

															BgL_fz00_5606 = BgL_carzd23131zd2_1652;
															BgL_argsz00_5607 = BgL_cdrzd2250zd2_1599;
															BgL_argsz00_1591 = BgL_argsz00_5607;
															BgL_fz00_1590 = BgL_fz00_5606;
															goto BgL_tagzd2176zd2_1592;
														}
														return ((obj_t) BgL_auxz00_5605);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 424 */
										if (
											(CAR(
													((obj_t) BgL_ez00_69)) ==
												BGl_symbol2988z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 424 */
												BgL_lz00_1521 = BgL_cdrzd2250zd2_1599;
												{	/* Eval/evaluate.scm 442 */
													bool_t BgL_test3189z00_5613;

													if (PAIRP(BgL_lz00_1521))
														{	/* Eval/evaluate.scm 442 */
															bool_t BgL_test3191z00_5616;

															{	/* Eval/evaluate.scm 442 */
																obj_t BgL_tmpz00_5617;

																BgL_tmpz00_5617 = CDR(BgL_lz00_1521);
																BgL_test3191z00_5616 = PAIRP(BgL_tmpz00_5617);
															}
															if (BgL_test3191z00_5616)
																{
																	obj_t BgL_l1215z00_2405;

																	BgL_l1215z00_2405 = BgL_lz00_1521;
																BgL_zc3z04anonymousza32290ze3z87_2406:
																	if (NULLP(BgL_l1215z00_2405))
																		{	/* Eval/evaluate.scm 442 */
																			BgL_test3189z00_5613 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 442 */
																			bool_t BgL_test3193z00_5622;

																			{	/* Eval/evaluate.scm 442 */
																				obj_t BgL_tmpz00_5623;

																				BgL_tmpz00_5623 =
																					CAR(((obj_t) BgL_l1215z00_2405));
																				BgL_test3193z00_5622 =
																					SYMBOLP(BgL_tmpz00_5623);
																			}
																			if (BgL_test3193z00_5622)
																				{
																					obj_t BgL_l1215z00_5627;

																					BgL_l1215z00_5627 =
																						CDR(((obj_t) BgL_l1215z00_2405));
																					BgL_l1215z00_2405 = BgL_l1215z00_5627;
																					goto
																						BgL_zc3z04anonymousza32290ze3z87_2406;
																				}
																			else
																				{	/* Eval/evaluate.scm 442 */
																					BgL_test3189z00_5613 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 442 */
																	BgL_test3189z00_5613 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 442 */
															BgL_test3189z00_5613 = ((bool_t) 0);
														}
													if (BgL_test3189z00_5613)
														{	/* Eval/evaluate.scm 442 */
															BGL_TAIL return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_69, BgL_localsz00_70,
																BgL_globalsz00_71, BgL_tailzf3zf3_72,
																BgL_wherez00_73, BgL_locz00_74,
																BgL_topzf3zf3_75);
														}
													else
														{	/* Eval/evaluate.scm 442 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_74,
																BGl_string2903z00zz__evaluatez00,
																BGl_string2978z00zz__evaluatez00, BgL_ez00_69);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 424 */
												obj_t BgL_carzd23841zd2_1665;

												BgL_carzd23841zd2_1665 = CAR(((obj_t) BgL_ez00_69));
												if (SYMBOLP(BgL_carzd23841zd2_1665))
													{	/* Eval/evaluate.scm 424 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23841zd2_1665, BgL_localsz00_70)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_5639;

																{
																	obj_t BgL_argsz00_5641;
																	obj_t BgL_funz00_5640;

																	BgL_funz00_5640 = BgL_carzd23841zd2_1665;
																	BgL_argsz00_5641 = BgL_cdrzd2250zd2_1599;
																	BgL_argsz00_1524 = BgL_argsz00_5641;
																	BgL_funz00_1523 = BgL_funz00_5640;
																	goto BgL_tagzd2152zd2_1525;
																}
																return ((obj_t) BgL_auxz00_5639);
															}
														else
															{	/* Eval/evaluate.scm 424 */
																if (
																	(BgL_carzd23841zd2_1665 ==
																		BGl_symbol2990z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd2250zd2_1599))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd2250zd2_1599)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1632z00_1676;

																						BgL_arg1632z00_1676 =
																							CAR(BgL_cdrzd2250zd2_1599);
																						{	/* Eval/evaluate.scm 456 */
																							BgL_ev_trapz00_bglt
																								BgL_new1111z00_3929;
																							{	/* Eval/evaluate.scm 457 */
																								BgL_ev_trapz00_bglt
																									BgL_new1110z00_3930;
																								BgL_new1110z00_3930 =
																									((BgL_ev_trapz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_trapz00_bgl))));
																								{	/* Eval/evaluate.scm 457 */
																									long BgL_arg2295z00_3931;

																									BgL_arg2295z00_3931 =
																										BGL_CLASS_NUM
																										(BGl_ev_trapz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1110z00_3930),
																										BgL_arg2295z00_3931);
																								}
																								BgL_new1111z00_3929 =
																									BgL_new1110z00_3930;
																							}
																							{
																								BgL_ev_exprz00_bglt
																									BgL_auxz00_5655;
																								{	/* Eval/evaluate.scm 380 */
																									obj_t BgL_arg2436z00_3935;

																									BgL_arg2436z00_3935 =
																										BGl_getzd2locationzd2zz__evaluatez00
																										(BgL_arg1632z00_1676,
																										BgL_locz00_74);
																									BgL_auxz00_5655 =
																										((BgL_ev_exprz00_bglt)
																										BGl_uconvzf2locze70z15zz__evaluatez00
																										(BgL_wherez00_73,
																											BgL_globalsz00_71,
																											BgL_localsz00_70,
																											BgL_arg1632z00_1676,
																											BgL_arg2436z00_3935));
																								}
																								((((BgL_ev_hookz00_bglt)
																											COBJECT((
																													(BgL_ev_hookz00_bglt)
																													BgL_new1111z00_3929)))->
																										BgL_ez00) =
																									((BgL_ev_exprz00_bglt)
																										BgL_auxz00_5655), BUNSPEC);
																							}
																							return
																								((obj_t) BgL_new1111z00_3929);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1633z00_1677;
																						obj_t BgL_arg1634z00_1678;

																						BgL_arg1633z00_1677 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg1634z00_1678 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5666;
																							{
																								obj_t BgL_argsz00_5668;
																								obj_t BgL_fz00_5667;

																								BgL_fz00_5667 =
																									BgL_arg1633z00_1677;
																								BgL_argsz00_5668 =
																									BgL_arg1634z00_1678;
																								BgL_argsz00_1591 =
																									BgL_argsz00_5668;
																								BgL_fz00_1590 = BgL_fz00_5667;
																								goto BgL_tagzd2176zd2_1592;
																							}
																							return ((obj_t) BgL_auxz00_5666);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1636z00_1680;
																				obj_t BgL_arg1637z00_1681;

																				BgL_arg1636z00_1680 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1637z00_1681 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5674;

																					{
																						obj_t BgL_argsz00_5676;
																						obj_t BgL_fz00_5675;

																						BgL_fz00_5675 = BgL_arg1636z00_1680;
																						BgL_argsz00_5676 =
																							BgL_arg1637z00_1681;
																						BgL_argsz00_1591 = BgL_argsz00_5676;
																						BgL_fz00_1590 = BgL_fz00_5675;
																						goto BgL_tagzd2176zd2_1592;
																					}
																					return ((obj_t) BgL_auxz00_5674);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_cdrzd24514zd2_1682;

																		BgL_cdrzd24514zd2_1682 =
																			CDR(((obj_t) BgL_ez00_69));
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol2955z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd24514zd2_1682))
																					{	/* Eval/evaluate.scm 424 */
																						if (NULLP(CDR
																								(BgL_cdrzd24514zd2_1682)))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1644z00_1688;

																								BgL_arg1644z00_1688 =
																									CAR(BgL_cdrzd24514zd2_1682);
																								{	/* Eval/evaluate.scm 459 */
																									BgL_ev_littz00_bglt
																										BgL_new1113z00_3944;
																									{	/* Eval/evaluate.scm 460 */
																										BgL_ev_littz00_bglt
																											BgL_new1112z00_3945;
																										BgL_new1112z00_3945 =
																											((BgL_ev_littz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 460 */
																											long BgL_arg2296z00_3946;

																											BgL_arg2296z00_3946 =
																												BGL_CLASS_NUM
																												(BGl_ev_littz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1112z00_3945),
																												BgL_arg2296z00_3946);
																										}
																										BgL_new1113z00_3944 =
																											BgL_new1112z00_3945;
																									}
																									((((BgL_ev_littz00_bglt)
																												COBJECT
																												(BgL_new1113z00_3944))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1644z00_1688),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1113z00_3944);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1645z00_1689;

																								BgL_arg1645z00_1689 =
																									CAR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5698;
																									{
																										obj_t BgL_argsz00_5700;
																										obj_t BgL_fz00_5699;

																										BgL_fz00_5699 =
																											BgL_arg1645z00_1689;
																										BgL_argsz00_5700 =
																											BgL_cdrzd24514zd2_1682;
																										BgL_argsz00_1591 =
																											BgL_argsz00_5700;
																										BgL_fz00_1590 =
																											BgL_fz00_5699;
																										goto BgL_tagzd2176zd2_1592;
																									}
																									return
																										((obj_t) BgL_auxz00_5698);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1654z00_1692;

																						BgL_arg1654z00_1692 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5704;
																							{
																								obj_t BgL_argsz00_5706;
																								obj_t BgL_fz00_5705;

																								BgL_fz00_5705 =
																									BgL_arg1654z00_1692;
																								BgL_argsz00_5706 =
																									BgL_cdrzd24514zd2_1682;
																								BgL_argsz00_1591 =
																									BgL_argsz00_5706;
																								BgL_fz00_1590 = BgL_fz00_5705;
																								goto BgL_tagzd2176zd2_1592;
																							}
																							return ((obj_t) BgL_auxz00_5704);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol2963z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						if (PAIRP(BgL_cdrzd24514zd2_1682))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd25128zd2_1698;

																								BgL_cdrzd25128zd2_1698 =
																									CDR(BgL_cdrzd24514zd2_1682);
																								if (PAIRP
																									(BgL_cdrzd25128zd2_1698))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd25133zd2_1700;
																										BgL_cdrzd25133zd2_1700 =
																											CDR
																											(BgL_cdrzd25128zd2_1698);
																										if (PAIRP
																											(BgL_cdrzd25133zd2_1700))
																											{	/* Eval/evaluate.scm 424 */
																												if (NULLP(CDR
																														(BgL_cdrzd25133zd2_1700)))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1663z00_1704;
																														obj_t
																															BgL_arg1668z00_1705;
																														obj_t
																															BgL_arg1669z00_1706;
																														BgL_arg1663z00_1704
																															=
																															CAR
																															(BgL_cdrzd24514zd2_1682);
																														BgL_arg1668z00_1705
																															=
																															CAR
																															(BgL_cdrzd25128zd2_1698);
																														BgL_arg1669z00_1706
																															=
																															CAR
																															(BgL_cdrzd25133zd2_1700);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_5726;
																															BgL_pz00_1530 =
																																BgL_arg1663z00_1704;
																															BgL_tz00_1531 =
																																BgL_arg1668z00_1705;
																															BgL_oz00_1532 =
																																BgL_arg1669z00_1706;
																														BgL_tagzd2155zd2_1533:
																															{	/* Eval/evaluate.scm 462 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1117z00_2425;
																																{	/* Eval/evaluate.scm 463 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1116z00_2429;
																																	BgL_new1116z00_2429
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BOBJECT
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 463 */
																																		long
																																			BgL_arg2300z00_2430;
																																		BgL_arg2300z00_2430
																																			=
																																			BGL_CLASS_NUM
																																			(BGl_ev_ifz00zz__evaluate_typesz00);
																																		BGL_OBJECT_CLASS_NUM_SET
																																			(((BgL_objectz00_bglt) BgL_new1116z00_2429), BgL_arg2300z00_2430);
																																	}
																																	BgL_new1117z00_2425
																																		=
																																		BgL_new1116z00_2429;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5731;
																																	{	/* Eval/evaluate.scm 463 */
																																		obj_t
																																			BgL_arg2297z00_2426;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3600;
																																			BgL__ortest_1069z00_3600
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_1530);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3600))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2297z00_2426
																																						=
																																						BgL__ortest_1069z00_3600;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2297z00_2426
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5731
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_1530,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BFALSE,
																																				BgL_wherez00_73,
																																				BgL_arg2297z00_2426,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2425))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5731), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5738;
																																	{	/* Eval/evaluate.scm 464 */
																																		obj_t
																																			BgL_arg2298z00_2427;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3601;
																																			BgL__ortest_1069z00_3601
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_1531);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3601))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2298z00_2427
																																						=
																																						BgL__ortest_1069z00_3601;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2298z00_2427
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5738
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_1531,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2298z00_2427,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2425))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5738), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_5745;
																																	{	/* Eval/evaluate.scm 465 */
																																		obj_t
																																			BgL_arg2299z00_2428;
																																		{	/* Eval/evaluate.scm 144 */
																																			obj_t
																																				BgL__ortest_1069z00_3602;
																																			BgL__ortest_1069z00_3602
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_1532);
																																			if (CBOOL
																																				(BgL__ortest_1069z00_3602))
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2299z00_2428
																																						=
																																						BgL__ortest_1069z00_3602;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 144 */
																																					BgL_arg2299z00_2428
																																						=
																																						BgL_locz00_74;
																																				}
																																		}
																																		BgL_auxz00_5745
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_1532,
																																				BgL_localsz00_70,
																																				BgL_globalsz00_71,
																																				BgL_tailzf3zf3_72,
																																				BgL_wherez00_73,
																																				BgL_arg2299z00_2428,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1117z00_2425))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5745), BUNSPEC);
																																}
																																BgL_auxz00_5726
																																	=
																																	BgL_new1117z00_2425;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5726);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg1670z00_1707;
																														obj_t
																															BgL_arg1671z00_1708;
																														BgL_arg1670z00_1707
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														BgL_arg1671z00_1708
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5757;
																															{
																																obj_t
																																	BgL_argsz00_5759;
																																obj_t
																																	BgL_fz00_5758;
																																BgL_fz00_5758 =
																																	BgL_arg1670z00_1707;
																																BgL_argsz00_5759
																																	=
																																	BgL_arg1671z00_1708;
																																BgL_argsz00_1591
																																	=
																																	BgL_argsz00_5759;
																																BgL_fz00_1590 =
																																	BgL_fz00_5758;
																																goto
																																	BgL_tagzd2176zd2_1592;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5757);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd25433zd2_1710;
																												BgL_cdrzd25433zd2_1710 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_cdrzd25439zd2_1711;
																													BgL_cdrzd25439zd2_1711
																														=
																														CDR(((obj_t)
																															BgL_cdrzd25433zd2_1710));
																													if (NULLP(CDR(((obj_t)
																																	BgL_cdrzd25439zd2_1711))))
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1675z00_1714;
																															obj_t
																																BgL_arg1678z00_1715;
																															BgL_arg1675z00_1714
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25433zd2_1710));
																															BgL_arg1678z00_1715
																																=
																																CAR(((obj_t)
																																	BgL_cdrzd25439zd2_1711));
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_5773;
																																BgL_pz00_1534 =
																																	BgL_arg1675z00_1714;
																																BgL_tz00_1535 =
																																	BgL_arg1678z00_1715;
																															BgL_tagzd2156zd2_1536:
																																{	/* Eval/evaluate.scm 467 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1119z00_2431;
																																	{	/* Eval/evaluate.scm 468 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1118z00_2435;
																																		BgL_new1118z00_2435
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BOBJECT
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 468 */
																																			long
																																				BgL_arg2305z00_2436;
																																			BgL_arg2305z00_2436
																																				=
																																				BGL_CLASS_NUM
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(((BgL_objectz00_bglt) BgL_new1118z00_2435), BgL_arg2305z00_2436);
																																		}
																																		BgL_new1119z00_2431
																																			=
																																			BgL_new1118z00_2435;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5778;
																																		{	/* Eval/evaluate.scm 468 */
																																			obj_t
																																				BgL_arg2301z00_2432;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3606;
																																				BgL__ortest_1069z00_3606
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_1534);
																																				if (CBOOL(BgL__ortest_1069z00_3606))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2301z00_2432
																																							=
																																							BgL__ortest_1069z00_3606;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2301z00_2432
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5778
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_1534,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BFALSE,
																																					BgL_wherez00_73,
																																					BgL_arg2301z00_2432,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2431))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5778), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5785;
																																		{	/* Eval/evaluate.scm 469 */
																																			obj_t
																																				BgL_arg2302z00_2433;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3607;
																																				BgL__ortest_1069z00_3607
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_1535);
																																				if (CBOOL(BgL__ortest_1069z00_3607))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2302z00_2433
																																							=
																																							BgL__ortest_1069z00_3607;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2302z00_2433
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5785
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_1535,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2302z00_2433,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2431))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5785), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_5792;
																																		{	/* Eval/evaluate.scm 470 */
																																			obj_t
																																				BgL_arg2304z00_2434;
																																			{	/* Eval/evaluate.scm 144 */
																																				obj_t
																																					BgL__ortest_1069z00_3608;
																																				BgL__ortest_1069z00_3608
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1069z00_3608))
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2304z00_2434
																																							=
																																							BgL__ortest_1069z00_3608;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 144 */
																																						BgL_arg2304z00_2434
																																							=
																																							BgL_locz00_74;
																																					}
																																			}
																																			BgL_auxz00_5792
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_69,
																																					BgL_localsz00_70,
																																					BgL_globalsz00_71,
																																					BgL_tailzf3zf3_72,
																																					BgL_wherez00_73,
																																					BgL_arg2304z00_2434,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1119z00_2431))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5792), BUNSPEC);
																																	}
																																	BgL_auxz00_5773
																																		=
																																		BgL_new1119z00_2431;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5773);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 424 */
																															obj_t
																																BgL_arg1681z00_1716;
																															BgL_arg1681z00_1716
																																=
																																CAR(((obj_t)
																																	BgL_ez00_69));
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_5802;
																																{
																																	obj_t
																																		BgL_argsz00_5804;
																																	obj_t
																																		BgL_fz00_5803;
																																	BgL_fz00_5803
																																		=
																																		BgL_arg1681z00_1716;
																																	BgL_argsz00_5804
																																		=
																																		BgL_cdrzd25433zd2_1710;
																																	BgL_argsz00_1591
																																		=
																																		BgL_argsz00_5804;
																																	BgL_fz00_1590
																																		=
																																		BgL_fz00_5803;
																																	goto
																																		BgL_tagzd2176zd2_1592;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_5802);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1686z00_1719;
																										obj_t BgL_arg1689z00_1720;

																										BgL_arg1686z00_1719 =
																											CAR(
																											((obj_t) BgL_ez00_69));
																										BgL_arg1689z00_1720 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5810;
																											{
																												obj_t BgL_argsz00_5812;
																												obj_t BgL_fz00_5811;

																												BgL_fz00_5811 =
																													BgL_arg1686z00_1719;
																												BgL_argsz00_5812 =
																													BgL_arg1689z00_1720;
																												BgL_argsz00_1591 =
																													BgL_argsz00_5812;
																												BgL_fz00_1590 =
																													BgL_fz00_5811;
																												goto
																													BgL_tagzd2176zd2_1592;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5810);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1690z00_1721;
																								obj_t BgL_arg1693z00_1722;

																								BgL_arg1690z00_1721 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg1693z00_1722 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5818;
																									{
																										obj_t BgL_argsz00_5820;
																										obj_t BgL_fz00_5819;

																										BgL_fz00_5819 =
																											BgL_arg1690z00_1721;
																										BgL_argsz00_5820 =
																											BgL_arg1693z00_1722;
																										BgL_argsz00_1591 =
																											BgL_argsz00_5820;
																										BgL_fz00_1590 =
																											BgL_fz00_5819;
																										goto BgL_tagzd2176zd2_1592;
																									}
																									return
																										((obj_t) BgL_auxz00_5818);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol2992z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg1698z00_1725;

																								BgL_arg1698z00_1725 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 472 */
																									BgL_ev_orz00_bglt
																										BgL_new1122z00_3977;
																									{	/* Eval/evaluate.scm 473 */
																										BgL_ev_orz00_bglt
																											BgL_new1120z00_3978;
																										BgL_new1120z00_3978 =
																											((BgL_ev_orz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_orz00_bgl))));
																										{	/* Eval/evaluate.scm 473 */
																											long BgL_arg2306z00_3979;

																											BgL_arg2306z00_3979 =
																												BGL_CLASS_NUM
																												(BGl_ev_orz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1120z00_3978),
																												BgL_arg2306z00_3979);
																										}
																										BgL_new1122z00_3977 =
																											BgL_new1120z00_3978;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1122z00_3977)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg1698z00_1725)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1122z00_3977);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol2994z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg1706z00_1728;

																										BgL_arg1706z00_1728 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										{	/* Eval/evaluate.scm 475 */
																											BgL_ev_andz00_bglt
																												BgL_new1124z00_3985;
																											{	/* Eval/evaluate.scm 476 */
																												BgL_ev_andz00_bglt
																													BgL_new1123z00_3986;
																												BgL_new1123z00_3986 =
																													((BgL_ev_andz00_bglt)
																													BOBJECT(GC_MALLOC
																														(sizeof(struct
																																BgL_ev_andz00_bgl))));
																												{	/* Eval/evaluate.scm 476 */
																													long
																														BgL_arg2307z00_3987;
																													BgL_arg2307z00_3987 =
																														BGL_CLASS_NUM
																														(BGl_ev_andz00zz__evaluate_typesz00);
																													BGL_OBJECT_CLASS_NUM_SET
																														(((BgL_objectz00_bglt) BgL_new1123z00_3986), BgL_arg2307z00_3987);
																												}
																												BgL_new1124z00_3985 =
																													BgL_new1123z00_3986;
																											}
																											((((BgL_ev_listz00_bglt)
																														COBJECT((
																																(BgL_ev_listz00_bglt)
																																BgL_new1124z00_3985)))->
																													BgL_argsz00) =
																												((obj_t)
																													BGl_loopze70ze7zz__evaluatez00
																													(BgL_wherez00_73,
																														BgL_globalsz00_71,
																														BgL_localsz00_70,
																														BgL_locz00_74,
																														BgL_arg1706z00_1728)),
																												BUNSPEC);
																											return ((obj_t)
																												BgL_new1124z00_3985);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										if (
																											(CAR(
																													((obj_t) BgL_ez00_69))
																												==
																												BGl_symbol2979z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1709z00_1731;
																												BgL_arg1709z00_1731 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												BGL_TAIL return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(BgL_arg1709z00_1731,
																													BgL_localsz00_70,
																													BgL_globalsz00_71,
																													BgL_tailzf3zf3_72,
																													BgL_wherez00_73,
																													BgL_locz00_74,
																													BgL_topzf3zf3_75);
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_cdrzd26338zd2_1732;
																												BgL_cdrzd26338zd2_1732 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												if ((CAR(((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol2965z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd26338zd2_1732))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1713z00_1736;
																																obj_t
																																	BgL_arg1714z00_1737;
																																BgL_arg1713z00_1736
																																	=
																																	CAR
																																	(BgL_cdrzd26338zd2_1732);
																																BgL_arg1714z00_1737
																																	=
																																	CDR
																																	(BgL_cdrzd26338zd2_1732);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_5867;
																																	BgL_bindsz00_1543
																																		=
																																		BgL_arg1713z00_1736;
																																	BgL_bodyz00_1544
																																		=
																																		BgL_arg1714z00_1737;
																																BgL_tagzd2160zd2_1545:
																																	{	/* Eval/evaluate.scm 480 */
																																		obj_t
																																			BgL_ubindsz00_2443;
																																		if (NULLP
																																			(BgL_bindsz00_1543))
																																			{	/* Eval/evaluate.scm 480 */
																																				BgL_ubindsz00_2443
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 480 */
																																				obj_t
																																					BgL_head1220z00_2488;
																																				BgL_head1220z00_2488
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BNIL,
																																					BNIL);
																																				{
																																					obj_t
																																						BgL_l1218z00_3644;
																																					obj_t
																																						BgL_tail1221z00_3645;
																																					BgL_l1218z00_3644
																																						=
																																						BgL_bindsz00_1543;
																																					BgL_tail1221z00_3645
																																						=
																																						BgL_head1220z00_2488;
																																				BgL_zc3z04anonymousza32328ze3z87_3643:
																																					if (NULLP(BgL_l1218z00_3644))
																																						{	/* Eval/evaluate.scm 480 */
																																							BgL_ubindsz00_2443
																																								=
																																								CDR
																																								(BgL_head1220z00_2488);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 480 */
																																							obj_t
																																								BgL_newtail1222z00_3653;
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2331z00_3654;
																																								{	/* Eval/evaluate.scm 480 */
																																									obj_t
																																										BgL_bz00_3655;
																																									BgL_bz00_3655
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_l1218z00_3644));
																																									{	/* Eval/evaluate.scm 480 */
																																										obj_t
																																											BgL_arg2332z00_3656;
																																										BgL_arg2332z00_3656
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_bz00_3655));
																																										BgL_arg2331z00_3654
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(BgL_arg2332z00_3656);
																																									}
																																								}
																																								BgL_newtail1222z00_3653
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BgL_arg2331z00_3654,
																																									BNIL);
																																							}
																																							SET_CDR
																																								(BgL_tail1221z00_3645,
																																								BgL_newtail1222z00_3653);
																																							{	/* Eval/evaluate.scm 480 */
																																								obj_t
																																									BgL_arg2330z00_3657;
																																								BgL_arg2330z00_3657
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_l1218z00_3644));
																																								{
																																									obj_t
																																										BgL_tail1221z00_5884;
																																									obj_t
																																										BgL_l1218z00_5883;
																																									BgL_l1218z00_5883
																																										=
																																										BgL_arg2330z00_3657;
																																									BgL_tail1221z00_5884
																																										=
																																										BgL_newtail1222z00_3653;
																																									BgL_tail1221z00_3645
																																										=
																																										BgL_tail1221z00_5884;
																																									BgL_l1218z00_3644
																																										=
																																										BgL_l1218z00_5883;
																																									goto
																																										BgL_zc3z04anonymousza32328ze3z87_3643;
																																								}
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 480 */
																																			obj_t
																																				BgL_varsz00_2444;
																																			if (NULLP
																																				(BgL_ubindsz00_2443))
																																				{	/* Eval/evaluate.scm 481 */
																																					BgL_varsz00_2444
																																						=
																																						BNIL;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 481 */
																																					obj_t
																																						BgL_head1225z00_2472;
																																					BgL_head1225z00_2472
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BNIL,
																																						BNIL);
																																					{
																																						obj_t
																																							BgL_l1223z00_2474;
																																						obj_t
																																							BgL_tail1226z00_2475;
																																						BgL_l1223z00_2474
																																							=
																																							BgL_ubindsz00_2443;
																																						BgL_tail1226z00_2475
																																							=
																																							BgL_head1225z00_2472;
																																					BgL_zc3z04anonymousza32322ze3z87_2476:
																																						if (NULLP(BgL_l1223z00_2474))
																																							{	/* Eval/evaluate.scm 481 */
																																								BgL_varsz00_2444
																																									=
																																									CDR
																																									(BgL_head1225z00_2472);
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 481 */
																																								obj_t
																																									BgL_newtail1227z00_2478;
																																								{	/* Eval/evaluate.scm 481 */
																																									BgL_ev_varz00_bglt
																																										BgL_arg2325z00_2480;
																																									{	/* Eval/evaluate.scm 481 */
																																										obj_t
																																											BgL_iz00_2481;
																																										BgL_iz00_2481
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_l1223z00_2474));
																																										{	/* Eval/evaluate.scm 482 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1127z00_2482;
																																											{	/* Eval/evaluate.scm 484 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1125z00_2483;
																																												BgL_new1125z00_2483
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 484 */
																																													long
																																														BgL_arg2326z00_2484;
																																													BgL_arg2326z00_2484
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_varz00zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1125z00_2483), BgL_arg2326z00_2484);
																																												}
																																												BgL_new1127z00_2482
																																													=
																																													BgL_new1125z00_2483;
																																											}
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2482))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2481))), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2482))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) COBJECT(BgL_new1127z00_2482))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2481))), BUNSPEC);
																																											BgL_arg2325z00_2480
																																												=
																																												BgL_new1127z00_2482;
																																									}}
																																									BgL_newtail1227z00_2478
																																										=
																																										MAKE_YOUNG_PAIR
																																										(
																																										((obj_t) BgL_arg2325z00_2480), BNIL);
																																								}
																																								SET_CDR
																																									(BgL_tail1226z00_2475,
																																									BgL_newtail1227z00_2478);
																																								{	/* Eval/evaluate.scm 481 */
																																									obj_t
																																										BgL_arg2324z00_2479;
																																									BgL_arg2324z00_2479
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_l1223z00_2474));
																																									{
																																										obj_t
																																											BgL_tail1226z00_5910;
																																										obj_t
																																											BgL_l1223z00_5909;
																																										BgL_l1223z00_5909
																																											=
																																											BgL_arg2324z00_2479;
																																										BgL_tail1226z00_5910
																																											=
																																											BgL_newtail1227z00_2478;
																																										BgL_tail1226z00_2475
																																											=
																																											BgL_tail1226z00_5910;
																																										BgL_l1223z00_2474
																																											=
																																											BgL_l1223z00_5909;
																																										goto
																																											BgL_zc3z04anonymousza32322ze3z87_2476;
																																									}
																																								}
																																							}
																																					}
																																				}
																																			{	/* Eval/evaluate.scm 481 */
																																				obj_t
																																					BgL_bodyz00_2445;
																																				{	/* Eval/evaluate.scm 486 */
																																					bool_t
																																						BgL_test3223z00_5911;
																																					{	/* Eval/evaluate.scm 486 */
																																						obj_t
																																							BgL_tmpz00_5912;
																																						BgL_tmpz00_5912
																																							=
																																							CDR
																																							(((obj_t) BgL_bodyz00_1544));
																																						BgL_test3223z00_5911
																																							=
																																							PAIRP
																																							(BgL_tmpz00_5912);
																																					}
																																					if (BgL_test3223z00_5911)
																																						{	/* Eval/evaluate.scm 486 */
																																							obj_t
																																								BgL_res2884z00_3674;
																																							BgL_res2884z00_3674
																																								=
																																								MAKE_YOUNG_EPAIR
																																								(BGl_symbol2979z00zz__evaluatez00,
																																								BgL_bodyz00_1544,
																																								BgL_locz00_74);
																																							BgL_bodyz00_2445
																																								=
																																								BgL_res2884z00_3674;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 486 */
																																							BgL_bodyz00_2445
																																								=
																																								CAR
																																								(
																																								((obj_t) BgL_bodyz00_1544));
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 486 */
																																					obj_t
																																						BgL_tbodyz00_2446;
																																					BgL_tbodyz00_2446
																																						=
																																						BGl_typezd2checkszd2zz__evaluatez00
																																						(BgL_ubindsz00_2443,
																																						BgL_bindsz00_1543,
																																						BgL_bodyz00_2445,
																																						BgL_locz00_74,
																																						BgL_wherez00_73);
																																					{	/* Eval/evaluate.scm 487 */

																																						{	/* Eval/evaluate.scm 488 */
																																							obj_t
																																								BgL_blocz00_2447;
																																							{	/* Eval/evaluate.scm 144 */
																																								obj_t
																																									BgL__ortest_1069z00_3676;
																																								BgL__ortest_1069z00_3676
																																									=
																																									BGl_getzd2sourcezd2locationz00zz__readerz00
																																									(BgL_bindsz00_1543);
																																								if (CBOOL(BgL__ortest_1069z00_3676))
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2447
																																											=
																																											BgL__ortest_1069z00_3676;
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 144 */
																																										BgL_blocz00_2447
																																											=
																																											BgL_locz00_74;
																																									}
																																							}
																																							{	/* Eval/evaluate.scm 489 */
																																								BgL_ev_letz00_bglt
																																									BgL_new1129z00_2448;
																																								{	/* Eval/evaluate.scm 490 */
																																									BgL_ev_letz00_bglt
																																										BgL_new1128z00_2465;
																																									BgL_new1128z00_2465
																																										=
																																										(
																																										(BgL_ev_letz00_bglt)
																																										BOBJECT
																																										(GC_MALLOC
																																											(sizeof
																																												(struct
																																													BgL_ev_letz00_bgl))));
																																									{	/* Eval/evaluate.scm 490 */
																																										long
																																											BgL_arg2315z00_2466;
																																										BgL_arg2315z00_2466
																																											=
																																											BGL_CLASS_NUM
																																											(BGl_ev_letz00zz__evaluate_typesz00);
																																										BGL_OBJECT_CLASS_NUM_SET
																																											(
																																											((BgL_objectz00_bglt) BgL_new1128z00_2465), BgL_arg2315z00_2466);
																																									}
																																									BgL_new1129z00_2448
																																										=
																																										BgL_new1128z00_2465;
																																								}
																																								((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1129z00_2448)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2444), BUNSPEC);
																																								{
																																									obj_t
																																										BgL_auxz00_5929;
																																									if (NULLP(BgL_bindsz00_1543))
																																										{	/* Eval/evaluate.scm 491 */
																																											BgL_auxz00_5929
																																												=
																																												BNIL;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 491 */
																																											obj_t
																																												BgL_head1230z00_2451;
																																											BgL_head1230z00_2451
																																												=
																																												MAKE_YOUNG_PAIR
																																												(BNIL,
																																												BNIL);
																																											{
																																												obj_t
																																													BgL_l1228z00_2453;
																																												obj_t
																																													BgL_tail1231z00_2454;
																																												BgL_l1228z00_2453
																																													=
																																													BgL_bindsz00_1543;
																																												BgL_tail1231z00_2454
																																													=
																																													BgL_head1230z00_2451;
																																											BgL_zc3z04anonymousza32309ze3z87_2455:
																																												if (NULLP(BgL_l1228z00_2453))
																																													{	/* Eval/evaluate.scm 491 */
																																														BgL_auxz00_5929
																																															=
																																															CDR
																																															(BgL_head1230z00_2451);
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 491 */
																																														obj_t
																																															BgL_newtail1232z00_2457;
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2312z00_2459;
																																															{	/* Eval/evaluate.scm 491 */
																																																obj_t
																																																	BgL_bz00_2460;
																																																BgL_bz00_2460
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_l1228z00_2453));
																																																{	/* Eval/evaluate.scm 492 */
																																																	obj_t
																																																		BgL_locz00_2461;
																																																	{	/* Eval/evaluate.scm 144 */
																																																		obj_t
																																																			BgL__ortest_1069z00_3682;
																																																		BgL__ortest_1069z00_3682
																																																			=
																																																			BGl_getzd2sourcezd2locationz00zz__readerz00
																																																			(BgL_bz00_2460);
																																																		if (CBOOL(BgL__ortest_1069z00_3682))
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2461
																																																					=
																																																					BgL__ortest_1069z00_3682;
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 144 */
																																																				BgL_locz00_2461
																																																					=
																																																					BgL_blocz00_2447;
																																																			}
																																																	}
																																																	{	/* Eval/evaluate.scm 493 */
																																																		obj_t
																																																			BgL_arg2313z00_2462;
																																																		{	/* Eval/evaluate.scm 493 */
																																																			obj_t
																																																				BgL_pairz00_3686;
																																																			BgL_pairz00_3686
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_bz00_2460));
																																																			BgL_arg2313z00_2462
																																																				=
																																																				CAR
																																																				(BgL_pairz00_3686);
																																																		}
																																																		BgL_arg2312z00_2459
																																																			=
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_arg2313z00_2462,
																																																			BgL_localsz00_70,
																																																			BgL_globalsz00_71,
																																																			BFALSE,
																																																			BgL_wherez00_73,
																																																			BgL_locz00_2461,
																																																			((bool_t) 0));
																																																	}
																																																}
																																															}
																																															BgL_newtail1232z00_2457
																																																=
																																																MAKE_YOUNG_PAIR
																																																(BgL_arg2312z00_2459,
																																																BNIL);
																																														}
																																														SET_CDR
																																															(BgL_tail1231z00_2454,
																																															BgL_newtail1232z00_2457);
																																														{	/* Eval/evaluate.scm 491 */
																																															obj_t
																																																BgL_arg2311z00_2458;
																																															BgL_arg2311z00_2458
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_l1228z00_2453));
																																															{
																																																obj_t
																																																	BgL_tail1231z00_5951;
																																																obj_t
																																																	BgL_l1228z00_5950;
																																																BgL_l1228z00_5950
																																																	=
																																																	BgL_arg2311z00_2458;
																																																BgL_tail1231z00_5951
																																																	=
																																																	BgL_newtail1232z00_2457;
																																																BgL_tail1231z00_2454
																																																	=
																																																	BgL_tail1231z00_5951;
																																																BgL_l1228z00_2453
																																																	=
																																																	BgL_l1228z00_5950;
																																																goto
																																																	BgL_zc3z04anonymousza32309ze3z87_2455;
																																															}
																																														}
																																													}
																																											}
																																										}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1129z00_2448)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5929), BUNSPEC);
																																								}
																																								{
																																									BgL_ev_exprz00_bglt
																																										BgL_auxz00_5953;
																																									{	/* Eval/evaluate.scm 495 */
																																										obj_t
																																											BgL_arg2314z00_2464;
																																										BgL_arg2314z00_2464
																																											=
																																											BGl_appendzd221011zd2zz__evaluatez00
																																											(BgL_varsz00_2444,
																																											BgL_localsz00_70);
																																										BgL_auxz00_5953
																																											=
																																											(
																																											(BgL_ev_exprz00_bglt)
																																											BGl_convz00zz__evaluatez00
																																											(BgL_tbodyz00_2446,
																																												BgL_arg2314z00_2464,
																																												BgL_globalsz00_71,
																																												BgL_tailzf3zf3_72,
																																												BgL_wherez00_73,
																																												BgL_locz00_74,
																																												((bool_t) 0)));
																																									}
																																									((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1129z00_2448)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5953), BUNSPEC);
																																								}
																																								((((BgL_ev_letz00_bglt) COBJECT(BgL_new1129z00_2448))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																								BgL_auxz00_5867
																																									=
																																									BgL_new1129z00_2448;
																																							}
																																						}
																																					}
																																				}
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5867);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg1715z00_1738;
																																BgL_arg1715z00_1738
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5963;
																																	{
																																		obj_t
																																			BgL_argsz00_5965;
																																		obj_t
																																			BgL_fz00_5964;
																																		BgL_fz00_5964
																																			=
																																			BgL_arg1715z00_1738;
																																		BgL_argsz00_5965
																																			=
																																			BgL_cdrzd26338zd2_1732;
																																		BgL_argsz00_1591
																																			=
																																			BgL_argsz00_5965;
																																		BgL_fz00_1590
																																			=
																																			BgL_fz00_5964;
																																		goto
																																			BgL_tagzd2176zd2_1592;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5963);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														if (
																															(CAR(
																																	((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol2996z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd26338zd2_1732))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1720z00_1744;
																																		obj_t
																																			BgL_arg1721z00_1745;
																																		BgL_arg1720z00_1744
																																			=
																																			CAR
																																			(BgL_cdrzd26338zd2_1732);
																																		BgL_arg1721z00_1745
																																			=
																																			CDR
																																			(BgL_cdrzd26338zd2_1732);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_5975;
																																			BgL_bindsz00_1546
																																				=
																																				BgL_arg1720z00_1744;
																																			BgL_bodyz00_1547
																																				=
																																				BgL_arg1721z00_1745;
																																		BgL_tagzd2161zd2_1548:
																																			{	/* Eval/evaluate.scm 503 */
																																				obj_t
																																					BgL_varsz00_2501;
																																				obj_t
																																					BgL_blocz00_2502;
																																				if (NULLP(BgL_bindsz00_1546))
																																					{	/* Eval/evaluate.scm 503 */
																																						BgL_varsz00_2501
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 503 */
																																						obj_t
																																							BgL_head1235z00_2510;
																																						BgL_head1235z00_2510
																																							=
																																							MAKE_YOUNG_PAIR
																																							(BNIL,
																																							BNIL);
																																						{
																																							obj_t
																																								BgL_l1233z00_2512;
																																							obj_t
																																								BgL_tail1236z00_2513;
																																							BgL_l1233z00_2512
																																								=
																																								BgL_bindsz00_1546;
																																							BgL_tail1236z00_2513
																																								=
																																								BgL_head1235z00_2510;
																																						BgL_zc3z04anonymousza32337ze3z87_2514:
																																							if (NULLP(BgL_l1233z00_2512))
																																								{	/* Eval/evaluate.scm 503 */
																																									BgL_varsz00_2501
																																										=
																																										CDR
																																										(BgL_head1235z00_2510);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 503 */
																																									obj_t
																																										BgL_newtail1237z00_2516;
																																									{	/* Eval/evaluate.scm 503 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2340z00_2518;
																																										{	/* Eval/evaluate.scm 503 */
																																											obj_t
																																												BgL_bz00_2519;
																																											BgL_bz00_2519
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_l1233z00_2512));
																																											{	/* Eval/evaluate.scm 504 */
																																												obj_t
																																													BgL_iz00_2520;
																																												{	/* Eval/evaluate.scm 504 */
																																													obj_t
																																														BgL_arg2342z00_2524;
																																													BgL_arg2342z00_2524
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_bz00_2519));
																																													BgL_iz00_2520
																																														=
																																														BGl_untypezd2identzd2zz__evaluatez00
																																														(BgL_arg2342z00_2524);
																																												}
																																												{	/* Eval/evaluate.scm 505 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1132z00_2521;
																																													{	/* Eval/evaluate.scm 507 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1131z00_2522;
																																														BgL_new1131z00_2522
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 507 */
																																															long
																																																BgL_arg2341z00_2523;
																																															BgL_arg2341z00_2523
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_varz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1131z00_2522), BgL_arg2341z00_2523);
																																														}
																																														BgL_new1132z00_2521
																																															=
																																															BgL_new1131z00_2522;
																																													}
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2521))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_2520)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2521))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) COBJECT(BgL_new1132z00_2521))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_2520)), BUNSPEC);
																																													BgL_arg2340z00_2518
																																														=
																																														BgL_new1132z00_2521;
																																										}}}
																																										BgL_newtail1237z00_2516
																																											=
																																											MAKE_YOUNG_PAIR
																																											(
																																											((obj_t) BgL_arg2340z00_2518), BNIL);
																																									}
																																									SET_CDR
																																										(BgL_tail1236z00_2513,
																																										BgL_newtail1237z00_2516);
																																									{	/* Eval/evaluate.scm 503 */
																																										obj_t
																																											BgL_arg2339z00_2517;
																																										BgL_arg2339z00_2517
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_l1233z00_2512));
																																										{
																																											obj_t
																																												BgL_tail1236z00_6002;
																																											obj_t
																																												BgL_l1233z00_6001;
																																											BgL_l1233z00_6001
																																												=
																																												BgL_arg2339z00_2517;
																																											BgL_tail1236z00_6002
																																												=
																																												BgL_newtail1237z00_2516;
																																											BgL_tail1236z00_2513
																																												=
																																												BgL_tail1236z00_6002;
																																											BgL_l1233z00_2512
																																												=
																																												BgL_l1233z00_6001;
																																											goto
																																												BgL_zc3z04anonymousza32337ze3z87_2514;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 144 */
																																					obj_t
																																						BgL__ortest_1069z00_3720;
																																					BgL__ortest_1069z00_3720
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_1546);
																																					if (CBOOL(BgL__ortest_1069z00_3720))
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2502
																																								=
																																								BgL__ortest_1069z00_3720;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 144 */
																																							BgL_blocz00_2502
																																								=
																																								BgL_locz00_74;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 510 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1135z00_2503;
																																					{	/* Eval/evaluate.scm 511 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1133z00_2506;
																																						BgL_new1133z00_2506
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BOBJECT
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 511 */
																																							long
																																								BgL_arg2335z00_2507;
																																							BgL_arg2335z00_2507
																																								=
																																								BGL_CLASS_NUM
																																								(BGl_ev_letza2za2zz__evaluate_typesz00);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(
																																								((BgL_objectz00_bglt) BgL_new1133z00_2506), BgL_arg2335z00_2507);
																																						}
																																						BgL_new1135z00_2503
																																							=
																																							BgL_new1133z00_2506;
																																					}
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2503)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2501), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2503)))->BgL_valsz00) = ((obj_t) BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_73, BgL_globalsz00_71, BgL_bindsz00_1546, BgL_varsz00_2501, BgL_localsz00_70, BgL_blocz00_2502)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_6015;
																																						{	/* Eval/evaluate.scm 513 */
																																							obj_t
																																								BgL_arg2333z00_2504;
																																							{	/* Eval/evaluate.scm 513 */
																																								obj_t
																																									BgL_arg2334z00_2505;
																																								BgL_arg2334z00_2505
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_2501);
																																								BgL_arg2333z00_2504
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2334z00_2505,
																																									BgL_localsz00_70);
																																							}
																																							BgL_auxz00_6015
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_1547,
																																									BgL_arg2333z00_2504,
																																									BgL_globalsz00_71,
																																									BgL_tailzf3zf3_72,
																																									BgL_wherez00_73,
																																									BgL_locz00_74,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1135z00_2503)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6015), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1135z00_2503))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_5975
																																						=
																																						BgL_new1135z00_2503;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5975);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg1722z00_1746;
																																		obj_t
																																			BgL_arg1723z00_1747;
																																		BgL_arg1722z00_1746
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		BgL_arg1723z00_1747
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_6028;
																																			{
																																				obj_t
																																					BgL_argsz00_6030;
																																				obj_t
																																					BgL_fz00_6029;
																																				BgL_fz00_6029
																																					=
																																					BgL_arg1722z00_1746;
																																				BgL_argsz00_6030
																																					=
																																					BgL_arg1723z00_1747;
																																				BgL_argsz00_1591
																																					=
																																					BgL_argsz00_6030;
																																				BgL_fz00_1590
																																					=
																																					BgL_fz00_6029;
																																				goto
																																					BgL_tagzd2176zd2_1592;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_6028);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_cdrzd26736zd2_1748;
																																BgL_cdrzd26736zd2_1748
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																if ((CAR((
																																				(obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol2998z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd26736zd2_1748))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1727z00_1752;
																																				obj_t
																																					BgL_arg1729z00_1753;
																																				BgL_arg1727z00_1752
																																					=
																																					CAR
																																					(BgL_cdrzd26736zd2_1748);
																																				BgL_arg1729z00_1753
																																					=
																																					CDR
																																					(BgL_cdrzd26736zd2_1748);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_6042;
																																					BgL_bindsz00_1549
																																						=
																																						BgL_arg1727z00_1752;
																																					BgL_bodyz00_1550
																																						=
																																						BgL_arg1729z00_1753;
																																				BgL_tagzd2162zd2_1551:
																																					{	/* Eval/evaluate.scm 515 */
																																						obj_t
																																							BgL_ubindsz00_2542;
																																						if (NULLP(BgL_bindsz00_1549))
																																							{	/* Eval/evaluate.scm 515 */
																																								BgL_ubindsz00_2542
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 515 */
																																								obj_t
																																									BgL_head1240z00_2592;
																																								BgL_head1240z00_2592
																																									=
																																									MAKE_YOUNG_PAIR
																																									(BNIL,
																																									BNIL);
																																								{
																																									obj_t
																																										BgL_l1238z00_3747;
																																									obj_t
																																										BgL_tail1241z00_3748;
																																									BgL_l1238z00_3747
																																										=
																																										BgL_bindsz00_1549;
																																									BgL_tail1241z00_3748
																																										=
																																										BgL_head1240z00_2592;
																																								BgL_zc3z04anonymousza32380ze3z87_3746:
																																									if (NULLP(BgL_l1238z00_3747))
																																										{	/* Eval/evaluate.scm 515 */
																																											BgL_ubindsz00_2542
																																												=
																																												CDR
																																												(BgL_head1240z00_2592);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 515 */
																																											obj_t
																																												BgL_newtail1242z00_3756;
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2383z00_3757;
																																												{	/* Eval/evaluate.scm 515 */
																																													obj_t
																																														BgL_bz00_3758;
																																													BgL_bz00_3758
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_l1238z00_3747));
																																													{	/* Eval/evaluate.scm 515 */
																																														obj_t
																																															BgL_arg2384z00_3759;
																																														BgL_arg2384z00_3759
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_bz00_3758));
																																														BgL_arg2383z00_3757
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(BgL_arg2384z00_3759);
																																													}
																																												}
																																												BgL_newtail1242z00_3756
																																													=
																																													MAKE_YOUNG_PAIR
																																													(BgL_arg2383z00_3757,
																																													BNIL);
																																											}
																																											SET_CDR
																																												(BgL_tail1241z00_3748,
																																												BgL_newtail1242z00_3756);
																																											{	/* Eval/evaluate.scm 515 */
																																												obj_t
																																													BgL_arg2382z00_3760;
																																												BgL_arg2382z00_3760
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_l1238z00_3747));
																																												{
																																													obj_t
																																														BgL_tail1241z00_6059;
																																													obj_t
																																														BgL_l1238z00_6058;
																																													BgL_l1238z00_6058
																																														=
																																														BgL_arg2382z00_3760;
																																													BgL_tail1241z00_6059
																																														=
																																														BgL_newtail1242z00_3756;
																																													BgL_tail1241z00_3748
																																														=
																																														BgL_tail1241z00_6059;
																																													BgL_l1238z00_3747
																																														=
																																														BgL_l1238z00_6058;
																																													goto
																																														BgL_zc3z04anonymousza32380ze3z87_3746;
																																												}
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 515 */
																																							obj_t
																																								BgL_varsz00_2543;
																																							if (NULLP(BgL_ubindsz00_2542))
																																								{	/* Eval/evaluate.scm 516 */
																																									BgL_varsz00_2543
																																										=
																																										BNIL;
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 516 */
																																									obj_t
																																										BgL_head1245z00_2576;
																																									BgL_head1245z00_2576
																																										=
																																										MAKE_YOUNG_PAIR
																																										(BNIL,
																																										BNIL);
																																									{
																																										obj_t
																																											BgL_l1243z00_2578;
																																										obj_t
																																											BgL_tail1246z00_2579;
																																										BgL_l1243z00_2578
																																											=
																																											BgL_ubindsz00_2542;
																																										BgL_tail1246z00_2579
																																											=
																																											BgL_head1245z00_2576;
																																									BgL_zc3z04anonymousza32373ze3z87_2580:
																																										if (NULLP(BgL_l1243z00_2578))
																																											{	/* Eval/evaluate.scm 516 */
																																												BgL_varsz00_2543
																																													=
																																													CDR
																																													(BgL_head1245z00_2576);
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 516 */
																																												obj_t
																																													BgL_newtail1247z00_2582;
																																												{	/* Eval/evaluate.scm 516 */
																																													BgL_ev_varz00_bglt
																																														BgL_arg2377z00_2584;
																																													{	/* Eval/evaluate.scm 516 */
																																														obj_t
																																															BgL_iz00_2585;
																																														BgL_iz00_2585
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_l1243z00_2578));
																																														{	/* Eval/evaluate.scm 517 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1137z00_2586;
																																															{	/* Eval/evaluate.scm 519 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1136z00_2587;
																																																BgL_new1136z00_2587
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 519 */
																																																	long
																																																		BgL_arg2378z00_2588;
																																																	BgL_arg2378z00_2588
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_varz00zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1136z00_2587), BgL_arg2378z00_2588);
																																																}
																																																BgL_new1137z00_2586
																																																	=
																																																	BgL_new1136z00_2587;
																																															}
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2586))->BgL_namez00) = ((obj_t) CAR(((obj_t) BgL_iz00_2585))), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2586))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) COBJECT(BgL_new1137z00_2586))->BgL_typez00) = ((obj_t) CDR(((obj_t) BgL_iz00_2585))), BUNSPEC);
																																															BgL_arg2377z00_2584
																																																=
																																																BgL_new1137z00_2586;
																																													}}
																																													BgL_newtail1247z00_2582
																																														=
																																														MAKE_YOUNG_PAIR
																																														(
																																														((obj_t) BgL_arg2377z00_2584), BNIL);
																																												}
																																												SET_CDR
																																													(BgL_tail1246z00_2579,
																																													BgL_newtail1247z00_2582);
																																												{	/* Eval/evaluate.scm 516 */
																																													obj_t
																																														BgL_arg2375z00_2583;
																																													BgL_arg2375z00_2583
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_l1243z00_2578));
																																													{
																																														obj_t
																																															BgL_tail1246z00_6085;
																																														obj_t
																																															BgL_l1243z00_6084;
																																														BgL_l1243z00_6084
																																															=
																																															BgL_arg2375z00_2583;
																																														BgL_tail1246z00_6085
																																															=
																																															BgL_newtail1247z00_2582;
																																														BgL_tail1246z00_2579
																																															=
																																															BgL_tail1246z00_6085;
																																														BgL_l1243z00_2578
																																															=
																																															BgL_l1243z00_6084;
																																														goto
																																															BgL_zc3z04anonymousza32373ze3z87_2580;
																																													}
																																												}
																																											}
																																									}
																																								}
																																							{	/* Eval/evaluate.scm 516 */
																																								obj_t
																																									BgL_localsz00_2544;
																																								BgL_localsz00_2544
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_varsz00_2543,
																																									BgL_localsz00_70);
																																								{	/* Eval/evaluate.scm 521 */
																																									obj_t
																																										BgL_bodyz00_2545;
																																									{	/* Eval/evaluate.scm 522 */
																																										bool_t
																																											BgL_test3239z00_6087;
																																										{	/* Eval/evaluate.scm 522 */
																																											obj_t
																																												BgL_tmpz00_6088;
																																											BgL_tmpz00_6088
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_bodyz00_1550));
																																											BgL_test3239z00_6087
																																												=
																																												PAIRP
																																												(BgL_tmpz00_6088);
																																										}
																																										if (BgL_test3239z00_6087)
																																											{	/* Eval/evaluate.scm 522 */
																																												obj_t
																																													BgL_res2885z00_3777;
																																												BgL_res2885z00_3777
																																													=
																																													MAKE_YOUNG_EPAIR
																																													(BGl_symbol2979z00zz__evaluatez00,
																																													BgL_bodyz00_1550,
																																													BgL_locz00_74);
																																												BgL_bodyz00_2545
																																													=
																																													BgL_res2885z00_3777;
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 522 */
																																												BgL_bodyz00_2545
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_bodyz00_1550));
																																											}
																																									}
																																									{	/* Eval/evaluate.scm 522 */
																																										obj_t
																																											BgL_tbodyz00_2546;
																																										BgL_tbodyz00_2546
																																											=
																																											BGl_typezd2checkszd2zz__evaluatez00
																																											(BgL_ubindsz00_2542,
																																											BgL_bindsz00_1549,
																																											BgL_bodyz00_2545,
																																											BgL_locz00_74,
																																											BgL_wherez00_73);
																																										{	/* Eval/evaluate.scm 523 */
																																											obj_t
																																												BgL_blocz00_2547;
																																											{	/* Eval/evaluate.scm 144 */
																																												obj_t
																																													BgL__ortest_1069z00_3779;
																																												BgL__ortest_1069z00_3779
																																													=
																																													BGl_getzd2sourcezd2locationz00zz__readerz00
																																													(BgL_bindsz00_1549);
																																												if (CBOOL(BgL__ortest_1069z00_3779))
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2547
																																															=
																																															BgL__ortest_1069z00_3779;
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 144 */
																																														BgL_blocz00_2547
																																															=
																																															BgL_locz00_74;
																																													}
																																											}
																																											{	/* Eval/evaluate.scm 524 */

																																												{	/* Eval/evaluate.scm 525 */
																																													BgL_ev_letrecz00_bglt
																																														BgL_new1139z00_2548;
																																													{	/* Eval/evaluate.scm 526 */
																																														BgL_ev_letrecz00_bglt
																																															BgL_new1138z00_2569;
																																														BgL_new1138z00_2569
																																															=
																																															(
																																															(BgL_ev_letrecz00_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_letrecz00_bgl))));
																																														{	/* Eval/evaluate.scm 526 */
																																															long
																																																BgL_arg2368z00_2570;
																																															BgL_arg2368z00_2570
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_letrecz00zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1138z00_2569), BgL_arg2368z00_2570);
																																														}
																																														BgL_new1139z00_2548
																																															=
																																															BgL_new1138z00_2569;
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2548)))->BgL_varsz00) = ((obj_t) BgL_varsz00_2543), BUNSPEC);
																																													{
																																														obj_t
																																															BgL_auxz00_6105;
																																														if (NULLP(BgL_bindsz00_1549))
																																															{	/* Eval/evaluate.scm 527 */
																																																BgL_auxz00_6105
																																																	=
																																																	BNIL;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 527 */
																																																obj_t
																																																	BgL_head1250z00_2551;
																																																BgL_head1250z00_2551
																																																	=
																																																	MAKE_YOUNG_PAIR
																																																	(BNIL,
																																																	BNIL);
																																																{
																																																	obj_t
																																																		BgL_l1248z00_2553;
																																																	obj_t
																																																		BgL_tail1251z00_2554;
																																																	BgL_l1248z00_2553
																																																		=
																																																		BgL_bindsz00_1549;
																																																	BgL_tail1251z00_2554
																																																		=
																																																		BgL_head1250z00_2551;
																																																BgL_zc3z04anonymousza32356ze3z87_2555:
																																																	if (NULLP(BgL_l1248z00_2553))
																																																		{	/* Eval/evaluate.scm 527 */
																																																			BgL_auxz00_6105
																																																				=
																																																				CDR
																																																				(BgL_head1250z00_2551);
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 527 */
																																																			obj_t
																																																				BgL_newtail1252z00_2557;
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2359z00_2559;
																																																				{	/* Eval/evaluate.scm 527 */
																																																					obj_t
																																																						BgL_bz00_2560;
																																																					BgL_bz00_2560
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_l1248z00_2553));
																																																					{	/* Eval/evaluate.scm 528 */
																																																						obj_t
																																																							BgL_arg2360z00_2561;
																																																						obj_t
																																																							BgL_arg2362z00_2562;
																																																						obj_t
																																																							BgL_arg2363z00_2563;
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_pairz00_3788;
																																																							BgL_pairz00_3788
																																																								=
																																																								CDR
																																																								(
																																																								((obj_t) BgL_bz00_2560));
																																																							BgL_arg2360z00_2561
																																																								=
																																																								CAR
																																																								(BgL_pairz00_3788);
																																																						}
																																																						{	/* Eval/evaluate.scm 528 */
																																																							obj_t
																																																								BgL_arg2364z00_2564;
																																																							BgL_arg2364z00_2564
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_bz00_2560));
																																																							{	/* Eval/evaluate.scm 528 */
																																																								obj_t
																																																									BgL_list2365z00_2565;
																																																								{	/* Eval/evaluate.scm 528 */
																																																									obj_t
																																																										BgL_arg2366z00_2566;
																																																									{	/* Eval/evaluate.scm 528 */
																																																										obj_t
																																																											BgL_arg2367z00_2567;
																																																										BgL_arg2367z00_2567
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BgL_wherez00_73,
																																																											BNIL);
																																																										BgL_arg2366z00_2566
																																																											=
																																																											MAKE_YOUNG_PAIR
																																																											(BGl_symbol2981z00zz__evaluatez00,
																																																											BgL_arg2367z00_2567);
																																																									}
																																																									BgL_list2365z00_2565
																																																										=
																																																										MAKE_YOUNG_PAIR
																																																										(BgL_arg2364z00_2564,
																																																										BgL_arg2366z00_2566);
																																																								}
																																																								BgL_arg2362z00_2562
																																																									=
																																																									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																									(BgL_list2365z00_2565);
																																																							}
																																																						}
																																																						{	/* Eval/evaluate.scm 144 */
																																																							obj_t
																																																								BgL__ortest_1069z00_3790;
																																																							BgL__ortest_1069z00_3790
																																																								=
																																																								BGl_getzd2sourcezd2locationz00zz__readerz00
																																																								(BgL_bz00_2560);
																																																							if (CBOOL(BgL__ortest_1069z00_3790))
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2363z00_2563
																																																										=
																																																										BgL__ortest_1069z00_3790;
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 144 */
																																																									BgL_arg2363z00_2563
																																																										=
																																																										BgL_blocz00_2547;
																																																								}
																																																						}
																																																						BgL_arg2359z00_2559
																																																							=
																																																							BGl_convz00zz__evaluatez00
																																																							(BgL_arg2360z00_2561,
																																																							BgL_localsz00_2544,
																																																							BgL_globalsz00_71,
																																																							BFALSE,
																																																							BgL_arg2362z00_2562,
																																																							BgL_arg2363z00_2563,
																																																							((bool_t) 0));
																																																					}
																																																				}
																																																				BgL_newtail1252z00_2557
																																																					=
																																																					MAKE_YOUNG_PAIR
																																																					(BgL_arg2359z00_2559,
																																																					BNIL);
																																																			}
																																																			SET_CDR
																																																				(BgL_tail1251z00_2554,
																																																				BgL_newtail1252z00_2557);
																																																			{	/* Eval/evaluate.scm 527 */
																																																				obj_t
																																																					BgL_arg2358z00_2558;
																																																				BgL_arg2358z00_2558
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_l1248z00_2553));
																																																				{
																																																					obj_t
																																																						BgL_tail1251z00_6133;
																																																					obj_t
																																																						BgL_l1248z00_6132;
																																																					BgL_l1248z00_6132
																																																						=
																																																						BgL_arg2358z00_2558;
																																																					BgL_tail1251z00_6133
																																																						=
																																																						BgL_newtail1252z00_2557;
																																																					BgL_tail1251z00_2554
																																																						=
																																																						BgL_tail1251z00_6133;
																																																					BgL_l1248z00_2553
																																																						=
																																																						BgL_l1248z00_6132;
																																																					goto
																																																						BgL_zc3z04anonymousza32356ze3z87_2555;
																																																				}
																																																			}
																																																		}
																																																}
																																															}
																																														((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2548)))->BgL_valsz00) = ((obj_t) BgL_auxz00_6105), BUNSPEC);
																																													}
																																													((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt) BgL_new1139z00_2548)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convz00zz__evaluatez00(BgL_tbodyz00_2546, BgL_localsz00_2544, BgL_globalsz00_71, BgL_tailzf3zf3_72, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													BgL_auxz00_6042
																																														=
																																														BgL_new1139z00_2548;
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6042);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_arg1730z00_1754;
																																				BgL_arg1730z00_1754
																																					=
																																					CAR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_6142;
																																					{
																																						obj_t
																																							BgL_argsz00_6144;
																																						obj_t
																																							BgL_fz00_6143;
																																						BgL_fz00_6143
																																							=
																																							BgL_arg1730z00_1754;
																																						BgL_argsz00_6144
																																							=
																																							BgL_cdrzd26736zd2_1748;
																																						BgL_argsz00_1591
																																							=
																																							BgL_argsz00_6144;
																																						BgL_fz00_1590
																																							=
																																							BgL_fz00_6143;
																																						goto
																																							BgL_tagzd2176zd2_1592;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_6142);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		if (
																																			(CAR(
																																					((obj_t) BgL_ez00_69)) == BGl_symbol3000z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd26736zd2_1748))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_carzd26912zd2_1760;
																																						obj_t
																																							BgL_cdrzd26913zd2_1761;
																																						BgL_carzd26912zd2_1760
																																							=
																																							CAR
																																							(BgL_cdrzd26736zd2_1748);
																																						BgL_cdrzd26913zd2_1761
																																							=
																																							CDR
																																							(BgL_cdrzd26736zd2_1748);
																																						if (PAIRP(BgL_carzd26912zd2_1760))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd26917zd2_1763;
																																								BgL_cdrzd26917zd2_1763
																																									=
																																									CDR
																																									(BgL_carzd26912zd2_1760);
																																								if ((CAR(BgL_carzd26912zd2_1760) == BGl_symbol2986z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd26917zd2_1763))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_carzd26920zd2_1767;
																																												obj_t
																																													BgL_cdrzd26921zd2_1768;
																																												BgL_carzd26920zd2_1767
																																													=
																																													CAR
																																													(BgL_cdrzd26917zd2_1763);
																																												BgL_cdrzd26921zd2_1768
																																													=
																																													CDR
																																													(BgL_cdrzd26917zd2_1763);
																																												if (SYMBOLP(BgL_carzd26920zd2_1767))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd26921zd2_1768))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_carzd26925zd2_1771;
																																																BgL_carzd26925zd2_1771
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26921zd2_1768);
																																																if (SYMBOLP(BgL_carzd26925zd2_1771))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd26921zd2_1768)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd26913zd2_1761))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						if (NULLP(CDR(BgL_cdrzd26913zd2_1761)))
																																																							{	/* Eval/evaluate.scm 424 */
																																																								obj_t
																																																									BgL_arg1747z00_1778;
																																																								BgL_arg1747z00_1778
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26913zd2_1761);
																																																								{	/* Eval/evaluate.scm 531 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1141z00_4023;
																																																									{	/* Eval/evaluate.scm 535 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1140z00_4024;
																																																										BgL_new1140z00_4024
																																																											=
																																																											(
																																																											(BgL_ev_setglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_setglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 535 */
																																																											long
																																																												BgL_arg2385z00_4025;
																																																											BgL_arg2385z00_4025
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1140z00_4024), BgL_arg2385z00_4025);
																																																										}
																																																										BgL_new1141z00_4023
																																																											=
																																																											BgL_new1140z00_4024;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6184;
																																																										{	/* Eval/evaluate.scm 380 */
																																																											obj_t
																																																												BgL_arg2436z00_4029;
																																																											BgL_arg2436z00_4029
																																																												=
																																																												BGl_getzd2locationzd2zz__evaluatez00
																																																												(BgL_arg1747z00_1778,
																																																												BgL_locz00_74);
																																																											BgL_auxz00_6184
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_uconvzf2locze70z15zz__evaluatez00
																																																												(BgL_wherez00_73,
																																																													BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_arg1747z00_1778,
																																																													BgL_arg2436z00_4029));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4023)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6184), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4023))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4023))->BgL_namez00) = ((obj_t) BgL_carzd26920zd2_1767), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4023))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd26925zd2_1771)), BUNSPEC);
																																																									return
																																																										(
																																																										(obj_t)
																																																										BgL_new1141z00_4023);
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 424 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_74,
																																																									BGl_string2903z00zz__evaluatez00,
																																																									BGl_string2978z00zz__evaluatez00,
																																																									BgL_ez00_69);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2903z00zz__evaluatez00,
																																																							BGl_string2978z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27041zd2_1780;
																																																				BgL_cdrzd27041zd2_1780
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_cdrzd27045zd2_1781;
																																																					BgL_cdrzd27045zd2_1781
																																																						=
																																																						CDR
																																																						(
																																																						((obj_t) BgL_cdrzd27041zd2_1780));
																																																					if (PAIRP(BgL_cdrzd27045zd2_1781))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							if (NULLP(CDR(BgL_cdrzd27045zd2_1781)))
																																																								{	/* Eval/evaluate.scm 424 */
																																																									obj_t
																																																										BgL_arg1752z00_1785;
																																																									obj_t
																																																										BgL_arg1753z00_1786;
																																																									BgL_arg1752z00_1785
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_cdrzd27041zd2_1780));
																																																									BgL_arg1753z00_1786
																																																										=
																																																										CAR
																																																										(BgL_cdrzd27045zd2_1781);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_6209;
																																																										BgL_vz00_1559
																																																											=
																																																											BgL_arg1752z00_1785;
																																																										BgL_ez00_1560
																																																											=
																																																											BgL_arg1753z00_1786;
																																																									BgL_tagzd2165zd2_1561:
																																																										{	/* Eval/evaluate.scm 541 */
																																																											obj_t
																																																												BgL_cvz00_2633;
																																																											obj_t
																																																												BgL_ez00_2634;
																																																											BgL_cvz00_2633
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_1559,
																																																												BgL_localsz00_70);
																																																											{	/* Eval/evaluate.scm 380 */
																																																												obj_t
																																																													BgL_arg2436z00_3804;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3805;
																																																													BgL__ortest_1069z00_3805
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_1560);
																																																													if (CBOOL(BgL__ortest_1069z00_3805))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2436z00_3804
																																																																=
																																																																BgL__ortest_1069z00_3805;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2436z00_3804
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												BgL_ez00_2634
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_1560,
																																																													BgL_localsz00_70,
																																																													BgL_globalsz00_71,
																																																													BFALSE,
																																																													BgL_wherez00_73,
																																																													BgL_arg2436z00_3804,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_2633))
																																																												{	/* Eval/evaluate.scm 543 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1143z00_2635;
																																																													{	/* Eval/evaluate.scm 545 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1142z00_2636;
																																																														BgL_new1142z00_2636
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 545 */
																																																															long
																																																																BgL_arg2401z00_2637;
																																																															BgL_arg2401z00_2637
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1142z00_2636), BgL_arg2401z00_2637);
																																																														}
																																																														BgL_new1143z00_2635
																																																															=
																																																															BgL_new1142z00_2636;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1143z00_2635)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2634)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1143z00_2635))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_2633)), BUNSPEC);
																																																													BgL_auxz00_6209
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1143z00_2635);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 546 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1145z00_2638;
																																																													{	/* Eval/evaluate.scm 550 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1144z00_2640;
																																																														BgL_new1144z00_2640
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BOBJECT
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 550 */
																																																															long
																																																																BgL_arg2403z00_2641;
																																																															BgL_arg2403z00_2641
																																																																=
																																																																BGL_CLASS_NUM
																																																																(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(
																																																																((BgL_objectz00_bglt) BgL_new1144z00_2640), BgL_arg2403z00_2641);
																																																														}
																																																														BgL_new1145z00_2638
																																																															=
																																																															BgL_new1144z00_2640;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1145z00_2638)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_2634)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2638))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2638))->BgL_namez00) = ((obj_t) BgL_vz00_1559), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6236;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6236
																																																																	=
																																																																	BgL_globalsz00_71;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 549 */
																																																																BgL_auxz00_6236
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1145z00_2638))->BgL_modz00) = ((obj_t) BgL_auxz00_6236), BUNSPEC);
																																																													}
																																																													BgL_auxz00_6209
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1145z00_2638);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6209);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 424 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_74,
																																																										BGl_string2903z00zz__evaluatez00,
																																																										BGl_string2978z00zz__evaluatez00,
																																																										BgL_ez00_69);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2903z00zz__evaluatez00,
																																																								BGl_string2978z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27102zd2_1789;
																																																		BgL_cdrzd27102zd2_1789
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd27106zd2_1790;
																																																			BgL_cdrzd27106zd2_1790
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd27102zd2_1789));
																																																			if (PAIRP(BgL_cdrzd27106zd2_1790))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd27106zd2_1790)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg1759z00_1794;
																																																							obj_t
																																																								BgL_arg1760z00_1795;
																																																							BgL_arg1759z00_1794
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd27102zd2_1789));
																																																							BgL_arg1760z00_1795
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27106zd2_1790);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_6257;
																																																								{
																																																									obj_t
																																																										BgL_ez00_6259;
																																																									obj_t
																																																										BgL_vz00_6258;
																																																									BgL_vz00_6258
																																																										=
																																																										BgL_arg1759z00_1794;
																																																									BgL_ez00_6259
																																																										=
																																																										BgL_arg1760z00_1795;
																																																									BgL_ez00_1560
																																																										=
																																																										BgL_ez00_6259;
																																																									BgL_vz00_1559
																																																										=
																																																										BgL_vz00_6258;
																																																									goto
																																																										BgL_tagzd2165zd2_1561;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_6257);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2903z00zz__evaluatez00,
																																																								BGl_string2978z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2903z00zz__evaluatez00,
																																																						BGl_string2978z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27163zd2_1797;
																																																BgL_cdrzd27163zd2_1797
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd27167zd2_1798;
																																																	BgL_cdrzd27167zd2_1798
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd27163zd2_1797));
																																																	if (PAIRP(BgL_cdrzd27167zd2_1798))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd27167zd2_1798)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg1765z00_1802;
																																																					obj_t
																																																						BgL_arg1766z00_1803;
																																																					BgL_arg1765z00_1802
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd27163zd2_1797));
																																																					BgL_arg1766z00_1803
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27167zd2_1798);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6275;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6277;
																																																							obj_t
																																																								BgL_vz00_6276;
																																																							BgL_vz00_6276
																																																								=
																																																								BgL_arg1765z00_1802;
																																																							BgL_ez00_6277
																																																								=
																																																								BgL_arg1766z00_1803;
																																																							BgL_ez00_1560
																																																								=
																																																								BgL_ez00_6277;
																																																							BgL_vz00_1559
																																																								=
																																																								BgL_vz00_6276;
																																																							goto
																																																								BgL_tagzd2165zd2_1561;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6275);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2903z00zz__evaluatez00,
																																																						BGl_string2978z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2903z00zz__evaluatez00,
																																																				BGl_string2978z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27224zd2_1805;
																																														BgL_cdrzd27224zd2_1805
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd27228zd2_1806;
																																															BgL_cdrzd27228zd2_1806
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd27224zd2_1805));
																																															if (PAIRP(BgL_cdrzd27228zd2_1806))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd27228zd2_1806)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg1771z00_1810;
																																																			obj_t
																																																				BgL_arg1773z00_1811;
																																																			BgL_arg1771z00_1810
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd27224zd2_1805));
																																																			BgL_arg1773z00_1811
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27228zd2_1806);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6293;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6295;
																																																					obj_t
																																																						BgL_vz00_6294;
																																																					BgL_vz00_6294
																																																						=
																																																						BgL_arg1771z00_1810;
																																																					BgL_ez00_6295
																																																						=
																																																						BgL_arg1773z00_1811;
																																																					BgL_ez00_1560
																																																						=
																																																						BgL_ez00_6295;
																																																					BgL_vz00_1559
																																																						=
																																																						BgL_vz00_6294;
																																																					goto
																																																						BgL_tagzd2165zd2_1561;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6293);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2903z00zz__evaluatez00,
																																																				BGl_string2978z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27285zd2_1813;
																																												BgL_cdrzd27285zd2_1813
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27289zd2_1814;
																																													BgL_cdrzd27289zd2_1814
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27285zd2_1813));
																																													if (PAIRP(BgL_cdrzd27289zd2_1814))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27289zd2_1814)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1778z00_1818;
																																																	obj_t
																																																		BgL_arg1779z00_1819;
																																																	BgL_arg1778z00_1818
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27285zd2_1813));
																																																	BgL_arg1779z00_1819
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27289zd2_1814);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6311;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6313;
																																																			obj_t
																																																				BgL_vz00_6312;
																																																			BgL_vz00_6312
																																																				=
																																																				BgL_arg1778z00_1818;
																																																			BgL_ez00_6313
																																																				=
																																																				BgL_arg1779z00_1819;
																																																			BgL_ez00_1560
																																																				=
																																																				BgL_ez00_6313;
																																																			BgL_vz00_1559
																																																				=
																																																				BgL_vz00_6312;
																																																			goto
																																																				BgL_tagzd2165zd2_1561;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6311);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd27333zd2_1821;
																																										BgL_cdrzd27333zd2_1821
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_carzd27336zd2_1822;
																																											obj_t
																																												BgL_cdrzd27337zd2_1823;
																																											BgL_carzd27336zd2_1822
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1821));
																																											BgL_cdrzd27337zd2_1823
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd27333zd2_1821));
																																											if ((CAR(((obj_t) BgL_carzd27336zd2_1822)) == BGl_symbol2988z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (PAIRP(BgL_cdrzd27337zd2_1823))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27337zd2_1823)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1786z00_1829;
																																																	obj_t
																																																		BgL_arg1787z00_1830;
																																																	BgL_arg1786z00_1829
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_carzd27336zd2_1822));
																																																	BgL_arg1787z00_1830
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27337zd2_1823);
																																																	BgL_lz00_1556
																																																		=
																																																		BgL_arg1786z00_1829;
																																																	BgL_e2z00_1557
																																																		=
																																																		BgL_arg1787z00_1830;
																																																BgL_tagzd2164zd2_1558:
																																																	{	/* Eval/evaluate.scm 537 */
																																																		bool_t
																																																			BgL_test3271z00_6335;
																																																		if (PAIRP(BgL_lz00_1556))
																																																			{	/* Eval/evaluate.scm 537 */
																																																				bool_t
																																																					BgL_test3273z00_6338;
																																																				{	/* Eval/evaluate.scm 537 */
																																																					obj_t
																																																						BgL_tmpz00_6339;
																																																					BgL_tmpz00_6339
																																																						=
																																																						CDR
																																																						(BgL_lz00_1556);
																																																					BgL_test3273z00_6338
																																																						=
																																																						PAIRP
																																																						(BgL_tmpz00_6339);
																																																				}
																																																				if (BgL_test3273z00_6338)
																																																					{
																																																						obj_t
																																																							BgL_l1253z00_2624;
																																																						BgL_l1253z00_2624
																																																							=
																																																							BgL_lz00_1556;
																																																					BgL_zc3z04anonymousza32396ze3z87_2625:
																																																						if (NULLP(BgL_l1253z00_2624))
																																																							{	/* Eval/evaluate.scm 537 */
																																																								BgL_test3271z00_6335
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 537 */
																																																								bool_t
																																																									BgL_test3275z00_6344;
																																																								{	/* Eval/evaluate.scm 537 */
																																																									obj_t
																																																										BgL_tmpz00_6345;
																																																									BgL_tmpz00_6345
																																																										=
																																																										CAR
																																																										(
																																																										((obj_t) BgL_l1253z00_2624));
																																																									BgL_test3275z00_6344
																																																										=
																																																										SYMBOLP
																																																										(BgL_tmpz00_6345);
																																																								}
																																																								if (BgL_test3275z00_6344)
																																																									{
																																																										obj_t
																																																											BgL_l1253z00_6349;
																																																										BgL_l1253z00_6349
																																																											=
																																																											CDR
																																																											(
																																																											((obj_t) BgL_l1253z00_2624));
																																																										BgL_l1253z00_2624
																																																											=
																																																											BgL_l1253z00_6349;
																																																										goto
																																																											BgL_zc3z04anonymousza32396ze3z87_2625;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 537 */
																																																										BgL_test3271z00_6335
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 537 */
																																																						BgL_test3271z00_6335
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				BgL_test3271z00_6335
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_test3271z00_6335)
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_1556,
																																																					BgL_e2z00_1557,
																																																					BgL_ez00_69,
																																																					BgL_localsz00_70,
																																																					BgL_globalsz00_71,
																																																					BgL_tailzf3zf3_72,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					BgL_topzf3zf3_75);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 537 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2903z00zz__evaluatez00,
																																																					BGl_string2978z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd27413zd2_1833;
																																													BgL_cdrzd27413zd2_1833
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd27333zd2_1821));
																																													if (PAIRP(BgL_cdrzd27413zd2_1833))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd27413zd2_1833)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg1792z00_1837;
																																																	obj_t
																																																		BgL_arg1793z00_1838;
																																																	BgL_arg1792z00_1837
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd27333zd2_1821));
																																																	BgL_arg1793z00_1838
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27413zd2_1833);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6366;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6368;
																																																			obj_t
																																																				BgL_vz00_6367;
																																																			BgL_vz00_6367
																																																				=
																																																				BgL_arg1792z00_1837;
																																																			BgL_ez00_6368
																																																				=
																																																				BgL_arg1793z00_1838;
																																																			BgL_ez00_1560
																																																				=
																																																				BgL_ez00_6368;
																																																			BgL_vz00_1559
																																																				=
																																																				BgL_vz00_6367;
																																																			goto
																																																				BgL_tagzd2165zd2_1561;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6366);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27470zd2_1842;
																																								BgL_cdrzd27470zd2_1842
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_cdrzd27474zd2_1843;
																																									BgL_cdrzd27474zd2_1843
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd27470zd2_1842));
																																									if (PAIRP(BgL_cdrzd27474zd2_1843))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (NULLP(CDR(BgL_cdrzd27474zd2_1843)))
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_arg1800z00_1847;
																																													obj_t
																																														BgL_arg1801z00_1848;
																																													BgL_arg1800z00_1847
																																														=
																																														CAR
																																														(
																																														((obj_t) BgL_cdrzd27470zd2_1842));
																																													BgL_arg1801z00_1848
																																														=
																																														CAR
																																														(BgL_cdrzd27474zd2_1843);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_6384;
																																														{
																																															obj_t
																																																BgL_ez00_6386;
																																															obj_t
																																																BgL_vz00_6385;
																																															BgL_vz00_6385
																																																=
																																																BgL_arg1800z00_1847;
																																															BgL_ez00_6386
																																																=
																																																BgL_arg1801z00_1848;
																																															BgL_ez00_1560
																																																=
																																																BgL_ez00_6386;
																																															BgL_vz00_1559
																																																=
																																																BgL_vz00_6385;
																																															goto
																																																BgL_tagzd2165zd2_1561;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_6384);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2903z00zz__evaluatez00,
																																														BGl_string2978z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2903z00zz__evaluatez00,
																																												BGl_string2978z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_74,
																																							BGl_string2903z00zz__evaluatez00,
																																							BGl_string2978z00zz__evaluatez00,
																																							BgL_ez00_69);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_cdrzd27595zd2_1850;
																																				BgL_cdrzd27595zd2_1850
																																					=
																																					CDR((
																																						(obj_t)
																																						BgL_ez00_69));
																																				if ((CAR
																																						(((obj_t) BgL_ez00_69)) == BGl_symbol3002z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd27595zd2_1850))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd27600zd2_1854;
																																								BgL_cdrzd27600zd2_1854
																																									=
																																									CDR
																																									(BgL_cdrzd27595zd2_1850);
																																								if (PAIRP(BgL_cdrzd27600zd2_1854))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd27604zd2_1856;
																																										BgL_carzd27604zd2_1856
																																											=
																																											CAR
																																											(BgL_cdrzd27600zd2_1854);
																																										if (PAIRP(BgL_carzd27604zd2_1856))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd27609zd2_1858;
																																												BgL_cdrzd27609zd2_1858
																																													=
																																													CDR
																																													(BgL_carzd27604zd2_1856);
																																												if ((CAR(BgL_carzd27604zd2_1856) == BGl_symbol2967z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd27609zd2_1858))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27613zd2_1862;
																																																BgL_cdrzd27613zd2_1862
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27609zd2_1858);
																																																if (PAIRP(BgL_cdrzd27613zd2_1862))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd27613zd2_1862)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd27600zd2_1854)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1816z00_1868;
																																																						obj_t
																																																							BgL_arg1817z00_1869;
																																																						obj_t
																																																							BgL_arg1819z00_1870;
																																																						BgL_arg1816z00_1868
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27595zd2_1850);
																																																						BgL_arg1817z00_1869
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27609zd2_1858);
																																																						BgL_arg1819z00_1870
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27613zd2_1862);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6423;
																																																							BgL_gvz00_1563
																																																								=
																																																								BgL_arg1816z00_1868;
																																																							BgL_formalsz00_1564
																																																								=
																																																								BgL_arg1817z00_1869;
																																																							BgL_bodyz00_1565
																																																								=
																																																								BgL_arg1819z00_1870;
																																																						BgL_tagzd2167zd2_1566:
																																																							{	/* Eval/evaluate.scm 554 */
																																																								obj_t
																																																									BgL_tidz00_2642;
																																																								BgL_tidz00_2642
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1563);
																																																								{	/* Eval/evaluate.scm 555 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1147z00_2643;
																																																									{	/* Eval/evaluate.scm 559 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1146z00_2646;
																																																										BgL_new1146z00_2646
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 559 */
																																																											long
																																																												BgL_arg2407z00_2647;
																																																											BgL_arg2407z00_2647
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1146z00_2646), BgL_arg2407z00_2647);
																																																										}
																																																										BgL_new1147z00_2643
																																																											=
																																																											BgL_new1146z00_2646;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6429;
																																																										{	/* Eval/evaluate.scm 559 */
																																																											obj_t
																																																												BgL_arg2404z00_2644;
																																																											BgL_arg2404z00_2644
																																																												=
																																																												CDR
																																																												(BgL_tidz00_2642);
																																																											BgL_auxz00_6429
																																																												=
																																																												(
																																																												(BgL_ev_exprz00_bglt)
																																																												BGl_convzd2lambdaze70z35zz__evaluatez00
																																																												(BgL_globalsz00_71,
																																																													BgL_localsz00_70,
																																																													BgL_ez00_69,
																																																													BgL_locz00_74,
																																																													BgL_formalsz00_1564,
																																																													BgL_bodyz00_1565,
																																																													BgL_gvz00_1563,
																																																													BgL_arg2404z00_2644));
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1147z00_2643)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6429), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2643)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2643)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2642)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6440;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6440
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 558 */
																																																												BgL_auxz00_6440
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1147z00_2643)))->BgL_modz00) = ((obj_t) BgL_auxz00_6440), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6423
																																																										=
																																																										BgL_new1147z00_2643;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6423);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1820z00_1871;
																																																						BgL_arg1820z00_1871
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6449;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6451;
																																																								obj_t
																																																									BgL_fz00_6450;
																																																								BgL_fz00_6450
																																																									=
																																																									BgL_arg1820z00_1871;
																																																								BgL_argsz00_6451
																																																									=
																																																									BgL_cdrzd27595zd2_1850;
																																																								BgL_argsz00_1591
																																																									=
																																																									BgL_argsz00_6451;
																																																								BgL_fz00_1590
																																																									=
																																																									BgL_fz00_6450;
																																																								goto
																																																									BgL_tagzd2176zd2_1592;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6449);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_cdrzd27715zd2_1875;
																																																				BgL_cdrzd27715zd2_1875
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1850));
																																																				if (NULLP(CDR(((obj_t) BgL_cdrzd27715zd2_1875))))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1825z00_1878;
																																																						obj_t
																																																							BgL_arg1826z00_1879;
																																																						BgL_arg1825z00_1878
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27595zd2_1850));
																																																						BgL_arg1826z00_1879
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd27715zd2_1875));
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_6463;
																																																							BgL_gvz00_1567
																																																								=
																																																								BgL_arg1825z00_1878;
																																																							BgL_gez00_1568
																																																								=
																																																								BgL_arg1826z00_1879;
																																																						BgL_tagzd2168zd2_1569:
																																																							{	/* Eval/evaluate.scm 561 */
																																																								obj_t
																																																									BgL_tidz00_2648;
																																																								BgL_tidz00_2648
																																																									=
																																																									BGl_untypezd2identzd2zz__evaluatez00
																																																									(BgL_gvz00_1567);
																																																								{	/* Eval/evaluate.scm 562 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1149z00_2649;
																																																									{	/* Eval/evaluate.scm 566 */
																																																										BgL_ev_defglobalz00_bglt
																																																											BgL_new1148z00_2654;
																																																										BgL_new1148z00_2654
																																																											=
																																																											(
																																																											(BgL_ev_defglobalz00_bglt)
																																																											BOBJECT
																																																											(GC_MALLOC
																																																												(sizeof
																																																													(struct
																																																														BgL_ev_defglobalz00_bgl))));
																																																										{	/* Eval/evaluate.scm 566 */
																																																											long
																																																												BgL_arg2414z00_2655;
																																																											BgL_arg2414z00_2655
																																																												=
																																																												BGL_CLASS_NUM
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(
																																																												((BgL_objectz00_bglt) BgL_new1148z00_2654), BgL_arg2414z00_2655);
																																																										}
																																																										BgL_new1149z00_2649
																																																											=
																																																											BgL_new1148z00_2654;
																																																									}
																																																									{
																																																										BgL_ev_exprz00_bglt
																																																											BgL_auxz00_6469;
																																																										{	/* Eval/evaluate.scm 567 */
																																																											obj_t
																																																												BgL_arg2409z00_2650;
																																																											{	/* Eval/evaluate.scm 567 */
																																																												obj_t
																																																													BgL_arg2411z00_2652;
																																																												BgL_arg2411z00_2652
																																																													=
																																																													CDR
																																																													(BgL_tidz00_2648);
																																																												BgL_arg2409z00_2650
																																																													=
																																																													BGl_typezd2resultzd2zz__evaluatez00
																																																													(BgL_arg2411z00_2652,
																																																													BgL_gez00_1568,
																																																													BgL_locz00_74);
																																																											}
																																																											{	/* Eval/evaluate.scm 383 */
																																																												obj_t
																																																													BgL_arg2438z00_3821;
																																																												{	/* Eval/evaluate.scm 144 */
																																																													obj_t
																																																														BgL__ortest_1069z00_3822;
																																																													BgL__ortest_1069z00_3822
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_arg2409z00_2650);
																																																													if (CBOOL(BgL__ortest_1069z00_3822))
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2438z00_3821
																																																																=
																																																																BgL__ortest_1069z00_3822;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 144 */
																																																															BgL_arg2438z00_3821
																																																																=
																																																																BgL_locz00_74;
																																																														}
																																																												}
																																																												{
																																																													obj_t
																																																														BgL_auxz00_6476;
																																																													{	/* Eval/evaluate.scm 374 */
																																																														obj_t
																																																															BgL_auxz00_6477;
																																																														if (BgL_topzf3zf3_75)
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6477
																																																																	=
																																																																	BgL_gvz00_1567;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 568 */
																																																																BgL_auxz00_6477
																																																																	=
																																																																	BgL_wherez00_73;
																																																															}
																																																														BgL_auxz00_6476
																																																															=
																																																															BGl_convz00zz__evaluatez00
																																																															(BgL_arg2409z00_2650,
																																																															BgL_localsz00_70,
																																																															BgL_globalsz00_71,
																																																															BFALSE,
																																																															BgL_auxz00_6477,
																																																															BgL_arg2438z00_3821,
																																																															((bool_t) 0));
																																																													}
																																																													BgL_auxz00_6469
																																																														=
																																																														(
																																																														(BgL_ev_exprz00_bglt)
																																																														BgL_auxz00_6476);
																																																												}
																																																											}
																																																										}
																																																										((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1149z00_2649)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6469), BUNSPEC);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2649)))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																									((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2649)))->BgL_namez00) = ((obj_t) CAR(BgL_tidz00_2648)), BUNSPEC);
																																																									{
																																																										obj_t
																																																											BgL_auxz00_6487;
																																																										if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6487
																																																													=
																																																													BgL_globalsz00_71;
																																																											}
																																																										else
																																																											{	/* Eval/evaluate.scm 565 */
																																																												BgL_auxz00_6487
																																																													=
																																																													BGL_MODULE
																																																													();
																																																											}
																																																										((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt) BgL_new1149z00_2649)))->BgL_modz00) = ((obj_t) BgL_auxz00_6487), BUNSPEC);
																																																									}
																																																									BgL_auxz00_6463
																																																										=
																																																										BgL_new1149z00_2649;
																																																								}
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6463);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1827z00_1880;
																																																						obj_t
																																																							BgL_arg1828z00_1881;
																																																						BgL_arg1827z00_1880
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1828z00_1881
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6498;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6500;
																																																								obj_t
																																																									BgL_fz00_6499;
																																																								BgL_fz00_6499
																																																									=
																																																									BgL_arg1827z00_1880;
																																																								BgL_argsz00_6500
																																																									=
																																																									BgL_arg1828z00_1881;
																																																								BgL_argsz00_1591
																																																									=
																																																									BgL_argsz00_6500;
																																																								BgL_fz00_1590
																																																									=
																																																									BgL_fz00_6499;
																																																								goto
																																																									BgL_tagzd2176zd2_1592;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6498);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd27804zd2_1885;
																																																		BgL_cdrzd27804zd2_1885
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1850));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd27804zd2_1885))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1833z00_1888;
																																																				obj_t
																																																					BgL_arg1834z00_1889;
																																																				BgL_arg1833z00_1888
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27595zd2_1850));
																																																				BgL_arg1834z00_1889
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd27804zd2_1885));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6512;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6514;
																																																						obj_t
																																																							BgL_gvz00_6513;
																																																						BgL_gvz00_6513
																																																							=
																																																							BgL_arg1833z00_1888;
																																																						BgL_gez00_6514
																																																							=
																																																							BgL_arg1834z00_1889;
																																																						BgL_gez00_1568
																																																							=
																																																							BgL_gez00_6514;
																																																						BgL_gvz00_1567
																																																							=
																																																							BgL_gvz00_6513;
																																																						goto
																																																							BgL_tagzd2168zd2_1569;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6512);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1835z00_1890;
																																																				obj_t
																																																					BgL_arg1836z00_1891;
																																																				BgL_arg1835z00_1890
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1836z00_1891
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6520;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6522;
																																																						obj_t
																																																							BgL_fz00_6521;
																																																						BgL_fz00_6521
																																																							=
																																																							BgL_arg1835z00_1890;
																																																						BgL_argsz00_6522
																																																							=
																																																							BgL_arg1836z00_1891;
																																																						BgL_argsz00_1591
																																																							=
																																																							BgL_argsz00_6522;
																																																						BgL_fz00_1590
																																																							=
																																																							BgL_fz00_6521;
																																																						goto
																																																							BgL_tagzd2176zd2_1592;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6520);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd27893zd2_1894;
																																																BgL_cdrzd27893zd2_1894
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1850));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd27893zd2_1894))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1840z00_1897;
																																																		obj_t
																																																			BgL_arg1841z00_1898;
																																																		BgL_arg1840z00_1897
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27595zd2_1850));
																																																		BgL_arg1841z00_1898
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd27893zd2_1894));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6534;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6536;
																																																				obj_t
																																																					BgL_gvz00_6535;
																																																				BgL_gvz00_6535
																																																					=
																																																					BgL_arg1840z00_1897;
																																																				BgL_gez00_6536
																																																					=
																																																					BgL_arg1841z00_1898;
																																																				BgL_gez00_1568
																																																					=
																																																					BgL_gez00_6536;
																																																				BgL_gvz00_1567
																																																					=
																																																					BgL_gvz00_6535;
																																																				goto
																																																					BgL_tagzd2168zd2_1569;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6534);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1842z00_1899;
																																																		obj_t
																																																			BgL_arg1843z00_1900;
																																																		BgL_arg1842z00_1899
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1843z00_1900
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6542;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6544;
																																																				obj_t
																																																					BgL_fz00_6543;
																																																				BgL_fz00_6543
																																																					=
																																																					BgL_arg1842z00_1899;
																																																				BgL_argsz00_6544
																																																					=
																																																					BgL_arg1843z00_1900;
																																																				BgL_argsz00_1591
																																																					=
																																																					BgL_argsz00_6544;
																																																				BgL_fz00_1590
																																																					=
																																																					BgL_fz00_6543;
																																																				goto
																																																					BgL_tagzd2176zd2_1592;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6542);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd27982zd2_1903;
																																														BgL_cdrzd27982zd2_1903
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1850));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd27982zd2_1903))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1848z00_1906;
																																																obj_t
																																																	BgL_arg1850z00_1907;
																																																BgL_arg1848z00_1906
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27595zd2_1850));
																																																BgL_arg1850z00_1907
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd27982zd2_1903));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6556;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6558;
																																																		obj_t
																																																			BgL_gvz00_6557;
																																																		BgL_gvz00_6557
																																																			=
																																																			BgL_arg1848z00_1906;
																																																		BgL_gez00_6558
																																																			=
																																																			BgL_arg1850z00_1907;
																																																		BgL_gez00_1568
																																																			=
																																																			BgL_gez00_6558;
																																																		BgL_gvz00_1567
																																																			=
																																																			BgL_gvz00_6557;
																																																		goto
																																																			BgL_tagzd2168zd2_1569;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6556);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1851z00_1908;
																																																obj_t
																																																	BgL_arg1852z00_1909;
																																																BgL_arg1851z00_1908
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg1852z00_1909
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6564;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6566;
																																																		obj_t
																																																			BgL_fz00_6565;
																																																		BgL_fz00_6565
																																																			=
																																																			BgL_arg1851z00_1908;
																																																		BgL_argsz00_6566
																																																			=
																																																			BgL_arg1852z00_1909;
																																																		BgL_argsz00_1591
																																																			=
																																																			BgL_argsz00_6566;
																																																		BgL_fz00_1590
																																																			=
																																																			BgL_fz00_6565;
																																																		goto
																																																			BgL_tagzd2176zd2_1592;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6564);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28071zd2_1913;
																																												BgL_cdrzd28071zd2_1913
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd27595zd2_1850));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd28071zd2_1913))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1857z00_1916;
																																														obj_t
																																															BgL_arg1860z00_1917;
																																														BgL_arg1857z00_1916
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd27595zd2_1850));
																																														BgL_arg1860z00_1917
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd28071zd2_1913));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6578;
																																															{
																																																obj_t
																																																	BgL_gez00_6580;
																																																obj_t
																																																	BgL_gvz00_6579;
																																																BgL_gvz00_6579
																																																	=
																																																	BgL_arg1857z00_1916;
																																																BgL_gez00_6580
																																																	=
																																																	BgL_arg1860z00_1917;
																																																BgL_gez00_1568
																																																	=
																																																	BgL_gez00_6580;
																																																BgL_gvz00_1567
																																																	=
																																																	BgL_gvz00_6579;
																																																goto
																																																	BgL_tagzd2168zd2_1569;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6578);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1861z00_1918;
																																														obj_t
																																															BgL_arg1864z00_1919;
																																														BgL_arg1861z00_1918
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1864z00_1919
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6586;
																																															{
																																																obj_t
																																																	BgL_argsz00_6588;
																																																obj_t
																																																	BgL_fz00_6587;
																																																BgL_fz00_6587
																																																	=
																																																	BgL_arg1861z00_1918;
																																																BgL_argsz00_6588
																																																	=
																																																	BgL_arg1864z00_1919;
																																																BgL_argsz00_1591
																																																	=
																																																	BgL_argsz00_6588;
																																																BgL_fz00_1590
																																																	=
																																																	BgL_fz00_6587;
																																																goto
																																																	BgL_tagzd2176zd2_1592;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6586);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1867z00_1921;
																																										BgL_arg1867z00_1921
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6592;
																																											{
																																												obj_t
																																													BgL_argsz00_6594;
																																												obj_t
																																													BgL_fz00_6593;
																																												BgL_fz00_6593
																																													=
																																													BgL_arg1867z00_1921;
																																												BgL_argsz00_6594
																																													=
																																													BgL_cdrzd27595zd2_1850;
																																												BgL_argsz00_1591
																																													=
																																													BgL_argsz00_6594;
																																												BgL_fz00_1590
																																													=
																																													BgL_fz00_6593;
																																												goto
																																													BgL_tagzd2176zd2_1592;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6592);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg1870z00_1923;
																																								BgL_arg1870z00_1923
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6598;
																																									{
																																										obj_t
																																											BgL_argsz00_6600;
																																										obj_t
																																											BgL_fz00_6599;
																																										BgL_fz00_6599
																																											=
																																											BgL_arg1870z00_1923;
																																										BgL_argsz00_6600
																																											=
																																											BgL_cdrzd27595zd2_1850;
																																										BgL_argsz00_1591
																																											=
																																											BgL_argsz00_6600;
																																										BgL_fz00_1590
																																											=
																																											BgL_fz00_6599;
																																										goto
																																											BgL_tagzd2176zd2_1592;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6598);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol3004z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd27595zd2_1850))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd28319zd2_1929;
																																										BgL_carzd28319zd2_1929
																																											=
																																											CAR
																																											(BgL_cdrzd27595zd2_1850);
																																										if (PAIRP(BgL_carzd28319zd2_1929))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (NULLP(CDR(BgL_carzd28319zd2_1929)))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1879z00_1933;
																																														obj_t
																																															BgL_arg1880z00_1934;
																																														BgL_arg1879z00_1933
																																															=
																																															CAR
																																															(BgL_carzd28319zd2_1929);
																																														BgL_arg1880z00_1934
																																															=
																																															CDR
																																															(BgL_cdrzd27595zd2_1850);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_6616;
																																															BgL_vz00_1570
																																																=
																																																BgL_arg1879z00_1933;
																																															BgL_bodyz00_1571
																																																=
																																																BgL_arg1880z00_1934;
																																														BgL_tagzd2169zd2_1572:
																																															{	/* Eval/evaluate.scm 570 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_2656;
																																																{	/* Eval/evaluate.scm 570 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1151z00_2661;
																																																	{	/* Eval/evaluate.scm 570 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1150z00_2662;
																																																		BgL_new1150z00_2662
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 570 */
																																																			long
																																																				BgL_arg2417z00_2663;
																																																			BgL_arg2417z00_2663
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_varz00zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1150z00_2662), BgL_arg2417z00_2663);
																																																		}
																																																		BgL_new1151z00_2661
																																																			=
																																																			BgL_new1150z00_2662;
																																																	}
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2661))->BgL_namez00) = ((obj_t) BgL_vz00_1570), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2661))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) COBJECT(BgL_new1151z00_2661))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_2656
																																																		=
																																																		BgL_new1151z00_2661;
																																																}
																																																{	/* Eval/evaluate.scm 571 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1153z00_2657;
																																																	{	/* Eval/evaluate.scm 572 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1152z00_2659;
																																																		BgL_new1152z00_2659
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BOBJECT
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 572 */
																																																			long
																																																				BgL_arg2416z00_2660;
																																																			BgL_arg2416z00_2660
																																																				=
																																																				BGL_CLASS_NUM
																																																				(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(
																																																				((BgL_objectz00_bglt) BgL_new1152z00_2659), BgL_arg2416z00_2660);
																																																		}
																																																		BgL_new1153z00_2657
																																																			=
																																																			BgL_new1152z00_2659;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2657))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_2656), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_6629;
																																																		{	/* Eval/evaluate.scm 573 */
																																																			obj_t
																																																				BgL_arg2415z00_2658;
																																																			BgL_arg2415z00_2658
																																																				=
																																																				MAKE_YOUNG_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_2656), BgL_localsz00_70);
																																																			BgL_auxz00_6629
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_1571,
																																																					BgL_arg2415z00_2658,
																																																					BgL_globalsz00_71,
																																																					BFALSE,
																																																					BgL_wherez00_73,
																																																					BgL_locz00_74,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1153z00_2657))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6629), BUNSPEC);
																																																	}
																																																	BgL_auxz00_6616
																																																		=
																																																		BgL_new1153z00_2657;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6616);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1881z00_1935;
																																														obj_t
																																															BgL_arg1882z00_1936;
																																														BgL_arg1881z00_1935
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1882z00_1936
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6640;
																																															{
																																																obj_t
																																																	BgL_argsz00_6642;
																																																obj_t
																																																	BgL_fz00_6641;
																																																BgL_fz00_6641
																																																	=
																																																	BgL_arg1881z00_1935;
																																																BgL_argsz00_6642
																																																	=
																																																	BgL_arg1882z00_1936;
																																																BgL_argsz00_1591
																																																	=
																																																	BgL_argsz00_6642;
																																																BgL_fz00_1590
																																																	=
																																																	BgL_fz00_6641;
																																																goto
																																																	BgL_tagzd2176zd2_1592;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6640);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1884z00_1938;
																																												obj_t
																																													BgL_arg1885z00_1939;
																																												BgL_arg1884z00_1938
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg1885z00_1939
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6648;
																																													{
																																														obj_t
																																															BgL_argsz00_6650;
																																														obj_t
																																															BgL_fz00_6649;
																																														BgL_fz00_6649
																																															=
																																															BgL_arg1884z00_1938;
																																														BgL_argsz00_6650
																																															=
																																															BgL_arg1885z00_1939;
																																														BgL_argsz00_1591
																																															=
																																															BgL_argsz00_6650;
																																														BgL_fz00_1590
																																															=
																																															BgL_fz00_6649;
																																														goto
																																															BgL_tagzd2176zd2_1592;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6648);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg1886z00_1940;
																																										obj_t
																																											BgL_arg1888z00_1941;
																																										BgL_arg1886z00_1940
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg1888z00_1941
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6656;
																																											{
																																												obj_t
																																													BgL_argsz00_6658;
																																												obj_t
																																													BgL_fz00_6657;
																																												BgL_fz00_6657
																																													=
																																													BgL_arg1886z00_1940;
																																												BgL_argsz00_6658
																																													=
																																													BgL_arg1888z00_1941;
																																												BgL_argsz00_1591
																																													=
																																													BgL_argsz00_6658;
																																												BgL_fz00_1590
																																													=
																																													BgL_fz00_6657;
																																												goto
																																													BgL_tagzd2176zd2_1592;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6656);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd28490zd2_1942;
																																								BgL_cdrzd28490zd2_1942
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3006z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd28490zd2_1942))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1892z00_1946;
																																												obj_t
																																													BgL_arg1893z00_1947;
																																												BgL_arg1892z00_1946
																																													=
																																													CAR
																																													(BgL_cdrzd28490zd2_1942);
																																												BgL_arg1893z00_1947
																																													=
																																													CDR
																																													(BgL_cdrzd28490zd2_1942);
																																												{	/* Eval/evaluate.scm 575 */
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_new1155z00_4141;
																																													{	/* Eval/evaluate.scm 576 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1154z00_4142;
																																														BgL_new1154z00_4142
																																															=
																																															(
																																															(BgL_ev_unwindzd2protectzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_unwindzd2protectzd2_bgl))));
																																														{	/* Eval/evaluate.scm 576 */
																																															long
																																																BgL_arg2418z00_4143;
																																															BgL_arg2418z00_4143
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1154z00_4142), BgL_arg2418z00_4143);
																																														}
																																														BgL_new1155z00_4141
																																															=
																																															BgL_new1154z00_4142;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_6674;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2436z00_4147;
																																															BgL_arg2436z00_4147
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg1892z00_1946,
																																																BgL_locz00_74);
																																															BgL_auxz00_6674
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg1892z00_1946,
																																																	BgL_arg2436z00_4147));
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4141))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6674), BUNSPEC);
																																													}
																																													((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4141))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1893z00_1947, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1155z00_4141);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg1894z00_1948;
																																												BgL_arg1894z00_1948
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6685;
																																													{
																																														obj_t
																																															BgL_argsz00_6687;
																																														obj_t
																																															BgL_fz00_6686;
																																														BgL_fz00_6686
																																															=
																																															BgL_arg1894z00_1948;
																																														BgL_argsz00_6687
																																															=
																																															BgL_cdrzd28490zd2_1942;
																																														BgL_argsz00_1591
																																															=
																																															BgL_argsz00_6687;
																																														BgL_fz00_1590
																																															=
																																															BgL_fz00_6686;
																																														goto
																																															BgL_tagzd2176zd2_1592;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6685);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3008z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd28490zd2_1942))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1899z00_1954;
																																														obj_t
																																															BgL_arg1900z00_1955;
																																														BgL_arg1899z00_1954
																																															=
																																															CAR
																																															(BgL_cdrzd28490zd2_1942);
																																														BgL_arg1900z00_1955
																																															=
																																															CDR
																																															(BgL_cdrzd28490zd2_1942);
																																														{	/* Eval/evaluate.scm 579 */
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_new1158z00_4154;
																																															{	/* Eval/evaluate.scm 580 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1156z00_4155;
																																																BgL_new1156z00_4155
																																																	=
																																																	(
																																																	(BgL_ev_withzd2handlerzd2_bglt)
																																																	BOBJECT
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_withzd2handlerzd2_bgl))));
																																																{	/* Eval/evaluate.scm 580 */
																																																	long
																																																		BgL_arg2420z00_4156;
																																																	BgL_arg2420z00_4156
																																																		=
																																																		BGL_CLASS_NUM
																																																		(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(
																																																		((BgL_objectz00_bglt) BgL_new1156z00_4155), BgL_arg2420z00_4156);
																																																}
																																																BgL_new1158z00_4154
																																																	=
																																																	BgL_new1156z00_4155;
																																															}
																																															{
																																																BgL_ev_exprz00_bglt
																																																	BgL_auxz00_6701;
																																																{	/* Eval/evaluate.scm 380 */
																																																	obj_t
																																																		BgL_arg2436z00_4160;
																																																	BgL_arg2436z00_4160
																																																		=
																																																		BGl_getzd2locationzd2zz__evaluatez00
																																																		(BgL_arg1899z00_1954,
																																																		BgL_locz00_74);
																																																	BgL_auxz00_6701
																																																		=
																																																		(
																																																		(BgL_ev_exprz00_bglt)
																																																		BGl_uconvzf2locze70z15zz__evaluatez00
																																																		(BgL_wherez00_73,
																																																			BgL_globalsz00_71,
																																																			BgL_localsz00_70,
																																																			BgL_arg1899z00_1954,
																																																			BgL_arg2436z00_4160));
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4154))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6701), BUNSPEC);
																																															}
																																															((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4154))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1900z00_1955, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																															return
																																																(
																																																(obj_t)
																																																BgL_new1158z00_4154);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg1901z00_1956;
																																														obj_t
																																															BgL_arg1905z00_1957;
																																														BgL_arg1901z00_1956
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg1905z00_1957
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6714;
																																															{
																																																obj_t
																																																	BgL_argsz00_6716;
																																																obj_t
																																																	BgL_fz00_6715;
																																																BgL_fz00_6715
																																																	=
																																																	BgL_arg1901z00_1956;
																																																BgL_argsz00_6716
																																																	=
																																																	BgL_arg1905z00_1957;
																																																BgL_argsz00_1591
																																																	=
																																																	BgL_argsz00_6716;
																																																BgL_fz00_1590
																																																	=
																																																	BgL_fz00_6715;
																																																goto
																																																	BgL_tagzd2176zd2_1592;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6714);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd28597zd2_1958;
																																												BgL_cdrzd28597zd2_1958
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3010z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd28597zd2_1958))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd28602zd2_1962;
																																																BgL_cdrzd28602zd2_1962
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28597zd2_1958);
																																																if (PAIRP(BgL_cdrzd28602zd2_1962))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28607zd2_1964;
																																																		BgL_cdrzd28607zd2_1964
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28602zd2_1962);
																																																		if ((CAR(BgL_cdrzd28602zd2_1962) == BGl_keyword3012z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (PAIRP(BgL_cdrzd28607zd2_1964))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1917z00_1968;
																																																						obj_t
																																																							BgL_arg1918z00_1969;
																																																						obj_t
																																																							BgL_arg1920z00_1970;
																																																						BgL_arg1917z00_1968
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1958);
																																																						BgL_arg1918z00_1969
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28607zd2_1964);
																																																						BgL_arg1920z00_1970
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28607zd2_1964);
																																																						{	/* Eval/evaluate.scm 583 */
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_new1160z00_4171;
																																																							{	/* Eval/evaluate.scm 584 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1159z00_4172;
																																																								BgL_new1159z00_4172
																																																									=
																																																									(
																																																									(BgL_ev_synchroniza7eza7_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_synchroniza7eza7_bgl))));
																																																								{	/* Eval/evaluate.scm 584 */
																																																									long
																																																										BgL_arg2421z00_4173;
																																																									BgL_arg2421z00_4173
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1159z00_4172), BgL_arg2421z00_4173);
																																																								}
																																																								BgL_new1160z00_4171
																																																									=
																																																									BgL_new1159z00_4172;
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4171))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6743;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2436z00_4177;
																																																									BgL_arg2436z00_4177
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1917z00_1968,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6743
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1917z00_1968,
																																																											BgL_arg2436z00_4177));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4171))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6743), BUNSPEC);
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_6748;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2436z00_4178;
																																																									BgL_arg2436z00_4178
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg1918z00_1969,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_6748
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg1918z00_1969,
																																																											BgL_arg2436z00_4178));
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4171))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6748), BUNSPEC);
																																																							}
																																																							((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4171))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg1920z00_1970, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1160z00_4171);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1921z00_1972;
																																																						obj_t
																																																							BgL_arg1922z00_1973;
																																																						BgL_arg1921z00_1972
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1958));
																																																						BgL_arg1922z00_1973
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_cdrzd28597zd2_1958));
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_6761;
																																																							BgL_mz00_1583
																																																								=
																																																								BgL_arg1921z00_1972;
																																																							BgL_bodyz00_1584
																																																								=
																																																								BgL_arg1922z00_1973;
																																																						BgL_tagzd2173zd2_1585:
																																																							{	/* Eval/evaluate.scm 589 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1162z00_2673;
																																																								{	/* Eval/evaluate.scm 590 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1161z00_2674;
																																																									BgL_new1161z00_2674
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BOBJECT
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 590 */
																																																										long
																																																											BgL_arg2422z00_2675;
																																																										BgL_arg2422z00_2675
																																																											=
																																																											BGL_CLASS_NUM
																																																											(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																										BGL_OBJECT_CLASS_NUM_SET
																																																											(
																																																											((BgL_objectz00_bglt) BgL_new1161z00_2674), BgL_arg2422z00_2675);
																																																									}
																																																									BgL_new1162z00_2673
																																																										=
																																																										BgL_new1161z00_2674;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2673))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6767;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2436z00_3859;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3860;
																																																											BgL__ortest_1069z00_3860
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_1583);
																																																											if (CBOOL(BgL__ortest_1069z00_3860))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2436z00_3859
																																																														=
																																																														BgL__ortest_1069z00_3860;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2436z00_3859
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6767
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_1583,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2436z00_3859,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2673))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6767), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_6774;
																																																									{	/* Eval/evaluate.scm 380 */
																																																										obj_t
																																																											BgL_arg2436z00_3861;
																																																										{	/* Eval/evaluate.scm 144 */
																																																											obj_t
																																																												BgL__ortest_1069z00_3862;
																																																											BgL__ortest_1069z00_3862
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1069z00_3862))
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2436z00_3861
																																																														=
																																																														BgL__ortest_1069z00_3862;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 144 */
																																																													BgL_arg2436z00_3861
																																																														=
																																																														BgL_locz00_74;
																																																												}
																																																										}
																																																										BgL_auxz00_6774
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_70,
																																																												BgL_globalsz00_71,
																																																												BFALSE,
																																																												BgL_wherez00_73,
																																																												BgL_arg2436z00_3861,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2673))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_6774), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1162z00_2673))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_1584, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_6761
																																																									=
																																																									BgL_new1162z00_2673;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6761);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1923z00_1975;
																																																				obj_t
																																																					BgL_arg1924z00_1976;
																																																				BgL_arg1923z00_1975
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1958));
																																																				BgL_arg1924z00_1976
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd28597zd2_1958));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6789;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6791;
																																																						obj_t
																																																							BgL_mz00_6790;
																																																						BgL_mz00_6790
																																																							=
																																																							BgL_arg1923z00_1975;
																																																						BgL_bodyz00_6791
																																																							=
																																																							BgL_arg1924z00_1976;
																																																						BgL_bodyz00_1584
																																																							=
																																																							BgL_bodyz00_6791;
																																																						BgL_mz00_1583
																																																							=
																																																							BgL_mz00_6790;
																																																						goto
																																																							BgL_tagzd2173zd2_1585;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6789);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1926z00_1979;
																																																		obj_t
																																																			BgL_arg1927z00_1980;
																																																		BgL_arg1926z00_1979
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1958));
																																																		BgL_arg1927z00_1980
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd28597zd2_1958));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6797;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6799;
																																																				obj_t
																																																					BgL_mz00_6798;
																																																				BgL_mz00_6798
																																																					=
																																																					BgL_arg1926z00_1979;
																																																				BgL_bodyz00_6799
																																																					=
																																																					BgL_arg1927z00_1980;
																																																				BgL_bodyz00_1584
																																																					=
																																																					BgL_bodyz00_6799;
																																																				BgL_mz00_1583
																																																					=
																																																					BgL_mz00_6798;
																																																				goto
																																																					BgL_tagzd2173zd2_1585;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6797);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg1928z00_1981;
																																																BgL_arg1928z00_1981
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6803;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6805;
																																																		obj_t
																																																			BgL_fz00_6804;
																																																		BgL_fz00_6804
																																																			=
																																																			BgL_arg1928z00_1981;
																																																		BgL_argsz00_6805
																																																			=
																																																			BgL_cdrzd28597zd2_1958;
																																																		BgL_argsz00_1591
																																																			=
																																																			BgL_argsz00_6805;
																																																		BgL_fz00_1590
																																																			=
																																																			BgL_fz00_6804;
																																																		goto
																																																			BgL_tagzd2176zd2_1592;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6803);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2967z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (PAIRP(BgL_cdrzd28597zd2_1958))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd28709zd2_1987;
																																																		BgL_cdrzd28709zd2_1987
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28597zd2_1958);
																																																		if (PAIRP(BgL_cdrzd28709zd2_1987))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd28709zd2_1987)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1936z00_1991;
																																																						obj_t
																																																							BgL_arg1937z00_1992;
																																																						BgL_arg1936z00_1991
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28597zd2_1958);
																																																						BgL_arg1937z00_1992
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28709zd2_1987);
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2423z00_4196;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2425z00_4197;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2426z00_4198;
																																																									obj_t
																																																										BgL_arg2427z00_4199;
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_symbolz00_4200;
																																																										BgL_symbolz00_4200
																																																											=
																																																											BGl_symbol3014z00zz__evaluatez00;
																																																										{	/* Eval/evaluate.scm 595 */
																																																											obj_t
																																																												BgL_arg2646z00_4201;
																																																											BgL_arg2646z00_4201
																																																												=
																																																												SYMBOL_TO_STRING
																																																												(BgL_symbolz00_4200);
																																																											BgL_arg2426z00_4198
																																																												=
																																																												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																												(BgL_arg2646z00_4201);
																																																										}
																																																									}
																																																									{	/* Eval/evaluate.scm 595 */
																																																										obj_t
																																																											BgL_arg2646z00_4203;
																																																										BgL_arg2646z00_4203
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(
																																																											((obj_t) BgL_wherez00_73));
																																																										BgL_arg2427z00_4199
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2646z00_4203);
																																																									}
																																																									BgL_arg2425z00_4197
																																																										=
																																																										string_append
																																																										(BgL_arg2426z00_4198,
																																																										BgL_arg2427z00_4199);
																																																								}
																																																								BgL_arg2423z00_4196
																																																									=
																																																									bstring_to_symbol
																																																									(BgL_arg2425z00_4197);
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdaze70z35zz__evaluatez00
																																																								(BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_ez00_69,
																																																									BgL_locz00_74,
																																																									BgL_arg1936z00_1991,
																																																									BgL_arg1937z00_1992,
																																																									BgL_arg2423z00_4196,
																																																									BFALSE));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg1938z00_1993;
																																																						obj_t
																																																							BgL_arg1939z00_1994;
																																																						BgL_arg1938z00_1993
																																																							=
																																																							CAR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						BgL_arg1939z00_1994
																																																							=
																																																							CDR
																																																							(
																																																							((obj_t) BgL_ez00_69));
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_6834;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_6836;
																																																								obj_t
																																																									BgL_fz00_6835;
																																																								BgL_fz00_6835
																																																									=
																																																									BgL_arg1938z00_1993;
																																																								BgL_argsz00_6836
																																																									=
																																																									BgL_arg1939z00_1994;
																																																								BgL_argsz00_1591
																																																									=
																																																									BgL_argsz00_6836;
																																																								BgL_fz00_1590
																																																									=
																																																									BgL_fz00_6835;
																																																								goto
																																																									BgL_tagzd2176zd2_1592;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_6834);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg1941z00_1996;
																																																				obj_t
																																																					BgL_arg1942z00_1997;
																																																				BgL_arg1941z00_1996
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg1942z00_1997
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6842;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6844;
																																																						obj_t
																																																							BgL_fz00_6843;
																																																						BgL_fz00_6843
																																																							=
																																																							BgL_arg1941z00_1996;
																																																						BgL_argsz00_6844
																																																							=
																																																							BgL_arg1942z00_1997;
																																																						BgL_argsz00_1591
																																																							=
																																																							BgL_argsz00_6844;
																																																						BgL_fz00_1590
																																																							=
																																																							BgL_fz00_6843;
																																																						goto
																																																							BgL_tagzd2176zd2_1592;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6842);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1943z00_1998;
																																																		obj_t
																																																			BgL_arg1944z00_1999;
																																																		BgL_arg1943z00_1998
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1944z00_1999
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6850;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6852;
																																																				obj_t
																																																					BgL_fz00_6851;
																																																				BgL_fz00_6851
																																																					=
																																																					BgL_arg1943z00_1998;
																																																				BgL_argsz00_6852
																																																					=
																																																					BgL_arg1944z00_1999;
																																																				BgL_argsz00_1591
																																																					=
																																																					BgL_argsz00_6852;
																																																				BgL_fz00_1590
																																																					=
																																																					BgL_fz00_6851;
																																																				goto
																																																					BgL_tagzd2176zd2_1592;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6850);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3016z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		return
																																																			BGl_errorz00zz__errorz00
																																																			(BGl_string3018z00zz__evaluatez00,
																																																			BGl_string3019z00zz__evaluatez00,
																																																			BgL_ez00_69);
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg1947z00_2002;
																																																		obj_t
																																																			BgL_arg1948z00_2003;
																																																		BgL_arg1947z00_2002
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg1948z00_2003
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6863;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6865;
																																																				obj_t
																																																					BgL_fz00_6864;
																																																				BgL_fz00_6864
																																																					=
																																																					BgL_arg1947z00_2002;
																																																				BgL_argsz00_6865
																																																					=
																																																					BgL_arg1948z00_2003;
																																																				BgL_argsz00_1591
																																																					=
																																																					BgL_argsz00_6865;
																																																				BgL_fz00_1590
																																																					=
																																																					BgL_fz00_6864;
																																																				goto
																																																					BgL_tagzd2176zd2_1592;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6863);
																																																		}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 424 */
														if (
															(BgL_carzd23841zd2_1665 ==
																BGl_symbol2990z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 424 */
																if (PAIRP(BgL_cdrzd2250zd2_1599))
																	{	/* Eval/evaluate.scm 424 */
																		if (NULLP(CDR(BgL_cdrzd2250zd2_1599)))
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1971z00_2028;

																				BgL_arg1971z00_2028 =
																					CAR(BgL_cdrzd2250zd2_1599);
																				{	/* Eval/evaluate.scm 456 */
																					BgL_ev_trapz00_bglt
																						BgL_new1111z00_4218;
																					{	/* Eval/evaluate.scm 457 */
																						BgL_ev_trapz00_bglt
																							BgL_new1110z00_4219;
																						BgL_new1110z00_4219 =
																							((BgL_ev_trapz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_ev_trapz00_bgl))));
																						{	/* Eval/evaluate.scm 457 */
																							long BgL_arg2295z00_4220;

																							BgL_arg2295z00_4220 =
																								BGL_CLASS_NUM
																								(BGl_ev_trapz00zz__evaluate_typesz00);
																							BGL_OBJECT_CLASS_NUM_SET((
																									(BgL_objectz00_bglt)
																									BgL_new1110z00_4219),
																								BgL_arg2295z00_4220);
																						}
																						BgL_new1111z00_4218 =
																							BgL_new1110z00_4219;
																					}
																					{
																						BgL_ev_exprz00_bglt BgL_auxz00_6879;

																						{	/* Eval/evaluate.scm 380 */
																							obj_t BgL_arg2436z00_4224;

																							BgL_arg2436z00_4224 =
																								BGl_getzd2locationzd2zz__evaluatez00
																								(BgL_arg1971z00_2028,
																								BgL_locz00_74);
																							BgL_auxz00_6879 =
																								((BgL_ev_exprz00_bglt)
																								BGl_uconvzf2locze70z15zz__evaluatez00
																								(BgL_wherez00_73,
																									BgL_globalsz00_71,
																									BgL_localsz00_70,
																									BgL_arg1971z00_2028,
																									BgL_arg2436z00_4224));
																						}
																						((((BgL_ev_hookz00_bglt) COBJECT(
																										((BgL_ev_hookz00_bglt)
																											BgL_new1111z00_4218)))->
																								BgL_ez00) =
																							((BgL_ev_exprz00_bglt)
																								BgL_auxz00_6879), BUNSPEC);
																					}
																					return ((obj_t) BgL_new1111z00_4218);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1972z00_2029;
																				obj_t BgL_arg1973z00_2030;

																				BgL_arg1972z00_2029 =
																					CAR(((obj_t) BgL_ez00_69));
																				BgL_arg1973z00_2030 =
																					CDR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6890;

																					{
																						obj_t BgL_argsz00_6892;
																						obj_t BgL_fz00_6891;

																						BgL_fz00_6891 = BgL_arg1972z00_2029;
																						BgL_argsz00_6892 =
																							BgL_arg1973z00_2030;
																						BgL_argsz00_1591 = BgL_argsz00_6892;
																						BgL_fz00_1590 = BgL_fz00_6891;
																						goto BgL_tagzd2176zd2_1592;
																					}
																					return ((obj_t) BgL_auxz00_6890);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		obj_t BgL_arg1975z00_2032;
																		obj_t BgL_arg1976z00_2033;

																		BgL_arg1975z00_2032 =
																			CAR(((obj_t) BgL_ez00_69));
																		BgL_arg1976z00_2033 =
																			CDR(((obj_t) BgL_ez00_69));
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_6898;

																			{
																				obj_t BgL_argsz00_6900;
																				obj_t BgL_fz00_6899;

																				BgL_fz00_6899 = BgL_arg1975z00_2032;
																				BgL_argsz00_6900 = BgL_arg1976z00_2033;
																				BgL_argsz00_1591 = BgL_argsz00_6900;
																				BgL_fz00_1590 = BgL_fz00_6899;
																				goto BgL_tagzd2176zd2_1592;
																			}
																			return ((obj_t) BgL_auxz00_6898);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 424 */
																obj_t BgL_cdrzd29422zd2_2034;

																BgL_cdrzd29422zd2_2034 =
																	CDR(((obj_t) BgL_ez00_69));
																if (
																	(CAR(
																			((obj_t) BgL_ez00_69)) ==
																		BGl_symbol2955z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 424 */
																		if (PAIRP(BgL_cdrzd29422zd2_2034))
																			{	/* Eval/evaluate.scm 424 */
																				if (NULLP(CDR(BgL_cdrzd29422zd2_2034)))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1982z00_2040;

																						BgL_arg1982z00_2040 =
																							CAR(BgL_cdrzd29422zd2_2034);
																						{	/* Eval/evaluate.scm 459 */
																							BgL_ev_littz00_bglt
																								BgL_new1113z00_4233;
																							{	/* Eval/evaluate.scm 460 */
																								BgL_ev_littz00_bglt
																									BgL_new1112z00_4234;
																								BgL_new1112z00_4234 =
																									((BgL_ev_littz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 460 */
																									long BgL_arg2296z00_4235;

																									BgL_arg2296z00_4235 =
																										BGL_CLASS_NUM
																										(BGl_ev_littz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1112z00_4234),
																										BgL_arg2296z00_4235);
																								}
																								BgL_new1113z00_4233 =
																									BgL_new1112z00_4234;
																							}
																							((((BgL_ev_littz00_bglt)
																										COBJECT
																										(BgL_new1113z00_4233))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1982z00_2040),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1113z00_4233);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg1983z00_2041;

																						BgL_arg1983z00_2041 =
																							CAR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6922;
																							{
																								obj_t BgL_argsz00_6924;
																								obj_t BgL_fz00_6923;

																								BgL_fz00_6923 =
																									BgL_arg1983z00_2041;
																								BgL_argsz00_6924 =
																									BgL_cdrzd29422zd2_2034;
																								BgL_argsz00_1591 =
																									BgL_argsz00_6924;
																								BgL_fz00_1590 = BgL_fz00_6923;
																								goto BgL_tagzd2176zd2_1592;
																							}
																							return ((obj_t) BgL_auxz00_6922);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				obj_t BgL_arg1986z00_2044;

																				BgL_arg1986z00_2044 =
																					CAR(((obj_t) BgL_ez00_69));
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_6928;

																					{
																						obj_t BgL_argsz00_6930;
																						obj_t BgL_fz00_6929;

																						BgL_fz00_6929 = BgL_arg1986z00_2044;
																						BgL_argsz00_6930 =
																							BgL_cdrzd29422zd2_2034;
																						BgL_argsz00_1591 = BgL_argsz00_6930;
																						BgL_fz00_1590 = BgL_fz00_6929;
																						goto BgL_tagzd2176zd2_1592;
																					}
																					return ((obj_t) BgL_auxz00_6928);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 424 */
																		if (
																			(CAR(
																					((obj_t) BgL_ez00_69)) ==
																				BGl_symbol2963z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 424 */
																				if (PAIRP(BgL_cdrzd29422zd2_2034))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_cdrzd210036zd2_2050;

																						BgL_cdrzd210036zd2_2050 =
																							CDR(BgL_cdrzd29422zd2_2034);
																						if (PAIRP(BgL_cdrzd210036zd2_2050))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_cdrzd210041zd2_2052;

																								BgL_cdrzd210041zd2_2052 =
																									CDR(BgL_cdrzd210036zd2_2050);
																								if (PAIRP
																									(BgL_cdrzd210041zd2_2052))
																									{	/* Eval/evaluate.scm 424 */
																										if (NULLP(CDR
																												(BgL_cdrzd210041zd2_2052)))
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1995z00_2056;
																												obj_t
																													BgL_arg1996z00_2057;
																												obj_t
																													BgL_arg1997z00_2058;
																												BgL_arg1995z00_2056 =
																													CAR
																													(BgL_cdrzd29422zd2_2034);
																												BgL_arg1996z00_2057 =
																													CAR
																													(BgL_cdrzd210036zd2_2050);
																												BgL_arg1997z00_2058 =
																													CAR
																													(BgL_cdrzd210041zd2_2052);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_6950;
																													{
																														obj_t BgL_oz00_6953;
																														obj_t BgL_tz00_6952;
																														obj_t BgL_pz00_6951;

																														BgL_pz00_6951 =
																															BgL_arg1995z00_2056;
																														BgL_tz00_6952 =
																															BgL_arg1996z00_2057;
																														BgL_oz00_6953 =
																															BgL_arg1997z00_2058;
																														BgL_oz00_1532 =
																															BgL_oz00_6953;
																														BgL_tz00_1531 =
																															BgL_tz00_6952;
																														BgL_pz00_1530 =
																															BgL_pz00_6951;
																														goto
																															BgL_tagzd2155zd2_1533;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6950);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												obj_t
																													BgL_arg1998z00_2059;
																												obj_t
																													BgL_arg1999z00_2060;
																												BgL_arg1998z00_2059 =
																													CAR(((obj_t)
																														BgL_ez00_69));
																												BgL_arg1999z00_2060 =
																													CDR(((obj_t)
																														BgL_ez00_69));
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_6959;
																													{
																														obj_t
																															BgL_argsz00_6961;
																														obj_t BgL_fz00_6960;

																														BgL_fz00_6960 =
																															BgL_arg1998z00_2059;
																														BgL_argsz00_6961 =
																															BgL_arg1999z00_2060;
																														BgL_argsz00_1591 =
																															BgL_argsz00_6961;
																														BgL_fz00_1590 =
																															BgL_fz00_6960;
																														goto
																															BgL_tagzd2176zd2_1592;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_6959);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd210341zd2_2062;
																										BgL_cdrzd210341zd2_2062 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										{	/* Eval/evaluate.scm 424 */
																											obj_t
																												BgL_cdrzd210347zd2_2063;
																											BgL_cdrzd210347zd2_2063 =
																												CDR(((obj_t)
																													BgL_cdrzd210341zd2_2062));
																											if (NULLP(CDR(((obj_t)
																															BgL_cdrzd210347zd2_2063))))
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2003z00_2066;
																													obj_t
																														BgL_arg2004z00_2067;
																													BgL_arg2003z00_2066 =
																														CAR(((obj_t)
																															BgL_cdrzd210341zd2_2062));
																													BgL_arg2004z00_2067 =
																														CAR(((obj_t)
																															BgL_cdrzd210347zd2_2063));
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_6975;
																														{
																															obj_t
																																BgL_tz00_6977;
																															obj_t
																																BgL_pz00_6976;
																															BgL_pz00_6976 =
																																BgL_arg2003z00_2066;
																															BgL_tz00_6977 =
																																BgL_arg2004z00_2067;
																															BgL_tz00_1535 =
																																BgL_tz00_6977;
																															BgL_pz00_1534 =
																																BgL_pz00_6976;
																															goto
																																BgL_tagzd2156zd2_1536;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6975);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 424 */
																													obj_t
																														BgL_arg2006z00_2068;
																													BgL_arg2006z00_2068 =
																														CAR(((obj_t)
																															BgL_ez00_69));
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_6981;
																														{
																															obj_t
																																BgL_argsz00_6983;
																															obj_t
																																BgL_fz00_6982;
																															BgL_fz00_6982 =
																																BgL_arg2006z00_2068;
																															BgL_argsz00_6983 =
																																BgL_cdrzd210341zd2_2062;
																															BgL_argsz00_1591 =
																																BgL_argsz00_6983;
																															BgL_fz00_1590 =
																																BgL_fz00_6982;
																															goto
																																BgL_tagzd2176zd2_1592;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_6981);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2009z00_2071;
																								obj_t BgL_arg2010z00_2072;

																								BgL_arg2009z00_2071 =
																									CAR(((obj_t) BgL_ez00_69));
																								BgL_arg2010z00_2072 =
																									CDR(((obj_t) BgL_ez00_69));
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_6989;
																									{
																										obj_t BgL_argsz00_6991;
																										obj_t BgL_fz00_6990;

																										BgL_fz00_6990 =
																											BgL_arg2009z00_2071;
																										BgL_argsz00_6991 =
																											BgL_arg2010z00_2072;
																										BgL_argsz00_1591 =
																											BgL_argsz00_6991;
																										BgL_fz00_1590 =
																											BgL_fz00_6990;
																										goto BgL_tagzd2176zd2_1592;
																									}
																									return
																										((obj_t) BgL_auxz00_6989);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2011z00_2073;
																						obj_t BgL_arg2012z00_2074;

																						BgL_arg2011z00_2073 =
																							CAR(((obj_t) BgL_ez00_69));
																						BgL_arg2012z00_2074 =
																							CDR(((obj_t) BgL_ez00_69));
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_6997;
																							{
																								obj_t BgL_argsz00_6999;
																								obj_t BgL_fz00_6998;

																								BgL_fz00_6998 =
																									BgL_arg2011z00_2073;
																								BgL_argsz00_6999 =
																									BgL_arg2012z00_2074;
																								BgL_argsz00_1591 =
																									BgL_argsz00_6999;
																								BgL_fz00_1590 = BgL_fz00_6998;
																								goto BgL_tagzd2176zd2_1592;
																							}
																							return ((obj_t) BgL_auxz00_6997);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 424 */
																				if (
																					(CAR(
																							((obj_t) BgL_ez00_69)) ==
																						BGl_symbol2992z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 424 */
																						obj_t BgL_arg2015z00_2077;

																						BgL_arg2015z00_2077 =
																							CDR(((obj_t) BgL_ez00_69));
																						{	/* Eval/evaluate.scm 472 */
																							BgL_ev_orz00_bglt
																								BgL_new1122z00_4266;
																							{	/* Eval/evaluate.scm 473 */
																								BgL_ev_orz00_bglt
																									BgL_new1120z00_4267;
																								BgL_new1120z00_4267 =
																									((BgL_ev_orz00_bglt)
																									BOBJECT(GC_MALLOC(sizeof
																											(struct
																												BgL_ev_orz00_bgl))));
																								{	/* Eval/evaluate.scm 473 */
																									long BgL_arg2306z00_4268;

																									BgL_arg2306z00_4268 =
																										BGL_CLASS_NUM
																										(BGl_ev_orz00zz__evaluate_typesz00);
																									BGL_OBJECT_CLASS_NUM_SET((
																											(BgL_objectz00_bglt)
																											BgL_new1120z00_4267),
																										BgL_arg2306z00_4268);
																								}
																								BgL_new1122z00_4266 =
																									BgL_new1120z00_4267;
																							}
																							((((BgL_ev_listz00_bglt) COBJECT(
																											((BgL_ev_listz00_bglt)
																												BgL_new1122z00_4266)))->
																									BgL_argsz00) =
																								((obj_t)
																									BGl_loopze70ze7zz__evaluatez00
																									(BgL_wherez00_73,
																										BgL_globalsz00_71,
																										BgL_localsz00_70,
																										BgL_locz00_74,
																										BgL_arg2015z00_2077)),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1122z00_4266);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 424 */
																						if (
																							(CAR(
																									((obj_t) BgL_ez00_69)) ==
																								BGl_symbol2994z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 424 */
																								obj_t BgL_arg2018z00_2080;

																								BgL_arg2018z00_2080 =
																									CDR(((obj_t) BgL_ez00_69));
																								{	/* Eval/evaluate.scm 475 */
																									BgL_ev_andz00_bglt
																										BgL_new1124z00_4274;
																									{	/* Eval/evaluate.scm 476 */
																										BgL_ev_andz00_bglt
																											BgL_new1123z00_4275;
																										BgL_new1123z00_4275 =
																											((BgL_ev_andz00_bglt)
																											BOBJECT(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_andz00_bgl))));
																										{	/* Eval/evaluate.scm 476 */
																											long BgL_arg2307z00_4276;

																											BgL_arg2307z00_4276 =
																												BGL_CLASS_NUM
																												(BGl_ev_andz00zz__evaluate_typesz00);
																											BGL_OBJECT_CLASS_NUM_SET((
																													(BgL_objectz00_bglt)
																													BgL_new1123z00_4275),
																												BgL_arg2307z00_4276);
																										}
																										BgL_new1124z00_4274 =
																											BgL_new1123z00_4275;
																									}
																									((((BgL_ev_listz00_bglt)
																												COBJECT((
																														(BgL_ev_listz00_bglt)
																														BgL_new1124z00_4274)))->
																											BgL_argsz00) =
																										((obj_t)
																											BGl_loopze70ze7zz__evaluatez00
																											(BgL_wherez00_73,
																												BgL_globalsz00_71,
																												BgL_localsz00_70,
																												BgL_locz00_74,
																												BgL_arg2018z00_2080)),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1124z00_4274);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 424 */
																								if (
																									(CAR(
																											((obj_t) BgL_ez00_69)) ==
																										BGl_symbol2979z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 424 */
																										obj_t BgL_arg2021z00_2083;

																										BgL_arg2021z00_2083 =
																											CDR(
																											((obj_t) BgL_ez00_69));
																										BGL_TAIL return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(BgL_arg2021z00_2083,
																											BgL_localsz00_70,
																											BgL_globalsz00_71,
																											BgL_tailzf3zf3_72,
																											BgL_wherez00_73,
																											BgL_locz00_74,
																											BgL_topzf3zf3_75);
																									}
																								else
																									{	/* Eval/evaluate.scm 424 */
																										obj_t
																											BgL_cdrzd211246zd2_2084;
																										BgL_cdrzd211246zd2_2084 =
																											CDR(((obj_t)
																												BgL_ez00_69));
																										if ((CAR(((obj_t)
																														BgL_ez00_69)) ==
																												BGl_symbol2965z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 424 */
																												if (PAIRP
																													(BgL_cdrzd211246zd2_2084))
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2028z00_2088;
																														obj_t
																															BgL_arg2029z00_2089;
																														BgL_arg2028z00_2088
																															=
																															CAR
																															(BgL_cdrzd211246zd2_2084);
																														BgL_arg2029z00_2089
																															=
																															CDR
																															(BgL_cdrzd211246zd2_2084);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_7046;
																															{
																																obj_t
																																	BgL_bodyz00_7048;
																																obj_t
																																	BgL_bindsz00_7047;
																																BgL_bindsz00_7047
																																	=
																																	BgL_arg2028z00_2088;
																																BgL_bodyz00_7048
																																	=
																																	BgL_arg2029z00_2089;
																																BgL_bodyz00_1544
																																	=
																																	BgL_bodyz00_7048;
																																BgL_bindsz00_1543
																																	=
																																	BgL_bindsz00_7047;
																																goto
																																	BgL_tagzd2160zd2_1545;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7046);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_arg2031z00_2090;
																														BgL_arg2031z00_2090
																															=
																															CAR(((obj_t)
																																BgL_ez00_69));
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_7052;
																															{
																																obj_t
																																	BgL_argsz00_7054;
																																obj_t
																																	BgL_fz00_7053;
																																BgL_fz00_7053 =
																																	BgL_arg2031z00_2090;
																																BgL_argsz00_7054
																																	=
																																	BgL_cdrzd211246zd2_2084;
																																BgL_argsz00_1591
																																	=
																																	BgL_argsz00_7054;
																																BgL_fz00_1590 =
																																	BgL_fz00_7053;
																																goto
																																	BgL_tagzd2176zd2_1592;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_7052);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 424 */
																												if (
																													(CAR(
																															((obj_t)
																																BgL_ez00_69)) ==
																														BGl_symbol2996z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 424 */
																														if (PAIRP
																															(BgL_cdrzd211246zd2_2084))
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2036z00_2096;
																																obj_t
																																	BgL_arg2037z00_2097;
																																BgL_arg2036z00_2096
																																	=
																																	CAR
																																	(BgL_cdrzd211246zd2_2084);
																																BgL_arg2037z00_2097
																																	=
																																	CDR
																																	(BgL_cdrzd211246zd2_2084);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_7064;
																																	{
																																		obj_t
																																			BgL_bodyz00_7066;
																																		obj_t
																																			BgL_bindsz00_7065;
																																		BgL_bindsz00_7065
																																			=
																																			BgL_arg2036z00_2096;
																																		BgL_bodyz00_7066
																																			=
																																			BgL_arg2037z00_2097;
																																		BgL_bodyz00_1547
																																			=
																																			BgL_bodyz00_7066;
																																		BgL_bindsz00_1546
																																			=
																																			BgL_bindsz00_7065;
																																		goto
																																			BgL_tagzd2161zd2_1548;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7064);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																obj_t
																																	BgL_arg2038z00_2098;
																																obj_t
																																	BgL_arg2039z00_2099;
																																BgL_arg2038z00_2098
																																	=
																																	CAR(((obj_t)
																																		BgL_ez00_69));
																																BgL_arg2039z00_2099
																																	=
																																	CDR(((obj_t)
																																		BgL_ez00_69));
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_7072;
																																	{
																																		obj_t
																																			BgL_argsz00_7074;
																																		obj_t
																																			BgL_fz00_7073;
																																		BgL_fz00_7073
																																			=
																																			BgL_arg2038z00_2098;
																																		BgL_argsz00_7074
																																			=
																																			BgL_arg2039z00_2099;
																																		BgL_argsz00_1591
																																			=
																																			BgL_argsz00_7074;
																																		BgL_fz00_1590
																																			=
																																			BgL_fz00_7073;
																																		goto
																																			BgL_tagzd2176zd2_1592;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_7072);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 424 */
																														obj_t
																															BgL_cdrzd211644zd2_2100;
																														BgL_cdrzd211644zd2_2100
																															=
																															CDR(((obj_t)
																																BgL_ez00_69));
																														if ((CAR(((obj_t)
																																		BgL_ez00_69))
																																==
																																BGl_symbol2998z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 424 */
																																if (PAIRP
																																	(BgL_cdrzd211644zd2_2100))
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2043z00_2104;
																																		obj_t
																																			BgL_arg2044z00_2105;
																																		BgL_arg2043z00_2104
																																			=
																																			CAR
																																			(BgL_cdrzd211644zd2_2100);
																																		BgL_arg2044z00_2105
																																			=
																																			CDR
																																			(BgL_cdrzd211644zd2_2100);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_7086;
																																			{
																																				obj_t
																																					BgL_bodyz00_7088;
																																				obj_t
																																					BgL_bindsz00_7087;
																																				BgL_bindsz00_7087
																																					=
																																					BgL_arg2043z00_2104;
																																				BgL_bodyz00_7088
																																					=
																																					BgL_arg2044z00_2105;
																																				BgL_bodyz00_1550
																																					=
																																					BgL_bodyz00_7088;
																																				BgL_bindsz00_1549
																																					=
																																					BgL_bindsz00_7087;
																																				goto
																																					BgL_tagzd2162zd2_1551;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7086);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_arg2046z00_2106;
																																		BgL_arg2046z00_2106
																																			=
																																			CAR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_7092;
																																			{
																																				obj_t
																																					BgL_argsz00_7094;
																																				obj_t
																																					BgL_fz00_7093;
																																				BgL_fz00_7093
																																					=
																																					BgL_arg2046z00_2106;
																																				BgL_argsz00_7094
																																					=
																																					BgL_cdrzd211644zd2_2100;
																																				BgL_argsz00_1591
																																					=
																																					BgL_argsz00_7094;
																																				BgL_fz00_1590
																																					=
																																					BgL_fz00_7093;
																																				goto
																																					BgL_tagzd2176zd2_1592;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_7092);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 424 */
																																if (
																																	(CAR(
																																			((obj_t)
																																				BgL_ez00_69))
																																		==
																																		BGl_symbol3000z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 424 */
																																		if (PAIRP
																																			(BgL_cdrzd211644zd2_2100))
																																			{	/* Eval/evaluate.scm 424 */
																																				obj_t
																																					BgL_carzd211820zd2_2112;
																																				obj_t
																																					BgL_cdrzd211821zd2_2113;
																																				BgL_carzd211820zd2_2112
																																					=
																																					CAR
																																					(BgL_cdrzd211644zd2_2100);
																																				BgL_cdrzd211821zd2_2113
																																					=
																																					CDR
																																					(BgL_cdrzd211644zd2_2100);
																																				if (PAIRP(BgL_carzd211820zd2_2112))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd211825zd2_2115;
																																						BgL_cdrzd211825zd2_2115
																																							=
																																							CDR
																																							(BgL_carzd211820zd2_2112);
																																						if (
																																							(CAR
																																								(BgL_carzd211820zd2_2112)
																																								==
																																								BGl_symbol2986z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd211825zd2_2115))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_carzd211828zd2_2119;
																																										obj_t
																																											BgL_cdrzd211829zd2_2120;
																																										BgL_carzd211828zd2_2119
																																											=
																																											CAR
																																											(BgL_cdrzd211825zd2_2115);
																																										BgL_cdrzd211829zd2_2120
																																											=
																																											CDR
																																											(BgL_cdrzd211825zd2_2115);
																																										if (SYMBOLP(BgL_carzd211828zd2_2119))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd211829zd2_2120))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_carzd211833zd2_2123;
																																														BgL_carzd211833zd2_2123
																																															=
																																															CAR
																																															(BgL_cdrzd211829zd2_2120);
																																														if (SYMBOLP(BgL_carzd211833zd2_2123))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd211829zd2_2120)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd211821zd2_2113))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				if (NULLP(CDR(BgL_cdrzd211821zd2_2113)))
																																																					{	/* Eval/evaluate.scm 424 */
																																																						obj_t
																																																							BgL_arg2066z00_2130;
																																																						BgL_arg2066z00_2130
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211821zd2_2113);
																																																						{	/* Eval/evaluate.scm 531 */
																																																							BgL_ev_setglobalz00_bglt
																																																								BgL_new1141z00_4312;
																																																							{	/* Eval/evaluate.scm 535 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1140z00_4313;
																																																								BgL_new1140z00_4313
																																																									=
																																																									(
																																																									(BgL_ev_setglobalz00_bglt)
																																																									BOBJECT
																																																									(GC_MALLOC
																																																										(sizeof
																																																											(struct
																																																												BgL_ev_setglobalz00_bgl))));
																																																								{	/* Eval/evaluate.scm 535 */
																																																									long
																																																										BgL_arg2385z00_4314;
																																																									BgL_arg2385z00_4314
																																																										=
																																																										BGL_CLASS_NUM
																																																										(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																									BGL_OBJECT_CLASS_NUM_SET
																																																										(
																																																										((BgL_objectz00_bglt) BgL_new1140z00_4313), BgL_arg2385z00_4314);
																																																								}
																																																								BgL_new1141z00_4312
																																																									=
																																																									BgL_new1140z00_4313;
																																																							}
																																																							{
																																																								BgL_ev_exprz00_bglt
																																																									BgL_auxz00_7134;
																																																								{	/* Eval/evaluate.scm 380 */
																																																									obj_t
																																																										BgL_arg2436z00_4318;
																																																									BgL_arg2436z00_4318
																																																										=
																																																										BGl_getzd2locationzd2zz__evaluatez00
																																																										(BgL_arg2066z00_2130,
																																																										BgL_locz00_74);
																																																									BgL_auxz00_7134
																																																										=
																																																										(
																																																										(BgL_ev_exprz00_bglt)
																																																										BGl_uconvzf2locze70z15zz__evaluatez00
																																																										(BgL_wherez00_73,
																																																											BgL_globalsz00_71,
																																																											BgL_localsz00_70,
																																																											BgL_arg2066z00_2130,
																																																											BgL_arg2436z00_4318));
																																																								}
																																																								((((BgL_ev_hookz00_bglt) COBJECT(((BgL_ev_hookz00_bglt) BgL_new1141z00_4312)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7134), BUNSPEC);
																																																							}
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4312))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4312))->BgL_namez00) = ((obj_t) BgL_carzd211828zd2_2119), BUNSPEC);
																																																							((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1141z00_4312))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_carzd211833zd2_2123)), BUNSPEC);
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_new1141z00_4312);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 424 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_74,
																																																							BGl_string2903z00zz__evaluatez00,
																																																							BGl_string2978z00zz__evaluatez00,
																																																							BgL_ez00_69);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_74,
																																																					BGl_string2903z00zz__evaluatez00,
																																																					BGl_string2978z00zz__evaluatez00,
																																																					BgL_ez00_69);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd211949zd2_2132;
																																																		BgL_cdrzd211949zd2_2132
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_cdrzd211953zd2_2133;
																																																			BgL_cdrzd211953zd2_2133
																																																				=
																																																				CDR
																																																				(
																																																				((obj_t) BgL_cdrzd211949zd2_2132));
																																																			if (PAIRP(BgL_cdrzd211953zd2_2133))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					if (NULLP(CDR(BgL_cdrzd211953zd2_2133)))
																																																						{	/* Eval/evaluate.scm 424 */
																																																							obj_t
																																																								BgL_arg2071z00_2137;
																																																							obj_t
																																																								BgL_arg2072z00_2138;
																																																							BgL_arg2071z00_2137
																																																								=
																																																								CAR
																																																								(
																																																								((obj_t) BgL_cdrzd211949zd2_2132));
																																																							BgL_arg2072z00_2138
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211953zd2_2133);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_7159;
																																																								{
																																																									obj_t
																																																										BgL_ez00_7161;
																																																									obj_t
																																																										BgL_vz00_7160;
																																																									BgL_vz00_7160
																																																										=
																																																										BgL_arg2071z00_2137;
																																																									BgL_ez00_7161
																																																										=
																																																										BgL_arg2072z00_2138;
																																																									BgL_ez00_1560
																																																										=
																																																										BgL_ez00_7161;
																																																									BgL_vz00_1559
																																																										=
																																																										BgL_vz00_7160;
																																																									goto
																																																										BgL_tagzd2165zd2_1561;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7159);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 424 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_74,
																																																								BGl_string2903z00zz__evaluatez00,
																																																								BGl_string2978z00zz__evaluatez00,
																																																								BgL_ez00_69);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2903z00zz__evaluatez00,
																																																						BGl_string2978z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212010zd2_2141;
																																																BgL_cdrzd212010zd2_2141
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_cdrzd212014zd2_2142;
																																																	BgL_cdrzd212014zd2_2142
																																																		=
																																																		CDR
																																																		(
																																																		((obj_t) BgL_cdrzd212010zd2_2141));
																																																	if (PAIRP(BgL_cdrzd212014zd2_2142))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			if (NULLP(CDR(BgL_cdrzd212014zd2_2142)))
																																																				{	/* Eval/evaluate.scm 424 */
																																																					obj_t
																																																						BgL_arg2078z00_2146;
																																																					obj_t
																																																						BgL_arg2079z00_2147;
																																																					BgL_arg2078z00_2146
																																																						=
																																																						CAR
																																																						(
																																																						((obj_t) BgL_cdrzd212010zd2_2141));
																																																					BgL_arg2079z00_2147
																																																						=
																																																						CAR
																																																						(BgL_cdrzd212014zd2_2142);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_7177;
																																																						{
																																																							obj_t
																																																								BgL_ez00_7179;
																																																							obj_t
																																																								BgL_vz00_7178;
																																																							BgL_vz00_7178
																																																								=
																																																								BgL_arg2078z00_2146;
																																																							BgL_ez00_7179
																																																								=
																																																								BgL_arg2079z00_2147;
																																																							BgL_ez00_1560
																																																								=
																																																								BgL_ez00_7179;
																																																							BgL_vz00_1559
																																																								=
																																																								BgL_vz00_7178;
																																																							goto
																																																								BgL_tagzd2165zd2_1561;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_7177);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 424 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_74,
																																																						BGl_string2903z00zz__evaluatez00,
																																																						BGl_string2978z00zz__evaluatez00,
																																																						BgL_ez00_69);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2903z00zz__evaluatez00,
																																																				BGl_string2978z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212071zd2_2149;
																																														BgL_cdrzd212071zd2_2149
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_cdrzd212075zd2_2150;
																																															BgL_cdrzd212075zd2_2150
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_cdrzd212071zd2_2149));
																																															if (PAIRP(BgL_cdrzd212075zd2_2150))
																																																{	/* Eval/evaluate.scm 424 */
																																																	if (NULLP(CDR(BgL_cdrzd212075zd2_2150)))
																																																		{	/* Eval/evaluate.scm 424 */
																																																			obj_t
																																																				BgL_arg2085z00_2154;
																																																			obj_t
																																																				BgL_arg2086z00_2155;
																																																			BgL_arg2085z00_2154
																																																				=
																																																				CAR
																																																				(
																																																				((obj_t) BgL_cdrzd212071zd2_2149));
																																																			BgL_arg2086z00_2155
																																																				=
																																																				CAR
																																																				(BgL_cdrzd212075zd2_2150);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_7195;
																																																				{
																																																					obj_t
																																																						BgL_ez00_7197;
																																																					obj_t
																																																						BgL_vz00_7196;
																																																					BgL_vz00_7196
																																																						=
																																																						BgL_arg2085z00_2154;
																																																					BgL_ez00_7197
																																																						=
																																																						BgL_arg2086z00_2155;
																																																					BgL_ez00_1560
																																																						=
																																																						BgL_ez00_7197;
																																																					BgL_vz00_1559
																																																						=
																																																						BgL_vz00_7196;
																																																					goto
																																																						BgL_tagzd2165zd2_1561;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_7195);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 424 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_74,
																																																				BGl_string2903z00zz__evaluatez00,
																																																				BGl_string2978z00zz__evaluatez00,
																																																				BgL_ez00_69);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212132zd2_2157;
																																												BgL_cdrzd212132zd2_2157
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{	/* Eval/evaluate.scm 424 */
																																													obj_t
																																														BgL_cdrzd212136zd2_2158;
																																													BgL_cdrzd212136zd2_2158
																																														=
																																														CDR
																																														(
																																														((obj_t) BgL_cdrzd212132zd2_2157));
																																													if (PAIRP(BgL_cdrzd212136zd2_2158))
																																														{	/* Eval/evaluate.scm 424 */
																																															if (NULLP(CDR(BgL_cdrzd212136zd2_2158)))
																																																{	/* Eval/evaluate.scm 424 */
																																																	obj_t
																																																		BgL_arg2091z00_2162;
																																																	obj_t
																																																		BgL_arg2093z00_2163;
																																																	BgL_arg2091z00_2162
																																																		=
																																																		CAR
																																																		(
																																																		((obj_t) BgL_cdrzd212132zd2_2157));
																																																	BgL_arg2093z00_2163
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212136zd2_2158);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_7213;
																																																		{
																																																			obj_t
																																																				BgL_ez00_7215;
																																																			obj_t
																																																				BgL_vz00_7214;
																																																			BgL_vz00_7214
																																																				=
																																																				BgL_arg2091z00_2162;
																																																			BgL_ez00_7215
																																																				=
																																																				BgL_arg2093z00_2163;
																																																			BgL_ez00_1560
																																																				=
																																																				BgL_ez00_7215;
																																																			BgL_vz00_1559
																																																				=
																																																				BgL_vz00_7214;
																																																			goto
																																																				BgL_tagzd2165zd2_1561;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_7213);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 424 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_74,
																																																		BGl_string2903z00zz__evaluatez00,
																																																		BGl_string2978z00zz__evaluatez00,
																																																		BgL_ez00_69);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212193zd2_2165;
																																										BgL_cdrzd212193zd2_2165
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212197zd2_2166;
																																											BgL_cdrzd212197zd2_2166
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212193zd2_2165));
																																											if (PAIRP(BgL_cdrzd212197zd2_2166))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212197zd2_2166)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2098z00_2170;
																																															obj_t
																																																BgL_arg2099z00_2171;
																																															BgL_arg2098z00_2170
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212193zd2_2165));
																																															BgL_arg2099z00_2171
																																																=
																																																CAR
																																																(BgL_cdrzd212197zd2_2166);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7231;
																																																{
																																																	obj_t
																																																		BgL_ez00_7233;
																																																	obj_t
																																																		BgL_vz00_7232;
																																																	BgL_vz00_7232
																																																		=
																																																		BgL_arg2098z00_2170;
																																																	BgL_ez00_7233
																																																		=
																																																		BgL_arg2099z00_2171;
																																																	BgL_ez00_1560
																																																		=
																																																		BgL_ez00_7233;
																																																	BgL_vz00_1559
																																																		=
																																																		BgL_vz00_7232;
																																																	goto
																																																		BgL_tagzd2165zd2_1561;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7231);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2903z00zz__evaluatez00,
																																														BGl_string2978z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_cdrzd212241zd2_2173;
																																								BgL_cdrzd212241zd2_2173
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{	/* Eval/evaluate.scm 424 */
																																									obj_t
																																										BgL_carzd212244zd2_2174;
																																									obj_t
																																										BgL_cdrzd212245zd2_2175;
																																									BgL_carzd212244zd2_2174
																																										=
																																										CAR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2173));
																																									BgL_cdrzd212245zd2_2175
																																										=
																																										CDR
																																										(
																																										((obj_t) BgL_cdrzd212241zd2_2173));
																																									if ((CAR(((obj_t) BgL_carzd212244zd2_2174)) == BGl_symbol2988z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 424 */
																																											if (PAIRP(BgL_cdrzd212245zd2_2175))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212245zd2_2175)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2106z00_2181;
																																															obj_t
																																																BgL_arg2107z00_2182;
																																															BgL_arg2106z00_2181
																																																=
																																																CDR
																																																(
																																																((obj_t) BgL_carzd212244zd2_2174));
																																															BgL_arg2107z00_2182
																																																=
																																																CAR
																																																(BgL_cdrzd212245zd2_2175);
																																															{
																																																obj_t
																																																	BgL_e2z00_7256;
																																																obj_t
																																																	BgL_lz00_7255;
																																																BgL_lz00_7255
																																																	=
																																																	BgL_arg2106z00_2181;
																																																BgL_e2z00_7256
																																																	=
																																																	BgL_arg2107z00_2182;
																																																BgL_e2z00_1557
																																																	=
																																																	BgL_e2z00_7256;
																																																BgL_lz00_1556
																																																	=
																																																	BgL_lz00_7255;
																																																goto
																																																	BgL_tagzd2164zd2_1558;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2903z00zz__evaluatez00,
																																														BGl_string2978z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_cdrzd212321zd2_2185;
																																											BgL_cdrzd212321zd2_2185
																																												=
																																												CDR
																																												(
																																												((obj_t) BgL_cdrzd212241zd2_2173));
																																											if (PAIRP(BgL_cdrzd212321zd2_2185))
																																												{	/* Eval/evaluate.scm 424 */
																																													if (NULLP(CDR(BgL_cdrzd212321zd2_2185)))
																																														{	/* Eval/evaluate.scm 424 */
																																															obj_t
																																																BgL_arg2112z00_2189;
																																															obj_t
																																																BgL_arg2113z00_2190;
																																															BgL_arg2112z00_2189
																																																=
																																																CAR
																																																(
																																																((obj_t) BgL_cdrzd212241zd2_2173));
																																															BgL_arg2113z00_2190
																																																=
																																																CAR
																																																(BgL_cdrzd212321zd2_2185);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_7269;
																																																{
																																																	obj_t
																																																		BgL_ez00_7271;
																																																	obj_t
																																																		BgL_vz00_7270;
																																																	BgL_vz00_7270
																																																		=
																																																		BgL_arg2112z00_2189;
																																																	BgL_ez00_7271
																																																		=
																																																		BgL_arg2113z00_2190;
																																																	BgL_ez00_1560
																																																		=
																																																		BgL_ez00_7271;
																																																	BgL_vz00_1559
																																																		=
																																																		BgL_vz00_7270;
																																																	goto
																																																		BgL_tagzd2165zd2_1561;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_7269);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 424 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_74,
																																																BGl_string2903z00zz__evaluatez00,
																																																BGl_string2978z00zz__evaluatez00,
																																																BgL_ez00_69);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 424 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_74,
																																														BGl_string2903z00zz__evaluatez00,
																																														BGl_string2978z00zz__evaluatez00,
																																														BgL_ez00_69);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212378zd2_2194;
																																						BgL_cdrzd212378zd2_2194
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						{	/* Eval/evaluate.scm 424 */
																																							obj_t
																																								BgL_cdrzd212382zd2_2195;
																																							BgL_cdrzd212382zd2_2195
																																								=
																																								CDR
																																								(
																																								((obj_t) BgL_cdrzd212378zd2_2194));
																																							if (PAIRP(BgL_cdrzd212382zd2_2195))
																																								{	/* Eval/evaluate.scm 424 */
																																									if (NULLP(CDR(BgL_cdrzd212382zd2_2195)))
																																										{	/* Eval/evaluate.scm 424 */
																																											obj_t
																																												BgL_arg2120z00_2199;
																																											obj_t
																																												BgL_arg2122z00_2200;
																																											BgL_arg2120z00_2199
																																												=
																																												CAR
																																												(
																																												((obj_t) BgL_cdrzd212378zd2_2194));
																																											BgL_arg2122z00_2200
																																												=
																																												CAR
																																												(BgL_cdrzd212382zd2_2195);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_7287;
																																												{
																																													obj_t
																																														BgL_ez00_7289;
																																													obj_t
																																														BgL_vz00_7288;
																																													BgL_vz00_7288
																																														=
																																														BgL_arg2120z00_2199;
																																													BgL_ez00_7289
																																														=
																																														BgL_arg2122z00_2200;
																																													BgL_ez00_1560
																																														=
																																														BgL_ez00_7289;
																																													BgL_vz00_1559
																																														=
																																														BgL_vz00_7288;
																																													goto
																																														BgL_tagzd2165zd2_1561;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_7287);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 424 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_74,
																																												BGl_string2903z00zz__evaluatez00,
																																												BGl_string2978z00zz__evaluatez00,
																																												BgL_ez00_69);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 424 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_74,
																																										BGl_string2903z00zz__evaluatez00,
																																										BGl_string2978z00zz__evaluatez00,
																																										BgL_ez00_69);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_74,
																																					BGl_string2903z00zz__evaluatez00,
																																					BGl_string2978z00zz__evaluatez00,
																																					BgL_ez00_69);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 424 */
																																		obj_t
																																			BgL_cdrzd212503zd2_2202;
																																		BgL_cdrzd212503zd2_2202
																																			=
																																			CDR((
																																				(obj_t)
																																				BgL_ez00_69));
																																		if ((CAR((
																																						(obj_t)
																																						BgL_ez00_69))
																																				==
																																				BGl_symbol3002z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 424 */
																																				if (PAIRP(BgL_cdrzd212503zd2_2202))
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd212508zd2_2206;
																																						BgL_cdrzd212508zd2_2206
																																							=
																																							CDR
																																							(BgL_cdrzd212503zd2_2202);
																																						if (PAIRP(BgL_cdrzd212508zd2_2206))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd212512zd2_2208;
																																								BgL_carzd212512zd2_2208
																																									=
																																									CAR
																																									(BgL_cdrzd212508zd2_2206);
																																								if (PAIRP(BgL_carzd212512zd2_2208))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212517zd2_2210;
																																										BgL_cdrzd212517zd2_2210
																																											=
																																											CDR
																																											(BgL_carzd212512zd2_2208);
																																										if ((CAR(BgL_carzd212512zd2_2208) == BGl_symbol2967z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd212517zd2_2210))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212521zd2_2214;
																																														BgL_cdrzd212521zd2_2214
																																															=
																																															CDR
																																															(BgL_cdrzd212517zd2_2210);
																																														if (PAIRP(BgL_cdrzd212521zd2_2214))
																																															{	/* Eval/evaluate.scm 424 */
																																																if (NULLP(CDR(BgL_cdrzd212521zd2_2214)))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd212508zd2_2206)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2138z00_2220;
																																																				obj_t
																																																					BgL_arg2139z00_2221;
																																																				obj_t
																																																					BgL_arg2140z00_2222;
																																																				BgL_arg2138z00_2220
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212503zd2_2202);
																																																				BgL_arg2139z00_2221
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212517zd2_2210);
																																																				BgL_arg2140z00_2222
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212521zd2_2214);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7326;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7329;
																																																						obj_t
																																																							BgL_formalsz00_7328;
																																																						obj_t
																																																							BgL_gvz00_7327;
																																																						BgL_gvz00_7327
																																																							=
																																																							BgL_arg2138z00_2220;
																																																						BgL_formalsz00_7328
																																																							=
																																																							BgL_arg2139z00_2221;
																																																						BgL_bodyz00_7329
																																																							=
																																																							BgL_arg2140z00_2222;
																																																						BgL_bodyz00_1565
																																																							=
																																																							BgL_bodyz00_7329;
																																																						BgL_formalsz00_1564
																																																							=
																																																							BgL_formalsz00_7328;
																																																						BgL_gvz00_1563
																																																							=
																																																							BgL_gvz00_7327;
																																																						goto
																																																							BgL_tagzd2167zd2_1566;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7326);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2141z00_2223;
																																																				BgL_arg2141z00_2223
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7333;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7335;
																																																						obj_t
																																																							BgL_fz00_7334;
																																																						BgL_fz00_7334
																																																							=
																																																							BgL_arg2141z00_2223;
																																																						BgL_argsz00_7335
																																																							=
																																																							BgL_cdrzd212503zd2_2202;
																																																						BgL_argsz00_1591
																																																							=
																																																							BgL_argsz00_7335;
																																																						BgL_fz00_1590
																																																							=
																																																							BgL_fz00_7334;
																																																						goto
																																																							BgL_tagzd2176zd2_1592;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7333);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_cdrzd212623zd2_2227;
																																																		BgL_cdrzd212623zd2_2227
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2202));
																																																		if (NULLP(CDR(((obj_t) BgL_cdrzd212623zd2_2227))))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2146z00_2230;
																																																				obj_t
																																																					BgL_arg2148z00_2231;
																																																				BgL_arg2146z00_2230
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212503zd2_2202));
																																																				BgL_arg2148z00_2231
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd212623zd2_2227));
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_7347;
																																																					{
																																																						obj_t
																																																							BgL_gez00_7349;
																																																						obj_t
																																																							BgL_gvz00_7348;
																																																						BgL_gvz00_7348
																																																							=
																																																							BgL_arg2146z00_2230;
																																																						BgL_gez00_7349
																																																							=
																																																							BgL_arg2148z00_2231;
																																																						BgL_gez00_1568
																																																							=
																																																							BgL_gez00_7349;
																																																						BgL_gvz00_1567
																																																							=
																																																							BgL_gvz00_7348;
																																																						goto
																																																							BgL_tagzd2168zd2_1569;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7347);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2149z00_2232;
																																																				obj_t
																																																					BgL_arg2150z00_2233;
																																																				BgL_arg2149z00_2232
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2150z00_2233
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7355;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7357;
																																																						obj_t
																																																							BgL_fz00_7356;
																																																						BgL_fz00_7356
																																																							=
																																																							BgL_arg2149z00_2232;
																																																						BgL_argsz00_7357
																																																							=
																																																							BgL_arg2150z00_2233;
																																																						BgL_argsz00_1591
																																																							=
																																																							BgL_argsz00_7357;
																																																						BgL_fz00_1590
																																																							=
																																																							BgL_fz00_7356;
																																																						goto
																																																							BgL_tagzd2176zd2_1592;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7355);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd212712zd2_2237;
																																																BgL_cdrzd212712zd2_2237
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2202));
																																																if (NULLP(CDR(((obj_t) BgL_cdrzd212712zd2_2237))))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2155z00_2240;
																																																		obj_t
																																																			BgL_arg2156z00_2241;
																																																		BgL_arg2155z00_2240
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212503zd2_2202));
																																																		BgL_arg2156z00_2241
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd212712zd2_2237));
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_7369;
																																																			{
																																																				obj_t
																																																					BgL_gez00_7371;
																																																				obj_t
																																																					BgL_gvz00_7370;
																																																				BgL_gvz00_7370
																																																					=
																																																					BgL_arg2155z00_2240;
																																																				BgL_gez00_7371
																																																					=
																																																					BgL_arg2156z00_2241;
																																																				BgL_gez00_1568
																																																					=
																																																					BgL_gez00_7371;
																																																				BgL_gvz00_1567
																																																					=
																																																					BgL_gvz00_7370;
																																																				goto
																																																					BgL_tagzd2168zd2_1569;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7369);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2157z00_2242;
																																																		obj_t
																																																			BgL_arg2158z00_2243;
																																																		BgL_arg2157z00_2242
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2158z00_2243
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7377;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7379;
																																																				obj_t
																																																					BgL_fz00_7378;
																																																				BgL_fz00_7378
																																																					=
																																																					BgL_arg2157z00_2242;
																																																				BgL_argsz00_7379
																																																					=
																																																					BgL_arg2158z00_2243;
																																																				BgL_argsz00_1591
																																																					=
																																																					BgL_argsz00_7379;
																																																				BgL_fz00_1590
																																																					=
																																																					BgL_fz00_7378;
																																																				goto
																																																					BgL_tagzd2176zd2_1592;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7377);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd212801zd2_2246;
																																														BgL_cdrzd212801zd2_2246
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2202));
																																														if (NULLP(CDR(((obj_t) BgL_cdrzd212801zd2_2246))))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2162z00_2249;
																																																obj_t
																																																	BgL_arg2163z00_2250;
																																																BgL_arg2162z00_2249
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212503zd2_2202));
																																																BgL_arg2163z00_2250
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd212801zd2_2246));
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_7391;
																																																	{
																																																		obj_t
																																																			BgL_gez00_7393;
																																																		obj_t
																																																			BgL_gvz00_7392;
																																																		BgL_gvz00_7392
																																																			=
																																																			BgL_arg2162z00_2249;
																																																		BgL_gez00_7393
																																																			=
																																																			BgL_arg2163z00_2250;
																																																		BgL_gez00_1568
																																																			=
																																																			BgL_gez00_7393;
																																																		BgL_gvz00_1567
																																																			=
																																																			BgL_gvz00_7392;
																																																		goto
																																																			BgL_tagzd2168zd2_1569;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7391);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2164z00_2251;
																																																obj_t
																																																	BgL_arg2165z00_2252;
																																																BgL_arg2164z00_2251
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2165z00_2252
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7399;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7401;
																																																		obj_t
																																																			BgL_fz00_7400;
																																																		BgL_fz00_7400
																																																			=
																																																			BgL_arg2164z00_2251;
																																																		BgL_argsz00_7401
																																																			=
																																																			BgL_arg2165z00_2252;
																																																		BgL_argsz00_1591
																																																			=
																																																			BgL_argsz00_7401;
																																																		BgL_fz00_1590
																																																			=
																																																			BgL_fz00_7400;
																																																		goto
																																																			BgL_tagzd2176zd2_1592;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7399);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_cdrzd212890zd2_2255;
																																												BgL_cdrzd212890zd2_2255
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2202));
																																												if (NULLP(CDR(((obj_t) BgL_cdrzd212890zd2_2255))))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2169z00_2258;
																																														obj_t
																																															BgL_arg2170z00_2259;
																																														BgL_arg2169z00_2258
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212503zd2_2202));
																																														BgL_arg2170z00_2259
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_cdrzd212890zd2_2255));
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_7413;
																																															{
																																																obj_t
																																																	BgL_gez00_7415;
																																																obj_t
																																																	BgL_gvz00_7414;
																																																BgL_gvz00_7414
																																																	=
																																																	BgL_arg2169z00_2258;
																																																BgL_gez00_7415
																																																	=
																																																	BgL_arg2170z00_2259;
																																																BgL_gez00_1568
																																																	=
																																																	BgL_gez00_7415;
																																																BgL_gvz00_1567
																																																	=
																																																	BgL_gvz00_7414;
																																																goto
																																																	BgL_tagzd2168zd2_1569;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7413);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2171z00_2260;
																																														obj_t
																																															BgL_arg2172z00_2261;
																																														BgL_arg2171z00_2260
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														BgL_arg2172z00_2261
																																															=
																																															CDR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7421;
																																															{
																																																obj_t
																																																	BgL_argsz00_7423;
																																																obj_t
																																																	BgL_fz00_7422;
																																																BgL_fz00_7422
																																																	=
																																																	BgL_arg2171z00_2260;
																																																BgL_argsz00_7423
																																																	=
																																																	BgL_arg2172z00_2261;
																																																BgL_argsz00_1591
																																																	=
																																																	BgL_argsz00_7423;
																																																BgL_fz00_1590
																																																	=
																																																	BgL_fz00_7422;
																																																goto
																																																	BgL_tagzd2176zd2_1592;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7421);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd212979zd2_2265;
																																										BgL_cdrzd212979zd2_2265
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_cdrzd212503zd2_2202));
																																										if (NULLP(CDR(((obj_t) BgL_cdrzd212979zd2_2265))))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2177z00_2268;
																																												obj_t
																																													BgL_arg2178z00_2269;
																																												BgL_arg2177z00_2268
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212503zd2_2202));
																																												BgL_arg2178z00_2269
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_cdrzd212979zd2_2265));
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_7435;
																																													{
																																														obj_t
																																															BgL_gez00_7437;
																																														obj_t
																																															BgL_gvz00_7436;
																																														BgL_gvz00_7436
																																															=
																																															BgL_arg2177z00_2268;
																																														BgL_gez00_7437
																																															=
																																															BgL_arg2178z00_2269;
																																														BgL_gez00_1568
																																															=
																																															BgL_gez00_7437;
																																														BgL_gvz00_1567
																																															=
																																															BgL_gvz00_7436;
																																														goto
																																															BgL_tagzd2168zd2_1569;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7435);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2179z00_2270;
																																												obj_t
																																													BgL_arg2180z00_2271;
																																												BgL_arg2179z00_2270
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2180z00_2271
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7443;
																																													{
																																														obj_t
																																															BgL_argsz00_7445;
																																														obj_t
																																															BgL_fz00_7444;
																																														BgL_fz00_7444
																																															=
																																															BgL_arg2179z00_2270;
																																														BgL_argsz00_7445
																																															=
																																															BgL_arg2180z00_2271;
																																														BgL_argsz00_1591
																																															=
																																															BgL_argsz00_7445;
																																														BgL_fz00_1590
																																															=
																																															BgL_fz00_7444;
																																														goto
																																															BgL_tagzd2176zd2_1592;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7443);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2182z00_2273;
																																								BgL_arg2182z00_2273
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7449;
																																									{
																																										obj_t
																																											BgL_argsz00_7451;
																																										obj_t
																																											BgL_fz00_7450;
																																										BgL_fz00_7450
																																											=
																																											BgL_arg2182z00_2273;
																																										BgL_argsz00_7451
																																											=
																																											BgL_cdrzd212503zd2_2202;
																																										BgL_argsz00_1591
																																											=
																																											BgL_argsz00_7451;
																																										BgL_fz00_1590
																																											=
																																											BgL_fz00_7450;
																																										goto
																																											BgL_tagzd2176zd2_1592;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7449);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_arg2184z00_2275;
																																						BgL_arg2184z00_2275
																																							=
																																							CAR
																																							(((obj_t) BgL_ez00_69));
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_7455;
																																							{
																																								obj_t
																																									BgL_argsz00_7457;
																																								obj_t
																																									BgL_fz00_7456;
																																								BgL_fz00_7456
																																									=
																																									BgL_arg2184z00_2275;
																																								BgL_argsz00_7457
																																									=
																																									BgL_cdrzd212503zd2_2202;
																																								BgL_argsz00_1591
																																									=
																																									BgL_argsz00_7457;
																																								BgL_fz00_1590
																																									=
																																									BgL_fz00_7456;
																																								goto
																																									BgL_tagzd2176zd2_1592;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_7455);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 424 */
																																				if (
																																					(CAR(
																																							((obj_t) BgL_ez00_69)) == BGl_symbol3004z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 424 */
																																						if (PAIRP(BgL_cdrzd212503zd2_2202))
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_carzd213227zd2_2281;
																																								BgL_carzd213227zd2_2281
																																									=
																																									CAR
																																									(BgL_cdrzd212503zd2_2202);
																																								if (PAIRP(BgL_carzd213227zd2_2281))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (NULLP(CDR(BgL_carzd213227zd2_2281)))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2192z00_2285;
																																												obj_t
																																													BgL_arg2193z00_2286;
																																												BgL_arg2192z00_2285
																																													=
																																													CAR
																																													(BgL_carzd213227zd2_2281);
																																												BgL_arg2193z00_2286
																																													=
																																													CDR
																																													(BgL_cdrzd212503zd2_2202);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_7473;
																																													{
																																														obj_t
																																															BgL_bodyz00_7475;
																																														obj_t
																																															BgL_vz00_7474;
																																														BgL_vz00_7474
																																															=
																																															BgL_arg2192z00_2285;
																																														BgL_bodyz00_7475
																																															=
																																															BgL_arg2193z00_2286;
																																														BgL_bodyz00_1571
																																															=
																																															BgL_bodyz00_7475;
																																														BgL_vz00_1570
																																															=
																																															BgL_vz00_7474;
																																														goto
																																															BgL_tagzd2169zd2_1572;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7473);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2194z00_2287;
																																												obj_t
																																													BgL_arg2195z00_2288;
																																												BgL_arg2194z00_2287
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2195z00_2288
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7481;
																																													{
																																														obj_t
																																															BgL_argsz00_7483;
																																														obj_t
																																															BgL_fz00_7482;
																																														BgL_fz00_7482
																																															=
																																															BgL_arg2194z00_2287;
																																														BgL_argsz00_7483
																																															=
																																															BgL_arg2195z00_2288;
																																														BgL_argsz00_1591
																																															=
																																															BgL_argsz00_7483;
																																														BgL_fz00_1590
																																															=
																																															BgL_fz00_7482;
																																														goto
																																															BgL_tagzd2176zd2_1592;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7481);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2197z00_2290;
																																										obj_t
																																											BgL_arg2198z00_2291;
																																										BgL_arg2197z00_2290
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										BgL_arg2198z00_2291
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7489;
																																											{
																																												obj_t
																																													BgL_argsz00_7491;
																																												obj_t
																																													BgL_fz00_7490;
																																												BgL_fz00_7490
																																													=
																																													BgL_arg2197z00_2290;
																																												BgL_argsz00_7491
																																													=
																																													BgL_arg2198z00_2291;
																																												BgL_argsz00_1591
																																													=
																																													BgL_argsz00_7491;
																																												BgL_fz00_1590
																																													=
																																													BgL_fz00_7490;
																																												goto
																																													BgL_tagzd2176zd2_1592;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7489);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								obj_t
																																									BgL_arg2199z00_2292;
																																								obj_t
																																									BgL_arg2201z00_2293;
																																								BgL_arg2199z00_2292
																																									=
																																									CAR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								BgL_arg2201z00_2293
																																									=
																																									CDR
																																									(
																																									((obj_t) BgL_ez00_69));
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_7497;
																																									{
																																										obj_t
																																											BgL_argsz00_7499;
																																										obj_t
																																											BgL_fz00_7498;
																																										BgL_fz00_7498
																																											=
																																											BgL_arg2199z00_2292;
																																										BgL_argsz00_7499
																																											=
																																											BgL_arg2201z00_2293;
																																										BgL_argsz00_1591
																																											=
																																											BgL_argsz00_7499;
																																										BgL_fz00_1590
																																											=
																																											BgL_fz00_7498;
																																										goto
																																											BgL_tagzd2176zd2_1592;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_7497);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 424 */
																																						obj_t
																																							BgL_cdrzd213398zd2_2294;
																																						BgL_cdrzd213398zd2_2294
																																							=
																																							CDR
																																							(((obj_t) BgL_ez00_69));
																																						if (
																																							(CAR
																																								(((obj_t) BgL_ez00_69)) == BGl_symbol3006z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 424 */
																																								if (PAIRP(BgL_cdrzd213398zd2_2294))
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2205z00_2298;
																																										obj_t
																																											BgL_arg2206z00_2299;
																																										BgL_arg2205z00_2298
																																											=
																																											CAR
																																											(BgL_cdrzd213398zd2_2294);
																																										BgL_arg2206z00_2299
																																											=
																																											CDR
																																											(BgL_cdrzd213398zd2_2294);
																																										{	/* Eval/evaluate.scm 575 */
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_new1155z00_4430;
																																											{	/* Eval/evaluate.scm 576 */
																																												BgL_ev_unwindzd2protectzd2_bglt
																																													BgL_new1154z00_4431;
																																												BgL_new1154z00_4431
																																													=
																																													(
																																													(BgL_ev_unwindzd2protectzd2_bglt)
																																													BOBJECT
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_unwindzd2protectzd2_bgl))));
																																												{	/* Eval/evaluate.scm 576 */
																																													long
																																														BgL_arg2418z00_4432;
																																													BgL_arg2418z00_4432
																																														=
																																														BGL_CLASS_NUM
																																														(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(
																																														((BgL_objectz00_bglt) BgL_new1154z00_4431), BgL_arg2418z00_4432);
																																												}
																																												BgL_new1155z00_4430
																																													=
																																													BgL_new1154z00_4431;
																																											}
																																											{
																																												BgL_ev_exprz00_bglt
																																													BgL_auxz00_7515;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2436z00_4436;
																																													BgL_arg2436z00_4436
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg2205z00_2298,
																																														BgL_locz00_74);
																																													BgL_auxz00_7515
																																														=
																																														(
																																														(BgL_ev_exprz00_bglt)
																																														BGl_uconvzf2locze70z15zz__evaluatez00
																																														(BgL_wherez00_73,
																																															BgL_globalsz00_71,
																																															BgL_localsz00_70,
																																															BgL_arg2205z00_2298,
																																															BgL_arg2436z00_4436));
																																												}
																																												((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4430))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7515), BUNSPEC);
																																											}
																																											((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1155z00_4430))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2206z00_2299, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																											return
																																												(
																																												(obj_t)
																																												BgL_new1155z00_4430);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_arg2207z00_2300;
																																										BgL_arg2207z00_2300
																																											=
																																											CAR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_7526;
																																											{
																																												obj_t
																																													BgL_argsz00_7528;
																																												obj_t
																																													BgL_fz00_7527;
																																												BgL_fz00_7527
																																													=
																																													BgL_arg2207z00_2300;
																																												BgL_argsz00_7528
																																													=
																																													BgL_cdrzd213398zd2_2294;
																																												BgL_argsz00_1591
																																													=
																																													BgL_argsz00_7528;
																																												BgL_fz00_1590
																																													=
																																													BgL_fz00_7527;
																																												goto
																																													BgL_tagzd2176zd2_1592;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_7526);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 424 */
																																								if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3008z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 424 */
																																										if (PAIRP(BgL_cdrzd213398zd2_2294))
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2212z00_2306;
																																												obj_t
																																													BgL_arg2213z00_2307;
																																												BgL_arg2212z00_2306
																																													=
																																													CAR
																																													(BgL_cdrzd213398zd2_2294);
																																												BgL_arg2213z00_2307
																																													=
																																													CDR
																																													(BgL_cdrzd213398zd2_2294);
																																												{	/* Eval/evaluate.scm 579 */
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_new1158z00_4443;
																																													{	/* Eval/evaluate.scm 580 */
																																														BgL_ev_withzd2handlerzd2_bglt
																																															BgL_new1156z00_4444;
																																														BgL_new1156z00_4444
																																															=
																																															(
																																															(BgL_ev_withzd2handlerzd2_bglt)
																																															BOBJECT
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_withzd2handlerzd2_bgl))));
																																														{	/* Eval/evaluate.scm 580 */
																																															long
																																																BgL_arg2420z00_4445;
																																															BgL_arg2420z00_4445
																																																=
																																																BGL_CLASS_NUM
																																																(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																															BGL_OBJECT_CLASS_NUM_SET
																																																(
																																																((BgL_objectz00_bglt) BgL_new1156z00_4444), BgL_arg2420z00_4445);
																																														}
																																														BgL_new1158z00_4443
																																															=
																																															BgL_new1156z00_4444;
																																													}
																																													{
																																														BgL_ev_exprz00_bglt
																																															BgL_auxz00_7542;
																																														{	/* Eval/evaluate.scm 380 */
																																															obj_t
																																																BgL_arg2436z00_4449;
																																															BgL_arg2436z00_4449
																																																=
																																																BGl_getzd2locationzd2zz__evaluatez00
																																																(BgL_arg2212z00_2306,
																																																BgL_locz00_74);
																																															BgL_auxz00_7542
																																																=
																																																(
																																																(BgL_ev_exprz00_bglt)
																																																BGl_uconvzf2locze70z15zz__evaluatez00
																																																(BgL_wherez00_73,
																																																	BgL_globalsz00_71,
																																																	BgL_localsz00_70,
																																																	BgL_arg2212z00_2306,
																																																	BgL_arg2436z00_4449));
																																														}
																																														((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4443))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7542), BUNSPEC);
																																													}
																																													((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1158z00_4443))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2213z00_2307, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																													return
																																														(
																																														(obj_t)
																																														BgL_new1158z00_4443);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												obj_t
																																													BgL_arg2214z00_2308;
																																												obj_t
																																													BgL_arg2215z00_2309;
																																												BgL_arg2214z00_2308
																																													=
																																													CAR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												BgL_arg2215z00_2309
																																													=
																																													CDR
																																													(
																																													((obj_t) BgL_ez00_69));
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_7555;
																																													{
																																														obj_t
																																															BgL_argsz00_7557;
																																														obj_t
																																															BgL_fz00_7556;
																																														BgL_fz00_7556
																																															=
																																															BgL_arg2214z00_2308;
																																														BgL_argsz00_7557
																																															=
																																															BgL_arg2215z00_2309;
																																														BgL_argsz00_1591
																																															=
																																															BgL_argsz00_7557;
																																														BgL_fz00_1590
																																															=
																																															BgL_fz00_7556;
																																														goto
																																															BgL_tagzd2176zd2_1592;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_7555);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 424 */
																																										obj_t
																																											BgL_cdrzd213505zd2_2310;
																																										BgL_cdrzd213505zd2_2310
																																											=
																																											CDR
																																											(
																																											((obj_t) BgL_ez00_69));
																																										if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3010z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 424 */
																																												if (PAIRP(BgL_cdrzd213505zd2_2310))
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_cdrzd213510zd2_2314;
																																														BgL_cdrzd213510zd2_2314
																																															=
																																															CDR
																																															(BgL_cdrzd213505zd2_2310);
																																														if (PAIRP(BgL_cdrzd213510zd2_2314))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213515zd2_2316;
																																																BgL_cdrzd213515zd2_2316
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213510zd2_2314);
																																																if ((CAR(BgL_cdrzd213510zd2_2314) == BGl_keyword3012z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (PAIRP(BgL_cdrzd213515zd2_2316))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2223z00_2320;
																																																				obj_t
																																																					BgL_arg2224z00_2321;
																																																				obj_t
																																																					BgL_arg2225z00_2322;
																																																				BgL_arg2223z00_2320
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2310);
																																																				BgL_arg2224z00_2321
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213515zd2_2316);
																																																				BgL_arg2225z00_2322
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213515zd2_2316);
																																																				{	/* Eval/evaluate.scm 583 */
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_new1160z00_4460;
																																																					{	/* Eval/evaluate.scm 584 */
																																																						BgL_ev_synchroniza7eza7_bglt
																																																							BgL_new1159z00_4461;
																																																						BgL_new1159z00_4461
																																																							=
																																																							(
																																																							(BgL_ev_synchroniza7eza7_bglt)
																																																							BOBJECT
																																																							(GC_MALLOC
																																																								(sizeof
																																																									(struct
																																																										BgL_ev_synchroniza7eza7_bgl))));
																																																						{	/* Eval/evaluate.scm 584 */
																																																							long
																																																								BgL_arg2421z00_4462;
																																																							BgL_arg2421z00_4462
																																																								=
																																																								BGL_CLASS_NUM
																																																								(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																							BGL_OBJECT_CLASS_NUM_SET
																																																								(
																																																								((BgL_objectz00_bglt) BgL_new1159z00_4461), BgL_arg2421z00_4462);
																																																						}
																																																						BgL_new1160z00_4460
																																																							=
																																																							BgL_new1159z00_4461;
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4460))->BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7584;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2436z00_4466;
																																																							BgL_arg2436z00_4466
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2223z00_2320,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7584
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2223z00_2320,
																																																									BgL_arg2436z00_4466));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4460))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7584), BUNSPEC);
																																																					}
																																																					{
																																																						BgL_ev_exprz00_bglt
																																																							BgL_auxz00_7589;
																																																						{	/* Eval/evaluate.scm 380 */
																																																							obj_t
																																																								BgL_arg2436z00_4467;
																																																							BgL_arg2436z00_4467
																																																								=
																																																								BGl_getzd2locationzd2zz__evaluatez00
																																																								(BgL_arg2224z00_2321,
																																																								BgL_locz00_74);
																																																							BgL_auxz00_7589
																																																								=
																																																								(
																																																								(BgL_ev_exprz00_bglt)
																																																								BGl_uconvzf2locze70z15zz__evaluatez00
																																																								(BgL_wherez00_73,
																																																									BgL_globalsz00_71,
																																																									BgL_localsz00_70,
																																																									BgL_arg2224z00_2321,
																																																									BgL_arg2436z00_4467));
																																																						}
																																																						((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4460))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_7589), BUNSPEC);
																																																					}
																																																					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1160z00_4460))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_arg2225z00_2322, BgL_localsz00_70, BgL_globalsz00_71, BFALSE, BgL_wherez00_73, BgL_locz00_74, ((bool_t) 0)))), BUNSPEC);
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_new1160z00_4460);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2226z00_2324;
																																																				obj_t
																																																					BgL_arg2227z00_2325;
																																																				BgL_arg2226z00_2324
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2310));
																																																				BgL_arg2227z00_2325
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_cdrzd213505zd2_2310));
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_7602;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_7604;
																																																						obj_t
																																																							BgL_mz00_7603;
																																																						BgL_mz00_7603
																																																							=
																																																							BgL_arg2226z00_2324;
																																																						BgL_bodyz00_7604
																																																							=
																																																							BgL_arg2227z00_2325;
																																																						BgL_bodyz00_1584
																																																							=
																																																							BgL_bodyz00_7604;
																																																						BgL_mz00_1583
																																																							=
																																																							BgL_mz00_7603;
																																																						goto
																																																							BgL_tagzd2173zd2_1585;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7602);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2228z00_2327;
																																																		obj_t
																																																			BgL_arg2229z00_2328;
																																																		BgL_arg2228z00_2327
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2310));
																																																		BgL_arg2229z00_2328
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_cdrzd213505zd2_2310));
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_7610;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_7612;
																																																				obj_t
																																																					BgL_mz00_7611;
																																																				BgL_mz00_7611
																																																					=
																																																					BgL_arg2228z00_2327;
																																																				BgL_bodyz00_7612
																																																					=
																																																					BgL_arg2229z00_2328;
																																																				BgL_bodyz00_1584
																																																					=
																																																					BgL_bodyz00_7612;
																																																				BgL_mz00_1583
																																																					=
																																																					BgL_mz00_7611;
																																																				goto
																																																					BgL_tagzd2173zd2_1585;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7610);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2231z00_2331;
																																																obj_t
																																																	BgL_arg2232z00_2332;
																																																BgL_arg2231z00_2331
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2310));
																																																BgL_arg2232z00_2332
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_cdrzd213505zd2_2310));
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_7618;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_7620;
																																																		obj_t
																																																			BgL_mz00_7619;
																																																		BgL_mz00_7619
																																																			=
																																																			BgL_arg2231z00_2331;
																																																		BgL_bodyz00_7620
																																																			=
																																																			BgL_arg2232z00_2332;
																																																		BgL_bodyz00_1584
																																																			=
																																																			BgL_bodyz00_7620;
																																																		BgL_mz00_1583
																																																			=
																																																			BgL_mz00_7619;
																																																		goto
																																																			BgL_tagzd2173zd2_1585;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7618);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														obj_t
																																															BgL_arg2233z00_2333;
																																														BgL_arg2233z00_2333
																																															=
																																															CAR
																																															(
																																															((obj_t) BgL_ez00_69));
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_7624;
																																															{
																																																obj_t
																																																	BgL_argsz00_7626;
																																																obj_t
																																																	BgL_fz00_7625;
																																																BgL_fz00_7625
																																																	=
																																																	BgL_arg2233z00_2333;
																																																BgL_argsz00_7626
																																																	=
																																																	BgL_cdrzd213505zd2_2310;
																																																BgL_argsz00_1591
																																																	=
																																																	BgL_argsz00_7626;
																																																BgL_fz00_1590
																																																	=
																																																	BgL_fz00_7625;
																																																goto
																																																	BgL_tagzd2176zd2_1592;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_7624);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 424 */
																																												if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol2967z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 424 */
																																														if (PAIRP(BgL_cdrzd213505zd2_2310))
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_cdrzd213617zd2_2339;
																																																BgL_cdrzd213617zd2_2339
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213505zd2_2310);
																																																if (PAIRP(BgL_cdrzd213617zd2_2339))
																																																	{	/* Eval/evaluate.scm 424 */
																																																		if (NULLP(CDR(BgL_cdrzd213617zd2_2339)))
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2241z00_2343;
																																																				obj_t
																																																					BgL_arg2242z00_2344;
																																																				BgL_arg2241z00_2343
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213505zd2_2310);
																																																				BgL_arg2242z00_2344
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213617zd2_2339);
																																																				{	/* Eval/evaluate.scm 595 */
																																																					obj_t
																																																						BgL_arg2423z00_4485;
																																																					{	/* Eval/evaluate.scm 595 */
																																																						obj_t
																																																							BgL_arg2425z00_4486;
																																																						{	/* Eval/evaluate.scm 595 */
																																																							obj_t
																																																								BgL_arg2426z00_4487;
																																																							obj_t
																																																								BgL_arg2427z00_4488;
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_symbolz00_4489;
																																																								BgL_symbolz00_4489
																																																									=
																																																									BGl_symbol3014z00zz__evaluatez00;
																																																								{	/* Eval/evaluate.scm 595 */
																																																									obj_t
																																																										BgL_arg2646z00_4490;
																																																									BgL_arg2646z00_4490
																																																										=
																																																										SYMBOL_TO_STRING
																																																										(BgL_symbolz00_4489);
																																																									BgL_arg2426z00_4487
																																																										=
																																																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																										(BgL_arg2646z00_4490);
																																																								}
																																																							}
																																																							{	/* Eval/evaluate.scm 595 */
																																																								obj_t
																																																									BgL_arg2646z00_4492;
																																																								BgL_arg2646z00_4492
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(
																																																									((obj_t) BgL_wherez00_73));
																																																								BgL_arg2427z00_4488
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2646z00_4492);
																																																							}
																																																							BgL_arg2425z00_4486
																																																								=
																																																								string_append
																																																								(BgL_arg2426z00_4487,
																																																								BgL_arg2427z00_4488);
																																																						}
																																																						BgL_arg2423z00_4485
																																																							=
																																																							bstring_to_symbol
																																																							(BgL_arg2425z00_4486);
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdaze70z35zz__evaluatez00
																																																						(BgL_globalsz00_71,
																																																							BgL_localsz00_70,
																																																							BgL_ez00_69,
																																																							BgL_locz00_74,
																																																							BgL_arg2241z00_2343,
																																																							BgL_arg2242z00_2344,
																																																							BgL_arg2423z00_4485,
																																																							BFALSE));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 424 */
																																																				obj_t
																																																					BgL_arg2243z00_2345;
																																																				obj_t
																																																					BgL_arg2244z00_2346;
																																																				BgL_arg2243z00_2345
																																																					=
																																																					CAR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				BgL_arg2244z00_2346
																																																					=
																																																					CDR
																																																					(
																																																					((obj_t) BgL_ez00_69));
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_7655;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_7657;
																																																						obj_t
																																																							BgL_fz00_7656;
																																																						BgL_fz00_7656
																																																							=
																																																							BgL_arg2243z00_2345;
																																																						BgL_argsz00_7657
																																																							=
																																																							BgL_arg2244z00_2346;
																																																						BgL_argsz00_1591
																																																							=
																																																							BgL_argsz00_7657;
																																																						BgL_fz00_1590
																																																							=
																																																							BgL_fz00_7656;
																																																						goto
																																																							BgL_tagzd2176zd2_1592;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_7655);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 424 */
																																																		obj_t
																																																			BgL_arg2246z00_2348;
																																																		obj_t
																																																			BgL_arg2247z00_2349;
																																																		BgL_arg2246z00_2348
																																																			=
																																																			CAR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		BgL_arg2247z00_2349
																																																			=
																																																			CDR
																																																			(
																																																			((obj_t) BgL_ez00_69));
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_7663;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_7665;
																																																				obj_t
																																																					BgL_fz00_7664;
																																																				BgL_fz00_7664
																																																					=
																																																					BgL_arg2246z00_2348;
																																																				BgL_argsz00_7665
																																																					=
																																																					BgL_arg2247z00_2349;
																																																				BgL_argsz00_1591
																																																					=
																																																					BgL_argsz00_7665;
																																																				BgL_fz00_1590
																																																					=
																																																					BgL_fz00_7664;
																																																				goto
																																																					BgL_tagzd2176zd2_1592;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7663);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2248z00_2350;
																																																obj_t
																																																	BgL_arg2249z00_2351;
																																																BgL_arg2248z00_2350
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2249z00_2351
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7671;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7673;
																																																		obj_t
																																																			BgL_fz00_7672;
																																																		BgL_fz00_7672
																																																			=
																																																			BgL_arg2248z00_2350;
																																																		BgL_argsz00_7673
																																																			=
																																																			BgL_arg2249z00_2351;
																																																		BgL_argsz00_1591
																																																			=
																																																			BgL_argsz00_7673;
																																																		BgL_fz00_1590
																																																			=
																																																			BgL_fz00_7672;
																																																		goto
																																																			BgL_tagzd2176zd2_1592;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7671);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 424 */
																																														if ((CAR(((obj_t) BgL_ez00_69)) == BGl_symbol3016z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 424 */
																																																return
																																																	BGl_errorz00zz__errorz00
																																																	(BGl_string3018z00zz__evaluatez00,
																																																	BGl_string3019z00zz__evaluatez00,
																																																	BgL_ez00_69);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 424 */
																																																obj_t
																																																	BgL_arg2252z00_2354;
																																																obj_t
																																																	BgL_arg2253z00_2355;
																																																BgL_arg2252z00_2354
																																																	=
																																																	CAR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																BgL_arg2253z00_2355
																																																	=
																																																	CDR
																																																	(
																																																	((obj_t) BgL_ez00_69));
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_7684;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_7686;
																																																		obj_t
																																																			BgL_fz00_7685;
																																																		BgL_fz00_7685
																																																			=
																																																			BgL_arg2252z00_2354;
																																																		BgL_argsz00_7686
																																																			=
																																																			BgL_arg2253z00_2355;
																																																		BgL_argsz00_1591
																																																			=
																																																			BgL_argsz00_7686;
																																																		BgL_fz00_1590
																																																			=
																																																			BgL_fz00_7685;
																																																		goto
																																																			BgL_tagzd2176zd2_1592;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_7684);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 424 */
						BgL_xz00_1514 = BgL_ez00_69;
						if (SYMBOLP(BgL_xz00_1514))
							{	/* Eval/evaluate.scm 427 */
								obj_t BgL__ortest_1103z00_2377;

								BgL__ortest_1103z00_2377 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_1514,
									BgL_localsz00_70);
								if (CBOOL(BgL__ortest_1103z00_2377))
									{	/* Eval/evaluate.scm 427 */
										return BgL__ortest_1103z00_2377;
									}
								else
									{	/* Eval/evaluate.scm 195 */
										BgL_ev_globalz00_bglt BgL_new1078z00_3558;

										{	/* Eval/evaluate.scm 196 */
											BgL_ev_globalz00_bglt BgL_new1077z00_3559;

											BgL_new1077z00_3559 =
												((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 196 */
												long BgL_arg1397z00_3560;

												BgL_arg1397z00_3560 =
													BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1077z00_3559),
													BgL_arg1397z00_3560);
											}
											BgL_new1078z00_3558 = BgL_new1077z00_3559;
										}
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3558))->
												BgL_locz00) = ((obj_t) BgL_locz00_74), BUNSPEC);
										((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3558))->
												BgL_namez00) = ((obj_t) BgL_xz00_1514), BUNSPEC);
										{
											obj_t BgL_auxz00_7699;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_71))
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7699 = BgL_globalsz00_71;
												}
											else
												{	/* Eval/evaluate.scm 198 */
													BgL_auxz00_7699 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1078z00_3558))->
													BgL_modz00) = ((obj_t) BgL_auxz00_7699), BUNSPEC);
										}
										return ((obj_t) BgL_new1078z00_3558);
									}
							}
						else
							{	/* Eval/evaluate.scm 428 */
								BgL_ev_littz00_bglt BgL_new1105z00_2378;

								{	/* Eval/evaluate.scm 429 */
									BgL_ev_littz00_bglt BgL_new1104z00_2379;

									BgL_new1104z00_2379 =
										((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 429 */
										long BgL_arg2275z00_2380;

										BgL_arg2275z00_2380 =
											BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1104z00_2379),
											BgL_arg2275z00_2380);
									}
									BgL_new1105z00_2378 = BgL_new1104z00_2379;
								}
								((((BgL_ev_littz00_bglt) COBJECT(BgL_new1105z00_2378))->
										BgL_valuez00) = ((obj_t) BgL_xz00_1514), BUNSPEC);
								return ((obj_t) BgL_new1105z00_2378);
							}
					}
			}
		}

	}



/* loop~0 */
	obj_t BGl_loopze70ze7zz__evaluatez00(obj_t BgL_wherez00_4814,
		obj_t BgL_globalsz00_4813, obj_t BgL_localsz00_4812, obj_t BgL_locz00_4811,
		obj_t BgL_esz00_2708)
	{
		{	/* Eval/evaluate.scm 386 */
			if (NULLP(BgL_esz00_2708))
				{	/* Eval/evaluate.scm 387 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 389 */
					obj_t BgL_ez00_2711;

					BgL_ez00_2711 = CAR(((obj_t) BgL_esz00_2708));
					{	/* Eval/evaluate.scm 390 */
						obj_t BgL_arg2443z00_2712;
						obj_t BgL_arg2444z00_2713;

						{	/* Eval/evaluate.scm 390 */
							obj_t BgL_arg2445z00_2714;

							{	/* Eval/evaluate.scm 150 */
								obj_t BgL__ortest_1070z00_3537;

								BgL__ortest_1070z00_3537 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_2711);
								if (CBOOL(BgL__ortest_1070z00_3537))
									{	/* Eval/evaluate.scm 150 */
										BgL_arg2445z00_2714 = BgL__ortest_1070z00_3537;
									}
								else
									{	/* Eval/evaluate.scm 151 */
										obj_t BgL__ortest_1071z00_3538;

										BgL__ortest_1071z00_3538 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_2708);
										if (CBOOL(BgL__ortest_1071z00_3538))
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2445z00_2714 = BgL__ortest_1071z00_3538;
											}
										else
											{	/* Eval/evaluate.scm 151 */
												BgL_arg2445z00_2714 = BgL_locz00_4811;
											}
									}
							}
							BgL_arg2443z00_2712 =
								BGl_convz00zz__evaluatez00(BgL_ez00_2711, BgL_localsz00_4812,
								BgL_globalsz00_4813, BFALSE, BgL_wherez00_4814,
								BgL_arg2445z00_2714, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 391 */
							obj_t BgL_arg2447z00_2715;

							BgL_arg2447z00_2715 = CDR(((obj_t) BgL_esz00_2708));
							BgL_arg2444z00_2713 =
								BGl_loopze70ze7zz__evaluatez00(BgL_wherez00_4814,
								BgL_globalsz00_4813, BgL_localsz00_4812, BgL_locz00_4811,
								BgL_arg2447z00_2715);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2443z00_2712, BgL_arg2444z00_2713);
					}
				}
		}

	}



/* conv-vals~0 */
	obj_t BGl_convzd2valsze70z35zz__evaluatez00(obj_t BgL_wherez00_4816,
		obj_t BgL_globalsz00_4815, obj_t BgL_lz00_2526, obj_t BgL_varsz00_2527,
		obj_t BgL_localsz00_2528, obj_t BgL_locz00_2529)
	{
		{	/* Eval/evaluate.scm 502 */
			if (NULLP(BgL_lz00_2526))
				{	/* Eval/evaluate.scm 498 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 500 */
					obj_t BgL_locz00_3690;

					{	/* Eval/evaluate.scm 500 */
						obj_t BgL_arg2354z00_3691;

						BgL_arg2354z00_3691 = CAR(((obj_t) BgL_lz00_2526));
						{	/* Eval/evaluate.scm 144 */
							obj_t BgL__ortest_1069z00_3700;

							BgL__ortest_1069z00_3700 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2354z00_3691);
							if (CBOOL(BgL__ortest_1069z00_3700))
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3690 = BgL__ortest_1069z00_3700;
								}
							else
								{	/* Eval/evaluate.scm 144 */
									BgL_locz00_3690 = BgL_locz00_2529;
								}
						}
					}
					{	/* Eval/evaluate.scm 501 */
						obj_t BgL_arg2345z00_3692;
						obj_t BgL_arg2346z00_3693;

						{	/* Eval/evaluate.scm 501 */
							obj_t BgL_arg2348z00_3694;

							{	/* Eval/evaluate.scm 501 */
								obj_t BgL_pairz00_3706;

								{	/* Eval/evaluate.scm 501 */
									obj_t BgL_pairz00_3705;

									BgL_pairz00_3705 = CAR(((obj_t) BgL_lz00_2526));
									BgL_pairz00_3706 = CDR(BgL_pairz00_3705);
								}
								BgL_arg2348z00_3694 = CAR(BgL_pairz00_3706);
							}
							BgL_arg2345z00_3692 =
								BGl_convz00zz__evaluatez00(BgL_arg2348z00_3694,
								BgL_localsz00_2528, BgL_globalsz00_4815, BFALSE,
								BgL_wherez00_4816, BgL_locz00_3690, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 502 */
							obj_t BgL_arg2349z00_3695;
							obj_t BgL_arg2351z00_3696;
							obj_t BgL_arg2352z00_3697;

							BgL_arg2349z00_3695 = CDR(((obj_t) BgL_lz00_2526));
							BgL_arg2351z00_3696 = CDR(((obj_t) BgL_varsz00_2527));
							{	/* Eval/evaluate.scm 502 */
								obj_t BgL_arg2353z00_3698;

								BgL_arg2353z00_3698 = CAR(((obj_t) BgL_varsz00_2527));
								BgL_arg2352z00_3697 =
									MAKE_YOUNG_PAIR(BgL_arg2353z00_3698, BgL_localsz00_2528);
							}
							BgL_arg2346z00_3693 =
								BGl_convzd2valsze70z35zz__evaluatez00(BgL_wherez00_4816,
								BgL_globalsz00_4815, BgL_arg2349z00_3695, BgL_arg2351z00_3696,
								BgL_arg2352z00_3697, BgL_locz00_3690);
						}
						return MAKE_YOUNG_PAIR(BgL_arg2345z00_3692, BgL_arg2346z00_3693);
					}
				}
		}

	}



/* conv-lambda~0 */
	BgL_ev_absz00_bglt BGl_convzd2lambdaze70z35zz__evaluatez00(obj_t
		BgL_globalsz00_4820, obj_t BgL_localsz00_4819, obj_t BgL_ez00_4818,
		obj_t BgL_locz00_4817, obj_t BgL_formalsz00_2717, obj_t BgL_bodyz00_2718,
		obj_t BgL_wherez00_2719, obj_t BgL_typez00_2720)
	{
		{	/* Eval/evaluate.scm 404 */
			{
				obj_t BgL_lz00_2751;

				{	/* Eval/evaluate.scm 406 */
					obj_t BgL_argsz00_2723;

					BgL_lz00_2751 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_2717, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_2755;
						obj_t BgL_flatz00_2756;
						long BgL_arityz00_2757;

						BgL_rz00_2755 = BgL_lz00_2751;
						BgL_flatz00_2756 = BNIL;
						BgL_arityz00_2757 = 0L;
					BgL_zc3z04anonymousza32463ze3z87_2758:
						if (NULLP(BgL_rz00_2755))
							{	/* Eval/evaluate.scm 399 */
								obj_t BgL_val0_1206z00_2760;

								BgL_val0_1206z00_2760 = bgl_reverse_bang(BgL_flatz00_2756);
								{	/* Eval/evaluate.scm 399 */
									int BgL_tmpz00_7750;

									BgL_tmpz00_7750 = (int) (2L);
									BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7750);
								}
								{	/* Eval/evaluate.scm 399 */
									obj_t BgL_auxz00_7755;
									int BgL_tmpz00_7753;

									BgL_auxz00_7755 = BINT(BgL_arityz00_2757);
									BgL_tmpz00_7753 = (int) (1L);
									BGL_MVALUES_VAL_SET(BgL_tmpz00_7753, BgL_auxz00_7755);
								}
								BgL_argsz00_2723 = BgL_val0_1206z00_2760;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								if (PAIRP(BgL_rz00_2755))
									{	/* Eval/evaluate.scm 403 */
										obj_t BgL_arg2466z00_2763;
										obj_t BgL_arg2467z00_2764;
										long BgL_arg2468z00_2765;

										BgL_arg2466z00_2763 = CDR(BgL_rz00_2755);
										BgL_arg2467z00_2764 =
											MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_2755)), BgL_flatz00_2756);
										BgL_arg2468z00_2765 = (BgL_arityz00_2757 + 1L);
										{
											long BgL_arityz00_7767;
											obj_t BgL_flatz00_7766;
											obj_t BgL_rz00_7765;

											BgL_rz00_7765 = BgL_arg2466z00_2763;
											BgL_flatz00_7766 = BgL_arg2467z00_2764;
											BgL_arityz00_7767 = BgL_arg2468z00_2765;
											BgL_arityz00_2757 = BgL_arityz00_7767;
											BgL_flatz00_2756 = BgL_flatz00_7766;
											BgL_rz00_2755 = BgL_rz00_7765;
											goto BgL_zc3z04anonymousza32463ze3z87_2758;
										}
									}
								else
									{	/* Eval/evaluate.scm 401 */
										obj_t BgL_val0_1208z00_2768;
										long BgL_val1_1209z00_2769;

										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_arg2472z00_2770;

											BgL_arg2472z00_2770 =
												MAKE_YOUNG_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_2755), BgL_flatz00_2756);
											BgL_val0_1208z00_2768 =
												bgl_reverse_bang(BgL_arg2472z00_2770);
										}
										BgL_val1_1209z00_2769 = (-1L - BgL_arityz00_2757);
										{	/* Eval/evaluate.scm 401 */
											int BgL_tmpz00_7772;

											BgL_tmpz00_7772 = (int) (2L);
											BGL_MVALUES_NUMBER_SET(BgL_tmpz00_7772);
										}
										{	/* Eval/evaluate.scm 401 */
											obj_t BgL_auxz00_7777;
											int BgL_tmpz00_7775;

											BgL_auxz00_7777 = BINT(BgL_val1_1209z00_2769);
											BgL_tmpz00_7775 = (int) (1L);
											BGL_MVALUES_VAL_SET(BgL_tmpz00_7775, BgL_auxz00_7777);
										}
										BgL_argsz00_2723 = BgL_val0_1208z00_2768;
					}}}
					{	/* Eval/evaluate.scm 407 */
						obj_t BgL_arityz00_2724;

						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_tmpz00_3544;

							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7781;

								BgL_tmpz00_7781 = (int) (1L);
								BgL_tmpz00_3544 = BGL_MVALUES_VAL(BgL_tmpz00_7781);
							}
							{	/* Eval/evaluate.scm 408 */
								int BgL_tmpz00_7784;

								BgL_tmpz00_7784 = (int) (1L);
								BGL_MVALUES_VAL_SET(BgL_tmpz00_7784, BUNSPEC);
							}
							BgL_arityz00_2724 = BgL_tmpz00_3544;
						}
						{	/* Eval/evaluate.scm 408 */
							obj_t BgL_varsz00_2725;
							obj_t BgL_bodyz00_2726;
							obj_t BgL_nlocz00_2727;

							if (NULLP(BgL_argsz00_2723))
								{	/* Eval/evaluate.scm 408 */
									BgL_varsz00_2725 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 408 */
									obj_t BgL_head1212z00_2734;

									BgL_head1212z00_2734 = MAKE_YOUNG_PAIR(BNIL, BNIL);
									{
										obj_t BgL_l1210z00_2736;
										obj_t BgL_tail1213z00_2737;

										BgL_l1210z00_2736 = BgL_argsz00_2723;
										BgL_tail1213z00_2737 = BgL_head1212z00_2734;
									BgL_zc3z04anonymousza32452ze3z87_2738:
										if (NULLP(BgL_l1210z00_2736))
											{	/* Eval/evaluate.scm 408 */
												BgL_varsz00_2725 = CDR(BgL_head1212z00_2734);
											}
										else
											{	/* Eval/evaluate.scm 408 */
												obj_t BgL_newtail1214z00_2740;

												{	/* Eval/evaluate.scm 408 */
													BgL_ev_varz00_bglt BgL_arg2456z00_2742;

													{	/* Eval/evaluate.scm 408 */
														obj_t BgL_vz00_2743;

														BgL_vz00_2743 = CAR(((obj_t) BgL_l1210z00_2736));
														{	/* Eval/evaluate.scm 409 */
															BgL_ev_varz00_bglt BgL_new1100z00_2744;

															{	/* Eval/evaluate.scm 411 */
																BgL_ev_varz00_bglt BgL_new1099z00_2745;

																BgL_new1099z00_2745 =
																	((BgL_ev_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 411 */
																	long BgL_arg2457z00_2746;

																	BgL_arg2457z00_2746 =
																		BGL_CLASS_NUM
																		(BGl_ev_varz00zz__evaluate_typesz00);
																	BGL_OBJECT_CLASS_NUM_SET(((BgL_objectz00_bglt)
																			BgL_new1099z00_2745),
																		BgL_arg2457z00_2746);
																}
																BgL_new1100z00_2744 = BgL_new1099z00_2745;
															}
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2744))->
																	BgL_namez00) =
																((obj_t) CAR(((obj_t) BgL_vz00_2743))),
																BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2744))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_ev_varz00_bglt)
																		COBJECT(BgL_new1100z00_2744))->
																	BgL_typez00) =
																((obj_t) CDR(((obj_t) BgL_vz00_2743))),
																BUNSPEC);
															BgL_arg2456z00_2742 = BgL_new1100z00_2744;
													}}
													BgL_newtail1214z00_2740 =
														MAKE_YOUNG_PAIR(
														((obj_t) BgL_arg2456z00_2742), BNIL);
												}
												SET_CDR(BgL_tail1213z00_2737, BgL_newtail1214z00_2740);
												{	/* Eval/evaluate.scm 408 */
													obj_t BgL_arg2455z00_2741;

													BgL_arg2455z00_2741 =
														CDR(((obj_t) BgL_l1210z00_2736));
													{
														obj_t BgL_tail1213z00_7812;
														obj_t BgL_l1210z00_7811;

														BgL_l1210z00_7811 = BgL_arg2455z00_2741;
														BgL_tail1213z00_7812 = BgL_newtail1214z00_2740;
														BgL_tail1213z00_2737 = BgL_tail1213z00_7812;
														BgL_l1210z00_2736 = BgL_l1210z00_7811;
														goto BgL_zc3z04anonymousza32452ze3z87_2738;
													}
												}
											}
									}
								}
							BgL_bodyz00_2726 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4818, BgL_formalsz00_2717,
								BGl_typezd2checkszd2zz__evaluatez00(BgL_argsz00_2723,
									BgL_argsz00_2723,
									BGl_typezd2resultzd2zz__evaluatez00(BgL_typez00_2720,
										BgL_bodyz00_2718, BgL_locz00_4817), BgL_locz00_4817,
									BgL_wherez00_2719), BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 144 */
								obj_t BgL__ortest_1069z00_3554;

								BgL__ortest_1069z00_3554 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_2718);
								if (CBOOL(BgL__ortest_1069z00_3554))
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2727 = BgL__ortest_1069z00_3554;
									}
								else
									{	/* Eval/evaluate.scm 144 */
										BgL_nlocz00_2727 = BgL_locz00_4817;
									}
							}
							{	/* Eval/evaluate.scm 417 */
								BgL_ev_absz00_bglt BgL_new1102z00_2728;

								{	/* Eval/evaluate.scm 418 */
									BgL_ev_absz00_bglt BgL_new1101z00_2730;

									BgL_new1101z00_2730 =
										((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 418 */
										long BgL_arg2450z00_2731;

										BgL_arg2450z00_2731 =
											BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1101z00_2730),
											BgL_arg2450z00_2731);
									}
									BgL_new1102z00_2728 = BgL_new1101z00_2730;
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_locz00) = ((obj_t) BgL_locz00_4817), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_2719), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_2724), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_2725), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_7827;

									{	/* Eval/evaluate.scm 422 */
										obj_t BgL_arg2449z00_2729;

										BgL_arg2449z00_2729 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_2725,
											BgL_localsz00_4819);
										BgL_auxz00_7827 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_2726,
												BgL_arg2449z00_2729, BgL_globalsz00_4820, BTRUE,
												BgL_wherez00_2719, BgL_nlocz00_2727, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_7827), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_siza7eza7) = ((int) (int) (0L)), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) COBJECT(BgL_new1102z00_2728))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1102z00_2728;
							}
						}
					}
				}
			}
		}

	}



/* uconv/loc~0 */
	obj_t BGl_uconvzf2locze70z15zz__evaluatez00(obj_t BgL_wherez00_4827,
		obj_t BgL_globalsz00_4826, obj_t BgL_localsz00_4825, obj_t BgL_ez00_2695,
		obj_t BgL_locz00_2696)
	{
		{	/* Eval/evaluate.scm 377 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_2695, BgL_localsz00_4825,
				BgL_globalsz00_4826, BFALSE, BgL_wherez00_4827, BgL_locz00_2696,
				((bool_t) 0));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00(void)
	{
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(121046086L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128218210L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(233942021L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(220648206L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(528345299L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(492754569L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(375872221L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(505897955L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(0L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(483789130L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(121298760L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(193509656L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(444000678L,
				BSTRING_TO_STRING(BGl_string3020z00zz__evaluatez00));
		}

	}

#ifdef __cplusplus
}
#endif
