/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#define BGL___EVALUATE_TYPES_TYPE_DEFINITIONS

/* object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


#endif													// BGL___EVALUATE_TYPES_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2481z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2645z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2566z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2485z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2649z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2570z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2490z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2656z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2577z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2497z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31774ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31596ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2662z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2581z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2585z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2668z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2673z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2592z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2597z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2679z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31687ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2683z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2692z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2694z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2699z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31794ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void);
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31505ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2032z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31721ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2065z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_littz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2072z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void);
	static obj_t BGl_z62lambda2080z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2081z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31732ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_exprz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2408z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31628ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2412z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2417z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31459ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2502z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2506z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2427z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31662ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2511z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2432z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31477ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2602z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2522z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2527z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2449z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31753ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2610z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2531z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2615z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2453z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2535z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2458z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2540z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2704z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2462z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2709z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2629z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2467z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2553z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2472z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2717z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2719z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2395z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2477z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2399z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31853ze3ze5zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2400z00zz__evaluate_typesz00,
		BgL_bgl_string2400za700za7za7_2721za7, "name", 4);
	      DEFINE_STRING(BGl_string2402z00zz__evaluate_typesz00,
		BgL_bgl_string2402za700za7za7_2722za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2723za7, "eff", 3);
	      DEFINE_STRING(BGl_string2409z00zz__evaluate_typesz00,
		BgL_bgl_string2409za700za7za7_2724za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2725za7,
		BGl_z62zc3z04anonymousza31459ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1458za7622726z00,
		BGl_z62lambda1458z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1457za7622727z00,
		BGl_z62lambda1457z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2413z00zz__evaluate_typesz00,
		BgL_bgl_string2413za700za7za7_2728za7, "type", 4);
	      DEFINE_STRING(BGl_string2418z00zz__evaluate_typesz00,
		BgL_bgl_string2418za700za7za7_2729za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1464za7622730z00,
		BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2411z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1463za7622731z00,
		BGl_z62lambda1463z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2732za7,
		BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1445za7622733z00,
		BGl_z62lambda1445z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2503z00zz__evaluate_typesz00,
		BgL_bgl_string2503za700za7za7_2734za7, "ev_trap", 7);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2735za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1443za7622736z00,
		BGl_z62lambda1443z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1482za7622737z00,
		BGl_z62lambda1482z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2507z00zz__evaluate_typesz00,
		BgL_bgl_string2507za700za7za7_2738za7, "v", 1);
	      DEFINE_STRING(BGl_string2428z00zz__evaluate_typesz00,
		BgL_bgl_string2428za700za7za7_2739za7, "mod", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1643za7622740z00,
		BGl_z62lambda1643z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1640za7622741z00,
		BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1481za7622742z00,
		BGl_z62lambda1481z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7622743z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1489za7622744z00,
		BGl_z62lambda1489z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1670za7622745z00,
		BGl_z62lambda1670z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1488za7622746z00,
		BGl_z62lambda1488z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2512z00zz__evaluate_typesz00,
		BgL_bgl_string2512za700za7za7_2747za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1495za7622748z00,
		BGl_z62lambda1495z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1494za7622749z00,
		BGl_z62lambda1494z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2750za7,
		BGl_z62zc3z04anonymousza31662ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2433z00zz__evaluate_typesz00,
		BgL_bgl_string2433za700za7za7_2751za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1659za7622752z00,
		BGl_z62lambda1659z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2753za7,
		BGl_z62zc3z04anonymousza31477ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2437z00zz__evaluate_typesz00,
		BgL_bgl_string2437za700za7za7_2754za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1657za7622755z00,
		BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1475za7622756z00,
		BGl_z62lambda1475z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1473za7622757z00,
		BGl_z62lambda1473z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1695za7622758z00,
		BGl_z62lambda1695z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1694za7622759z00,
		BGl_z62lambda1694z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1705za7622760z00,
		BGl_z62lambda1705z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1510za7622761z00,
		BGl_z62lambda1510z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2603z00zz__evaluate_typesz00,
		BgL_bgl_string2603za700za7za7_2762za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1704za7622763z00,
		BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1509za7622764z00,
		BGl_z62lambda1509z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2523z00zz__evaluate_typesz00,
		BgL_bgl_string2523za700za7za7_2765za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1710za7622766z00,
		BGl_z62lambda1710z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2442z00zz__evaluate_typesz00,
		BgL_bgl_string2442za700za7za7_2767za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1709za7622768z00,
		BGl_z62lambda1709z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2769za7,
		BGl_z62zc3z04anonymousza31687ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2770za7,
		BGl_z62zc3z04anonymousza31505ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1503za7622771z00,
		BGl_z62lambda1503z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2446z00zz__evaluate_typesz00,
		BgL_bgl_string2446za700za7za7_2772za7, "p", 1);
	      DEFINE_STRING(BGl_string2528z00zz__evaluate_typesz00,
		BgL_bgl_string2528za700za7za7_2773za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1851za7622774z00,
		BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1849za7622775z00,
		BGl_z62lambda1849z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1685za7622776z00,
		BGl_z62lambda1685z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1682za7622777z00,
		BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1501za7622778z00,
		BGl_z62lambda1501z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2604z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2779za7,
		BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2611z00zz__evaluate_typesz00,
		BgL_bgl_string2611za700za7za7_2780za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1881za7622781z00,
		BGl_z62lambda1881z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2782za7,
		BGl_z62zc3z04anonymousza31721ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1530za7622783z00,
		BGl_z62lambda1530z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622784z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2525z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622785z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2450z00zz__evaluate_typesz00,
		BgL_bgl_string2450za700za7za7_2786za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1529za7622787z00,
		BGl_z62lambda1529z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2788za7,
		BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2532z00zz__evaluate_typesz00,
		BgL_bgl_string2532za700za7za7_2789za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1717za7622790z00,
		BGl_z62lambda1717z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622791z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2609z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1869za7622792z00,
		BGl_z62lambda1869z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1536za7622793z00,
		BGl_z62lambda1536z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2616z00zz__evaluate_typesz00,
		BgL_bgl_string2616za700za7za7_2794za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1737za7622795z00,
		BGl_z62lambda1737z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2454z00zz__evaluate_typesz00,
		BgL_bgl_string2454za700za7za7_2796za7, "e", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1535za7622797z00,
		BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2536z00zz__evaluate_typesz00,
		BgL_bgl_string2536za700za7za7_2798za7, "body", 4);
	      DEFINE_STRING(BGl_string2459z00zz__evaluate_typesz00,
		BgL_bgl_string2459za700za7za7_2799za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1736za7622800z00,
		BGl_z62lambda1736z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2801za7,
		BGl_z62zc3z04anonymousza31893ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2700z00zz__evaluate_typesz00,
		BgL_bgl_string2700za700za7za7_2802za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1891za7622803z00,
		BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1546za7622804z00,
		BGl_z62lambda1546z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1889za7622805z00,
		BGl_z62lambda1889z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1743za7622806z00,
		BGl_z62lambda1743z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1545za7622807z00,
		BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1742za7622808z00,
		BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2541z00zz__evaluate_typesz00,
		BgL_bgl_string2541za700za7za7_2809za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1913za7622810z00,
		BGl_z62lambda1913z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2811za7,
		BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2705z00zz__evaluate_typesz00,
		BgL_bgl_string2705za700za7za7_2812za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622813z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2814za7,
		BGl_z62zc3z04anonymousza31732ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1522za7622815z00,
		BGl_z62lambda1522z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2625z00zz__evaluate_typesz00,
		BgL_bgl_string2625za700za7za7_2816za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2619z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1918za7622817z00,
		BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622818z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2463z00zz__evaluate_typesz00,
		BgL_bgl_string2463za700za7za7_2819za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1520za7622820z00,
		BGl_z62lambda1520z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7622821z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2468z00zz__evaluate_typesz00,
		BgL_bgl_string2468za700za7za7_2822za7, "ev_list", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2701z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2823za7,
		BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2620z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1917za7622824z00,
		BGl_z62lambda1917z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2065za7622825z00,
		BGl_z62lambda2065z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2826za7,
		BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2064za7622827z00,
		BGl_z62lambda2064z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1925za7622828z00,
		BGl_z62lambda1925z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1565za7622829z00,
		BGl_z62lambda1565z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2710z00zz__evaluate_typesz00,
		BgL_bgl_string2710za700za7za7_2830za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622831z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1758za7622832z00,
		BGl_z62lambda1758z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2461z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1564za7622833z00,
		BGl_z62lambda1564z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2630z00zz__evaluate_typesz00,
		BgL_bgl_string2630za700za7za7_2834za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1757za7622835z00,
		BGl_z62lambda1757z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2836za7,
		BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2550z00zz__evaluate_typesz00,
		BgL_bgl_string2550za700za7za7_2837za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1763za7622838z00,
		BGl_z62lambda1763z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2073za7622839z00,
		BGl_z62lambda2073z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2840za7,
		BGl_z62zc3z04anonymousza31933ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1762za7622841z00,
		BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2842za7,
		BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2072za7622843z00,
		BGl_z62lambda2072z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1932za7622844z00,
		BGl_z62lambda1932z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2845za7,
		BGl_z62zc3z04anonymousza31753ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1556za7622846z00,
		BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1931za7622847z00,
		BGl_z62lambda1931z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1751za7622848z00,
		BGl_z62lambda1751z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1554za7622849z00,
		BGl_z62lambda1554z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2554z00zz__evaluate_typesz00,
		BgL_bgl_string2554za700za7za7_2850za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622851z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2473z00zz__evaluate_typesz00,
		BgL_bgl_string2473za700za7za7_2852za7, "ev_or", 5);
	      DEFINE_STRING(BGl_string2718z00zz__evaluate_typesz00,
		BgL_bgl_string2718za700za7za7_2853za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2854za7,
		BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2394z00zz__evaluate_typesz00,
		BgL_bgl_string2394za700za7za7_2855za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2396z00zz__evaluate_typesz00,
		BgL_bgl_string2396za700za7za7_2856za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2478z00zz__evaluate_typesz00,
		BgL_bgl_string2478za700za7za7_2857za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2711z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2858za7,
		BGl_z62zc3z04anonymousza32082ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2712z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2081za7622859z00,
		BGl_z62lambda2081z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1938za7622860z00,
		BGl_z62lambda1938z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2713z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2080za7622861z00,
		BGl_z62lambda2080z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1937za7622862z00,
		BGl_z62lambda1937z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1779za7622863z00,
		BGl_z62lambda1779z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1579za7622864z00,
		BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2720z00zz__evaluate_typesz00,
		BgL_bgl_string2720za700za7za7_2865za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2714z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2866za7,
		BGl_z62zc3z04anonymousza32015ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2633z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2867za7,
		BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1778za7622868z00,
		BGl_z62lambda1778z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1577za7622869z00,
		BGl_z62lambda1577z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2870za7,
		BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2715z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2013za7622871z00,
		BGl_z62lambda2013z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2640z00zz__evaluate_typesz00,
		BgL_bgl_string2640za700za7za7_2872za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1944za7622873z00,
		BGl_z62lambda1944z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1435za7622874z00,
		BGl_z62lambda1435z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2716z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2011za7622875z00,
		BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1943za7622876z00,
		BGl_z62lambda1943z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1433za7622877z00,
		BGl_z62lambda1433z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2878za7,
		BGl_z62zc3z04anonymousza31906ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2561z00zz__evaluate_typesz00,
		BgL_bgl_string2561za700za7za7_2879za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1784za7622880z00,
		BGl_z62lambda1784z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2881za7,
		BGl_z62zc3z04anonymousza31596ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1901za7622882z00,
		BGl_z62lambda1901z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1783za7622883z00,
		BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1592za7622884z00,
		BGl_z62lambda1592z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1899za7622885z00,
		BGl_z62lambda1899z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2886za7,
		BGl_z62zc3z04anonymousza31774ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2482z00zz__evaluate_typesz00,
		BgL_bgl_string2482za700za7za7_2887za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1590za7622888z00,
		BGl_z62lambda1590z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1772za7622889z00,
		BGl_z62lambda1772z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2646z00zz__evaluate_typesz00,
		BgL_bgl_string2646za700za7za7_2890za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1770za7622891z00,
		BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1452za7622892z00,
		BGl_z62lambda1452z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1613za7622893z00,
		BGl_z62lambda1613z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1451za7622894z00,
		BGl_z62lambda1451z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2567z00zz__evaluate_typesz00,
		BgL_bgl_string2567za700za7za7_2895za7, "mutex", 5);
	      DEFINE_STRING(BGl_string2486z00zz__evaluate_typesz00,
		BgL_bgl_string2486za700za7za7_2896za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622897z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1959za7622898z00,
		BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1612za7622899z00,
		BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2643z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1965za7622900z00,
		BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1799za7622901z00,
		BGl_z62lambda1799z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2650z00zz__evaluate_typesz00,
		BgL_bgl_string2650za700za7za7_2902za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2644z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1964za7622903z00,
		BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1798za7622904z00,
		BGl_z62lambda1798z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1804za7622905z00,
		BGl_z62lambda1804z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1618za7622906z00,
		BGl_z62lambda1618z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2571z00zz__evaluate_typesz00,
		BgL_bgl_string2571za700za7za7_2907za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1803za7622908z00,
		BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1617za7622909z00,
		BGl_z62lambda1617z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1970za7622910z00,
		BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2491z00zz__evaluate_typesz00,
		BgL_bgl_string2491za700za7za7_2911za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1969za7622912z00,
		BGl_z62lambda1969z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1809za7622913z00,
		BGl_z62lambda1809z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2914za7,
		BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1808za7622915z00,
		BGl_z62lambda1808z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622916z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2657z00zz__evaluate_typesz00,
		BgL_bgl_string2657za700za7za7_2917za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1604za7622918z00,
		BGl_z62lambda1604z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2578z00zz__evaluate_typesz00,
		BgL_bgl_string2578za700za7za7_2919za7, "ev_synchronize", 14);
	      DEFINE_STRING(BGl_string2498z00zz__evaluate_typesz00,
		BgL_bgl_string2498za700za7za7_2920za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2651z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1975za7622921z00,
		BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1974za7622922z00,
		BGl_z62lambda1974z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2923za7,
		BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2572z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1816za7622924z00,
		BGl_z62lambda1816z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2654z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622925z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1815za7622926z00,
		BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1634za7622927z00,
		BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2655z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1951za7622928z00,
		BGl_z62lambda1951z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2929za7,
		BGl_z62zc3z04anonymousza31794ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1633za7622930z00,
		BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622931z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2932za7,
		BGl_z62zc3z04anonymousza31628ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2663z00zz__evaluate_typesz00,
		BgL_bgl_string2663za700za7za7_2933za7, "fun", 3);
	      DEFINE_STRING(BGl_string2582z00zz__evaluate_typesz00,
		BgL_bgl_string2582za700za7za7_2934za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1790za7622935z00,
		BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1626za7622936z00,
		BGl_z62lambda1626z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1990za7622937z00,
		BGl_z62lambda1990z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1624za7622938z00,
		BGl_z62lambda1624z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1989za7622939z00,
		BGl_z62lambda1989z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1832za7622940z00,
		BGl_z62lambda1832z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2586z00zz__evaluate_typesz00,
		BgL_bgl_string2586za700za7za7_2941za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2942za7,
		BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2669z00zz__evaluate_typesz00,
		BgL_bgl_string2669za700za7za7_2943za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2660z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1995za7622944z00,
		BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2661z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622945z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1831za7622946z00,
		BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2000za7622947z00,
		BGl_z62lambda2000z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622948z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1999za7622949z00,
		BGl_z62lambda1999z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1836za7622950z00,
		BGl_z62lambda1836z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2005za7622951z00,
		BGl_z62lambda2005z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2667z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2004za7622952z00,
		BGl_z62lambda2004z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2674z00zz__evaluate_typesz00,
		BgL_bgl_string2674za700za7za7_2953za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2593z00zz__evaluate_typesz00,
		BgL_bgl_string2593za700za7za7_2954za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1842za7622955z00,
		BGl_z62lambda1842z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1841za7622956z00,
		BGl_z62lambda1841z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2957za7,
		BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2598z00zz__evaluate_typesz00,
		BgL_bgl_string2598za700za7za7_2958za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2959za7,
		BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1983za7622960z00,
		BGl_z62lambda1983z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1825za7622961z00,
		BGl_z62lambda1825z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1981za7622962z00,
		BGl_z62lambda1981z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1823za7622963z00,
		BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2680z00zz__evaluate_typesz00,
		BgL_bgl_string2680za700za7za7_2964za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2675z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2021za7622965z00,
		BGl_z62lambda2021z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2966za7,
		BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2676z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2020za7622967z00,
		BGl_z62lambda2020z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1859za7622968z00,
		BGl_z62lambda1859z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7622969z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2596z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1858za7622970z00,
		BGl_z62lambda1858z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2684z00zz__evaluate_typesz00,
		BgL_bgl_string2684za700za7za7_2971za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2026za7622972z00,
		BGl_z62lambda2026z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2973za7,
		BGl_z62zc3z04anonymousza31853ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2681z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2033za7622974z00,
		BGl_z62lambda2033z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2032za7622975z00,
		BGl_z62lambda2032z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2685z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2039za7622976z00,
		BGl_z62lambda2039z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2686z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2038za7622977z00,
		BGl_z62lambda2038z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2693z00zz__evaluate_typesz00,
		BgL_bgl_string2693za700za7za7_2978za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2044za7622979z00,
		BGl_z62lambda2044z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7622980z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2695z00zz__evaluate_typesz00,
		BgL_bgl_string2695za700za7za7_2981za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2982za7,
		BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2690z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2051za7622983z00,
		BGl_z62lambda2051z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2691z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2050za7622984z00,
		BGl_z62lambda2050z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3za704anonymo2985za7,
		BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2058za7622986z00,
		BGl_z62lambda2058z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2057za7622987z00,
		BGl_z62lambda2057z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol2560z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2481z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2645z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2566z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2485z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2649z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_defglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2570z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2490z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2656z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2577z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2497z00zz__evaluate_typesz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2662z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2581z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2585z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2668z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2673z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2592z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2597z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2679z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letrecz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2683z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2692z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2694z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2699z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_prog2z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_bindzd2exitzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_letza2za2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_labelsz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_absz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_trapz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setglobalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_ifz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_hookz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_gotoz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_globalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_binderz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_listz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_littz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_orz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_varz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_withzd2handlerzd2zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_andz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2401z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2406z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2408z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2412z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2417z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_exprz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_appz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2502z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2421z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2506z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2427z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2511z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2432z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2436z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_synchroniza7eza7zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2602z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2522z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2441z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2445z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2527z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2449z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2610z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2531z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2615z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2453z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2535z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2458z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2540z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2704z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2624z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2462z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2709z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2629z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2467z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2549z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_ev_setlocalz00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2553z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2472z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2717z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2393z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2719z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2395z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2639z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2477z00zz__evaluate_typesz00));
		     ADD_ROOT((void *) (&BGl_symbol2399z00zz__evaluate_typesz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_4335, char *BgL_fromz00_4336)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__evaluate_typesz00();
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BGl_toplevelzd2initzd2zz__evaluate_typesz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2393z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00);
			BGl_symbol2395z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2396z00zz__evaluate_typesz00);
			BGl_symbol2399z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2400z00zz__evaluate_typesz00);
			BGl_symbol2401z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2408z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2409z00zz__evaluate_typesz00);
			BGl_symbol2412z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2413z00zz__evaluate_typesz00);
			BGl_symbol2417z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2418z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2427z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2428z00zz__evaluate_typesz00);
			BGl_symbol2432z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2433z00zz__evaluate_typesz00);
			BGl_symbol2436z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00);
			BGl_symbol2441z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00);
			BGl_symbol2445z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00);
			BGl_symbol2449z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2450z00zz__evaluate_typesz00);
			BGl_symbol2453z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2454z00zz__evaluate_typesz00);
			BGl_symbol2458z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2459z00zz__evaluate_typesz00);
			BGl_symbol2462z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2463z00zz__evaluate_typesz00);
			BGl_symbol2467z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2468z00zz__evaluate_typesz00);
			BGl_symbol2472z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2473z00zz__evaluate_typesz00);
			BGl_symbol2477z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2478z00zz__evaluate_typesz00);
			BGl_symbol2481z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2482z00zz__evaluate_typesz00);
			BGl_symbol2485z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2486z00zz__evaluate_typesz00);
			BGl_symbol2490z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2491z00zz__evaluate_typesz00);
			BGl_symbol2497z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2498z00zz__evaluate_typesz00);
			BGl_symbol2502z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2503z00zz__evaluate_typesz00);
			BGl_symbol2506z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2507z00zz__evaluate_typesz00);
			BGl_symbol2511z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2512z00zz__evaluate_typesz00);
			BGl_symbol2522z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2523z00zz__evaluate_typesz00);
			BGl_symbol2527z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2528z00zz__evaluate_typesz00);
			BGl_symbol2531z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2532z00zz__evaluate_typesz00);
			BGl_symbol2535z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2536z00zz__evaluate_typesz00);
			BGl_symbol2540z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2541z00zz__evaluate_typesz00);
			BGl_symbol2549z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00);
			BGl_symbol2553z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2554z00zz__evaluate_typesz00);
			BGl_symbol2560z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00);
			BGl_symbol2566z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2567z00zz__evaluate_typesz00);
			BGl_symbol2570z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2571z00zz__evaluate_typesz00);
			BGl_symbol2577z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2578z00zz__evaluate_typesz00);
			BGl_symbol2581z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2582z00zz__evaluate_typesz00);
			BGl_symbol2585z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2586z00zz__evaluate_typesz00);
			BGl_symbol2592z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2593z00zz__evaluate_typesz00);
			BGl_symbol2597z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2598z00zz__evaluate_typesz00);
			BGl_symbol2602z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2603z00zz__evaluate_typesz00);
			BGl_symbol2610z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2611z00zz__evaluate_typesz00);
			BGl_symbol2615z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2616z00zz__evaluate_typesz00);
			BGl_symbol2624z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00);
			BGl_symbol2629z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2630z00zz__evaluate_typesz00);
			BGl_symbol2639z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00);
			BGl_symbol2645z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2646z00zz__evaluate_typesz00);
			BGl_symbol2649z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2650z00zz__evaluate_typesz00);
			BGl_symbol2656z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2657z00zz__evaluate_typesz00);
			BGl_symbol2662z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2663z00zz__evaluate_typesz00);
			BGl_symbol2668z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2669z00zz__evaluate_typesz00);
			BGl_symbol2673z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2674z00zz__evaluate_typesz00);
			BGl_symbol2679z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2680z00zz__evaluate_typesz00);
			BGl_symbol2683z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2684z00zz__evaluate_typesz00);
			BGl_symbol2692z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2693z00zz__evaluate_typesz00);
			BGl_symbol2694z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2695z00zz__evaluate_typesz00);
			BGl_symbol2699z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2700z00zz__evaluate_typesz00);
			BGl_symbol2704z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2705z00zz__evaluate_typesz00);
			BGl_symbol2709z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2710z00zz__evaluate_typesz00);
			BGl_symbol2717z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2718z00zz__evaluate_typesz00);
			return (BGl_symbol2719z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2720z00zz__evaluate_typesz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1431z00_1115;
				obj_t BgL_arg1432z00_1116;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1293z00_1126;

					BgL_v1293z00_1126 = create_vector(0L);
					BgL_arg1431z00_1115 = BgL_v1293z00_1126;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1294z00_1127;

					BgL_v1294z00_1127 = create_vector(0L);
					BgL_arg1432z00_1116 = BgL_v1294z00_1127;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2393z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					36682L, BGl_proc2392z00zz__evaluate_typesz00,
					BGl_proc2391z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2390z00zz__evaluate_typesz00, BFALSE, BgL_arg1431z00_1115,
					BgL_arg1432z00_1116);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1441z00_1134;
				obj_t BgL_arg1442z00_1135;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1295z00_1148;

					BgL_v1295z00_1148 = create_vector(3L);
					VECTOR_SET(BgL_v1295z00_1148, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2399z00zz__evaluate_typesz00,
							BGl_proc2398z00zz__evaluate_typesz00,
							BGl_proc2397z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1295z00_1148, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2406z00zz__evaluate_typesz00,
							BGl_proc2405z00zz__evaluate_typesz00,
							BGl_proc2404z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2403z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1295z00_1148, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2412z00zz__evaluate_typesz00,
							BGl_proc2411z00zz__evaluate_typesz00,
							BGl_proc2410z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1441z00_1134 = BgL_v1295z00_1148;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1296z00_1182;

					BgL_v1296z00_1182 = create_vector(0L);
					BgL_arg1442z00_1135 = BgL_v1296z00_1182;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2417z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 7285L,
					BGl_proc2416z00zz__evaluate_typesz00,
					BGl_proc2415z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2414z00zz__evaluate_typesz00, BFALSE, BgL_arg1441z00_1134,
					BgL_arg1442z00_1135);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1471z00_1189;
				obj_t BgL_arg1472z00_1190;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1297z00_1203;

					BgL_v1297z00_1203 = create_vector(3L);
					VECTOR_SET(BgL_v1297z00_1203, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1203, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2399z00zz__evaluate_typesz00,
							BGl_proc2424z00zz__evaluate_typesz00,
							BGl_proc2423z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1297z00_1203, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2427z00zz__evaluate_typesz00,
							BGl_proc2426z00zz__evaluate_typesz00,
							BGl_proc2425z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1471z00_1189 = BgL_v1297z00_1203;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1298z00_1234;

					BgL_v1298z00_1234 = create_vector(0L);
					BgL_arg1472z00_1190 = BgL_v1298z00_1234;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2432z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 59175L,
					BGl_proc2431z00zz__evaluate_typesz00,
					BGl_proc2430z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2429z00zz__evaluate_typesz00, BFALSE, BgL_arg1471z00_1189,
					BgL_arg1472z00_1190);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1499z00_1241;
				obj_t BgL_arg1500z00_1242;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1299z00_1253;

					BgL_v1299z00_1253 = create_vector(1L);
					VECTOR_SET(BgL_v1299z00_1253, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2436z00zz__evaluate_typesz00,
							BGl_proc2435z00zz__evaluate_typesz00,
							BGl_proc2434z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1499z00_1241 = BgL_v1299z00_1253;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1300z00_1264;

					BgL_v1300z00_1264 = create_vector(0L);
					BgL_arg1500z00_1242 = BgL_v1300z00_1264;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2441z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 42418L,
					BGl_proc2440z00zz__evaluate_typesz00,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1499z00_1241,
					BgL_arg1500z00_1242);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1518z00_1271;
				obj_t BgL_arg1519z00_1272;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1301z00_1285;

					BgL_v1301z00_1285 = create_vector(3L);
					VECTOR_SET(BgL_v1301z00_1285, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00,
							BGl_proc2443z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1301z00_1285, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2449z00zz__evaluate_typesz00,
							BGl_proc2448z00zz__evaluate_typesz00,
							BGl_proc2447z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1301z00_1285, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00,
							BGl_proc2451z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1518z00_1271 = BgL_v1301z00_1285;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1302z00_1316;

					BgL_v1302z00_1316 = create_vector(0L);
					BgL_arg1519z00_1272 = BgL_v1302z00_1316;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2458z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 19099L,
					BGl_proc2457z00zz__evaluate_typesz00,
					BGl_proc2456z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2455z00zz__evaluate_typesz00, BFALSE, BgL_arg1518z00_1271,
					BgL_arg1519z00_1272);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1552z00_1323;
				obj_t BgL_arg1553z00_1324;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1303z00_1335;

					BgL_v1303z00_1335 = create_vector(1L);
					VECTOR_SET(BgL_v1303z00_1335, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2461z00zz__evaluate_typesz00,
							BGl_proc2460z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1552z00_1323 = BgL_v1303z00_1335;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1304z00_1346;

					BgL_v1304z00_1346 = create_vector(0L);
					BgL_arg1553z00_1324 = BgL_v1304z00_1346;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2467z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 39617L,
					BGl_proc2466z00zz__evaluate_typesz00,
					BGl_proc2465z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE, BgL_arg1552z00_1323,
					BgL_arg1553z00_1324);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1575z00_1353;
				obj_t BgL_arg1576z00_1354;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1305z00_1365;

					BgL_v1305z00_1365 = create_vector(0L);
					BgL_arg1575z00_1353 = BgL_v1305z00_1365;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1306z00_1366;

					BgL_v1306z00_1366 = create_vector(0L);
					BgL_arg1576z00_1354 = BgL_v1306z00_1366;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2472z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, 50334L,
					BGl_proc2471z00zz__evaluate_typesz00,
					BGl_proc2470z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE, BgL_arg1575z00_1353,
					BgL_arg1576z00_1354);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1587z00_1373;
				obj_t BgL_arg1589z00_1374;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1307z00_1385;

					BgL_v1307z00_1385 = create_vector(0L);
					BgL_arg1587z00_1373 = BgL_v1307z00_1385;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1308z00_1386;

					BgL_v1308z00_1386 = create_vector(0L);
					BgL_arg1589z00_1374 = BgL_v1308z00_1386;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2477z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, 26888L,
					BGl_proc2476z00zz__evaluate_typesz00,
					BGl_proc2475z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2474z00zz__evaluate_typesz00, BFALSE, BgL_arg1587z00_1373,
					BgL_arg1589z00_1374);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1602z00_1393;
				obj_t BgL_arg1603z00_1394;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1309z00_1406;

					BgL_v1309z00_1406 = create_vector(2L);
					VECTOR_SET(BgL_v1309z00_1406, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2481z00zz__evaluate_typesz00,
							BGl_proc2480z00zz__evaluate_typesz00,
							BGl_proc2479z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1309z00_1406, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2485z00zz__evaluate_typesz00,
							BGl_proc2484z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1602z00_1393 = BgL_v1309z00_1406;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1310z00_1427;

					BgL_v1310z00_1427 = create_vector(0L);
					BgL_arg1603z00_1394 = BgL_v1310z00_1427;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2490z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 14177L,
					BGl_proc2489z00zz__evaluate_typesz00,
					BGl_proc2488z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2487z00zz__evaluate_typesz00, BFALSE, BgL_arg1602z00_1393,
					BgL_arg1603z00_1394);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1622z00_1434;
				obj_t BgL_arg1623z00_1435;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1311z00_1446;

					BgL_v1311z00_1446 = create_vector(1L);
					VECTOR_SET(BgL_v1311z00_1446, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1622z00_1434 = BgL_v1311z00_1446;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1312z00_1457;

					BgL_v1312z00_1457 = create_vector(0L);
					BgL_arg1623z00_1435 = BgL_v1312z00_1457;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2497z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 32125L,
					BGl_proc2496z00zz__evaluate_typesz00,
					BGl_proc2495z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE, BgL_arg1622z00_1434,
					BgL_arg1623z00_1435);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1638z00_1464;
				obj_t BgL_arg1639z00_1465;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1313z00_1476;

					BgL_v1313z00_1476 = create_vector(0L);
					BgL_arg1638z00_1464 = BgL_v1313z00_1476;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1314z00_1477;

					BgL_v1314z00_1477 = create_vector(0L);
					BgL_arg1639z00_1465 = BgL_v1314z00_1477;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2502z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 24451L,
					BGl_proc2501z00zz__evaluate_typesz00,
					BGl_proc2500z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2499z00zz__evaluate_typesz00, BFALSE, BgL_arg1638z00_1464,
					BgL_arg1639z00_1465);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1655z00_1484;
				obj_t BgL_arg1656z00_1485;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1315z00_1497;

					BgL_v1315z00_1497 = create_vector(1L);
					VECTOR_SET(BgL_v1315z00_1497, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2506z00zz__evaluate_typesz00,
							BGl_proc2505z00zz__evaluate_typesz00,
							BGl_proc2504z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1655z00_1484 = BgL_v1315z00_1497;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1316z00_1508;

					BgL_v1316z00_1508 = create_vector(0L);
					BgL_arg1656z00_1485 = BgL_v1316z00_1508;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2511z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 37950L,
					BGl_proc2510z00zz__evaluate_typesz00,
					BGl_proc2509z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2508z00zz__evaluate_typesz00, BFALSE, BgL_arg1655z00_1484,
					BgL_arg1656z00_1485);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1678z00_1515;
				obj_t BgL_arg1681z00_1516;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1317z00_1530;

					BgL_v1317z00_1530 = create_vector(3L);
					VECTOR_SET(BgL_v1317z00_1530, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2514z00zz__evaluate_typesz00,
							BGl_proc2513z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1317z00_1530, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2399z00zz__evaluate_typesz00,
							BGl_proc2516z00zz__evaluate_typesz00,
							BGl_proc2515z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2401z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1317z00_1530, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2427z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00,
							BGl_proc2517z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1678z00_1515 = BgL_v1317z00_1530;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1318z00_1561;

					BgL_v1318z00_1561 = create_vector(0L);
					BgL_arg1681z00_1516 = BgL_v1318z00_1561;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2522z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, 62117L,
					BGl_proc2521z00zz__evaluate_typesz00,
					BGl_proc2520z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2519z00zz__evaluate_typesz00, BFALSE, BgL_arg1678z00_1515,
					BgL_arg1681z00_1516);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1715z00_1568;
				obj_t BgL_arg1716z00_1569;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1319z00_1583;

					BgL_v1319z00_1583 = create_vector(0L);
					BgL_arg1715z00_1568 = BgL_v1319z00_1583;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1320z00_1584;

					BgL_v1320z00_1584 = create_vector(0L);
					BgL_arg1716z00_1569 = BgL_v1320z00_1584;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2527z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, 36158L,
					BGl_proc2526z00zz__evaluate_typesz00,
					BGl_proc2525z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2524z00zz__evaluate_typesz00, BFALSE, BgL_arg1715z00_1568,
					BgL_arg1716z00_1569);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1725z00_1591;
				obj_t BgL_arg1726z00_1592;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1321z00_1604;

					BgL_v1321z00_1604 = create_vector(2L);
					VECTOR_SET(BgL_v1321z00_1604, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2531z00zz__evaluate_typesz00,
							BGl_proc2530z00zz__evaluate_typesz00,
							BGl_proc2529z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1321z00_1604, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2534z00zz__evaluate_typesz00,
							BGl_proc2533z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1725z00_1591 = BgL_v1321z00_1604;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1322z00_1625;

					BgL_v1322z00_1625 = create_vector(0L);
					BgL_arg1726z00_1592 = BgL_v1322z00_1625;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2540z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 10723L,
					BGl_proc2539z00zz__evaluate_typesz00,
					BGl_proc2538z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2537z00zz__evaluate_typesz00, BFALSE, BgL_arg1725z00_1591,
					BgL_arg1726z00_1592);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1747z00_1632;
				obj_t BgL_arg1748z00_1633;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1323z00_1645;

					BgL_v1323z00_1645 = create_vector(2L);
					VECTOR_SET(BgL_v1323z00_1645, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2453z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00,
							BGl_proc2542z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1323z00_1645, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00,
							BGl_proc2544z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1747z00_1632 = BgL_v1323z00_1645;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1324z00_1666;

					BgL_v1324z00_1666 = create_vector(0L);
					BgL_arg1748z00_1633 = BgL_v1324z00_1666;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2549z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 59644L,
					BGl_proc2548z00zz__evaluate_typesz00,
					BGl_proc2547z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2546z00zz__evaluate_typesz00, BFALSE, BgL_arg1747z00_1632,
					BgL_arg1748z00_1633);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1768z00_1673;
				obj_t BgL_arg1769z00_1674;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1325z00_1686;

					BgL_v1325z00_1686 = create_vector(2L);
					VECTOR_SET(BgL_v1325z00_1686, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2553z00zz__evaluate_typesz00,
							BGl_proc2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1325z00_1686, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1768z00_1673 = BgL_v1325z00_1686;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1326z00_1707;

					BgL_v1326z00_1707 = create_vector(0L);
					BgL_arg1769z00_1674 = BgL_v1326z00_1707;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2560z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 54033L,
					BGl_proc2559z00zz__evaluate_typesz00,
					BGl_proc2558z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2557z00zz__evaluate_typesz00, BFALSE, BgL_arg1768z00_1673,
					BgL_arg1769z00_1674);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1788z00_1714;
				obj_t BgL_arg1789z00_1715;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1327z00_1729;

					BgL_v1327z00_1729 = create_vector(4L);
					VECTOR_SET(BgL_v1327z00_1729, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2563z00zz__evaluate_typesz00,
							BGl_proc2562z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_1729, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2566z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_1729, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2570z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00,
							BGl_proc2568z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1327z00_1729, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00,
							BGl_proc2572z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1788z00_1714 = BgL_v1327z00_1729;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1328z00_1770;

					BgL_v1328z00_1770 = create_vector(0L);
					BgL_arg1789z00_1715 = BgL_v1328z00_1770;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2577z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 40653L,
					BGl_proc2576z00zz__evaluate_typesz00,
					BGl_proc2575z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2574z00zz__evaluate_typesz00, BFALSE, BgL_arg1788z00_1714,
					BgL_arg1789z00_1715);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1821z00_1777;
				obj_t BgL_arg1822z00_1778;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1329z00_1791;

					BgL_v1329z00_1791 = create_vector(3L);
					VECTOR_SET(BgL_v1329z00_1791, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2580z00zz__evaluate_typesz00,
							BGl_proc2579z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_1791, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2585z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00,
							BGl_proc2583z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1329z00_1791, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2588z00zz__evaluate_typesz00,
							BGl_proc2587z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1821z00_1777 = BgL_v1329z00_1791;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1330z00_1822;

					BgL_v1330z00_1822 = create_vector(0L);
					BgL_arg1822z00_1778 = BgL_v1330z00_1822;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2592z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 50341L,
					BGl_proc2591z00zz__evaluate_typesz00,
					BGl_proc2590z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2589z00zz__evaluate_typesz00, BFALSE, BgL_arg1821z00_1777,
					BgL_arg1822z00_1778);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1846z00_1829;
				obj_t BgL_arg1848z00_1830;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1331z00_1844;

					BgL_v1331z00_1844 = create_vector(1L);
					VECTOR_SET(BgL_v1331z00_1844, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2597z00zz__evaluate_typesz00,
							BGl_proc2596z00zz__evaluate_typesz00,
							BGl_proc2595z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2594z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1846z00_1829 = BgL_v1331z00_1844;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1332z00_1858;

					BgL_v1332z00_1858 = create_vector(0L);
					BgL_arg1848z00_1830 = BgL_v1332z00_1858;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2602z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 20484L,
					BGl_proc2601z00zz__evaluate_typesz00,
					BGl_proc2600z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2599z00zz__evaluate_typesz00, BFALSE, BgL_arg1846z00_1829,
					BgL_arg1848z00_1830);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1867z00_1865;
				obj_t BgL_arg1868z00_1866;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1333z00_1880;

					BgL_v1333z00_1880 = create_vector(1L);
					VECTOR_SET(BgL_v1333z00_1880, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2597z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00,
							BGl_proc2605z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2604z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1867z00_1865 = BgL_v1333z00_1880;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1334z00_1894;

					BgL_v1334z00_1894 = create_vector(0L);
					BgL_arg1868z00_1866 = BgL_v1334z00_1894;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2610z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 9906L,
					BGl_proc2609z00zz__evaluate_typesz00,
					BGl_proc2608z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2607z00zz__evaluate_typesz00, BFALSE, BgL_arg1867z00_1865,
					BgL_arg1868z00_1866);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1886z00_1901;
				obj_t BgL_arg1888z00_1902;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1335z00_1915;

					BgL_v1335z00_1915 = create_vector(0L);
					BgL_arg1886z00_1901 = BgL_v1335z00_1915;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1336z00_1916;

					BgL_v1336z00_1916 = create_vector(0L);
					BgL_arg1888z00_1902 = BgL_v1336z00_1916;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2615z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, 43956L,
					BGl_proc2614z00zz__evaluate_typesz00,
					BGl_proc2613z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2612z00zz__evaluate_typesz00, BFALSE, BgL_arg1886z00_1901,
					BgL_arg1888z00_1902);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1897z00_1923;
				obj_t BgL_arg1898z00_1924;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1337z00_1940;

					BgL_v1337z00_1940 = create_vector(6L);
					VECTOR_SET(BgL_v1337z00_1940, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_1940, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2585z00zz__evaluate_typesz00,
							BGl_proc2620z00zz__evaluate_typesz00,
							BGl_proc2619z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_1940, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2621z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_1940, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2626z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_1940, 4L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1337z00_1940, 5L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2597z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2633z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1897z00_1923 = BgL_v1337z00_1940;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1338z00_2010;

					BgL_v1338z00_2010 = create_vector(0L);
					BgL_arg1898z00_1924 = BgL_v1338z00_2010;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2639z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 51941L,
					BGl_proc2638z00zz__evaluate_typesz00,
					BGl_proc2637z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2636z00zz__evaluate_typesz00, BFALSE, BgL_arg1897z00_1923,
					BgL_arg1898z00_1924);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1949z00_2017;
				obj_t BgL_arg1950z00_2018;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1339z00_2032;

					BgL_v1339z00_2032 = create_vector(4L);
					VECTOR_SET(BgL_v1339z00_2032, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2032, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2645z00zz__evaluate_typesz00,
							BGl_proc2644z00zz__evaluate_typesz00,
							BGl_proc2643z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2032, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2649z00zz__evaluate_typesz00,
							BGl_proc2648z00zz__evaluate_typesz00,
							BGl_proc2647z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1339z00_2032, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2652z00zz__evaluate_typesz00,
							BGl_proc2651z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1949z00_2017 = BgL_v1339z00_2032;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1340z00_2073;

					BgL_v1340z00_2073 = create_vector(0L);
					BgL_arg1950z00_2018 = BgL_v1340z00_2073;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2656z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 25746L,
					BGl_proc2655z00zz__evaluate_typesz00,
					BGl_proc2654z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2653z00zz__evaluate_typesz00, BFALSE, BgL_arg1949z00_2017,
					BgL_arg1950z00_2018);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1979z00_2080;
				obj_t BgL_arg1980z00_2081;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1341z00_2095;

					BgL_v1341z00_2095 = create_vector(4L);
					VECTOR_SET(BgL_v1341z00_2095, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2095, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2662z00zz__evaluate_typesz00,
							BGl_proc2661z00zz__evaluate_typesz00,
							BGl_proc2660z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2095, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2462z00zz__evaluate_typesz00,
							BGl_proc2665z00zz__evaluate_typesz00,
							BGl_proc2664z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1341z00_2095, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2668z00zz__evaluate_typesz00,
							BGl_proc2667z00zz__evaluate_typesz00,
							BGl_proc2666z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg1979z00_2080 = BgL_v1341z00_2095;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1342z00_2136;

					BgL_v1342z00_2136 = create_vector(0L);
					BgL_arg1980z00_2081 = BgL_v1342z00_2136;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2673z00zz__evaluate_typesz00,
					BGl_symbol2395z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, 55822L,
					BGl_proc2672z00zz__evaluate_typesz00,
					BGl_proc2671z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2670z00zz__evaluate_typesz00, BFALSE, BgL_arg1979z00_2080,
					BgL_arg1980z00_2081);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2009z00_2143;
				obj_t BgL_arg2010z00_2144;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1343z00_2164;

					BgL_v1343z00_2164 = create_vector(10L);
					VECTOR_SET(BgL_v1343z00_2164, 0L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2676z00zz__evaluate_typesz00,
							BGl_proc2675z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 1L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2679z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00,
							BGl_proc2677z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 2L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2683z00zz__evaluate_typesz00,
							BGl_proc2682z00zz__evaluate_typesz00,
							BGl_proc2681z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 3L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2686z00zz__evaluate_typesz00,
							BGl_proc2685z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 4L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2535z00zz__evaluate_typesz00,
							BGl_proc2688z00zz__evaluate_typesz00,
							BGl_proc2687z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 5L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2692z00zz__evaluate_typesz00,
							BGl_proc2691z00zz__evaluate_typesz00,
							BGl_proc2690z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2689z00zz__evaluate_typesz00,
							BGl_symbol2694z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 6L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2699z00zz__evaluate_typesz00,
							BGl_proc2698z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2696z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 7L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2704z00zz__evaluate_typesz00,
							BGl_proc2703z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2701z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 8L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2709z00zz__evaluate_typesz00,
							BGl_proc2708z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2706z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1343z00_2164, 9L,
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2597z00zz__evaluate_typesz00,
							BGl_proc2713z00zz__evaluate_typesz00,
							BGl_proc2712z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2711z00zz__evaluate_typesz00,
							BGl_symbol2408z00zz__evaluate_typesz00));
					BgL_arg2009z00_2143 = BgL_v1343z00_2164;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1344z00_2280;

					BgL_v1344z00_2280 = create_vector(0L);
					BgL_arg2010z00_2144 = BgL_v1344z00_2280;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2717z00zz__evaluate_typesz00,
						BGl_symbol2395z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, 22827L,
						BGl_proc2716z00zz__evaluate_typesz00,
						BGl_proc2715z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2714z00zz__evaluate_typesz00, BFALSE, BgL_arg2009z00_2143,
						BgL_arg2010z00_2144), BUNSPEC);
			}
		}

	}



/* &<@anonymous:2015> */
	obj_t BGl_z62zc3z04anonymousza32015ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3472, obj_t BgL_new1194z00_3473)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_auxz00_4602;

				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3473)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4611;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_3948;

						BgL_classz00_3948 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1292z00_3949;

							BgL__ortest_1292z00_3949 = BGL_CLASS_NIL(BgL_classz00_3948);
							if (CBOOL(BgL__ortest_1292z00_3949))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4611 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_3949);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4611 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3948));
								}
						}
					}
					((((BgL_ev_absz00_bglt) COBJECT(
									((BgL_ev_absz00_bglt) BgL_new1194z00_3473)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4611), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_new1194z00_3473)))->BgL_siza7eza7) =
					((int) (int) (0L)), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) COBJECT(((BgL_ev_absz00_bglt)
									BgL_new1194z00_3473)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4602 = ((BgL_ev_absz00_bglt) BgL_new1194z00_3473);
				return ((obj_t) BgL_auxz00_4602);
			}
		}

	}



/* &lambda2013 */
	BgL_ev_absz00_bglt BGl_z62lambda2013z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3474)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_new1193z00_3950;

				BgL_new1193z00_3950 =
					((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_absz00_bgl))));
				{	/* Eval/evaluate_types.scm 122 */
					long BgL_arg2014z00_3951;

					BgL_arg2014z00_3951 =
						BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1193z00_3950), BgL_arg2014z00_3951);
				}
				return BgL_new1193z00_3950;
			}
		}

	}



/* &lambda2011 */
	BgL_ev_absz00_bglt BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3475, obj_t BgL_loc1183z00_3476, obj_t BgL_where1184z00_3477,
		obj_t BgL_arity1185z00_3478, obj_t BgL_vars1186z00_3479,
		obj_t BgL_body1187z00_3480, obj_t BgL_siza7e1188za7_3481,
		obj_t BgL_bind1189z00_3482, obj_t BgL_free1190z00_3483,
		obj_t BgL_inner1191z00_3484, obj_t BgL_boxes1192z00_3485)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_siza7e1188za7_3953;

				BgL_siza7e1188za7_3953 = CINT(BgL_siza7e1188za7_3481);
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1251z00_3954;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1250z00_3955;

						BgL_new1250z00_3955 =
							((BgL_ev_absz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2012z00_3956;

							BgL_arg2012z00_3956 =
								BGL_CLASS_NUM(BGl_ev_absz00zz__evaluate_typesz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1250z00_3955),
								BgL_arg2012z00_3956);
						}
						BgL_new1251z00_3954 = BgL_new1250z00_3955;
					}
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_locz00) =
						((obj_t) BgL_loc1183z00_3476), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_wherez00) =
						((obj_t) BgL_where1184z00_3477), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_arityz00) =
						((obj_t) BgL_arity1185z00_3478), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_varsz00) =
						((obj_t) BgL_vars1186z00_3479), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
								BgL_body1187z00_3480)), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->
							BgL_siza7eza7) = ((int) BgL_siza7e1188za7_3953), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_bindz00) =
						((obj_t) BgL_bind1189z00_3482), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_freez00) =
						((obj_t) BgL_free1190z00_3483), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_innerz00) =
						((obj_t) BgL_inner1191z00_3484), BUNSPEC);
					((((BgL_ev_absz00_bglt) COBJECT(BgL_new1251z00_3954))->BgL_boxesz00) =
						((obj_t) BgL_boxes1192z00_3485), BUNSPEC);
					return BgL_new1251z00_3954;
				}
			}
		}

	}



/* &<@anonymous:2082> */
	obj_t BGl_z62zc3z04anonymousza32082ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3486)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2081 */
	obj_t BGl_z62lambda2081z62zz__evaluate_typesz00(obj_t BgL_envz00_3487,
		obj_t BgL_oz00_3488, obj_t BgL_vz00_3489)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3488)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3489), BUNSPEC);
		}

	}



/* &lambda2080 */
	obj_t BGl_z62lambda2080z62zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_oz00_3491)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3491)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:2074> */
	obj_t BGl_z62zc3z04anonymousza32074ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3492)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494, obj_t BgL_vz00_3495)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3494)))->BgL_innerz00) =
				((obj_t) BgL_vz00_3495), BUNSPEC);
		}

	}



/* &lambda2072 */
	obj_t BGl_z62lambda2072z62zz__evaluate_typesz00(obj_t BgL_envz00_3496,
		obj_t BgL_oz00_3497)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3497)))->BgL_innerz00);
		}

	}



/* &<@anonymous:2066> */
	obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3498)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2065 */
	obj_t BGl_z62lambda2065z62zz__evaluate_typesz00(obj_t BgL_envz00_3499,
		obj_t BgL_oz00_3500, obj_t BgL_vz00_3501)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3500)))->BgL_freez00) =
				((obj_t) BgL_vz00_3501), BUNSPEC);
		}

	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t BgL_envz00_3502,
		obj_t BgL_oz00_3503)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3503)))->BgL_freez00);
		}

	}



/* &<@anonymous:2059> */
	obj_t BGl_z62zc3z04anonymousza32059ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3504)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}

	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t BgL_envz00_3505,
		obj_t BgL_oz00_3506, obj_t BgL_vz00_3507)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3506)))->BgL_bindz00) =
				((obj_t) BgL_vz00_3507), BUNSPEC);
		}

	}



/* &lambda2057 */
	obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t BgL_envz00_3508,
		obj_t BgL_oz00_3509)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3509)))->BgL_bindz00);
		}

	}



/* &<@anonymous:2052> */
	obj_t BGl_z62zc3z04anonymousza32052ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3510)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(0L);
		}

	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t BgL_envz00_3511,
		obj_t BgL_oz00_3512, obj_t BgL_vz00_3513)
	{
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				int BgL_vz00_3966;

				BgL_vz00_3966 = CINT(BgL_vz00_3513);
				return
					((((BgL_ev_absz00_bglt) COBJECT(
								((BgL_ev_absz00_bglt) BgL_oz00_3512)))->BgL_siza7eza7) =
					((int) BgL_vz00_3966), BUNSPEC);
		}}

	}



/* &lambda2050 */
	obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t BgL_envz00_3514,
		obj_t BgL_oz00_3515)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3515)))->BgL_siza7eza7));
		}

	}



/* &lambda2044 */
	obj_t BGl_z62lambda2044z62zz__evaluate_typesz00(obj_t BgL_envz00_3516,
		obj_t BgL_oz00_3517, obj_t BgL_vz00_3518)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3517)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3518)), BUNSPEC);
		}

	}



/* &lambda2043 */
	BgL_ev_exprz00_bglt BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3519, obj_t BgL_oz00_3520)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3520)))->BgL_bodyz00);
		}

	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t BgL_envz00_3521,
		obj_t BgL_oz00_3522, obj_t BgL_vz00_3523)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3522)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3523), BUNSPEC);
		}

	}



/* &lambda2038 */
	obj_t BGl_z62lambda2038z62zz__evaluate_typesz00(obj_t BgL_envz00_3524,
		obj_t BgL_oz00_3525)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3525)))->BgL_varsz00);
		}

	}



/* &lambda2033 */
	obj_t BGl_z62lambda2033z62zz__evaluate_typesz00(obj_t BgL_envz00_3526,
		obj_t BgL_oz00_3527, obj_t BgL_vz00_3528)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3527)))->BgL_arityz00) =
				((obj_t) BgL_vz00_3528), BUNSPEC);
		}

	}



/* &lambda2032 */
	obj_t BGl_z62lambda2032z62zz__evaluate_typesz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3530)))->BgL_arityz00);
		}

	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3531,
		obj_t BgL_oz00_3532, obj_t BgL_vz00_3533)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3532)))->BgL_wherez00) =
				((obj_t) BgL_vz00_3533), BUNSPEC);
		}

	}



/* &lambda2026 */
	obj_t BGl_z62lambda2026z62zz__evaluate_typesz00(obj_t BgL_envz00_3534,
		obj_t BgL_oz00_3535)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3535)))->BgL_wherez00);
		}

	}



/* &lambda2021 */
	obj_t BGl_z62lambda2021z62zz__evaluate_typesz00(obj_t BgL_envz00_3536,
		obj_t BgL_oz00_3537, obj_t BgL_vz00_3538)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				((((BgL_ev_absz00_bglt) COBJECT(
							((BgL_ev_absz00_bglt) BgL_oz00_3537)))->BgL_locz00) =
				((obj_t) BgL_vz00_3538), BUNSPEC);
		}

	}



/* &lambda2020 */
	obj_t BGl_z62lambda2020z62zz__evaluate_typesz00(obj_t BgL_envz00_3539,
		obj_t BgL_oz00_3540)
	{
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) COBJECT(
						((BgL_ev_absz00_bglt) BgL_oz00_3540)))->BgL_locz00);
		}

	}



/* &<@anonymous:1985> */
	obj_t BGl_z62zc3z04anonymousza31985ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3541, obj_t BgL_new1181z00_3542)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_auxz00_4697;

				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3542)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4700;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_3980;

						BgL_classz00_3980 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1292z00_3981;

							BgL__ortest_1292z00_3981 = BGL_CLASS_NIL(BgL_classz00_3980);
							if (CBOOL(BgL__ortest_1292z00_3981))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4700 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_3981);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4700 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3980));
								}
						}
					}
					((((BgL_ev_appz00_bglt) COBJECT(
									((BgL_ev_appz00_bglt) BgL_new1181z00_3542)))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4700), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) COBJECT(
								((BgL_ev_appz00_bglt) BgL_new1181z00_3542)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(((BgL_ev_appz00_bglt)
									BgL_new1181z00_3542)))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4697 = ((BgL_ev_appz00_bglt) BgL_new1181z00_3542);
				return ((obj_t) BgL_auxz00_4697);
			}
		}

	}



/* &lambda1983 */
	BgL_ev_appz00_bglt BGl_z62lambda1983z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3543)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1180z00_3982;

				BgL_new1180z00_3982 =
					((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_appz00_bgl))));
				{	/* Eval/evaluate_types.scm 119 */
					long BgL_arg1984z00_3983;

					BgL_arg1984z00_3983 =
						BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1180z00_3982), BgL_arg1984z00_3983);
				}
				return BgL_new1180z00_3982;
			}
		}

	}



/* &lambda1981 */
	BgL_ev_appz00_bglt BGl_z62lambda1981z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3544, obj_t BgL_loc1176z00_3545, obj_t BgL_fun1177z00_3546,
		obj_t BgL_args1178z00_3547, obj_t BgL_tailzf31179zf3_3548)
	{
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_new1249z00_3985;

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1248z00_3986;

					BgL_new1248z00_3986 =
						((BgL_ev_appz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1982z00_3987;

						BgL_arg1982z00_3987 =
							BGL_CLASS_NUM(BGl_ev_appz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1248z00_3986), BgL_arg1982z00_3987);
					}
					BgL_new1249z00_3985 = BgL_new1248z00_3986;
				}
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1249z00_3985))->BgL_locz00) =
					((obj_t) BgL_loc1176z00_3545), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1249z00_3985))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_fun1177z00_3546)),
					BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1249z00_3985))->BgL_argsz00) =
					((obj_t) BgL_args1178z00_3547), BUNSPEC);
				((((BgL_ev_appz00_bglt) COBJECT(BgL_new1249z00_3985))->BgL_tailzf3zf3) =
					((obj_t) BgL_tailzf31179zf3_3548), BUNSPEC);
				return BgL_new1249z00_3985;
			}
		}

	}



/* &lambda2005 */
	obj_t BGl_z62lambda2005z62zz__evaluate_typesz00(obj_t BgL_envz00_3549,
		obj_t BgL_oz00_3550, obj_t BgL_vz00_3551)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3550)))->BgL_tailzf3zf3) =
				((obj_t) BgL_vz00_3551), BUNSPEC);
		}

	}



/* &lambda2004 */
	obj_t BGl_z62lambda2004z62zz__evaluate_typesz00(obj_t BgL_envz00_3552,
		obj_t BgL_oz00_3553)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3553)))->BgL_tailzf3zf3);
		}

	}



/* &lambda2000 */
	obj_t BGl_z62lambda2000z62zz__evaluate_typesz00(obj_t BgL_envz00_3554,
		obj_t BgL_oz00_3555, obj_t BgL_vz00_3556)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3555)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3556), BUNSPEC);
		}

	}



/* &lambda1999 */
	obj_t BGl_z62lambda1999z62zz__evaluate_typesz00(obj_t BgL_envz00_3557,
		obj_t BgL_oz00_3558)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3558)))->BgL_argsz00);
		}

	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3559,
		obj_t BgL_oz00_3560, obj_t BgL_vz00_3561)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3560)))->BgL_funz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3561)), BUNSPEC);
		}

	}



/* &lambda1994 */
	BgL_ev_exprz00_bglt BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3562, obj_t BgL_oz00_3563)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3563)))->BgL_funz00);
		}

	}



/* &lambda1990 */
	obj_t BGl_z62lambda1990z62zz__evaluate_typesz00(obj_t BgL_envz00_3564,
		obj_t BgL_oz00_3565, obj_t BgL_vz00_3566)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				((((BgL_ev_appz00_bglt) COBJECT(
							((BgL_ev_appz00_bglt) BgL_oz00_3565)))->BgL_locz00) =
				((obj_t) BgL_vz00_3566), BUNSPEC);
		}

	}



/* &lambda1989 */
	obj_t BGl_z62lambda1989z62zz__evaluate_typesz00(obj_t BgL_envz00_3567,
		obj_t BgL_oz00_3568)
	{
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) COBJECT(
						((BgL_ev_appz00_bglt) BgL_oz00_3568)))->BgL_locz00);
		}

	}



/* &<@anonymous:1955> */
	obj_t BGl_z62zc3z04anonymousza31955ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3569, obj_t BgL_new1174z00_3570)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_auxz00_4745;

				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3570)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4748;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_3998;

						BgL_classz00_3998 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1292z00_3999;

							BgL__ortest_1292z00_3999 = BGL_CLASS_NIL(BgL_classz00_3998);
							if (CBOOL(BgL__ortest_1292z00_3999))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4748 =
										((BgL_ev_varz00_bglt) BgL__ortest_1292z00_3999);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4748 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3998));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3570)))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4748), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4757;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_4000;

						BgL_classz00_4000 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1292z00_4001;

							BgL__ortest_1292z00_4001 = BGL_CLASS_NIL(BgL_classz00_4000);
							if (CBOOL(BgL__ortest_1292z00_4001))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4757 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1292z00_4001);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4757 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4000));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) COBJECT(
									((BgL_ev_gotoz00_bglt) BgL_new1174z00_3570)))->
							BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4757), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(
								((BgL_ev_gotoz00_bglt) BgL_new1174z00_3570)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4745 = ((BgL_ev_gotoz00_bglt) BgL_new1174z00_3570);
				return ((obj_t) BgL_auxz00_4745);
			}
		}

	}



/* &lambda1953 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3571)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1173z00_4002;

				BgL_new1173z00_4002 =
					((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_gotoz00_bgl))));
				{	/* Eval/evaluate_types.scm 114 */
					long BgL_arg1954z00_4003;

					BgL_arg1954z00_4003 =
						BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1173z00_4002), BgL_arg1954z00_4003);
				}
				return BgL_new1173z00_4002;
			}
		}

	}



/* &lambda1951 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1951z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3572, obj_t BgL_loc1169z00_3573, obj_t BgL_label1170z00_3574,
		obj_t BgL_labels1171z00_3575, obj_t BgL_args1172z00_3576)
	{
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_new1247z00_4006;

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1246z00_4007;

					BgL_new1246z00_4007 =
						((BgL_ev_gotoz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1952z00_4008;

						BgL_arg1952z00_4008 =
							BGL_CLASS_NUM(BGl_ev_gotoz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1246z00_4007), BgL_arg1952z00_4008);
					}
					BgL_new1247z00_4006 = BgL_new1246z00_4007;
				}
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1247z00_4006))->BgL_locz00) =
					((obj_t) BgL_loc1169z00_3573), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1247z00_4006))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_label1170z00_3574)),
					BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1247z00_4006))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BgL_labels1171z00_3575)), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) COBJECT(BgL_new1247z00_4006))->BgL_argsz00) =
					((obj_t) BgL_args1172z00_3576), BUNSPEC);
				return BgL_new1247z00_4006;
			}
		}

	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3577,
		obj_t BgL_oz00_3578, obj_t BgL_vz00_3579)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3578)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3579), BUNSPEC);
		}

	}



/* &lambda1974 */
	obj_t BGl_z62lambda1974z62zz__evaluate_typesz00(obj_t BgL_envz00_3580,
		obj_t BgL_oz00_3581)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3581)))->BgL_argsz00);
		}

	}



/* &lambda1970 */
	obj_t BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t BgL_envz00_3582,
		obj_t BgL_oz00_3583, obj_t BgL_vz00_3584)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3583)))->BgL_labelsz00) =
				((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt) BgL_vz00_3584)),
				BUNSPEC);
		}

	}



/* &lambda1969 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1969z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3585, obj_t BgL_oz00_3586)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3586)))->BgL_labelsz00);
		}

	}



/* &lambda1965 */
	obj_t BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t BgL_envz00_3587,
		obj_t BgL_oz00_3588, obj_t BgL_vz00_3589)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3588)))->BgL_labelz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3589)), BUNSPEC);
		}

	}



/* &lambda1964 */
	BgL_ev_varz00_bglt BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3590, obj_t BgL_oz00_3591)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3591)))->BgL_labelz00);
		}

	}



/* &lambda1960 */
	obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3592,
		obj_t BgL_oz00_3593, obj_t BgL_vz00_3594)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				((((BgL_ev_gotoz00_bglt) COBJECT(
							((BgL_ev_gotoz00_bglt) BgL_oz00_3593)))->BgL_locz00) =
				((obj_t) BgL_vz00_3594), BUNSPEC);
		}

	}



/* &lambda1959 */
	obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3595,
		obj_t BgL_oz00_3596)
	{
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) COBJECT(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3596)))->BgL_locz00);
		}

	}



/* &<@anonymous:1906> */
	obj_t BGl_z62zc3z04anonymousza31906ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3597, obj_t BgL_new1167z00_3598)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_auxz00_4802;

				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3598)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3598)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3598)))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(((BgL_ev_labelsz00_bglt)
									BgL_new1167z00_3598)))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4811;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_4020;

						BgL_classz00_4020 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1292z00_4021;

							BgL__ortest_1292z00_4021 = BGL_CLASS_NIL(BgL_classz00_4020);
							if (CBOOL(BgL__ortest_1292z00_4021))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4811 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4021);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4811 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4020));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) COBJECT(
									((BgL_ev_labelsz00_bglt) BgL_new1167z00_3598)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4811), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(
								((BgL_ev_labelsz00_bglt) BgL_new1167z00_3598)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4802 = ((BgL_ev_labelsz00_bglt) BgL_new1167z00_3598);
				return ((obj_t) BgL_auxz00_4802);
			}
		}

	}



/* &lambda1901 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1901z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3599)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1166z00_4022;

				BgL_new1166z00_4022 =
					((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_labelsz00_bgl))));
				{	/* Eval/evaluate_types.scm 106 */
					long BgL_arg1905z00_4023;

					BgL_arg1905z00_4023 =
						BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1166z00_4022), BgL_arg1905z00_4023);
				}
				return BgL_new1166z00_4022;
			}
		}

	}



/* &lambda1899 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1899z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3600, obj_t BgL_vars1160z00_3601, obj_t BgL_vals1161z00_3602,
		obj_t BgL_env1162z00_3603, obj_t BgL_stk1163z00_3604,
		obj_t BgL_body1164z00_3605, obj_t BgL_boxes1165z00_3606)
	{
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_new1244z00_4025;

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1243z00_4026;

					BgL_new1243z00_4026 =
						((BgL_ev_labelsz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1900z00_4027;

						BgL_arg1900z00_4027 =
							BGL_CLASS_NUM(BGl_ev_labelsz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1243z00_4026), BgL_arg1900z00_4027);
					}
					BgL_new1244z00_4025 = BgL_new1243z00_4026;
				}
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->BgL_varsz00) =
					((obj_t) BgL_vars1160z00_3601), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->BgL_valsz00) =
					((obj_t) BgL_vals1161z00_3602), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->BgL_envz00) =
					((obj_t) BgL_env1162z00_3603), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->BgL_stkz00) =
					((obj_t) BgL_stk1163z00_3604), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1164z00_3605)),
					BUNSPEC);
				((((BgL_ev_labelsz00_bglt) COBJECT(BgL_new1244z00_4025))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1165z00_3606), BUNSPEC);
				return BgL_new1244z00_4025;
			}
		}

	}



/* &<@anonymous:1945> */
	obj_t BGl_z62zc3z04anonymousza31945ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3607)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1944 */
	obj_t BGl_z62lambda1944z62zz__evaluate_typesz00(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609, obj_t BgL_vz00_3610)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3609)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3610), BUNSPEC);
		}

	}



/* &lambda1943 */
	obj_t BGl_z62lambda1943z62zz__evaluate_typesz00(obj_t BgL_envz00_3611,
		obj_t BgL_oz00_3612)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3612)))->BgL_boxesz00);
		}

	}



/* &lambda1938 */
	obj_t BGl_z62lambda1938z62zz__evaluate_typesz00(obj_t BgL_envz00_3613,
		obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3614)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3615)), BUNSPEC);
		}

	}



/* &lambda1937 */
	BgL_ev_exprz00_bglt BGl_z62lambda1937z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3616, obj_t BgL_oz00_3617)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3617)))->BgL_bodyz00);
		}

	}



/* &<@anonymous:1933> */
	obj_t BGl_z62zc3z04anonymousza31933ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3618)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1932 */
	obj_t BGl_z62lambda1932z62zz__evaluate_typesz00(obj_t BgL_envz00_3619,
		obj_t BgL_oz00_3620, obj_t BgL_vz00_3621)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3620)))->BgL_stkz00) =
				((obj_t) BgL_vz00_3621), BUNSPEC);
		}

	}



/* &lambda1931 */
	obj_t BGl_z62lambda1931z62zz__evaluate_typesz00(obj_t BgL_envz00_3622,
		obj_t BgL_oz00_3623)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3623)))->BgL_stkz00);
		}

	}



/* &<@anonymous:1926> */
	obj_t BGl_z62zc3z04anonymousza31926ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3624)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}

	}



/* &lambda1925 */
	obj_t BGl_z62lambda1925z62zz__evaluate_typesz00(obj_t BgL_envz00_3625,
		obj_t BgL_oz00_3626, obj_t BgL_vz00_3627)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3626)))->BgL_envz00) =
				((obj_t) BgL_vz00_3627), BUNSPEC);
		}

	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3628,
		obj_t BgL_oz00_3629)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3629)))->BgL_envz00);
		}

	}



/* &lambda1918 */
	obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3630,
		obj_t BgL_oz00_3631, obj_t BgL_vz00_3632)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3631)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3632), BUNSPEC);
		}

	}



/* &lambda1917 */
	obj_t BGl_z62lambda1917z62zz__evaluate_typesz00(obj_t BgL_envz00_3633,
		obj_t BgL_oz00_3634)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3634)))->BgL_valsz00);
		}

	}



/* &lambda1913 */
	obj_t BGl_z62lambda1913z62zz__evaluate_typesz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				((((BgL_ev_labelsz00_bglt) COBJECT(
							((BgL_ev_labelsz00_bglt) BgL_oz00_3636)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3637), BUNSPEC);
		}

	}



/* &lambda1912 */
	obj_t BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639)
	{
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) COBJECT(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3639)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1893> */
	obj_t BGl_z62zc3z04anonymousza31893ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3640, obj_t BgL_new1158z00_3641)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_auxz00_4864;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letrecz00_bglt) BgL_new1158z00_3641))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letrecz00_bglt)
										BgL_new1158z00_3641))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4871;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_4042;

						BgL_classz00_4042 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1292z00_4043;

							BgL__ortest_1292z00_4043 = BGL_CLASS_NIL(BgL_classz00_4042);
							if (CBOOL(BgL__ortest_1292z00_4043))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4871 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4043);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4871 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4042));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letrecz00_bglt) BgL_new1158z00_3641))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4871), BUNSPEC);
				}
				BgL_auxz00_4864 = ((BgL_ev_letrecz00_bglt) BgL_new1158z00_3641);
				return ((obj_t) BgL_auxz00_4864);
			}
		}

	}



/* &lambda1891 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3642)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1156z00_4044;

				BgL_new1156z00_4044 =
					((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letrecz00_bgl))));
				{	/* Eval/evaluate_types.scm 105 */
					long BgL_arg1892z00_4045;

					BgL_arg1892z00_4045 =
						BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1156z00_4044), BgL_arg1892z00_4045);
				}
				return BgL_new1156z00_4044;
			}
		}

	}



/* &lambda1889 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1889z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3643, obj_t BgL_vars1153z00_3644, obj_t BgL_vals1154z00_3645,
		obj_t BgL_body1155z00_3646)
	{
		{	/* Eval/evaluate_types.scm 105 */
			{	/* Eval/evaluate_types.scm 105 */
				BgL_ev_letrecz00_bglt BgL_new1242z00_4047;

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1241z00_4048;

					BgL_new1241z00_4048 =
						((BgL_ev_letrecz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1890z00_4049;

						BgL_arg1890z00_4049 =
							BGL_CLASS_NUM(BGl_ev_letrecz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1241z00_4048), BgL_arg1890z00_4049);
					}
					BgL_new1242z00_4047 = BgL_new1241z00_4048;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1242z00_4047)))->BgL_varsz00) =
					((obj_t) BgL_vars1153z00_3644), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1242z00_4047)))->BgL_valsz00) =
					((obj_t) BgL_vals1154z00_3645), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1242z00_4047)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1155z00_3646)),
					BUNSPEC);
				return BgL_new1242z00_4047;
			}
		}

	}



/* &<@anonymous:1873> */
	obj_t BGl_z62zc3z04anonymousza31873ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3647, obj_t BgL_new1151z00_3648)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_auxz00_4898;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letza2za2_bglt) BgL_new1151z00_3648))))->
						BgL_varsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letza2za2_bglt)
										BgL_new1151z00_3648))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4905;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_4051;

						BgL_classz00_4051 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1292z00_4052;

							BgL__ortest_1292z00_4052 = BGL_CLASS_NIL(BgL_classz00_4051);
							if (CBOOL(BgL__ortest_1292z00_4052))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4905 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4052);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4905 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4051));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letza2za2_bglt) BgL_new1151z00_3648))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4905), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) COBJECT(
								((BgL_ev_letza2za2_bglt) BgL_new1151z00_3648)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4898 = ((BgL_ev_letza2za2_bglt) BgL_new1151z00_3648);
				return ((obj_t) BgL_auxz00_4898);
			}
		}

	}



/* &lambda1871 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3649)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1150z00_4053;

				BgL_new1150z00_4053 =
					((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letza2za2_bgl))));
				{	/* Eval/evaluate_types.scm 103 */
					long BgL_arg1872z00_4054;

					BgL_arg1872z00_4054 =
						BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1150z00_4053), BgL_arg1872z00_4054);
				}
				return BgL_new1150z00_4053;
			}
		}

	}



/* &lambda1869 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1869z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3650, obj_t BgL_vars1146z00_3651, obj_t BgL_vals1147z00_3652,
		obj_t BgL_body1148z00_3653, obj_t BgL_boxes1149z00_3654)
	{
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_new1240z00_4056;

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1239z00_4057;

					BgL_new1239z00_4057 =
						((BgL_ev_letza2za2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1870z00_4058;

						BgL_arg1870z00_4058 =
							BGL_CLASS_NUM(BGl_ev_letza2za2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1239z00_4057), BgL_arg1870z00_4058);
					}
					BgL_new1240z00_4056 = BgL_new1239z00_4057;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1240z00_4056)))->BgL_varsz00) =
					((obj_t) BgL_vars1146z00_3651), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1240z00_4056)))->BgL_valsz00) =
					((obj_t) BgL_vals1147z00_3652), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1240z00_4056)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1148z00_3653)),
					BUNSPEC);
				((((BgL_ev_letza2za2_bglt) COBJECT(BgL_new1240z00_4056))->
						BgL_boxesz00) = ((obj_t) BgL_boxes1149z00_3654), BUNSPEC);
				return BgL_new1240z00_4056;
			}
		}

	}



/* &<@anonymous:1882> */
	obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3655)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}

	}



/* &lambda1881 */
	obj_t BGl_z62lambda1881z62zz__evaluate_typesz00(obj_t BgL_envz00_3656,
		obj_t BgL_oz00_3657, obj_t BgL_vz00_3658)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				((((BgL_ev_letza2za2_bglt) COBJECT(
							((BgL_ev_letza2za2_bglt) BgL_oz00_3657)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3658), BUNSPEC);
		}

	}



/* &lambda1880 */
	obj_t BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t BgL_envz00_3659,
		obj_t BgL_oz00_3660)
	{
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) COBJECT(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3660)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1853> */
	obj_t BGl_z62zc3z04anonymousza31853ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3661, obj_t BgL_new1144z00_3662)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_auxz00_4939;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt)
									((BgL_ev_letz00_bglt) BgL_new1144z00_3662))))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt)
							COBJECT(((BgL_ev_binderz00_bglt) ((BgL_ev_letz00_bglt)
										BgL_new1144z00_3662))))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4946;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_4062;

						BgL_classz00_4062 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1292z00_4063;

							BgL__ortest_1292z00_4063 = BGL_CLASS_NIL(BgL_classz00_4062);
							if (CBOOL(BgL__ortest_1292z00_4063))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4946 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4063);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4946 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4062));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt)
										((BgL_ev_letz00_bglt) BgL_new1144z00_3662))))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4946), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) COBJECT(
								((BgL_ev_letz00_bglt) BgL_new1144z00_3662)))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_4939 = ((BgL_ev_letz00_bglt) BgL_new1144z00_3662);
				return ((obj_t) BgL_auxz00_4939);
			}
		}

	}



/* &lambda1851 */
	BgL_ev_letz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3663)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1143z00_4064;

				BgL_new1143z00_4064 =
					((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_letz00_bgl))));
				{	/* Eval/evaluate_types.scm 101 */
					long BgL_arg1852z00_4065;

					BgL_arg1852z00_4065 =
						BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1143z00_4064), BgL_arg1852z00_4065);
				}
				return BgL_new1143z00_4064;
			}
		}

	}



/* &lambda1849 */
	BgL_ev_letz00_bglt BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3664, obj_t BgL_vars1139z00_3665, obj_t BgL_vals1140z00_3666,
		obj_t BgL_body1141z00_3667, obj_t BgL_boxes1142z00_3668)
	{
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_new1238z00_4067;

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1237z00_4068;

					BgL_new1237z00_4068 =
						((BgL_ev_letz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1850z00_4069;

						BgL_arg1850z00_4069 =
							BGL_CLASS_NUM(BGl_ev_letz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1237z00_4068), BgL_arg1850z00_4069);
					}
					BgL_new1238z00_4067 = BgL_new1237z00_4068;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1238z00_4067)))->BgL_varsz00) =
					((obj_t) BgL_vars1139z00_3665), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4067)))->BgL_valsz00) =
					((obj_t) BgL_vals1140z00_3666), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1238z00_4067)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1141z00_3667)),
					BUNSPEC);
				((((BgL_ev_letz00_bglt) COBJECT(BgL_new1238z00_4067))->BgL_boxesz00) =
					((obj_t) BgL_boxes1142z00_3668), BUNSPEC);
				return BgL_new1238z00_4067;
			}
		}

	}



/* &<@anonymous:1860> */
	obj_t BGl_z62zc3z04anonymousza31860ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3669)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}

	}



/* &lambda1859 */
	obj_t BGl_z62lambda1859z62zz__evaluate_typesz00(obj_t BgL_envz00_3670,
		obj_t BgL_oz00_3671, obj_t BgL_vz00_3672)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				((((BgL_ev_letz00_bglt) COBJECT(
							((BgL_ev_letz00_bglt) BgL_oz00_3671)))->BgL_boxesz00) =
				((obj_t) BgL_vz00_3672), BUNSPEC);
		}

	}



/* &lambda1858 */
	obj_t BGl_z62lambda1858z62zz__evaluate_typesz00(obj_t BgL_envz00_3673,
		obj_t BgL_oz00_3674)
	{
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) COBJECT(
						((BgL_ev_letz00_bglt) BgL_oz00_3674)))->BgL_boxesz00);
		}

	}



/* &<@anonymous:1827> */
	obj_t BGl_z62zc3z04anonymousza31827ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3675, obj_t BgL_new1137z00_3676)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_auxz00_4980;

				((((BgL_ev_binderz00_bglt) COBJECT(
								((BgL_ev_binderz00_bglt) BgL_new1137z00_3676)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(((BgL_ev_binderz00_bglt)
									BgL_new1137z00_3676)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4985;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_4073;

						BgL_classz00_4073 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1292z00_4074;

							BgL__ortest_1292z00_4074 = BGL_CLASS_NIL(BgL_classz00_4073);
							if (CBOOL(BgL__ortest_1292z00_4074))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4985 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4074);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4985 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4073));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) COBJECT(
									((BgL_ev_binderz00_bglt) BgL_new1137z00_3676)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4985), BUNSPEC);
				}
				BgL_auxz00_4980 = ((BgL_ev_binderz00_bglt) BgL_new1137z00_3676);
				return ((obj_t) BgL_auxz00_4980);
			}
		}

	}



/* &lambda1825 */
	BgL_ev_binderz00_bglt BGl_z62lambda1825z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3677)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1136z00_4075;

				BgL_new1136z00_4075 =
					((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_binderz00_bgl))));
				{	/* Eval/evaluate_types.scm 97 */
					long BgL_arg1826z00_4076;

					BgL_arg1826z00_4076 =
						BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1136z00_4075), BgL_arg1826z00_4076);
				}
				return BgL_new1136z00_4075;
			}
		}

	}



/* &lambda1823 */
	BgL_ev_binderz00_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3678, obj_t BgL_vars1133z00_3679, obj_t BgL_vals1134z00_3680,
		obj_t BgL_body1135z00_3681)
	{
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_new1236z00_4078;

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1235z00_4079;

					BgL_new1235z00_4079 =
						((BgL_ev_binderz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1824z00_4080;

						BgL_arg1824z00_4080 =
							BGL_CLASS_NUM(BGl_ev_binderz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1235z00_4079), BgL_arg1824z00_4080);
					}
					BgL_new1236z00_4078 = BgL_new1235z00_4079;
				}
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4078))->BgL_varsz00) =
					((obj_t) BgL_vars1133z00_3679), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4078))->BgL_valsz00) =
					((obj_t) BgL_vals1134z00_3680), BUNSPEC);
				((((BgL_ev_binderz00_bglt) COBJECT(BgL_new1236z00_4078))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1135z00_3681)),
					BUNSPEC);
				return BgL_new1236z00_4078;
			}
		}

	}



/* &lambda1842 */
	obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t BgL_envz00_3682,
		obj_t BgL_oz00_3683, obj_t BgL_vz00_3684)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3683)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3684)), BUNSPEC);
		}

	}



/* &lambda1841 */
	BgL_ev_exprz00_bglt BGl_z62lambda1841z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3685, obj_t BgL_oz00_3686)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3686)))->BgL_bodyz00);
		}

	}



/* &lambda1837 */
	obj_t BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t BgL_envz00_3687,
		obj_t BgL_oz00_3688, obj_t BgL_vz00_3689)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3688)))->BgL_valsz00) =
				((obj_t) BgL_vz00_3689), BUNSPEC);
		}

	}



/* &lambda1836 */
	obj_t BGl_z62lambda1836z62zz__evaluate_typesz00(obj_t BgL_envz00_3690,
		obj_t BgL_oz00_3691)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3691)))->BgL_valsz00);
		}

	}



/* &lambda1832 */
	obj_t BGl_z62lambda1832z62zz__evaluate_typesz00(obj_t BgL_envz00_3692,
		obj_t BgL_oz00_3693, obj_t BgL_vz00_3694)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				((((BgL_ev_binderz00_bglt) COBJECT(
							((BgL_ev_binderz00_bglt) BgL_oz00_3693)))->BgL_varsz00) =
				((obj_t) BgL_vz00_3694), BUNSPEC);
		}

	}



/* &lambda1831 */
	obj_t BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t BgL_envz00_3695,
		obj_t BgL_oz00_3696)
	{
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) COBJECT(
						((BgL_ev_binderz00_bglt) BgL_oz00_3696)))->BgL_varsz00);
		}

	}



/* &<@anonymous:1794> */
	obj_t BGl_z62zc3z04anonymousza31794ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3697, obj_t BgL_new1131z00_3698)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_auxz00_5021;

				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
								((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3698)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5024;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4089;

						BgL_classz00_4089 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1292z00_4090;

							BgL__ortest_1292z00_4090 = BGL_CLASS_NIL(BgL_classz00_4089);
							if (CBOOL(BgL__ortest_1292z00_4090))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5024 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4090);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5024 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4089));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3698)))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5024), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5033;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4091;

						BgL_classz00_4091 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1292z00_4092;

							BgL__ortest_1292z00_4092 = BGL_CLASS_NIL(BgL_classz00_4091);
							if (CBOOL(BgL__ortest_1292z00_4092))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5033 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4092);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5033 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4091));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3698)))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5033), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5042;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_4093;

						BgL_classz00_4093 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1292z00_4094;

							BgL__ortest_1292z00_4094 = BGL_CLASS_NIL(BgL_classz00_4093);
							if (CBOOL(BgL__ortest_1292z00_4094))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5042 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4094);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_5042 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4093));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
									((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3698)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5042), BUNSPEC);
				}
				BgL_auxz00_5021 = ((BgL_ev_synchroniza7eza7_bglt) BgL_new1131z00_3698);
				return ((obj_t) BgL_auxz00_5021);
			}
		}

	}



/* &lambda1792 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3699)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1129z00_4095;

				BgL_new1129z00_4095 =
					((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_synchroniza7eza7_bgl))));
				{	/* Eval/evaluate_types.scm 92 */
					long BgL_arg1793z00_4096;

					BgL_arg1793z00_4096 =
						BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1129z00_4095), BgL_arg1793z00_4096);
				}
				return BgL_new1129z00_4095;
			}
		}

	}



/* &lambda1790 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3700, obj_t BgL_loc1125z00_3701, obj_t BgL_mutex1126z00_3702,
		obj_t BgL_prelock1127z00_3703, obj_t BgL_body1128z00_3704)
	{
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_new1234z00_4100;

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1233z00_4101;

					BgL_new1233z00_4101 =
						((BgL_ev_synchroniza7eza7_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1791z00_4102;

						BgL_arg1791z00_4102 =
							BGL_CLASS_NUM(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1233z00_4101), BgL_arg1791z00_4102);
					}
					BgL_new1234z00_4100 = BgL_new1233z00_4101;
				}
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4100))->
						BgL_locz00) = ((obj_t) BgL_loc1125z00_3701), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4100))->
						BgL_mutexz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_mutex1126z00_3702)),
					BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4100))->
						BgL_prelockz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_prelock1127z00_3703)), BUNSPEC);
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(BgL_new1234z00_4100))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1128z00_3704)),
					BUNSPEC);
				return BgL_new1234z00_4100;
			}
		}

	}



/* &lambda1816 */
	obj_t BGl_z62lambda1816z62zz__evaluate_typesz00(obj_t BgL_envz00_3705,
		obj_t BgL_oz00_3706, obj_t BgL_vz00_3707)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3706)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3707)), BUNSPEC);
		}

	}



/* &lambda1815 */
	BgL_ev_exprz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3708, obj_t BgL_oz00_3709)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3709)))->BgL_bodyz00);
		}

	}



/* &lambda1809 */
	obj_t BGl_z62lambda1809z62zz__evaluate_typesz00(obj_t BgL_envz00_3710,
		obj_t BgL_oz00_3711, obj_t BgL_vz00_3712)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3711)))->
					BgL_prelockz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3712)), BUNSPEC);
		}

	}



/* &lambda1808 */
	BgL_ev_exprz00_bglt BGl_z62lambda1808z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3713, obj_t BgL_oz00_3714)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3714)))->BgL_prelockz00);
		}

	}



/* &lambda1804 */
	obj_t BGl_z62lambda1804z62zz__evaluate_typesz00(obj_t BgL_envz00_3715,
		obj_t BgL_oz00_3716, obj_t BgL_vz00_3717)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3716)))->BgL_mutexz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3717)), BUNSPEC);
		}

	}



/* &lambda1803 */
	BgL_ev_exprz00_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3718, obj_t BgL_oz00_3719)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3719)))->BgL_mutexz00);
		}

	}



/* &lambda1799 */
	obj_t BGl_z62lambda1799z62zz__evaluate_typesz00(obj_t BgL_envz00_3720,
		obj_t BgL_oz00_3721, obj_t BgL_vz00_3722)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				((((BgL_ev_synchroniza7eza7_bglt) COBJECT(
							((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3721)))->BgL_locz00) =
				((obj_t) BgL_vz00_3722), BUNSPEC);
		}

	}



/* &lambda1798 */
	obj_t BGl_z62lambda1798z62zz__evaluate_typesz00(obj_t BgL_envz00_3723,
		obj_t BgL_oz00_3724)
	{
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) COBJECT(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3724)))->BgL_locz00);
		}

	}



/* &<@anonymous:1774> */
	obj_t BGl_z62zc3z04anonymousza31774ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3725, obj_t BgL_new1123z00_3726)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_auxz00_5087;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5088;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4115;

						BgL_classz00_4115 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1292z00_4116;

							BgL__ortest_1292z00_4116 = BGL_CLASS_NIL(BgL_classz00_4115);
							if (CBOOL(BgL__ortest_1292z00_4116))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5088 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4116);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5088 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4115));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3726)))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5088), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5097;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_4117;

						BgL_classz00_4117 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1292z00_4118;

							BgL__ortest_1292z00_4118 = BGL_CLASS_NIL(BgL_classz00_4117);
							if (CBOOL(BgL__ortest_1292z00_4118))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5097 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4118);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_5097 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4117));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
									((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3726)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5097), BUNSPEC);
				}
				BgL_auxz00_5087 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3726);
				return ((obj_t) BgL_auxz00_5087);
			}
		}

	}



/* &lambda1772 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1772z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3727)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_4119;

				BgL_new1122z00_4119 =
					((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_withzd2handlerzd2_bgl))));
				{	/* Eval/evaluate_types.scm 89 */
					long BgL_arg1773z00_4120;

					BgL_arg1773z00_4120 =
						BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1122z00_4119), BgL_arg1773z00_4120);
				}
				return BgL_new1122z00_4119;
			}
		}

	}



/* &lambda1770 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3728, obj_t BgL_handler1119z00_3729, obj_t BgL_body1120z00_3730)
	{
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_new1231z00_4123;

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1230z00_4124;

					BgL_new1230z00_4124 =
						((BgL_ev_withzd2handlerzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1771z00_4125;

						BgL_arg1771z00_4125 =
							BGL_CLASS_NUM(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1230z00_4124), BgL_arg1771z00_4125);
					}
					BgL_new1231z00_4123 = BgL_new1230z00_4124;
				}
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1231z00_4123))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BgL_handler1119z00_3729)), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(BgL_new1231z00_4123))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1120z00_3730)),
					BUNSPEC);
				return BgL_new1231z00_4123;
			}
		}

	}



/* &lambda1784 */
	obj_t BGl_z62lambda1784z62zz__evaluate_typesz00(obj_t BgL_envz00_3731,
		obj_t BgL_oz00_3732, obj_t BgL_vz00_3733)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3732)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3733)), BUNSPEC);
		}

	}



/* &lambda1783 */
	BgL_ev_exprz00_bglt BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3734, obj_t BgL_oz00_3735)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3735)))->BgL_bodyz00);
		}

	}



/* &lambda1779 */
	obj_t BGl_z62lambda1779z62zz__evaluate_typesz00(obj_t BgL_envz00_3736,
		obj_t BgL_oz00_3737, obj_t BgL_vz00_3738)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				((((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
							((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3737)))->
					BgL_handlerz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3738)), BUNSPEC);
		}

	}



/* &lambda1778 */
	BgL_ev_exprz00_bglt BGl_z62lambda1778z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3739, obj_t BgL_oz00_3740)
	{
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) COBJECT(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3740)))->BgL_handlerz00);
		}

	}



/* &<@anonymous:1753> */
	obj_t BGl_z62zc3z04anonymousza31753ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3741, obj_t BgL_new1117z00_3742)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_auxz00_5130;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5131;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4133;

						BgL_classz00_4133 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1292z00_4134;

							BgL__ortest_1292z00_4134 = BGL_CLASS_NIL(BgL_classz00_4133);
							if (CBOOL(BgL__ortest_1292z00_4134))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5131 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4134);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5131 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4133));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3742)))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5131), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5140;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_4135;

						BgL_classz00_4135 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1292z00_4136;

							BgL__ortest_1292z00_4136 = BGL_CLASS_NIL(BgL_classz00_4135);
							if (CBOOL(BgL__ortest_1292z00_4136))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5140 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4136);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_5140 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4135));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
									((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3742)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5140), BUNSPEC);
				}
				BgL_auxz00_5130 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3742);
				return ((obj_t) BgL_auxz00_5130);
			}
		}

	}



/* &lambda1751 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1751z62zz__evaluate_typesz00(obj_t BgL_envz00_3743)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_4137;

				BgL_new1116z00_4137 =
					((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_unwindzd2protectzd2_bgl))));
				{	/* Eval/evaluate_types.scm 86 */
					long BgL_arg1752z00_4138;

					BgL_arg1752z00_4138 =
						BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1116z00_4137), BgL_arg1752z00_4138);
				}
				return BgL_new1116z00_4137;
			}
		}

	}



/* &lambda1749 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t BgL_envz00_3744,
		obj_t BgL_e1114z00_3745, obj_t BgL_body1115z00_3746)
	{
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1229z00_4141;

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1228z00_4142;

					BgL_new1228z00_4142 =
						((BgL_ev_unwindzd2protectzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1750z00_4143;

						BgL_arg1750z00_4143 =
							BGL_CLASS_NUM(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1228z00_4142), BgL_arg1750z00_4143);
					}
					BgL_new1229z00_4141 = BgL_new1228z00_4142;
				}
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1229z00_4141))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1114z00_3745)),
					BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(BgL_new1229z00_4141))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1115z00_3746)),
					BUNSPEC);
				return BgL_new1229z00_4141;
			}
		}

	}



/* &lambda1763 */
	obj_t BGl_z62lambda1763z62zz__evaluate_typesz00(obj_t BgL_envz00_3747,
		obj_t BgL_oz00_3748, obj_t BgL_vz00_3749)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3748)))->
					BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3749)), BUNSPEC);
		}

	}



/* &lambda1762 */
	BgL_ev_exprz00_bglt BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3750, obj_t BgL_oz00_3751)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3751)))->BgL_bodyz00);
		}

	}



/* &lambda1758 */
	obj_t BGl_z62lambda1758z62zz__evaluate_typesz00(obj_t BgL_envz00_3752,
		obj_t BgL_oz00_3753, obj_t BgL_vz00_3754)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				((((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
							((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3753)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3754)), BUNSPEC);
		}

	}



/* &lambda1757 */
	BgL_ev_exprz00_bglt BGl_z62lambda1757z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3755, obj_t BgL_oz00_3756)
	{
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) COBJECT(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3756)))->BgL_ez00);
		}

	}



/* &<@anonymous:1732> */
	obj_t BGl_z62zc3z04anonymousza31732ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3757, obj_t BgL_new1112z00_3758)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_auxz00_5173;

				{
					BgL_ev_varz00_bglt BgL_auxz00_5174;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4151;

						BgL_classz00_4151 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1292z00_4152;

							BgL__ortest_1292z00_4152 = BGL_CLASS_NIL(BgL_classz00_4151);
							if (CBOOL(BgL__ortest_1292z00_4152))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5174 =
										((BgL_ev_varz00_bglt) BgL__ortest_1292z00_4152);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5174 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4151));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3758)))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_5174), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5183;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_4153;

						BgL_classz00_4153 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1292z00_4154;

							BgL__ortest_1292z00_4154 = BGL_CLASS_NIL(BgL_classz00_4153);
							if (CBOOL(BgL__ortest_1292z00_4154))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5183 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4154);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_5183 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4153));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
									((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3758)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5183), BUNSPEC);
				}
				BgL_auxz00_5173 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3758);
				return ((obj_t) BgL_auxz00_5173);
			}
		}

	}



/* &lambda1730 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3759)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_4155;

				BgL_new1111z00_4155 =
					((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_bindzd2exitzd2_bgl))));
				{	/* Eval/evaluate_types.scm 83 */
					long BgL_arg1731z00_4156;

					BgL_arg1731z00_4156 =
						BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1111z00_4155), BgL_arg1731z00_4156);
				}
				return BgL_new1111z00_4155;
			}
		}

	}



/* &lambda1727 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3760, obj_t BgL_var1109z00_3761, obj_t BgL_body1110z00_3762)
	{
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_new1227z00_4159;

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1226z00_4160;

					BgL_new1226z00_4160 =
						((BgL_ev_bindzd2exitzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1729z00_4161;

						BgL_arg1729z00_4161 =
							BGL_CLASS_NUM(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1226z00_4160), BgL_arg1729z00_4161);
					}
					BgL_new1227z00_4159 = BgL_new1226z00_4160;
				}
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1227z00_4159))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_var1109z00_3761)),
					BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(BgL_new1227z00_4159))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_body1110z00_3762)),
					BUNSPEC);
				return BgL_new1227z00_4159;
			}
		}

	}



/* &lambda1743 */
	obj_t BGl_z62lambda1743z62zz__evaluate_typesz00(obj_t BgL_envz00_3763,
		obj_t BgL_oz00_3764, obj_t BgL_vz00_3765)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3764)))->BgL_bodyz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3765)), BUNSPEC);
		}

	}



/* &lambda1742 */
	BgL_ev_exprz00_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3766, obj_t BgL_oz00_3767)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3767)))->BgL_bodyz00);
		}

	}



/* &lambda1737 */
	obj_t BGl_z62lambda1737z62zz__evaluate_typesz00(obj_t BgL_envz00_3768,
		obj_t BgL_oz00_3769, obj_t BgL_vz00_3770)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				((((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
							((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3769)))->BgL_varz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3770)), BUNSPEC);
		}

	}



/* &lambda1736 */
	BgL_ev_varz00_bglt BGl_z62lambda1736z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3771, obj_t BgL_oz00_3772)
	{
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) COBJECT(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3772)))->BgL_varz00);
		}

	}



/* &<@anonymous:1721> */
	obj_t BGl_z62zc3z04anonymousza31721ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3773, obj_t BgL_new1107z00_3774)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_auxz00_5216;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5217;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_4169;

						BgL_classz00_4169 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1292z00_4170;

							BgL__ortest_1292z00_4170 = BGL_CLASS_NIL(BgL_classz00_4169);
							if (CBOOL(BgL__ortest_1292z00_4170))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5217 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4170);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_5217 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4169));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3774))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5217), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt)
									((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3774))))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3774))))->BgL_namez00) =
					((obj_t) BGl_symbol2719z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt)
							COBJECT(((BgL_ev_setglobalz00_bglt) ((BgL_ev_defglobalz00_bglt)
										BgL_new1107z00_3774))))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5216 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3774);
				return ((obj_t) BgL_auxz00_5216);
			}
		}

	}



/* &lambda1719 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3775)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1106z00_4171;

				BgL_new1106z00_4171 =
					((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_defglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 82 */
					long BgL_arg1720z00_4172;

					BgL_arg1720z00_4172 =
						BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1106z00_4171), BgL_arg1720z00_4172);
				}
				return BgL_new1106z00_4171;
			}
		}

	}



/* &lambda1717 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1717z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3776, obj_t BgL_e1102z00_3777, obj_t BgL_loc1103z00_3778,
		obj_t BgL_name1104z00_3779, obj_t BgL_mod1105z00_3780)
	{
		{	/* Eval/evaluate_types.scm 82 */
			{	/* Eval/evaluate_types.scm 82 */
				BgL_ev_defglobalz00_bglt BgL_new1224z00_4175;

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1223z00_4176;

					BgL_new1223z00_4176 =
						((BgL_ev_defglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1718z00_4177;

						BgL_arg1718z00_4177 =
							BGL_CLASS_NUM(BGl_ev_defglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1223z00_4176), BgL_arg1718z00_4177);
					}
					BgL_new1224z00_4175 = BgL_new1223z00_4176;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1224z00_4175)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1102z00_3777)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1224z00_4175)))->BgL_locz00) =
					((obj_t) BgL_loc1103z00_3778), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1224z00_4175)))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1104z00_3779)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1224z00_4175)))->BgL_modz00) =
					((obj_t) BgL_mod1105z00_3780), BUNSPEC);
				return BgL_new1224z00_4175;
			}
		}

	}



/* &<@anonymous:1687> */
	obj_t BGl_z62zc3z04anonymousza31687ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3781, obj_t BgL_new1100z00_3782)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_auxz00_5256;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5257;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_4179;

						BgL_classz00_4179 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1292z00_4180;

							BgL__ortest_1292z00_4180 = BGL_CLASS_NIL(BgL_classz00_4179);
							if (CBOOL(BgL__ortest_1292z00_4180))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5257 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4180);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_5257 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4179));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3782))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5257), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) COBJECT(
								((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3782)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3782)))->BgL_namez00) =
					((obj_t) BGl_symbol2719z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(((BgL_ev_setglobalz00_bglt)
									BgL_new1100z00_3782)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5256 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3782);
				return ((obj_t) BgL_auxz00_5256);
			}
		}

	}



/* &lambda1685 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1685z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3783)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1099z00_4181;

				BgL_new1099z00_4181 =
					((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setglobalz00_bgl))));
				{	/* Eval/evaluate_types.scm 78 */
					long BgL_arg1686z00_4182;

					BgL_arg1686z00_4182 =
						BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1099z00_4181), BgL_arg1686z00_4182);
				}
				return BgL_new1099z00_4181;
			}
		}

	}



/* &lambda1682 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3784, obj_t BgL_e1095z00_3785, obj_t BgL_loc1096z00_3786,
		obj_t BgL_name1097z00_3787, obj_t BgL_mod1098z00_3788)
	{
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_new1222z00_4185;

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1221z00_4186;

					BgL_new1221z00_4186 =
						((BgL_ev_setglobalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1684z00_4187;

						BgL_arg1684z00_4187 =
							BGL_CLASS_NUM(BGl_ev_setglobalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1221z00_4186), BgL_arg1684z00_4187);
					}
					BgL_new1222z00_4185 = BgL_new1221z00_4186;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1222z00_4185)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1095z00_3785)),
					BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4185))->
						BgL_locz00) = ((obj_t) BgL_loc1096z00_3786), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4185))->
						BgL_namez00) = ((obj_t) ((obj_t) BgL_name1097z00_3787)), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) COBJECT(BgL_new1222z00_4185))->
						BgL_modz00) = ((obj_t) BgL_mod1098z00_3788), BUNSPEC);
				return BgL_new1222z00_4185;
			}
		}

	}



/* &lambda1710 */
	obj_t BGl_z62lambda1710z62zz__evaluate_typesz00(obj_t BgL_envz00_3789,
		obj_t BgL_oz00_3790, obj_t BgL_vz00_3791)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3790)))->BgL_modz00) =
				((obj_t) BgL_vz00_3791), BUNSPEC);
		}

	}



/* &lambda1709 */
	obj_t BGl_z62lambda1709z62zz__evaluate_typesz00(obj_t BgL_envz00_3792,
		obj_t BgL_oz00_3793)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3793)))->BgL_modz00);
		}

	}



/* &lambda1705 */
	obj_t BGl_z62lambda1705z62zz__evaluate_typesz00(obj_t BgL_envz00_3794,
		obj_t BgL_oz00_3795, obj_t BgL_vz00_3796)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3795)))->BgL_namez00) =
				((obj_t) ((obj_t) BgL_vz00_3796)), BUNSPEC);
		}

	}



/* &lambda1704 */
	obj_t BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t BgL_envz00_3797,
		obj_t BgL_oz00_3798)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3798)))->BgL_namez00);
		}

	}



/* &lambda1695 */
	obj_t BGl_z62lambda1695z62zz__evaluate_typesz00(obj_t BgL_envz00_3799,
		obj_t BgL_oz00_3800, obj_t BgL_vz00_3801)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				((((BgL_ev_setglobalz00_bglt) COBJECT(
							((BgL_ev_setglobalz00_bglt) BgL_oz00_3800)))->BgL_locz00) =
				((obj_t) BgL_vz00_3801), BUNSPEC);
		}

	}



/* &lambda1694 */
	obj_t BGl_z62lambda1694z62zz__evaluate_typesz00(obj_t BgL_envz00_3802,
		obj_t BgL_oz00_3803)
	{
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) COBJECT(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3803)))->BgL_locz00);
		}

	}



/* &<@anonymous:1662> */
	obj_t BGl_z62zc3z04anonymousza31662ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3804, obj_t BgL_new1093z00_3805)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_auxz00_5303;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5304;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4196;

						BgL_classz00_4196 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1292z00_4197;

							BgL__ortest_1292z00_4197 = BGL_CLASS_NIL(BgL_classz00_4196);
							if (CBOOL(BgL__ortest_1292z00_4197))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5304 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4197);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5304 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4196));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3805))))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5304), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_5314;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_4198;

						BgL_classz00_4198 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1292z00_4199;

							BgL__ortest_1292z00_4199 = BGL_CLASS_NIL(BgL_classz00_4198);
							if (CBOOL(BgL__ortest_1292z00_4199))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5314 =
										((BgL_ev_varz00_bglt) BgL__ortest_1292z00_4199);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_5314 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4198));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) COBJECT(
									((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3805)))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_5314), BUNSPEC);
				}
				BgL_auxz00_5303 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3805);
				return ((obj_t) BgL_auxz00_5303);
			}
		}

	}



/* &lambda1659 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1659z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3806)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1092z00_4200;

				BgL_new1092z00_4200 =
					((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_setlocalz00_bgl))));
				{	/* Eval/evaluate_types.scm 76 */
					long BgL_arg1661z00_4201;

					BgL_arg1661z00_4201 =
						BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1092z00_4200), BgL_arg1661z00_4201);
				}
				return BgL_new1092z00_4200;
			}
		}

	}



/* &lambda1657 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3807, obj_t BgL_e1090z00_3808, obj_t BgL_v1091z00_3809)
	{
		{	/* Eval/evaluate_types.scm 76 */
			{	/* Eval/evaluate_types.scm 76 */
				BgL_ev_setlocalz00_bglt BgL_new1220z00_4204;

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1219z00_4205;

					BgL_new1219z00_4205 =
						((BgL_ev_setlocalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1658z00_4206;

						BgL_arg1658z00_4206 =
							BGL_CLASS_NUM(BGl_ev_setlocalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1219z00_4205), BgL_arg1658z00_4206);
					}
					BgL_new1220z00_4204 = BgL_new1219z00_4205;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1220z00_4204)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1090z00_3808)),
					BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) COBJECT(BgL_new1220z00_4204))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_v1091z00_3809)),
					BUNSPEC);
				return BgL_new1220z00_4204;
			}
		}

	}



/* &lambda1671 */
	obj_t BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t BgL_envz00_3810,
		obj_t BgL_oz00_3811, obj_t BgL_vz00_3812)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				((((BgL_ev_setlocalz00_bglt) COBJECT(
							((BgL_ev_setlocalz00_bglt) BgL_oz00_3811)))->BgL_vz00) =
				((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_vz00_3812)), BUNSPEC);
		}

	}



/* &lambda1670 */
	BgL_ev_varz00_bglt BGl_z62lambda1670z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3813, obj_t BgL_oz00_3814)
	{
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) COBJECT(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3814)))->BgL_vz00);
		}

	}



/* &<@anonymous:1645> */
	obj_t BGl_z62zc3z04anonymousza31645ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3815, obj_t BgL_new1088z00_3816)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_auxz00_5343;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5344;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_4211;

						BgL_classz00_4211 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1292z00_4212;

							BgL__ortest_1292z00_4212 = BGL_CLASS_NIL(BgL_classz00_4211);
							if (CBOOL(BgL__ortest_1292z00_4212))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5344 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4212);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_5344 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4211));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt)
										((BgL_ev_trapz00_bglt) BgL_new1088z00_3816))))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5344), BUNSPEC);
				}
				BgL_auxz00_5343 = ((BgL_ev_trapz00_bglt) BgL_new1088z00_3816);
				return ((obj_t) BgL_auxz00_5343);
			}
		}

	}



/* &lambda1643 */
	BgL_ev_trapz00_bglt BGl_z62lambda1643z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3817)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1087z00_4213;

				BgL_new1087z00_4213 =
					((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_trapz00_bgl))));
				{	/* Eval/evaluate_types.scm 75 */
					long BgL_arg1644z00_4214;

					BgL_arg1644z00_4214 =
						BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1087z00_4213), BgL_arg1644z00_4214);
				}
				return BgL_new1087z00_4213;
			}
		}

	}



/* &lambda1640 */
	BgL_ev_trapz00_bglt BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3818, obj_t BgL_e1086z00_3819)
	{
		{	/* Eval/evaluate_types.scm 75 */
			{	/* Eval/evaluate_types.scm 75 */
				BgL_ev_trapz00_bglt BgL_new1218z00_4216;

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1217z00_4217;

					BgL_new1217z00_4217 =
						((BgL_ev_trapz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1642z00_4218;

						BgL_arg1642z00_4218 =
							BGL_CLASS_NUM(BGl_ev_trapz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1217z00_4217), BgL_arg1642z00_4218);
					}
					BgL_new1218z00_4216 = BgL_new1217z00_4217;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(
								((BgL_ev_hookz00_bglt) BgL_new1218z00_4216)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1086z00_3819)),
					BUNSPEC);
				return BgL_new1218z00_4216;
			}
		}

	}



/* &<@anonymous:1628> */
	obj_t BGl_z62zc3z04anonymousza31628ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3820, obj_t BgL_new1084z00_3821)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_auxz00_5367;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5368;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_4220;

						BgL_classz00_4220 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1292z00_4221;

							BgL__ortest_1292z00_4221 = BGL_CLASS_NIL(BgL_classz00_4220);
							if (CBOOL(BgL__ortest_1292z00_4221))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5368 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4221);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_5368 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4220));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) COBJECT(
									((BgL_ev_hookz00_bglt) BgL_new1084z00_3821)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5368), BUNSPEC);
				}
				BgL_auxz00_5367 = ((BgL_ev_hookz00_bglt) BgL_new1084z00_3821);
				return ((obj_t) BgL_auxz00_5367);
			}
		}

	}



/* &lambda1626 */
	BgL_ev_hookz00_bglt BGl_z62lambda1626z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3822)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1083z00_4222;

				BgL_new1083z00_4222 =
					((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_hookz00_bgl))));
				{	/* Eval/evaluate_types.scm 73 */
					long BgL_arg1627z00_4223;

					BgL_arg1627z00_4223 =
						BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1083z00_4222), BgL_arg1627z00_4223);
				}
				return BgL_new1083z00_4222;
			}
		}

	}



/* &lambda1624 */
	BgL_ev_hookz00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3823, obj_t BgL_e1082z00_3824)
	{
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_new1216z00_4225;

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1215z00_4226;

					BgL_new1215z00_4226 =
						((BgL_ev_hookz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1625z00_4227;

						BgL_arg1625z00_4227 =
							BGL_CLASS_NUM(BGl_ev_hookz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1215z00_4226), BgL_arg1625z00_4227);
					}
					BgL_new1216z00_4225 = BgL_new1215z00_4226;
				}
				((((BgL_ev_hookz00_bglt) COBJECT(BgL_new1216z00_4225))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1082z00_3824)),
					BUNSPEC);
				return BgL_new1216z00_4225;
			}
		}

	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3825,
		obj_t BgL_oz00_3826, obj_t BgL_vz00_3827)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				((((BgL_ev_hookz00_bglt) COBJECT(
							((BgL_ev_hookz00_bglt) BgL_oz00_3826)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3827)), BUNSPEC);
		}

	}



/* &lambda1633 */
	BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3828, obj_t BgL_oz00_3829)
	{
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) COBJECT(
						((BgL_ev_hookz00_bglt) BgL_oz00_3829)))->BgL_ez00);
		}

	}



/* &<@anonymous:1608> */
	obj_t BGl_z62zc3z04anonymousza31608ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3830, obj_t BgL_new1080z00_3831)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_auxz00_5394;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5395;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4232;

						BgL_classz00_4232 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1292z00_4233;

							BgL__ortest_1292z00_4233 = BGL_CLASS_NIL(BgL_classz00_4232);
							if (CBOOL(BgL__ortest_1292z00_4233))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5395 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4233);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5395 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4232));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3831)))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5395), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5404;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_4234;

						BgL_classz00_4234 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1292z00_4235;

							BgL__ortest_1292z00_4235 = BGL_CLASS_NIL(BgL_classz00_4234);
							if (CBOOL(BgL__ortest_1292z00_4235))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5404 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4235);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5404 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4234));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) COBJECT(
									((BgL_ev_prog2z00_bglt) BgL_new1080z00_3831)))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5404), BUNSPEC);
				}
				BgL_auxz00_5394 = ((BgL_ev_prog2z00_bglt) BgL_new1080z00_3831);
				return ((obj_t) BgL_auxz00_5394);
			}
		}

	}



/* &lambda1606 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3832)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1079z00_4236;

				BgL_new1079z00_4236 =
					((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_prog2z00_bgl))));
				{	/* Eval/evaluate_types.scm 70 */
					long BgL_arg1607z00_4237;

					BgL_arg1607z00_4237 =
						BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1079z00_4236), BgL_arg1607z00_4237);
				}
				return BgL_new1079z00_4236;
			}
		}

	}



/* &lambda1604 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1604z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3833, obj_t BgL_e11077z00_3834, obj_t BgL_e21078z00_3835)
	{
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_new1214z00_4240;

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1213z00_4241;

					BgL_new1213z00_4241 =
						((BgL_ev_prog2z00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1605z00_4242;

						BgL_arg1605z00_4242 =
							BGL_CLASS_NUM(BGl_ev_prog2z00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1213z00_4241), BgL_arg1605z00_4242);
					}
					BgL_new1214z00_4240 = BgL_new1213z00_4241;
				}
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1214z00_4240))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e11077z00_3834)),
					BUNSPEC);
				((((BgL_ev_prog2z00_bglt) COBJECT(BgL_new1214z00_4240))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e21078z00_3835)),
					BUNSPEC);
				return BgL_new1214z00_4240;
			}
		}

	}



/* &lambda1618 */
	obj_t BGl_z62lambda1618z62zz__evaluate_typesz00(obj_t BgL_envz00_3836,
		obj_t BgL_oz00_3837, obj_t BgL_vz00_3838)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3837)))->BgL_e2z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3838)), BUNSPEC);
		}

	}



/* &lambda1617 */
	BgL_ev_exprz00_bglt BGl_z62lambda1617z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3839, obj_t BgL_oz00_3840)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3840)))->BgL_e2z00);
		}

	}



/* &lambda1613 */
	obj_t BGl_z62lambda1613z62zz__evaluate_typesz00(obj_t BgL_envz00_3841,
		obj_t BgL_oz00_3842, obj_t BgL_vz00_3843)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				((((BgL_ev_prog2z00_bglt) COBJECT(
							((BgL_ev_prog2z00_bglt) BgL_oz00_3842)))->BgL_e1z00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3843)), BUNSPEC);
		}

	}



/* &lambda1612 */
	BgL_ev_exprz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3844, obj_t BgL_oz00_3845)
	{
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) COBJECT(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3845)))->BgL_e1z00);
		}

	}



/* &<@anonymous:1596> */
	obj_t BGl_z62zc3z04anonymousza31596ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3846, obj_t BgL_new1075z00_3847)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_auxz00_5437;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_andz00_bglt) BgL_new1075z00_3847))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5437 = ((BgL_ev_andz00_bglt) BgL_new1075z00_3847);
				return ((obj_t) BgL_auxz00_5437);
			}
		}

	}



/* &lambda1592 */
	BgL_ev_andz00_bglt BGl_z62lambda1592z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3848)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1074z00_4250;

				BgL_new1074z00_4250 =
					((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_andz00_bgl))));
				{	/* Eval/evaluate_types.scm 69 */
					long BgL_arg1595z00_4251;

					BgL_arg1595z00_4251 =
						BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1074z00_4250), BgL_arg1595z00_4251);
				}
				return BgL_new1074z00_4250;
			}
		}

	}



/* &lambda1590 */
	BgL_ev_andz00_bglt BGl_z62lambda1590z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3849, obj_t BgL_args1073z00_3850)
	{
		{	/* Eval/evaluate_types.scm 69 */
			{	/* Eval/evaluate_types.scm 69 */
				BgL_ev_andz00_bglt BgL_new1212z00_4252;

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1211z00_4253;

					BgL_new1211z00_4253 =
						((BgL_ev_andz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1591z00_4254;

						BgL_arg1591z00_4254 =
							BGL_CLASS_NUM(BGl_ev_andz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1211z00_4253), BgL_arg1591z00_4254);
					}
					BgL_new1212z00_4252 = BgL_new1211z00_4253;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1212z00_4252)))->BgL_argsz00) =
					((obj_t) BgL_args1073z00_3850), BUNSPEC);
				return BgL_new1212z00_4252;
			}
		}

	}



/* &<@anonymous:1582> */
	obj_t BGl_z62zc3z04anonymousza31582ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3851, obj_t BgL_new1071z00_3852)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_auxz00_5453;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt)
									((BgL_ev_orz00_bglt) BgL_new1071z00_3852))))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5453 = ((BgL_ev_orz00_bglt) BgL_new1071z00_3852);
				return ((obj_t) BgL_auxz00_5453);
			}
		}

	}



/* &lambda1579 */
	BgL_ev_orz00_bglt BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3853)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1070z00_4256;

				BgL_new1070z00_4256 =
					((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_orz00_bgl))));
				{	/* Eval/evaluate_types.scm 68 */
					long BgL_arg1581z00_4257;

					BgL_arg1581z00_4257 =
						BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1070z00_4256), BgL_arg1581z00_4257);
				}
				return BgL_new1070z00_4256;
			}
		}

	}



/* &lambda1577 */
	BgL_ev_orz00_bglt BGl_z62lambda1577z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3854, obj_t BgL_args1069z00_3855)
	{
		{	/* Eval/evaluate_types.scm 68 */
			{	/* Eval/evaluate_types.scm 68 */
				BgL_ev_orz00_bglt BgL_new1210z00_4258;

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1209z00_4259;

					BgL_new1209z00_4259 =
						((BgL_ev_orz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1578z00_4260;

						BgL_arg1578z00_4260 =
							BGL_CLASS_NUM(BGl_ev_orz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1209z00_4259), BgL_arg1578z00_4260);
					}
					BgL_new1210z00_4258 = BgL_new1209z00_4259;
				}
				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1210z00_4258)))->BgL_argsz00) =
					((obj_t) BgL_args1069z00_3855), BUNSPEC);
				return BgL_new1210z00_4258;
			}
		}

	}



/* &<@anonymous:1558> */
	obj_t BGl_z62zc3z04anonymousza31558ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3856, obj_t BgL_new1067z00_3857)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_auxz00_5469;

				((((BgL_ev_listz00_bglt) COBJECT(
								((BgL_ev_listz00_bglt) BgL_new1067z00_3857)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5469 = ((BgL_ev_listz00_bglt) BgL_new1067z00_3857);
				return ((obj_t) BgL_auxz00_5469);
			}
		}

	}



/* &lambda1556 */
	BgL_ev_listz00_bglt BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3858)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1066z00_4262;

				BgL_new1066z00_4262 =
					((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_listz00_bgl))));
				{	/* Eval/evaluate_types.scm 66 */
					long BgL_arg1557z00_4263;

					BgL_arg1557z00_4263 =
						BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1066z00_4262), BgL_arg1557z00_4263);
				}
				return BgL_new1066z00_4262;
			}
		}

	}



/* &lambda1554 */
	BgL_ev_listz00_bglt BGl_z62lambda1554z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3859, obj_t BgL_args1065z00_3860)
	{
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_new1208z00_4264;

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1207z00_4265;

					BgL_new1207z00_4265 =
						((BgL_ev_listz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1555z00_4266;

						BgL_arg1555z00_4266 =
							BGL_CLASS_NUM(BGl_ev_listz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1207z00_4265), BgL_arg1555z00_4266);
					}
					BgL_new1208z00_4264 = BgL_new1207z00_4265;
				}
				((((BgL_ev_listz00_bglt) COBJECT(BgL_new1208z00_4264))->BgL_argsz00) =
					((obj_t) BgL_args1065z00_3860), BUNSPEC);
				return BgL_new1208z00_4264;
			}
		}

	}



/* &lambda1565 */
	obj_t BGl_z62lambda1565z62zz__evaluate_typesz00(obj_t BgL_envz00_3861,
		obj_t BgL_oz00_3862, obj_t BgL_vz00_3863)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				((((BgL_ev_listz00_bglt) COBJECT(
							((BgL_ev_listz00_bglt) BgL_oz00_3862)))->BgL_argsz00) =
				((obj_t) BgL_vz00_3863), BUNSPEC);
		}

	}



/* &lambda1564 */
	obj_t BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t BgL_envz00_3864,
		obj_t BgL_oz00_3865)
	{
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) COBJECT(
						((BgL_ev_listz00_bglt) BgL_oz00_3865)))->BgL_argsz00);
		}

	}



/* &<@anonymous:1524> */
	obj_t BGl_z62zc3z04anonymousza31524ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3866, obj_t BgL_new1063z00_3867)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_auxz00_5487;

				{
					BgL_ev_exprz00_bglt BgL_auxz00_5488;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4270;

						BgL_classz00_4270 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1292z00_4271;

							BgL__ortest_1292z00_4271 = BGL_CLASS_NIL(BgL_classz00_4270);
							if (CBOOL(BgL__ortest_1292z00_4271))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5488 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4271);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5488 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4270));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3867)))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5488), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5497;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4272;

						BgL_classz00_4272 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1292z00_4273;

							BgL__ortest_1292z00_4273 = BGL_CLASS_NIL(BgL_classz00_4272);
							if (CBOOL(BgL__ortest_1292z00_4273))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5497 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4273);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5497 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4272));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3867)))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5497), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5506;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_4274;

						BgL_classz00_4274 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1292z00_4275;

							BgL__ortest_1292z00_4275 = BGL_CLASS_NIL(BgL_classz00_4274);
							if (CBOOL(BgL__ortest_1292z00_4275))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5506 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1292z00_4275);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5506 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_4274));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) COBJECT(
									((BgL_ev_ifz00_bglt) BgL_new1063z00_3867)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5506), BUNSPEC);
				}
				BgL_auxz00_5487 = ((BgL_ev_ifz00_bglt) BgL_new1063z00_3867);
				return ((obj_t) BgL_auxz00_5487);
			}
		}

	}



/* &lambda1522 */
	BgL_ev_ifz00_bglt BGl_z62lambda1522z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3868)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1062z00_4276;

				BgL_new1062z00_4276 =
					((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_ifz00_bgl))));
				{	/* Eval/evaluate_types.scm 62 */
					long BgL_arg1523z00_4277;

					BgL_arg1523z00_4277 =
						BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1062z00_4276), BgL_arg1523z00_4277);
				}
				return BgL_new1062z00_4276;
			}
		}

	}



/* &lambda1520 */
	BgL_ev_ifz00_bglt BGl_z62lambda1520z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3869, obj_t BgL_p1059z00_3870, obj_t BgL_t1060z00_3871,
		obj_t BgL_e1061z00_3872)
	{
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_new1206z00_4281;

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1205z00_4282;

					BgL_new1205z00_4282 =
						((BgL_ev_ifz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1521z00_4283;

						BgL_arg1521z00_4283 =
							BGL_CLASS_NUM(BGl_ev_ifz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1205z00_4282), BgL_arg1521z00_4283);
					}
					BgL_new1206z00_4281 = BgL_new1205z00_4282;
				}
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4281))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_p1059z00_3870)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4281))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_t1060z00_3871)),
					BUNSPEC);
				((((BgL_ev_ifz00_bglt) COBJECT(BgL_new1206z00_4281))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_e1061z00_3872)),
					BUNSPEC);
				return BgL_new1206z00_4281;
			}
		}

	}



/* &lambda1546 */
	obj_t BGl_z62lambda1546z62zz__evaluate_typesz00(obj_t BgL_envz00_3873,
		obj_t BgL_oz00_3874, obj_t BgL_vz00_3875)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3874)))->BgL_ez00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3875)), BUNSPEC);
		}

	}



/* &lambda1545 */
	BgL_ev_exprz00_bglt BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3876, obj_t BgL_oz00_3877)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3877)))->BgL_ez00);
		}

	}



/* &lambda1536 */
	obj_t BGl_z62lambda1536z62zz__evaluate_typesz00(obj_t BgL_envz00_3878,
		obj_t BgL_oz00_3879, obj_t BgL_vz00_3880)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3879)))->BgL_tz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3880)), BUNSPEC);
		}

	}



/* &lambda1535 */
	BgL_ev_exprz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3881, obj_t BgL_oz00_3882)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3882)))->BgL_tz00);
		}

	}



/* &lambda1530 */
	obj_t BGl_z62lambda1530z62zz__evaluate_typesz00(obj_t BgL_envz00_3883,
		obj_t BgL_oz00_3884, obj_t BgL_vz00_3885)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				((((BgL_ev_ifz00_bglt) COBJECT(
							((BgL_ev_ifz00_bglt) BgL_oz00_3884)))->BgL_pz00) =
				((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_vz00_3885)), BUNSPEC);
		}

	}



/* &lambda1529 */
	BgL_ev_exprz00_bglt BGl_z62lambda1529z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3886, obj_t BgL_oz00_3887)
	{
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) COBJECT(
						((BgL_ev_ifz00_bglt) BgL_oz00_3887)))->BgL_pz00);
		}

	}



/* &<@anonymous:1505> */
	obj_t BGl_z62zc3z04anonymousza31505ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3888, obj_t BgL_new1057z00_3889)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_auxz00_5546;

				((((BgL_ev_littz00_bglt) COBJECT(
								((BgL_ev_littz00_bglt) BgL_new1057z00_3889)))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5546 = ((BgL_ev_littz00_bglt) BgL_new1057z00_3889);
				return ((obj_t) BgL_auxz00_5546);
			}
		}

	}



/* &lambda1503 */
	BgL_ev_littz00_bglt BGl_z62lambda1503z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3890)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1056z00_4294;

				BgL_new1056z00_4294 =
					((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_littz00_bgl))));
				{	/* Eval/evaluate_types.scm 60 */
					long BgL_arg1504z00_4295;

					BgL_arg1504z00_4295 =
						BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1056z00_4294), BgL_arg1504z00_4295);
				}
				return BgL_new1056z00_4294;
			}
		}

	}



/* &lambda1501 */
	BgL_ev_littz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3891, obj_t BgL_value1055z00_3892)
	{
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_new1204z00_4296;

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1203z00_4297;

					BgL_new1203z00_4297 =
						((BgL_ev_littz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1502z00_4298;

						BgL_arg1502z00_4298 =
							BGL_CLASS_NUM(BGl_ev_littz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1203z00_4297), BgL_arg1502z00_4298);
					}
					BgL_new1204z00_4296 = BgL_new1203z00_4297;
				}
				((((BgL_ev_littz00_bglt) COBJECT(BgL_new1204z00_4296))->BgL_valuez00) =
					((obj_t) BgL_value1055z00_3892), BUNSPEC);
				return BgL_new1204z00_4296;
			}
		}

	}



/* &lambda1510 */
	obj_t BGl_z62lambda1510z62zz__evaluate_typesz00(obj_t BgL_envz00_3893,
		obj_t BgL_oz00_3894, obj_t BgL_vz00_3895)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				((((BgL_ev_littz00_bglt) COBJECT(
							((BgL_ev_littz00_bglt) BgL_oz00_3894)))->BgL_valuez00) =
				((obj_t) BgL_vz00_3895), BUNSPEC);
		}

	}



/* &lambda1509 */
	obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t BgL_envz00_3896,
		obj_t BgL_oz00_3897)
	{
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) COBJECT(
						((BgL_ev_littz00_bglt) BgL_oz00_3897)))->BgL_valuez00);
		}

	}



/* &<@anonymous:1477> */
	obj_t BGl_z62zc3z04anonymousza31477ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3898, obj_t BgL_new1053z00_3899)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_auxz00_5564;

				((((BgL_ev_globalz00_bglt) COBJECT(
								((BgL_ev_globalz00_bglt) BgL_new1053z00_3899)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3899)))->BgL_namez00) =
					((obj_t) BGl_symbol2719z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(((BgL_ev_globalz00_bglt)
									BgL_new1053z00_3899)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5564 = ((BgL_ev_globalz00_bglt) BgL_new1053z00_3899);
				return ((obj_t) BgL_auxz00_5564);
			}
		}

	}



/* &lambda1475 */
	BgL_ev_globalz00_bglt BGl_z62lambda1475z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3900)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1052z00_4302;

				BgL_new1052z00_4302 =
					((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_globalz00_bgl))));
				{	/* Eval/evaluate_types.scm 55 */
					long BgL_arg1476z00_4303;

					BgL_arg1476z00_4303 =
						BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1052z00_4302), BgL_arg1476z00_4303);
				}
				return BgL_new1052z00_4302;
			}
		}

	}



/* &lambda1473 */
	BgL_ev_globalz00_bglt BGl_z62lambda1473z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3901, obj_t BgL_loc1049z00_3902, obj_t BgL_name1050z00_3903,
		obj_t BgL_mod1051z00_3904)
	{
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_new1202z00_4305;

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1199z00_4306;

					BgL_new1199z00_4306 =
						((BgL_ev_globalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1474z00_4307;

						BgL_arg1474z00_4307 =
							BGL_CLASS_NUM(BGl_ev_globalz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1199z00_4306), BgL_arg1474z00_4307);
					}
					BgL_new1202z00_4305 = BgL_new1199z00_4306;
				}
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1202z00_4305))->BgL_locz00) =
					((obj_t) BgL_loc1049z00_3902), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1202z00_4305))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1050z00_3903)), BUNSPEC);
				((((BgL_ev_globalz00_bglt) COBJECT(BgL_new1202z00_4305))->BgL_modz00) =
					((obj_t) BgL_mod1051z00_3904), BUNSPEC);
				return BgL_new1202z00_4305;
			}
		}

	}



/* &lambda1495 */
	obj_t BGl_z62lambda1495z62zz__evaluate_typesz00(obj_t BgL_envz00_3905,
		obj_t BgL_oz00_3906, obj_t BgL_vz00_3907)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3906)))->BgL_modz00) =
				((obj_t) BgL_vz00_3907), BUNSPEC);
		}

	}



/* &lambda1494 */
	obj_t BGl_z62lambda1494z62zz__evaluate_typesz00(obj_t BgL_envz00_3908,
		obj_t BgL_oz00_3909)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3909)))->BgL_modz00);
		}

	}



/* &lambda1489 */
	obj_t BGl_z62lambda1489z62zz__evaluate_typesz00(obj_t BgL_envz00_3910,
		obj_t BgL_oz00_3911, obj_t BgL_vz00_3912)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3911)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3912)), BUNSPEC);
		}

	}



/* &lambda1488 */
	obj_t BGl_z62lambda1488z62zz__evaluate_typesz00(obj_t BgL_envz00_3913,
		obj_t BgL_oz00_3914)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3914)))->BgL_namez00);
		}

	}



/* &lambda1482 */
	obj_t BGl_z62lambda1482z62zz__evaluate_typesz00(obj_t BgL_envz00_3915,
		obj_t BgL_oz00_3916, obj_t BgL_vz00_3917)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				((((BgL_ev_globalz00_bglt) COBJECT(
							((BgL_ev_globalz00_bglt) BgL_oz00_3916)))->BgL_locz00) =
				((obj_t) BgL_vz00_3917), BUNSPEC);
		}

	}



/* &lambda1481 */
	obj_t BGl_z62lambda1481z62zz__evaluate_typesz00(obj_t BgL_envz00_3918,
		obj_t BgL_oz00_3919)
	{
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) COBJECT(
						((BgL_ev_globalz00_bglt) BgL_oz00_3919)))->BgL_locz00);
		}

	}



/* &<@anonymous:1447> */
	obj_t BGl_z62zc3z04anonymousza31447ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3920, obj_t BgL_new1047z00_3921)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_auxz00_5598;

				((((BgL_ev_varz00_bglt) COBJECT(
								((BgL_ev_varz00_bglt) BgL_new1047z00_3921)))->BgL_namez00) =
					((obj_t) BGl_symbol2719z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3921)))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(((BgL_ev_varz00_bglt)
									BgL_new1047z00_3921)))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				BgL_auxz00_5598 = ((BgL_ev_varz00_bglt) BgL_new1047z00_3921);
				return ((obj_t) BgL_auxz00_5598);
			}
		}

	}



/* &lambda1445 */
	BgL_ev_varz00_bglt BGl_z62lambda1445z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3922)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1046z00_4316;

				BgL_new1046z00_4316 =
					((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_varz00_bgl))));
				{	/* Eval/evaluate_types.scm 51 */
					long BgL_arg1446z00_4317;

					BgL_arg1446z00_4317 =
						BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1046z00_4316), BgL_arg1446z00_4317);
				}
				return BgL_new1046z00_4316;
			}
		}

	}



/* &lambda1443 */
	BgL_ev_varz00_bglt BGl_z62lambda1443z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3923, obj_t BgL_name1043z00_3924, obj_t BgL_eff1044z00_3925,
		obj_t BgL_type1045z00_3926)
	{
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_new1198z00_4319;

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_4320;

					BgL_new1197z00_4320 =
						((BgL_ev_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1444z00_4321;

						BgL_arg1444z00_4321 =
							BGL_CLASS_NUM(BGl_ev_varz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1197z00_4320), BgL_arg1444z00_4321);
					}
					BgL_new1198z00_4319 = BgL_new1197z00_4320;
				}
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4319))->BgL_namez00) =
					((obj_t) ((obj_t) BgL_name1043z00_3924)), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4319))->BgL_effz00) =
					((obj_t) BgL_eff1044z00_3925), BUNSPEC);
				((((BgL_ev_varz00_bglt) COBJECT(BgL_new1198z00_4319))->BgL_typez00) =
					((obj_t) BgL_type1045z00_3926), BUNSPEC);
				return BgL_new1198z00_4319;
			}
		}

	}



/* &lambda1464 */
	obj_t BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t BgL_envz00_3927,
		obj_t BgL_oz00_3928, obj_t BgL_vz00_3929)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3928)))->BgL_typez00) =
				((obj_t) BgL_vz00_3929), BUNSPEC);
		}

	}



/* &lambda1463 */
	obj_t BGl_z62lambda1463z62zz__evaluate_typesz00(obj_t BgL_envz00_3930,
		obj_t BgL_oz00_3931)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3931)))->BgL_typez00);
		}

	}



/* &<@anonymous:1459> */
	obj_t BGl_z62zc3z04anonymousza31459ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3932)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}

	}



/* &lambda1458 */
	obj_t BGl_z62lambda1458z62zz__evaluate_typesz00(obj_t BgL_envz00_3933,
		obj_t BgL_oz00_3934, obj_t BgL_vz00_3935)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3934)))->BgL_effz00) =
				((obj_t) BgL_vz00_3935), BUNSPEC);
		}

	}



/* &lambda1457 */
	obj_t BGl_z62lambda1457z62zz__evaluate_typesz00(obj_t BgL_envz00_3936,
		obj_t BgL_oz00_3937)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3937)))->BgL_effz00);
		}

	}



/* &lambda1452 */
	obj_t BGl_z62lambda1452z62zz__evaluate_typesz00(obj_t BgL_envz00_3938,
		obj_t BgL_oz00_3939, obj_t BgL_vz00_3940)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				((((BgL_ev_varz00_bglt) COBJECT(
							((BgL_ev_varz00_bglt) BgL_oz00_3939)))->BgL_namez00) = ((obj_t)
					((obj_t) BgL_vz00_3940)), BUNSPEC);
		}

	}



/* &lambda1451 */
	obj_t BGl_z62lambda1451z62zz__evaluate_typesz00(obj_t BgL_envz00_3941,
		obj_t BgL_oz00_3942)
	{
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) COBJECT(
						((BgL_ev_varz00_bglt) BgL_oz00_3942)))->BgL_namez00);
		}

	}



/* &<@anonymous:1437> */
	obj_t BGl_z62zc3z04anonymousza31437ze3ze5zz__evaluate_typesz00(obj_t
		BgL_envz00_3943, obj_t BgL_new1041z00_3944)
	{
		{	/* Eval/evaluate_types.scm 49 */
			return ((obj_t) ((BgL_ev_exprz00_bglt) BgL_new1041z00_3944));
		}

	}



/* &lambda1435 */
	BgL_ev_exprz00_bglt BGl_z62lambda1435z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3945)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1040z00_4330;

				BgL_new1040z00_4330 =
					((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_ev_exprz00_bgl))));
				{	/* Eval/evaluate_types.scm 49 */
					long BgL_arg1436z00_4331;

					BgL_arg1436z00_4331 =
						BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt) BgL_new1040z00_4330), BgL_arg1436z00_4331);
				}
				return BgL_new1040z00_4330;
			}
		}

	}



/* &lambda1433 */
	BgL_ev_exprz00_bglt BGl_z62lambda1433z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3946)
	{
		{	/* Eval/evaluate_types.scm 49 */
			{	/* Eval/evaluate_types.scm 49 */
				BgL_ev_exprz00_bglt BgL_new1196z00_4332;

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1195z00_4333;

					BgL_new1195z00_4333 =
						((BgL_ev_exprz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1434z00_4334;

						BgL_arg1434z00_4334 =
							BGL_CLASS_NUM(BGl_ev_exprz00zz__evaluate_typesz00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1195z00_4333), BgL_arg1434z00_4334);
					}
					BgL_new1196z00_4332 = BgL_new1195z00_4333;
				}
				return BgL_new1196z00_4332;
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00(void)
	{
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(121046086L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(536217185L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128218210L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(43287392L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(6519932L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(310000171L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(443936801L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(377164741L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(481261960L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(54297095L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(237870368L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(473309430L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(460262918L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(-44273703L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(228151370L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(496722665L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string2396z00zz__evaluate_typesz00));
		}

	}

#ifdef __cplusplus
}
#endif
