/*===========================================================================*/
/*   (Unsafe/sha2.scm)                                                       */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Unsafe/sha2.scm -indent -o objs/obj_u/Unsafe/sha2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___SHA2_TYPE_DEFINITIONS
#define BGL___SHA2_TYPE_DEFINITIONS
#endif													// BGL___SHA2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha2z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumz00zz__sha2z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__sha2z00(obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t, obj_t);
	static long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static uint32_t BGl_addu32z00zz__sha2z00(uint32_t, uint32_t);
	static obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__sha2z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha2z00(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha2z00(void);
	static obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void);
	static obj_t BGl_objectzd2initzd2zz__sha2z00(void);
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t BGl_makezd2u64vectorzd2zz__srfi4z00(long, uint64_t);
	static obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
	static obj_t BGl_z62zc3z04anonymousza31670ze3ze5zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha2z00(void);
	static obj_t BGl_z62zc3z04anonymousza31671ze3ze5zz__sha2z00(obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t);
	static obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t);
	static obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t, obj_t);
	static uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t);
	static long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t);
	static obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_K256z00zz__sha2z00 = BUNSPEC;
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t);
	static long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	static obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t, long, uint64_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	static uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t);
	static obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t, obj_t);
	static obj_t BGl_K512z00zz__sha2z00 = BUNSPEC;
	static obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t, obj_t, obj_t, obj_t);
	static long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t, obj_t, long,
		obj_t, long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha256sumz00zz__sha2z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2s2405z00,
		BGl_z62sha512sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2p2406z00, BGl_z62sha256sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2f2407z00, BGl_z62sha512sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2400z00zz__sha2z00,
		BgL_bgl_string2400za700za7za7_2408za7, "&sha512sum-file", 15);
	      DEFINE_STRING(BGl_string2401z00zz__sha2z00,
		BgL_bgl_string2401za700za7za7_2409za7, "sha512sum", 9);
	      DEFINE_STRING(BGl_string2402z00zz__sha2z00,
		BgL_bgl_string2402za700za7za7_2410za7, "&hmac-sha256sum-string", 22);
	      DEFINE_STRING(BGl_string2403z00zz__sha2z00,
		BgL_bgl_string2403za700za7za7_2411za7, "&hmac-sha512sum-string", 22);
	      DEFINE_STRING(BGl_string2404z00zz__sha2z00,
		BgL_bgl_string2404za700za7za7_2412za7, "__sha2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2stringzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2s2413z00,
		BGl_z62sha256sumzd2stringzb0zz__sha2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha512sumza762za72414za7, BGl_z62sha512sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2envzd2zz__sha2z00,
		BgL_bgl_za762sha256sumza762za72415za7, BGl_z62sha256sumz62zz__sha2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2portzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2p2416z00, BGl_z62sha512sumzd2portzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2m2417z00, BGl_z62sha256sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2385z00zz__sha2z00,
		BgL_bgl_string2385za700za7za7_2418za7,
		"/tmp/bigloo/runtime/Unsafe/sha2.scm", 35);
	      DEFINE_STRING(BGl_string2386z00zz__sha2z00,
		BgL_bgl_string2386za700za7za7_2419za7, "&sha256sum-mmap", 15);
	      DEFINE_STRING(BGl_string2387z00zz__sha2z00,
		BgL_bgl_string2387za700za7za7_2420za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2389z00zz__sha2z00,
		BgL_bgl_string2389za700za7za7_2421za7, "&sha256sum-string", 17);
	      DEFINE_STRING(BGl_string2390z00zz__sha2z00,
		BgL_bgl_string2390za700za7za7_2422za7, "bstring", 7);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2384z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322423z00,
		BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00);
	      DEFINE_STRING(BGl_string2391z00zz__sha2z00,
		BgL_bgl_string2391za700za7za7_2424za7, "&sha256sum-port", 15);
	      DEFINE_STRING(BGl_string2392z00zz__sha2z00,
		BgL_bgl_string2392za700za7za7_2425za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2393z00zz__sha2z00,
		BgL_bgl_string2393za700za7za7_2426za7, "&sha256sum-file", 15);
	      DEFINE_STRING(BGl_string2394z00zz__sha2z00,
		BgL_bgl_string2394za700za7za7_2427za7, "sha256sum", 9);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2388z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word322428z00,
		BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha512sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha5122429z00,
		BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2395z00zz__sha2z00,
		BgL_bgl_string2395za700za7za7_2430za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2396z00zz__sha2z00,
		BgL_bgl_string2396za700za7za7_2431za7, "&sha512sum-mmap", 15);
	      DEFINE_STRING(BGl_string2398z00zz__sha2z00,
		BgL_bgl_string2398za700za7za7_2432za7, "&sha512sum-string", 17);
	      DEFINE_STRING(BGl_string2399z00zz__sha2z00,
		BgL_bgl_string2399za700za7za7_2433za7, "&sha512sum-port", 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha256sumzd2filezd2envz00zz__sha2z00,
		BgL_bgl_za762sha256sumza7d2f2434z00, BGl_z62sha256sumzd2filezb0zz__sha2z00,
		0L, BUNSPEC, 1);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2397z00zz__sha2z00,
		BgL_bgl_za762fillza7d2word642435z00,
		BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_hmaczd2sha256sumzd2stringzd2envzd2zz__sha2z00,
		BgL_bgl_za762hmacza7d2sha2562436z00,
		BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha512sumzd2mmapzd2envz00zz__sha2z00,
		BgL_bgl_za762sha512sumza7d2m2437z00, BGl_z62sha512sumzd2mmapzb0zz__sha2z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K256z00zz__sha2z00));
		     ADD_ROOT((void *) (&BGl_K512z00zz__sha2z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha2z00(long
		BgL_checksumz00_5340, char *BgL_fromz00_5341)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha2z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha2z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha2z00();
					BGl_importedzd2moduleszd2initz00zz__sha2z00();
					return BGl_toplevelzd2initzd2zz__sha2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			{	/* Unsafe/sha2.scm 339 */
				obj_t BgL_vz00_1361;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1361 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(64L, (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1361, 0L, (uint32_t) (1116352408));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 1L, (uint32_t) (1899447441));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 2L, (uint32_t) (3049323471));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 3L, (uint32_t) (3921009573));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 4L, (uint32_t) (961987163));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 5L, (uint32_t) (1508970993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 6L, (uint32_t) (2453635748));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 7L, (uint32_t) (2870763221));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 8L, (uint32_t) (3624381080));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 9L, (uint32_t) (310598401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 10L, (uint32_t) (607225278));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 11L, (uint32_t) (1426881987));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 12L, (uint32_t) (1925078388));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 13L, (uint32_t) (2162078206));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 14L, (uint32_t) (2614888103));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 15L, (uint32_t) (3248222580));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 16L, (uint32_t) (3835390401));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 17L, (uint32_t) (4022224774));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 18L, (uint32_t) (264347078));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 19L, (uint32_t) (604807628));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 20L, (uint32_t) (770255983));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 21L, (uint32_t) (1249150122));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 22L, (uint32_t) (1555081692));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 23L, (uint32_t) (1996064986));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 24L, (uint32_t) (2554220882));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 25L, (uint32_t) (2821834349));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 26L, (uint32_t) (2952996808));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 27L, (uint32_t) (3210313671));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 28L, (uint32_t) (3336571891));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 29L, (uint32_t) (3584528711));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 30L, (uint32_t) (113926993));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 31L, (uint32_t) (338241895));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 32L, (uint32_t) (666307205));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 33L, (uint32_t) (773529912));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 34L, (uint32_t) (1294757372));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 35L, (uint32_t) (1396182291));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 36L, (uint32_t) (1695183700));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 37L, (uint32_t) (1986661051));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 38L, (uint32_t) (2177026350));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 39L, (uint32_t) (2456956037));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 40L, (uint32_t) (2730485921));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 41L, (uint32_t) (2820302411));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 42L, (uint32_t) (3259730800));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 43L, (uint32_t) (3345764771));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 44L, (uint32_t) (3516065817));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 45L, (uint32_t) (3600352804));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 46L, (uint32_t) (4094571909));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 47L, (uint32_t) (275423344));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 48L, (uint32_t) (430227734));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 49L, (uint32_t) (506948616));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 50L, (uint32_t) (659060556));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 51L, (uint32_t) (883997877));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 52L, (uint32_t) (958139571));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 53L, (uint32_t) (1322822218));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 54L, (uint32_t) (1537002063));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 55L, (uint32_t) (1747873779));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 56L, (uint32_t) (1955562222));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 57L, (uint32_t) (2024104815));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 58L, (uint32_t) (2227730452));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 59L, (uint32_t) (2361852424));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 60L, (uint32_t) (2428436474));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 61L, (uint32_t) (2756734187));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 62L, (uint32_t) (3204031479));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1361, 63L, (uint32_t) (3329325298));
				BUNSPEC;
				BGl_K256z00zz__sha2z00 = BgL_vz00_1361;
			}
			{	/* Unsafe/sha2.scm 440 */
				obj_t BgL_vz00_1364;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1364 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(80L, (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1364, 0L, (uint64_t) (4794697086780616226));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 1L, (uint64_t) (8158064640168781261));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 2L, (uint64_t) (-5349999486874862801));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 3L, (uint64_t) (-1606136188198331460));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 4L, (uint64_t) (4131703408338449720));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 5L, (uint64_t) (6480981068601479193));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 6L, (uint64_t) (-7908458776815382629));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 7L, (uint64_t) (-6116909921290321640));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 8L, (uint64_t) (-2880145864133508542));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 9L, (uint64_t) (1334009975649890238));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 10L, (uint64_t) (2608012711638119052));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 11L, (uint64_t) (6128411473006802146));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 12L, (uint64_t) (8268148722764581231));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 13L, (uint64_t) (-9160688886553864527));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 14L, (uint64_t) (-7215885187991268811));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 15L, (uint64_t) (-4495734319001033068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 16L, (uint64_t) (-1973867731355612462));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 17L, (uint64_t) (-1171420211273849373));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 18L, (uint64_t) (1135362057144423861));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 19L, (uint64_t) (2597628984639134821));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 20L, (uint64_t) (3308224258029322869));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 21L, (uint64_t) (5365058923640841347));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 22L, (uint64_t) (6679025012923562964));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 23L, (uint64_t) (8573033837759648693));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 24L, (uint64_t) (-7476448914759557205));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 25L, (uint64_t) (-6327057829258317296));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 26L, (uint64_t) (-5763719355590565569));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 27L, (uint64_t) (-4658551843659510044));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 28L, (uint64_t) (-4116276920077217854));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 29L, (uint64_t) (-3051310485924567259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 30L, (uint64_t) (489312712824947311));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 31L, (uint64_t) (1452737877330783856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 32L, (uint64_t) (2861767655752347644));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 33L, (uint64_t) (3322285676063803686));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 34L, (uint64_t) (5560940570517711597));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 35L, (uint64_t) (5996557281743188959));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 36L, (uint64_t) (7280758554555802590));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 37L, (uint64_t) (8532644243296465576));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 38L, (uint64_t) (-9096487096722542874));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 39L, (uint64_t) (-7894198246740708037));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 40L, (uint64_t) (-6719396339535248540));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 41L, (uint64_t) (-6333637450476146687));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 42L, (uint64_t) (-4446306890439682159));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 43L, (uint64_t) (-4076793802049405392));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 44L, (uint64_t) (-3345356375505022440));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 45L, (uint64_t) (-2983346525034927856));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 46L, (uint64_t) (-860691631967231958));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 47L, (uint64_t) (1182934255886127544));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 48L, (uint64_t) (1847814050463011016));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 49L, (uint64_t) (2177327727835720531));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 50L, (uint64_t) (2830643537854262169));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 51L, (uint64_t) (3796741975233480872));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 52L, (uint64_t) (4115178125766777443));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 53L, (uint64_t) (5681478168544905931));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 54L, (uint64_t) (6601373596472566643));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 55L, (uint64_t) (7507060721942968483));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 56L, (uint64_t) (8399075790359081724));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 57L, (uint64_t) (8693463985226723168));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 58L, (uint64_t) (-8878714635349349518));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 59L, (uint64_t) (-8302665154208450068));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 60L, (uint64_t) (-8016688836872298968));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 61L, (uint64_t) (-6606660893046293015));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 62L, (uint64_t) (-4685533653050689259));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 63L, (uint64_t) (-4147400797238176981));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 64L, (uint64_t) (-3880063495543823972));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 65L, (uint64_t) (-3348786107499101689));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 66L, (uint64_t) (-1523767162380948706));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 67L, (uint64_t) (-757361751448694408));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 68L, (uint64_t) (500013540394364858));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 69L, (uint64_t) (748580250866718886));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 70L, (uint64_t) (1242879168328830382));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 71L, (uint64_t) (1977374033974150939));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 72L, (uint64_t) (2944078676154940804));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 73L, (uint64_t) (3659926193048069267));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 74L, (uint64_t) (4368137639120453308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 75L, (uint64_t) (4836135668995329356));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 76L, (uint64_t) (5532061633213252278));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 77L, (uint64_t) (6448918945643986474));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 78L, (uint64_t) (6902733635092675308));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1364, 79L, (uint64_t) (7801388544844847127));
				BUNSPEC;
				return (BGl_K512z00zz__sha2z00 = BgL_vz00_1364, BUNSPEC);
			}
		}

	}



/* addu32 */
	uint32_t BGl_addu32z00zz__sha2z00(uint32_t BgL_n1z00_3, uint32_t BgL_n2z00_4)
	{
		{	/* Unsafe/sha2.scm 185 */
			{	/* Unsafe/sha2.scm 186 */
				uint32_t BgL_h1z00_1375;

				BgL_h1z00_1375 = (BgL_n1z00_3 >> (int) (16L));
				{	/* Unsafe/sha2.scm 186 */
					uint32_t BgL_h2z00_1376;

					BgL_h2z00_1376 = (BgL_n2z00_4 >> (int) (16L));
					{	/* Unsafe/sha2.scm 187 */
						uint32_t BgL_hz00_1377;

						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_arg1257z00_1384;
							uint32_t BgL_arg1259z00_1385;

							BgL_arg1257z00_1384 = (uint32_t) (65535L);
							BgL_arg1259z00_1385 = (BgL_h1z00_1375 + BgL_h2z00_1376);
							BgL_hz00_1377 = (BgL_arg1257z00_1384 & BgL_arg1259z00_1385);
						}
						{	/* Unsafe/sha2.scm 188 */
							uint32_t BgL_l1z00_1378;

							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_arg1256z00_1383;

								BgL_arg1256z00_1383 = (uint32_t) (65535L);
								BgL_l1z00_1378 = (BgL_n1z00_3 & BgL_arg1256z00_1383);
							}
							{	/* Unsafe/sha2.scm 189 */
								uint32_t BgL_l2z00_1379;

								{	/* Unsafe/sha2.scm 190 */
									uint32_t BgL_arg1254z00_1382;

									BgL_arg1254z00_1382 = (uint32_t) (65535L);
									BgL_l2z00_1379 = (BgL_n2z00_4 & BgL_arg1254z00_1382);
								}
								{	/* Unsafe/sha2.scm 192 */

									return
										(
										(BgL_hz00_1377 <<
											(int) (16L)) + (BgL_l1z00_1378 + BgL_l2z00_1379));
		}}}}}}}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_9,
		long BgL_offsetz00_10, uint32_t BgL_wz00_11)
	{
		{	/* Unsafe/sha2.scm 236 */
			{	/* Unsafe/sha2.scm 237 */
				obj_t BgL_s1z00_1392;

				{	/* Unsafe/sha2.scm 237 */
					long BgL_arg1292z00_1404;

					{	/* Unsafe/sha2.scm 237 */
						uint32_t BgL_tmpz00_5510;

						BgL_tmpz00_5510 = (BgL_wz00_11 >> (int) (16L));
						BgL_arg1292z00_1404 = (long) (BgL_tmpz00_5510);
					}
					BgL_s1z00_1392 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1292z00_1404, 16L);
				}
				{	/* Unsafe/sha2.scm 237 */
					long BgL_l1z00_1393;

					BgL_l1z00_1393 = STRING_LENGTH(BgL_s1z00_1392);
					{	/* Unsafe/sha2.scm 238 */
						obj_t BgL_s2z00_1394;

						{	/* Unsafe/sha2.scm 239 */
							long BgL_arg1287z00_1401;

							{	/* Unsafe/sha2.scm 239 */
								uint32_t BgL_arg1289z00_1402;

								BgL_arg1289z00_1402 =
									(BgL_wz00_11 & ((uint32_t) (65536) - (uint32_t) (1L)));
								BgL_arg1287z00_1401 = (long) (BgL_arg1289z00_1402);
							}
							BgL_s2z00_1394 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1287z00_1401, 16L);
						}
						{	/* Unsafe/sha2.scm 239 */
							long BgL_l2z00_1395;

							BgL_l2z00_1395 = STRING_LENGTH(BgL_s2z00_1394);
							{	/* Unsafe/sha2.scm 240 */

								blit_string(BgL_s1z00_1392, 0L, BgL_strz00_9,
									(BgL_offsetz00_10 + (4L - BgL_l1z00_1393)), BgL_l1z00_1393);
								return
									blit_string(BgL_s2z00_1394, 0L, BgL_strz00_9,
									(BgL_offsetz00_10 +
										(4L + (4L - BgL_l2z00_1395))), BgL_l2z00_1395);
							}
						}
					}
				}
			}
		}

	}



/* u64-fill! */
	obj_t BGl_u64zd2fillz12zc0zz__sha2z00(obj_t BgL_strz00_12,
		long BgL_offsetz00_13, uint64_t BgL_wz00_14)
	{
		{	/* Unsafe/sha2.scm 247 */
			{	/* Unsafe/sha2.scm 248 */
				obj_t BgL_s1z00_1406;

				{	/* Unsafe/sha2.scm 248 */
					long BgL_arg1360z00_1446;

					{	/* Unsafe/sha2.scm 248 */
						long BgL_arg1361z00_1447;

						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_arg1362z00_1448;

							{	/* Unsafe/sha2.scm 248 */
								uint32_t BgL_arg1363z00_1449;

								{	/* Unsafe/sha2.scm 248 */
									uint64_t BgL_tmpz00_5529;

									BgL_tmpz00_5529 = (BgL_wz00_14 >> (int) (32L));
									BgL_arg1363z00_1449 = (uint32_t) (BgL_tmpz00_5529);
								}
								BgL_arg1362z00_1448 = (BgL_arg1363z00_1449 >> (int) (16L));
							}
							BgL_arg1361z00_1447 = (long) (BgL_arg1362z00_1448);
						}
						{	/* Unsafe/sha2.scm 248 */
							uint32_t BgL_xz00_2985;

							BgL_xz00_2985 = (uint32_t) (BgL_arg1361z00_1447);
							BgL_arg1360z00_1446 = (long) (BgL_xz00_2985);
					}}
					BgL_s1z00_1406 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1360z00_1446, 16L);
				}
				{	/* Unsafe/sha2.scm 248 */
					long BgL_l1z00_1407;

					BgL_l1z00_1407 = STRING_LENGTH(BgL_s1z00_1406);
					{	/* Unsafe/sha2.scm 249 */
						obj_t BgL_s2z00_1408;

						{	/* Unsafe/sha2.scm 250 */
							long BgL_arg1354z00_1440;

							{	/* Unsafe/sha2.scm 250 */
								long BgL_arg1355z00_1441;

								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_arg1356z00_1442;

									{	/* Unsafe/sha2.scm 250 */
										uint32_t BgL_arg1357z00_1443;
										uint32_t BgL_arg1358z00_1444;

										{	/* Unsafe/sha2.scm 250 */
											uint64_t BgL_tmpz00_5540;

											BgL_tmpz00_5540 = (BgL_wz00_14 >> (int) (32L));
											BgL_arg1357z00_1443 = (uint32_t) (BgL_tmpz00_5540);
										}
										BgL_arg1358z00_1444 =
											((uint32_t) (65536) - (uint32_t) (1L));
										BgL_arg1356z00_1442 =
											(BgL_arg1357z00_1443 & BgL_arg1358z00_1444);
									}
									BgL_arg1355z00_1441 = (long) (BgL_arg1356z00_1442);
								}
								{	/* Unsafe/sha2.scm 250 */
									uint32_t BgL_xz00_2994;

									BgL_xz00_2994 = (uint32_t) (BgL_arg1355z00_1441);
									BgL_arg1354z00_1440 = (long) (BgL_xz00_2994);
							}}
							BgL_s2z00_1408 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1354z00_1440, 16L);
						}
						{	/* Unsafe/sha2.scm 250 */
							long BgL_l2z00_1409;

							BgL_l2z00_1409 = STRING_LENGTH(BgL_s2z00_1408);
							{	/* Unsafe/sha2.scm 251 */
								obj_t BgL_s3z00_1410;

								{	/* Unsafe/sha2.scm 252 */
									long BgL_arg1345z00_1433;

									{	/* Unsafe/sha2.scm 252 */
										long BgL_arg1346z00_1434;

										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_arg1347z00_1435;

											{	/* Unsafe/sha2.scm 252 */
												uint32_t BgL_arg1348z00_1436;

												{	/* Unsafe/sha2.scm 252 */
													uint64_t BgL_arg1349z00_1437;

													BgL_arg1349z00_1437 =
														(BgL_wz00_14 &
														(((uint64_t) (1) <<
																(int) (32L)) - (uint64_t) (1L)));
													BgL_arg1348z00_1436 =
														(uint32_t) (BgL_arg1349z00_1437);
												}
												BgL_arg1347z00_1435 =
													(BgL_arg1348z00_1436 >> (int) (16L));
											}
											BgL_arg1346z00_1434 = (long) (BgL_arg1347z00_1435);
										}
										{	/* Unsafe/sha2.scm 252 */
											uint32_t BgL_xz00_3004;

											BgL_xz00_3004 = (uint32_t) (BgL_arg1346z00_1434);
											BgL_arg1345z00_1433 = (long) (BgL_xz00_3004);
									}}
									BgL_s3z00_1410 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1345z00_1433, 16L);
								}
								{	/* Unsafe/sha2.scm 252 */
									long BgL_l3z00_1411;

									BgL_l3z00_1411 = STRING_LENGTH(BgL_s3z00_1410);
									{	/* Unsafe/sha2.scm 253 */
										obj_t BgL_s4z00_1412;

										{	/* Unsafe/sha2.scm 254 */
											long BgL_arg1336z00_1425;

											{	/* Unsafe/sha2.scm 254 */
												long BgL_arg1337z00_1426;

												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_arg1338z00_1427;

													{	/* Unsafe/sha2.scm 254 */
														uint32_t BgL_arg1339z00_1428;
														uint32_t BgL_arg1341z00_1429;

														{	/* Unsafe/sha2.scm 254 */
															uint64_t BgL_arg1342z00_1430;

															BgL_arg1342z00_1430 =
																(BgL_wz00_14 &
																(((uint64_t) (1) <<
																		(int) (32L)) - (uint64_t) (1L)));
															BgL_arg1339z00_1428 =
																(uint32_t) (BgL_arg1342z00_1430);
														}
														BgL_arg1341z00_1429 =
															((uint32_t) (65536) - (uint32_t) (1L));
														BgL_arg1338z00_1427 =
															(BgL_arg1339z00_1428 & BgL_arg1341z00_1429);
													}
													BgL_arg1337z00_1426 = (long) (BgL_arg1338z00_1427);
												}
												{	/* Unsafe/sha2.scm 254 */
													uint32_t BgL_xz00_3017;

													BgL_xz00_3017 = (uint32_t) (BgL_arg1337z00_1426);
													BgL_arg1336z00_1425 = (long) (BgL_xz00_3017);
											}}
											BgL_s4z00_1412 =
												BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
												(BgL_arg1336z00_1425, 16L);
										}
										{	/* Unsafe/sha2.scm 254 */
											long BgL_l4z00_1413;

											BgL_l4z00_1413 = STRING_LENGTH(BgL_s4z00_1412);
											{	/* Unsafe/sha2.scm 255 */

												blit_string(BgL_s1z00_1406, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(4L - BgL_l1z00_1407)), BgL_l1z00_1407);
												blit_string(BgL_s2z00_1408, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(4L + (4L - BgL_l2z00_1409))), BgL_l2z00_1409);
												blit_string(BgL_s3z00_1410, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(8L + (4L - BgL_l3z00_1411))), BgL_l3z00_1411);
												return
													blit_string(BgL_s4z00_1412, 0L, BgL_strz00_12,
													(BgL_offsetz00_13 +
														(12L + (4L - BgL_l4z00_1413))), BgL_l4z00_1413);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* state->string */
	obj_t BGl_statezd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_15)
	{
		{	/* Unsafe/sha2.scm 264 */
			{	/* Unsafe/sha2.scm 265 */
				obj_t BgL_rz00_1451;

				BgL_rz00_1451 = make_string(64L, ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 266 */
					uint32_t BgL_arg1365z00_1452;

					BgL_arg1365z00_1452 = BGL_U32VREF(BgL_statez00_15, 0L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 0L,
						BgL_arg1365z00_1452);
				}
				{	/* Unsafe/sha2.scm 267 */
					uint32_t BgL_arg1366z00_1453;

					BgL_arg1366z00_1453 = BGL_U32VREF(BgL_statez00_15, 1L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 8L,
						BgL_arg1366z00_1453);
				}
				{	/* Unsafe/sha2.scm 268 */
					uint32_t BgL_arg1367z00_1454;

					BgL_arg1367z00_1454 = BGL_U32VREF(BgL_statez00_15, 2L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 16L,
						BgL_arg1367z00_1454);
				}
				{	/* Unsafe/sha2.scm 269 */
					uint32_t BgL_arg1368z00_1455;

					BgL_arg1368z00_1455 = BGL_U32VREF(BgL_statez00_15, 3L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 24L,
						BgL_arg1368z00_1455);
				}
				{	/* Unsafe/sha2.scm 270 */
					uint32_t BgL_arg1369z00_1456;

					BgL_arg1369z00_1456 = BGL_U32VREF(BgL_statez00_15, 4L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 32L,
						BgL_arg1369z00_1456);
				}
				{	/* Unsafe/sha2.scm 271 */
					uint32_t BgL_arg1370z00_1457;

					BgL_arg1370z00_1457 = BGL_U32VREF(BgL_statez00_15, 5L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 40L,
						BgL_arg1370z00_1457);
				}
				{	/* Unsafe/sha2.scm 272 */
					uint32_t BgL_arg1371z00_1458;

					BgL_arg1371z00_1458 = BGL_U32VREF(BgL_statez00_15, 6L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 48L,
						BgL_arg1371z00_1458);
				}
				{	/* Unsafe/sha2.scm 273 */
					uint32_t BgL_arg1372z00_1459;

					BgL_arg1372z00_1459 = BGL_U32VREF(BgL_statez00_15, 7L);
					BGl_u32zd2fillz12zc0zz__sha2z00(BgL_rz00_1451, 56L,
						BgL_arg1372z00_1459);
				}
				return BgL_rz00_1451;
			}
		}

	}



/* state64->string */
	obj_t BGl_state64zd2ze3stringz31zz__sha2z00(obj_t BgL_statez00_16)
	{
		{	/* Unsafe/sha2.scm 279 */
			{	/* Unsafe/sha2.scm 280 */
				obj_t BgL_rz00_1460;

				BgL_rz00_1460 = make_string(128L, ((unsigned char) '0'));
				{	/* Unsafe/sha2.scm 281 */
					uint64_t BgL_arg1373z00_1461;

					BgL_arg1373z00_1461 = BGL_U64VREF(BgL_statez00_16, 0L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 0L,
						BgL_arg1373z00_1461);
				}
				{	/* Unsafe/sha2.scm 282 */
					uint64_t BgL_arg1374z00_1462;

					BgL_arg1374z00_1462 = BGL_U64VREF(BgL_statez00_16, 1L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 16L,
						BgL_arg1374z00_1462);
				}
				{	/* Unsafe/sha2.scm 283 */
					uint64_t BgL_arg1375z00_1463;

					BgL_arg1375z00_1463 = BGL_U64VREF(BgL_statez00_16, 2L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 32L,
						BgL_arg1375z00_1463);
				}
				{	/* Unsafe/sha2.scm 284 */
					uint64_t BgL_arg1376z00_1464;

					BgL_arg1376z00_1464 = BGL_U64VREF(BgL_statez00_16, 3L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 48L,
						BgL_arg1376z00_1464);
				}
				{	/* Unsafe/sha2.scm 285 */
					uint64_t BgL_arg1377z00_1465;

					BgL_arg1377z00_1465 = BGL_U64VREF(BgL_statez00_16, 4L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 64L,
						BgL_arg1377z00_1465);
				}
				{	/* Unsafe/sha2.scm 286 */
					uint64_t BgL_arg1379z00_1466;

					BgL_arg1379z00_1466 = BGL_U64VREF(BgL_statez00_16, 5L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 80L,
						BgL_arg1379z00_1466);
				}
				{	/* Unsafe/sha2.scm 287 */
					uint64_t BgL_arg1382z00_1467;

					BgL_arg1382z00_1467 = BGL_U64VREF(BgL_statez00_16, 6L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 96L,
						BgL_arg1382z00_1467);
				}
				{	/* Unsafe/sha2.scm 288 */
					uint64_t BgL_arg1383z00_1468;

					BgL_arg1383z00_1468 = BGL_U64VREF(BgL_statez00_16, 7L);
					BGl_u64zd2fillz12zc0zz__sha2z00(BgL_rz00_1460, 112L,
						BgL_arg1383z00_1468);
				}
				return BgL_rz00_1460;
			}
		}

	}



/* sha256-initial-hash-value */
	obj_t BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 409 */
			{	/* Unsafe/sha2.scm 410 */
				obj_t BgL_vz00_1469;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1469 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0));
				}
				BGL_U32VSET(BgL_vz00_1469, 0L, (uint32_t) (1779033703));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 1L, (uint32_t) (3144134277));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 2L, (uint32_t) (1013904242));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 3L, (uint32_t) (2773480762));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 4L, (uint32_t) (1359893119));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 5L, (uint32_t) (2600822924));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 6L, (uint32_t) (528734635));
				BUNSPEC;
				BGL_U32VSET(BgL_vz00_1469, 7L, (uint32_t) (1541459225));
				BUNSPEC;
				return BgL_vz00_1469;
			}
		}

	}



/* sha512-initial-hash-value */
	obj_t BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 424 */
			{	/* Unsafe/sha2.scm 425 */
				obj_t BgL_vz00_1472;

				{	/* Llib/srfi4.scm 453 */

					BgL_vz00_1472 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(8L, (uint64_t) (0));
				}
				BGL_U64VSET(BgL_vz00_1472, 0L, (uint64_t) (7640891576956012808));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 1L, (uint64_t) (-4942790177534073029));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 2L, (uint64_t) (4354685564936845355));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 3L, (uint64_t) (-6534734903238641935));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 4L, (uint64_t) (5840696475078001361));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 5L, (uint64_t) (-7276294671716946913));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 6L, (uint64_t) (2270897969802886507));
				BUNSPEC;
				BGL_U64VSET(BgL_vz00_1472, 7L, (uint64_t) (6620516959819538809));
				BUNSPEC;
				return BgL_vz00_1472;
			}
		}

	}



/* Sigma1-256 */
	uint32_t BGl_Sigma1zd2256zd2zz__sha2z00(uint32_t BgL_xz00_19)
	{
		{	/* Unsafe/sha2.scm 539 */
			return
				(
				((BgL_xz00_19 >>
						(int) (6L)) |
					(BgL_xz00_19 <<
						(int) (
							(32L - 6L)))) ^
				(((BgL_xz00_19 >>
							(int) (11L)) |
						(BgL_xz00_19 <<
							(int) (
								(32L - 11L)))) ^
					((BgL_xz00_19 >>
							(int) (25L)) | (BgL_xz00_19 << (int) ((32L - 25L))))));
		}

	}



/* Sigma1-512 */
	uint64_t BGl_Sigma1zd2512zd2zz__sha2z00(uint64_t BgL_xz00_22)
	{
		{	/* Unsafe/sha2.scm 557 */
			return
				(
				((BgL_xz00_22 >>
						(int) (14L)) |
					(BgL_xz00_22 <<
						(int) (
							(64L - 14L)))) ^
				(((BgL_xz00_22 >>
							(int) (18L)) |
						(BgL_xz00_22 <<
							(int) (
								(64L - 18L)))) ^
					((BgL_xz00_22 >>
							(int) (41L)) | (BgL_xz00_22 << (int) ((64L - 41L))))));
		}

	}



/* sha256-internal-transform */
	obj_t BGl_sha256zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_33,
		obj_t BgL_bufferz00_34)
	{
		{	/* Unsafe/sha2.scm 587 */
			{
				obj_t BgL_statez00_1594;
				uint32_t BgL_az00_1595;
				uint32_t BgL_bz00_1596;
				uint32_t BgL_cz00_1597;
				uint32_t BgL_dz00_1598;
				uint32_t BgL_ez00_1599;
				uint32_t BgL_fz00_1600;
				uint32_t BgL_gz00_1601;
				uint32_t BgL_hz00_1602;

				{	/* Unsafe/sha2.scm 622 */
					uint32_t BgL_g1066z00_1512;
					uint32_t BgL_g1067z00_1513;
					uint32_t BgL_g1068z00_1514;
					uint32_t BgL_g1069z00_1515;
					uint32_t BgL_g1070z00_1516;
					uint32_t BgL_g1071z00_1517;
					uint32_t BgL_g1072z00_1518;
					uint32_t BgL_g1073z00_1519;

					BgL_g1066z00_1512 = BGL_U32VREF(BgL_statez00_33, 0L);
					BgL_g1067z00_1513 = BGL_U32VREF(BgL_statez00_33, 1L);
					BgL_g1068z00_1514 = BGL_U32VREF(BgL_statez00_33, 2L);
					BgL_g1069z00_1515 = BGL_U32VREF(BgL_statez00_33, 3L);
					BgL_g1070z00_1516 = BGL_U32VREF(BgL_statez00_33, 4L);
					BgL_g1071z00_1517 = BGL_U32VREF(BgL_statez00_33, 5L);
					BgL_g1072z00_1518 = BGL_U32VREF(BgL_statez00_33, 6L);
					BgL_g1073z00_1519 = BGL_U32VREF(BgL_statez00_33, 7L);
					{
						uint32_t BgL_az00_1521;
						uint32_t BgL_bz00_1522;
						uint32_t BgL_cz00_1523;
						uint32_t BgL_dz00_1524;
						uint32_t BgL_ez00_1525;
						uint32_t BgL_fz00_1526;
						uint32_t BgL_gz00_1527;
						uint32_t BgL_hz00_1528;
						long BgL_jz00_1529;

						BgL_az00_1521 = BgL_g1066z00_1512;
						BgL_bz00_1522 = BgL_g1067z00_1513;
						BgL_cz00_1523 = BgL_g1068z00_1514;
						BgL_dz00_1524 = BgL_g1069z00_1515;
						BgL_ez00_1525 = BgL_g1070z00_1516;
						BgL_fz00_1526 = BgL_g1071z00_1517;
						BgL_gz00_1527 = BgL_g1072z00_1518;
						BgL_hz00_1528 = BgL_g1073z00_1519;
						BgL_jz00_1529 = 0L;
					BgL_zc3z04anonymousza31418ze3z87_1530:
						if ((BgL_jz00_1529 < 16L))
							{	/* Unsafe/sha2.scm 633 */
								uint32_t BgL_wz00_1532;

								BgL_wz00_1532 = BGL_U32VREF(BgL_bufferz00_34, BgL_jz00_1529);
								{	/* Unsafe/sha2.scm 633 */
									uint32_t BgL_t1z00_1533;

									{	/* Unsafe/sha2.scm 596 */
										uint32_t BgL_arg1452z00_3381;

										{	/* Unsafe/sha2.scm 596 */
											uint32_t BgL_arg1453z00_3382;
											uint32_t BgL_arg1454z00_3383;

											BgL_arg1453z00_3382 =
												BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1525);
											{	/* Unsafe/sha2.scm 596 */
												uint32_t BgL_arg1455z00_3384;
												uint32_t BgL_arg1456z00_3385;

												BgL_arg1455z00_3384 =
													(
													(BgL_ez00_1525 & BgL_fz00_1526) ^
													(~(BgL_ez00_1525) & BgL_gz00_1527));
												{	/* Unsafe/sha2.scm 596 */
													uint32_t BgL_arg1457z00_3386;

													BgL_arg1457z00_3386 =
														BGL_U32VREF(BGl_K256z00zz__sha2z00, BgL_jz00_1529);
													BgL_arg1456z00_3385 =
														BGl_addu32z00zz__sha2z00(BgL_arg1457z00_3386,
														BgL_wz00_1532);
												}
												BgL_arg1454z00_3383 =
													BGl_addu32z00zz__sha2z00(BgL_arg1455z00_3384,
													BgL_arg1456z00_3385);
											}
											BgL_arg1452z00_3381 =
												BGl_addu32z00zz__sha2z00(BgL_arg1453z00_3382,
												BgL_arg1454z00_3383);
										}
										BgL_t1z00_1533 =
											BGl_addu32z00zz__sha2z00(BgL_hz00_1528,
											BgL_arg1452z00_3381);
									}
									{	/* Unsafe/sha2.scm 634 */
										uint32_t BgL_t2z00_1534;

										BgL_t2z00_1534 =
											BGl_addu32z00zz__sha2z00(
											(((BgL_az00_1521 >>
														(int) (2L)) |
													(BgL_az00_1521 <<
														(int) (
															(32L - 2L)))) ^
												(((BgL_az00_1521 >>
															(int) (13L)) |
														(BgL_az00_1521 <<
															(int) (
																(32L - 13L)))) ^
													((BgL_az00_1521 >>
															(int) (22L)) |
														(BgL_az00_1521 <<
															(int) (
																(32L - 22L)))))),
											((BgL_az00_1521 & BgL_bz00_1522) ^
												((BgL_az00_1521 & BgL_cz00_1523) ^
													(BgL_bz00_1522 & BgL_cz00_1523))));
										{	/* Unsafe/sha2.scm 635 */

											{
												long BgL_jz00_5743;
												uint32_t BgL_hz00_5742;
												uint32_t BgL_gz00_5741;
												uint32_t BgL_fz00_5740;
												uint32_t BgL_ez00_5738;
												uint32_t BgL_dz00_5737;
												uint32_t BgL_cz00_5736;
												uint32_t BgL_bz00_5735;
												uint32_t BgL_az00_5733;

												BgL_az00_5733 =
													BGl_addu32z00zz__sha2z00(BgL_t1z00_1533,
													BgL_t2z00_1534);
												BgL_bz00_5735 = BgL_az00_1521;
												BgL_cz00_5736 = BgL_bz00_1522;
												BgL_dz00_5737 = BgL_cz00_1523;
												BgL_ez00_5738 =
													BGl_addu32z00zz__sha2z00(BgL_dz00_1524,
													BgL_t1z00_1533);
												BgL_fz00_5740 = BgL_ez00_1525;
												BgL_gz00_5741 = BgL_fz00_1526;
												BgL_hz00_5742 = BgL_gz00_1527;
												BgL_jz00_5743 = (BgL_jz00_1529 + 1L);
												BgL_jz00_1529 = BgL_jz00_5743;
												BgL_hz00_1528 = BgL_hz00_5742;
												BgL_gz00_1527 = BgL_gz00_5741;
												BgL_fz00_1526 = BgL_fz00_5740;
												BgL_ez00_1525 = BgL_ez00_5738;
												BgL_dz00_1524 = BgL_dz00_5737;
												BgL_cz00_1523 = BgL_cz00_5736;
												BgL_bz00_1522 = BgL_bz00_5735;
												BgL_az00_1521 = BgL_az00_5733;
												goto BgL_zc3z04anonymousza31418ze3z87_1530;
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 632 */
								if ((BgL_jz00_1529 < 64L))
									{	/* Unsafe/sha2.scm 638 */
										uint32_t BgL_s0z00_1541;

										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_arg1440z00_1559;

											{	/* Unsafe/sha2.scm 638 */
												long BgL_arg1441z00_1560;

												BgL_arg1441z00_1560 = (BgL_jz00_1529 + 1L);
												{	/* Unsafe/sha2.scm 599 */
													long BgL_tmpz00_5748;

													BgL_tmpz00_5748 = (BgL_arg1441z00_1560 & 15L);
													BgL_arg1440z00_1559 =
														BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5748);
											}}
											BgL_s0z00_1541 =
												(
												((BgL_arg1440z00_1559 >>
														(int) (7L)) |
													(BgL_arg1440z00_1559 <<
														(int) (
															(32L - 7L)))) ^
												(((BgL_arg1440z00_1559 >>
															(int) (18L)) |
														(BgL_arg1440z00_1559 <<
															(int) (
																(32L - 18L)))) ^
													(BgL_arg1440z00_1559 >> (int) (3L))));
										}
										{	/* Unsafe/sha2.scm 638 */
											uint32_t BgL_s1z00_1542;

											{	/* Unsafe/sha2.scm 639 */
												uint32_t BgL_arg1438z00_1557;

												{	/* Unsafe/sha2.scm 639 */
													long BgL_arg1439z00_1558;

													BgL_arg1439z00_1558 = (BgL_jz00_1529 + 14L);
													{	/* Unsafe/sha2.scm 599 */
														long BgL_tmpz00_5768;

														BgL_tmpz00_5768 = (BgL_arg1439z00_1558 & 15L);
														BgL_arg1438z00_1557 =
															BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5768);
												}}
												BgL_s1z00_1542 =
													(
													((BgL_arg1438z00_1557 >>
															(int) (17L)) |
														(BgL_arg1438z00_1557 <<
															(int) (
																(32L - 17L)))) ^
													(((BgL_arg1438z00_1557 >>
																(int) (19L)) |
															(BgL_arg1438z00_1557 <<
																(int) (
																	(32L - 19L)))) ^
														(BgL_arg1438z00_1557 >> (int) (10L))));
											}
											{	/* Unsafe/sha2.scm 639 */
												long BgL_ndxz00_1543;

												BgL_ndxz00_1543 =
													(BgL_jz00_1529 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 640 */
													uint32_t BgL_wz00_1544;

													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_arg1433z00_1552;
														uint32_t BgL_arg1434z00_1553;

														{	/* Unsafe/sha2.scm 599 */
															long BgL_tmpz00_5789;

															BgL_tmpz00_5789 = (BgL_jz00_1529 & 15L);
															BgL_arg1433z00_1552 =
																BGL_U32VREF(BgL_bufferz00_34, BgL_tmpz00_5789);
														}
														{	/* Unsafe/sha2.scm 641 */
															uint32_t BgL_arg1435z00_1554;

															{	/* Unsafe/sha2.scm 641 */
																uint32_t BgL_arg1436z00_1555;

																{	/* Unsafe/sha2.scm 641 */
																	long BgL_arg1437z00_1556;

																	BgL_arg1437z00_1556 = (BgL_jz00_1529 + 9L);
																	{	/* Unsafe/sha2.scm 599 */
																		long BgL_tmpz00_5793;

																		BgL_tmpz00_5793 =
																			(BgL_arg1437z00_1556 & 15L);
																		BgL_arg1436z00_1555 =
																			BGL_U32VREF(BgL_bufferz00_34,
																			BgL_tmpz00_5793);
																}}
																BgL_arg1435z00_1554 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1436z00_1555,
																	BgL_s0z00_1541);
															}
															BgL_arg1434z00_1553 =
																BGl_addu32z00zz__sha2z00(BgL_s1z00_1542,
																BgL_arg1435z00_1554);
														}
														BgL_wz00_1544 =
															BGl_addu32z00zz__sha2z00(BgL_arg1433z00_1552,
															BgL_arg1434z00_1553);
													}
													{	/* Unsafe/sha2.scm 641 */
														uint32_t BgL_t1z00_1545;

														{	/* Unsafe/sha2.scm 596 */
															uint32_t BgL_arg1452z00_3533;

															{	/* Unsafe/sha2.scm 596 */
																uint32_t BgL_arg1453z00_3534;
																uint32_t BgL_arg1454z00_3535;

																BgL_arg1453z00_3534 =
																	BGl_Sigma1zd2256zd2zz__sha2z00(BgL_ez00_1525);
																{	/* Unsafe/sha2.scm 596 */
																	uint32_t BgL_arg1455z00_3536;
																	uint32_t BgL_arg1456z00_3537;

																	BgL_arg1455z00_3536 =
																		(
																		(BgL_ez00_1525 & BgL_fz00_1526) ^
																		(~(BgL_ez00_1525) & BgL_gz00_1527));
																	{	/* Unsafe/sha2.scm 596 */
																		uint32_t BgL_arg1457z00_3538;

																		BgL_arg1457z00_3538 =
																			BGL_U32VREF(BGl_K256z00zz__sha2z00,
																			BgL_jz00_1529);
																		BgL_arg1456z00_3537 =
																			BGl_addu32z00zz__sha2z00
																			(BgL_arg1457z00_3538, BgL_wz00_1544);
																	}
																	BgL_arg1454z00_3535 =
																		BGl_addu32z00zz__sha2z00
																		(BgL_arg1455z00_3536, BgL_arg1456z00_3537);
																}
																BgL_arg1452z00_3533 =
																	BGl_addu32z00zz__sha2z00(BgL_arg1453z00_3534,
																	BgL_arg1454z00_3535);
															}
															BgL_t1z00_1545 =
																BGl_addu32z00zz__sha2z00(BgL_hz00_1528,
																BgL_arg1452z00_3533);
														}
														{	/* Unsafe/sha2.scm 642 */
															uint32_t BgL_t2z00_1546;

															BgL_t2z00_1546 =
																BGl_addu32z00zz__sha2z00(
																(((BgL_az00_1521 >>
																			(int) (2L)) |
																		(BgL_az00_1521 <<
																			(int) (
																				(32L - 2L)))) ^
																	(((BgL_az00_1521 >>
																				(int) (13L)) |
																			(BgL_az00_1521 <<
																				(int) (
																					(32L - 13L)))) ^
																		((BgL_az00_1521 >>
																				(int) (22L)) |
																			(BgL_az00_1521 <<
																				(int) (
																					(32L - 22L)))))),
																((BgL_az00_1521 & BgL_bz00_1522) ^
																	((BgL_az00_1521 & BgL_cz00_1523) ^
																		(BgL_bz00_1522 & BgL_cz00_1523))));
															{	/* Unsafe/sha2.scm 643 */

																BGL_U32VSET(BgL_bufferz00_34, BgL_ndxz00_1543,
																	BgL_wz00_1544);
																BUNSPEC;
																{
																	long BgL_jz00_5846;
																	uint32_t BgL_hz00_5845;
																	uint32_t BgL_gz00_5844;
																	uint32_t BgL_fz00_5843;
																	uint32_t BgL_ez00_5841;
																	uint32_t BgL_dz00_5840;
																	uint32_t BgL_cz00_5839;
																	uint32_t BgL_bz00_5838;
																	uint32_t BgL_az00_5836;

																	BgL_az00_5836 =
																		BGl_addu32z00zz__sha2z00(BgL_t1z00_1545,
																		BgL_t2z00_1546);
																	BgL_bz00_5838 = BgL_az00_1521;
																	BgL_cz00_5839 = BgL_bz00_1522;
																	BgL_dz00_5840 = BgL_cz00_1523;
																	BgL_ez00_5841 =
																		BGl_addu32z00zz__sha2z00(BgL_dz00_1524,
																		BgL_t1z00_1545);
																	BgL_fz00_5843 = BgL_ez00_1525;
																	BgL_gz00_5844 = BgL_fz00_1526;
																	BgL_hz00_5845 = BgL_gz00_1527;
																	BgL_jz00_5846 = (BgL_jz00_1529 + 1L);
																	BgL_jz00_1529 = BgL_jz00_5846;
																	BgL_hz00_1528 = BgL_hz00_5845;
																	BgL_gz00_1527 = BgL_gz00_5844;
																	BgL_fz00_1526 = BgL_fz00_5843;
																	BgL_ez00_1525 = BgL_ez00_5841;
																	BgL_dz00_1524 = BgL_dz00_5840;
																	BgL_cz00_1523 = BgL_cz00_5839;
																	BgL_bz00_1522 = BgL_bz00_5838;
																	BgL_az00_1521 = BgL_az00_5836;
																	goto BgL_zc3z04anonymousza31418ze3z87_1530;
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 637 */
										BgL_statez00_1594 = BgL_statez00_33;
										BgL_az00_1595 = BgL_az00_1521;
										BgL_bz00_1596 = BgL_bz00_1522;
										BgL_cz00_1597 = BgL_cz00_1523;
										BgL_dz00_1598 = BgL_dz00_1524;
										BgL_ez00_1599 = BgL_ez00_1525;
										BgL_fz00_1600 = BgL_fz00_1526;
										BgL_gz00_1601 = BgL_gz00_1527;
										BgL_hz00_1602 = BgL_hz00_1528;
										{	/* Unsafe/sha2.scm 604 */
											uint32_t BgL_oaz00_1604;
											uint32_t BgL_obz00_1605;
											uint32_t BgL_ocz00_1606;
											uint32_t BgL_odz00_1607;
											uint32_t BgL_oez00_1608;
											uint32_t BgL_ofz00_1609;
											uint32_t BgL_ogz00_1610;
											uint32_t BgL_ohz00_1611;

											BgL_oaz00_1604 = BGL_U32VREF(BgL_statez00_1594, 0L);
											BgL_obz00_1605 = BGL_U32VREF(BgL_statez00_1594, 1L);
											BgL_ocz00_1606 = BGL_U32VREF(BgL_statez00_1594, 2L);
											BgL_odz00_1607 = BGL_U32VREF(BgL_statez00_1594, 3L);
											BgL_oez00_1608 = BGL_U32VREF(BgL_statez00_1594, 4L);
											BgL_ofz00_1609 = BGL_U32VREF(BgL_statez00_1594, 5L);
											BgL_ogz00_1610 = BGL_U32VREF(BgL_statez00_1594, 6L);
											BgL_ohz00_1611 = BGL_U32VREF(BgL_statez00_1594, 7L);
											{	/* Unsafe/sha2.scm 613 */
												uint32_t BgL_arg1461z00_1613;

												BgL_arg1461z00_1613 =
													BGl_addu32z00zz__sha2z00(BgL_oaz00_1604,
													BgL_az00_1595);
												BGL_U32VSET(BgL_statez00_1594, 0L, BgL_arg1461z00_1613);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 614 */
												uint32_t BgL_arg1462z00_1614;

												BgL_arg1462z00_1614 =
													BGl_addu32z00zz__sha2z00(BgL_obz00_1605,
													BgL_bz00_1596);
												BGL_U32VSET(BgL_statez00_1594, 1L, BgL_arg1462z00_1614);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 615 */
												uint32_t BgL_arg1463z00_1615;

												BgL_arg1463z00_1615 =
													BGl_addu32z00zz__sha2z00(BgL_ocz00_1606,
													BgL_cz00_1597);
												BGL_U32VSET(BgL_statez00_1594, 2L, BgL_arg1463z00_1615);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 616 */
												uint32_t BgL_arg1464z00_1616;

												BgL_arg1464z00_1616 =
													BGl_addu32z00zz__sha2z00(BgL_odz00_1607,
													BgL_dz00_1598);
												BGL_U32VSET(BgL_statez00_1594, 3L, BgL_arg1464z00_1616);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 617 */
												uint32_t BgL_arg1465z00_1617;

												BgL_arg1465z00_1617 =
													BGl_addu32z00zz__sha2z00(BgL_oez00_1608,
													BgL_ez00_1599);
												BGL_U32VSET(BgL_statez00_1594, 4L, BgL_arg1465z00_1617);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 618 */
												uint32_t BgL_arg1468z00_1618;

												BgL_arg1468z00_1618 =
													BGl_addu32z00zz__sha2z00(BgL_ofz00_1609,
													BgL_fz00_1600);
												BGL_U32VSET(BgL_statez00_1594, 5L, BgL_arg1468z00_1618);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 619 */
												uint32_t BgL_arg1469z00_1619;

												BgL_arg1469z00_1619 =
													BGl_addu32z00zz__sha2z00(BgL_ogz00_1610,
													BgL_gz00_1601);
												BGL_U32VSET(BgL_statez00_1594, 6L, BgL_arg1469z00_1619);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 620 */
												uint32_t BgL_arg1471z00_1620;

												BgL_arg1471z00_1620 =
													BGl_addu32z00zz__sha2z00(BgL_ohz00_1611,
													BgL_hz00_1602);
												BGL_U32VSET(BgL_statez00_1594, 7L, BgL_arg1471z00_1620);
												BUNSPEC;
											}
										}
										return BgL_statez00_33;
									}
							}
					}
				}
			}
		}

	}



/* sha256-update */
	obj_t BGl_sha256zd2updatezd2zz__sha2z00(obj_t BgL_statez00_35,
		obj_t BgL_bufferz00_36, obj_t BgL_oz00_37, obj_t BgL_fillzd2wordz12zc0_38)
	{
		{	/* Unsafe/sha2.scm 653 */
			{
				obj_t BgL_bufferz00_1646;
				long BgL_iz00_1647;

				{
					long BgL_iz00_1629;
					long BgL_lz00_1630;

					BgL_iz00_1629 = 0L;
					BgL_lz00_1630 = 0L;
				BgL_zc3z04anonymousza31472ze3z87_1631:
					{	/* Unsafe/sha2.scm 673 */
						long BgL_bytesz00_1632;

						BgL_bufferz00_1646 = BgL_bufferz00_36;
						BgL_iz00_1647 = BgL_iz00_1629;
						{
							long BgL_jz00_3612;
							long BgL_iz00_3613;
							long BgL_nz00_3614;

							BgL_jz00_3612 = 0L;
							BgL_iz00_3613 = BgL_iz00_1647;
							BgL_nz00_3614 = 0L;
						BgL_loopz00_3611:
							if ((BgL_jz00_3612 < 16L))
								{	/* Unsafe/sha2.scm 662 */
									long BgL_arg1487z00_3617;
									long BgL_arg1488z00_3618;
									long BgL_arg1489z00_3619;

									BgL_arg1487z00_3617 = (BgL_jz00_3612 + 1L);
									BgL_arg1488z00_3618 = (BgL_iz00_3613 + 4L);
									{	/* Unsafe/sha2.scm 662 */
										long BgL_b1146z00_3622;

										BgL_b1146z00_3622 =
											((long (*)(obj_t, obj_t, long, obj_t,
													long))
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_38))
											(BgL_fillzd2wordz12zc0_38, BgL_bufferz00_1646,
											BgL_jz00_3612, BgL_oz00_37, BgL_iz00_3613);
										BgL_arg1489z00_3619 = (BgL_nz00_3614 + BgL_b1146z00_3622);
									}
									{
										long BgL_nz00_5886;
										long BgL_iz00_5885;
										long BgL_jz00_5884;

										BgL_jz00_5884 = BgL_arg1487z00_3617;
										BgL_iz00_5885 = BgL_arg1488z00_3618;
										BgL_nz00_5886 = BgL_arg1489z00_3619;
										BgL_nz00_3614 = BgL_nz00_5886;
										BgL_iz00_3613 = BgL_iz00_5885;
										BgL_jz00_3612 = BgL_jz00_5884;
										goto BgL_loopz00_3611;
									}
								}
							else
								{	/* Unsafe/sha2.scm 661 */
									BgL_bytesz00_1632 = BgL_nz00_3614;
								}
						}
						if ((BgL_bytesz00_1632 == 64L))
							{	/* Unsafe/sha2.scm 675 */
								BGl_sha256zd2internalzd2transformz00zz__sha2z00(BgL_statez00_35,
									BgL_bufferz00_36);
								{
									long BgL_lz00_5892;
									long BgL_iz00_5890;

									BgL_iz00_5890 = (BgL_iz00_1629 + 64L);
									BgL_lz00_5892 = (BgL_lz00_1630 + 64L);
									BgL_lz00_1630 = BgL_lz00_5892;
									BgL_iz00_1629 = BgL_iz00_5890;
									goto BgL_zc3z04anonymousza31472ze3z87_1631;
								}
							}
						else
							{	/* Unsafe/sha2.scm 675 */
								if (((64L - BgL_bytesz00_1632) >= 8L))
									{	/* Unsafe/sha2.scm 679 */
										{	/* Unsafe/sha2.scm 682 */
											uint32_t BgL_ulenz00_1638;

											{	/* Unsafe/sha2.scm 682 */
												long BgL_tmpz00_5897;

												BgL_tmpz00_5897 =
													(8L * ((BgL_lz00_1630 - 1L) + BgL_bytesz00_1632));
												BgL_ulenz00_1638 = (uint32_t) (BgL_tmpz00_5897);
											}
											BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1638);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
								else
									{	/* Unsafe/sha2.scm 679 */
										BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
										{
											long BgL_iz00_3650;

											BgL_iz00_3650 = 0L;
										BgL_loopz00_3649:
											if ((BgL_iz00_3650 < 15L))
												{	/* Unsafe/sha2.scm 667 */
													BGL_U32VSET(BgL_bufferz00_36, BgL_iz00_3650,
														(uint32_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_5908;

														BgL_iz00_5908 = (BgL_iz00_3650 + 1L);
														BgL_iz00_3650 = BgL_iz00_5908;
														goto BgL_loopz00_3649;
													}
												}
											else
												{	/* Unsafe/sha2.scm 667 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 689 */
											uint32_t BgL_ulenz00_1641;

											{	/* Unsafe/sha2.scm 689 */
												long BgL_tmpz00_5910;

												BgL_tmpz00_5910 =
													(8L * ((BgL_lz00_1630 - 1L) + BgL_bytesz00_1632));
												BgL_ulenz00_1641 = (uint32_t) (BgL_tmpz00_5910);
											}
											BGL_U32VSET(BgL_bufferz00_36, 15L, BgL_ulenz00_1641);
											BUNSPEC;
										}
										return
											BGl_sha256zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_35, BgL_bufferz00_36);
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_39)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 733 */
				obj_t BgL_statez00_1675;
				obj_t BgL_bufferz00_1676;

				BgL_statez00_1675 = BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 451 */

					BgL_bufferz00_1676 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
				}
				BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1675, BgL_bufferz00_1676,
					BgL_mmz00_39, BGl_proc2384z00zz__sha2z00);
				return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1675);
			}
		}

	}



/* &sha256sum-mmap */
	obj_t BGl_z62sha256sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_4858,
		obj_t BgL_mmz00_4859)
	{
		{	/* Unsafe/sha2.scm 696 */
			{	/* Unsafe/sha2.scm 699 */
				obj_t BgL_auxz00_5921;

				if (BGL_MMAPP(BgL_mmz00_4859))
					{	/* Unsafe/sha2.scm 699 */
						BgL_auxz00_5921 = BgL_mmz00_4859;
					}
				else
					{
						obj_t BgL_auxz00_5924;

						BgL_auxz00_5924 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(31200L), BGl_string2386z00zz__sha2z00,
							BGl_string2387z00zz__sha2z00, BgL_mmz00_4859);
						FAILURE(BgL_auxz00_5924, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_auxz00_5921);
			}
		}

	}



/* &fill-word32-mmap! */
	long BGl_z62fillzd2word32zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_4860,
		obj_t BgL_v32z00_4861, long BgL_iz00_4862, obj_t BgL_mmz00_4863,
		long BgL_nz00_4864)
	{
		{	/* Unsafe/sha2.scm 731 */
			{	/* Unsafe/sha2.scm 702 */
				long BgL_lz00_4970;

				{	/* Unsafe/sha2.scm 702 */
					obj_t BgL_tmpz00_5929;

					BgL_tmpz00_5929 = ((obj_t) BgL_mmz00_4863);
					BgL_lz00_4970 = BGL_MMAP_LENGTH(BgL_tmpz00_5929);
				}
				{	/* Unsafe/sha2.scm 704 */
					bool_t BgL_test2446z00_5932;

					{	/* Unsafe/sha2.scm 704 */
						long BgL_n2z00_4971;

						BgL_n2z00_4971 = (long) (BgL_lz00_4970);
						BgL_test2446z00_5932 = ((BgL_nz00_4864 + 4L) <= BgL_n2z00_4971);
					}
					if (BgL_test2446z00_5932)
						{	/* Unsafe/sha2.scm 705 */
							uint32_t BgL_v0z00_4972;

							{	/* Unsafe/sha2.scm 699 */
								unsigned char BgL_arg1496z00_4973;

								{	/* Unsafe/sha2.scm 699 */
									long BgL_auxz00_5938;
									obj_t BgL_tmpz00_5936;

									BgL_auxz00_5938 = (long) (BgL_nz00_4864);
									BgL_tmpz00_5936 = ((obj_t) BgL_mmz00_4863);
									BgL_arg1496z00_4973 =
										BGL_MMAP_REF(BgL_tmpz00_5936, BgL_auxz00_5938);
								}
								{	/* Unsafe/sha2.scm 699 */
									long BgL_tmpz00_5941;

									BgL_tmpz00_5941 = (BgL_arg1496z00_4973);
									BgL_v0z00_4972 = (uint32_t) (BgL_tmpz00_5941);
							}}
							{	/* Unsafe/sha2.scm 705 */
								uint32_t BgL_v1z00_4974;

								{	/* Unsafe/sha2.scm 706 */
									long BgL_arg1518z00_4975;

									BgL_arg1518z00_4975 = (BgL_nz00_4864 + 1L);
									{	/* Unsafe/sha2.scm 699 */
										unsigned char BgL_arg1496z00_4976;

										{	/* Unsafe/sha2.scm 699 */
											long BgL_auxz00_5947;
											obj_t BgL_tmpz00_5945;

											BgL_auxz00_5947 = (long) (BgL_arg1518z00_4975);
											BgL_tmpz00_5945 = ((obj_t) BgL_mmz00_4863);
											BgL_arg1496z00_4976 =
												BGL_MMAP_REF(BgL_tmpz00_5945, BgL_auxz00_5947);
										}
										{	/* Unsafe/sha2.scm 699 */
											long BgL_tmpz00_5950;

											BgL_tmpz00_5950 = (BgL_arg1496z00_4976);
											BgL_v1z00_4974 = (uint32_t) (BgL_tmpz00_5950);
								}}}
								{	/* Unsafe/sha2.scm 706 */
									uint32_t BgL_v2z00_4977;

									{	/* Unsafe/sha2.scm 707 */
										long BgL_arg1516z00_4978;

										BgL_arg1516z00_4978 = (BgL_nz00_4864 + 2L);
										{	/* Unsafe/sha2.scm 699 */
											unsigned char BgL_arg1496z00_4979;

											{	/* Unsafe/sha2.scm 699 */
												long BgL_auxz00_5956;
												obj_t BgL_tmpz00_5954;

												BgL_auxz00_5956 = (long) (BgL_arg1516z00_4978);
												BgL_tmpz00_5954 = ((obj_t) BgL_mmz00_4863);
												BgL_arg1496z00_4979 =
													BGL_MMAP_REF(BgL_tmpz00_5954, BgL_auxz00_5956);
											}
											{	/* Unsafe/sha2.scm 699 */
												long BgL_tmpz00_5959;

												BgL_tmpz00_5959 = (BgL_arg1496z00_4979);
												BgL_v2z00_4977 = (uint32_t) (BgL_tmpz00_5959);
									}}}
									{	/* Unsafe/sha2.scm 707 */
										uint32_t BgL_v3z00_4980;

										{	/* Unsafe/sha2.scm 708 */
											long BgL_arg1515z00_4981;

											BgL_arg1515z00_4981 = (BgL_nz00_4864 + 3L);
											{	/* Unsafe/sha2.scm 699 */
												unsigned char BgL_arg1496z00_4982;

												{	/* Unsafe/sha2.scm 699 */
													long BgL_auxz00_5965;
													obj_t BgL_tmpz00_5963;

													BgL_auxz00_5965 = (long) (BgL_arg1515z00_4981);
													BgL_tmpz00_5963 = ((obj_t) BgL_mmz00_4863);
													BgL_arg1496z00_4982 =
														BGL_MMAP_REF(BgL_tmpz00_5963, BgL_auxz00_5965);
												}
												{	/* Unsafe/sha2.scm 699 */
													long BgL_tmpz00_5968;

													BgL_tmpz00_5968 = (BgL_arg1496z00_4982);
													BgL_v3z00_4980 = (uint32_t) (BgL_tmpz00_5968);
										}}}
										{	/* Unsafe/sha2.scm 708 */
											uint32_t BgL_vz00_4983;

											{	/* Unsafe/sha2.scm 709 */
												uint32_t BgL_arg1500z00_4984;
												uint32_t BgL_arg1501z00_4985;

												{	/* Unsafe/sha2.scm 709 */
													uint32_t BgL_arg1502z00_4986;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1503z00_4987;

														{	/* Unsafe/sha2.scm 709 */
															long BgL_arg1504z00_4988;
															long BgL_arg1505z00_4989;

															{	/* Unsafe/sha2.scm 709 */
																uint32_t BgL_tmpz00_5971;

																BgL_tmpz00_5971 =
																	(BgL_v0z00_4972 << (int) (8L));
																BgL_arg1504z00_4988 = (long) (BgL_tmpz00_5971);
															}
															BgL_arg1505z00_4989 = (long) (BgL_v1z00_4974);
															BgL_arg1503z00_4987 =
																(BgL_arg1504z00_4988 | BgL_arg1505z00_4989);
														}
														BgL_arg1502z00_4986 =
															(uint32_t) (BgL_arg1503z00_4987);
													}
													BgL_arg1500z00_4984 =
														(BgL_arg1502z00_4986 << (int) (16L));
												}
												{	/* Unsafe/sha2.scm 709 */
													long BgL_arg1507z00_4990;

													{	/* Unsafe/sha2.scm 709 */
														long BgL_arg1508z00_4991;
														long BgL_arg1509z00_4992;

														{	/* Unsafe/sha2.scm 709 */
															uint32_t BgL_tmpz00_5980;

															BgL_tmpz00_5980 = (BgL_v2z00_4977 << (int) (8L));
															BgL_arg1508z00_4991 = (long) (BgL_tmpz00_5980);
														}
														BgL_arg1509z00_4992 = (long) (BgL_v3z00_4980);
														BgL_arg1507z00_4990 =
															(BgL_arg1508z00_4991 | BgL_arg1509z00_4992);
													}
													BgL_arg1501z00_4985 =
														(uint32_t) (BgL_arg1507z00_4990);
												}
												BgL_vz00_4983 =
													(BgL_arg1500z00_4984 | BgL_arg1501z00_4985);
											}
											{	/* Unsafe/sha2.scm 709 */

												BGL_U32VSET(BgL_v32z00_4861, BgL_iz00_4862,
													BgL_vz00_4983);
												BUNSPEC;
												return 4L;
											}
										}
									}
								}
							}
						}
					else
						{	/* Unsafe/sha2.scm 712 */
							bool_t BgL_test2447z00_5989;

							{	/* Unsafe/sha2.scm 712 */
								long BgL_tmpz00_5990;

								{	/* Unsafe/sha2.scm 712 */
									long BgL_za72za7_4993;

									BgL_za72za7_4993 = (long) (BgL_lz00_4970);
									BgL_tmpz00_5990 = (1L + BgL_za72za7_4993);
								}
								BgL_test2447z00_5989 = (BgL_nz00_4864 >= BgL_tmpz00_5990);
							}
							if (BgL_test2447z00_5989)
								{	/* Unsafe/sha2.scm 712 */
									{	/* Unsafe/sha2.scm 713 */
										uint32_t BgL_tmpz00_5994;

										BgL_tmpz00_5994 = (uint32_t) (0L);
										BGL_U32VSET(BgL_v32z00_4861, BgL_iz00_4862,
											BgL_tmpz00_5994);
									}
									BUNSPEC;
									return 0L;
								}
							else
								{	/* Unsafe/sha2.scm 716 */
									obj_t BgL_vz00_4994;
									long BgL_kz00_4995;

									BgL_vz00_4994 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
									{	/* Unsafe/sha2.scm 717 */
										long BgL_tmpz00_5999;

										{	/* Unsafe/sha2.scm 717 */
											long BgL_za72za7_4996;

											BgL_za72za7_4996 = (long) (BgL_lz00_4970);
											BgL_tmpz00_5999 =
												((BgL_nz00_4864 + 4L) - BgL_za72za7_4996);
										}
										BgL_kz00_4995 = (4L - BgL_tmpz00_5999);
									}
									{
										long BgL_jz00_4998;

										BgL_jz00_4998 = 0L;
									BgL_loopz00_4997:
										if ((BgL_jz00_4998 == BgL_kz00_4995))
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 721 */
													uint32_t BgL_tmpz00_6006;

													BgL_tmpz00_6006 = (uint32_t) (128L);
													BGL_U32VSET(BgL_vz00_4994, BgL_jz00_4998,
														BgL_tmpz00_6006);
												}
												BUNSPEC;
												{	/* Unsafe/sha2.scm 722 */
													uint32_t BgL_v0z00_4999;

													BgL_v0z00_4999 = BGL_U32VREF(BgL_vz00_4994, 0L);
													{	/* Unsafe/sha2.scm 722 */
														uint32_t BgL_v1z00_5000;

														BgL_v1z00_5000 = BGL_U32VREF(BgL_vz00_4994, 1L);
														{	/* Unsafe/sha2.scm 723 */
															uint32_t BgL_v2z00_5001;

															BgL_v2z00_5001 = BGL_U32VREF(BgL_vz00_4994, 2L);
															{	/* Unsafe/sha2.scm 724 */
																uint32_t BgL_v3z00_5002;

																BgL_v3z00_5002 = BGL_U32VREF(BgL_vz00_4994, 3L);
																{	/* Unsafe/sha2.scm 725 */
																	uint32_t BgL_vz00_5003;

																	{	/* Unsafe/sha2.scm 726 */
																		uint32_t BgL_arg1523z00_5004;
																		uint32_t BgL_arg1524z00_5005;

																		{	/* Unsafe/sha2.scm 726 */
																			uint32_t BgL_arg1525z00_5006;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1526z00_5007;

																				{	/* Unsafe/sha2.scm 726 */
																					long BgL_arg1528z00_5008;
																					long BgL_arg1531z00_5009;

																					{	/* Unsafe/sha2.scm 726 */
																						uint32_t BgL_tmpz00_6013;

																						BgL_tmpz00_6013 =
																							(BgL_v0z00_4999 << (int) (8L));
																						BgL_arg1528z00_5008 =
																							(long) (BgL_tmpz00_6013);
																					}
																					BgL_arg1531z00_5009 =
																						(long) (BgL_v1z00_5000);
																					BgL_arg1526z00_5007 =
																						(BgL_arg1528z00_5008 |
																						BgL_arg1531z00_5009);
																				}
																				BgL_arg1525z00_5006 =
																					(uint32_t) (BgL_arg1526z00_5007);
																			}
																			BgL_arg1523z00_5004 =
																				(BgL_arg1525z00_5006 << (int) (16L));
																		}
																		{	/* Unsafe/sha2.scm 726 */
																			long BgL_arg1534z00_5010;

																			{	/* Unsafe/sha2.scm 726 */
																				long BgL_arg1535z00_5011;
																				long BgL_arg1536z00_5012;

																				{	/* Unsafe/sha2.scm 726 */
																					uint32_t BgL_tmpz00_6022;

																					BgL_tmpz00_6022 =
																						(BgL_v2z00_5001 << (int) (8L));
																					BgL_arg1535z00_5011 =
																						(long) (BgL_tmpz00_6022);
																				}
																				BgL_arg1536z00_5012 =
																					(long) (BgL_v3z00_5002);
																				BgL_arg1534z00_5010 =
																					(BgL_arg1535z00_5011 |
																					BgL_arg1536z00_5012);
																			}
																			BgL_arg1524z00_5005 =
																				(uint32_t) (BgL_arg1534z00_5010);
																		}
																		BgL_vz00_5003 =
																			(BgL_arg1523z00_5004 |
																			BgL_arg1524z00_5005);
																	}
																	{	/* Unsafe/sha2.scm 726 */

																		BGL_U32VSET(BgL_v32z00_4861, BgL_iz00_4862,
																			BgL_vz00_5003);
																		BUNSPEC;
																		return (BgL_jz00_4998 + 1L);
																	}
																}
															}
														}
													}
												}
											}
										else
											{	/* Unsafe/sha2.scm 719 */
												{	/* Unsafe/sha2.scm 730 */
													long BgL_arg1542z00_5013;

													{	/* Unsafe/sha2.scm 730 */
														long BgL_arg1544z00_5014;

														BgL_arg1544z00_5014 =
															(BgL_nz00_4864 + BgL_jz00_4998);
														{	/* Unsafe/sha2.scm 699 */
															unsigned char BgL_arg1496z00_5015;

															{	/* Unsafe/sha2.scm 699 */
																long BgL_auxz00_6035;
																obj_t BgL_tmpz00_6033;

																BgL_auxz00_6035 = (long) (BgL_arg1544z00_5014);
																BgL_tmpz00_6033 = ((obj_t) BgL_mmz00_4863);
																BgL_arg1496z00_5015 =
																	BGL_MMAP_REF(BgL_tmpz00_6033,
																	BgL_auxz00_6035);
															}
															BgL_arg1542z00_5013 = (BgL_arg1496z00_5015);
													}}
													{	/* Unsafe/sha2.scm 730 */
														uint32_t BgL_tmpz00_6039;

														BgL_tmpz00_6039 = (uint32_t) (BgL_arg1542z00_5013);
														BGL_U32VSET(BgL_vz00_4994, BgL_jz00_4998,
															BgL_tmpz00_6039);
													} BUNSPEC;
												}
												{
													long BgL_jz00_6042;

													BgL_jz00_6042 = (BgL_jz00_4998 + 1L);
													BgL_jz00_4998 = BgL_jz00_6042;
													goto BgL_loopz00_4997;
												}
											}
									}
								}
						}
				}
			}
		}

	}



/* sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_40)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 778 */
				obj_t BgL_statez00_1747;
				obj_t BgL_bufferz00_1748;

				BgL_statez00_1747 = BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 451 */

					BgL_bufferz00_1748 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
				}
				BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1747, BgL_bufferz00_1748,
					BgL_strz00_40, BGl_proc2388z00zz__sha2z00);
				return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1747);
			}
		}

	}



/* &sha256sum-string */
	obj_t BGl_z62sha256sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_4866,
		obj_t BgL_strz00_4867)
	{
		{	/* Unsafe/sha2.scm 741 */
			{	/* Unsafe/sha2.scm 744 */
				obj_t BgL_auxz00_6048;

				if (STRINGP(BgL_strz00_4867))
					{	/* Unsafe/sha2.scm 744 */
						BgL_auxz00_6048 = BgL_strz00_4867;
					}
				else
					{
						obj_t BgL_auxz00_6051;

						BgL_auxz00_6051 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(32705L), BGl_string2389z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_strz00_4867);
						FAILURE(BgL_auxz00_6051, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_auxz00_6048);
			}
		}

	}



/* &fill-word32-string! */
	long BGl_z62fillzd2word32zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_4868,
		obj_t BgL_v32z00_4869, long BgL_iz00_4870, obj_t BgL_strz00_4871,
		long BgL_nz00_4872)
	{
		{	/* Unsafe/sha2.scm 776 */
			{	/* Unsafe/sha2.scm 747 */
				long BgL_lz00_5020;

				BgL_lz00_5020 = STRING_LENGTH(((obj_t) BgL_strz00_4871));
				if (((BgL_nz00_4872 + 4L) <= BgL_lz00_5020))
					{	/* Unsafe/sha2.scm 750 */
						uint32_t BgL_v0z00_5021;

						{	/* Unsafe/sha2.scm 744 */
							long BgL_tmpz00_6061;

							BgL_tmpz00_6061 =
								(STRING_REF(((obj_t) BgL_strz00_4871), BgL_nz00_4872));
							BgL_v0z00_5021 = (uint32_t) (BgL_tmpz00_6061);
						}
						{	/* Unsafe/sha2.scm 750 */
							uint32_t BgL_v1z00_5022;

							{	/* Unsafe/sha2.scm 744 */
								long BgL_tmpz00_6066;

								BgL_tmpz00_6066 =
									(STRING_REF(((obj_t) BgL_strz00_4871), (BgL_nz00_4872 + 1L)));
								BgL_v1z00_5022 = (uint32_t) (BgL_tmpz00_6066);
							}
							{	/* Unsafe/sha2.scm 751 */
								uint32_t BgL_v2z00_5023;

								{	/* Unsafe/sha2.scm 744 */
									long BgL_tmpz00_6072;

									BgL_tmpz00_6072 =
										(STRING_REF(
											((obj_t) BgL_strz00_4871), (BgL_nz00_4872 + 2L)));
									BgL_v2z00_5023 = (uint32_t) (BgL_tmpz00_6072);
								}
								{	/* Unsafe/sha2.scm 752 */
									uint32_t BgL_v3z00_5024;

									{	/* Unsafe/sha2.scm 744 */
										long BgL_tmpz00_6078;

										BgL_tmpz00_6078 =
											(STRING_REF(
												((obj_t) BgL_strz00_4871), (BgL_nz00_4872 + 3L)));
										BgL_v3z00_5024 = (uint32_t) (BgL_tmpz00_6078);
									}
									{	/* Unsafe/sha2.scm 753 */
										uint32_t BgL_vz00_5025;

										{	/* Unsafe/sha2.scm 754 */
											uint32_t BgL_arg1558z00_5026;
											uint32_t BgL_arg1559z00_5027;

											{	/* Unsafe/sha2.scm 754 */
												uint32_t BgL_arg1560z00_5028;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1563z00_5029;

													{	/* Unsafe/sha2.scm 754 */
														long BgL_arg1564z00_5030;
														long BgL_arg1565z00_5031;

														{	/* Unsafe/sha2.scm 754 */
															uint32_t BgL_tmpz00_6084;

															BgL_tmpz00_6084 = (BgL_v0z00_5021 << (int) (8L));
															BgL_arg1564z00_5030 = (long) (BgL_tmpz00_6084);
														}
														BgL_arg1565z00_5031 = (long) (BgL_v1z00_5022);
														BgL_arg1563z00_5029 =
															(BgL_arg1564z00_5030 | BgL_arg1565z00_5031);
													}
													BgL_arg1560z00_5028 =
														(uint32_t) (BgL_arg1563z00_5029);
												}
												BgL_arg1558z00_5026 =
													(BgL_arg1560z00_5028 << (int) (16L));
											}
											{	/* Unsafe/sha2.scm 754 */
												long BgL_arg1568z00_5032;

												{	/* Unsafe/sha2.scm 754 */
													long BgL_arg1569z00_5033;
													long BgL_arg1575z00_5034;

													{	/* Unsafe/sha2.scm 754 */
														uint32_t BgL_tmpz00_6093;

														BgL_tmpz00_6093 = (BgL_v2z00_5023 << (int) (8L));
														BgL_arg1569z00_5033 = (long) (BgL_tmpz00_6093);
													}
													BgL_arg1575z00_5034 = (long) (BgL_v3z00_5024);
													BgL_arg1568z00_5032 =
														(BgL_arg1569z00_5033 | BgL_arg1575z00_5034);
												}
												BgL_arg1559z00_5027 = (uint32_t) (BgL_arg1568z00_5032);
											}
											BgL_vz00_5025 =
												(BgL_arg1558z00_5026 | BgL_arg1559z00_5027);
										}
										{	/* Unsafe/sha2.scm 754 */

											BGL_U32VSET(BgL_v32z00_4869, BgL_iz00_4870,
												BgL_vz00_5025);
											BUNSPEC;
											return 4L;
										}
									}
								}
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 749 */
						if ((BgL_nz00_4872 >= (1L + BgL_lz00_5020)))
							{	/* Unsafe/sha2.scm 757 */
								{	/* Unsafe/sha2.scm 758 */
									uint32_t BgL_tmpz00_6105;

									BgL_tmpz00_6105 = (uint32_t) (0L);
									BGL_U32VSET(BgL_v32z00_4869, BgL_iz00_4870, BgL_tmpz00_6105);
								}
								BUNSPEC;
								return 0L;
							}
						else
							{	/* Unsafe/sha2.scm 761 */
								obj_t BgL_vz00_5035;
								long BgL_kz00_5036;

								BgL_vz00_5035 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
								BgL_kz00_5036 = (4L - ((BgL_nz00_4872 + 4L) - BgL_lz00_5020));
								{
									long BgL_jz00_5038;

									BgL_jz00_5038 = 0L;
								BgL_loopz00_5037:
									if ((BgL_jz00_5038 == BgL_kz00_5036))
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 766 */
												uint32_t BgL_tmpz00_6115;

												BgL_tmpz00_6115 = (uint32_t) (128L);
												BGL_U32VSET(BgL_vz00_5035, BgL_jz00_5038,
													BgL_tmpz00_6115);
											}
											BUNSPEC;
											{	/* Unsafe/sha2.scm 767 */
												uint32_t BgL_v0z00_5039;

												BgL_v0z00_5039 = BGL_U32VREF(BgL_vz00_5035, 0L);
												{	/* Unsafe/sha2.scm 767 */
													uint32_t BgL_v1z00_5040;

													BgL_v1z00_5040 = BGL_U32VREF(BgL_vz00_5035, 1L);
													{	/* Unsafe/sha2.scm 768 */
														uint32_t BgL_v2z00_5041;

														BgL_v2z00_5041 = BGL_U32VREF(BgL_vz00_5035, 2L);
														{	/* Unsafe/sha2.scm 769 */
															uint32_t BgL_v3z00_5042;

															BgL_v3z00_5042 = BGL_U32VREF(BgL_vz00_5035, 3L);
															{	/* Unsafe/sha2.scm 770 */
																uint32_t BgL_vz00_5043;

																{	/* Unsafe/sha2.scm 771 */
																	uint32_t BgL_arg1586z00_5044;
																	uint32_t BgL_arg1587z00_5045;

																	{	/* Unsafe/sha2.scm 771 */
																		uint32_t BgL_arg1589z00_5046;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1590z00_5047;

																			{	/* Unsafe/sha2.scm 771 */
																				long BgL_arg1591z00_5048;
																				long BgL_arg1592z00_5049;

																				{	/* Unsafe/sha2.scm 771 */
																					uint32_t BgL_tmpz00_6122;

																					BgL_tmpz00_6122 =
																						(BgL_v0z00_5039 << (int) (8L));
																					BgL_arg1591z00_5048 =
																						(long) (BgL_tmpz00_6122);
																				}
																				BgL_arg1592z00_5049 =
																					(long) (BgL_v1z00_5040);
																				BgL_arg1590z00_5047 =
																					(BgL_arg1591z00_5048 |
																					BgL_arg1592z00_5049);
																			}
																			BgL_arg1589z00_5046 =
																				(uint32_t) (BgL_arg1590z00_5047);
																		}
																		BgL_arg1586z00_5044 =
																			(BgL_arg1589z00_5046 << (int) (16L));
																	}
																	{	/* Unsafe/sha2.scm 771 */
																		long BgL_arg1597z00_5050;

																		{	/* Unsafe/sha2.scm 771 */
																			long BgL_arg1598z00_5051;
																			long BgL_arg1600z00_5052;

																			{	/* Unsafe/sha2.scm 771 */
																				uint32_t BgL_tmpz00_6131;

																				BgL_tmpz00_6131 =
																					(BgL_v2z00_5041 << (int) (8L));
																				BgL_arg1598z00_5051 =
																					(long) (BgL_tmpz00_6131);
																			}
																			BgL_arg1600z00_5052 =
																				(long) (BgL_v3z00_5042);
																			BgL_arg1597z00_5050 =
																				(BgL_arg1598z00_5051 |
																				BgL_arg1600z00_5052);
																		}
																		BgL_arg1587z00_5045 =
																			(uint32_t) (BgL_arg1597z00_5050);
																	}
																	BgL_vz00_5043 =
																		(BgL_arg1586z00_5044 | BgL_arg1587z00_5045);
																}
																{	/* Unsafe/sha2.scm 771 */

																	BGL_U32VSET(BgL_v32z00_4869, BgL_iz00_4870,
																		BgL_vz00_5043);
																	BUNSPEC;
																	return (BgL_jz00_5038 + 1L);
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/sha2.scm 764 */
											{	/* Unsafe/sha2.scm 775 */
												long BgL_arg1603z00_5053;

												BgL_arg1603z00_5053 =
													(STRING_REF(
														((obj_t) BgL_strz00_4871),
														(BgL_nz00_4872 + BgL_jz00_5038)));
												{	/* Unsafe/sha2.scm 775 */
													uint32_t BgL_tmpz00_6145;

													BgL_tmpz00_6145 = (uint32_t) (BgL_arg1603z00_5053);
													BGL_U32VSET(BgL_vz00_5035, BgL_jz00_5038,
														BgL_tmpz00_6145);
												} BUNSPEC;
											}
											{
												long BgL_jz00_6148;

												BgL_jz00_6148 = (BgL_jz00_5038 + 1L);
												BgL_jz00_5038 = BgL_jz00_6148;
												goto BgL_loopz00_5037;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha256sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_41)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_lenz00_4884;

				BgL_lenz00_4884 = MAKE_CELL(BINT(0L));
				{	/* Unsafe/sha2.scm 788 */
					obj_t BgL_bufz00_1818;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_1818 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 809 */
						obj_t BgL_fillzd2word32zd2portz12z12_4873;

						{
							int BgL_tmpz00_6152;

							BgL_tmpz00_6152 = (int) (2L);
							BgL_fillzd2word32zd2portz12z12_4873 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word32zd2portz12z70zz__sha2z00,
								BgL_tmpz00_6152);
						}
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_4873,
							(int) (0L), BgL_bufz00_1818);
						PROCEDURE_L_SET(BgL_fillzd2word32zd2portz12z12_4873,
							(int) (1L), ((obj_t) BgL_lenz00_4884));
						{	/* Unsafe/sha2.scm 841 */
							obj_t BgL_statez00_1821;
							obj_t BgL_bufferz00_1822;

							BgL_statez00_1821 =
								BGl_sha256zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 451 */

								BgL_bufferz00_1822 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(16L, (uint32_t) (0));
							}
							BGl_sha256zd2updatezd2zz__sha2z00(BgL_statez00_1821,
								BgL_bufferz00_1822, BgL_pz00_41,
								BgL_fillzd2word32zd2portz12z12_4873);
							return BGl_statezd2ze3stringz31zz__sha2z00(BgL_statez00_1821);
						}
					}
				}
			}
		}

	}



/* &sha256sum-port */
	obj_t BGl_z62sha256sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_4874,
		obj_t BgL_pz00_4875)
	{
		{	/* Unsafe/sha2.scm 786 */
			{	/* Unsafe/sha2.scm 786 */
				obj_t BgL_auxz00_6164;

				if (INPUT_PORTP(BgL_pz00_4875))
					{	/* Unsafe/sha2.scm 786 */
						BgL_auxz00_6164 = BgL_pz00_4875;
					}
				else
					{
						obj_t BgL_auxz00_6167;

						BgL_auxz00_6167 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(34139L), BGl_string2391z00zz__sha2z00,
							BGl_string2392z00zz__sha2z00, BgL_pz00_4875);
						FAILURE(BgL_auxz00_6167, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_auxz00_6164);
			}
		}

	}



/* &fill-word32-port! */
	long BGl_z62fillzd2word32zd2portz12z70zz__sha2z00(obj_t BgL_envz00_4876,
		obj_t BgL_v32z00_4879, long BgL_iz00_4880, obj_t BgL_pz00_4881,
		long BgL_nz00_4882)
	{
		{	/* Unsafe/sha2.scm 839 */
			{	/* Unsafe/sha2.scm 809 */
				obj_t BgL_bufz00_4877;
				obj_t BgL_lenz00_4878;

				BgL_bufz00_4877 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4876, (int) (0L)));
				BgL_lenz00_4878 = PROCEDURE_L_REF(BgL_envz00_4876, (int) (1L));
				{
					obj_t BgL_pz00_5059;

					{	/* Unsafe/sha2.scm 809 */
						long BgL_lz00_5066;

						BgL_pz00_5059 = ((obj_t) BgL_pz00_4881);
						{
							long BgL_iz00_5061;

							BgL_iz00_5061 = 0L;
						BgL_loopz00_5060:
							if ((BgL_iz00_5061 == 4L))
								{	/* Unsafe/sha2.scm 794 */
									BgL_lz00_5066 = BgL_iz00_5061;
								}
							else
								{	/* Unsafe/sha2.scm 796 */
									obj_t BgL_cz00_5062;

									BgL_cz00_5062 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5059);
									if (EOF_OBJECTP(BgL_cz00_5062))
										{
											long BgL_jz00_5064;

											BgL_jz00_5064 = BgL_iz00_5061;
										BgL_liipz00_5063:
											if ((BgL_jz00_5064 == 4L))
												{	/* Unsafe/sha2.scm 799 */
													BgL_lz00_5066 = BgL_iz00_5061;
												}
											else
												{	/* Unsafe/sha2.scm 799 */
													{	/* Unsafe/sha2.scm 802 */
														uint32_t BgL_tmpz00_6184;

														BgL_tmpz00_6184 = (uint32_t) (0L);
														BGL_U32VSET(BgL_bufz00_4877, BgL_jz00_5064,
															BgL_tmpz00_6184);
													}
													BUNSPEC;
													{
														long BgL_jz00_6187;

														BgL_jz00_6187 = (BgL_jz00_5064 + 1L);
														BgL_jz00_5064 = BgL_jz00_6187;
														goto BgL_liipz00_5063;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 797 */
											{	/* Unsafe/sha2.scm 805 */
												uint32_t BgL_arg1663z00_5065;

												{	/* Unsafe/sha2.scm 805 */
													char BgL_tmpz00_6189;

													BgL_tmpz00_6189 = (signed char) CINT(BgL_cz00_5062);
													BgL_arg1663z00_5065 = (uint32_t) (BgL_tmpz00_6189);
												}
												BGL_U32VSET(BgL_bufz00_4877, BgL_iz00_5061,
													BgL_arg1663z00_5065);
												BUNSPEC;
											}
											{
												long BgL_iz00_6193;

												BgL_iz00_6193 = (BgL_iz00_5061 + 1L);
												BgL_iz00_5061 = BgL_iz00_6193;
												goto BgL_loopz00_5060;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 810 */
							obj_t BgL_auxz00_5067;

							BgL_auxz00_5067 =
								ADDFX(CELL_REF(BgL_lenz00_4878), BINT(BgL_lz00_5066));
							CELL_SET(BgL_lenz00_4878, BgL_auxz00_5067);
						}
						if (
							((BgL_nz00_4882 + 4L) <= (long) CINT(CELL_REF(BgL_lenz00_4878))))
							{	/* Unsafe/sha2.scm 813 */
								uint32_t BgL_v0z00_5068;

								BgL_v0z00_5068 = BGL_U32VREF(BgL_bufz00_4877, 0L);
								{	/* Unsafe/sha2.scm 813 */
									uint32_t BgL_v1z00_5069;

									BgL_v1z00_5069 = BGL_U32VREF(BgL_bufz00_4877, 1L);
									{	/* Unsafe/sha2.scm 814 */
										uint32_t BgL_v2z00_5070;

										BgL_v2z00_5070 = BGL_U32VREF(BgL_bufz00_4877, 2L);
										{	/* Unsafe/sha2.scm 815 */
											uint32_t BgL_v3z00_5071;

											BgL_v3z00_5071 = BGL_U32VREF(BgL_bufz00_4877, 3L);
											{	/* Unsafe/sha2.scm 816 */
												uint32_t BgL_vz00_5072;

												{	/* Unsafe/sha2.scm 817 */
													uint32_t BgL_arg1615z00_5073;
													uint32_t BgL_arg1616z00_5074;

													{	/* Unsafe/sha2.scm 817 */
														uint32_t BgL_arg1617z00_5075;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1618z00_5076;

															{	/* Unsafe/sha2.scm 817 */
																long BgL_arg1619z00_5077;
																long BgL_arg1620z00_5078;

																{	/* Unsafe/sha2.scm 817 */
																	uint32_t BgL_tmpz00_6206;

																	BgL_tmpz00_6206 =
																		(BgL_v0z00_5068 << (int) (8L));
																	BgL_arg1619z00_5077 =
																		(long) (BgL_tmpz00_6206);
																}
																BgL_arg1620z00_5078 = (long) (BgL_v1z00_5069);
																BgL_arg1618z00_5076 =
																	(BgL_arg1619z00_5077 | BgL_arg1620z00_5078);
															}
															BgL_arg1617z00_5075 =
																(uint32_t) (BgL_arg1618z00_5076);
														}
														BgL_arg1615z00_5073 =
															(BgL_arg1617z00_5075 << (int) (16L));
													}
													{	/* Unsafe/sha2.scm 817 */
														long BgL_arg1622z00_5079;

														{	/* Unsafe/sha2.scm 817 */
															long BgL_arg1623z00_5080;
															long BgL_arg1625z00_5081;

															{	/* Unsafe/sha2.scm 817 */
																uint32_t BgL_tmpz00_6215;

																BgL_tmpz00_6215 =
																	(BgL_v2z00_5070 << (int) (8L));
																BgL_arg1623z00_5080 = (long) (BgL_tmpz00_6215);
															}
															BgL_arg1625z00_5081 = (long) (BgL_v3z00_5071);
															BgL_arg1622z00_5079 =
																(BgL_arg1623z00_5080 | BgL_arg1625z00_5081);
														}
														BgL_arg1616z00_5074 =
															(uint32_t) (BgL_arg1622z00_5079);
													}
													BgL_vz00_5072 =
														(BgL_arg1615z00_5073 | BgL_arg1616z00_5074);
												}
												{	/* Unsafe/sha2.scm 817 */

													BGL_U32VSET(BgL_v32z00_4879, BgL_iz00_4880,
														BgL_vz00_5072);
													BUNSPEC;
													return 4L;
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 812 */
								if (
									(BgL_nz00_4882 >=
										(1L + (long) CINT(CELL_REF(BgL_lenz00_4878)))))
									{	/* Unsafe/sha2.scm 820 */
										{	/* Unsafe/sha2.scm 821 */
											uint32_t BgL_tmpz00_6228;

											BgL_tmpz00_6228 = (uint32_t) (0L);
											BGL_U32VSET(BgL_v32z00_4879, BgL_iz00_4880,
												BgL_tmpz00_6228);
										} BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 824 */
										obj_t BgL_vz00_5082;
										long BgL_kz00_5083;

										BgL_vz00_5082 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(4L, (uint32_t) (0L));
										BgL_kz00_5083 =
											(4L -
											((BgL_nz00_4882 + 4L) -
												(long) CINT(CELL_REF(BgL_lenz00_4878))));
										{
											long BgL_jz00_5085;

											BgL_jz00_5085 = 0L;
										BgL_loopz00_5084:
											if ((BgL_jz00_5085 == BgL_kz00_5083))
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 829 */
														uint32_t BgL_tmpz00_6239;

														BgL_tmpz00_6239 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5082, BgL_jz00_5085,
															BgL_tmpz00_6239);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 830 */
														uint32_t BgL_v0z00_5086;

														BgL_v0z00_5086 = BGL_U32VREF(BgL_vz00_5082, 0L);
														{	/* Unsafe/sha2.scm 830 */
															uint32_t BgL_v1z00_5087;

															BgL_v1z00_5087 = BGL_U32VREF(BgL_vz00_5082, 1L);
															{	/* Unsafe/sha2.scm 831 */
																uint32_t BgL_v2z00_5088;

																BgL_v2z00_5088 = BGL_U32VREF(BgL_vz00_5082, 2L);
																{	/* Unsafe/sha2.scm 832 */
																	uint32_t BgL_v3z00_5089;

																	BgL_v3z00_5089 =
																		BGL_U32VREF(BgL_vz00_5082, 3L);
																	{	/* Unsafe/sha2.scm 833 */
																		uint32_t BgL_vz00_5090;

																		{	/* Unsafe/sha2.scm 834 */
																			uint32_t BgL_arg1632z00_5091;
																			uint32_t BgL_arg1633z00_5092;

																			{	/* Unsafe/sha2.scm 834 */
																				uint32_t BgL_arg1634z00_5093;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1635z00_5094;

																					{	/* Unsafe/sha2.scm 834 */
																						long BgL_arg1636z00_5095;
																						long BgL_arg1637z00_5096;

																						{	/* Unsafe/sha2.scm 834 */
																							uint32_t BgL_tmpz00_6246;

																							BgL_tmpz00_6246 =
																								(BgL_v0z00_5086 << (int) (8L));
																							BgL_arg1636z00_5095 =
																								(long) (BgL_tmpz00_6246);
																						}
																						BgL_arg1637z00_5096 =
																							(long) (BgL_v1z00_5087);
																						BgL_arg1635z00_5094 =
																							(BgL_arg1636z00_5095 |
																							BgL_arg1637z00_5096);
																					}
																					BgL_arg1634z00_5093 =
																						(uint32_t) (BgL_arg1635z00_5094);
																				}
																				BgL_arg1632z00_5091 =
																					(BgL_arg1634z00_5093 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 834 */
																				long BgL_arg1639z00_5097;

																				{	/* Unsafe/sha2.scm 834 */
																					long BgL_arg1640z00_5098;
																					long BgL_arg1642z00_5099;

																					{	/* Unsafe/sha2.scm 834 */
																						uint32_t BgL_tmpz00_6255;

																						BgL_tmpz00_6255 =
																							(BgL_v2z00_5088 << (int) (8L));
																						BgL_arg1640z00_5098 =
																							(long) (BgL_tmpz00_6255);
																					}
																					BgL_arg1642z00_5099 =
																						(long) (BgL_v3z00_5089);
																					BgL_arg1639z00_5097 =
																						(BgL_arg1640z00_5098 |
																						BgL_arg1642z00_5099);
																				}
																				BgL_arg1633z00_5092 =
																					(uint32_t) (BgL_arg1639z00_5097);
																			}
																			BgL_vz00_5090 =
																				(BgL_arg1632z00_5091 |
																				BgL_arg1633z00_5092);
																		}
																		{	/* Unsafe/sha2.scm 834 */

																			BGL_U32VSET(BgL_v32z00_4879,
																				BgL_iz00_4880, BgL_vz00_5090);
																			BUNSPEC;
																			return (BgL_jz00_5085 + 1L);
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 827 */
													{	/* Unsafe/sha2.scm 838 */
														uint32_t BgL_arg1644z00_5100;

														BgL_arg1644z00_5100 =
															BGL_U32VREF(BgL_bufz00_4877, BgL_jz00_5085);
														BGL_U32VSET(BgL_vz00_5082, BgL_jz00_5085,
															BgL_arg1644z00_5100);
														BUNSPEC;
													}
													{
														long BgL_jz00_6267;

														BgL_jz00_6267 = (BgL_jz00_5085 + 1L);
														BgL_jz00_5085 = BgL_jz00_6267;
														goto BgL_loopz00_5084;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha256sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_42)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_mmz00_1901;

				BgL_mmz00_1901 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_42, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1901))
					{	/* Unsafe/sha2.scm 852 */
						obj_t BgL_exitd1074z00_1903;

						BgL_exitd1074z00_1903 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 854 */
							obj_t BgL_zc3z04anonymousza31670ze3z87_4886;

							BgL_zc3z04anonymousza31670ze3z87_4886 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31670ze3ze5zz__sha2z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza31670ze3z87_4886, (int) (0L),
								BgL_mmz00_1901);
							{	/* Unsafe/sha2.scm 852 */
								obj_t BgL_arg2358z00_3856;

								{	/* Unsafe/sha2.scm 852 */
									obj_t BgL_arg2359z00_3857;

									BgL_arg2359z00_3857 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1903);
									BgL_arg2358z00_3856 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31670ze3z87_4886,
										BgL_arg2359z00_3857);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1903,
									BgL_arg2358z00_3856);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 853 */
								obj_t BgL_tmp1076z00_1905;

								BgL_tmp1076z00_1905 =
									BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_mmz00_1901);
								{	/* Unsafe/sha2.scm 852 */
									bool_t BgL_test2461z00_6282;

									{	/* Unsafe/sha2.scm 852 */
										obj_t BgL_arg2357z00_3859;

										BgL_arg2357z00_3859 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1903);
										BgL_test2461z00_6282 = PAIRP(BgL_arg2357z00_3859);
									}
									if (BgL_test2461z00_6282)
										{	/* Unsafe/sha2.scm 852 */
											obj_t BgL_arg2355z00_3860;

											{	/* Unsafe/sha2.scm 852 */
												obj_t BgL_arg2356z00_3861;

												BgL_arg2356z00_3861 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1903);
												BgL_arg2355z00_3860 =
													CDR(((obj_t) BgL_arg2356z00_3861));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1903,
												BgL_arg2355z00_3860);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 852 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1901);
								return BgL_tmp1076z00_1905;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 855 */
						obj_t BgL_pz00_1908;

						{	/* Ieee/port.scm 460 */

							BgL_pz00_1908 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_42, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha2.scm 856 */
							obj_t BgL_exitd1078z00_1909;

							BgL_exitd1078z00_1909 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 858 */
								obj_t BgL_zc3z04anonymousza31671ze3z87_4887;

								BgL_zc3z04anonymousza31671ze3z87_4887 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31671ze3ze5zz__sha2z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza31671ze3z87_4887, (int) (0L),
									BgL_pz00_1908);
								{	/* Unsafe/sha2.scm 856 */
									obj_t BgL_arg2358z00_3865;

									{	/* Unsafe/sha2.scm 856 */
										obj_t BgL_arg2359z00_3866;

										BgL_arg2359z00_3866 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1909);
										BgL_arg2358z00_3865 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31671ze3z87_4887,
											BgL_arg2359z00_3866);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1909,
										BgL_arg2358z00_3865);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 857 */
									obj_t BgL_tmp1080z00_1911;

									BgL_tmp1080z00_1911 =
										BGl_sha256sumzd2portzd2zz__sha2z00(BgL_pz00_1908);
									{	/* Unsafe/sha2.scm 856 */
										bool_t BgL_test2462z00_6302;

										{	/* Unsafe/sha2.scm 856 */
											obj_t BgL_arg2357z00_3868;

											BgL_arg2357z00_3868 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1909);
											BgL_test2462z00_6302 = PAIRP(BgL_arg2357z00_3868);
										}
										if (BgL_test2462z00_6302)
											{	/* Unsafe/sha2.scm 856 */
												obj_t BgL_arg2355z00_3869;

												{	/* Unsafe/sha2.scm 856 */
													obj_t BgL_arg2356z00_3870;

													BgL_arg2356z00_3870 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1909);
													BgL_arg2355z00_3869 =
														CDR(((obj_t) BgL_arg2356z00_3870));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1909,
													BgL_arg2355z00_3869);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 856 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1908));
									return BgL_tmp1080z00_1911;
								}
							}
						}
					}
			}
		}

	}



/* &sha256sum-file */
	obj_t BGl_z62sha256sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_4888,
		obj_t BgL_fnamez00_4889)
	{
		{	/* Unsafe/sha2.scm 849 */
			{	/* Unsafe/sha2.scm 850 */
				obj_t BgL_auxz00_6311;

				if (STRINGP(BgL_fnamez00_4889))
					{	/* Unsafe/sha2.scm 850 */
						BgL_auxz00_6311 = BgL_fnamez00_4889;
					}
				else
					{
						obj_t BgL_auxz00_6314;

						BgL_auxz00_6314 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(36025L), BGl_string2393z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_fnamez00_4889);
						FAILURE(BgL_auxz00_6314, BFALSE, BFALSE);
					}
				return BGl_sha256sumzd2filezd2zz__sha2z00(BgL_auxz00_6311);
			}
		}

	}



/* &<@anonymous:1670> */
	obj_t BGl_z62zc3z04anonymousza31670ze3ze5zz__sha2z00(obj_t BgL_envz00_4890)
	{
		{	/* Unsafe/sha2.scm 852 */
			{	/* Unsafe/sha2.scm 854 */
				obj_t BgL_mmz00_4891;

				BgL_mmz00_4891 = ((obj_t) PROCEDURE_REF(BgL_envz00_4890, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_4891);
			}
		}

	}



/* &<@anonymous:1671> */
	obj_t BGl_z62zc3z04anonymousza31671ze3ze5zz__sha2z00(obj_t BgL_envz00_4892)
	{
		{	/* Unsafe/sha2.scm 856 */
			{	/* Unsafe/sha2.scm 858 */
				obj_t BgL_pz00_4893;

				BgL_pz00_4893 = PROCEDURE_REF(BgL_envz00_4892, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_4893));
			}
		}

	}



/* sha256sum */
	BGL_EXPORTED_DEF obj_t BGl_sha256sumz00zz__sha2z00(obj_t BgL_objz00_43)
	{
		{	/* Unsafe/sha2.scm 863 */
			if (BGL_MMAPP(BgL_objz00_43))
				{	/* Unsafe/sha2.scm 865 */
					return BGl_sha256sumzd2mmapzd2zz__sha2z00(BgL_objz00_43);
				}
			else
				{	/* Unsafe/sha2.scm 865 */
					if (STRINGP(BgL_objz00_43))
						{	/* Unsafe/sha2.scm 867 */
							return BGl_sha256sumzd2stringzd2zz__sha2z00(BgL_objz00_43);
						}
					else
						{	/* Unsafe/sha2.scm 867 */
							if (INPUT_PORTP(BgL_objz00_43))
								{	/* Unsafe/sha2.scm 869 */
									return BGl_sha256sumzd2portzd2zz__sha2z00(BgL_objz00_43);
								}
							else
								{	/* Unsafe/sha2.scm 869 */
									return
										BGl_errorz00zz__errorz00(BGl_string2394z00zz__sha2z00,
										BGl_string2395z00zz__sha2z00, BgL_objz00_43);
								}
						}
				}
		}

	}



/* &sha256sum */
	obj_t BGl_z62sha256sumz62zz__sha2z00(obj_t BgL_envz00_4894,
		obj_t BgL_objz00_4895)
	{
		{	/* Unsafe/sha2.scm 863 */
			return BGl_sha256sumz00zz__sha2z00(BgL_objz00_4895);
		}

	}



/* sha512-internal-transform */
	obj_t BGl_sha512zd2internalzd2transformz00zz__sha2z00(obj_t BgL_statez00_52,
		obj_t BgL_bufferz00_53)
	{
		{	/* Unsafe/sha2.scm 889 */
			{
				obj_t BgL_statez00_2009;
				uint64_t BgL_az00_2010;
				uint64_t BgL_bz00_2011;
				uint64_t BgL_cz00_2012;
				uint64_t BgL_dz00_2013;
				uint64_t BgL_ez00_2014;
				uint64_t BgL_fz00_2015;
				uint64_t BgL_gz00_2016;
				uint64_t BgL_hz00_2017;

				{	/* Unsafe/sha2.scm 924 */
					uint64_t BgL_g1082z00_1927;
					uint64_t BgL_g1083z00_1928;
					uint64_t BgL_g1084z00_1929;
					uint64_t BgL_g1085z00_1930;
					uint64_t BgL_g1086z00_1931;
					uint64_t BgL_g1087z00_1932;
					uint64_t BgL_g1089z00_1933;
					uint64_t BgL_g1090z00_1934;

					BgL_g1082z00_1927 = BGL_U64VREF(BgL_statez00_52, 0L);
					BgL_g1083z00_1928 = BGL_U64VREF(BgL_statez00_52, 1L);
					BgL_g1084z00_1929 = BGL_U64VREF(BgL_statez00_52, 2L);
					BgL_g1085z00_1930 = BGL_U64VREF(BgL_statez00_52, 3L);
					BgL_g1086z00_1931 = BGL_U64VREF(BgL_statez00_52, 4L);
					BgL_g1087z00_1932 = BGL_U64VREF(BgL_statez00_52, 5L);
					BgL_g1089z00_1933 = BGL_U64VREF(BgL_statez00_52, 6L);
					BgL_g1090z00_1934 = BGL_U64VREF(BgL_statez00_52, 7L);
					{
						uint64_t BgL_az00_1936;
						uint64_t BgL_bz00_1937;
						uint64_t BgL_cz00_1938;
						uint64_t BgL_dz00_1939;
						uint64_t BgL_ez00_1940;
						uint64_t BgL_fz00_1941;
						uint64_t BgL_gz00_1942;
						uint64_t BgL_hz00_1943;
						long BgL_jz00_1944;

						BgL_az00_1936 = BgL_g1082z00_1927;
						BgL_bz00_1937 = BgL_g1083z00_1928;
						BgL_cz00_1938 = BgL_g1084z00_1929;
						BgL_dz00_1939 = BgL_g1085z00_1930;
						BgL_ez00_1940 = BgL_g1086z00_1931;
						BgL_fz00_1941 = BgL_g1087z00_1932;
						BgL_gz00_1942 = BgL_g1089z00_1933;
						BgL_hz00_1943 = BgL_g1090z00_1934;
						BgL_jz00_1944 = 0L;
					BgL_zc3z04anonymousza31676ze3z87_1945:
						if ((BgL_jz00_1944 < 16L))
							{	/* Unsafe/sha2.scm 935 */
								uint64_t BgL_wz00_1947;

								BgL_wz00_1947 = BGL_U64VREF(BgL_bufferz00_53, BgL_jz00_1944);
								{	/* Unsafe/sha2.scm 935 */
									uint64_t BgL_t1z00_1948;

									{	/* Unsafe/sha2.scm 898 */
										uint64_t BgL_arg1724z00_3980;

										{	/* Unsafe/sha2.scm 898 */
											uint64_t BgL_arg1725z00_3981;
											uint64_t BgL_arg1726z00_3982;

											BgL_arg1725z00_3981 =
												BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1940);
											{	/* Unsafe/sha2.scm 898 */
												uint64_t BgL_arg1727z00_3983;
												uint64_t BgL_arg1729z00_3984;

												BgL_arg1727z00_3983 =
													(
													(BgL_ez00_1940 & BgL_fz00_1941) ^
													(~(BgL_ez00_1940) & BgL_gz00_1942));
												{	/* Unsafe/sha2.scm 898 */
													uint64_t BgL_arg1730z00_3985;

													BgL_arg1730z00_3985 =
														BGL_U64VREF(BGl_K512z00zz__sha2z00, BgL_jz00_1944);
													BgL_arg1729z00_3984 =
														(BgL_arg1730z00_3985 + BgL_wz00_1947);
												}
												BgL_arg1726z00_3982 =
													(BgL_arg1727z00_3983 + BgL_arg1729z00_3984);
											}
											BgL_arg1724z00_3980 =
												(BgL_arg1725z00_3981 + BgL_arg1726z00_3982);
										}
										BgL_t1z00_1948 = (BgL_hz00_1943 + BgL_arg1724z00_3980);
									}
									{	/* Unsafe/sha2.scm 936 */
										uint64_t BgL_t2z00_1949;

										BgL_t2z00_1949 =
											(
											(((BgL_az00_1936 >>
														(int) (28L)) |
													(BgL_az00_1936 <<
														(int) (
															(64L - 28L)))) ^
												(((BgL_az00_1936 >>
															(int) (34L)) |
														(BgL_az00_1936 <<
															(int) (
																(64L - 34L)))) ^
													((BgL_az00_1936 >>
															(int) (39L)) |
														(BgL_az00_1936 <<
															(int) (
																(64L - 39L)))))) +
											((BgL_az00_1936 & BgL_bz00_1937) ^
												((BgL_az00_1936 & BgL_cz00_1938) ^
													(BgL_bz00_1937 & BgL_cz00_1938))));
										{	/* Unsafe/sha2.scm 937 */

											{
												long BgL_jz00_6395;
												uint64_t BgL_hz00_6394;
												uint64_t BgL_gz00_6393;
												uint64_t BgL_fz00_6392;
												uint64_t BgL_ez00_6390;
												uint64_t BgL_dz00_6389;
												uint64_t BgL_cz00_6388;
												uint64_t BgL_bz00_6387;
												uint64_t BgL_az00_6385;

												BgL_az00_6385 = (BgL_t1z00_1948 + BgL_t2z00_1949);
												BgL_bz00_6387 = BgL_az00_1936;
												BgL_cz00_6388 = BgL_bz00_1937;
												BgL_dz00_6389 = BgL_cz00_1938;
												BgL_ez00_6390 = (BgL_dz00_1939 + BgL_t1z00_1948);
												BgL_fz00_6392 = BgL_ez00_1940;
												BgL_gz00_6393 = BgL_fz00_1941;
												BgL_hz00_6394 = BgL_gz00_1942;
												BgL_jz00_6395 = (BgL_jz00_1944 + 1L);
												BgL_jz00_1944 = BgL_jz00_6395;
												BgL_hz00_1943 = BgL_hz00_6394;
												BgL_gz00_1942 = BgL_gz00_6393;
												BgL_fz00_1941 = BgL_fz00_6392;
												BgL_ez00_1940 = BgL_ez00_6390;
												BgL_dz00_1939 = BgL_dz00_6389;
												BgL_cz00_1938 = BgL_cz00_6388;
												BgL_bz00_1937 = BgL_bz00_6387;
												BgL_az00_1936 = BgL_az00_6385;
												goto BgL_zc3z04anonymousza31676ze3z87_1945;
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 934 */
								if ((BgL_jz00_1944 < 80L))
									{	/* Unsafe/sha2.scm 940 */
										uint64_t BgL_s0z00_1956;

										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_arg1710z00_1974;

											{	/* Unsafe/sha2.scm 940 */
												long BgL_arg1712z00_1975;

												BgL_arg1712z00_1975 = (BgL_jz00_1944 + 1L);
												{	/* Unsafe/sha2.scm 901 */
													long BgL_tmpz00_6400;

													BgL_tmpz00_6400 = (BgL_arg1712z00_1975 & 15L);
													BgL_arg1710z00_1974 =
														BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6400);
											}}
											BgL_s0z00_1956 =
												(
												((BgL_arg1710z00_1974 >>
														(int) (1L)) |
													(BgL_arg1710z00_1974 <<
														(int) (
															(64L - 1L)))) ^
												(((BgL_arg1710z00_1974 >>
															(int) (8L)) |
														(BgL_arg1710z00_1974 <<
															(int) (
																(64L - 8L)))) ^
													(BgL_arg1710z00_1974 >> (int) (7L))));
										}
										{	/* Unsafe/sha2.scm 940 */
											uint64_t BgL_s1z00_1957;

											{	/* Unsafe/sha2.scm 941 */
												uint64_t BgL_arg1708z00_1972;

												{	/* Unsafe/sha2.scm 941 */
													long BgL_arg1709z00_1973;

													BgL_arg1709z00_1973 = (BgL_jz00_1944 + 14L);
													{	/* Unsafe/sha2.scm 901 */
														long BgL_tmpz00_6420;

														BgL_tmpz00_6420 = (BgL_arg1709z00_1973 & 15L);
														BgL_arg1708z00_1972 =
															BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6420);
												}}
												BgL_s1z00_1957 =
													(
													((BgL_arg1708z00_1972 >>
															(int) (19L)) |
														(BgL_arg1708z00_1972 <<
															(int) (
																(64L - 19L)))) ^
													(((BgL_arg1708z00_1972 >>
																(int) (61L)) |
															(BgL_arg1708z00_1972 <<
																(int) (
																	(64L - 61L)))) ^
														(BgL_arg1708z00_1972 >> (int) (6L))));
											}
											{	/* Unsafe/sha2.scm 941 */
												long BgL_ndxz00_1958;

												BgL_ndxz00_1958 =
													(BgL_jz00_1944 &
													LLONG_TO_LONG(((BGL_LONGLONG_T) 15)));
												{	/* Unsafe/sha2.scm 942 */
													uint64_t BgL_wz00_1959;

													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_arg1698z00_1967;
														uint64_t BgL_arg1703z00_1968;

														{	/* Unsafe/sha2.scm 901 */
															long BgL_tmpz00_6441;

															BgL_tmpz00_6441 = (BgL_jz00_1944 & 15L);
															BgL_arg1698z00_1967 =
																BGL_U64VREF(BgL_bufferz00_53, BgL_tmpz00_6441);
														}
														{	/* Unsafe/sha2.scm 943 */
															uint64_t BgL_arg1704z00_1969;

															{	/* Unsafe/sha2.scm 943 */
																uint64_t BgL_arg1706z00_1970;

																{	/* Unsafe/sha2.scm 943 */
																	long BgL_arg1707z00_1971;

																	BgL_arg1707z00_1971 = (BgL_jz00_1944 + 9L);
																	{	/* Unsafe/sha2.scm 901 */
																		long BgL_tmpz00_6445;

																		BgL_tmpz00_6445 =
																			(BgL_arg1707z00_1971 & 15L);
																		BgL_arg1706z00_1970 =
																			BGL_U64VREF(BgL_bufferz00_53,
																			BgL_tmpz00_6445);
																}}
																BgL_arg1704z00_1969 =
																	(BgL_arg1706z00_1970 + BgL_s0z00_1956);
															}
															BgL_arg1703z00_1968 =
																(BgL_s1z00_1957 + BgL_arg1704z00_1969);
														}
														BgL_wz00_1959 =
															(BgL_arg1698z00_1967 + BgL_arg1703z00_1968);
													}
													{	/* Unsafe/sha2.scm 943 */
														uint64_t BgL_t1z00_1960;

														{	/* Unsafe/sha2.scm 898 */
															uint64_t BgL_arg1724z00_4152;

															{	/* Unsafe/sha2.scm 898 */
																uint64_t BgL_arg1725z00_4153;
																uint64_t BgL_arg1726z00_4154;

																BgL_arg1725z00_4153 =
																	BGl_Sigma1zd2512zd2zz__sha2z00(BgL_ez00_1940);
																{	/* Unsafe/sha2.scm 898 */
																	uint64_t BgL_arg1727z00_4155;
																	uint64_t BgL_arg1729z00_4156;

																	BgL_arg1727z00_4155 =
																		(
																		(BgL_ez00_1940 & BgL_fz00_1941) ^
																		(~(BgL_ez00_1940) & BgL_gz00_1942));
																	{	/* Unsafe/sha2.scm 898 */
																		uint64_t BgL_arg1730z00_4157;

																		BgL_arg1730z00_4157 =
																			BGL_U64VREF(BGl_K512z00zz__sha2z00,
																			BgL_jz00_1944);
																		BgL_arg1729z00_4156 =
																			(BgL_arg1730z00_4157 + BgL_wz00_1959);
																	}
																	BgL_arg1726z00_4154 =
																		(BgL_arg1727z00_4155 + BgL_arg1729z00_4156);
																}
																BgL_arg1724z00_4152 =
																	(BgL_arg1725z00_4153 + BgL_arg1726z00_4154);
															}
															BgL_t1z00_1960 =
																(BgL_hz00_1943 + BgL_arg1724z00_4152);
														}
														{	/* Unsafe/sha2.scm 944 */
															uint64_t BgL_t2z00_1961;

															BgL_t2z00_1961 =
																(
																(((BgL_az00_1936 >>
																			(int) (28L)) |
																		(BgL_az00_1936 <<
																			(int) (
																				(64L - 28L)))) ^
																	(((BgL_az00_1936 >>
																				(int) (34L)) |
																			(BgL_az00_1936 <<
																				(int) (
																					(64L - 34L)))) ^
																		((BgL_az00_1936 >>
																				(int) (39L)) |
																			(BgL_az00_1936 <<
																				(int) (
																					(64L - 39L)))))) +
																((BgL_az00_1936 & BgL_bz00_1937) ^
																	((BgL_az00_1936 & BgL_cz00_1938) ^
																		(BgL_bz00_1937 & BgL_cz00_1938))));
															{	/* Unsafe/sha2.scm 945 */

																BGL_U64VSET(BgL_bufferz00_53, BgL_ndxz00_1958,
																	BgL_wz00_1959);
																BUNSPEC;
																{
																	long BgL_jz00_6498;
																	uint64_t BgL_hz00_6497;
																	uint64_t BgL_gz00_6496;
																	uint64_t BgL_fz00_6495;
																	uint64_t BgL_ez00_6493;
																	uint64_t BgL_dz00_6492;
																	uint64_t BgL_cz00_6491;
																	uint64_t BgL_bz00_6490;
																	uint64_t BgL_az00_6488;

																	BgL_az00_6488 =
																		(BgL_t1z00_1960 + BgL_t2z00_1961);
																	BgL_bz00_6490 = BgL_az00_1936;
																	BgL_cz00_6491 = BgL_bz00_1937;
																	BgL_dz00_6492 = BgL_cz00_1938;
																	BgL_ez00_6493 =
																		(BgL_dz00_1939 + BgL_t1z00_1960);
																	BgL_fz00_6495 = BgL_ez00_1940;
																	BgL_gz00_6496 = BgL_fz00_1941;
																	BgL_hz00_6497 = BgL_gz00_1942;
																	BgL_jz00_6498 = (BgL_jz00_1944 + 1L);
																	BgL_jz00_1944 = BgL_jz00_6498;
																	BgL_hz00_1943 = BgL_hz00_6497;
																	BgL_gz00_1942 = BgL_gz00_6496;
																	BgL_fz00_1941 = BgL_fz00_6495;
																	BgL_ez00_1940 = BgL_ez00_6493;
																	BgL_dz00_1939 = BgL_dz00_6492;
																	BgL_cz00_1938 = BgL_cz00_6491;
																	BgL_bz00_1937 = BgL_bz00_6490;
																	BgL_az00_1936 = BgL_az00_6488;
																	goto BgL_zc3z04anonymousza31676ze3z87_1945;
																}
															}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/sha2.scm 939 */
										BgL_statez00_2009 = BgL_statez00_52;
										BgL_az00_2010 = BgL_az00_1936;
										BgL_bz00_2011 = BgL_bz00_1937;
										BgL_cz00_2012 = BgL_cz00_1938;
										BgL_dz00_2013 = BgL_dz00_1939;
										BgL_ez00_2014 = BgL_ez00_1940;
										BgL_fz00_2015 = BgL_fz00_1941;
										BgL_gz00_2016 = BgL_gz00_1942;
										BgL_hz00_2017 = BgL_hz00_1943;
										{	/* Unsafe/sha2.scm 906 */
											uint64_t BgL_oaz00_2019;
											uint64_t BgL_obz00_2020;
											uint64_t BgL_ocz00_2021;
											uint64_t BgL_odz00_2022;
											uint64_t BgL_oez00_2023;
											uint64_t BgL_ofz00_2024;
											uint64_t BgL_ogz00_2025;
											uint64_t BgL_ohz00_2026;

											BgL_oaz00_2019 = BGL_U64VREF(BgL_statez00_2009, 0L);
											BgL_obz00_2020 = BGL_U64VREF(BgL_statez00_2009, 1L);
											BgL_ocz00_2021 = BGL_U64VREF(BgL_statez00_2009, 2L);
											BgL_odz00_2022 = BGL_U64VREF(BgL_statez00_2009, 3L);
											BgL_oez00_2023 = BGL_U64VREF(BgL_statez00_2009, 4L);
											BgL_ofz00_2024 = BGL_U64VREF(BgL_statez00_2009, 5L);
											BgL_ogz00_2025 = BGL_U64VREF(BgL_statez00_2009, 6L);
											BgL_ohz00_2026 = BGL_U64VREF(BgL_statez00_2009, 7L);
											{	/* Unsafe/sha2.scm 915 */
												uint64_t BgL_arg1734z00_2028;

												BgL_arg1734z00_2028 = (BgL_oaz00_2019 + BgL_az00_2010);
												BGL_U64VSET(BgL_statez00_2009, 0L, BgL_arg1734z00_2028);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 916 */
												uint64_t BgL_arg1735z00_2029;

												BgL_arg1735z00_2029 = (BgL_obz00_2020 + BgL_bz00_2011);
												BGL_U64VSET(BgL_statez00_2009, 1L, BgL_arg1735z00_2029);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 917 */
												uint64_t BgL_arg1736z00_2030;

												BgL_arg1736z00_2030 = (BgL_ocz00_2021 + BgL_cz00_2012);
												BGL_U64VSET(BgL_statez00_2009, 2L, BgL_arg1736z00_2030);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 918 */
												uint64_t BgL_arg1738z00_2031;

												BgL_arg1738z00_2031 = (BgL_odz00_2022 + BgL_dz00_2013);
												BGL_U64VSET(BgL_statez00_2009, 3L, BgL_arg1738z00_2031);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 919 */
												uint64_t BgL_arg1739z00_2032;

												BgL_arg1739z00_2032 = (BgL_oez00_2023 + BgL_ez00_2014);
												BGL_U64VSET(BgL_statez00_2009, 4L, BgL_arg1739z00_2032);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 920 */
												uint64_t BgL_arg1741z00_2033;

												BgL_arg1741z00_2033 = (BgL_ofz00_2024 + BgL_fz00_2015);
												BGL_U64VSET(BgL_statez00_2009, 5L, BgL_arg1741z00_2033);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 921 */
												uint64_t BgL_arg1742z00_2034;

												BgL_arg1742z00_2034 = (BgL_ogz00_2025 + BgL_gz00_2016);
												BGL_U64VSET(BgL_statez00_2009, 6L, BgL_arg1742z00_2034);
												BUNSPEC;
											}
											{	/* Unsafe/sha2.scm 922 */
												uint64_t BgL_arg1743z00_2035;

												BgL_arg1743z00_2035 = (BgL_ohz00_2026 + BgL_hz00_2017);
												BGL_U64VSET(BgL_statez00_2009, 7L, BgL_arg1743z00_2035);
												BUNSPEC;
											}
										}
										return BgL_statez00_52;
									}
							}
					}
				}
			}
		}

	}



/* sha512-update */
	obj_t BGl_sha512zd2updatezd2zz__sha2z00(obj_t BgL_statez00_54,
		obj_t BgL_bufferz00_55, obj_t BgL_oz00_56, obj_t BgL_fillzd2wordz12zc0_57)
	{
		{	/* Unsafe/sha2.scm 955 */
			{
				obj_t BgL_bufferz00_2061;
				long BgL_iz00_2062;

				{
					long BgL_iz00_2044;
					long BgL_lz00_2045;

					BgL_iz00_2044 = 0L;
					BgL_lz00_2045 = 0L;
				BgL_zc3z04anonymousza31744ze3z87_2046:
					{	/* Unsafe/sha2.scm 975 */
						long BgL_bytesz00_2047;

						BgL_bufferz00_2061 = BgL_bufferz00_55;
						BgL_iz00_2062 = BgL_iz00_2044;
						{
							long BgL_jz00_4245;
							long BgL_iz00_4246;
							long BgL_nz00_4247;

							BgL_jz00_4245 = 0L;
							BgL_iz00_4246 = BgL_iz00_2062;
							BgL_nz00_4247 = 0L;
						BgL_loopz00_4244:
							if ((BgL_jz00_4245 < 16L))
								{	/* Unsafe/sha2.scm 964 */
									long BgL_arg1758z00_4250;
									long BgL_arg1759z00_4251;
									long BgL_arg1760z00_4252;

									BgL_arg1758z00_4250 = (BgL_jz00_4245 + 1L);
									BgL_arg1759z00_4251 = (BgL_iz00_4246 + 8L);
									{	/* Unsafe/sha2.scm 964 */
										long BgL_b1147z00_4255;

										BgL_b1147z00_4255 =
											((long (*)(obj_t, obj_t, long, obj_t,
													long))
											PROCEDURE_L_ENTRY(BgL_fillzd2wordz12zc0_57))
											(BgL_fillzd2wordz12zc0_57, BgL_bufferz00_2061,
											BgL_jz00_4245, BgL_oz00_56, BgL_iz00_4246);
										BgL_arg1760z00_4252 = (BgL_nz00_4247 + BgL_b1147z00_4255);
									}
									{
										long BgL_nz00_6538;
										long BgL_iz00_6537;
										long BgL_jz00_6536;

										BgL_jz00_6536 = BgL_arg1758z00_4250;
										BgL_iz00_6537 = BgL_arg1759z00_4251;
										BgL_nz00_6538 = BgL_arg1760z00_4252;
										BgL_nz00_4247 = BgL_nz00_6538;
										BgL_iz00_4246 = BgL_iz00_6537;
										BgL_jz00_4245 = BgL_jz00_6536;
										goto BgL_loopz00_4244;
									}
								}
							else
								{	/* Unsafe/sha2.scm 963 */
									BgL_bytesz00_2047 = BgL_nz00_4247;
								}
						}
						if ((BgL_bytesz00_2047 == 128L))
							{	/* Unsafe/sha2.scm 977 */
								BGl_sha512zd2internalzd2transformz00zz__sha2z00(BgL_statez00_54,
									BgL_bufferz00_55);
								{
									long BgL_lz00_6544;
									long BgL_iz00_6542;

									BgL_iz00_6542 = (BgL_iz00_2044 + 128L);
									BgL_lz00_6544 = (BgL_lz00_2045 + 128L);
									BgL_lz00_2045 = BgL_lz00_6544;
									BgL_iz00_2044 = BgL_iz00_6542;
									goto BgL_zc3z04anonymousza31744ze3z87_2046;
								}
							}
						else
							{	/* Unsafe/sha2.scm 977 */
								if (((128L - BgL_bytesz00_2047) >= 8L))
									{	/* Unsafe/sha2.scm 981 */
										{	/* Unsafe/sha2.scm 984 */
											uint64_t BgL_ulenz00_2053;

											{	/* Unsafe/sha2.scm 984 */
												long BgL_tmpz00_6549;

												BgL_tmpz00_6549 =
													(8L * ((BgL_lz00_2045 - 1L) + BgL_bytesz00_2047));
												BgL_ulenz00_2053 = (uint64_t) (BgL_tmpz00_6549);
											}
											BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2053);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
								else
									{	/* Unsafe/sha2.scm 981 */
										BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
										{
											long BgL_iz00_4283;

											BgL_iz00_4283 = 0L;
										BgL_loopz00_4282:
											if ((BgL_iz00_4283 < 15L))
												{	/* Unsafe/sha2.scm 969 */
													BGL_U64VSET(BgL_bufferz00_55, BgL_iz00_4283,
														(uint64_t) (0));
													BUNSPEC;
													{
														long BgL_iz00_6560;

														BgL_iz00_6560 = (BgL_iz00_4283 + 1L);
														BgL_iz00_4283 = BgL_iz00_6560;
														goto BgL_loopz00_4282;
													}
												}
											else
												{	/* Unsafe/sha2.scm 969 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha2.scm 991 */
											uint64_t BgL_ulenz00_2056;

											{	/* Unsafe/sha2.scm 991 */
												long BgL_tmpz00_6562;

												BgL_tmpz00_6562 =
													(8L * ((BgL_lz00_2045 - 1L) + BgL_bytesz00_2047));
												BgL_ulenz00_2056 = (uint64_t) (BgL_tmpz00_6562);
											}
											BGL_U64VSET(BgL_bufferz00_55, 15L, BgL_ulenz00_2056);
											BUNSPEC;
										}
										return
											BGl_sha512zd2internalzd2transformz00zz__sha2z00
											(BgL_statez00_54, BgL_bufferz00_55);
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2mmapzd2zz__sha2z00(obj_t BgL_mmz00_58)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_fillzd2word64zd2mmapz12z12_4896;

				{
					int BgL_tmpz00_6569;

					BgL_tmpz00_6569 = (int) (1L);
					BgL_fillzd2word64zd2mmapz12z12_4896 =
						MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00,
						BgL_tmpz00_6569);
				}
				PROCEDURE_L_SET(BgL_fillzd2word64zd2mmapz12z12_4896,
					(int) (0L), BgL_mmz00_58);
				{	/* Unsafe/sha2.scm 1045 */
					obj_t BgL_statez00_2090;
					obj_t BgL_bufferz00_2091;

					BgL_statez00_2090 =
						BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
					{	/* Llib/srfi4.scm 453 */

						BgL_bufferz00_2091 =
							BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
					}
					BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2090,
						BgL_bufferz00_2091, BgL_mmz00_58,
						BgL_fillzd2word64zd2mmapz12z12_4896);
					return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2090);
				}
			}
		}

	}



/* &sha512sum-mmap */
	obj_t BGl_z62sha512sumzd2mmapzb0zz__sha2z00(obj_t BgL_envz00_4897,
		obj_t BgL_mmz00_4898)
	{
		{	/* Unsafe/sha2.scm 998 */
			{	/* Unsafe/sha2.scm 1001 */
				obj_t BgL_auxz00_6578;

				if (BGL_MMAPP(BgL_mmz00_4898))
					{	/* Unsafe/sha2.scm 1001 */
						BgL_auxz00_6578 = BgL_mmz00_4898;
					}
				else
					{
						obj_t BgL_auxz00_6581;

						BgL_auxz00_6581 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(41684L), BGl_string2396z00zz__sha2z00,
							BGl_string2387z00zz__sha2z00, BgL_mmz00_4898);
						FAILURE(BgL_auxz00_6581, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_auxz00_6578);
			}
		}

	}



/* &fill-word64-mmap! */
	long BGl_z62fillzd2word64zd2mmapz12z70zz__sha2z00(obj_t BgL_envz00_4899,
		obj_t BgL_v64z00_4901, long BgL_iz00_4902, obj_t BgL_mmz00_4903,
		long BgL_nz00_4904)
	{
		{	/* Unsafe/sha2.scm 1043 */
			{	/* Unsafe/sha2.scm 1004 */
				obj_t BgL_mmz00_4900;

				BgL_mmz00_4900 = ((obj_t) PROCEDURE_L_REF(BgL_envz00_4899, (int) (0L)));
				{	/* Unsafe/sha2.scm 1004 */
					long BgL_lz00_5105;

					{	/* Unsafe/sha2.scm 1004 */
						obj_t BgL_tmpz00_6589;

						BgL_tmpz00_6589 = ((obj_t) BgL_mmz00_4903);
						BgL_lz00_5105 = BGL_MMAP_LENGTH(BgL_tmpz00_6589);
					}
					{	/* Unsafe/sha2.scm 1006 */
						bool_t BgL_test2474z00_6592;

						{	/* Unsafe/sha2.scm 1006 */
							long BgL_n2z00_5106;

							BgL_n2z00_5106 = (long) (BgL_lz00_5105);
							BgL_test2474z00_6592 = ((BgL_nz00_4904 + 8L) <= BgL_n2z00_5106);
						}
						if (BgL_test2474z00_6592)
							{	/* Unsafe/sha2.scm 1007 */
								uint32_t BgL_v0z00_5107;

								{	/* Unsafe/sha2.scm 1001 */
									unsigned char BgL_arg1767z00_5108;

									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6596;

										BgL_tmpz00_6596 = (long) (BgL_nz00_4904);
										BgL_arg1767z00_5108 =
											BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6596);
									}
									{	/* Unsafe/sha2.scm 1001 */
										long BgL_tmpz00_6599;

										BgL_tmpz00_6599 = (BgL_arg1767z00_5108);
										BgL_v0z00_5107 = (uint32_t) (BgL_tmpz00_6599);
								}}
								{	/* Unsafe/sha2.scm 1007 */
									uint32_t BgL_v1z00_5109;

									{	/* Unsafe/sha2.scm 1008 */
										long BgL_arg1803z00_5110;

										BgL_arg1803z00_5110 = (BgL_nz00_4904 + 1L);
										{	/* Unsafe/sha2.scm 1001 */
											unsigned char BgL_arg1767z00_5111;

											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6603;

												BgL_tmpz00_6603 = (long) (BgL_arg1803z00_5110);
												BgL_arg1767z00_5111 =
													BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6603);
											}
											{	/* Unsafe/sha2.scm 1001 */
												long BgL_tmpz00_6606;

												BgL_tmpz00_6606 = (BgL_arg1767z00_5111);
												BgL_v1z00_5109 = (uint32_t) (BgL_tmpz00_6606);
									}}}
									{	/* Unsafe/sha2.scm 1008 */
										uint32_t BgL_v2z00_5112;

										{	/* Unsafe/sha2.scm 1009 */
											long BgL_arg1802z00_5113;

											BgL_arg1802z00_5113 = (BgL_nz00_4904 + 2L);
											{	/* Unsafe/sha2.scm 1001 */
												unsigned char BgL_arg1767z00_5114;

												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6610;

													BgL_tmpz00_6610 = (long) (BgL_arg1802z00_5113);
													BgL_arg1767z00_5114 =
														BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6610);
												}
												{	/* Unsafe/sha2.scm 1001 */
													long BgL_tmpz00_6613;

													BgL_tmpz00_6613 = (BgL_arg1767z00_5114);
													BgL_v2z00_5112 = (uint32_t) (BgL_tmpz00_6613);
										}}}
										{	/* Unsafe/sha2.scm 1009 */
											uint32_t BgL_v3z00_5115;

											{	/* Unsafe/sha2.scm 1010 */
												long BgL_arg1801z00_5116;

												BgL_arg1801z00_5116 = (BgL_nz00_4904 + 3L);
												{	/* Unsafe/sha2.scm 1001 */
													unsigned char BgL_arg1767z00_5117;

													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6617;

														BgL_tmpz00_6617 = (long) (BgL_arg1801z00_5116);
														BgL_arg1767z00_5117 =
															BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6617);
													}
													{	/* Unsafe/sha2.scm 1001 */
														long BgL_tmpz00_6620;

														BgL_tmpz00_6620 = (BgL_arg1767z00_5117);
														BgL_v3z00_5115 = (uint32_t) (BgL_tmpz00_6620);
											}}}
											{	/* Unsafe/sha2.scm 1010 */
												uint32_t BgL_v4z00_5118;

												{	/* Unsafe/sha2.scm 1011 */
													long BgL_arg1800z00_5119;

													BgL_arg1800z00_5119 = (BgL_nz00_4904 + 4L);
													{	/* Unsafe/sha2.scm 1001 */
														unsigned char BgL_arg1767z00_5120;

														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6624;

															BgL_tmpz00_6624 = (long) (BgL_arg1800z00_5119);
															BgL_arg1767z00_5120 =
																BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6624);
														}
														{	/* Unsafe/sha2.scm 1001 */
															long BgL_tmpz00_6627;

															BgL_tmpz00_6627 = (BgL_arg1767z00_5120);
															BgL_v4z00_5118 = (uint32_t) (BgL_tmpz00_6627);
												}}}
												{	/* Unsafe/sha2.scm 1011 */
													uint32_t BgL_v5z00_5121;

													{	/* Unsafe/sha2.scm 1012 */
														long BgL_arg1799z00_5122;

														BgL_arg1799z00_5122 = (BgL_nz00_4904 + 5L);
														{	/* Unsafe/sha2.scm 1001 */
															unsigned char BgL_arg1767z00_5123;

															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6631;

																BgL_tmpz00_6631 = (long) (BgL_arg1799z00_5122);
																BgL_arg1767z00_5123 =
																	BGL_MMAP_REF(BgL_mmz00_4900, BgL_tmpz00_6631);
															}
															{	/* Unsafe/sha2.scm 1001 */
																long BgL_tmpz00_6634;

																BgL_tmpz00_6634 = (BgL_arg1767z00_5123);
																BgL_v5z00_5121 = (uint32_t) (BgL_tmpz00_6634);
													}}}
													{	/* Unsafe/sha2.scm 1012 */
														uint32_t BgL_v6z00_5124;

														{	/* Unsafe/sha2.scm 1013 */
															long BgL_arg1798z00_5125;

															BgL_arg1798z00_5125 = (BgL_nz00_4904 + 6L);
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1767z00_5126;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6638;

																	BgL_tmpz00_6638 =
																		(long) (BgL_arg1798z00_5125);
																	BgL_arg1767z00_5126 =
																		BGL_MMAP_REF(BgL_mmz00_4900,
																		BgL_tmpz00_6638);
																}
																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6641;

																	BgL_tmpz00_6641 = (BgL_arg1767z00_5126);
																	BgL_v6z00_5124 = (uint32_t) (BgL_tmpz00_6641);
														}}}
														{	/* Unsafe/sha2.scm 1013 */
															uint32_t BgL_v7z00_5127;

															{	/* Unsafe/sha2.scm 1014 */
																long BgL_arg1797z00_5128;

																BgL_arg1797z00_5128 = (BgL_nz00_4904 + 7L);
																{	/* Unsafe/sha2.scm 1001 */
																	unsigned char BgL_arg1767z00_5129;

																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6645;

																		BgL_tmpz00_6645 =
																			(long) (BgL_arg1797z00_5128);
																		BgL_arg1767z00_5129 =
																			BGL_MMAP_REF(BgL_mmz00_4900,
																			BgL_tmpz00_6645);
																	}
																	{	/* Unsafe/sha2.scm 1001 */
																		long BgL_tmpz00_6648;

																		BgL_tmpz00_6648 = (BgL_arg1767z00_5129);
																		BgL_v7z00_5127 =
																			(uint32_t) (BgL_tmpz00_6648);
															}}}
															{	/* Unsafe/sha2.scm 1014 */
																uint64_t BgL_vz00_5130;

																{	/* Unsafe/sha2.scm 1015 */
																	uint64_t BgL_arg1771z00_5131;
																	uint64_t BgL_arg1773z00_5132;

																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1774z00_5133;

																		{	/* Unsafe/sha2.scm 1015 */
																			long BgL_arg1775z00_5134;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1776z00_5135;
																				long BgL_arg1777z00_5136;

																				{	/* Unsafe/sha2.scm 1015 */
																					uint32_t BgL_tmpz00_6651;

																					BgL_tmpz00_6651 =
																						(BgL_v0z00_5107 << (int) (8L));
																					BgL_arg1776z00_5135 =
																						(long) (BgL_tmpz00_6651);
																				}
																				BgL_arg1777z00_5136 =
																					(long) (BgL_v1z00_5109);
																				BgL_arg1775z00_5134 =
																					(BgL_arg1776z00_5135 |
																					BgL_arg1777z00_5136);
																			}
																			BgL_arg1774z00_5133 =
																				(uint64_t) (BgL_arg1775z00_5134);
																		}
																		BgL_arg1771z00_5131 =
																			(BgL_arg1774z00_5133 << (int) (48L));
																	}
																	{	/* Unsafe/sha2.scm 1015 */
																		uint64_t BgL_arg1779z00_5137;
																		uint64_t BgL_arg1780z00_5138;

																		{	/* Unsafe/sha2.scm 1015 */
																			uint64_t BgL_arg1781z00_5139;

																			{	/* Unsafe/sha2.scm 1015 */
																				long BgL_arg1782z00_5140;

																				{	/* Unsafe/sha2.scm 1015 */
																					long BgL_arg1783z00_5141;
																					long BgL_arg1784z00_5142;

																					{	/* Unsafe/sha2.scm 1015 */
																						uint32_t BgL_tmpz00_6660;

																						BgL_tmpz00_6660 =
																							(BgL_v2z00_5112 << (int) (8L));
																						BgL_arg1783z00_5141 =
																							(long) (BgL_tmpz00_6660);
																					}
																					BgL_arg1784z00_5142 =
																						(long) (BgL_v3z00_5115);
																					BgL_arg1782z00_5140 =
																						(BgL_arg1783z00_5141 |
																						BgL_arg1784z00_5142);
																				}
																				BgL_arg1781z00_5139 =
																					(uint64_t) (BgL_arg1782z00_5140);
																			}
																			BgL_arg1779z00_5137 =
																				(BgL_arg1781z00_5139 << (int) (32L));
																		}
																		{	/* Unsafe/sha2.scm 1016 */
																			uint64_t BgL_arg1786z00_5143;
																			uint64_t BgL_arg1787z00_5144;

																			{	/* Unsafe/sha2.scm 1016 */
																				uint64_t BgL_arg1788z00_5145;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1789z00_5146;

																					{	/* Unsafe/sha2.scm 1016 */
																						long BgL_arg1790z00_5147;
																						long BgL_arg1791z00_5148;

																						{	/* Unsafe/sha2.scm 1016 */
																							uint32_t BgL_tmpz00_6669;

																							BgL_tmpz00_6669 =
																								(BgL_v4z00_5118 << (int) (8L));
																							BgL_arg1790z00_5147 =
																								(long) (BgL_tmpz00_6669);
																						}
																						BgL_arg1791z00_5148 =
																							(long) (BgL_v5z00_5121);
																						BgL_arg1789z00_5146 =
																							(BgL_arg1790z00_5147 |
																							BgL_arg1791z00_5148);
																					}
																					BgL_arg1788z00_5145 =
																						(uint64_t) (BgL_arg1789z00_5146);
																				}
																				BgL_arg1786z00_5143 =
																					(BgL_arg1788z00_5145 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 1016 */
																				long BgL_arg1793z00_5149;

																				{	/* Unsafe/sha2.scm 1016 */
																					long BgL_arg1794z00_5150;
																					long BgL_arg1795z00_5151;

																					{	/* Unsafe/sha2.scm 1016 */
																						uint32_t BgL_tmpz00_6678;

																						BgL_tmpz00_6678 =
																							(BgL_v6z00_5124 << (int) (8L));
																						BgL_arg1794z00_5150 =
																							(long) (BgL_tmpz00_6678);
																					}
																					BgL_arg1795z00_5151 =
																						(long) (BgL_v7z00_5127);
																					BgL_arg1793z00_5149 =
																						(BgL_arg1794z00_5150 |
																						BgL_arg1795z00_5151);
																				}
																				BgL_arg1787z00_5144 =
																					(uint64_t) (BgL_arg1793z00_5149);
																			}
																			BgL_arg1780z00_5138 =
																				(BgL_arg1786z00_5143 |
																				BgL_arg1787z00_5144);
																		}
																		BgL_arg1773z00_5132 =
																			(BgL_arg1779z00_5137 |
																			BgL_arg1780z00_5138);
																	}
																	BgL_vz00_5130 =
																		(BgL_arg1771z00_5131 | BgL_arg1773z00_5132);
																}
																{	/* Unsafe/sha2.scm 1015 */

																	BGL_U64VSET(BgL_v64z00_4901, BgL_iz00_4902,
																		BgL_vz00_5130);
																	BUNSPEC;
																	return 8L;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 1019 */
								bool_t BgL_test2475z00_6689;

								{	/* Unsafe/sha2.scm 1019 */
									long BgL_tmpz00_6690;

									{	/* Unsafe/sha2.scm 1019 */
										long BgL_za72za7_5152;

										BgL_za72za7_5152 = (long) (BgL_lz00_5105);
										BgL_tmpz00_6690 = (1L + BgL_za72za7_5152);
									}
									BgL_test2475z00_6689 = (BgL_nz00_4904 >= BgL_tmpz00_6690);
								}
								if (BgL_test2475z00_6689)
									{	/* Unsafe/sha2.scm 1019 */
										BGL_U64VSET(BgL_v64z00_4901, BgL_iz00_4902, (uint64_t) (0));
										BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 1023 */
										obj_t BgL_vz00_5153;
										long BgL_kz00_5154;

										BgL_vz00_5153 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
										{	/* Unsafe/sha2.scm 1024 */
											long BgL_tmpz00_6697;

											{	/* Unsafe/sha2.scm 1024 */
												long BgL_za72za7_5155;

												BgL_za72za7_5155 = (long) (BgL_lz00_5105);
												BgL_tmpz00_6697 =
													((BgL_nz00_4904 + 8L) - BgL_za72za7_5155);
											}
											BgL_kz00_5154 = (8L - BgL_tmpz00_6697);
										}
										{
											long BgL_jz00_5157;

											BgL_jz00_5157 = 0L;
										BgL_loopz00_5156:
											if ((BgL_jz00_5157 == BgL_kz00_5154))
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1028 */
														uint32_t BgL_tmpz00_6704;

														BgL_tmpz00_6704 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5153, BgL_jz00_5157,
															BgL_tmpz00_6704);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 1029 */
														uint32_t BgL_v0z00_5158;

														BgL_v0z00_5158 = BGL_U32VREF(BgL_vz00_5153, 0L);
														{	/* Unsafe/sha2.scm 1029 */
															uint32_t BgL_v1z00_5159;

															BgL_v1z00_5159 = BGL_U32VREF(BgL_vz00_5153, 1L);
															{	/* Unsafe/sha2.scm 1030 */
																uint32_t BgL_v2z00_5160;

																BgL_v2z00_5160 = BGL_U32VREF(BgL_vz00_5153, 2L);
																{	/* Unsafe/sha2.scm 1031 */
																	uint32_t BgL_v3z00_5161;

																	BgL_v3z00_5161 =
																		BGL_U32VREF(BgL_vz00_5153, 3L);
																	{	/* Unsafe/sha2.scm 1032 */
																		uint32_t BgL_v4z00_5162;

																		BgL_v4z00_5162 =
																			BGL_U32VREF(BgL_vz00_5153, 4L);
																		{	/* Unsafe/sha2.scm 1033 */
																			uint32_t BgL_v5z00_5163;

																			BgL_v5z00_5163 =
																				BGL_U32VREF(BgL_vz00_5153, 5L);
																			{	/* Unsafe/sha2.scm 1034 */
																				uint32_t BgL_v6z00_5164;

																				BgL_v6z00_5164 =
																					BGL_U32VREF(BgL_vz00_5153, 6L);
																				{	/* Unsafe/sha2.scm 1035 */
																					uint32_t BgL_v7z00_5165;

																					BgL_v7z00_5165 =
																						BGL_U32VREF(BgL_vz00_5153, 7L);
																					{	/* Unsafe/sha2.scm 1036 */
																						uint64_t BgL_vz00_5166;

																						{	/* Unsafe/sha2.scm 1037 */
																							uint64_t BgL_arg1808z00_5167;
																							uint64_t BgL_arg1809z00_5168;

																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1810z00_5169;

																								{	/* Unsafe/sha2.scm 1037 */
																									long BgL_arg1812z00_5170;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1814z00_5171;
																										long BgL_arg1816z00_5172;

																										{	/* Unsafe/sha2.scm 1037 */
																											uint32_t BgL_tmpz00_6715;

																											BgL_tmpz00_6715 =
																												(BgL_v0z00_5158 <<
																												(int) (8L));
																											BgL_arg1814z00_5171 =
																												(long)
																												(BgL_tmpz00_6715);
																										}
																										BgL_arg1816z00_5172 =
																											(long) (BgL_v1z00_5159);
																										BgL_arg1812z00_5170 =
																											(BgL_arg1814z00_5171 |
																											BgL_arg1816z00_5172);
																									}
																									BgL_arg1810z00_5169 =
																										(uint64_t)
																										(BgL_arg1812z00_5170);
																								}
																								BgL_arg1808z00_5167 =
																									(BgL_arg1810z00_5169 <<
																									(int) (48L));
																							}
																							{	/* Unsafe/sha2.scm 1037 */
																								uint64_t BgL_arg1819z00_5173;
																								uint64_t BgL_arg1820z00_5174;

																								{	/* Unsafe/sha2.scm 1037 */
																									uint64_t BgL_arg1821z00_5175;

																									{	/* Unsafe/sha2.scm 1037 */
																										long BgL_arg1822z00_5176;

																										{	/* Unsafe/sha2.scm 1037 */
																											long BgL_arg1823z00_5177;
																											long BgL_arg1824z00_5178;

																											{	/* Unsafe/sha2.scm 1037 */
																												uint32_t
																													BgL_tmpz00_6724;
																												BgL_tmpz00_6724 =
																													(BgL_v2z00_5160 <<
																													(int) (8L));
																												BgL_arg1823z00_5177 =
																													(long)
																													(BgL_tmpz00_6724);
																											}
																											BgL_arg1824z00_5178 =
																												(long) (BgL_v3z00_5161);
																											BgL_arg1822z00_5176 =
																												(BgL_arg1823z00_5177 |
																												BgL_arg1824z00_5178);
																										}
																										BgL_arg1821z00_5175 =
																											(uint64_t)
																											(BgL_arg1822z00_5176);
																									}
																									BgL_arg1819z00_5173 =
																										(BgL_arg1821z00_5175 <<
																										(int) (32L));
																								}
																								{	/* Unsafe/sha2.scm 1038 */
																									uint64_t BgL_arg1826z00_5179;
																									uint64_t BgL_arg1827z00_5180;

																									{	/* Unsafe/sha2.scm 1038 */
																										uint64_t
																											BgL_arg1828z00_5181;
																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1829z00_5182;

																											{	/* Unsafe/sha2.scm 1038 */
																												long
																													BgL_arg1830z00_5183;
																												long
																													BgL_arg1831z00_5184;
																												{	/* Unsafe/sha2.scm 1038 */
																													uint32_t
																														BgL_tmpz00_6733;
																													BgL_tmpz00_6733 =
																														(BgL_v4z00_5162 <<
																														(int) (8L));
																													BgL_arg1830z00_5183 =
																														(long)
																														(BgL_tmpz00_6733);
																												}
																												BgL_arg1831z00_5184 =
																													(long)
																													(BgL_v5z00_5163);
																												BgL_arg1829z00_5182 =
																													(BgL_arg1830z00_5183 |
																													BgL_arg1831z00_5184);
																											}
																											BgL_arg1828z00_5181 =
																												(uint64_t)
																												(BgL_arg1829z00_5182);
																										}
																										BgL_arg1826z00_5179 =
																											(BgL_arg1828z00_5181 <<
																											(int) (16L));
																									}
																									{	/* Unsafe/sha2.scm 1038 */
																										long BgL_arg1833z00_5185;

																										{	/* Unsafe/sha2.scm 1038 */
																											long BgL_arg1834z00_5186;
																											long BgL_arg1835z00_5187;

																											{	/* Unsafe/sha2.scm 1038 */
																												uint32_t
																													BgL_tmpz00_6742;
																												BgL_tmpz00_6742 =
																													(BgL_v6z00_5164 <<
																													(int) (8L));
																												BgL_arg1834z00_5186 =
																													(long)
																													(BgL_tmpz00_6742);
																											}
																											BgL_arg1835z00_5187 =
																												(long) (BgL_v7z00_5165);
																											BgL_arg1833z00_5185 =
																												(BgL_arg1834z00_5186 |
																												BgL_arg1835z00_5187);
																										}
																										BgL_arg1827z00_5180 =
																											(uint64_t)
																											(BgL_arg1833z00_5185);
																									}
																									BgL_arg1820z00_5174 =
																										(BgL_arg1826z00_5179 |
																										BgL_arg1827z00_5180);
																								}
																								BgL_arg1809z00_5168 =
																									(BgL_arg1819z00_5173 |
																									BgL_arg1820z00_5174);
																							}
																							BgL_vz00_5166 =
																								(BgL_arg1808z00_5167 |
																								BgL_arg1809z00_5168);
																						}
																						{	/* Unsafe/sha2.scm 1037 */

																							BGL_U64VSET(BgL_v64z00_4901,
																								BgL_iz00_4902, BgL_vz00_5166);
																							BUNSPEC;
																							return (BgL_jz00_5157 + 1L);
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 1026 */
													{	/* Unsafe/sha2.scm 1042 */
														long BgL_arg1837z00_5188;

														{	/* Unsafe/sha2.scm 1042 */
															long BgL_arg1838z00_5189;

															BgL_arg1838z00_5189 =
																(BgL_nz00_4904 + BgL_jz00_5157);
															{	/* Unsafe/sha2.scm 1001 */
																unsigned char BgL_arg1767z00_5190;

																{	/* Unsafe/sha2.scm 1001 */
																	long BgL_tmpz00_6755;

																	BgL_tmpz00_6755 =
																		(long) (BgL_arg1838z00_5189);
																	BgL_arg1767z00_5190 =
																		BGL_MMAP_REF(BgL_mmz00_4900,
																		BgL_tmpz00_6755);
																}
																BgL_arg1837z00_5188 = (BgL_arg1767z00_5190);
														}}
														{	/* Unsafe/sha2.scm 1042 */
															uint32_t BgL_tmpz00_6759;

															BgL_tmpz00_6759 =
																(uint32_t) (BgL_arg1837z00_5188);
															BGL_U32VSET(BgL_vz00_5153, BgL_jz00_5157,
																BgL_tmpz00_6759);
														} BUNSPEC;
													}
													{
														long BgL_jz00_6762;

														BgL_jz00_6762 = (BgL_jz00_5157 + 1L);
														BgL_jz00_5157 = BgL_jz00_6762;
														goto BgL_loopz00_5156;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2stringzd2zz__sha2z00(obj_t
		BgL_strz00_59)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1100 */
				obj_t BgL_statez00_2202;
				obj_t BgL_bufferz00_2203;

				BgL_statez00_2202 = BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
				{	/* Llib/srfi4.scm 453 */

					BgL_bufferz00_2203 =
						BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
				}
				BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2202, BgL_bufferz00_2203,
					BgL_strz00_59, BGl_proc2397z00zz__sha2z00);
				return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2202);
			}
		}

	}



/* &sha512sum-string */
	obj_t BGl_z62sha512sumzd2stringzb0zz__sha2z00(obj_t BgL_envz00_4906,
		obj_t BgL_strz00_4907)
	{
		{	/* Unsafe/sha2.scm 1053 */
			{	/* Unsafe/sha2.scm 1056 */
				obj_t BgL_auxz00_6768;

				if (STRINGP(BgL_strz00_4907))
					{	/* Unsafe/sha2.scm 1056 */
						BgL_auxz00_6768 = BgL_strz00_4907;
					}
				else
					{
						obj_t BgL_auxz00_6771;

						BgL_auxz00_6771 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(43595L), BGl_string2398z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_strz00_4907);
						FAILURE(BgL_auxz00_6771, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_auxz00_6768);
			}
		}

	}



/* &fill-word64-string! */
	long BGl_z62fillzd2word64zd2stringz12z70zz__sha2z00(obj_t BgL_envz00_4908,
		obj_t BgL_v64z00_4909, long BgL_iz00_4910, obj_t BgL_strz00_4911,
		long BgL_nz00_4912)
	{
		{	/* Unsafe/sha2.scm 1098 */
			{	/* Unsafe/sha2.scm 1059 */
				long BgL_lz00_5195;

				BgL_lz00_5195 = STRING_LENGTH(((obj_t) BgL_strz00_4911));
				if (((BgL_nz00_4912 + 8L) <= BgL_lz00_5195))
					{	/* Unsafe/sha2.scm 1062 */
						uint32_t BgL_v0z00_5196;

						{	/* Unsafe/sha2.scm 1056 */
							long BgL_tmpz00_6781;

							BgL_tmpz00_6781 =
								(STRING_REF(((obj_t) BgL_strz00_4911), BgL_nz00_4912));
							BgL_v0z00_5196 = (uint32_t) (BgL_tmpz00_6781);
						}
						{	/* Unsafe/sha2.scm 1062 */
							uint32_t BgL_v1z00_5197;

							{	/* Unsafe/sha2.scm 1056 */
								long BgL_tmpz00_6786;

								BgL_tmpz00_6786 =
									(STRING_REF(((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 1L)));
								BgL_v1z00_5197 = (uint32_t) (BgL_tmpz00_6786);
							}
							{	/* Unsafe/sha2.scm 1063 */
								uint32_t BgL_v2z00_5198;

								{	/* Unsafe/sha2.scm 1056 */
									long BgL_tmpz00_6792;

									BgL_tmpz00_6792 =
										(STRING_REF(
											((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 2L)));
									BgL_v2z00_5198 = (uint32_t) (BgL_tmpz00_6792);
								}
								{	/* Unsafe/sha2.scm 1064 */
									uint32_t BgL_v3z00_5199;

									{	/* Unsafe/sha2.scm 1056 */
										long BgL_tmpz00_6798;

										BgL_tmpz00_6798 =
											(STRING_REF(
												((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 3L)));
										BgL_v3z00_5199 = (uint32_t) (BgL_tmpz00_6798);
									}
									{	/* Unsafe/sha2.scm 1065 */
										uint32_t BgL_v4z00_5200;

										{	/* Unsafe/sha2.scm 1056 */
											long BgL_tmpz00_6804;

											BgL_tmpz00_6804 =
												(STRING_REF(
													((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 4L)));
											BgL_v4z00_5200 = (uint32_t) (BgL_tmpz00_6804);
										}
										{	/* Unsafe/sha2.scm 1066 */
											uint32_t BgL_v5z00_5201;

											{	/* Unsafe/sha2.scm 1056 */
												long BgL_tmpz00_6810;

												BgL_tmpz00_6810 =
													(STRING_REF(
														((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 5L)));
												BgL_v5z00_5201 = (uint32_t) (BgL_tmpz00_6810);
											}
											{	/* Unsafe/sha2.scm 1067 */
												uint32_t BgL_v6z00_5202;

												{	/* Unsafe/sha2.scm 1056 */
													long BgL_tmpz00_6816;

													BgL_tmpz00_6816 =
														(STRING_REF(
															((obj_t) BgL_strz00_4911), (BgL_nz00_4912 + 6L)));
													BgL_v6z00_5202 = (uint32_t) (BgL_tmpz00_6816);
												}
												{	/* Unsafe/sha2.scm 1068 */
													uint32_t BgL_v7z00_5203;

													{	/* Unsafe/sha2.scm 1056 */
														long BgL_tmpz00_6822;

														BgL_tmpz00_6822 =
															(STRING_REF(
																((obj_t) BgL_strz00_4911),
																(BgL_nz00_4912 + 7L)));
														BgL_v7z00_5203 = (uint32_t) (BgL_tmpz00_6822);
													}
													{	/* Unsafe/sha2.scm 1069 */
														uint64_t BgL_vz00_5204;

														{	/* Unsafe/sha2.scm 1070 */
															uint64_t BgL_arg1850z00_5205;
															uint64_t BgL_arg1851z00_5206;

															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1852z00_5207;

																{	/* Unsafe/sha2.scm 1070 */
																	long BgL_arg1853z00_5208;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1854z00_5209;
																		long BgL_arg1855z00_5210;

																		{	/* Unsafe/sha2.scm 1070 */
																			uint32_t BgL_tmpz00_6828;

																			BgL_tmpz00_6828 =
																				(BgL_v0z00_5196 << (int) (8L));
																			BgL_arg1854z00_5209 =
																				(long) (BgL_tmpz00_6828);
																		}
																		BgL_arg1855z00_5210 =
																			(long) (BgL_v1z00_5197);
																		BgL_arg1853z00_5208 =
																			(BgL_arg1854z00_5209 |
																			BgL_arg1855z00_5210);
																	}
																	BgL_arg1852z00_5207 =
																		(uint64_t) (BgL_arg1853z00_5208);
																}
																BgL_arg1850z00_5205 =
																	(BgL_arg1852z00_5207 << (int) (48L));
															}
															{	/* Unsafe/sha2.scm 1070 */
																uint64_t BgL_arg1857z00_5211;
																uint64_t BgL_arg1860z00_5212;

																{	/* Unsafe/sha2.scm 1070 */
																	uint64_t BgL_arg1861z00_5213;

																	{	/* Unsafe/sha2.scm 1070 */
																		long BgL_arg1864z00_5214;

																		{	/* Unsafe/sha2.scm 1070 */
																			long BgL_arg1866z00_5215;
																			long BgL_arg1867z00_5216;

																			{	/* Unsafe/sha2.scm 1070 */
																				uint32_t BgL_tmpz00_6837;

																				BgL_tmpz00_6837 =
																					(BgL_v2z00_5198 << (int) (8L));
																				BgL_arg1866z00_5215 =
																					(long) (BgL_tmpz00_6837);
																			}
																			BgL_arg1867z00_5216 =
																				(long) (BgL_v3z00_5199);
																			BgL_arg1864z00_5214 =
																				(BgL_arg1866z00_5215 |
																				BgL_arg1867z00_5216);
																		}
																		BgL_arg1861z00_5213 =
																			(uint64_t) (BgL_arg1864z00_5214);
																	}
																	BgL_arg1857z00_5211 =
																		(BgL_arg1861z00_5213 << (int) (32L));
																}
																{	/* Unsafe/sha2.scm 1071 */
																	uint64_t BgL_arg1870z00_5217;
																	uint64_t BgL_arg1872z00_5218;

																	{	/* Unsafe/sha2.scm 1071 */
																		uint64_t BgL_arg1873z00_5219;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1875z00_5220;

																			{	/* Unsafe/sha2.scm 1071 */
																				long BgL_arg1876z00_5221;
																				long BgL_arg1877z00_5222;

																				{	/* Unsafe/sha2.scm 1071 */
																					uint32_t BgL_tmpz00_6846;

																					BgL_tmpz00_6846 =
																						(BgL_v4z00_5200 << (int) (8L));
																					BgL_arg1876z00_5221 =
																						(long) (BgL_tmpz00_6846);
																				}
																				BgL_arg1877z00_5222 =
																					(long) (BgL_v5z00_5201);
																				BgL_arg1875z00_5220 =
																					(BgL_arg1876z00_5221 |
																					BgL_arg1877z00_5222);
																			}
																			BgL_arg1873z00_5219 =
																				(uint64_t) (BgL_arg1875z00_5220);
																		}
																		BgL_arg1870z00_5217 =
																			(BgL_arg1873z00_5219 << (int) (16L));
																	}
																	{	/* Unsafe/sha2.scm 1071 */
																		long BgL_arg1880z00_5223;

																		{	/* Unsafe/sha2.scm 1071 */
																			long BgL_arg1881z00_5224;
																			long BgL_arg1882z00_5225;

																			{	/* Unsafe/sha2.scm 1071 */
																				uint32_t BgL_tmpz00_6855;

																				BgL_tmpz00_6855 =
																					(BgL_v6z00_5202 << (int) (8L));
																				BgL_arg1881z00_5224 =
																					(long) (BgL_tmpz00_6855);
																			}
																			BgL_arg1882z00_5225 =
																				(long) (BgL_v7z00_5203);
																			BgL_arg1880z00_5223 =
																				(BgL_arg1881z00_5224 |
																				BgL_arg1882z00_5225);
																		}
																		BgL_arg1872z00_5218 =
																			(uint64_t) (BgL_arg1880z00_5223);
																	}
																	BgL_arg1860z00_5212 =
																		(BgL_arg1870z00_5217 | BgL_arg1872z00_5218);
																}
																BgL_arg1851z00_5206 =
																	(BgL_arg1857z00_5211 | BgL_arg1860z00_5212);
															}
															BgL_vz00_5204 =
																(BgL_arg1850z00_5205 | BgL_arg1851z00_5206);
														}
														{	/* Unsafe/sha2.scm 1070 */

															BGL_U64VSET(BgL_v64z00_4909, BgL_iz00_4910,
																BgL_vz00_5204);
															BUNSPEC;
															return 8L;
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 1061 */
						if ((BgL_nz00_4912 >= (1L + BgL_lz00_5195)))
							{	/* Unsafe/sha2.scm 1074 */
								{	/* Unsafe/sha2.scm 1075 */
									uint64_t BgL_tmpz00_6869;

									BgL_tmpz00_6869 = (uint64_t) (0L);
									BGL_U64VSET(BgL_v64z00_4909, BgL_iz00_4910, BgL_tmpz00_6869);
								}
								BUNSPEC;
								return 0L;
							}
						else
							{	/* Unsafe/sha2.scm 1078 */
								obj_t BgL_vz00_5226;
								long BgL_kz00_5227;

								BgL_vz00_5226 =
									BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
								BgL_kz00_5227 = (8L - ((BgL_nz00_4912 + 8L) - BgL_lz00_5195));
								{
									long BgL_jz00_5229;

									BgL_jz00_5229 = 0L;
								BgL_loopz00_5228:
									if ((BgL_jz00_5229 == BgL_kz00_5227))
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1083 */
												uint32_t BgL_tmpz00_6879;

												BgL_tmpz00_6879 = (uint32_t) (128L);
												BGL_U32VSET(BgL_vz00_5226, BgL_jz00_5229,
													BgL_tmpz00_6879);
											}
											BUNSPEC;
											{	/* Unsafe/sha2.scm 1084 */
												uint32_t BgL_v0z00_5230;

												BgL_v0z00_5230 = BGL_U32VREF(BgL_vz00_5226, 0L);
												{	/* Unsafe/sha2.scm 1084 */
													uint32_t BgL_v1z00_5231;

													BgL_v1z00_5231 = BGL_U32VREF(BgL_vz00_5226, 1L);
													{	/* Unsafe/sha2.scm 1085 */
														uint32_t BgL_v2z00_5232;

														BgL_v2z00_5232 = BGL_U32VREF(BgL_vz00_5226, 2L);
														{	/* Unsafe/sha2.scm 1086 */
															uint32_t BgL_v3z00_5233;

															BgL_v3z00_5233 = BGL_U32VREF(BgL_vz00_5226, 3L);
															{	/* Unsafe/sha2.scm 1087 */
																uint32_t BgL_v4z00_5234;

																BgL_v4z00_5234 = BGL_U32VREF(BgL_vz00_5226, 4L);
																{	/* Unsafe/sha2.scm 1088 */
																	uint32_t BgL_v5z00_5235;

																	BgL_v5z00_5235 =
																		BGL_U32VREF(BgL_vz00_5226, 5L);
																	{	/* Unsafe/sha2.scm 1089 */
																		uint32_t BgL_v6z00_5236;

																		BgL_v6z00_5236 =
																			BGL_U32VREF(BgL_vz00_5226, 6L);
																		{	/* Unsafe/sha2.scm 1090 */
																			uint32_t BgL_v7z00_5237;

																			BgL_v7z00_5237 =
																				BGL_U32VREF(BgL_vz00_5226, 7L);
																			{	/* Unsafe/sha2.scm 1091 */
																				uint64_t BgL_vz00_5238;

																				{	/* Unsafe/sha2.scm 1092 */
																					uint64_t BgL_arg1897z00_5239;
																					uint64_t BgL_arg1898z00_5240;

																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1899z00_5241;

																						{	/* Unsafe/sha2.scm 1092 */
																							long BgL_arg1900z00_5242;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1901z00_5243;
																								long BgL_arg1905z00_5244;

																								{	/* Unsafe/sha2.scm 1092 */
																									uint32_t BgL_tmpz00_6890;

																									BgL_tmpz00_6890 =
																										(BgL_v0z00_5230 <<
																										(int) (8L));
																									BgL_arg1901z00_5243 =
																										(long) (BgL_tmpz00_6890);
																								}
																								BgL_arg1905z00_5244 =
																									(long) (BgL_v1z00_5231);
																								BgL_arg1900z00_5242 =
																									(BgL_arg1901z00_5243 |
																									BgL_arg1905z00_5244);
																							}
																							BgL_arg1899z00_5241 =
																								(uint64_t)
																								(BgL_arg1900z00_5242);
																						}
																						BgL_arg1897z00_5239 =
																							(BgL_arg1899z00_5241 <<
																							(int) (48L));
																					}
																					{	/* Unsafe/sha2.scm 1092 */
																						uint64_t BgL_arg1909z00_5245;
																						uint64_t BgL_arg1911z00_5246;

																						{	/* Unsafe/sha2.scm 1092 */
																							uint64_t BgL_arg1914z00_5247;

																							{	/* Unsafe/sha2.scm 1092 */
																								long BgL_arg1915z00_5248;

																								{	/* Unsafe/sha2.scm 1092 */
																									long BgL_arg1916z00_5249;
																									long BgL_arg1917z00_5250;

																									{	/* Unsafe/sha2.scm 1092 */
																										uint32_t BgL_tmpz00_6899;

																										BgL_tmpz00_6899 =
																											(BgL_v2z00_5232 <<
																											(int) (8L));
																										BgL_arg1916z00_5249 =
																											(long) (BgL_tmpz00_6899);
																									}
																									BgL_arg1917z00_5250 =
																										(long) (BgL_v3z00_5233);
																									BgL_arg1915z00_5248 =
																										(BgL_arg1916z00_5249 |
																										BgL_arg1917z00_5250);
																								}
																								BgL_arg1914z00_5247 =
																									(uint64_t)
																									(BgL_arg1915z00_5248);
																							}
																							BgL_arg1909z00_5245 =
																								(BgL_arg1914z00_5247 <<
																								(int) (32L));
																						}
																						{	/* Unsafe/sha2.scm 1093 */
																							uint64_t BgL_arg1920z00_5251;
																							uint64_t BgL_arg1921z00_5252;

																							{	/* Unsafe/sha2.scm 1093 */
																								uint64_t BgL_arg1922z00_5253;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1923z00_5254;

																									{	/* Unsafe/sha2.scm 1093 */
																										long BgL_arg1924z00_5255;
																										long BgL_arg1925z00_5256;

																										{	/* Unsafe/sha2.scm 1093 */
																											uint32_t BgL_tmpz00_6908;

																											BgL_tmpz00_6908 =
																												(BgL_v4z00_5234 <<
																												(int) (8L));
																											BgL_arg1924z00_5255 =
																												(long)
																												(BgL_tmpz00_6908);
																										}
																										BgL_arg1925z00_5256 =
																											(long) (BgL_v5z00_5235);
																										BgL_arg1923z00_5254 =
																											(BgL_arg1924z00_5255 |
																											BgL_arg1925z00_5256);
																									}
																									BgL_arg1922z00_5253 =
																										(uint64_t)
																										(BgL_arg1923z00_5254);
																								}
																								BgL_arg1920z00_5251 =
																									(BgL_arg1922z00_5253 <<
																									(int) (16L));
																							}
																							{	/* Unsafe/sha2.scm 1093 */
																								long BgL_arg1927z00_5257;

																								{	/* Unsafe/sha2.scm 1093 */
																									long BgL_arg1928z00_5258;
																									long BgL_arg1929z00_5259;

																									{	/* Unsafe/sha2.scm 1093 */
																										uint32_t BgL_tmpz00_6917;

																										BgL_tmpz00_6917 =
																											(BgL_v6z00_5236 <<
																											(int) (8L));
																										BgL_arg1928z00_5258 =
																											(long) (BgL_tmpz00_6917);
																									}
																									BgL_arg1929z00_5259 =
																										(long) (BgL_v7z00_5237);
																									BgL_arg1927z00_5257 =
																										(BgL_arg1928z00_5258 |
																										BgL_arg1929z00_5259);
																								}
																								BgL_arg1921z00_5252 =
																									(uint64_t)
																									(BgL_arg1927z00_5257);
																							}
																							BgL_arg1911z00_5246 =
																								(BgL_arg1920z00_5251 |
																								BgL_arg1921z00_5252);
																						}
																						BgL_arg1898z00_5240 =
																							(BgL_arg1909z00_5245 |
																							BgL_arg1911z00_5246);
																					}
																					BgL_vz00_5238 =
																						(BgL_arg1897z00_5239 |
																						BgL_arg1898z00_5240);
																				}
																				{	/* Unsafe/sha2.scm 1092 */

																					BGL_U64VSET(BgL_v64z00_4909,
																						BgL_iz00_4910, BgL_vz00_5238);
																					BUNSPEC;
																					return (BgL_jz00_5229 + 1L);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									else
										{	/* Unsafe/sha2.scm 1081 */
											{	/* Unsafe/sha2.scm 1097 */
												long BgL_arg1931z00_5260;

												BgL_arg1931z00_5260 =
													(STRING_REF(
														((obj_t) BgL_strz00_4911),
														(BgL_nz00_4912 + BgL_jz00_5229)));
												{	/* Unsafe/sha2.scm 1097 */
													uint32_t BgL_tmpz00_6933;

													BgL_tmpz00_6933 = (uint32_t) (BgL_arg1931z00_5260);
													BGL_U32VSET(BgL_vz00_5226, BgL_jz00_5229,
														BgL_tmpz00_6933);
												} BUNSPEC;
											}
											{
												long BgL_jz00_6936;

												BgL_jz00_6936 = (BgL_jz00_5229 + 1L);
												BgL_jz00_5229 = BgL_jz00_6936;
												goto BgL_loopz00_5228;
											}
										}
								}
							}
					}
			}
		}

	}



/* sha512sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2portzd2zz__sha2z00(obj_t BgL_pz00_60)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_lenz00_4924;

				BgL_lenz00_4924 = MAKE_CELL(BINT(0L));
				{	/* Unsafe/sha2.scm 1110 */
					obj_t BgL_bufz00_2313;

					{	/* Llib/srfi4.scm 451 */

						BgL_bufz00_2313 =
							BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0));
					}
					{	/* Unsafe/sha2.scm 1131 */
						obj_t BgL_fillzd2word64zd2portz12z12_4913;

						{
							int BgL_tmpz00_6940;

							BgL_tmpz00_6940 = (int) (2L);
							BgL_fillzd2word64zd2portz12z12_4913 =
								MAKE_L_PROCEDURE(BGl_z62fillzd2word64zd2portz12z70zz__sha2z00,
								BgL_tmpz00_6940);
						}
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_4913,
							(int) (0L), BgL_bufz00_2313);
						PROCEDURE_L_SET(BgL_fillzd2word64zd2portz12z12_4913,
							(int) (1L), ((obj_t) BgL_lenz00_4924));
						{	/* Unsafe/sha2.scm 1173 */
							obj_t BgL_statez00_2316;
							obj_t BgL_bufferz00_2317;

							BgL_statez00_2316 =
								BGl_sha512zd2initialzd2hashzd2valuezd2zz__sha2z00();
							{	/* Llib/srfi4.scm 453 */

								BgL_bufferz00_2317 =
									BGl_makezd2u64vectorzd2zz__srfi4z00(16L, (uint64_t) (0));
							}
							BGl_sha512zd2updatezd2zz__sha2z00(BgL_statez00_2316,
								BgL_bufferz00_2317, BgL_pz00_60,
								BgL_fillzd2word64zd2portz12z12_4913);
							return BGl_state64zd2ze3stringz31zz__sha2z00(BgL_statez00_2316);
						}
					}
				}
			}
		}

	}



/* &sha512sum-port */
	obj_t BGl_z62sha512sumzd2portzb0zz__sha2z00(obj_t BgL_envz00_4914,
		obj_t BgL_pz00_4915)
	{
		{	/* Unsafe/sha2.scm 1108 */
			{	/* Unsafe/sha2.scm 1108 */
				obj_t BgL_auxz00_6952;

				if (INPUT_PORTP(BgL_pz00_4915))
					{	/* Unsafe/sha2.scm 1108 */
						BgL_auxz00_6952 = BgL_pz00_4915;
					}
				else
					{
						obj_t BgL_auxz00_6955;

						BgL_auxz00_6955 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(45445L), BGl_string2399z00zz__sha2z00,
							BGl_string2392z00zz__sha2z00, BgL_pz00_4915);
						FAILURE(BgL_auxz00_6955, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_auxz00_6952);
			}
		}

	}



/* &fill-word64-port! */
	long BGl_z62fillzd2word64zd2portz12z70zz__sha2z00(obj_t BgL_envz00_4916,
		obj_t BgL_v64z00_4919, long BgL_iz00_4920, obj_t BgL_pz00_4921,
		long BgL_nz00_4922)
	{
		{	/* Unsafe/sha2.scm 1171 */
			{	/* Unsafe/sha2.scm 1131 */
				obj_t BgL_bufz00_4917;
				obj_t BgL_lenz00_4918;

				BgL_bufz00_4917 =
					((obj_t) PROCEDURE_L_REF(BgL_envz00_4916, (int) (0L)));
				BgL_lenz00_4918 = PROCEDURE_L_REF(BgL_envz00_4916, (int) (1L));
				{
					obj_t BgL_pz00_5266;

					{	/* Unsafe/sha2.scm 1131 */
						long BgL_lz00_5273;

						BgL_pz00_5266 = ((obj_t) BgL_pz00_4921);
						{
							long BgL_iz00_5268;

							BgL_iz00_5268 = 0L;
						BgL_loopz00_5267:
							if ((BgL_iz00_5268 == 4L))
								{	/* Unsafe/sha2.scm 1116 */
									BgL_lz00_5273 = BgL_iz00_5268;
								}
							else
								{	/* Unsafe/sha2.scm 1118 */
									obj_t BgL_cz00_5269;

									BgL_cz00_5269 =
										BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_pz00_5266);
									if (EOF_OBJECTP(BgL_cz00_5269))
										{
											long BgL_jz00_5271;

											BgL_jz00_5271 = BgL_iz00_5268;
										BgL_liipz00_5270:
											if ((BgL_jz00_5271 == 4L))
												{	/* Unsafe/sha2.scm 1121 */
													BgL_lz00_5273 = BgL_iz00_5268;
												}
											else
												{	/* Unsafe/sha2.scm 1121 */
													{	/* Unsafe/sha2.scm 1124 */
														uint32_t BgL_tmpz00_6972;

														BgL_tmpz00_6972 = (uint32_t) (0L);
														BGL_U32VSET(BgL_bufz00_4917, BgL_jz00_5271,
															BgL_tmpz00_6972);
													}
													BUNSPEC;
													{
														long BgL_jz00_6975;

														BgL_jz00_6975 = (BgL_jz00_5271 + 1L);
														BgL_jz00_5271 = BgL_jz00_6975;
														goto BgL_liipz00_5270;
													}
												}
										}
									else
										{	/* Unsafe/sha2.scm 1119 */
											{	/* Unsafe/sha2.scm 1127 */
												uint32_t BgL_arg2010z00_5272;

												{	/* Unsafe/sha2.scm 1127 */
													char BgL_tmpz00_6977;

													BgL_tmpz00_6977 = (signed char) CINT(BgL_cz00_5269);
													BgL_arg2010z00_5272 = (uint32_t) (BgL_tmpz00_6977);
												}
												BGL_U32VSET(BgL_bufz00_4917, BgL_iz00_5268,
													BgL_arg2010z00_5272);
												BUNSPEC;
											}
											{
												long BgL_iz00_6981;

												BgL_iz00_6981 = (BgL_iz00_5268 + 1L);
												BgL_iz00_5268 = BgL_iz00_6981;
												goto BgL_loopz00_5267;
											}
										}
								}
						}
						{	/* Unsafe/sha2.scm 1132 */
							obj_t BgL_auxz00_5274;

							BgL_auxz00_5274 =
								ADDFX(CELL_REF(BgL_lenz00_4918), BINT(BgL_lz00_5273));
							CELL_SET(BgL_lenz00_4918, BgL_auxz00_5274);
						}
						if (((BgL_nz00_4922 + 8L) <= BgL_lz00_5273))
							{	/* Unsafe/sha2.scm 1135 */
								uint32_t BgL_v0z00_5275;

								BgL_v0z00_5275 = BGL_U32VREF(BgL_bufz00_4917, 0L);
								{	/* Unsafe/sha2.scm 1135 */
									uint32_t BgL_v1z00_5276;

									BgL_v1z00_5276 = BGL_U32VREF(BgL_bufz00_4917, 1L);
									{	/* Unsafe/sha2.scm 1136 */
										uint32_t BgL_v2z00_5277;

										BgL_v2z00_5277 = BGL_U32VREF(BgL_bufz00_4917, 2L);
										{	/* Unsafe/sha2.scm 1137 */
											uint32_t BgL_v3z00_5278;

											BgL_v3z00_5278 = BGL_U32VREF(BgL_bufz00_4917, 3L);
											{	/* Unsafe/sha2.scm 1138 */
												uint32_t BgL_v4z00_5279;

												BgL_v4z00_5279 = BGL_U32VREF(BgL_bufz00_4917, 4L);
												{	/* Unsafe/sha2.scm 1139 */
													uint32_t BgL_v5z00_5280;

													BgL_v5z00_5280 = BGL_U32VREF(BgL_bufz00_4917, 5L);
													{	/* Unsafe/sha2.scm 1140 */
														uint32_t BgL_v6z00_5281;

														BgL_v6z00_5281 = BGL_U32VREF(BgL_bufz00_4917, 6L);
														{	/* Unsafe/sha2.scm 1141 */
															uint32_t BgL_v7z00_5282;

															BgL_v7z00_5282 = BGL_U32VREF(BgL_bufz00_4917, 7L);
															{	/* Unsafe/sha2.scm 1142 */
																uint64_t BgL_vz00_5283;

																{	/* Unsafe/sha2.scm 1143 */
																	uint64_t BgL_arg1943z00_5284;
																	uint64_t BgL_arg1944z00_5285;

																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1945z00_5286;

																		{	/* Unsafe/sha2.scm 1143 */
																			long BgL_arg1946z00_5287;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1947z00_5288;
																				long BgL_arg1948z00_5289;

																				{	/* Unsafe/sha2.scm 1143 */
																					uint32_t BgL_tmpz00_6997;

																					BgL_tmpz00_6997 =
																						(BgL_v0z00_5275 << (int) (8L));
																					BgL_arg1947z00_5288 =
																						(long) (BgL_tmpz00_6997);
																				}
																				BgL_arg1948z00_5289 =
																					(long) (BgL_v1z00_5276);
																				BgL_arg1946z00_5287 =
																					(BgL_arg1947z00_5288 |
																					BgL_arg1948z00_5289);
																			}
																			BgL_arg1945z00_5286 =
																				(uint64_t) (BgL_arg1946z00_5287);
																		}
																		BgL_arg1943z00_5284 =
																			(BgL_arg1945z00_5286 << (int) (48L));
																	}
																	{	/* Unsafe/sha2.scm 1143 */
																		uint64_t BgL_arg1950z00_5290;
																		uint64_t BgL_arg1951z00_5291;

																		{	/* Unsafe/sha2.scm 1143 */
																			uint64_t BgL_arg1952z00_5292;

																			{	/* Unsafe/sha2.scm 1143 */
																				long BgL_arg1953z00_5293;

																				{	/* Unsafe/sha2.scm 1143 */
																					long BgL_arg1954z00_5294;
																					long BgL_arg1955z00_5295;

																					{	/* Unsafe/sha2.scm 1143 */
																						uint32_t BgL_tmpz00_7006;

																						BgL_tmpz00_7006 =
																							(BgL_v2z00_5277 << (int) (8L));
																						BgL_arg1954z00_5294 =
																							(long) (BgL_tmpz00_7006);
																					}
																					BgL_arg1955z00_5295 =
																						(long) (BgL_v3z00_5278);
																					BgL_arg1953z00_5293 =
																						(BgL_arg1954z00_5294 |
																						BgL_arg1955z00_5295);
																				}
																				BgL_arg1952z00_5292 =
																					(uint64_t) (BgL_arg1953z00_5293);
																			}
																			BgL_arg1950z00_5290 =
																				(BgL_arg1952z00_5292 << (int) (32L));
																		}
																		{	/* Unsafe/sha2.scm 1144 */
																			uint64_t BgL_arg1957z00_5296;
																			uint64_t BgL_arg1958z00_5297;

																			{	/* Unsafe/sha2.scm 1144 */
																				uint64_t BgL_arg1959z00_5298;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1960z00_5299;

																					{	/* Unsafe/sha2.scm 1144 */
																						long BgL_arg1961z00_5300;
																						long BgL_arg1962z00_5301;

																						{	/* Unsafe/sha2.scm 1144 */
																							uint32_t BgL_tmpz00_7015;

																							BgL_tmpz00_7015 =
																								(BgL_v4z00_5279 << (int) (8L));
																							BgL_arg1961z00_5300 =
																								(long) (BgL_tmpz00_7015);
																						}
																						BgL_arg1962z00_5301 =
																							(long) (BgL_v5z00_5280);
																						BgL_arg1960z00_5299 =
																							(BgL_arg1961z00_5300 |
																							BgL_arg1962z00_5301);
																					}
																					BgL_arg1959z00_5298 =
																						(uint64_t) (BgL_arg1960z00_5299);
																				}
																				BgL_arg1957z00_5296 =
																					(BgL_arg1959z00_5298 << (int) (16L));
																			}
																			{	/* Unsafe/sha2.scm 1144 */
																				long BgL_arg1964z00_5302;

																				{	/* Unsafe/sha2.scm 1144 */
																					long BgL_arg1965z00_5303;
																					long BgL_arg1966z00_5304;

																					{	/* Unsafe/sha2.scm 1144 */
																						uint32_t BgL_tmpz00_7024;

																						BgL_tmpz00_7024 =
																							(BgL_v6z00_5281 << (int) (8L));
																						BgL_arg1965z00_5303 =
																							(long) (BgL_tmpz00_7024);
																					}
																					BgL_arg1966z00_5304 =
																						(long) (BgL_v7z00_5282);
																					BgL_arg1964z00_5302 =
																						(BgL_arg1965z00_5303 |
																						BgL_arg1966z00_5304);
																				}
																				BgL_arg1958z00_5297 =
																					(uint64_t) (BgL_arg1964z00_5302);
																			}
																			BgL_arg1951z00_5291 =
																				(BgL_arg1957z00_5296 |
																				BgL_arg1958z00_5297);
																		}
																		BgL_arg1944z00_5285 =
																			(BgL_arg1950z00_5290 |
																			BgL_arg1951z00_5291);
																	}
																	BgL_vz00_5283 =
																		(BgL_arg1943z00_5284 | BgL_arg1944z00_5285);
																}
																{	/* Unsafe/sha2.scm 1143 */

																	BGL_U64VSET(BgL_v64z00_4919, BgL_iz00_4920,
																		BgL_vz00_5283);
																	BUNSPEC;
																	return 8L;
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						else
							{	/* Unsafe/sha2.scm 1134 */
								if ((BgL_nz00_4922 >= (1L + BgL_lz00_5273)))
									{	/* Unsafe/sha2.scm 1147 */
										{	/* Unsafe/sha2.scm 1148 */
											uint64_t BgL_tmpz00_7038;

											BgL_tmpz00_7038 = (uint64_t) (0L);
											BGL_U64VSET(BgL_v64z00_4919, BgL_iz00_4920,
												BgL_tmpz00_7038);
										}
										BUNSPEC;
										return 0L;
									}
								else
									{	/* Unsafe/sha2.scm 1151 */
										obj_t BgL_vz00_5305;
										long BgL_kz00_5306;

										BgL_vz00_5305 =
											BGl_makezd2u32vectorzd2zz__srfi4z00(8L, (uint32_t) (0L));
										BgL_kz00_5306 =
											(8L - ((BgL_nz00_4922 + 8L) - BgL_lz00_5273));
										{
											long BgL_jz00_5308;

											BgL_jz00_5308 = 0L;
										BgL_loopz00_5307:
											if ((BgL_jz00_5308 == BgL_kz00_5306))
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1156 */
														uint32_t BgL_tmpz00_7048;

														BgL_tmpz00_7048 = (uint32_t) (128L);
														BGL_U32VSET(BgL_vz00_5305, BgL_jz00_5308,
															BgL_tmpz00_7048);
													}
													BUNSPEC;
													{	/* Unsafe/sha2.scm 1157 */
														uint32_t BgL_v0z00_5309;

														BgL_v0z00_5309 = BGL_U32VREF(BgL_vz00_5305, 0L);
														{	/* Unsafe/sha2.scm 1157 */
															uint32_t BgL_v1z00_5310;

															BgL_v1z00_5310 = BGL_U32VREF(BgL_vz00_5305, 1L);
															{	/* Unsafe/sha2.scm 1158 */
																uint32_t BgL_v2z00_5311;

																BgL_v2z00_5311 = BGL_U32VREF(BgL_vz00_5305, 2L);
																{	/* Unsafe/sha2.scm 1159 */
																	uint32_t BgL_v3z00_5312;

																	BgL_v3z00_5312 =
																		BGL_U32VREF(BgL_vz00_5305, 3L);
																	{	/* Unsafe/sha2.scm 1160 */
																		uint32_t BgL_v4z00_5313;

																		BgL_v4z00_5313 =
																			BGL_U32VREF(BgL_vz00_5305, 4L);
																		{	/* Unsafe/sha2.scm 1161 */
																			uint32_t BgL_v5z00_5314;

																			BgL_v5z00_5314 =
																				BGL_U32VREF(BgL_vz00_5305, 5L);
																			{	/* Unsafe/sha2.scm 1162 */
																				uint32_t BgL_v6z00_5315;

																				BgL_v6z00_5315 =
																					BGL_U32VREF(BgL_vz00_5305, 6L);
																				{	/* Unsafe/sha2.scm 1163 */
																					uint32_t BgL_v7z00_5316;

																					BgL_v7z00_5316 =
																						BGL_U32VREF(BgL_vz00_5305, 7L);
																					{	/* Unsafe/sha2.scm 1164 */
																						uint64_t BgL_vz00_5317;

																						{	/* Unsafe/sha2.scm 1165 */
																							uint64_t BgL_arg1972z00_5318;
																							uint64_t BgL_arg1973z00_5319;

																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1974z00_5320;

																								{	/* Unsafe/sha2.scm 1165 */
																									long BgL_arg1975z00_5321;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1976z00_5322;
																										long BgL_arg1977z00_5323;

																										{	/* Unsafe/sha2.scm 1165 */
																											uint32_t BgL_tmpz00_7059;

																											BgL_tmpz00_7059 =
																												(BgL_v0z00_5309 <<
																												(int) (8L));
																											BgL_arg1976z00_5322 =
																												(long)
																												(BgL_tmpz00_7059);
																										}
																										BgL_arg1977z00_5323 =
																											(long) (BgL_v1z00_5310);
																										BgL_arg1975z00_5321 =
																											(BgL_arg1976z00_5322 |
																											BgL_arg1977z00_5323);
																									}
																									BgL_arg1974z00_5320 =
																										(uint64_t)
																										(BgL_arg1975z00_5321);
																								}
																								BgL_arg1972z00_5318 =
																									(BgL_arg1974z00_5320 <<
																									(int) (48L));
																							}
																							{	/* Unsafe/sha2.scm 1165 */
																								uint64_t BgL_arg1979z00_5324;
																								uint64_t BgL_arg1980z00_5325;

																								{	/* Unsafe/sha2.scm 1165 */
																									uint64_t BgL_arg1981z00_5326;

																									{	/* Unsafe/sha2.scm 1165 */
																										long BgL_arg1982z00_5327;

																										{	/* Unsafe/sha2.scm 1165 */
																											long BgL_arg1983z00_5328;
																											long BgL_arg1984z00_5329;

																											{	/* Unsafe/sha2.scm 1165 */
																												uint32_t
																													BgL_tmpz00_7068;
																												BgL_tmpz00_7068 =
																													(BgL_v2z00_5311 <<
																													(int) (8L));
																												BgL_arg1983z00_5328 =
																													(long)
																													(BgL_tmpz00_7068);
																											}
																											BgL_arg1984z00_5329 =
																												(long) (BgL_v3z00_5312);
																											BgL_arg1982z00_5327 =
																												(BgL_arg1983z00_5328 |
																												BgL_arg1984z00_5329);
																										}
																										BgL_arg1981z00_5326 =
																											(uint64_t)
																											(BgL_arg1982z00_5327);
																									}
																									BgL_arg1979z00_5324 =
																										(BgL_arg1981z00_5326 <<
																										(int) (32L));
																								}
																								{	/* Unsafe/sha2.scm 1166 */
																									uint64_t BgL_arg1986z00_5330;
																									uint64_t BgL_arg1987z00_5331;

																									{	/* Unsafe/sha2.scm 1166 */
																										uint64_t
																											BgL_arg1988z00_5332;
																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1989z00_5333;

																											{	/* Unsafe/sha2.scm 1166 */
																												long
																													BgL_arg1990z00_5334;
																												long
																													BgL_arg1991z00_5335;
																												{	/* Unsafe/sha2.scm 1166 */
																													uint32_t
																														BgL_tmpz00_7077;
																													BgL_tmpz00_7077 =
																														(BgL_v4z00_5313 <<
																														(int) (8L));
																													BgL_arg1990z00_5334 =
																														(long)
																														(BgL_tmpz00_7077);
																												}
																												BgL_arg1991z00_5335 =
																													(long)
																													(BgL_v5z00_5314);
																												BgL_arg1989z00_5333 =
																													(BgL_arg1990z00_5334 |
																													BgL_arg1991z00_5335);
																											}
																											BgL_arg1988z00_5332 =
																												(uint64_t)
																												(BgL_arg1989z00_5333);
																										}
																										BgL_arg1986z00_5330 =
																											(BgL_arg1988z00_5332 <<
																											(int) (16L));
																									}
																									{	/* Unsafe/sha2.scm 1166 */
																										long BgL_arg1993z00_5336;

																										{	/* Unsafe/sha2.scm 1166 */
																											long BgL_arg1994z00_5337;
																											long BgL_arg1995z00_5338;

																											{	/* Unsafe/sha2.scm 1166 */
																												uint32_t
																													BgL_tmpz00_7086;
																												BgL_tmpz00_7086 =
																													(BgL_v6z00_5315 <<
																													(int) (8L));
																												BgL_arg1994z00_5337 =
																													(long)
																													(BgL_tmpz00_7086);
																											}
																											BgL_arg1995z00_5338 =
																												(long) (BgL_v7z00_5316);
																											BgL_arg1993z00_5336 =
																												(BgL_arg1994z00_5337 |
																												BgL_arg1995z00_5338);
																										}
																										BgL_arg1987z00_5331 =
																											(uint64_t)
																											(BgL_arg1993z00_5336);
																									}
																									BgL_arg1980z00_5325 =
																										(BgL_arg1986z00_5330 |
																										BgL_arg1987z00_5331);
																								}
																								BgL_arg1973z00_5319 =
																									(BgL_arg1979z00_5324 |
																									BgL_arg1980z00_5325);
																							}
																							BgL_vz00_5317 =
																								(BgL_arg1972z00_5318 |
																								BgL_arg1973z00_5319);
																						}
																						{	/* Unsafe/sha2.scm 1165 */

																							BGL_U64VSET(BgL_v64z00_4919,
																								BgL_iz00_4920, BgL_vz00_5317);
																							BUNSPEC;
																							return (BgL_jz00_5308 + 1L);
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											else
												{	/* Unsafe/sha2.scm 1154 */
													{	/* Unsafe/sha2.scm 1170 */
														uint32_t BgL_arg1997z00_5339;

														BgL_arg1997z00_5339 =
															BGL_U32VREF(BgL_bufz00_4917, BgL_jz00_5308);
														BGL_U32VSET(BgL_vz00_5305, BgL_jz00_5308,
															BgL_arg1997z00_5339);
														BUNSPEC;
													}
													{
														long BgL_jz00_7100;

														BgL_jz00_7100 = (BgL_jz00_5308 + 1L);
														BgL_jz00_5308 = BgL_jz00_7100;
														goto BgL_loopz00_5307;
													}
												}
										}
									}
							}
					}
				}
			}
		}

	}



/* sha512sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumzd2filezd2zz__sha2z00(obj_t
		BgL_fnamez00_61)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_mmz00_2432;

				BgL_mmz00_2432 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_61, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_2432))
					{	/* Unsafe/sha2.scm 1184 */
						obj_t BgL_exitd1091z00_2434;

						BgL_exitd1091z00_2434 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha2.scm 1186 */
							obj_t BgL_zc3z04anonymousza32013ze3z87_4926;

							BgL_zc3z04anonymousza32013ze3z87_4926 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza32013ze3ze5zz__sha2z00, (int) (0L),
								(int) (1L));
							PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_4926, (int) (0L),
								BgL_mmz00_2432);
							{	/* Unsafe/sha2.scm 1184 */
								obj_t BgL_arg2358z00_4619;

								{	/* Unsafe/sha2.scm 1184 */
									obj_t BgL_arg2359z00_4620;

									BgL_arg2359z00_4620 =
										BGL_EXITD_PROTECT(BgL_exitd1091z00_2434);
									BgL_arg2358z00_4619 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32013ze3z87_4926,
										BgL_arg2359z00_4620);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2434,
									BgL_arg2358z00_4619);
								BUNSPEC;
							}
							{	/* Unsafe/sha2.scm 1185 */
								obj_t BgL_tmp1093z00_2436;

								BgL_tmp1093z00_2436 =
									BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_mmz00_2432);
								{	/* Unsafe/sha2.scm 1184 */
									bool_t BgL_test2489z00_7115;

									{	/* Unsafe/sha2.scm 1184 */
										obj_t BgL_arg2357z00_4622;

										BgL_arg2357z00_4622 =
											BGL_EXITD_PROTECT(BgL_exitd1091z00_2434);
										BgL_test2489z00_7115 = PAIRP(BgL_arg2357z00_4622);
									}
									if (BgL_test2489z00_7115)
										{	/* Unsafe/sha2.scm 1184 */
											obj_t BgL_arg2355z00_4623;

											{	/* Unsafe/sha2.scm 1184 */
												obj_t BgL_arg2356z00_4624;

												BgL_arg2356z00_4624 =
													BGL_EXITD_PROTECT(BgL_exitd1091z00_2434);
												BgL_arg2355z00_4623 =
													CDR(((obj_t) BgL_arg2356z00_4624));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1091z00_2434,
												BgL_arg2355z00_4623);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha2.scm 1184 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_2432);
								return BgL_tmp1093z00_2436;
							}
						}
					}
				else
					{	/* Unsafe/sha2.scm 1187 */
						obj_t BgL_pz00_2439;

						{	/* Ieee/port.scm 460 */

							BgL_pz00_2439 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_61, BTRUE, BINT(5000000L));
						}
						{	/* Unsafe/sha2.scm 1188 */
							obj_t BgL_exitd1095z00_2440;

							BgL_exitd1095z00_2440 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha2.scm 1190 */
								obj_t BgL_zc3z04anonymousza32014ze3z87_4927;

								BgL_zc3z04anonymousza32014ze3z87_4927 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza32014ze3ze5zz__sha2z00, (int) (0L),
									(int) (1L));
								PROCEDURE_SET(BgL_zc3z04anonymousza32014ze3z87_4927, (int) (0L),
									BgL_pz00_2439);
								{	/* Unsafe/sha2.scm 1188 */
									obj_t BgL_arg2358z00_4628;

									{	/* Unsafe/sha2.scm 1188 */
										obj_t BgL_arg2359z00_4629;

										BgL_arg2359z00_4629 =
											BGL_EXITD_PROTECT(BgL_exitd1095z00_2440);
										BgL_arg2358z00_4628 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza32014ze3z87_4927,
											BgL_arg2359z00_4629);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2440,
										BgL_arg2358z00_4628);
									BUNSPEC;
								}
								{	/* Unsafe/sha2.scm 1189 */
									obj_t BgL_tmp1097z00_2442;

									BgL_tmp1097z00_2442 =
										BGl_sha512sumzd2portzd2zz__sha2z00(BgL_pz00_2439);
									{	/* Unsafe/sha2.scm 1188 */
										bool_t BgL_test2490z00_7135;

										{	/* Unsafe/sha2.scm 1188 */
											obj_t BgL_arg2357z00_4631;

											BgL_arg2357z00_4631 =
												BGL_EXITD_PROTECT(BgL_exitd1095z00_2440);
											BgL_test2490z00_7135 = PAIRP(BgL_arg2357z00_4631);
										}
										if (BgL_test2490z00_7135)
											{	/* Unsafe/sha2.scm 1188 */
												obj_t BgL_arg2355z00_4632;

												{	/* Unsafe/sha2.scm 1188 */
													obj_t BgL_arg2356z00_4633;

													BgL_arg2356z00_4633 =
														BGL_EXITD_PROTECT(BgL_exitd1095z00_2440);
													BgL_arg2355z00_4632 =
														CDR(((obj_t) BgL_arg2356z00_4633));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1095z00_2440,
													BgL_arg2355z00_4632);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha2.scm 1188 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_2439));
									return BgL_tmp1097z00_2442;
								}
							}
						}
					}
			}
		}

	}



/* &sha512sum-file */
	obj_t BGl_z62sha512sumzd2filezb0zz__sha2z00(obj_t BgL_envz00_4928,
		obj_t BgL_fnamez00_4929)
	{
		{	/* Unsafe/sha2.scm 1181 */
			{	/* Unsafe/sha2.scm 1182 */
				obj_t BgL_auxz00_7144;

				if (STRINGP(BgL_fnamez00_4929))
					{	/* Unsafe/sha2.scm 1182 */
						BgL_auxz00_7144 = BgL_fnamez00_4929;
					}
				else
					{
						obj_t BgL_auxz00_7147;

						BgL_auxz00_7147 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(47709L), BGl_string2400z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_fnamez00_4929);
						FAILURE(BgL_auxz00_7147, BFALSE, BFALSE);
					}
				return BGl_sha512sumzd2filezd2zz__sha2z00(BgL_auxz00_7144);
			}
		}

	}



/* &<@anonymous:2013> */
	obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__sha2z00(obj_t BgL_envz00_4930)
	{
		{	/* Unsafe/sha2.scm 1184 */
			{	/* Unsafe/sha2.scm 1186 */
				obj_t BgL_mmz00_4931;

				BgL_mmz00_4931 = ((obj_t) PROCEDURE_REF(BgL_envz00_4930, (int) (0L)));
				return bgl_close_mmap(BgL_mmz00_4931);
			}
		}

	}



/* &<@anonymous:2014> */
	obj_t BGl_z62zc3z04anonymousza32014ze3ze5zz__sha2z00(obj_t BgL_envz00_4932)
	{
		{	/* Unsafe/sha2.scm 1188 */
			{	/* Unsafe/sha2.scm 1190 */
				obj_t BgL_pz00_4933;

				BgL_pz00_4933 = PROCEDURE_REF(BgL_envz00_4932, (int) (0L));
				return bgl_close_input_port(((obj_t) BgL_pz00_4933));
			}
		}

	}



/* sha512sum */
	BGL_EXPORTED_DEF obj_t BGl_sha512sumz00zz__sha2z00(obj_t BgL_objz00_62)
	{
		{	/* Unsafe/sha2.scm 1195 */
			if (BGL_MMAPP(BgL_objz00_62))
				{	/* Unsafe/sha2.scm 1197 */
					return BGl_sha512sumzd2mmapzd2zz__sha2z00(BgL_objz00_62);
				}
			else
				{	/* Unsafe/sha2.scm 1197 */
					if (STRINGP(BgL_objz00_62))
						{	/* Unsafe/sha2.scm 1199 */
							return BGl_sha512sumzd2stringzd2zz__sha2z00(BgL_objz00_62);
						}
					else
						{	/* Unsafe/sha2.scm 1199 */
							if (INPUT_PORTP(BgL_objz00_62))
								{	/* Unsafe/sha2.scm 1201 */
									return BGl_sha512sumzd2portzd2zz__sha2z00(BgL_objz00_62);
								}
							else
								{	/* Unsafe/sha2.scm 1201 */
									return
										BGl_errorz00zz__errorz00(BGl_string2401z00zz__sha2z00,
										BGl_string2395z00zz__sha2z00, BgL_objz00_62);
								}
						}
				}
		}

	}



/* &sha512sum */
	obj_t BGl_z62sha512sumz62zz__sha2z00(obj_t BgL_envz00_4934,
		obj_t BgL_objz00_4935)
	{
		{	/* Unsafe/sha2.scm 1195 */
			return BGl_sha512sumz00zz__sha2z00(BgL_objz00_4935);
		}

	}



/* hmac-sha256sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_63, obj_t BgL_msgz00_64)
	{
		{	/* Unsafe/sha2.scm 1209 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_63, BgL_msgz00_64,
				BGl_sha256sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha256sum-string */
	obj_t BGl_z62hmaczd2sha256sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_4936,
		obj_t BgL_keyz00_4937, obj_t BgL_msgz00_4938)
	{
		{	/* Unsafe/sha2.scm 1209 */
			{	/* Unsafe/sha2.scm 1210 */
				obj_t BgL_auxz00_7179;
				obj_t BgL_auxz00_7172;

				if (STRINGP(BgL_msgz00_4938))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7179 = BgL_msgz00_4938;
					}
				else
					{
						obj_t BgL_auxz00_7182;

						BgL_auxz00_7182 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(48688L), BGl_string2402z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_msgz00_4938);
						FAILURE(BgL_auxz00_7182, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_4937))
					{	/* Unsafe/sha2.scm 1210 */
						BgL_auxz00_7172 = BgL_keyz00_4937;
					}
				else
					{
						obj_t BgL_auxz00_7175;

						BgL_auxz00_7175 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(48688L), BGl_string2402z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_keyz00_4937);
						FAILURE(BgL_auxz00_7175, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha256sumzd2stringz00zz__sha2z00(BgL_auxz00_7172,
					BgL_auxz00_7179);
			}
		}

	}



/* hmac-sha512sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(obj_t
		BgL_keyz00_65, obj_t BgL_msgz00_66)
	{
		{	/* Unsafe/sha2.scm 1215 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_65, BgL_msgz00_66,
				BGl_sha512sumzd2stringzd2envz00zz__sha2z00);
		}

	}



/* &hmac-sha512sum-string */
	obj_t BGl_z62hmaczd2sha512sumzd2stringz62zz__sha2z00(obj_t BgL_envz00_4939,
		obj_t BgL_keyz00_4940, obj_t BgL_msgz00_4941)
	{
		{	/* Unsafe/sha2.scm 1215 */
			{	/* Unsafe/sha2.scm 1216 */
				obj_t BgL_auxz00_7195;
				obj_t BgL_auxz00_7188;

				if (STRINGP(BgL_msgz00_4941))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7195 = BgL_msgz00_4941;
					}
				else
					{
						obj_t BgL_auxz00_7198;

						BgL_auxz00_7198 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(48994L), BGl_string2403z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_msgz00_4941);
						FAILURE(BgL_auxz00_7198, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_4940))
					{	/* Unsafe/sha2.scm 1216 */
						BgL_auxz00_7188 = BgL_keyz00_4940;
					}
				else
					{
						obj_t BgL_auxz00_7191;

						BgL_auxz00_7191 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2385z00zz__sha2z00,
							BINT(48994L), BGl_string2403z00zz__sha2z00,
							BGl_string2390z00zz__sha2z00, BgL_keyz00_4940);
						FAILURE(BgL_auxz00_7191, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha512sumzd2stringz00zz__sha2z00(BgL_auxz00_7188,
					BgL_auxz00_7195);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha2z00(void)
	{
		{	/* Unsafe/sha2.scm 50 */
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string2404z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__hmacz00(285132844L,
				BSTRING_TO_STRING(BGl_string2404z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string2404z00zz__sha2z00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string2404z00zz__sha2z00));
			return
				BGl_modulezd2initializa7ationz75zz__srfi4z00(467924964L,
				BSTRING_TO_STRING(BGl_string2404z00zz__sha2z00));
		}

	}

#ifdef __cplusplus
}
#endif
